/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 1

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 1 "gram.y"


/*#define YYDEBUG 1*/
/*-------------------------------------------------------------------------
 *
 * gram.y
 *	  POSTGRESQL BISON rules/actions
 *
 * Portions Copyright (c) 1996-2014, PostgreSQL Global Development Group
 * Portions Copyright (c) 1994, Regents of the University of California
 *
 *
 * IDENTIFICATION
 *	  src/backend/parser/gram.y
 *
 * HISTORY
 *	  AUTHOR			DATE			MAJOR EVENT
 *	  Andrew Yu			Sept, 1994		POSTQUEL to SQL conversion
 *	  Andrew Yu			Oct, 1994		lispy code conversion
 *
 * NOTES
 *	  CAPITALS are used to represent terminal symbols.
 *	  non-capitals are used to represent non-terminals.
 *
 *	  In general, nothing in this file should initiate database accesses
 *	  nor depend on changeable state (such as SET variables).  If you do
 *	  database accesses, your code will fail when we have aborted the
 *	  current transaction and are just parsing commands to find the next
 *	  ROLLBACK or COMMIT.  If you make use of SET variables, then you
 *	  will do the wrong thing in multi-query strings like this:
 *			SET SQL_inheritance TO off; SELECT * FROM foo;
 *	  because the entire string is parsed by gram.y before the SET gets
 *	  executed.  Anything that depends on the database or changeable state
 *	  should be handled during parse analysis so that it happens at the
 *	  right time not the wrong time.  The handling of SQL_inheritance is
 *	  a good example.
 *
 * WARNINGS
 *	  If you use a list, make sure the datum is a node so that the printing
 *	  routines work.
 *
 *	  Sometimes we assign constants to makeStrings. Make sure we don't free
 *	  those.
 *
 *-------------------------------------------------------------------------
 */
#include "postgres.h"

#include <ctype.h>
#include <limits.h>

#include "catalog/index.h"
#include "catalog/namespace.h"
#include "catalog/pg_trigger.h"
#include "commands/defrem.h"
#include "commands/trigger.h"
#include "nodes/makefuncs.h"
#include "nodes/nodeFuncs.h"
#include "parser/gramparse.h"
#include "parser/parser.h"
#include "storage/lmgr.h"
#include "utils/date.h"
#include "utils/datetime.h"
#include "utils/numeric.h"
#include "utils/xml.h"


/*
 * Location tracking support --- simpler than bison's default, since we only
 * want to track the start position not the end position of each nonterminal.
 */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if ((N) > 0) \
			(Current) = (Rhs)[1]; \
		else \
			(Current) = (-1); \
	} while (0)

/*
 * The above macro assigns -1 (unknown) as the parse location of any
 * nonterminal that was reduced from an empty rule.  This is problematic
 * for nonterminals defined like
 *		OptFooList: / * EMPTY * / { ... } | OptFooList Foo { ... } ;
 * because we'll set -1 as the location during the first reduction and then
 * copy it during each subsequent reduction, leaving us with -1 for the
 * location even when the list is not empty.  To fix that, do this in the
 * action for the nonempty rule(s):
 *		if (@$ < 0) @$ = @2;
 * (Although we have many nonterminals that follow this pattern, we only
 * bother with fixing @$ like this when the nonterminal's parse location
 * is actually referenced in some rule.)
 */

/*
 * Bison doesn't allocate anything that needs to live across parser calls,
 * so we can easily have it use palloc instead of malloc.  This prevents
 * memory leaks if we error out during parsing.  Note this only works with
 * bison >= 2.0.  However, in bison 1.875 the default is to use alloca()
 * if possible, so there's not really much problem anyhow, at least if
 * you're building with gcc.
 */
#define YYMALLOC palloc
#define YYFREE   pfree

/* Private struct for the result of privilege_target production */
typedef struct PrivTarget
{
	GrantTargetType targtype;
	GrantObjectType objtype;
	List	   *objs;
} PrivTarget;

/* ConstraintAttributeSpec yields an integer bitmask of these flags: */
#define CAS_NOT_DEFERRABLE			0x01
#define CAS_DEFERRABLE				0x02
#define CAS_INITIALLY_IMMEDIATE		0x04
#define CAS_INITIALLY_DEFERRED		0x08
#define CAS_NOT_VALID				0x10
#define CAS_NO_INHERIT				0x20


#define parser_yyerror(msg)  scanner_yyerror(msg, yyscanner)
#define parser_errposition(pos)  scanner_errposition(pos, yyscanner)

static void base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner,
						 const char *msg);
static Node *makeColumnRef(char *colname, List *indirection,
						   int location, core_yyscan_t yyscanner);
static Node *makeTypeCast(Node *arg, TypeName *typename, int location);
static Node *makeStringConst(char *str, int location);
static Node *makeStringConstCast(char *str, int location, TypeName *typename);
static Node *makeIntConst(int val, int location);
static Node *makeFloatConst(char *str, int location);
static Node *makeBitStringConst(char *str, int location);
static Node *makeNullAConst(int location);
static Node *makeAConst(Value *v, int location);
static Node *makeBoolAConst(bool state, int location);
static void check_qualified_name(List *names, core_yyscan_t yyscanner);
static List *check_func_name(List *names, core_yyscan_t yyscanner);
static List *check_indirection(List *indirection, core_yyscan_t yyscanner);
static List *extractArgTypes(List *parameters);
static List *extractAggrArgTypes(List *aggrargs);
static List *makeOrderedSetArgs(List *directargs, List *orderedargs,
								core_yyscan_t yyscanner);
static void insertSelectOptions(SelectStmt *stmt,
								List *sortClause, List *lockingClause,
								Node *limitOffset, Node *limitCount,
								WithClause *withClause,
								core_yyscan_t yyscanner);
static Node *makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg);
static Node *doNegate(Node *n, int location);
static void doNegateFloat(Value *v);
static Node *makeAArrayExpr(List *elements, int location);
static Node *makeXmlExpr(XmlExprOp op, char *name, List *named_args,
						 List *args, int location);
static List *mergeTableFuncParameters(List *func_args, List *columns);
static TypeName *TableFuncTypeName(List *columns);
static RangeVar *makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner);
static void SplitColQualList(List *qualList,
							 List **constraintList, CollateClause **collClause,
							 core_yyscan_t yyscanner);
static void processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner);
static Node *makeRecursiveViewSelect(char *relname, List *aliases, Node *query);



/* Line 268 of yacc.c  */
#line 249 "gram.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENT = 258,
     FCONST = 259,
     SCONST = 260,
     BCONST = 261,
     XCONST = 262,
     Op = 263,
     ICONST = 264,
     PARAM = 265,
     TYPECAST = 266,
     DOT_DOT = 267,
     COLON_EQUALS = 268,
     ABORT_P = 269,
     ABSOLUTE_P = 270,
     ACCESS = 271,
     ACTION = 272,
     ADD_P = 273,
     ADMIN = 274,
     AFTER = 275,
     AGGREGATE = 276,
     ALL = 277,
     ALSO = 278,
     ALTER = 279,
     ALWAYS = 280,
     ANALYSE = 281,
     ANALYZE = 282,
     AND = 283,
     ANY = 284,
     ARRAY = 285,
     AS = 286,
     ASC = 287,
     ASSERTION = 288,
     ASSIGNMENT = 289,
     ASYMMETRIC = 290,
     AT = 291,
     ATTRIBUTE = 292,
     AUTHORIZATION = 293,
     BACKWARD = 294,
     BEFORE = 295,
     BEGIN_P = 296,
     BETWEEN = 297,
     BIGINT = 298,
     BINARY = 299,
     BIT = 300,
     BOOLEAN_P = 301,
     BOTH = 302,
     BY = 303,
     CACHE = 304,
     CALLED = 305,
     CASCADE = 306,
     CASCADED = 307,
     CASE = 308,
     CAST = 309,
     CATALOG_P = 310,
     CHAIN = 311,
     CHAR_P = 312,
     CHARACTER = 313,
     CHARACTERISTICS = 314,
     CHECK = 315,
     CHECKPOINT = 316,
     CLASS = 317,
     CLOSE = 318,
     CLUSTER = 319,
     COALESCE = 320,
     COLLATE = 321,
     COLLATION = 322,
     COLUMN = 323,
     COMMENT = 324,
     COMMENTS = 325,
     COMMIT = 326,
     COMMITTED = 327,
     CONCURRENTLY = 328,
     CONFIGURATION = 329,
     CONNECTION = 330,
     CONSTRAINT = 331,
     CONSTRAINTS = 332,
     CONTENT_P = 333,
     CONTINUE_P = 334,
     CONVERSION_P = 335,
     COPY = 336,
     COST = 337,
     CREATE = 338,
     CROSS = 339,
     CSV = 340,
     CURRENT_P = 341,
     CURRENT_CATALOG = 342,
     CURRENT_DATE = 343,
     CURRENT_ROLE = 344,
     CURRENT_SCHEMA = 345,
     CURRENT_TIME = 346,
     CURRENT_TIMESTAMP = 347,
     CURRENT_USER = 348,
     CURSOR = 349,
     CYCLE = 350,
     DATA_P = 351,
     DATABASE = 352,
     DAY_P = 353,
     DEALLOCATE = 354,
     DEC = 355,
     DECIMAL_P = 356,
     DECLARE = 357,
     DEFAULT = 358,
     DEFAULTS = 359,
     DEFERRABLE = 360,
     DEFERRED = 361,
     DEFINER = 362,
     DELETE_P = 363,
     DELIMITER = 364,
     DELIMITERS = 365,
     DESC = 366,
     DICTIONARY = 367,
     DISABLE_P = 368,
     DISCARD = 369,
     DISTINCT = 370,
     DO = 371,
     DOCUMENT_P = 372,
     DOMAIN_P = 373,
     DOUBLE_P = 374,
     DROP = 375,
     EACH = 376,
     ELSE = 377,
     ENABLE_P = 378,
     ENCODING = 379,
     ENCRYPTED = 380,
     END_P = 381,
     ENUM_P = 382,
     ESCAPE = 383,
     EVENT = 384,
     EXCEPT = 385,
     EXCLUDE = 386,
     EXCLUDING = 387,
     EXCLUSIVE = 388,
     EXECUTE = 389,
     EXISTS = 390,
     EXPLAIN = 391,
     EXTENSION = 392,
     EXTERNAL = 393,
     EXTRACT = 394,
     FALSE_P = 395,
     FAMILY = 396,
     FETCH = 397,
     FILTER = 398,
     FIRST_P = 399,
     FLOAT_P = 400,
     FOLLOWING = 401,
     FOR = 402,
     FORCE = 403,
     FOREIGN = 404,
     FORWARD = 405,
     FREEZE = 406,
     FROM = 407,
     FULL = 408,
     FUNCTION = 409,
     FUNCTIONS = 410,
     GLOBAL = 411,
     GRANT = 412,
     GRANTED = 413,
     GREATEST = 414,
     GROUP_P = 415,
     HANDLER = 416,
     HAVING = 417,
     HEADER_P = 418,
     HOLD = 419,
     HOUR_P = 420,
     IDENTITY_P = 421,
     IF_P = 422,
     ILIKE = 423,
     IMMEDIATE = 424,
     IMMUTABLE = 425,
     IMPLICIT_P = 426,
     IN_P = 427,
     INCLUDING = 428,
     INCREMENT = 429,
     INDEX = 430,
     INDEXES = 431,
     INHERIT = 432,
     INHERITS = 433,
     INITIALLY = 434,
     INLINE_P = 435,
     INNER_P = 436,
     INOUT = 437,
     INPUT_P = 438,
     INSENSITIVE = 439,
     INSERT = 440,
     INSTEAD = 441,
     INT_P = 442,
     INTEGER = 443,
     INTERSECT = 444,
     INTERVAL = 445,
     INTO = 446,
     INVOKER = 447,
     IS = 448,
     ISNULL = 449,
     ISOLATION = 450,
     JOIN = 451,
     KEY = 452,
     LABEL = 453,
     LANGUAGE = 454,
     LARGE_P = 455,
     LAST_P = 456,
     LATERAL_P = 457,
     LC_COLLATE_P = 458,
     LC_CTYPE_P = 459,
     LEADING = 460,
     LEAKPROOF = 461,
     LEAST = 462,
     LEFT = 463,
     LEVEL = 464,
     LIKE = 465,
     LIMIT = 466,
     LISTEN = 467,
     LOAD = 468,
     LOCAL = 469,
     LOCALTIME = 470,
     LOCALTIMESTAMP = 471,
     LOCATION = 472,
     LOCK_P = 473,
     MAPPING = 474,
     MATCH = 475,
     MATERIALIZED = 476,
     MAXVALUE = 477,
     MINUTE_P = 478,
     MINVALUE = 479,
     MODE = 480,
     MONTH_P = 481,
     MOVE = 482,
     NAME_P = 483,
     NAMES = 484,
     NATIONAL = 485,
     NATURAL = 486,
     NCHAR = 487,
     NEXT = 488,
     NO = 489,
     NONE = 490,
     NOT = 491,
     NOTHING = 492,
     NOTIFY = 493,
     NOTNULL = 494,
     NOWAIT = 495,
     NULL_P = 496,
     NULLIF = 497,
     NULLS_P = 498,
     NUMERIC = 499,
     OBJECT_P = 500,
     OF = 501,
     OFF = 502,
     OFFSET = 503,
     OIDS = 504,
     ON = 505,
     ONLY = 506,
     OPERATOR = 507,
     OPTION = 508,
     OPTIONS = 509,
     OR = 510,
     ORDER = 511,
     ORDINALITY = 512,
     OUT_P = 513,
     OUTER_P = 514,
     OVER = 515,
     OVERLAPS = 516,
     OVERLAY = 517,
     OWNED = 518,
     OWNER = 519,
     PARSER = 520,
     PARTIAL = 521,
     PARTITION = 522,
     PASSING = 523,
     PASSWORD = 524,
     PLACING = 525,
     PLANS = 526,
     POSITION = 527,
     PRECEDING = 528,
     PRECISION = 529,
     PRESERVE = 530,
     PREPARE = 531,
     PREPARED = 532,
     PRIMARY = 533,
     PRIOR = 534,
     PRIVILEGES = 535,
     PROCEDURAL = 536,
     PROCEDURE = 537,
     PROGRAM = 538,
     QUOTE = 539,
     RANGE = 540,
     READ = 541,
     REAL = 542,
     REASSIGN = 543,
     RECHECK = 544,
     RECURSIVE = 545,
     REF = 546,
     REFERENCES = 547,
     REFRESH = 548,
     REINDEX = 549,
     RELATIVE_P = 550,
     RELEASE = 551,
     RENAME = 552,
     REPEATABLE = 553,
     REPLACE = 554,
     REPLICA = 555,
     RESET = 556,
     RESTART = 557,
     RESTRICT = 558,
     RETURNING = 559,
     RETURNS = 560,
     REVOKE = 561,
     RIGHT = 562,
     ROLE = 563,
     ROLLBACK = 564,
     ROW = 565,
     ROWS = 566,
     RULE = 567,
     SAVEPOINT = 568,
     SCHEMA = 569,
     SCROLL = 570,
     SEARCH = 571,
     SECOND_P = 572,
     SECURITY = 573,
     SELECT = 574,
     SEQUENCE = 575,
     SEQUENCES = 576,
     SERIALIZABLE = 577,
     SERVER = 578,
     SESSION = 579,
     SESSION_USER = 580,
     SET = 581,
     SETOF = 582,
     SHARE = 583,
     SHOW = 584,
     SIMILAR = 585,
     SIMPLE = 586,
     SMALLINT = 587,
     SNAPSHOT = 588,
     SOME = 589,
     STABLE = 590,
     STANDALONE_P = 591,
     START = 592,
     STATEMENT = 593,
     STATISTICS = 594,
     STDIN = 595,
     STDOUT = 596,
     STORAGE = 597,
     STRICT_P = 598,
     STRIP_P = 599,
     SUBSTRING = 600,
     SYMMETRIC = 601,
     SYSID = 602,
     SYSTEM_P = 603,
     TABLE = 604,
     TABLES = 605,
     TABLESPACE = 606,
     TEMP = 607,
     TEMPLATE = 608,
     TEMPORARY = 609,
     TEXT_P = 610,
     THEN = 611,
     TIME = 612,
     TIMESTAMP = 613,
     TO = 614,
     TRAILING = 615,
     TRANSACTION = 616,
     TREAT = 617,
     TRIGGER = 618,
     TRIM = 619,
     TRUE_P = 620,
     TRUNCATE = 621,
     TRUSTED = 622,
     TYPE_P = 623,
     TYPES_P = 624,
     UNBOUNDED = 625,
     UNCOMMITTED = 626,
     UNENCRYPTED = 627,
     UNION = 628,
     UNIQUE = 629,
     UNKNOWN = 630,
     UNLISTEN = 631,
     UNLOGGED = 632,
     UNTIL = 633,
     UPDATE = 634,
     USER = 635,
     USING = 636,
     VACUUM = 637,
     VALID = 638,
     VALIDATE = 639,
     VALIDATOR = 640,
     VALUE_P = 641,
     VALUES = 642,
     VARCHAR = 643,
     VARIADIC = 644,
     VARYING = 645,
     VERBOSE = 646,
     VERSION_P = 647,
     VIEW = 648,
     VIEWS = 649,
     VOLATILE = 650,
     WHEN = 651,
     WHERE = 652,
     WHITESPACE_P = 653,
     WINDOW = 654,
     WITH = 655,
     WITHIN = 656,
     WITHOUT = 657,
     WORK = 658,
     WRAPPER = 659,
     WRITE = 660,
     XML_P = 661,
     XMLATTRIBUTES = 662,
     XMLCONCAT = 663,
     XMLELEMENT = 664,
     XMLEXISTS = 665,
     XMLFOREST = 666,
     XMLPARSE = 667,
     XMLPI = 668,
     XMLROOT = 669,
     XMLSERIALIZE = 670,
     YEAR_P = 671,
     YES_P = 672,
     ZONE = 673,
     NULLS_FIRST = 674,
     NULLS_LAST = 675,
     WITH_ORDINALITY = 676,
     WITH_TIME = 677,
     POSTFIXOP = 678,
     UMINUS = 679
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 179 "gram.y"

	core_YYSTYPE		core_yystype;
	/* these fields must match core_YYSTYPE: */
	int					ival;
	char				*str;
	const char			*keyword;

	char				chr;
	bool				boolean;
	JoinType			jtype;
	DropBehavior		dbehavior;
	OnCommitAction		oncommit;
	List				*list;
	Node				*node;
	Value				*value;
	ObjectType			objtype;
	TypeName			*typnam;
	FunctionParameter   *fun_param;
	FunctionParameterMode fun_param_mode;
	FuncWithArgs		*funwithargs;
	DefElem				*defelt;
	SortBy				*sortby;
	WindowDef			*windef;
	JoinExpr			*jexpr;
	IndexElem			*ielem;
	Alias				*alias;
	RangeVar			*range;
	IntoClause			*into;
	WithClause			*with;
	A_Indices			*aind;
	ResTarget			*target;
	struct PrivTarget	*privtarget;
	AccessPriv			*accesspriv;
	InsertStmt			*istmt;
	VariableSetStmt		*vsetstmt;



/* Line 293 of yacc.c  */
#line 748 "gram.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 773 "gram.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  725
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   79553

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  442
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  574
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2364
/* YYNRULES -- Number of states.  */
#define YYNSTATES  4567

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   679

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   431,     2,     2,
     436,   437,   429,   427,   440,   428,   438,   430,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   441,   439,
     424,   423,   425,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   434,     2,   435,   432,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   426,   433
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     9,    11,    13,    15,    17,    19,
      21,    23,    25,    27,    29,    31,    33,    35,    37,    39,
      41,    43,    45,    47,    49,    51,    53,    55,    57,    59,
      61,    63,    65,    67,    69,    71,    73,    75,    77,    79,
      81,    83,    85,    87,    89,    91,    93,    95,    97,    99,
     101,   103,   105,   107,   109,   111,   113,   115,   117,   119,
     121,   123,   125,   127,   129,   131,   133,   135,   137,   139,
     141,   143,   145,   147,   149,   151,   153,   155,   157,   159,
     161,   163,   165,   167,   169,   171,   173,   175,   177,   179,
     181,   183,   185,   187,   189,   191,   193,   195,   197,   199,
     201,   203,   205,   207,   209,   211,   213,   215,   217,   219,
     221,   223,   225,   227,   229,   231,   233,   235,   237,   239,
     241,   243,   244,   250,   252,   253,   256,   257,   260,   261,
     264,   267,   271,   275,   277,   281,   285,   288,   290,   292,
     295,   298,   301,   305,   309,   315,   321,   322,   326,   332,
     338,   344,   349,   353,   359,   363,   369,   375,   382,   384,
     386,   390,   396,   403,   408,   418,   426,   428,   429,   432,
     433,   435,   437,   439,   441,   443,   445,   448,   452,   456,
     459,   465,   467,   471,   475,   479,   483,   485,   489,   493,
     496,   499,   502,   505,   509,   513,   517,   521,   523,   527,
     529,   533,   535,   537,   540,   543,   546,   548,   550,   552,
     554,   556,   558,   560,   564,   571,   573,   575,   577,   579,
     581,   582,   584,   586,   589,   593,   598,   602,   605,   608,
     610,   613,   615,   618,   622,   627,   631,   634,   639,   641,
     643,   645,   647,   649,   652,   655,   658,   661,   664,   669,
     676,   681,   688,   693,   700,   705,   712,   718,   726,   728,
     732,   735,   739,   744,   751,   758,   765,   771,   777,   784,
     791,   796,   805,   810,   813,   818,   822,   829,   834,   838,
     842,   846,   850,   854,   859,   864,   868,   872,   876,   880,
     884,   888,   893,   898,   902,   905,   909,   912,   915,   919,
     923,   926,   929,   933,   935,   939,   942,   944,   946,   947,
     950,   951,   954,   955,   957,   959,   961,   965,   969,   972,
     973,   975,   979,   983,   985,   991,   995,  1000,  1002,  1006,
    1011,  1018,  1023,  1032,  1035,  1038,  1050,  1058,  1060,  1062,
    1064,  1065,  1067,  1069,  1071,  1073,  1077,  1080,  1081,  1083,
    1085,  1087,  1091,  1095,  1097,  1099,  1103,  1107,  1111,  1115,
    1120,  1124,  1127,  1129,  1130,  1133,  1134,  1138,  1139,  1141,
    1142,  1144,  1148,  1151,  1153,  1155,  1157,  1161,  1162,  1164,
    1168,  1170,  1182,  1197,  1208,  1222,  1224,  1226,  1229,  1232,
    1235,  1238,  1240,  1241,  1243,  1244,  1248,  1249,  1251,  1255,
    1257,  1261,  1263,  1265,  1267,  1269,  1271,  1276,  1281,  1284,
    1285,  1289,  1291,  1293,  1296,  1299,  1301,  1305,  1310,  1316,
    1319,  1325,  1327,  1330,  1333,  1336,  1340,  1344,  1348,  1349,
    1351,  1353,  1355,  1357,  1359,  1361,  1365,  1367,  1373,  1381,
    1385,  1394,  1399,  1409,  1421,  1424,  1425,  1429,  1430,  1432,
    1436,  1438,  1441,  1444,  1447,  1448,  1450,  1454,  1458,  1465,
    1470,  1471,  1473,  1475,  1478,  1481,  1482,  1486,  1490,  1493,
    1495,  1497,  1500,  1503,  1508,  1509,  1512,  1515,  1518,  1519,
    1523,  1528,  1533,  1534,  1537,  1538,  1543,  1544,  1548,  1556,
    1562,  1565,  1569,  1570,  1579,  1584,  1586,  1587,  1594,  1600,
    1605,  1612,  1614,  1615,  1617,  1620,  1623,  1625,  1628,  1632,
    1635,  1638,  1641,  1644,  1648,  1652,  1654,  1658,  1660,  1661,
    1663,  1666,  1668,  1670,  1674,  1681,  1692,  1694,  1695,  1697,
    1700,  1703,  1704,  1707,  1710,  1712,  1713,  1719,  1727,  1729,
    1730,  1738,  1741,  1742,  1746,  1752,  1758,  1767,  1770,  1771,
    1774,  1777,  1780,  1786,  1789,  1790,  1793,  1801,  1812,  1819,
    1826,  1833,  1840,  1848,  1856,  1866,  1876,  1883,  1891,  1898,
    1907,  1916,  1925,  1934,  1941,  1948,  1956,  1964,  1973,  1980,
    1987,  1995,  1998,  2001,  2004,  2007,  2009,  2012,  2014,  2015,
    2022,  2031,  2039,  2046,  2051,  2052,  2054,  2058,  2063,  2065,
    2069,  2071,  2074,  2077,  2080,  2083,  2085,  2087,  2098,  2101,
    2102,  2105,  2108,  2110,  2111,  2116,  2123,  2129,  2134,  2139,
    2150,  2164,  2170,  2178,  2187,  2189,  2191,  2193,  2201,  2211,
    2220,  2236,  2257,  2259,  2261,  2264,  2266,  2270,  2272,  2274,
    2276,  2280,  2282,  2286,  2287,  2289,  2290,  2292,  2294,  2299,
    2300,  2302,  2306,  2307,  2309,  2311,  2313,  2315,  2318,  2319,
    2320,  2323,  2326,  2328,  2331,  2334,  2337,  2340,  2347,  2356,
    2368,  2382,  2384,  2388,  2394,  2396,  2400,  2406,  2408,  2411,
    2414,  2416,  2425,  2430,  2436,  2441,  2446,  2451,  2455,  2463,
    2472,  2479,  2486,  2493,  2500,  2507,  2512,  2518,  2522,  2524,
    2528,  2532,  2534,  2536,  2538,  2540,  2542,  2544,  2548,  2550,
    2554,  2558,  2560,  2561,  2563,  2567,  2575,  2585,  2595,  2599,
    2600,  2614,  2616,  2620,  2626,  2633,  2638,  2646,  2649,  2651,
    2652,  2655,  2656,  2659,  2664,  2665,  2667,  2668,  2675,  2684,
    2693,  2695,  2699,  2705,  2711,  2719,  2729,  2737,  2747,  2753,
    2760,  2767,  2772,  2778,  2786,  2788,  2790,  2792,  2795,  2797,
    2800,  2803,  2805,  2807,  2809,  2811,  2813,  2815,  2819,  2823,
    2827,  2831,  2833,  2837,  2839,  2842,  2845,  2849,  2855,  2858,
    2861,  2862,  2869,  2877,  2885,  2893,  2902,  2911,  2918,  2927,
    2937,  2947,  2955,  2966,  2974,  2976,  2978,  2980,  2982,  2984,
    2986,  2988,  2990,  2992,  2995,  2997,  2999,  3001,  3003,  3005,
    3008,  3010,  3014,  3017,  3021,  3025,  3029,  3033,  3035,  3037,
    3046,  3056,  3066,  3076,  3086,  3089,  3090,  3092,  3094,  3097,
    3100,  3102,  3104,  3106,  3108,  3110,  3112,  3114,  3116,  3119,
    3121,  3123,  3126,  3129,  3131,  3134,  3138,  3142,  3146,  3150,
    3155,  3160,  3164,  3168,  3172,  3177,  3182,  3186,  3191,  3196,
    3198,  3200,  3202,  3203,  3211,  3219,  3230,  3232,  3234,  3237,
    3242,  3248,  3250,  3254,  3257,  3260,  3263,  3266,  3268,  3271,
    3274,  3279,  3283,  3286,  3289,  3292,  3295,  3299,  3302,  3305,
    3308,  3314,  3320,  3326,  3328,  3332,  3334,  3337,  3341,  3342,
    3344,  3348,  3351,  3358,  3365,  3375,  3379,  3380,  3384,  3385,
    3391,  3394,  3395,  3399,  3403,  3407,  3415,  3423,  3434,  3436,
    3438,  3440,  3442,  3457,  3459,  3460,  3462,  3463,  3465,  3466,
    3469,  3470,  3472,  3476,  3482,  3488,  3496,  3499,  3500,  3502,
    3505,  3506,  3508,  3510,  3511,  3513,  3515,  3516,  3526,  3539,
    3547,  3550,  3551,  3555,  3558,  3560,  3564,  3568,  3571,  3573,
    3577,  3581,  3585,  3588,  3591,  3593,  3595,  3597,  3599,  3602,
    3604,  3606,  3608,  3610,  3615,  3621,  3623,  3627,  3631,  3633,
    3637,  3641,  3647,  3654,  3656,  3660,  3662,  3665,  3670,  3676,
    3678,  3680,  3682,  3684,  3688,  3692,  3695,  3698,  3700,  3703,
    3706,  3709,  3711,  3714,  3717,  3719,  3721,  3723,  3727,  3730,
    3731,  3734,  3736,  3740,  3746,  3748,  3751,  3753,  3754,  3760,
    3768,  3774,  3782,  3788,  3796,  3800,  3806,  3812,  3818,  3820,
    3824,  3827,  3829,  3832,  3834,  3837,  3849,  3860,  3871,  3874,
    3877,  3878,  3888,  3891,  3892,  3897,  3902,  3907,  3909,  3911,
    3913,  3914,  3923,  3932,  3941,  3951,  3963,  3975,  3987,  4000,
    4006,  4012,  4020,  4027,  4034,  4041,  4048,  4057,  4066,  4073,
    4080,  4088,  4098,  4108,  4115,  4122,  4129,  4138,  4145,  4154,
    4161,  4170,  4178,  4188,  4195,  4204,  4212,  4222,  4231,  4242,
    4252,  4264,  4273,  4283,  4295,  4304,  4313,  4321,  4328,  4335,
    4342,  4351,  4360,  4369,  4378,  4385,  4395,  4397,  4398,  4401,
    4402,  4410,  4417,  4424,  4431,  4438,  4445,  4453,  4463,  4473,
    4480,  4489,  4498,  4507,  4516,  4525,  4532,  4541,  4548,  4557,
    4565,  4575,  4583,  4593,  4600,  4608,  4615,  4622,  4629,  4636,
    4643,  4651,  4659,  4667,  4677,  4687,  4694,  4701,  4708,  4717,
    4726,  4735,  4742,  4750,  4764,  4766,  4768,  4772,  4776,  4778,
    4780,  4782,  4784,  4786,  4788,  4790,  4791,  4793,  4795,  4797,
    4799,  4801,  4803,  4804,  4811,  4820,  4824,  4827,  4828,  4831,
    4834,  4837,  4840,  4844,  4848,  4851,  4854,  4857,  4860,  4864,
    4867,  4873,  4878,  4882,  4886,  4890,  4892,  4894,  4895,  4899,
    4902,  4905,  4907,  4910,  4912,  4916,  4919,  4921,  4922,  4932,
    4944,  4957,  4972,  4976,  4981,  4986,  4987,  4990,  4996,  4999,
    5000,  5004,  5008,  5012,  5016,  5020,  5024,  5028,  5032,  5036,
    5040,  5044,  5048,  5052,  5057,  5061,  5065,  5067,  5068,  5074,
    5081,  5086,  5089,  5090,  5095,  5099,  5105,  5110,  5117,  5122,
    5129,  5136,  5142,  5150,  5160,  5167,  5169,  5170,  5177,  5189,
    5201,  5213,  5227,  5237,  5249,  5260,  5265,  5268,  5274,  5277,
    5278,  5283,  5289,  5295,  5300,  5307,  5309,  5313,  5315,  5317,
    5319,  5321,  5324,  5329,  5331,  5333,  5335,  5336,  5338,  5339,
    5341,  5342,  5346,  5347,  5350,  5355,  5359,  5365,  5367,  5369,
    5371,  5373,  5375,  5377,  5379,  5381,  5383,  5385,  5389,  5392,
    5394,  5396,  5398,  5400,  5401,  5407,  5411,  5412,  5414,  5416,
    5418,  5420,  5424,  5434,  5438,  5439,  5442,  5446,  5449,  5453,
    5460,  5462,  5467,  5470,  5472,  5476,  5479,  5482,  5483,  5491,
    5494,  5495,  5501,  5505,  5506,  5509,  5512,  5515,  5519,  5521,
    5525,  5527,  5530,  5532,  5533,  5542,  5544,  5548,  5550,  5552,
    5556,  5562,  5565,  5567,  5571,  5579,  5581,  5582,  5586,  5589,
    5592,  5595,  5596,  5599,  5602,  5604,  5606,  5610,  5614,  5616,
    5619,  5624,  5629,  5632,  5636,  5642,  5648,  5650,  5652,  5662,
    5664,  5667,  5672,  5677,  5682,  5685,  5689,  5691,  5695,  5702,
    5704,  5705,  5708,  5709,  5713,  5717,  5722,  5727,  5732,  5737,
    5741,  5744,  5746,  5748,  5749,  5751,  5753,  5754,  5756,  5762,
    5764,  5765,  5767,  5768,  5772,  5774,  5778,  5783,  5787,  5790,
    5793,  5795,  5797,  5799,  5800,  5803,  5808,  5814,  5817,  5821,
    5823,  5825,  5827,  5829,  5833,  5834,  5836,  5838,  5840,  5842,
    5844,  5848,  5849,  5852,  5853,  5855,  5859,  5861,  5862,  5864,
    5867,  5871,  5874,  5879,  5882,  5886,  5889,  5890,  5893,  5897,
    5900,  5901,  5903,  5907,  5910,  5913,  5917,  5920,  5924,  5926,
    5931,  5935,  5940,  5946,  5951,  5957,  5962,  5968,  5971,  5976,
    5978,  5980,  5981,  5983,  5988,  5994,  5999,  6000,  6003,  6006,
    6009,  6011,  6013,  6014,  6019,  6022,  6024,  6027,  6030,  6035,
    6037,  6041,  6043,  6046,  6050,  6053,  6060,  6063,  6065,  6069,
    6074,  6075,  6077,  6078,  6081,  6082,  6085,  6090,  6091,  6093,
    6094,  6096,  6100,  6104,  6107,  6111,  6117,  6124,  6127,  6131,
    6135,  6140,  6141,  6143,  6145,  6147,  6149,  6151,  6154,  6160,
    6162,  6164,  6166,  6168,  6171,  6175,  6179,  6180,  6182,  6184,
    6186,  6188,  6190,  6193,  6196,  6199,  6202,  6205,  6207,  6211,
    6212,  6214,  6216,  6218,  6220,  6226,  6229,  6231,  6233,  6235,
    6237,  6243,  6246,  6249,  6252,  6254,  6258,  6262,  6265,  6267,
    6268,  6272,  6273,  6279,  6282,  6288,  6291,  6293,  6296,  6300,
    6301,  6303,  6305,  6307,  6309,  6311,  6313,  6317,  6321,  6325,
    6329,  6333,  6337,  6341,  6342,  6344,  6349,  6351,  6355,  6359,
    6365,  6368,  6371,  6375,  6379,  6383,  6387,  6391,  6395,  6399,
    6403,  6407,  6411,  6414,  6417,  6421,  6425,  6428,  6432,  6438,
    6443,  6450,  6454,  6460,  6465,  6472,  6477,  6484,  6490,  6498,
    6502,  6505,  6510,  6513,  6517,  6521,  6526,  6530,  6535,  6539,
    6544,  6550,  6557,  6564,  6572,  6579,  6587,  6594,  6602,  6606,
    6611,  6616,  6623,  6626,  6630,  6635,  6637,  6641,  6644,  6647,
    6651,  6655,  6659,  6663,  6667,  6671,  6675,  6679,  6683,  6687,
    6690,  6693,  6699,  6706,  6713,  6721,  6725,  6730,  6732,  6734,
    6737,  6742,  6744,  6746,  6748,  6751,  6754,  6757,  6760,  6762,
    6766,  6772,  6779,  6788,  6795,  6802,  6807,  6812,  6814,  6816,
    6818,  6824,  6826,  6828,  6833,  6835,  6840,  6842,  6847,  6849,
    6854,  6856,  6858,  6860,  6862,  6864,  6866,  6873,  6878,  6883,
    6888,  6893,  6900,  6906,  6912,  6918,  6923,  6930,  6935,  6940,
    6945,  6950,  6956,  6964,  6972,  6982,  6988,  6993,  7000,  7006,
    7014,  7022,  7030,  7033,  7037,  7041,  7045,  7050,  7051,  7056,
    7058,  7062,  7066,  7068,  7070,  7072,  7075,  7078,  7079,  7082,
    7087,  7092,  7099,  7105,  7106,  7112,  7113,  7116,  7117,  7119,
    7123,  7127,  7130,  7133,  7134,  7141,  7143,  7144,  7148,  7149,
    7152,  7155,  7156,  7158,  7163,  7166,  7169,  7172,  7175,  7178,
    7183,  7187,  7193,  7195,  7197,  7199,  7201,  7203,  7205,  7207,
    7209,  7211,  7213,  7215,  7217,  7219,  7221,  7223,  7228,  7230,
    7235,  7237,  7242,  7244,  7247,  7249,  7252,  7254,  7258,  7260,
    7264,  7266,  7270,  7272,  7276,  7280,  7284,  7287,  7289,  7293,
    7297,  7298,  7300,  7302,  7304,  7306,  7308,  7310,  7312,  7314,
    7319,  7323,  7326,  7330,  7331,  7335,  7339,  7342,  7345,  7347,
    7348,  7351,  7354,  7358,  7361,  7363,  7365,  7369,  7375,  7377,
    7380,  7385,  7388,  7389,  7391,  7392,  7394,  7397,  7400,  7403,
    7407,  7413,  7415,  7418,  7419,  7422,  7424,  7425,  7427,  7429,
    7431,  7435,  7439,  7441,  7442,  7444,  7448,  7452,  7455,  7457,
    7459,  7461,  7465,  7467,  7470,  7472,  7476,  7478,  7480,  7482,
    7484,  7486,  7488,  7490,  7493,  7495,  7497,  7499,  7501,  7503,
    7506,  7513,  7516,  7520,  7527,  7529,  7531,  7533,  7535,  7537,
    7539,  7541,  7545,  7547,  7550,  7553,  7555,  7557,  7559,  7561,
    7563,  7565,  7567,  7569,  7571,  7573,  7575,  7577,  7579,  7581,
    7583,  7585,  7587,  7589,  7591,  7593,  7595,  7597,  7599,  7601,
    7603,  7605,  7607,  7609,  7611,  7613,  7615,  7617,  7619,  7621,
    7623,  7625,  7627,  7629,  7631,  7633,  7635,  7637,  7639,  7641,
    7643,  7645,  7647,  7649,  7651,  7653,  7655,  7657,  7659,  7661,
    7663,  7665,  7667,  7669,  7671,  7673,  7675,  7677,  7679,  7681,
    7683,  7685,  7687,  7689,  7691,  7693,  7695,  7697,  7699,  7701,
    7703,  7705,  7707,  7709,  7711,  7713,  7715,  7717,  7719,  7721,
    7723,  7725,  7727,  7729,  7731,  7733,  7735,  7737,  7739,  7741,
    7743,  7745,  7747,  7749,  7751,  7753,  7755,  7757,  7759,  7761,
    7763,  7765,  7767,  7769,  7771,  7773,  7775,  7777,  7779,  7781,
    7783,  7785,  7787,  7789,  7791,  7793,  7795,  7797,  7799,  7801,
    7803,  7805,  7807,  7809,  7811,  7813,  7815,  7817,  7819,  7821,
    7823,  7825,  7827,  7829,  7831,  7833,  7835,  7837,  7839,  7841,
    7843,  7845,  7847,  7849,  7851,  7853,  7855,  7857,  7859,  7861,
    7863,  7865,  7867,  7869,  7871,  7873,  7875,  7877,  7879,  7881,
    7883,  7885,  7887,  7889,  7891,  7893,  7895,  7897,  7899,  7901,
    7903,  7905,  7907,  7909,  7911,  7913,  7915,  7917,  7919,  7921,
    7923,  7925,  7927,  7929,  7931,  7933,  7935,  7937,  7939,  7941,
    7943,  7945,  7947,  7949,  7951,  7953,  7955,  7957,  7959,  7961,
    7963,  7965,  7967,  7969,  7971,  7973,  7975,  7977,  7979,  7981,
    7983,  7985,  7987,  7989,  7991,  7993,  7995,  7997,  7999,  8001,
    8003,  8005,  8007,  8009,  8011,  8013,  8015,  8017,  8019,  8021,
    8023,  8025,  8027,  8029,  8031,  8033,  8035,  8037,  8039,  8041,
    8043,  8045,  8047,  8049,  8051,  8053,  8055,  8057,  8059,  8061,
    8063,  8065,  8067,  8069,  8071,  8073,  8075,  8077,  8079,  8081,
    8083,  8085,  8087,  8089,  8091,  8093,  8095,  8097,  8099,  8101,
    8103,  8105,  8107,  8109,  8111,  8113,  8115,  8117,  8119,  8121,
    8123,  8125,  8127,  8129,  8131,  8133,  8135,  8137,  8139,  8141,
    8143,  8145,  8147,  8149,  8151,  8153,  8155,  8157,  8159,  8161,
    8163,  8165,  8167,  8169,  8171,  8173,  8175,  8177,  8179,  8181,
    8183,  8185,  8187,  8189,  8191,  8193,  8195,  8197,  8199,  8201,
    8203,  8205,  8207,  8209,  8211,  8213,  8215,  8217,  8219,  8221,
    8223,  8225,  8227,  8229,  8231,  8233,  8235,  8237,  8239,  8241,
    8243,  8245,  8247,  8249,  8251,  8253,  8255,  8257,  8259,  8261,
    8263,  8265,  8267,  8269,  8271,  8273,  8275,  8277,  8279,  8281,
    8283,  8285,  8287,  8289,  8291,  8293,  8295,  8297,  8299,  8301,
    8303,  8305,  8307,  8309,  8311,  8313,  8315,  8317,  8319,  8321,
    8323,  8325,  8327,  8329,  8331,  8333,  8335,  8337,  8339,  8341,
    8343,  8345,  8347,  8349,  8351,  8353,  8355,  8357,  8359,  8361,
    8363,  8365,  8367,  8369,  8371,  8373,  8375,  8377,  8379,  8381,
    8383,  8385,  8387,  8389,  8391
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     443,     0,    -1,   444,    -1,   444,   439,   445,    -1,   445,
      -1,   635,    -1,   785,    -1,   786,    -1,   699,    -1,   792,
      -1,   649,    -1,   587,    -1,   590,    -1,   596,    -1,   610,
      -1,   612,    -1,   737,    -1,   461,    -1,   759,    -1,   760,
      -1,   566,    -1,   790,    -1,   489,    -1,   755,    -1,   501,
      -1,   455,    -1,   453,    -1,   795,    -1,   794,    -1,   616,
      -1,   457,    -1,   456,    -1,   802,    -1,   487,    -1,   504,
      -1,   797,    -1,   673,    -1,   484,    -1,   505,    -1,   558,
      -1,   637,    -1,   748,    -1,   796,    -1,   791,    -1,   584,
      -1,   591,    -1,   605,    -1,   611,    -1,   715,    -1,   460,
      -1,   561,    -1,   651,    -1,   658,    -1,   659,    -1,   573,
      -1,   464,    -1,   565,    -1,   521,    -1,   581,    -1,   617,
      -1,   631,    -1,   446,    -1,   452,    -1,   613,    -1,   781,
      -1,   819,    -1,   838,    -1,   639,    -1,   825,    -1,   488,
      -1,   745,    -1,   638,    -1,   750,    -1,   595,    -1,   609,
      -1,   463,    -1,   662,    -1,   663,    -1,   664,    -1,   579,
      -1,   768,    -1,   666,    -1,   583,    -1,   630,    -1,   458,
      -1,   459,    -1,   615,    -1,   789,    -1,   817,    -1,   808,
      -1,   680,    -1,   684,    -1,   695,    -1,   704,    -1,   820,
      -1,   771,    -1,   564,    -1,   780,    -1,   827,    -1,   769,
      -1,   814,    -1,   665,    -1,   752,    -1,   741,    -1,   740,
      -1,   742,    -1,   756,    -1,   685,    -1,   696,    -1,   761,
      -1,   676,    -1,   842,    -1,   773,    -1,   671,    -1,   772,
      -1,   831,    -1,   799,    -1,   480,    -1,   468,    -1,   483,
      -1,   778,    -1,    -1,    83,   308,  1005,   447,   448,    -1,
     400,    -1,    -1,   448,   451,    -1,    -1,   449,   450,    -1,
      -1,   269,  1004,    -1,   269,   241,    -1,   125,   269,  1004,
      -1,   372,   269,  1004,    -1,   177,    -1,    75,   211,  1007,
      -1,   383,   378,  1004,    -1,   380,  1006,    -1,     3,    -1,
     450,    -1,   347,  1003,    -1,    19,  1006,    -1,   308,  1006,
      -1,   172,   308,  1006,    -1,   172,   160,  1006,    -1,    83,
     380,  1005,   447,   448,    -1,    24,   308,  1005,   447,   449,
      -1,    -1,   172,    97,   996,    -1,    24,   308,  1005,   454,
     481,    -1,    24,   308,    22,   454,   481,    -1,    24,   380,
    1005,   447,   449,    -1,    24,   380,  1005,   481,    -1,   120,
     308,  1006,    -1,   120,   308,   167,   135,  1006,    -1,   120,
     380,  1006,    -1,   120,   380,   167,   135,  1006,    -1,    83,
     160,  1005,   447,   448,    -1,    24,   160,  1005,   462,   380,
    1006,    -1,    18,    -1,   120,    -1,   120,   160,  1006,    -1,
     120,   160,   167,   135,  1006,    -1,    83,   314,   465,    38,
    1005,   466,    -1,    83,   314,  1008,   466,    -1,    83,   314,
     167,   236,   135,   465,    38,  1005,   466,    -1,    83,   314,
     167,   236,   135,  1008,   466,    -1,  1008,    -1,    -1,   466,
     467,    -1,    -1,   521,    -1,   704,    -1,   565,    -1,   617,
      -1,   684,    -1,   778,    -1,   326,   469,    -1,   326,   214,
     469,    -1,   326,   324,   469,    -1,   361,   776,    -1,   324,
      59,    31,   361,   776,    -1,   471,    -1,   472,   359,   473,
      -1,   472,   423,   473,    -1,   472,   359,   103,    -1,   472,
     423,   103,    -1,   470,    -1,   472,   152,    86,    -1,   357,
     418,   477,    -1,    55,  1004,    -1,   314,  1004,    -1,   229,
     478,    -1,   308,   479,    -1,   324,    38,   479,    -1,   324,
      38,   103,    -1,   406,   253,   938,    -1,   361,   333,  1004,
      -1,  1008,    -1,   472,   438,  1008,    -1,   474,    -1,   473,
     440,   474,    -1,   476,    -1,   571,    -1,   286,   371,    -1,
     286,    72,    -1,   298,   286,    -1,   322,    -1,   365,    -1,
     140,    -1,   250,    -1,   479,    -1,  1004,    -1,     3,    -1,
     922,  1004,   924,    -1,   922,   436,  1003,   437,  1004,   924,
      -1,   571,    -1,   103,    -1,   214,    -1,  1004,    -1,   103,
      -1,    -1,  1010,    -1,  1004,    -1,   301,   472,    -1,   301,
     357,   418,    -1,   301,   361,   195,   209,    -1,   301,   324,
      38,    -1,   301,    22,    -1,   326,   469,    -1,   480,    -1,
     326,   471,    -1,   480,    -1,   329,   472,    -1,   329,   357,
     418,    -1,   329,   361,   195,   209,    -1,   329,   324,    38,
      -1,   329,    22,    -1,   326,    77,   485,   486,    -1,    22,
      -1,   992,    -1,   106,    -1,   169,    -1,    61,    -1,   114,
      22,    -1,   114,   352,    -1,   114,   354,    -1,   114,   271,
      -1,   114,   321,    -1,    24,   349,   889,   490,    -1,    24,
     349,   167,   135,   889,   490,    -1,    24,   175,   993,   490,
      -1,    24,   175,   167,   135,   993,   490,    -1,    24,   320,
     993,   490,    -1,    24,   320,   167,   135,   993,   490,    -1,
      24,   393,   993,   490,    -1,    24,   393,   167,   135,   993,
     490,    -1,    24,   221,   393,   993,   490,    -1,    24,   221,
     393,   167,   135,   993,   490,    -1,   491,    -1,   490,   440,
     491,    -1,    18,   529,    -1,    18,    68,   529,    -1,    24,
     757,  1008,   492,    -1,    24,   757,  1008,   120,   236,   241,
      -1,    24,   757,  1008,   326,   236,   241,    -1,    24,   757,
    1008,   326,   339,  1007,    -1,    24,   757,  1008,   326,   497,
      -1,    24,   757,  1008,   301,   497,    -1,    24,   757,  1008,
     326,   342,  1008,    -1,   120,   757,   167,   135,  1008,   493,
      -1,   120,   757,  1008,   493,    -1,    24,   757,  1008,   758,
     368,   902,   494,   495,    -1,    24,   757,  1008,   599,    -1,
      18,   538,    -1,    24,    76,   995,   628,    -1,   384,    76,
     995,    -1,   120,    76,   167,   135,   995,   493,    -1,   120,
      76,   995,   493,    -1,   326,   400,   249,    -1,   326,   402,
     249,    -1,    64,   250,   995,    -1,   326,   402,    64,    -1,
     123,   363,   995,    -1,   123,    25,   363,   995,    -1,   123,
     300,   363,   995,    -1,   123,   363,    22,    -1,   123,   363,
     380,    -1,   113,   363,   995,    -1,   113,   363,    22,    -1,
     113,   363,   380,    -1,   123,   312,   995,    -1,   123,    25,
     312,   995,    -1,   123,   300,   312,   995,    -1,   113,   312,
     995,    -1,   177,   993,    -1,   234,   177,   993,    -1,   246,
     669,    -1,   236,   246,    -1,   264,   359,  1005,    -1,   326,
     351,   995,    -1,   326,   497,    -1,   301,   497,    -1,   300,
     166,   496,    -1,   599,    -1,   326,   103,   926,    -1,   120,
     103,    -1,    51,    -1,   303,    -1,    -1,    66,   669,    -1,
      -1,   381,   926,    -1,    -1,   237,    -1,   153,    -1,   103,
      -1,   381,   175,   995,    -1,   436,   499,   437,    -1,   400,
     497,    -1,    -1,   500,    -1,   499,   440,   500,    -1,  1011,
     423,   643,    -1,  1011,    -1,  1011,   438,  1011,   423,   643,
      -1,  1011,   438,  1011,    -1,    24,   368,   669,   502,    -1,
     503,    -1,   502,   440,   503,    -1,    18,    37,   901,   493,
      -1,   120,    37,   167,   135,  1008,   493,    -1,   120,    37,
    1008,   493,    -1,    24,    37,  1008,   758,   368,   902,   494,
     493,    -1,    63,   839,    -1,    63,    22,    -1,    81,   512,
     993,   541,   513,   506,   507,   508,   514,   447,   509,    -1,
      81,   843,   359,   507,   508,   447,   509,    -1,   152,    -1,
     359,    -1,   283,    -1,    -1,  1004,    -1,   340,    -1,   341,
      -1,   510,    -1,   436,   516,   437,    -1,   510,   511,    -1,
      -1,    44,    -1,   249,    -1,   151,    -1,   109,   793,  1004,
      -1,   241,   793,  1004,    -1,    85,    -1,   163,    -1,   284,
     793,  1004,    -1,   128,   793,  1004,    -1,   148,   284,   542,
      -1,   148,   284,   429,    -1,   148,   236,   241,   542,    -1,
     148,   241,   542,    -1,   124,  1004,    -1,    44,    -1,    -1,
     400,   249,    -1,    -1,   515,   110,  1004,    -1,    -1,   381,
      -1,    -1,   517,    -1,   516,   440,   517,    -1,  1011,   518,
      -1,   476,    -1,   571,    -1,   429,    -1,   436,   519,   437,
      -1,    -1,   520,    -1,   519,   440,   520,    -1,   476,    -1,
      83,   522,   349,   993,   436,   523,   437,   552,   553,   554,
     555,    -1,    83,   522,   349,   167,   236,   135,   993,   436,
     523,   437,   552,   553,   554,   555,    -1,    83,   522,   349,
     993,   246,   669,   524,   553,   554,   555,    -1,    83,   522,
     349,   167,   236,   135,   993,   246,   669,   524,   553,   554,
     555,    -1,   354,    -1,   352,    -1,   214,   354,    -1,   214,
     352,    -1,   156,   354,    -1,   156,   352,    -1,   377,    -1,
      -1,   525,    -1,    -1,   436,   526,   437,    -1,    -1,   527,
      -1,   525,   440,   527,    -1,   528,    -1,   526,   440,   528,
      -1,   529,    -1,   535,    -1,   538,    -1,   530,    -1,   538,
      -1,  1008,   902,   597,   531,    -1,  1008,   400,   254,   531,
      -1,   531,   532,    -1,    -1,    76,   995,   533,    -1,   533,
      -1,   534,    -1,    66,   669,    -1,   236,   241,    -1,   241,
      -1,   374,   734,   556,    -1,   278,   197,   734,   556,    -1,
      60,   436,   926,   437,   540,    -1,   103,   927,    -1,   292,
     993,   541,   544,   548,    -1,   105,    -1,   236,   105,    -1,
     179,   106,    -1,   179,   169,    -1,   210,   993,   536,    -1,
     536,   173,   537,    -1,   536,   132,   537,    -1,    -1,   104,
      -1,    77,    -1,   176,    -1,   342,    -1,    70,    -1,    22,
      -1,    76,   995,   539,    -1,   539,    -1,    60,   436,   926,
     437,   628,    -1,   374,   436,   542,   437,   734,   556,   628,
      -1,   374,   557,   628,    -1,   278,   197,   436,   542,   437,
     734,   556,   628,    -1,   278,   197,   557,   628,    -1,   131,
     708,   436,   545,   437,   734,   556,   547,   628,    -1,   149,
     197,   436,   542,   437,   292,   993,   541,   544,   548,   628,
      -1,   234,   177,    -1,    -1,   436,   542,   437,    -1,    -1,
     543,    -1,   542,   440,   543,    -1,  1008,    -1,   220,   153,
      -1,   220,   266,    -1,   220,   331,    -1,    -1,   546,    -1,
     545,   440,   546,    -1,   710,   400,   744,    -1,   710,   400,
     252,   436,   744,   437,    -1,   397,   436,   926,   437,    -1,
      -1,   549,    -1,   550,    -1,   549,   550,    -1,   550,   549,
      -1,    -1,   250,   379,   551,    -1,   250,   108,   551,    -1,
     234,    17,    -1,   303,    -1,    51,    -1,   326,   241,    -1,
     326,   103,    -1,   178,   436,   992,   437,    -1,    -1,   400,
     497,    -1,   400,   249,    -1,   402,   249,    -1,    -1,   250,
      71,   120,    -1,   250,    71,   108,   311,    -1,   250,    71,
     275,   311,    -1,    -1,   351,   995,    -1,    -1,   381,   175,
     351,   995,    -1,    -1,   381,   175,   999,    -1,    83,   522,
     349,   559,    31,   842,   560,    -1,   993,   541,   553,   554,
     555,    -1,   400,    96,    -1,   400,   234,    96,    -1,    -1,
      83,   563,   221,   393,   562,    31,   842,   560,    -1,   993,
     541,   498,   555,    -1,   377,    -1,    -1,   293,   221,   393,
     706,   993,   560,    -1,    83,   522,   320,   993,   567,    -1,
      24,   320,   993,   568,    -1,    24,   320,   167,   135,   993,
     568,    -1,   568,    -1,    -1,   569,    -1,   568,   569,    -1,
      49,   571,    -1,    95,    -1,   234,    95,    -1,   174,   570,
     571,    -1,   222,   571,    -1,   224,   571,    -1,   234,   222,
      -1,   234,   224,    -1,   263,    48,   669,    -1,   337,   447,
     571,    -1,   302,    -1,   302,   447,   571,    -1,    48,    -1,
      -1,     4,    -1,   428,     4,    -1,  1007,    -1,   571,    -1,
     572,   440,   571,    -1,    83,   716,   574,   580,   199,   479,
      -1,    83,   716,   574,   580,   199,   479,   161,   575,   576,
     578,    -1,   367,    -1,    -1,   995,    -1,   995,   670,    -1,
     180,   575,    -1,    -1,   385,   575,    -1,   234,   385,    -1,
     577,    -1,    -1,   120,   580,   199,   479,   493,    -1,   120,
     580,   199,   167,   135,   479,   493,    -1,   281,    -1,    -1,
      83,   351,   995,   582,   217,  1004,   498,    -1,   264,   995,
      -1,    -1,   120,   351,   995,    -1,   120,   351,   167,   135,
     995,    -1,    83,   137,   995,   447,   585,    -1,    83,   137,
     167,   236,   135,   995,   447,   585,    -1,   585,   586,    -1,
      -1,   314,   995,    -1,   392,   479,    -1,   152,   479,    -1,
      24,   137,   995,   379,   588,    -1,   588,   589,    -1,    -1,
     359,   479,    -1,    24,   137,   995,   462,    21,  1001,   728,
      -1,    24,   137,   995,   462,    54,   436,   902,    31,   902,
     437,    -1,    24,   137,   995,   462,    67,   669,    -1,    24,
     137,   995,   462,    80,   669,    -1,    24,   137,   995,   462,
     118,   669,    -1,    24,   137,   995,   462,   154,   694,    -1,
      24,   137,   995,   462,   580,   199,   995,    -1,    24,   137,
     995,   462,   252,   744,   743,    -1,    24,   137,   995,   462,
     252,    62,   669,   381,   997,    -1,    24,   137,   995,   462,
     252,   141,   669,   381,   997,    -1,    24,   137,   995,   462,
     314,   995,    -1,    24,   137,   995,   462,   129,   363,   995,
      -1,    24,   137,   995,   462,   349,   669,    -1,    24,   137,
     995,   462,   355,   316,   265,   669,    -1,    24,   137,   995,
     462,   355,   316,   112,   669,    -1,    24,   137,   995,   462,
     355,   316,   353,   669,    -1,    24,   137,   995,   462,   355,
     316,    74,   669,    -1,    24,   137,   995,   462,   320,   669,
      -1,    24,   137,   995,   462,   393,   669,    -1,    24,   137,
     995,   462,   221,   393,   669,    -1,    24,   137,   995,   462,
     149,   349,   669,    -1,    24,   137,   995,   462,   149,    96,
     404,   995,    -1,    24,   137,   995,   462,   323,   995,    -1,
      24,   137,   995,   462,   368,   669,    -1,    83,   149,    96,
     404,   995,   594,   597,    -1,   161,   575,    -1,   234,   161,
      -1,   385,   575,    -1,   234,   385,    -1,   592,    -1,   593,
     592,    -1,   593,    -1,    -1,   120,   149,    96,   404,   995,
     493,    -1,   120,   149,    96,   404,   167,   135,   995,   493,
      -1,    24,   149,    96,   404,   995,   594,   599,    -1,    24,
     149,    96,   404,   995,   593,    -1,   254,   436,   598,   437,
      -1,    -1,   602,    -1,   598,   440,   602,    -1,   254,   436,
     600,   437,    -1,   601,    -1,   600,   440,   601,    -1,   602,
      -1,   326,   602,    -1,    18,   602,    -1,   120,   603,    -1,
     603,   604,    -1,  1011,    -1,  1004,    -1,    83,   323,   995,
     606,   608,   149,    96,   404,   995,   597,    -1,   368,  1004,
      -1,    -1,   392,  1004,    -1,   392,   241,    -1,   607,    -1,
      -1,   120,   323,   995,   493,    -1,   120,   323,   167,   135,
     995,   493,    -1,    24,   323,   995,   607,   599,    -1,    24,
     323,   995,   607,    -1,    24,   323,   995,   599,    -1,    83,
     149,   349,   993,   436,   523,   437,   323,   995,   597,    -1,
      83,   149,   349,   167,   236,   135,   993,   436,   523,   437,
     323,   995,   597,    -1,    24,   149,   349,   889,   490,    -1,
      24,   149,   349,   167,   135,   889,   490,    -1,    83,   380,
     219,   147,   614,   323,   995,   597,    -1,    93,    -1,   380,
      -1,  1005,    -1,   120,   380,   219,   147,   614,   323,   995,
      -1,   120,   380,   219,   167,   135,   147,   614,   323,   995,
      -1,    24,   380,   219,   147,   614,   323,   995,   599,    -1,
      83,   363,   995,   618,   619,   250,   993,   621,   624,   134,
     282,  1001,   436,   625,   437,    -1,    83,    76,   363,   995,
      20,   619,   250,   993,   627,   628,   147,   121,   310,   624,
     134,   282,  1001,   436,   625,   437,    -1,    40,    -1,    20,
      -1,   186,   246,    -1,   620,    -1,   619,   255,   620,    -1,
     185,    -1,   108,    -1,   379,    -1,   379,   246,   542,    -1,
     366,    -1,   147,   622,   623,    -1,    -1,   121,    -1,    -1,
     310,    -1,   338,    -1,   396,   436,   926,   437,    -1,    -1,
     626,    -1,   625,   440,   626,    -1,    -1,  1003,    -1,     4,
      -1,  1004,    -1,  1011,    -1,   152,   993,    -1,    -1,    -1,
     628,   629,    -1,   236,   105,    -1,   105,    -1,   179,   169,
      -1,   179,   106,    -1,   236,   383,    -1,   234,   177,    -1,
     120,   363,   995,   250,   669,   493,    -1,   120,   363,   167,
     135,   995,   250,   669,   493,    -1,    83,   129,   363,   995,
     250,  1011,   134,   282,  1001,   436,   437,    -1,    83,   129,
     363,   995,   250,  1011,   396,   632,   134,   282,  1001,   436,
     437,    -1,   633,    -1,   632,    28,   633,    -1,  1008,   172,
     436,   634,   437,    -1,     5,    -1,   634,   440,     5,    -1,
      24,   129,   363,   995,   636,    -1,   123,    -1,   123,   300,
      -1,   123,    25,    -1,   113,    -1,    83,    33,   995,    60,
     436,   926,   437,   628,    -1,   120,    33,   995,   493,    -1,
      83,    21,  1001,   728,   640,    -1,    83,    21,  1001,   644,
      -1,    83,   252,   744,   640,    -1,    83,   368,   669,   640,
      -1,    83,   368,   669,    -1,    83,   368,   669,    31,   436,
     899,   437,    -1,    83,   368,   669,    31,   127,   436,   647,
     437,    -1,    83,   368,   669,    31,   285,   640,    -1,    83,
     355,   316,   265,   669,   640,    -1,    83,   355,   316,   112,
     669,   640,    -1,    83,   355,   316,   353,   669,   640,    -1,
      83,   355,   316,    74,   669,   640,    -1,    83,    67,   669,
     640,    -1,    83,    67,   669,   152,   669,    -1,   436,   641,
     437,    -1,   642,    -1,   641,   440,   642,    -1,  1011,   423,
     643,    -1,  1011,    -1,   725,    -1,  1015,    -1,   958,    -1,
     571,    -1,  1004,    -1,   436,   645,   437,    -1,   646,    -1,
     645,   440,   646,    -1,     3,   423,   643,    -1,   648,    -1,
      -1,  1004,    -1,   648,   440,  1004,    -1,    24,   368,   669,
      18,   386,   650,  1004,    -1,    24,   368,   669,    18,   386,
     650,  1004,    40,  1004,    -1,    24,   368,   669,    18,   386,
     650,  1004,    20,  1004,    -1,   167,   236,   135,    -1,    -1,
      83,   252,    62,   669,   654,   147,   368,   902,   381,   997,
     655,    31,   652,    -1,   653,    -1,   652,   440,   653,    -1,
     252,  1003,   744,   656,   657,    -1,   252,  1003,   744,   743,
     656,   657,    -1,   154,  1003,  1001,   717,    -1,   154,  1003,
     436,   963,   437,  1001,   717,    -1,   342,   902,    -1,   103,
      -1,    -1,   141,   669,    -1,    -1,   147,   316,    -1,   147,
     256,    48,   669,    -1,    -1,   289,    -1,    -1,    83,   252,
     141,   669,   381,   997,    -1,    24,   252,   141,   669,   381,
     997,    18,   652,    -1,    24,   252,   141,   669,   381,   997,
     120,   660,    -1,   661,    -1,   660,   440,   661,    -1,   252,
    1003,   436,   963,   437,    -1,   154,  1003,   436,   963,   437,
      -1,   120,   252,    62,   669,   381,   997,   493,    -1,   120,
     252,    62,   167,   135,   669,   381,   997,   493,    -1,   120,
     252,   141,   669,   381,   997,   493,    -1,   120,   252,   141,
     167,   135,   669,   381,   997,   493,    -1,   120,   263,    48,
    1006,   493,    -1,   288,   263,    48,  1006,   359,   995,    -1,
     120,   667,   167,   135,   668,   493,    -1,   120,   667,   668,
     493,    -1,   120,   175,    73,   668,   493,    -1,   120,   175,
      73,   167,   135,   668,   493,    -1,   349,    -1,   320,    -1,
     393,    -1,   221,   393,    -1,   175,    -1,   149,   349,    -1,
     129,   363,    -1,   368,    -1,   118,    -1,    67,    -1,    80,
      -1,   314,    -1,   137,    -1,   355,   316,   265,    -1,   355,
     316,   112,    -1,   355,   316,   353,    -1,   355,   316,    74,
      -1,   669,    -1,   668,   440,   669,    -1,  1008,    -1,  1008,
     670,    -1,   438,   998,    -1,   670,   438,   998,    -1,   366,
     853,   890,   672,   493,    -1,    79,   166,    -1,   302,   166,
      -1,    -1,    69,   250,   674,   669,   193,   675,    -1,    69,
     250,    21,  1001,   728,   193,   675,    -1,    69,   250,   154,
    1001,   717,   193,   675,    -1,    69,   250,   252,   744,   743,
     193,   675,    -1,    69,   250,    76,   995,   250,   669,   193,
     675,    -1,    69,   250,   312,   995,   250,   669,   193,   675,
      -1,    69,   250,   312,   995,   193,   675,    -1,    69,   250,
     363,   995,   250,   669,   193,   675,    -1,    69,   250,   252,
      62,   669,   381,   997,   193,   675,    -1,    69,   250,   252,
     141,   669,   381,   997,   193,   675,    -1,    69,   250,   200,
     245,   571,   193,   675,    -1,    69,   250,    54,   436,   902,
      31,   902,   437,   193,   675,    -1,    69,   250,   580,   199,
     669,   193,   675,    -1,    68,    -1,    97,    -1,   314,    -1,
     175,    -1,   320,    -1,   349,    -1,   118,    -1,   368,    -1,
     393,    -1,   221,   393,    -1,    67,    -1,    80,    -1,   351,
      -1,   137,    -1,   308,    -1,   149,   349,    -1,   323,    -1,
     149,    96,   404,    -1,   129,   363,    -1,   355,   316,    74,
      -1,   355,   316,   112,    -1,   355,   316,   265,    -1,   355,
     316,   353,    -1,  1004,    -1,   241,    -1,   318,   198,   677,
     250,   678,   669,   193,   679,    -1,   318,   198,   677,   250,
      21,  1001,   728,   193,   679,    -1,   318,   198,   677,   250,
     154,  1001,   717,   193,   679,    -1,   318,   198,   677,   250,
     200,   245,   571,   193,   679,    -1,   318,   198,   677,   250,
     580,   199,   669,   193,   679,    -1,   147,   479,    -1,    -1,
      68,    -1,    97,    -1,   129,   363,    -1,   149,   349,    -1,
     314,    -1,   320,    -1,   349,    -1,   118,    -1,   308,    -1,
     351,    -1,   368,    -1,   393,    -1,   221,   393,    -1,  1004,
      -1,   241,    -1,   142,   681,    -1,   227,   681,    -1,   839,
      -1,   682,   839,    -1,   233,   683,   839,    -1,   279,   683,
     839,    -1,   144,   683,   839,    -1,   201,   683,   839,    -1,
      15,  1007,   683,   839,    -1,   295,  1007,   683,   839,    -1,
    1007,   683,   839,    -1,    22,   683,   839,    -1,   150,   683,
     839,    -1,   150,  1007,   683,   839,    -1,   150,    22,   683,
     839,    -1,    39,   683,   839,    -1,    39,  1007,   683,   839,
      -1,    39,    22,   683,   839,    -1,   152,    -1,   172,    -1,
     682,    -1,    -1,   157,   686,   250,   689,   359,   690,   692,
      -1,   306,   686,   250,   689,   152,   690,   493,    -1,   306,
     157,   253,   147,   686,   250,   689,   152,   690,   493,    -1,
     687,    -1,    22,    -1,    22,   280,    -1,    22,   436,   542,
     437,    -1,    22,   280,   436,   542,   437,    -1,   688,    -1,
     687,   440,   688,    -1,   319,   541,    -1,   292,   541,    -1,
      83,   541,    -1,  1008,   541,    -1,   992,    -1,   349,   992,
      -1,   320,   992,    -1,   149,    96,   404,   994,    -1,   149,
     323,   994,    -1,   154,   693,    -1,    97,   994,    -1,   118,
     668,    -1,   199,   994,    -1,   200,   245,   572,    -1,   314,
     994,    -1,   351,   994,    -1,   368,   668,    -1,    22,   350,
     172,   314,   994,    -1,    22,   321,   172,   314,   994,    -1,
      22,   155,   172,   314,   994,    -1,   691,    -1,   690,   440,
     691,    -1,  1005,    -1,   160,  1005,    -1,   400,   157,   253,
      -1,    -1,   694,    -1,   693,   440,   694,    -1,  1001,   717,
      -1,   157,   687,   359,  1006,   697,   698,    -1,   306,   687,
     152,  1006,   698,   493,    -1,   306,    19,   253,   147,   687,
     152,  1006,   698,   493,    -1,   400,    19,   253,    -1,    -1,
     158,    48,  1005,    -1,    -1,    24,   103,   280,   700,   702,
      -1,   700,   701,    -1,    -1,   172,   314,   994,    -1,   147,
     308,  1006,    -1,   147,   380,  1006,    -1,   157,   686,   250,
     703,   359,   690,   692,    -1,   306,   686,   250,   703,   152,
     690,   493,    -1,   306,   157,   253,   147,   686,   250,   703,
     152,   690,   493,    -1,   350,    -1,   155,    -1,   321,    -1,
     369,    -1,    83,   705,   175,   706,   707,   250,   993,   708,
     436,   709,   437,   498,   555,   897,    -1,   374,    -1,    -1,
      73,    -1,    -1,   999,    -1,    -1,   381,   997,    -1,    -1,
     710,    -1,   709,   440,   710,    -1,  1008,   711,   712,   713,
     714,    -1,   931,   711,   712,   713,   714,    -1,   436,   926,
     437,   711,   712,   713,   714,    -1,    66,   669,    -1,    -1,
     669,    -1,   381,   669,    -1,    -1,    32,    -1,   111,    -1,
      -1,   419,    -1,   420,    -1,    -1,    83,   716,   154,  1001,
     719,   305,   724,   730,   734,    -1,    83,   716,   154,  1001,
     719,   305,   349,   436,   736,   437,   730,   734,    -1,    83,
     716,   154,  1001,   719,   730,   734,    -1,   255,   299,    -1,
      -1,   436,   718,   437,    -1,   436,   437,    -1,   721,    -1,
     718,   440,   721,    -1,   436,   720,   437,    -1,   436,   437,
      -1,   726,    -1,   720,   440,   726,    -1,   722,   723,   725,
      -1,   723,   722,   725,    -1,   723,   725,    -1,   722,   725,
      -1,   725,    -1,   172,    -1,   258,    -1,   182,    -1,   172,
     258,    -1,   389,    -1,  1009,    -1,   725,    -1,   902,    -1,
    1009,   670,   431,   368,    -1,   327,  1009,   670,   431,   368,
      -1,   721,    -1,   721,   103,   926,    -1,   721,   423,   926,
      -1,   721,    -1,   436,   429,   437,    -1,   436,   729,   437,
      -1,   436,   256,    48,   729,   437,    -1,   436,   729,   256,
      48,   729,   437,    -1,   727,    -1,   729,   440,   727,    -1,
     732,    -1,   730,   732,    -1,    50,   250,   241,   183,    -1,
     305,   241,   250,   241,   183,    -1,   343,    -1,   170,    -1,
     335,    -1,   395,    -1,   138,   318,   107,    -1,   138,   318,
     192,    -1,   318,   107,    -1,   318,   192,    -1,   206,    -1,
     236,   206,    -1,    82,   571,    -1,   311,   571,    -1,   482,
      -1,    31,   733,    -1,   199,   479,    -1,   399,    -1,   731,
      -1,  1004,    -1,  1004,   440,  1004,    -1,   400,   640,    -1,
      -1,   723,   725,    -1,   735,    -1,   736,   440,   735,    -1,
      24,   154,   694,   738,   739,    -1,   731,    -1,   738,   731,
      -1,   303,    -1,    -1,   120,   154,  1001,   717,   493,    -1,
     120,   154,   167,   135,  1001,   717,   493,    -1,   120,    21,
    1001,   728,   493,    -1,   120,    21,   167,   135,  1001,   728,
     493,    -1,   120,   252,   744,   743,   493,    -1,   120,   252,
     167,   135,   744,   743,   493,    -1,   436,   902,   437,    -1,
     436,   902,   440,   902,   437,    -1,   436,   235,   440,   902,
     437,    -1,   436,   902,   440,   235,   437,    -1,   955,    -1,
    1008,   438,   744,    -1,   116,   746,    -1,   747,    -1,   746,
     747,    -1,  1004,    -1,   199,   479,    -1,    83,    54,   436,
     902,    31,   902,   437,   400,   154,   694,   749,    -1,    83,
      54,   436,   902,    31,   902,   437,   402,   154,   749,    -1,
      83,    54,   436,   902,    31,   902,   437,   400,   182,   749,
      -1,    31,   171,    -1,    31,    34,    -1,    -1,   120,    54,
     751,   436,   902,    31,   902,   437,   493,    -1,   167,   135,
      -1,    -1,   294,   753,   993,   754,    -1,   294,   348,   995,
     754,    -1,   294,    97,   995,   754,    -1,   175,    -1,   349,
      -1,   148,    -1,    -1,    24,   351,   995,   227,    22,   359,
     995,   830,    -1,    24,   351,   995,   227,   350,   359,   995,
     830,    -1,    24,   351,   995,   227,   176,   359,   995,   830,
      -1,    24,   351,   995,   227,   221,   394,   359,   995,   830,
      -1,    24,   351,   995,   227,    22,   263,    48,  1006,   359,
     995,   830,    -1,    24,   351,   995,   227,   350,   263,    48,
    1006,   359,   995,   830,    -1,    24,   351,   995,   227,   176,
     263,    48,  1006,   359,   995,   830,    -1,    24,   351,   995,
     227,   221,   394,   263,    48,  1006,   359,   995,   830,    -1,
      24,   351,   995,   326,   497,    -1,    24,   351,   995,   301,
     497,    -1,    24,    21,  1001,   728,   297,   359,   995,    -1,
      24,    67,   669,   297,   359,   995,    -1,    24,    80,   669,
     297,   359,   995,    -1,    24,    97,   996,   297,   359,   996,
      -1,    24,   118,   669,   297,   359,   995,    -1,    24,   118,
     669,   297,    76,   995,   359,   995,    -1,    24,   149,    96,
     404,   995,   297,   359,   995,    -1,    24,   154,   694,   297,
     359,   995,    -1,    24,   160,  1005,   297,   359,  1005,    -1,
      24,   580,   199,   995,   297,   359,   995,    -1,    24,   252,
      62,   669,   381,   997,   297,   359,   995,    -1,    24,   252,
     141,   669,   381,   997,   297,   359,   995,    -1,    24,   314,
     995,   297,   359,   995,    -1,    24,   323,   995,   297,   359,
     995,    -1,    24,   349,   889,   297,   359,   995,    -1,    24,
     349,   167,   135,   889,   297,   359,   995,    -1,    24,   320,
     993,   297,   359,   995,    -1,    24,   320,   167,   135,   993,
     297,   359,   995,    -1,    24,   393,   993,   297,   359,   995,
      -1,    24,   393,   167,   135,   993,   297,   359,   995,    -1,
      24,   221,   393,   993,   297,   359,   995,    -1,    24,   221,
     393,   167,   135,   993,   297,   359,   995,    -1,    24,   175,
     993,   297,   359,   995,    -1,    24,   175,   167,   135,   993,
     297,   359,   995,    -1,    24,   149,   349,   889,   297,   359,
     995,    -1,    24,   149,   349,   167,   135,   889,   297,   359,
     995,    -1,    24,   349,   889,   297,   757,   995,   359,   995,
      -1,    24,   349,   167,   135,   889,   297,   757,   995,   359,
     995,    -1,    24,   221,   393,   993,   297,   757,   995,   359,
     995,    -1,    24,   221,   393,   167,   135,   993,   297,   757,
     995,   359,   995,    -1,    24,   349,   889,   297,    76,   995,
     359,   995,    -1,    24,   149,   349,   889,   297,   757,   995,
     359,   995,    -1,    24,   149,   349,   167,   135,   889,   297,
     757,   995,   359,   995,    -1,    24,   312,   995,   250,   993,
     297,   359,   995,    -1,    24,   363,   995,   250,   993,   297,
     359,   995,    -1,    24,   129,   363,   995,   297,   359,   995,
      -1,    24,   308,  1005,   297,   359,  1005,    -1,    24,   380,
    1005,   297,   359,  1005,    -1,    24,   351,   995,   297,   359,
     995,    -1,    24,   355,   316,   265,   669,   297,   359,   995,
      -1,    24,   355,   316,   112,   669,   297,   359,   995,    -1,
      24,   355,   316,   353,   669,   297,   359,   995,    -1,    24,
     355,   316,    74,   669,   297,   359,   995,    -1,    24,   368,
     669,   297,   359,   995,    -1,    24,   368,   669,   297,    37,
     995,   359,   995,   493,    -1,    68,    -1,    -1,   326,    96,
      -1,    -1,    24,    21,  1001,   728,   326,   314,   995,    -1,
      24,    67,   669,   326,   314,   995,    -1,    24,    80,   669,
     326,   314,   995,    -1,    24,   118,   669,   326,   314,   995,
      -1,    24,   137,   669,   326,   314,   995,    -1,    24,   154,
     694,   326,   314,   995,    -1,    24,   252,   744,   743,   326,
     314,   995,    -1,    24,   252,    62,   669,   381,   997,   326,
     314,   995,    -1,    24,   252,   141,   669,   381,   997,   326,
     314,   995,    -1,    24,   349,   889,   326,   314,   995,    -1,
      24,   349,   167,   135,   889,   326,   314,   995,    -1,    24,
     355,   316,   265,   669,   326,   314,   995,    -1,    24,   355,
     316,   112,   669,   326,   314,   995,    -1,    24,   355,   316,
     353,   669,   326,   314,   995,    -1,    24,   355,   316,    74,
     669,   326,   314,   995,    -1,    24,   320,   993,   326,   314,
     995,    -1,    24,   320,   167,   135,   993,   326,   314,   995,
      -1,    24,   393,   993,   326,   314,   995,    -1,    24,   393,
     167,   135,   993,   326,   314,   995,    -1,    24,   221,   393,
     993,   326,   314,   995,    -1,    24,   221,   393,   167,   135,
     993,   326,   314,   995,    -1,    24,   149,   349,   889,   326,
     314,   995,    -1,    24,   149,   349,   167,   135,   889,   326,
     314,   995,    -1,    24,   368,   669,   326,   314,   995,    -1,
      24,    21,  1001,   728,   264,   359,  1005,    -1,    24,    67,
     669,   264,   359,  1005,    -1,    24,    80,   669,   264,   359,
    1005,    -1,    24,    97,   996,   264,   359,  1005,    -1,    24,
     118,   669,   264,   359,  1005,    -1,    24,   154,   694,   264,
     359,  1005,    -1,    24,   580,   199,   995,   264,   359,  1005,
      -1,    24,   200,   245,   571,   264,   359,  1005,    -1,    24,
     252,   744,   743,   264,   359,  1005,    -1,    24,   252,    62,
     669,   381,   997,   264,   359,  1005,    -1,    24,   252,   141,
     669,   381,   997,   264,   359,  1005,    -1,    24,   314,   995,
     264,   359,  1005,    -1,    24,   368,   669,   264,   359,  1005,
      -1,    24,   351,   995,   264,   359,  1005,    -1,    24,   355,
     316,   112,   669,   264,   359,  1005,    -1,    24,   355,   316,
      74,   669,   264,   359,  1005,    -1,    24,   149,    96,   404,
     995,   264,   359,  1005,    -1,    24,   323,   995,   264,   359,
    1005,    -1,    24,   129,   363,   995,   264,   359,  1005,    -1,
      83,   716,   312,   995,    31,   250,   766,   359,   993,   897,
     116,   767,   762,    -1,   237,    -1,   764,    -1,   436,   763,
     437,    -1,   763,   439,   765,    -1,   765,    -1,   842,    -1,
     820,    -1,   831,    -1,   825,    -1,   769,    -1,   764,    -1,
      -1,   319,    -1,   379,    -1,   108,    -1,   185,    -1,   186,
      -1,    23,    -1,    -1,   120,   312,   995,   250,   669,   493,
      -1,   120,   312,   167,   135,   995,   250,   669,   493,    -1,
     238,  1008,   770,    -1,   440,  1004,    -1,    -1,   212,  1008,
      -1,   376,  1008,    -1,   376,   429,    -1,    14,   774,    -1,
      41,   774,   777,    -1,   337,   361,   777,    -1,    71,   774,
      -1,   126,   774,    -1,   309,   774,    -1,   313,  1008,    -1,
     296,   313,  1008,    -1,   296,  1008,    -1,   309,   774,   359,
     313,  1008,    -1,   309,   774,   359,  1008,    -1,   276,   361,
    1004,    -1,    71,   277,  1004,    -1,   309,   277,  1004,    -1,
     403,    -1,   361,    -1,    -1,   195,   209,   475,    -1,   286,
     251,    -1,   286,   405,    -1,   105,    -1,   236,   105,    -1,
     775,    -1,   776,   440,   775,    -1,   776,   775,    -1,   776,
      -1,    -1,    83,   522,   393,   993,   541,   498,    31,   842,
     779,    -1,    83,   255,   299,   522,   393,   993,   541,   498,
      31,   842,   779,    -1,    83,   522,   290,   393,   993,   436,
     542,   437,   498,    31,   842,   779,    -1,    83,   255,   299,
     522,   290,   393,   993,   436,   542,   437,   498,    31,   842,
     779,    -1,   400,    60,   253,    -1,   400,    52,    60,   253,
      -1,   400,   214,    60,   253,    -1,    -1,   213,  1000,    -1,
      83,    97,   996,   447,   782,    -1,   782,   783,    -1,    -1,
     351,   784,   995,    -1,   351,   784,   103,    -1,   217,   784,
    1004,    -1,   217,   784,   103,    -1,   353,   784,   995,    -1,
     353,   784,   103,    -1,   124,   784,  1004,    -1,   124,   784,
    1003,    -1,   124,   784,   103,    -1,   203,   784,  1004,    -1,
     203,   784,   103,    -1,   204,   784,  1004,    -1,   204,   784,
     103,    -1,    75,   211,   784,  1007,    -1,   264,   784,   995,
      -1,   264,   784,   103,    -1,   423,    -1,    -1,    24,    97,
     996,   447,   787,    -1,    24,    97,   996,   326,   351,   995,
      -1,    24,    97,   996,   481,    -1,   787,   788,    -1,    -1,
      75,   211,   784,  1007,    -1,   120,    97,   996,    -1,   120,
      97,   167,   135,   996,    -1,    24,   348,   326,   470,    -1,
      83,   118,   669,   793,   902,   531,    -1,    24,   118,   669,
     492,    -1,    24,   118,   669,   120,   236,   241,    -1,    24,
     118,   669,   326,   236,   241,    -1,    24,   118,   669,    18,
     538,    -1,    24,   118,   669,   120,    76,   995,   493,    -1,
      24,   118,   669,   120,    76,   167,   135,   995,   493,    -1,
      24,   118,   669,   384,    76,   995,    -1,    31,    -1,    -1,
      24,   355,   316,   112,   669,   640,    -1,    24,   355,   316,
      74,   669,    18,   219,   147,   994,   400,   668,    -1,    24,
     355,   316,    74,   669,    24,   219,   147,   994,   400,   668,
      -1,    24,   355,   316,    74,   669,    24,   219,   299,   669,
     400,   669,    -1,    24,   355,   316,    74,   669,    24,   219,
     147,   994,   299,   669,   400,   669,    -1,    24,   355,   316,
      74,   669,   120,   219,   147,   994,    -1,    24,   355,   316,
      74,   669,   120,   219,   167,   135,   147,   994,    -1,    83,
     654,    80,   669,   147,  1004,   359,  1004,   152,   669,    -1,
      64,   804,   993,   798,    -1,    64,   804,    -1,    64,   804,
     999,   250,   993,    -1,   381,   999,    -1,    -1,   382,   805,
     806,   804,    -1,   382,   805,   806,   804,   993,    -1,   382,
     805,   806,   804,   802,    -1,   382,   436,   800,   437,    -1,
     382,   436,   800,   437,   993,   807,    -1,   801,    -1,   800,
     440,   801,    -1,   803,    -1,   391,    -1,   151,    -1,   153,
      -1,   803,   804,    -1,   803,   804,   993,   807,    -1,    27,
      -1,    26,    -1,   391,    -1,    -1,   153,    -1,    -1,   151,
      -1,    -1,   436,   994,   437,    -1,    -1,   136,   809,    -1,
     136,   803,   804,   809,    -1,   136,   391,   809,    -1,   136,
     436,   810,   437,   809,    -1,   842,    -1,   820,    -1,   831,
      -1,   825,    -1,   838,    -1,   558,    -1,   561,    -1,   564,
      -1,   817,    -1,   811,    -1,   810,   440,   811,    -1,   812,
     813,    -1,  1010,    -1,   803,    -1,   476,    -1,   571,    -1,
      -1,   276,   995,   815,    31,   816,    -1,   436,   963,   437,
      -1,    -1,   842,    -1,   820,    -1,   831,    -1,   825,    -1,
     134,   995,   818,    -1,    83,   522,   349,   559,    31,   134,
     995,   818,   560,    -1,   436,   960,   437,    -1,    -1,    99,
     995,    -1,    99,   276,   995,    -1,    99,    22,    -1,    99,
     276,    22,    -1,   850,   185,   191,   993,   821,   824,    -1,
     842,    -1,   436,   822,   437,   842,    -1,   103,   387,    -1,
     823,    -1,   822,   440,   823,    -1,  1008,   984,    -1,   304,
     990,    -1,    -1,   850,   108,   152,   891,   826,   898,   824,
      -1,   381,   880,    -1,    -1,   218,   853,   890,   828,   830,
      -1,   172,   829,   225,    -1,    -1,    16,   328,    -1,   310,
     328,    -1,   310,   133,    -1,   328,   379,   133,    -1,   328,
      -1,   328,   310,   133,    -1,   133,    -1,    16,   133,    -1,
     240,    -1,    -1,   850,   379,   891,   326,   832,   879,   898,
     824,    -1,   833,    -1,   832,   440,   833,    -1,   834,    -1,
     835,    -1,   836,   423,   986,    -1,   436,   837,   437,   423,
     988,    -1,  1008,   984,    -1,   836,    -1,   837,   440,   836,
      -1,   102,   839,   840,    94,   841,   147,   842,    -1,   995,
      -1,    -1,   840,   234,   315,    -1,   840,   315,    -1,   840,
      44,    -1,   840,   184,    -1,    -1,   400,   164,    -1,   402,
     164,    -1,   844,    -1,   843,    -1,   436,   844,   437,    -1,
     436,   843,   437,    -1,   846,    -1,   845,   857,    -1,   845,
     856,   872,   861,    -1,   845,   856,   860,   873,    -1,   847,
     845,    -1,   847,   845,   857,    -1,   847,   845,   856,   872,
     861,    -1,   847,   845,   856,   860,   873,    -1,   846,    -1,
     843,    -1,   319,   855,   989,   851,   879,   897,   870,   871,
     943,    -1,   878,    -1,   349,   889,    -1,   845,   373,   854,
     845,    -1,   845,   189,   854,   845,    -1,   845,   130,   854,
     845,    -1,   400,   848,    -1,   400,   290,   848,    -1,   849,
      -1,   848,   440,   849,    -1,   995,   807,    31,   436,   816,
     437,    -1,   847,    -1,    -1,   191,   852,    -1,    -1,   354,
     853,   993,    -1,   352,   853,   993,    -1,   214,   354,   853,
     993,    -1,   214,   352,   853,   993,    -1,   156,   354,   853,
     993,    -1,   156,   352,   853,   993,    -1,   377,   853,   993,
      -1,   349,   993,    -1,   993,    -1,   349,    -1,    -1,    22,
      -1,   115,    -1,    -1,   115,    -1,   115,   250,   436,   960,
     437,    -1,    22,    -1,    -1,   857,    -1,    -1,   256,    48,
     858,    -1,   859,    -1,   858,   440,   859,    -1,   926,   381,
     958,   714,    -1,   926,   713,   714,    -1,   862,   863,    -1,
     863,   862,    -1,   862,    -1,   863,    -1,   860,    -1,    -1,
     211,   864,    -1,   211,   864,   440,   865,    -1,   142,   869,
     866,   868,   251,    -1,   248,   865,    -1,   248,   867,   868,
      -1,   926,    -1,    22,    -1,   926,    -1,  1007,    -1,   436,
     926,   437,    -1,    -1,   928,    -1,   310,    -1,   311,    -1,
     144,    -1,   233,    -1,   160,    48,   960,    -1,    -1,   162,
     926,    -1,    -1,   874,    -1,   147,   286,   251,    -1,   872,
      -1,    -1,   875,    -1,   874,   875,    -1,   876,   877,   830,
      -1,   147,   379,    -1,   147,   234,   197,   379,    -1,   147,
     328,    -1,   147,   197,   328,    -1,   246,   992,    -1,    -1,
     387,   988,    -1,   878,   440,   988,    -1,   152,   880,    -1,
      -1,   881,    -1,   880,   440,   881,    -1,   889,   884,    -1,
     892,   885,    -1,   202,   892,   885,    -1,   843,   884,    -1,
     202,   843,   884,    -1,   882,    -1,   436,   882,   437,   883,
      -1,   436,   882,   437,    -1,   881,    84,   196,   881,    -1,
     881,   886,   196,   881,   888,    -1,   881,   196,   881,   888,
      -1,   881,   231,   886,   196,   881,    -1,   881,   231,   196,
     881,    -1,    31,  1008,   436,   994,   437,    -1,    31,  1008,
      -1,  1008,   436,   994,   437,    -1,  1008,    -1,   883,    -1,
      -1,   883,    -1,    31,   436,   900,   437,    -1,    31,  1008,
     436,   900,   437,    -1,  1008,   436,   900,   437,    -1,    -1,
     153,   887,    -1,   208,   887,    -1,   307,   887,    -1,   181,
      -1,   259,    -1,    -1,   381,   436,   994,   437,    -1,   250,
     926,    -1,   993,    -1,   993,   429,    -1,   251,   993,    -1,
     251,   436,   993,   437,    -1,   889,    -1,   890,   440,   889,
      -1,   889,    -1,   889,  1008,    -1,   889,    31,  1008,    -1,
     931,   896,    -1,   311,   152,   436,   894,   437,   896,    -1,
     931,   895,    -1,   893,    -1,   894,   440,   893,    -1,    31,
     436,   900,   437,    -1,    -1,   421,    -1,    -1,   397,   926,
      -1,    -1,   397,   926,    -1,   397,    86,   246,   839,    -1,
      -1,   900,    -1,    -1,   901,    -1,   900,   440,   901,    -1,
    1008,   902,   494,    -1,   904,   903,    -1,   327,   904,   903,
      -1,   904,    30,   434,  1003,   435,    -1,   327,   904,    30,
     434,  1003,   435,    -1,   904,    30,    -1,   327,   904,    30,
      -1,   903,   434,   435,    -1,   903,   434,  1003,   435,    -1,
      -1,   906,    -1,   908,    -1,   910,    -1,   914,    -1,   921,
      -1,   922,   924,    -1,   922,   436,  1003,   437,   924,    -1,
     908,    -1,   911,    -1,   915,    -1,   921,    -1,  1009,   907,
      -1,  1009,   670,   907,    -1,   436,   960,   437,    -1,    -1,
     187,    -1,   188,    -1,   332,    -1,    43,    -1,   287,    -1,
     145,   909,    -1,   119,   274,    -1,   101,   907,    -1,   100,
     907,    -1,   244,   907,    -1,    46,    -1,   436,  1003,   437,
      -1,    -1,   912,    -1,   913,    -1,   912,    -1,   913,    -1,
      45,   919,   436,   960,   437,    -1,    45,   919,    -1,   916,
      -1,   917,    -1,   916,    -1,   917,    -1,   918,   436,  1003,
     437,   920,    -1,   918,   920,    -1,    58,   919,    -1,    57,
     919,    -1,   388,    -1,   230,    58,   919,    -1,   230,    57,
     919,    -1,   232,   919,    -1,   390,    -1,    -1,    58,   326,
    1008,    -1,    -1,   358,   436,  1003,   437,   923,    -1,   358,
     923,    -1,   357,   436,  1003,   437,   923,    -1,   357,   923,
      -1,   190,    -1,   422,   418,    -1,   402,   357,   418,    -1,
      -1,   416,    -1,   226,    -1,    98,    -1,   165,    -1,   223,
      -1,   925,    -1,   416,   359,   226,    -1,    98,   359,   165,
      -1,    98,   359,   223,    -1,    98,   359,   925,    -1,   165,
     359,   223,    -1,   165,   359,   925,    -1,   223,   359,   925,
      -1,    -1,   317,    -1,   317,   436,  1003,   437,    -1,   928,
      -1,   926,    11,   902,    -1,   926,    66,   669,    -1,   926,
      36,   357,   418,   926,    -1,   427,   926,    -1,   428,   926,
      -1,   926,   427,   926,    -1,   926,   428,   926,    -1,   926,
     429,   926,    -1,   926,   430,   926,    -1,   926,   431,   926,
      -1,   926,   432,   926,    -1,   926,   424,   926,    -1,   926,
     425,   926,    -1,   926,   423,   926,    -1,   926,   957,   926,
      -1,   957,   926,    -1,   926,   957,    -1,   926,    28,   926,
      -1,   926,   255,   926,    -1,   236,   926,    -1,   926,   210,
     926,    -1,   926,   210,   926,   128,   926,    -1,   926,   236,
     210,   926,    -1,   926,   236,   210,   926,   128,   926,    -1,
     926,   168,   926,    -1,   926,   168,   926,   128,   926,    -1,
     926,   236,   168,   926,    -1,   926,   236,   168,   926,   128,
     926,    -1,   926,   330,   359,   926,    -1,   926,   330,   359,
     926,   128,   926,    -1,   926,   236,   330,   359,   926,    -1,
     926,   236,   330,   359,   926,   128,   926,    -1,   926,   193,
     241,    -1,   926,   194,    -1,   926,   193,   236,   241,    -1,
     926,   239,    -1,   953,   261,   953,    -1,   926,   193,   365,
      -1,   926,   193,   236,   365,    -1,   926,   193,   140,    -1,
     926,   193,   236,   140,    -1,   926,   193,   375,    -1,   926,
     193,   236,   375,    -1,   926,   193,   115,   152,   926,    -1,
     926,   193,   236,   115,   152,   926,    -1,   926,   193,   246,
     436,   963,   437,    -1,   926,   193,   236,   246,   436,   963,
     437,    -1,   926,    42,   985,   927,    28,   927,    -1,   926,
     236,    42,   985,   927,    28,   927,    -1,   926,    42,   346,
     927,    28,   927,    -1,   926,   236,    42,   346,   927,    28,
     927,    -1,   926,   172,   975,    -1,   926,   236,   172,   975,
      -1,   926,   959,   954,   843,    -1,   926,   959,   954,   436,
     926,   437,    -1,   374,   843,    -1,   926,   193,   117,    -1,
     926,   193,   236,   117,    -1,   928,    -1,   927,    11,   902,
      -1,   427,   927,    -1,   428,   927,    -1,   927,   427,   927,
      -1,   927,   428,   927,    -1,   927,   429,   927,    -1,   927,
     430,   927,    -1,   927,   431,   927,    -1,   927,   432,   927,
      -1,   927,   424,   927,    -1,   927,   425,   927,    -1,   927,
     423,   927,    -1,   927,   957,   927,    -1,   957,   927,    -1,
     927,   957,    -1,   927,   193,   115,   152,   927,    -1,   927,
     193,   236,   115,   152,   927,    -1,   927,   193,   246,   436,
     963,   437,    -1,   927,   193,   236,   246,   436,   963,   437,
      -1,   927,   193,   117,    -1,   927,   193,   236,   117,    -1,
     981,    -1,  1002,    -1,    10,   984,    -1,   436,   926,   437,
     984,    -1,   976,    -1,   930,    -1,   843,    -1,   843,   983,
      -1,   135,   843,    -1,    30,   843,    -1,    30,   964,    -1,
     953,    -1,  1001,   436,   437,    -1,  1001,   436,   961,   856,
     437,    -1,  1001,   436,   389,   962,   856,   437,    -1,  1001,
     436,   961,   440,   389,   962,   856,   437,    -1,  1001,   436,
      22,   961,   856,   437,    -1,  1001,   436,   115,   961,   856,
     437,    -1,  1001,   436,   429,   437,    -1,   929,   941,   942,
     946,    -1,   932,    -1,   929,    -1,   932,    -1,    67,   147,
     436,   926,   437,    -1,    88,    -1,    91,    -1,    91,   436,
    1003,   437,    -1,    92,    -1,    92,   436,  1003,   437,    -1,
     215,    -1,   215,   436,  1003,   437,    -1,   216,    -1,   216,
     436,  1003,   437,    -1,    89,    -1,    93,    -1,   325,    -1,
     380,    -1,    87,    -1,    90,    -1,    54,   436,   926,    31,
     902,   437,    -1,   139,   436,   966,   437,    -1,   262,   436,
     968,   437,    -1,   272,   436,   970,   437,    -1,   345,   436,
     971,   437,    -1,   362,   436,   926,    31,   902,   437,    -1,
     364,   436,    47,   974,   437,    -1,   364,   436,   205,   974,
     437,    -1,   364,   436,   360,   974,   437,    -1,   364,   436,
     974,   437,    -1,   242,   436,   926,   440,   926,   437,    -1,
      65,   436,   960,   437,    -1,   159,   436,   960,   437,    -1,
     207,   436,   960,   437,    -1,   408,   436,   960,   437,    -1,
     409,   436,   228,  1011,   437,    -1,   409,   436,   228,  1011,
     440,   935,   437,    -1,   409,   436,   228,  1011,   440,   960,
     437,    -1,   409,   436,   228,  1011,   440,   935,   440,   960,
     437,    -1,   410,   436,   928,   940,   437,    -1,   411,   436,
     936,   437,    -1,   412,   436,   938,   926,   939,   437,    -1,
     413,   436,   228,  1011,   437,    -1,   413,   436,   228,  1011,
     440,   926,   437,    -1,   414,   436,   926,   440,   933,   934,
     437,    -1,   415,   436,   938,   926,    31,   904,   437,    -1,
     392,   926,    -1,   392,   234,   386,    -1,   440,   336,   417,
      -1,   440,   336,   234,    -1,   440,   336,   234,   386,    -1,
      -1,   407,   436,   936,   437,    -1,   937,    -1,   936,   440,
     937,    -1,   926,    31,  1011,    -1,   926,    -1,   117,    -1,
      78,    -1,   275,   398,    -1,   344,   398,    -1,    -1,   268,
     928,    -1,   268,   928,    48,   291,    -1,   268,    48,   291,
     928,    -1,   268,    48,   291,   928,    48,   291,    -1,   401,
     160,   436,   857,   437,    -1,    -1,   143,   436,   397,   926,
     437,    -1,    -1,   399,   944,    -1,    -1,   945,    -1,   944,
     440,   945,    -1,  1008,    31,   947,    -1,   260,   947,    -1,
     260,  1008,    -1,    -1,   436,   948,   949,   856,   950,   437,
      -1,  1008,    -1,    -1,   267,    48,   960,    -1,    -1,   285,
     951,    -1,   311,   951,    -1,    -1,   952,    -1,    42,   952,
      28,   952,    -1,   370,   273,    -1,   370,   146,    -1,    86,
     310,    -1,   926,   273,    -1,   926,   146,    -1,   310,   436,
     960,   437,    -1,   310,   436,   437,    -1,   436,   960,   440,
     926,   437,    -1,    29,    -1,   334,    -1,    22,    -1,     8,
      -1,   956,    -1,   427,    -1,   428,    -1,   429,    -1,   430,
      -1,   431,    -1,   432,    -1,   424,    -1,   425,    -1,   423,
      -1,     8,    -1,   252,   436,   744,   437,    -1,   955,    -1,
     252,   436,   744,   437,    -1,   955,    -1,   252,   436,   744,
     437,    -1,   210,    -1,   236,   210,    -1,   168,    -1,   236,
     168,    -1,   926,    -1,   960,   440,   926,    -1,   962,    -1,
     961,   440,   962,    -1,   926,    -1,   723,    13,   926,    -1,
     902,    -1,   963,   440,   902,    -1,   434,   960,   435,    -1,
     434,   965,   435,    -1,   434,   435,    -1,   964,    -1,   965,
     440,   964,    -1,   967,   152,   926,    -1,    -1,     3,    -1,
     416,    -1,   226,    -1,    98,    -1,   165,    -1,   223,    -1,
     317,    -1,  1004,    -1,   926,   969,   972,   973,    -1,   926,
     969,   972,    -1,   270,   926,    -1,   927,   172,   927,    -1,
      -1,   926,   972,   973,    -1,   926,   973,   972,    -1,   926,
     972,    -1,   926,   973,    -1,   960,    -1,    -1,   152,   926,
      -1,   147,   926,    -1,   926,   152,   960,    -1,   152,   960,
      -1,   960,    -1,   843,    -1,   436,   960,   437,    -1,    53,
     980,   977,   979,   126,    -1,   978,    -1,   977,   978,    -1,
     396,   926,   356,   926,    -1,   122,   926,    -1,    -1,   926,
      -1,    -1,  1008,    -1,  1008,   983,    -1,   438,   998,    -1,
     438,   429,    -1,   434,   926,   435,    -1,   434,   926,   441,
     926,   435,    -1,   982,    -1,   983,   982,    -1,    -1,   984,
     982,    -1,    35,    -1,    -1,   926,    -1,   103,    -1,   986,
      -1,   987,   440,   986,    -1,   436,   987,   437,    -1,   990,
      -1,    -1,   991,    -1,   990,   440,   991,    -1,   926,    31,
    1011,    -1,   926,     3,    -1,   926,    -1,   429,    -1,   993,
      -1,   992,   440,   993,    -1,  1008,    -1,  1008,   983,    -1,
     995,    -1,   994,   440,   995,    -1,  1008,    -1,  1008,    -1,
    1008,    -1,  1011,    -1,  1008,    -1,  1004,    -1,  1009,    -1,
    1008,   983,    -1,  1003,    -1,     4,    -1,  1004,    -1,     6,
      -1,     7,    -1,  1001,  1004,    -1,  1001,   436,   961,   856,
     437,  1004,    -1,   905,  1004,    -1,   922,  1004,   924,    -1,
     922,   436,  1003,   437,  1004,   924,    -1,   365,    -1,   140,
      -1,   241,    -1,     9,    -1,     5,    -1,  1010,    -1,  1005,
      -1,  1006,   440,  1005,    -1,  1003,    -1,   427,  1003,    -1,
     428,  1003,    -1,     3,    -1,  1012,    -1,  1013,    -1,     3,
      -1,  1012,    -1,  1014,    -1,     3,    -1,  1012,    -1,  1013,
      -1,  1014,    -1,     3,    -1,  1012,    -1,  1013,    -1,  1014,
      -1,  1015,    -1,    14,    -1,    15,    -1,    16,    -1,    17,
      -1,    18,    -1,    19,    -1,    20,    -1,    21,    -1,    23,
      -1,    24,    -1,    25,    -1,    33,    -1,    34,    -1,    36,
      -1,    37,    -1,    39,    -1,    40,    -1,    41,    -1,    48,
      -1,    49,    -1,    50,    -1,    51,    -1,    52,    -1,    55,
      -1,    56,    -1,    59,    -1,    61,    -1,    62,    -1,    63,
      -1,    64,    -1,    69,    -1,    70,    -1,    71,    -1,    72,
      -1,    74,    -1,    75,    -1,    77,    -1,    78,    -1,    79,
      -1,    80,    -1,    81,    -1,    82,    -1,    85,    -1,    86,
      -1,    94,    -1,    95,    -1,    96,    -1,    97,    -1,    98,
      -1,    99,    -1,   102,    -1,   104,    -1,   106,    -1,   107,
      -1,   108,    -1,   109,    -1,   110,    -1,   112,    -1,   113,
      -1,   114,    -1,   117,    -1,   118,    -1,   119,    -1,   120,
      -1,   121,    -1,   123,    -1,   124,    -1,   125,    -1,   127,
      -1,   128,    -1,   129,    -1,   131,    -1,   132,    -1,   133,
      -1,   134,    -1,   136,    -1,   137,    -1,   138,    -1,   141,
      -1,   143,    -1,   144,    -1,   146,    -1,   148,    -1,   150,
      -1,   154,    -1,   155,    -1,   156,    -1,   158,    -1,   161,
      -1,   163,    -1,   164,    -1,   165,    -1,   166,    -1,   167,
      -1,   169,    -1,   170,    -1,   171,    -1,   173,    -1,   174,
      -1,   175,    -1,   176,    -1,   177,    -1,   178,    -1,   180,
      -1,   183,    -1,   184,    -1,   185,    -1,   186,    -1,   192,
      -1,   195,    -1,   197,    -1,   198,    -1,   199,    -1,   200,
      -1,   201,    -1,   203,    -1,   204,    -1,   206,    -1,   209,
      -1,   212,    -1,   213,    -1,   214,    -1,   217,    -1,   218,
      -1,   219,    -1,   220,    -1,   221,    -1,   222,    -1,   223,
      -1,   224,    -1,   225,    -1,   226,    -1,   227,    -1,   228,
      -1,   229,    -1,   233,    -1,   234,    -1,   237,    -1,   238,
      -1,   240,    -1,   243,    -1,   245,    -1,   246,    -1,   247,
      -1,   249,    -1,   252,    -1,   253,    -1,   254,    -1,   257,
      -1,   260,    -1,   263,    -1,   264,    -1,   265,    -1,   266,
      -1,   267,    -1,   268,    -1,   269,    -1,   271,    -1,   273,
      -1,   276,    -1,   277,    -1,   275,    -1,   279,    -1,   280,
      -1,   281,    -1,   282,    -1,   283,    -1,   284,    -1,   285,
      -1,   286,    -1,   288,    -1,   289,    -1,   290,    -1,   291,
      -1,   293,    -1,   294,    -1,   295,    -1,   296,    -1,   297,
      -1,   298,    -1,   299,    -1,   300,    -1,   301,    -1,   302,
      -1,   303,    -1,   305,    -1,   306,    -1,   308,    -1,   309,
      -1,   311,    -1,   312,    -1,   313,    -1,   314,    -1,   315,
      -1,   316,    -1,   317,    -1,   318,    -1,   320,    -1,   321,
      -1,   322,    -1,   323,    -1,   324,    -1,   326,    -1,   328,
      -1,   329,    -1,   331,    -1,   333,    -1,   335,    -1,   336,
      -1,   337,    -1,   338,    -1,   339,    -1,   340,    -1,   341,
      -1,   342,    -1,   343,    -1,   344,    -1,   347,    -1,   348,
      -1,   350,    -1,   351,    -1,   352,    -1,   353,    -1,   354,
      -1,   355,    -1,   361,    -1,   363,    -1,   366,    -1,   367,
      -1,   368,    -1,   369,    -1,   370,    -1,   371,    -1,   372,
      -1,   375,    -1,   376,    -1,   377,    -1,   378,    -1,   379,
      -1,   382,    -1,   383,    -1,   384,    -1,   385,    -1,   386,
      -1,   390,    -1,   392,    -1,   393,    -1,   394,    -1,   395,
      -1,   398,    -1,   401,    -1,   402,    -1,   403,    -1,   404,
      -1,   405,    -1,   406,    -1,   416,    -1,   417,    -1,   418,
      -1,    42,    -1,    43,    -1,    45,    -1,    46,    -1,    57,
      -1,    58,    -1,    65,    -1,   100,    -1,   101,    -1,   135,
      -1,   139,    -1,   145,    -1,   159,    -1,   182,    -1,   187,
      -1,   188,    -1,   190,    -1,   207,    -1,   230,    -1,   232,
      -1,   235,    -1,   242,    -1,   244,    -1,   258,    -1,   262,
      -1,   272,    -1,   274,    -1,   287,    -1,   310,    -1,   327,
      -1,   332,    -1,   345,    -1,   357,    -1,   358,    -1,   362,
      -1,   364,    -1,   387,    -1,   388,    -1,   407,    -1,   408,
      -1,   409,    -1,   410,    -1,   411,    -1,   412,    -1,   413,
      -1,   414,    -1,   415,    -1,    38,    -1,    44,    -1,    67,
      -1,    73,    -1,    84,    -1,    90,    -1,   151,    -1,   153,
      -1,   168,    -1,   181,    -1,   193,    -1,   194,    -1,   196,
      -1,   208,    -1,   210,    -1,   231,    -1,   239,    -1,   259,
      -1,   261,    -1,   307,    -1,   330,    -1,   391,    -1,    22,
      -1,    26,    -1,    27,    -1,    28,    -1,    29,    -1,    30,
      -1,    31,    -1,    32,    -1,    35,    -1,    47,    -1,    53,
      -1,    54,    -1,    60,    -1,    66,    -1,    68,    -1,    76,
      -1,    83,    -1,    87,    -1,    88,    -1,    89,    -1,    91,
      -1,    92,    -1,    93,    -1,   103,    -1,   105,    -1,   111,
      -1,   115,    -1,   116,    -1,   122,    -1,   126,    -1,   130,
      -1,   140,    -1,   142,    -1,   147,    -1,   149,    -1,   152,
      -1,   157,    -1,   160,    -1,   162,    -1,   172,    -1,   179,
      -1,   189,    -1,   191,    -1,   202,    -1,   205,    -1,   211,
      -1,   215,    -1,   216,    -1,   236,    -1,   241,    -1,   248,
      -1,   250,    -1,   251,    -1,   255,    -1,   256,    -1,   270,
      -1,   278,    -1,   292,    -1,   304,    -1,   319,    -1,   325,
      -1,   334,    -1,   346,    -1,   349,    -1,   356,    -1,   359,
      -1,   360,    -1,   365,    -1,   373,    -1,   374,    -1,   380,
      -1,   381,    -1,   389,    -1,   396,    -1,   397,    -1,   399,
      -1,   400,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   689,   689,   696,   703,   713,   714,   715,   716,   717,
     718,   719,   720,   721,   722,   723,   724,   725,   726,   727,
     728,   729,   730,   731,   732,   733,   734,   735,   736,   737,
     738,   739,   740,   741,   742,   743,   744,   745,   746,   747,
     748,   749,   750,   751,   752,   753,   754,   755,   756,   757,
     758,   759,   760,   761,   762,   763,   764,   765,   766,   767,
     768,   769,   770,   771,   772,   773,   774,   775,   776,   777,
     778,   779,   780,   781,   782,   783,   784,   785,   786,   787,
     788,   789,   790,   791,   792,   793,   794,   795,   796,   797,
     798,   799,   800,   801,   802,   803,   804,   805,   806,   807,
     808,   809,   810,   811,   812,   813,   814,   815,   816,   817,
     818,   819,   820,   821,   822,   823,   824,   825,   826,   827,
     828,   830,   840,   851,   852,   861,   862,   866,   867,   871,
     876,   880,   885,   890,   894,   898,   903,   907,   961,   963,
     967,   971,   975,   979,   993,  1011,  1022,  1023,  1027,  1035,
    1053,  1065,  1086,  1093,  1112,  1119,  1136,  1154,  1165,  1166,
    1178,  1185,  1202,  1215,  1225,  1243,  1261,  1262,  1266,  1273,
    1281,  1282,  1283,  1284,  1285,  1286,  1300,  1306,  1312,  1321,
    1329,  1337,  1341,  1349,  1357,  1364,  1373,  1374,  1382,  1393,
    1401,  1409,  1420,  1428,  1436,  1443,  1452,  1462,  1463,  1467,
    1468,  1471,  1473,  1477,  1478,  1479,  1480,  1484,  1485,  1486,
    1492,  1504,  1508,  1512,  1527,  1550,  1551,  1552,  1556,  1557,
    1558,  1562,  1563,  1567,  1574,  1581,  1588,  1595,  1605,  1606,
    1611,  1612,  1617,  1623,  1629,  1635,  1641,  1651,  1661,  1662,
    1666,  1667,  1675,  1690,  1696,  1702,  1708,  1714,  1733,  1742,
    1751,  1760,  1769,  1778,  1787,  1796,  1805,  1814,  1826,  1827,
    1832,  1840,  1848,  1857,  1865,  1873,  1882,  1891,  1900,  1909,
    1919,  1932,  1947,  1956,  1964,  1979,  1987,  1997,  2007,  2014,
    2021,  2029,  2037,  2045,  2053,  2061,  2068,  2075,  2083,  2090,
    2097,  2105,  2113,  2121,  2129,  2137,  2145,  2155,  2162,  2170,
    2178,  2186,  2194,  2201,  2211,  2212,  2216,  2217,  2218,  2222,
    2230,  2234,  2235,  2239,  2246,  2253,  2260,  2270,  2273,  2274,
    2278,  2279,  2284,  2288,  2292,  2297,  2312,  2325,  2326,  2331,
    2340,  2350,  2360,  2386,  2392,  2422,  2451,  2473,  2474,  2478,
    2479,  2488,  2489,  2490,  2493,  2494,  2499,  2500,  2504,  2508,
    2512,  2516,  2520,  2524,  2528,  2532,  2536,  2540,  2544,  2548,
    2552,  2556,  2565,  2569,  2573,  2577,  2581,  2585,  2589,  2590,
    2595,  2599,  2606,  2613,  2614,  2615,  2616,  2617,  2621,  2625,
    2633,  2644,  2659,  2675,  2691,  2720,  2721,  2722,  2723,  2724,
    2731,  2738,  2739,  2743,  2744,  2748,  2749,  2753,  2757,  2764,
    2768,  2775,  2776,  2777,  2781,  2782,  2785,  2806,  2827,  2828,
    2832,  2840,  2841,  2842,  2873,  2880,  2887,  2898,  2909,  2919,
    2928,  2961,  2968,  2975,  2982,  2993,  3003,  3004,  3005,  3009,
    3010,  3011,  3012,  3013,  3014,  3023,  3031,  3035,  3048,  3063,
    3077,  3092,  3106,  3124,  3145,  3146,  3150,  3151,  3155,  3156,
    3159,  3165,  3169,  3177,  3182,  3188,  3189,  3193,  3198,  3205,
    3206,  3216,  3218,  3220,  3222,  3225,  3228,  3231,  3235,  3236,
    3237,  3238,  3239,  3242,  3243,  3248,  3249,  3250,  3251,  3254,
    3255,  3256,  3257,  3260,  3261,  3264,  3265,  3268,  3283,  3298,
    3312,  3313,  3314,  3326,  3341,  3354,  3355,  3367,  3387,  3399,
    3407,  3418,  3419,  3422,  3423,  3426,  3430,  3434,  3438,  3442,
    3446,  3450,  3454,  3458,  3462,  3466,  3470,  3476,  3477,  3481,
    3482,  3487,  3490,  3491,  3503,  3515,  3530,  3531,  3539,  3540,
    3544,  3545,  3549,  3550,  3554,  3555,  3559,  3570,  3583,  3584,
    3594,  3605,  3606,  3619,  3626,  3643,  3651,  3662,  3665,  3669,
    3673,  3677,  3689,  3699,  3702,  3706,  3719,  3729,  3739,  3748,
    3757,  3766,  3776,  3785,  3795,  3805,  3815,  3824,  3833,  3842,
    3851,  3860,  3869,  3878,  3887,  3896,  3905,  3914,  3923,  3932,
    3950,  3961,  3962,  3963,  3964,  3968,  3969,  3973,  3974,  3984,
    3995,  4015,  4023,  4035,  4036,  4040,  4044,  4052,  4056,  4060,
    4067,  4071,  4076,  4081,  4088,  4095,  4100,  4110,  4124,  4125,
    4130,  4131,  4135,  4136,  4146,  4157,  4177,  4186,  4194,  4211,
    4226,  4251,  4260,  4278,  4290,  4291,  4292,  4302,  4310,  4327,
    4346,  4366,  4391,  4392,  4393,  4397,  4399,  4421,  4423,  4425,
    4427,  4429,  4434,  4439,  4449,  4450,  4454,  4455,  4459,  4460,
    4464,  4465,  4466,  4470,  4476,  4477,  4478,  4482,  4483,  4488,
    4489,  4516,  4517,  4518,  4519,  4520,  4521,  4526,  4537,  4560,
    4570,  4584,  4586,  4591,  4596,  4598,  4603,  4613,  4614,  4615,
    4616,  4628,  4648,  4671,  4681,  4692,  4702,  4712,  4723,  4732,
    4739,  4746,  4755,  4764,  4773,  4782,  4791,  4802,  4805,  4806,
    4809,  4813,  4820,  4821,  4822,  4823,  4824,  4827,  4830,  4831,
    4839,  4846,  4847,  4850,  4852,  4863,  4873,  4883,  4895,  4896,
    4912,  4927,  4928,  4932,  4942,  4953,  4962,  4972,  4981,  4982,
    4985,  4986,  4989,  4990,  4991,  4994,  5008,  5013,  5023,  5032,
    5044,  5045,  5049,  5057,  5069,  5080,  5094,  5105,  5128,  5138,
    5156,  5167,  5178,  5189,  5203,  5204,  5205,  5206,  5207,  5208,
    5209,  5210,  5211,  5212,  5213,  5214,  5215,  5216,  5217,  5218,
    5219,  5223,  5224,  5227,  5228,  5231,  5233,  5246,  5257,  5258,
    5259,  5291,  5300,  5309,  5318,  5327,  5336,  5345,  5355,  5364,
    5373,  5382,  5391,  5400,  5412,  5413,  5414,  5415,  5416,  5417,
    5418,  5419,  5420,  5421,  5422,  5423,  5424,  5425,  5426,  5427,
    5428,  5429,  5430,  5431,  5432,  5433,  5434,  5438,  5439,  5453,
    5464,  5475,  5486,  5497,  5510,  5511,  5515,  5516,  5517,  5518,
    5519,  5520,  5521,  5522,  5523,  5524,  5525,  5526,  5527,  5530,
    5531,  5541,  5547,  5555,  5563,  5571,  5579,  5587,  5595,  5603,
    5611,  5619,  5627,  5635,  5643,  5651,  5659,  5667,  5675,  5685,
    5686,  5689,  5690,  5700,  5716,  5730,  5756,  5758,  5760,  5762,
    5769,  5778,  5779,  5782,  5789,  5796,  5803,  5817,  5825,  5833,
    5841,  5849,  5857,  5865,  5873,  5881,  5889,  5897,  5905,  5913,
    5921,  5929,  5937,  5949,  5950,  5953,  5963,  5977,  5978,  5982,
    5983,  5988,  6004,  6017,  6027,  6039,  6040,  6043,  6044,  6054,
    6064,  6065,  6069,  6073,  6077,  6088,  6101,  6115,  6132,  6133,
    6134,  6135,  6147,  6174,  6175,  6179,  6180,  6184,  6185,  6189,
    6190,  6193,  6194,  6202,  6213,  6224,  6237,  6238,  6241,  6242,
    6243,  6246,  6247,  6248,  6251,  6252,  6253,  6269,  6281,  6294,
    6309,  6310,  6313,  6314,  6318,  6319,  6327,  6328,  6332,  6333,
    6348,  6357,  6366,  6375,  6384,  6396,  6397,  6398,  6399,  6400,
    6406,  6410,  6425,  6426,  6432,  6442,  6446,  6451,  6459,  6500,
    6504,  6508,  6512,  6520,  6521,  6526,  6527,  6534,  6538,  6542,
    6546,  6550,  6554,  6558,  6562,  6566,  6570,  6574,  6578,  6582,
    6586,  6590,  6598,  6602,  6606,  6610,  6616,  6617,  6624,  6625,
    6628,  6640,  6644,  6659,  6670,  6671,  6676,  6677,  6692,  6703,
    6717,  6728,  6742,  6753,  6767,  6775,  6777,  6779,  6784,  6786,
    6799,  6808,  6809,  6813,  6817,  6829,  6840,  6851,  6864,  6865,
    6866,  6870,  6883,  6884,  6898,  6906,  6916,  6929,  6930,  6933,
    6934,  6944,  6956,  6968,  6980,  6992,  7004,  7016,  7028,  7040,
    7049,  7066,  7076,  7085,  7094,  7103,  7112,  7122,  7131,  7141,
    7150,  7159,  7169,  7179,  7188,  7197,  7207,  7217,  7227,  7237,
    7247,  7257,  7267,  7277,  7287,  7297,  7307,  7317,  7328,  7339,
    7350,  7361,  7371,  7382,  7393,  7403,  7413,  7421,  7430,  7439,
    7448,  7457,  7466,  7475,  7484,  7493,  7507,  7508,  7511,  7512,
    7522,  7532,  7541,  7550,  7559,  7568,  7578,  7588,  7598,  7608,
    7617,  7626,  7635,  7644,  7653,  7662,  7671,  7680,  7689,  7698,
    7707,  7716,  7725,  7734,  7751,  7760,  7768,  7776,  7784,  7792,
    7801,  7809,  7817,  7826,  7835,  7844,  7852,  7860,  7868,  7876,
    7884,  7892,  7900,  7917,  7934,  7935,  7936,  7941,  7947,  7956,
    7957,  7958,  7959,  7960,  7964,  7965,  7968,  7969,  7970,  7971,
    7975,  7976,  7977,  7982,  7993,  8015,  8025,  8026,  8029,  8038,
    8044,  8063,  8070,  8077,  8084,  8091,  8098,  8105,  8113,  8121,
    8129,  8137,  8145,  8152,  8159,  8168,  8169,  8170,  8174,  8177,
    8180,  8183,  8186,  8193,  8195,  8197,  8202,  8204,  8216,  8229,
    8242,  8260,  8281,  8282,  8283,  8284,  8294,  8310,  8320,  8321,
    8325,  8329,  8333,  8337,  8341,  8345,  8349,  8353,  8357,  8361,
    8365,  8369,  8373,  8377,  8381,  8385,  8395,  8396,  8407,  8414,
    8425,  8436,  8437,  8441,  8455,  8462,  8480,  8496,  8509,  8518,
    8526,  8534,  8543,  8554,  8565,  8575,  8576,  8587,  8597,  8607,
    8617,  8627,  8637,  8645,  8666,  8689,  8697,  8706,  8717,  8718,
    8730,  8746,  8762,  8776,  8796,  8821,  8822,  8826,  8827,  8828,
    8829,  8833,  8847,  8864,  8865,  8869,  8870,  8873,  8874,  8877,
    8878,  8882,  8883,  8896,  8903,  8913,  8920,  8930,  8931,  8932,
    8933,  8934,  8935,  8936,  8937,  8938,  8942,  8946,  8953,  8960,
    8961,  8965,  8966,  8967,  8977,  8987,  8988,  8992,  8993,  8994,
    8995,  9005,  9012,  9030,  9031,  9041,  9047,  9053,  9059,  9075,
    9085,  9091,  9097,  9106,  9108,  9113,  9124,  9125,  9136,  9150,
    9151,  9162,  9173,  9174,  9177,  9178,  9179,  9180,  9181,  9182,
    9183,  9184,  9187,  9188,  9199,  9217,  9218,  9222,  9223,  9227,
    9235,  9263,  9274,  9275,  9285,  9296,  9299,  9300,  9301,  9302,
    9303,  9306,  9307,  9308,  9356,  9357,  9361,  9362,  9377,  9378,
    9385,  9393,  9401,  9409,  9417,  9425,  9436,  9437,  9464,  9479,
    9480,  9499,  9503,  9507,  9522,  9529,  9539,  9540,  9543,  9555,
    9556,  9560,  9572,  9580,  9585,  9590,  9595,  9600,  9608,  9616,
    9621,  9626,  9633,  9634,  9637,  9638,  9639,  9646,  9647,  9648,
    9649,  9653,  9654,  9658,  9662,  9663,  9666,  9675,  9688,  9689,
    9690,  9691,  9695,  9696,  9700,  9702,  9712,  9717,  9720,  9725,
    9726,  9734,  9744,  9745,  9746,  9754,  9758,  9759,  9762,  9763,
    9768,  9769,  9773,  9774,  9778,  9779,  9783,  9784,  9788,  9789,
    9793,  9804,  9805,  9806,  9807,  9811,  9812,  9817,  9823,  9841,
    9842,  9846,  9847,  9853,  9858,  9865,  9873,  9908,  9933,  9937,
    9963,  9967,  9979,  9992, 10006, 10017, 10032, 10038, 10043, 10049,
   10056, 10057, 10065, 10069, 10073, 10079, 10086, 10091, 10092, 10093,
   10094, 10098, 10099, 10111, 10112, 10117, 10124, 10131, 10138, 10149,
   10150, 10163, 10167, 10174, 10195, 10205, 10217, 10222, 10223, 10226,
   10227, 10230, 10231, 10236, 10237, 10242, 10243, 10251, 10256, 10257,
   10261, 10265, 10271, 10301, 10306, 10313, 10318, 10324, 10329, 10338,
   10340, 10343, 10347, 10348, 10349, 10350, 10351, 10352, 10357, 10387,
   10388, 10389, 10390, 10401, 10407, 10415, 10416, 10422, 10427, 10432,
   10437, 10442, 10447, 10452, 10457, 10463, 10469, 10475, 10482, 10504,
   10513, 10517, 10525, 10529, 10537, 10549, 10570, 10574, 10580, 10584,
   10597, 10608, 10623, 10625, 10627, 10629, 10631, 10633, 10638, 10639,
   10643, 10644, 10651, 10660, 10668, 10677, 10688, 10696, 10697, 10698,
   10702, 10704, 10706, 10708, 10710, 10712, 10714, 10719, 10724, 10730,
   10738, 10743, 10750, 10757, 10761, 10765, 10795, 10796, 10798, 10806,
   10821, 10823, 10825, 10827, 10829, 10831, 10833, 10835, 10837, 10839,
   10841, 10844, 10846, 10848, 10851, 10853, 10855, 10858, 10860, 10867,
   10869, 10876, 10878, 10885, 10887, 10895, 10902, 10909, 10916, 10933,
   10940, 10947, 10954, 10961, 10977, 10984, 10991, 10998, 11005, 11012,
   11019, 11023, 11031, 11035, 11045, 11052, 11059, 11072, 11085, 11104,
   11125, 11135, 11142, 11158, 11163, 11181, 11183, 11185, 11187, 11189,
   11191, 11193, 11195, 11197, 11199, 11201, 11203, 11205, 11207, 11209,
   11211, 11213, 11217, 11222, 11226, 11230, 11235, 11252, 11253, 11254,
   11269, 11281, 11283, 11285, 11295, 11318, 11328, 11338, 11346, 11357,
   11361, 11367, 11374, 11381, 11391, 11398, 11426, 11461, 11472, 11473,
   11480, 11486, 11512, 11522, 11535, 11543, 11556, 11566, 11579, 11589,
   11602, 11606, 11610, 11614, 11618, 11622, 11626, 11628, 11632, 11641,
   11646, 11653, 11668, 11675, 11679, 11683, 11687, 11691, 11698, 11706,
   11714, 11718, 11722, 11726, 11730, 11734, 11740, 11744, 11753, 11757,
   11761, 11766, 11780, 11782, 11786, 11788, 11790, 11793, 11796, 11799,
   11800, 11803, 11811, 11821, 11822, 11825, 11826, 11827, 11832, 11836,
   11840, 11844, 11855, 11856, 11860, 11861, 11869, 11870, 11874, 11875,
   11880, 11888, 11890, 11904, 11907, 11934, 11935, 11938, 11939, 11950,
   11968, 11975, 11984, 12001, 12046, 12054, 12062, 12070, 12078, 12099,
   12100, 12101, 12104, 12105, 12106, 12109, 12110, 12113, 12114, 12115,
   12116, 12117, 12118, 12119, 12120, 12121, 12124, 12126, 12131, 12133,
   12138, 12140, 12142, 12144, 12146, 12148, 12160, 12164, 12171, 12175,
   12181, 12185, 12196, 12197, 12200, 12204, 12208, 12214, 12215, 12220,
   12224, 12231, 12232, 12233, 12234, 12235, 12236, 12237, 12238, 12248,
   12252, 12259, 12266, 12267, 12283, 12287, 12292, 12296, 12311, 12316,
   12320, 12323, 12326, 12327, 12328, 12331, 12338, 12348, 12362, 12363,
   12367, 12378, 12379, 12382, 12383, 12386, 12390, 12397, 12401, 12405,
   12412, 12422, 12423, 12427, 12428, 12431, 12432, 12443, 12444, 12453,
   12454, 12462, 12472, 12473, 12477, 12478, 12481, 12497, 12505, 12513,
   12535, 12536, 12547, 12551, 12578, 12580, 12585, 12588, 12591, 12593,
   12595, 12597, 12607, 12609, 12620, 12624, 12628, 12632, 12636, 12645,
   12652, 12684, 12688, 12694, 12711, 12715, 12719, 12725, 12726, 12727,
   12729, 12731, 12735, 12736, 12737, 12753, 12754, 12755, 12760, 12761,
   12762, 12767, 12768, 12769, 12770, 12776, 12777, 12778, 12779, 12780,
   12800, 12801, 12802, 12803, 12804, 12805, 12806, 12807, 12808, 12809,
   12810, 12811, 12812, 12813, 12814, 12815, 12816, 12817, 12818, 12819,
   12820, 12821, 12822, 12823, 12824, 12825, 12826, 12827, 12828, 12829,
   12830, 12831, 12832, 12833, 12834, 12835, 12836, 12837, 12838, 12839,
   12840, 12841, 12842, 12843, 12844, 12845, 12846, 12847, 12848, 12849,
   12850, 12851, 12852, 12853, 12854, 12855, 12856, 12857, 12858, 12859,
   12860, 12861, 12862, 12863, 12864, 12865, 12866, 12867, 12868, 12869,
   12870, 12871, 12872, 12873, 12874, 12875, 12876, 12877, 12878, 12879,
   12880, 12881, 12882, 12883, 12884, 12885, 12886, 12887, 12888, 12889,
   12890, 12891, 12892, 12893, 12894, 12895, 12896, 12897, 12898, 12899,
   12900, 12901, 12902, 12903, 12904, 12905, 12906, 12907, 12908, 12909,
   12910, 12911, 12912, 12913, 12914, 12915, 12916, 12917, 12918, 12919,
   12920, 12921, 12922, 12923, 12924, 12925, 12926, 12927, 12928, 12929,
   12930, 12931, 12932, 12933, 12934, 12935, 12936, 12937, 12938, 12939,
   12940, 12941, 12942, 12943, 12944, 12945, 12946, 12947, 12948, 12949,
   12950, 12951, 12952, 12953, 12954, 12955, 12956, 12957, 12958, 12959,
   12960, 12961, 12962, 12963, 12964, 12965, 12966, 12967, 12968, 12969,
   12970, 12971, 12972, 12973, 12974, 12975, 12976, 12977, 12978, 12979,
   12980, 12981, 12982, 12983, 12984, 12985, 12986, 12987, 12988, 12989,
   12990, 12991, 12992, 12993, 12994, 12995, 12996, 12997, 12998, 12999,
   13000, 13001, 13002, 13003, 13004, 13005, 13006, 13007, 13008, 13009,
   13010, 13011, 13012, 13013, 13014, 13015, 13016, 13017, 13018, 13019,
   13020, 13021, 13022, 13023, 13024, 13025, 13026, 13027, 13028, 13029,
   13030, 13031, 13032, 13033, 13034, 13035, 13036, 13037, 13038, 13039,
   13040, 13041, 13042, 13043, 13044, 13045, 13046, 13047, 13048, 13049,
   13050, 13051, 13052, 13053, 13054, 13055, 13056, 13057, 13058, 13072,
   13073, 13074, 13075, 13076, 13077, 13078, 13079, 13080, 13081, 13082,
   13083, 13084, 13085, 13086, 13087, 13088, 13089, 13090, 13091, 13092,
   13093, 13094, 13095, 13096, 13097, 13098, 13099, 13100, 13101, 13102,
   13103, 13104, 13105, 13106, 13107, 13108, 13109, 13110, 13111, 13112,
   13113, 13114, 13115, 13116, 13117, 13118, 13132, 13133, 13134, 13135,
   13136, 13137, 13138, 13139, 13140, 13141, 13142, 13143, 13144, 13145,
   13146, 13147, 13148, 13149, 13150, 13151, 13152, 13153, 13163, 13164,
   13165, 13166, 13167, 13168, 13169, 13170, 13171, 13172, 13173, 13174,
   13175, 13176, 13177, 13178, 13179, 13180, 13181, 13182, 13183, 13184,
   13185, 13186, 13187, 13188, 13189, 13190, 13191, 13192, 13193, 13194,
   13195, 13196, 13197, 13198, 13199, 13200, 13201, 13202, 13203, 13204,
   13205, 13206, 13207, 13208, 13209, 13210, 13211, 13212, 13213, 13214,
   13215, 13216, 13217, 13218, 13219, 13220, 13221, 13222, 13223, 13224,
   13225, 13226, 13227, 13228, 13229, 13230, 13231, 13232, 13233, 13234,
   13235, 13236, 13237, 13238, 13239
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENT", "FCONST", "SCONST", "BCONST",
  "XCONST", "Op", "ICONST", "PARAM", "TYPECAST", "DOT_DOT", "COLON_EQUALS",
  "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION", "ADD_P", "ADMIN", "AFTER",
  "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS", "ANALYSE", "ANALYZE",
  "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION", "ASSIGNMENT",
  "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION", "BACKWARD", "BEFORE",
  "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT", "BOOLEAN_P", "BOTH",
  "BY", "CACHE", "CALLED", "CASCADE", "CASCADED", "CASE", "CAST",
  "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER", "CHARACTERISTICS", "CHECK",
  "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER", "COALESCE", "COLLATE",
  "COLLATION", "COLUMN", "COMMENT", "COMMENTS", "COMMIT", "COMMITTED",
  "CONCURRENTLY", "CONFIGURATION", "CONNECTION", "CONSTRAINT",
  "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P", "COPY", "COST",
  "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG", "CURRENT_DATE",
  "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME", "CURRENT_TIMESTAMP",
  "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P", "DATABASE", "DAY_P",
  "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE", "DEFAULT", "DEFAULTS",
  "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P", "DELIMITER",
  "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD", "DISTINCT",
  "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH", "ELSE",
  "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "';'", "','", "':'",
  "$accept", "stmtblock", "stmtmulti", "stmt", "CreateRoleStmt",
  "opt_with", "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "SetResetClause", "FunctionSetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "CreateAsStmt", "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "DeallocateStmt", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "Sconst", "RoleId", "role_list",
  "SignedIconst", "ColId", "type_function_name", "NonReservedWord",
  "ColLabel", "unreserved_keyword", "col_name_keyword",
  "type_func_name_keyword", "reserved_keyword", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,    61,    60,    62,   678,    43,    45,    42,
      47,    37,    94,   679,    91,    93,    40,    41,    46,    59,
      44,    58
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   442,   443,   444,   444,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   445,   445,   445,   445,   445,   445,   445,   445,
     445,   445,   446,   447,   447,   448,   448,   449,   449,   450,
     450,   450,   450,   450,   450,   450,   450,   450,   451,   451,
     451,   451,   451,   451,   452,   453,   454,   454,   455,   455,
     456,   457,   458,   458,   459,   459,   460,   461,   462,   462,
     463,   463,   464,   464,   464,   464,   465,   465,   466,   466,
     467,   467,   467,   467,   467,   467,   468,   468,   468,   469,
     469,   469,   470,   470,   470,   470,   471,   471,   471,   471,
     471,   471,   471,   471,   471,   471,   471,   472,   472,   473,
     473,   474,   474,   475,   475,   475,   475,   476,   476,   476,
     476,   477,   477,   477,   477,   477,   477,   477,   478,   478,
     478,   479,   479,   480,   480,   480,   480,   480,   481,   481,
     482,   482,   483,   483,   483,   483,   483,   484,   485,   485,
     486,   486,   487,   488,   488,   488,   488,   488,   489,   489,
     489,   489,   489,   489,   489,   489,   489,   489,   490,   490,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   491,   491,   491,   491,   491,   491,
     491,   491,   491,   491,   492,   492,   493,   493,   493,   494,
     494,   495,   495,   496,   496,   496,   496,   497,   498,   498,
     499,   499,   500,   500,   500,   500,   501,   502,   502,   503,
     503,   503,   503,   504,   504,   505,   505,   506,   506,   507,
     507,   508,   508,   508,   509,   509,   510,   510,   511,   511,
     511,   511,   511,   511,   511,   511,   511,   511,   511,   511,
     511,   511,   512,   512,   513,   513,   514,   514,   515,   515,
     516,   516,   517,   518,   518,   518,   518,   518,   519,   519,
     520,   521,   521,   521,   521,   522,   522,   522,   522,   522,
     522,   522,   522,   523,   523,   524,   524,   525,   525,   526,
     526,   527,   527,   527,   528,   528,   529,   530,   531,   531,
     532,   532,   532,   532,   533,   533,   533,   533,   533,   533,
     533,   534,   534,   534,   534,   535,   536,   536,   536,   537,
     537,   537,   537,   537,   537,   538,   538,   539,   539,   539,
     539,   539,   539,   539,   540,   540,   541,   541,   542,   542,
     543,   544,   544,   544,   544,   545,   545,   546,   546,   547,
     547,   548,   548,   548,   548,   548,   549,   550,   551,   551,
     551,   551,   551,   552,   552,   553,   553,   553,   553,   554,
     554,   554,   554,   555,   555,   556,   556,   557,   558,   559,
     560,   560,   560,   561,   562,   563,   563,   564,   565,   566,
     566,   567,   567,   568,   568,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   570,   570,   571,
     571,   571,   572,   572,   573,   573,   574,   574,   575,   575,
     576,   576,   577,   577,   578,   578,   579,   579,   580,   580,
     581,   582,   582,   583,   583,   584,   584,   585,   585,   586,
     586,   586,   587,   588,   588,   589,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     590,   590,   590,   590,   590,   590,   590,   590,   590,   590,
     591,   592,   592,   592,   592,   593,   593,   594,   594,   595,
     595,   596,   596,   597,   597,   598,   598,   599,   600,   600,
     601,   601,   601,   601,   602,   603,   604,   605,   606,   606,
     607,   607,   608,   608,   609,   609,   610,   610,   610,   611,
     611,   612,   612,   613,   614,   614,   614,   615,   615,   616,
     617,   617,   618,   618,   618,   619,   619,   620,   620,   620,
     620,   620,   621,   621,   622,   622,   623,   623,   624,   624,
     625,   625,   625,   626,   626,   626,   626,   627,   627,   628,
     628,   629,   629,   629,   629,   629,   629,   630,   630,   631,
     631,   632,   632,   633,   634,   634,   635,   636,   636,   636,
     636,   637,   638,   639,   639,   639,   639,   639,   639,   639,
     639,   639,   639,   639,   639,   639,   639,   640,   641,   641,
     642,   642,   643,   643,   643,   643,   643,   644,   645,   645,
     646,   647,   647,   648,   648,   649,   649,   649,   650,   650,
     651,   652,   652,   653,   653,   653,   653,   653,   654,   654,
     655,   655,   656,   656,   656,   657,   657,   658,   659,   659,
     660,   660,   661,   661,   662,   662,   663,   663,   664,   665,
     666,   666,   666,   666,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   667,   667,   667,   667,   667,
     667,   668,   668,   669,   669,   670,   670,   671,   672,   672,
     672,   673,   673,   673,   673,   673,   673,   673,   673,   673,
     673,   673,   673,   673,   674,   674,   674,   674,   674,   674,
     674,   674,   674,   674,   674,   674,   674,   674,   674,   674,
     674,   674,   674,   674,   674,   674,   674,   675,   675,   676,
     676,   676,   676,   676,   677,   677,   678,   678,   678,   678,
     678,   678,   678,   678,   678,   678,   678,   678,   678,   679,
     679,   680,   680,   681,   681,   681,   681,   681,   681,   681,
     681,   681,   681,   681,   681,   681,   681,   681,   681,   682,
     682,   683,   683,   684,   685,   685,   686,   686,   686,   686,
     686,   687,   687,   688,   688,   688,   688,   689,   689,   689,
     689,   689,   689,   689,   689,   689,   689,   689,   689,   689,
     689,   689,   689,   690,   690,   691,   691,   692,   692,   693,
     693,   694,   695,   696,   696,   697,   697,   698,   698,   699,
     700,   700,   701,   701,   701,   702,   702,   702,   703,   703,
     703,   703,   704,   705,   705,   706,   706,   707,   707,   708,
     708,   709,   709,   710,   710,   710,   711,   711,   712,   712,
     712,   713,   713,   713,   714,   714,   714,   715,   715,   715,
     716,   716,   717,   717,   718,   718,   719,   719,   720,   720,
     721,   721,   721,   721,   721,   722,   722,   722,   722,   722,
     723,   724,   725,   725,   725,   726,   726,   726,   727,   728,
     728,   728,   728,   729,   729,   730,   730,   731,   731,   731,
     731,   731,   731,   731,   731,   731,   731,   731,   731,   731,
     731,   731,   732,   732,   732,   732,   733,   733,   734,   734,
     735,   736,   736,   737,   738,   738,   739,   739,   740,   740,
     741,   741,   742,   742,   743,   743,   743,   743,   744,   744,
     745,   746,   746,   747,   747,   748,   748,   748,   749,   749,
     749,   750,   751,   751,   752,   752,   752,   753,   753,   754,
     754,   755,   755,   755,   755,   755,   755,   755,   755,   755,
     755,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   756,   756,   756,   756,
     756,   756,   756,   756,   756,   756,   757,   757,   758,   758,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   759,   759,   759,   759,   759,   759,
     759,   759,   759,   759,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   760,   760,   760,   760,   760,   760,   760,
     760,   760,   760,   761,   762,   762,   762,   763,   763,   764,
     764,   764,   764,   764,   765,   765,   766,   766,   766,   766,
     767,   767,   767,   768,   768,   769,   770,   770,   771,   772,
     772,   773,   773,   773,   773,   773,   773,   773,   773,   773,
     773,   773,   773,   773,   773,   774,   774,   774,   775,   775,
     775,   775,   775,   776,   776,   776,   777,   777,   778,   778,
     778,   778,   779,   779,   779,   779,   780,   781,   782,   782,
     783,   783,   783,   783,   783,   783,   783,   783,   783,   783,
     783,   783,   783,   783,   783,   783,   784,   784,   785,   785,
     786,   787,   787,   788,   789,   789,   790,   791,   792,   792,
     792,   792,   792,   792,   792,   793,   793,   794,   795,   795,
     795,   795,   795,   795,   796,   797,   797,   797,   798,   798,
     799,   799,   799,   799,   799,   800,   800,   801,   801,   801,
     801,   802,   802,   803,   803,   804,   804,   805,   805,   806,
     806,   807,   807,   808,   808,   808,   808,   809,   809,   809,
     809,   809,   809,   809,   809,   809,   810,   810,   811,   812,
     812,   813,   813,   813,   814,   815,   815,   816,   816,   816,
     816,   817,   817,   818,   818,   819,   819,   819,   819,   820,
     821,   821,   821,   822,   822,   823,   824,   824,   825,   826,
     826,   827,   828,   828,   829,   829,   829,   829,   829,   829,
     829,   829,   830,   830,   831,   832,   832,   833,   833,   834,
     835,   836,   837,   837,   838,   839,   840,   840,   840,   840,
     840,   841,   841,   841,   842,   842,   843,   843,   844,   844,
     844,   844,   844,   844,   844,   844,   845,   845,   846,   846,
     846,   846,   846,   846,   847,   847,   848,   848,   849,   850,
     850,   851,   851,   852,   852,   852,   852,   852,   852,   852,
     852,   852,   853,   853,   854,   854,   854,   855,   855,   855,
     855,   856,   856,   857,   858,   858,   859,   859,   860,   860,
     860,   860,   861,   861,   862,   862,   862,   863,   863,   864,
     864,   865,   866,   866,   866,   867,   868,   868,   869,   869,
     870,   870,   871,   871,   872,   872,   873,   873,   874,   874,
     875,   876,   876,   876,   876,   877,   877,   878,   878,   879,
     879,   880,   880,   881,   881,   881,   881,   881,   881,   881,
     882,   882,   882,   882,   882,   882,   883,   883,   883,   883,
     884,   884,   885,   885,   885,   885,   885,   886,   886,   886,
     886,   887,   887,   888,   888,   889,   889,   889,   889,   890,
     890,   891,   891,   891,   892,   892,   893,   894,   894,   895,
     895,   896,   896,   897,   897,   898,   898,   898,   899,   899,
     900,   900,   901,   902,   902,   902,   902,   902,   902,   903,
     903,   903,   904,   904,   904,   904,   904,   904,   904,   905,
     905,   905,   905,   906,   906,   907,   907,   908,   908,   908,
     908,   908,   908,   908,   908,   908,   908,   908,   909,   909,
     910,   910,   911,   911,   912,   913,   914,   914,   915,   915,
     916,   917,   918,   918,   918,   918,   918,   918,   919,   919,
     920,   920,   921,   921,   921,   921,   922,   923,   923,   923,
     924,   924,   924,   924,   924,   924,   924,   924,   924,   924,
     924,   924,   924,   924,   925,   925,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
     926,   926,   926,   926,   926,   927,   927,   927,   927,   927,
     927,   927,   927,   927,   927,   927,   927,   927,   927,   927,
     927,   927,   927,   927,   927,   927,   927,   928,   928,   928,
     928,   928,   928,   928,   928,   928,   928,   928,   928,   929,
     929,   929,   929,   929,   929,   929,   930,   930,   931,   931,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   932,   932,   932,   932,   932,   932,   932,   932,
     932,   932,   933,   933,   934,   934,   934,   934,   935,   936,
     936,   937,   937,   938,   938,   939,   939,   939,   940,   940,
     940,   940,   941,   941,   942,   942,   943,   943,   944,   944,
     945,   946,   946,   946,   947,   948,   948,   949,   949,   950,
     950,   950,   951,   951,   952,   952,   952,   952,   952,   953,
     953,   953,   954,   954,   954,   955,   955,   956,   956,   956,
     956,   956,   956,   956,   956,   956,   957,   957,   958,   958,
     959,   959,   959,   959,   959,   959,   960,   960,   961,   961,
     962,   962,   963,   963,   964,   964,   964,   965,   965,   966,
     966,   967,   967,   967,   967,   967,   967,   967,   967,   968,
     968,   969,   970,   970,   971,   971,   971,   971,   971,   971,
     972,   973,   974,   974,   974,   975,   975,   976,   977,   977,
     978,   979,   979,   980,   980,   981,   981,   982,   982,   982,
     982,   983,   983,   984,   984,   985,   985,   986,   986,   987,
     987,   988,   989,   989,   990,   990,   991,   991,   991,   991,
     992,   992,   993,   993,   994,   994,   995,   996,   997,   998,
     999,  1000,  1001,  1001,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1003,  1004,  1005,
    1006,  1006,  1007,  1007,  1007,  1008,  1008,  1008,  1009,  1009,
    1009,  1010,  1010,  1010,  1010,  1011,  1011,  1011,  1011,  1011,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,
    1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1012,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,  1013,
    1013,  1013,  1013,  1013,  1013,  1013,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,
    1014,  1014,  1014,  1014,  1014,  1014,  1014,  1014,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,  1015,
    1015,  1015,  1015,  1015,  1015
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     3,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     0,     5,     1,     0,     2,     0,     2,     0,     2,
       2,     3,     3,     1,     3,     3,     2,     1,     1,     2,
       2,     2,     3,     3,     5,     5,     0,     3,     5,     5,
       5,     4,     3,     5,     3,     5,     5,     6,     1,     1,
       3,     5,     6,     4,     9,     7,     1,     0,     2,     0,
       1,     1,     1,     1,     1,     1,     2,     3,     3,     2,
       5,     1,     3,     3,     3,     3,     1,     3,     3,     2,
       2,     2,     2,     3,     3,     3,     3,     1,     3,     1,
       3,     1,     1,     2,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     3,     6,     1,     1,     1,     1,     1,
       0,     1,     1,     2,     3,     4,     3,     2,     2,     1,
       2,     1,     2,     3,     4,     3,     2,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     4,     6,
       4,     6,     4,     6,     4,     6,     5,     7,     1,     3,
       2,     3,     4,     6,     6,     6,     5,     5,     6,     6,
       4,     8,     4,     2,     4,     3,     6,     4,     3,     3,
       3,     3,     3,     4,     4,     3,     3,     3,     3,     3,
       3,     4,     4,     3,     2,     3,     2,     2,     3,     3,
       2,     2,     3,     1,     3,     2,     1,     1,     0,     2,
       0,     2,     0,     1,     1,     1,     3,     3,     2,     0,
       1,     3,     3,     1,     5,     3,     4,     1,     3,     4,
       6,     4,     8,     2,     2,    11,     7,     1,     1,     1,
       0,     1,     1,     1,     1,     3,     2,     0,     1,     1,
       1,     3,     3,     1,     1,     3,     3,     3,     3,     4,
       3,     2,     1,     0,     2,     0,     3,     0,     1,     0,
       1,     3,     2,     1,     1,     1,     3,     0,     1,     3,
       1,    11,    14,    10,    13,     1,     1,     2,     2,     2,
       2,     1,     0,     1,     0,     3,     0,     1,     3,     1,
       3,     1,     1,     1,     1,     1,     4,     4,     2,     0,
       3,     1,     1,     2,     2,     1,     3,     4,     5,     2,
       5,     1,     2,     2,     2,     3,     3,     3,     0,     1,
       1,     1,     1,     1,     1,     3,     1,     5,     7,     3,
       8,     4,     9,    11,     2,     0,     3,     0,     1,     3,
       1,     2,     2,     2,     0,     1,     3,     3,     6,     4,
       0,     1,     1,     2,     2,     0,     3,     3,     2,     1,
       1,     2,     2,     4,     0,     2,     2,     2,     0,     3,
       4,     4,     0,     2,     0,     4,     0,     3,     7,     5,
       2,     3,     0,     8,     4,     1,     0,     6,     5,     4,
       6,     1,     0,     1,     2,     2,     1,     2,     3,     2,
       2,     2,     2,     3,     3,     1,     3,     1,     0,     1,
       2,     1,     1,     3,     6,    10,     1,     0,     1,     2,
       2,     0,     2,     2,     1,     0,     5,     7,     1,     0,
       7,     2,     0,     3,     5,     5,     8,     2,     0,     2,
       2,     2,     5,     2,     0,     2,     7,    10,     6,     6,
       6,     6,     7,     7,     9,     9,     6,     7,     6,     8,
       8,     8,     8,     6,     6,     7,     7,     8,     6,     6,
       7,     2,     2,     2,     2,     1,     2,     1,     0,     6,
       8,     7,     6,     4,     0,     1,     3,     4,     1,     3,
       1,     2,     2,     2,     2,     1,     1,    10,     2,     0,
       2,     2,     1,     0,     4,     6,     5,     4,     4,    10,
      13,     5,     7,     8,     1,     1,     1,     7,     9,     8,
      15,    20,     1,     1,     2,     1,     3,     1,     1,     1,
       3,     1,     3,     0,     1,     0,     1,     1,     4,     0,
       1,     3,     0,     1,     1,     1,     1,     2,     0,     0,
       2,     2,     1,     2,     2,     2,     2,     6,     8,    11,
      13,     1,     3,     5,     1,     3,     5,     1,     2,     2,
       1,     8,     4,     5,     4,     4,     4,     3,     7,     8,
       6,     6,     6,     6,     6,     4,     5,     3,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     3,     1,     3,
       3,     1,     0,     1,     3,     7,     9,     9,     3,     0,
      13,     1,     3,     5,     6,     4,     7,     2,     1,     0,
       2,     0,     2,     4,     0,     1,     0,     6,     8,     8,
       1,     3,     5,     5,     7,     9,     7,     9,     5,     6,
       6,     4,     5,     7,     1,     1,     1,     2,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     3,     3,     3,
       3,     1,     3,     1,     2,     2,     3,     5,     2,     2,
       0,     6,     7,     7,     7,     8,     8,     6,     8,     9,
       9,     7,    10,     7,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       1,     3,     2,     3,     3,     3,     3,     1,     1,     8,
       9,     9,     9,     9,     2,     0,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     2,     1,
       1,     2,     2,     1,     2,     3,     3,     3,     3,     4,
       4,     3,     3,     3,     4,     4,     3,     4,     4,     1,
       1,     1,     0,     7,     7,    10,     1,     1,     2,     4,
       5,     1,     3,     2,     2,     2,     2,     1,     2,     2,
       4,     3,     2,     2,     2,     2,     3,     2,     2,     2,
       5,     5,     5,     1,     3,     1,     2,     3,     0,     1,
       3,     2,     6,     6,     9,     3,     0,     3,     0,     5,
       2,     0,     3,     3,     3,     7,     7,    10,     1,     1,
       1,     1,    14,     1,     0,     1,     0,     1,     0,     2,
       0,     1,     3,     5,     5,     7,     2,     0,     1,     2,
       0,     1,     1,     0,     1,     1,     0,     9,    12,     7,
       2,     0,     3,     2,     1,     3,     3,     2,     1,     3,
       3,     3,     2,     2,     1,     1,     1,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     3,     3,     1,     3,
       3,     5,     6,     1,     3,     1,     2,     4,     5,     1,
       1,     1,     1,     3,     3,     2,     2,     1,     2,     2,
       2,     1,     2,     2,     1,     1,     1,     3,     2,     0,
       2,     1,     3,     5,     1,     2,     1,     0,     5,     7,
       5,     7,     5,     7,     3,     5,     5,     5,     1,     3,
       2,     1,     2,     1,     2,    11,    10,    10,     2,     2,
       0,     9,     2,     0,     4,     4,     4,     1,     1,     1,
       0,     8,     8,     8,     9,    11,    11,    11,    12,     5,
       5,     7,     6,     6,     6,     6,     8,     8,     6,     6,
       7,     9,     9,     6,     6,     6,     8,     6,     8,     6,
       8,     7,     9,     6,     8,     7,     9,     8,    10,     9,
      11,     8,     9,    11,     8,     8,     7,     6,     6,     6,
       8,     8,     8,     8,     6,     9,     1,     0,     2,     0,
       7,     6,     6,     6,     6,     6,     7,     9,     9,     6,
       8,     8,     8,     8,     8,     6,     8,     6,     8,     7,
       9,     7,     9,     6,     7,     6,     6,     6,     6,     6,
       7,     7,     7,     9,     9,     6,     6,     6,     8,     8,
       8,     6,     7,    13,     1,     1,     3,     3,     1,     1,
       1,     1,     1,     1,     1,     0,     1,     1,     1,     1,
       1,     1,     0,     6,     8,     3,     2,     0,     2,     2,
       2,     2,     3,     3,     2,     2,     2,     2,     3,     2,
       5,     4,     3,     3,     3,     1,     1,     0,     3,     2,
       2,     1,     2,     1,     3,     2,     1,     0,     9,    11,
      12,    14,     3,     4,     4,     0,     2,     5,     2,     0,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     4,     3,     3,     1,     0,     5,     6,
       4,     2,     0,     4,     3,     5,     4,     6,     4,     6,
       6,     5,     7,     9,     6,     1,     0,     6,    11,    11,
      11,    13,     9,    11,    10,     4,     2,     5,     2,     0,
       4,     5,     5,     4,     6,     1,     3,     1,     1,     1,
       1,     2,     4,     1,     1,     1,     0,     1,     0,     1,
       0,     3,     0,     2,     4,     3,     5,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     3,     2,     1,
       1,     1,     1,     0,     5,     3,     0,     1,     1,     1,
       1,     3,     9,     3,     0,     2,     3,     2,     3,     6,
       1,     4,     2,     1,     3,     2,     2,     0,     7,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     8,     1,     3,     1,     1,     3,
       5,     2,     1,     3,     7,     1,     0,     3,     2,     2,
       2,     0,     2,     2,     1,     1,     3,     3,     1,     2,
       4,     4,     2,     3,     5,     5,     1,     1,     9,     1,
       2,     4,     4,     4,     2,     3,     1,     3,     6,     1,
       0,     2,     0,     3,     3,     4,     4,     4,     4,     3,
       2,     1,     1,     0,     1,     1,     0,     1,     5,     1,
       0,     1,     0,     3,     1,     3,     4,     3,     2,     2,
       1,     1,     1,     0,     2,     4,     5,     2,     3,     1,
       1,     1,     1,     3,     0,     1,     1,     1,     1,     1,
       3,     0,     2,     0,     1,     3,     1,     0,     1,     2,
       3,     2,     4,     2,     3,     2,     0,     2,     3,     2,
       0,     1,     3,     2,     2,     3,     2,     3,     1,     4,
       3,     4,     5,     4,     5,     4,     5,     2,     4,     1,
       1,     0,     1,     4,     5,     4,     0,     2,     2,     2,
       1,     1,     0,     4,     2,     1,     2,     2,     4,     1,
       3,     1,     2,     3,     2,     6,     2,     1,     3,     4,
       0,     1,     0,     2,     0,     2,     4,     0,     1,     0,
       1,     3,     3,     2,     3,     5,     6,     2,     3,     3,
       4,     0,     1,     1,     1,     1,     1,     2,     5,     1,
       1,     1,     1,     2,     3,     3,     0,     1,     1,     1,
       1,     1,     2,     2,     2,     2,     2,     1,     3,     0,
       1,     1,     1,     1,     5,     2,     1,     1,     1,     1,
       5,     2,     2,     2,     1,     3,     3,     2,     1,     0,
       3,     0,     5,     2,     5,     2,     1,     2,     3,     0,
       1,     1,     1,     1,     1,     1,     3,     3,     3,     3,
       3,     3,     3,     0,     1,     4,     1,     3,     3,     5,
       2,     2,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     2,     2,     3,     3,     2,     3,     5,     4,
       6,     3,     5,     4,     6,     4,     6,     5,     7,     3,
       2,     4,     2,     3,     3,     4,     3,     4,     3,     4,
       5,     6,     6,     7,     6,     7,     6,     7,     3,     4,
       4,     6,     2,     3,     4,     1,     3,     2,     2,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     2,
       2,     5,     6,     6,     7,     3,     4,     1,     1,     2,
       4,     1,     1,     1,     2,     2,     2,     2,     1,     3,
       5,     6,     8,     6,     6,     4,     4,     1,     1,     1,
       5,     1,     1,     4,     1,     4,     1,     4,     1,     4,
       1,     1,     1,     1,     1,     1,     6,     4,     4,     4,
       4,     6,     5,     5,     5,     4,     6,     4,     4,     4,
       4,     5,     7,     7,     9,     5,     4,     6,     5,     7,
       7,     7,     2,     3,     3,     3,     4,     0,     4,     1,
       3,     3,     1,     1,     1,     2,     2,     0,     2,     4,
       4,     6,     5,     0,     5,     0,     2,     0,     1,     3,
       3,     2,     2,     0,     6,     1,     0,     3,     0,     2,
       2,     0,     1,     4,     2,     2,     2,     2,     2,     4,
       3,     5,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     4,     1,     4,
       1,     4,     1,     2,     1,     2,     1,     3,     1,     3,
       1,     3,     1,     3,     3,     3,     2,     1,     3,     3,
       0,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       3,     2,     3,     0,     3,     3,     2,     2,     1,     0,
       2,     2,     3,     2,     1,     1,     3,     5,     1,     2,
       4,     2,     0,     1,     0,     1,     2,     2,     2,     3,
       5,     1,     2,     0,     2,     1,     0,     1,     1,     1,
       3,     3,     1,     0,     1,     3,     3,     2,     1,     1,
       1,     3,     1,     2,     1,     3,     1,     1,     1,     1,
       1,     1,     1,     2,     1,     1,     1,     1,     1,     2,
       6,     2,     3,     6,     1,     1,     1,     1,     1,     1,
       1,     3,     1,     2,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    1400,  1197,   539,  1284,  1283,  1197,   242,     0,  1286,     0,
    1197,   363,   951,     0,     0,     0,     0,   539,  1197,     0,
    1400,     0,     0,     0,     0,  1413,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1197,     0,     0,  1420,     0,
       0,     0,     0,  1413,     0,  1288,     0,     0,     0,     0,
       2,     4,    61,    62,    26,    25,    31,    30,    84,    85,
      49,    17,    75,    55,   118,   117,   119,    37,    33,    69,
      22,    24,    34,    38,    57,    39,    50,    96,    56,    20,
      54,    79,    58,    82,    44,    11,    12,    45,    73,    13,
      46,    74,    14,    47,    15,    63,    86,    29,    59,    83,
      60,     5,    40,    71,    67,    10,    51,    52,    53,    76,
      77,    78,   101,    81,   113,    36,   110,    90,    91,   107,
      92,   108,     8,    93,    48,    16,   104,   103,   105,    70,
      41,    72,   102,    23,   106,    18,    19,   109,    80,    99,
      95,   114,   112,   120,    97,    64,     6,     7,    87,    21,
      43,     9,    28,    27,    42,    35,   116,    32,  1286,    89,
     100,    88,    65,    94,    68,    98,   115,    66,   111,  1387,
    1374,  1422,  1386,  1399,     0,  1389,  1196,  1195,  1181,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   538,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1207,
    1945,  1960,  1961,  1962,  1963,  1964,  1965,  1966,  1967,   334,
    1968,  1969,  1970,  1971,  1972,  1973,  1974,  1975,  1976,  1977,
    2219,  2220,  2221,  2222,  1978,  1979,  1980,  1981,  1982,  1983,
    1984,  2223,  2224,  1985,  1986,  1987,  1988,  1989,  2225,  1990,
    1991,  1992,  1993,  1994,  1995,  1996,  1997,  1998,  1999,  2000,
    2001,  2002,  2003,  2004,  2005,  2006,  2007,  2008,  2009,  2226,
    2227,  2010,  2011,  2012,  2013,  2014,  2015,  2016,  2017,  2018,
    2019,  2020,  2021,  2022,  2023,  2024,  2025,  2026,  2027,  2028,
    2029,  2030,  2031,  2032,  2033,  2034,  2228,  2035,  2036,  2037,
    2229,  2038,  2039,  2040,  2230,  2041,  2042,  2043,  2044,  2045,
    2046,  2047,  2231,  2048,  2049,  2050,  2051,  2052,  2053,  2054,
    2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,  2232,
    2064,  2065,  2066,  2067,  2233,  2234,  2235,  2068,  2069,  2070,
    2071,  2072,  2073,  2074,  2075,  2076,  2077,  2236,  2078,  2079,
    2080,  2081,  2082,  2083,  2084,  2085,  2086,  2087,  2088,  2089,
    2090,  2091,  2092,  2093,  2094,  2237,  2238,  2095,  2096,  2239,
    2097,  2098,  2099,  2240,  2100,  2241,  2101,  2102,  2103,  2104,
    2105,  2106,  2107,  2108,  2242,  2109,  2243,  2110,  2111,  2112,
    2113,  2114,  2115,  2116,  2117,  2244,  2118,  2245,  2121,  2119,
    2120,  2122,  2123,  2124,  2125,  2126,  2127,  2128,  2129,  2246,
    2130,  2131,  2132,  2133,  2134,  2135,  2136,  2137,  2138,  2139,
    2140,  2141,  2142,  2143,  2144,  2145,  2146,  2147,  2148,  2247,
    2149,  2150,  2151,  2152,  2153,  2154,  2155,  2156,  2157,  2158,
    2159,  2160,  2161,  2162,  2248,  2163,  2164,  2165,  2249,  2166,
    2167,  2168,  2169,  2170,  2171,  2172,  2173,  2174,  2175,  2176,
    2250,  2177,  2178,  2179,  2180,  2181,  2182,  2183,  2184,  2251,
    2252,  2185,  2253,  2186,  2254,  2187,  2188,  2189,  2190,  2191,
    2192,  2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,
    2202,  2203,  2255,  2256,  2204,  2205,  2206,  2207,  2208,  2209,
    2210,  2211,  2212,  2213,  2214,  2215,  2257,  2258,  2259,  2260,
    2261,  2262,  2263,  2264,  2265,  2216,  2217,  2218,   333,  1365,
    1916,  1946,  1947,  1285,  1266,   539,     0,  1184,   362,     0,
       0,     0,     0,     0,     0,     0,     0,   728,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   167,     0,
       0,   386,   385,     0,     0,     0,   923,   391,     0,     0,
       0,     0,     0,   527,  1327,  2119,  1325,  1366,   243,   246,
     247,   244,   245,  1938,     0,  1030,  1031,  1033,     0,     0,
    1043,   763,   764,     0,   762,     0,   766,     0,     0,     0,
     758,     0,     0,     0,     0,     0,   765,   755,     0,   754,
       0,     0,     0,   761,     0,   756,     0,     0,  1185,  1324,
     392,  1400,     0,  1302,  1303,  1304,  1286,  1293,  1305,  1298,
    1300,  1299,  1301,  1297,  1937,  1961,   862,   862,   862,   862,
     859,   860,   862,   862,   862,  2136,     0,     0,   841,     0,
     843,  1942,   862,   867,   447,   447,   447,     0,   866,   871,
     447,  1178,  1216,  1921,  1412,     0,   842,  1177,  2185,  1316,
       0,     0,     0,  1047,     0,  1048,     0,  2151,  1189,   227,
    2161,  2251,  2185,   223,   197,  1965,     0,     0,   866,     0,
    1186,  1187,   825,  1419,  1417,  1903,  1983,  1996,  2081,   220,
    2147,  2152,  2161,  2251,  2185,  2215,   176,   186,   181,     0,
     236,  2161,  2251,  2185,   232,  1207,     0,  1390,  1505,  1912,
       0,  1180,  1179,  1287,     0,  1290,     0,  1467,  2132,  1394,
    1396,  1292,  1387,     0,     0,     1,  1400,  1281,  1416,  1416,
       0,  1416,     0,  1379,  1387,  1382,  1386,     0,     0,     0,
       0,  1945,  2266,  2267,  2268,  2269,  2270,  2271,  2272,  2273,
    2274,  2275,  2276,  2277,  2278,  2279,  2280,  2281,  2282,  2283,
    2284,  2285,  2286,  2287,     0,     0,  1922,  1946,  1950,     0,
     773,     0,   124,  1917,   911,     0,     0,     0,     0,  1916,
       0,     0,     0,     0,  1951,     0,  1939,  1952,  1953,  1954,
    2053,     0,     0,     0,  1815,  1987,  2038,  1825,  1823,  1824,
    1817,  1818,  1819,  1820,  1821,  1822,     0,  1028,  1816,     0,
     146,   124,     0,     0,  2053,     0,     0,     0,  2053,     0,
       0,     0,     0,     0,  2084,   124,  2053,     0,     0,  1201,
       0,     0,     0,  1203,  1206,  1182,  1269,     0,  1912,     0,
       0,   804,   794,     0,   805,   795,   800,     0,   807,     0,
       0,   797,     0,     0,     0,   808,     0,   796,   798,   810,
     799,   806,     0,     0,   801,   802,     0,     0,  1193,   447,
     340,     0,     0,     0,     0,     0,   124,  1256,     0,  2053,
     124,     0,     0,   390,   389,   124,   388,   387,  1987,  2038,
       0,   950,   124,  2053,     0,   169,   609,   542,     0,     0,
     687,  2084,   124,     0,     0,     0,     0,     0,     0,   926,
       0,     0,   526,   539,  1328,  1326,     0,  1034,   222,   221,
    1032,  2053,     0,   308,     0,     0,  2053,  1244,   760,     0,
     759,  2053,     0,  2053,  1940,   160,     0,   757,  1987,  2038,
    2053,     0,     0,  2053,   152,  2053,     0,  2053,   308,  2053,
     543,     0,  2053,     0,  2053,  2084,   154,     0,  2053,   308,
     771,     0,  1321,     0,  1295,  2255,  1310,     0,  1306,  1313,
    1309,  1400,   862,   861,     0,   862,     0,   862,     0,   862,
       0,   862,     0,     0,     0,   862,  1943,  1944,   844,     0,
     868,     0,     0,   875,   874,   873,     0,     0,     0,   876,
    1509,  1343,     0,  1175,  1192,     0,     0,     0,   926,  1050,
    1050,  1050,  1188,   226,   224,     0,     0,     0,     0,     0,
       0,  1194,     0,     0,     0,     0,  1925,  1927,  1928,  1826,
    1893,     0,  2220,  2221,  2222,  1884,     0,  2223,  2224,  2225,
    2268,  1734,  1721,  1730,  1735,  1722,  1724,  1731,  2226,  2227,
    2022,  2228,  2229,  1935,  2230,  2231,  2233,  2234,  2235,  2236,
    1726,  1728,  2237,  2238,     0,  1936,  2240,  2241,  2105,  2243,
    2244,  2246,  2247,  1732,  2249,  2250,  2251,  2252,  2253,  2254,
    1934,     0,  1733,  2256,  2258,  2259,  2260,  2261,  2262,  2263,
    2264,  2265,     0,     0,  1909,     0,  1703,     0,  1549,  1550,
    1572,  1573,  1551,  1578,  1579,  1591,  1552,     0,  1908,  1616,
    1783,  1702,  1717,  1708,     0,  1701,  1697,  1402,  1902,  1904,
       0,  1698,  1924,  1926,  1885,   189,   238,     0,   239,  1910,
    2161,   177,   219,   191,   218,   192,   190,     0,  1985,   178,
       0,     0,   179,     0,     0,     0,     0,   235,   233,     0,
    1183,     0,  1507,  1506,     0,     0,  1891,  1913,   780,  1279,
    1280,  1278,     0,  1275,  1277,  1289,  1286,  1898,  1897,  1899,
       0,  1395,     0,     0,     0,  1377,  1376,     3,  1292,  1414,
    1415,     0,     0,     0,     0,     0,     0,     0,     0,  1457,
    1430,  1431,  1433,  1454,  1458,  1466,     0,  1383,     0,     0,
    1511,     0,  1468,     0,     0,  1923,     0,     0,     0,     0,
     774,     0,     0,     0,     0,     0,     0,   123,  1242,   229,
    1240,     0,     0,     0,     0,     0,     0,     0,  1248,     0,
       0,   158,   159,   554,   539,     0,  2053,     0,     0,     0,
       0,   990,   997,     0,     0,     0,     0,     0,     0,     0,
     991,   989,   992,   231,  1001,  1014,  1017,     0,   901,     0,
       0,     0,     0,  1107,     0,     0,  1107,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   250,
     258,   303,   519,     0,     0,   521,  2053,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   128,     0,     0,     0,
       0,     0,     0,   506,   518,     0,     0,     0,     0,     0,
     515,     0,   124,   252,   499,   503,     0,     0,     0,   618,
     617,  1246,     0,     0,  1107,     0,   248,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   326,   327,     0,     0,     0,   128,   151,
       0,     0,     0,   254,     0,     0,  1202,  1199,  1200,     0,
    1205,     0,  1265,     0,     0,     0,     0,   812,     0,   809,
       0,     0,   803,  1987,  2038,     0,     0,     0,     0,     0,
       0,   365,   339,     0,     0,   684,     0,     0,  1948,  1560,
    1589,  1567,  1589,  1589,  1556,  1556,  1569,  1557,  1558,  1596,
       0,  1589,  1556,  1561,     0,  1559,  1599,  1599,  1584,     0,
    1541,  1542,  1543,  1544,  1570,  1571,  1545,  1576,  1577,  1546,
    1613,  1556,  1949,     0,     0,   695,     0,  1219,  1255,     0,
       0,     0,   548,     0,  2053,     0,   126,   729,     0,   685,
     391,     0,   126,     0,     0,   163,     0,   613,     0,     0,
       0,     0,     0,     0,   633,   632,     0,     0,     0,   686,
       0,   126,     0,   502,  2053,     0,   447,   447,     0,     0,
     925,   928,     0,     0,     0,  1369,  1371,  1370,     0,  1368,
       0,   308,   306,   307,   682,  1042,     0,     0,     0,     0,
     308,     0,     0,  2053,   308,  2053,     0,  2053,     0,     0,
     308,   308,     0,     0,     0,     0,   614,     0,   770,   768,
     767,   769,     0,     0,     0,     0,     0,  2053,   308,     0,
       0,   751,  1836,     0,     0,  1400,     0,   208,   209,   207,
    1311,   210,  1312,  1308,  1294,     0,   852,     0,   856,     0,
     847,     0,   853,     0,   848,   845,   846,     0,   851,     0,
       0,   448,   450,     0,     0,  2007,  2021,     0,  2044,  2072,
    2073,  2152,  2157,     0,  2180,  2189,     0,   877,   906,   872,
       0,     0,  1353,  1176,  1842,     0,  1400,     0,     0,  1049,
    1046,  1045,  1044,   225,   198,     0,     0,     0,   908,  2151,
    1191,   824,   539,     0,  1699,     0,  1706,  1707,  1588,  1575,
    1883,     0,     0,  1583,  1582,     0,     0,     0,     0,     0,
    1565,  1564,  1563,  1705,  1850,     0,  1562,     0,     0,     0,
       0,  1589,  1589,  1587,  1636,     0,  1566,     0,     0,  1863,
       0,  1869,     0,     0,     0,  1595,     0,  1593,     0,     0,
    1672,     0,     0,     0,     0,     0,     0,     0,     0,  1620,
    1621,  1703,  1836,     0,  1704,  1931,     0,     0,  1581,     0,
    1613,  1907,  1826,     0,     0,     0,     0,  1896,     0,  1834,
       0,     0,  1650,  1832,     0,  1652,     0,     0,     0,  1825,
    1823,  1824,  1817,  1818,  1819,  1820,  1821,  1822,  1830,  1633,
       0,     0,  1785,     0,  1632,     0,  1470,     0,     0,  1929,
    1886,   240,   241,   237,     0,     0,   194,   193,     0,   212,
     216,   217,   188,   215,     0,   211,   196,  1774,  1773,   195,
     187,   184,   182,   199,   201,   202,   185,   183,   234,     0,
       0,  1955,  2288,  2289,  2290,  2291,  2292,  2293,  2294,  2295,
    2296,  2297,  2298,  2299,  2300,  2301,  2302,  2303,  2304,  2305,
    2306,  2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,
    2316,  2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,
    2326,  2327,  2328,  2329,  2330,  2331,  2332,  2333,  2334,  2335,
    2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,  2345,
    2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2354,  2355,
    2356,  2357,  2358,  2359,  2360,  2361,  2362,  2363,  2364,  1888,
    1887,  1919,  1956,  1957,  1958,  1959,  1892,     0,     0,   308,
    1273,     0,  1270,  1901,     0,  1397,     0,  1914,     0,  1282,
    1393,  1392,  1423,  1424,   943,  1391,  1448,  1449,  1444,     0,
       0,     0,  1463,  1461,  1440,  1434,  1439,  1437,     0,  1441,
    1616,  1456,  1381,  1428,  1429,  1432,  1380,     0,  1459,     0,
    1353,  1457,  1433,  1340,     0,     0,  1512,     0,   965,   967,
       0,   966,     0,   969,     0,   978,     0,     0,   964,   983,
       0,   972,   970,     0,     0,     0,     0,     0,     0,   775,
       0,     0,     0,     0,     0,     0,  2180,   228,  1238,     0,
       0,     0,     0,   910,   909,     0,     0,   930,     0,     0,
       0,  1251,   436,     0,   305,     0,     0,     0,     0,     0,
       0,     0,     0,   680,   677,     0,     0,   676,     0,   552,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   588,     0,
    1107,     0,   621,     0,   999,     0,   998,     0,     0,     0,
    1000,   995,   996,  2152,  2161,  2185,   230,  1016,     0,  1015,
    1013,   953,     0,   954,     0,     0,     0,     0,  2031,   260,
     273,     0,  1106,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   294,     0,   297,   296,     0,     0,
       0,     0,     0,   301,     0,     0,     0,   300,     0,     0,
     520,     0,     0,  1107,     0,   256,     0,     0,     0,     0,
       0,     0,  1029,     0,   149,     0,   145,   148,     0,     0,
       0,     0,   505,   517,     0,   509,   510,   507,   511,   512,
       0,     0,     0,     0,     0,     0,   504,     0,     0,   611,
     610,   616,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1060,  1059,     0,     0,     0,     0,     0,
       0,   719,     0,     0,     0,     0,     0,     0,     0,   624,
     625,     0,   626,     0,   150,     0,     0,     0,     0,     0,
       0,     0,   206,  1198,  1204,  1268,  1920,  1267,     0,     0,
       0,   811,     0,     0,     0,     0,     0,     0,     0,   813,
     814,   815,   816,     0,     0,     0,     0,     0,   342,   343,
     124,   341,  1948,     0,   708,   683,     0,  1541,     0,  1537,
    1533,  1602,  1603,  1604,  1601,  1614,  1600,     0,  1547,  1605,
    1556,  1553,   696,     0,   698,   701,     0,  1217,   409,     0,
       0,   545,   588,     0,   394,   156,     0,     0,     0,     0,
     122,   167,   169,   392,     0,   168,   170,   172,   173,   174,
     171,   175,   608,   612,     0,   541,     0,     0,     0,     0,
       0,   634,   638,   637,   641,   639,     0,   635,     0,     0,
    1529,     0,   144,     0,   498,   501,     0,     0,     0,   394,
     478,   319,     0,   447,     0,     0,   927,     0,     0,     0,
       0,     0,     0,     0,  1367,     0,  1020,     0,  1245,  2053,
     308,     0,  1018,   161,  1941,     0,   752,     0,     0,     0,
       0,     0,  1022,   748,   153,     0,   308,   308,   544,     0,
     308,   155,     0,     0,     0,   536,   308,   772,  1323,     0,
     447,  1296,  1307,   849,   858,   857,   855,   854,   850,     0,
     869,     0,   446,     0,     0,     0,   883,   884,     0,     0,
     882,   899,   885,     0,   887,   879,   878,   888,   889,     0,
       0,   908,     0,  1350,     0,  1348,     0,  1510,  1352,  1341,
    1315,     0,  1314,  1318,  1320,  1319,  1317,     0,   492,     0,
       0,   866,     0,     0,   308,  1190,     0,   826,   827,   833,
       0,     0,     0,     0,     0,   834,   830,   831,   832,   835,
     836,   837,     0,     0,     0,  1894,  1846,     0,  1847,     0,
       0,     0,  1882,  1878,     0,     0,     0,     0,     0,     0,
    1851,  1854,  1855,  1856,  1853,  1857,  1852,     0,     0,  1858,
       0,     0,     0,     0,     0,  1586,  1585,     0,     0,     0,
       0,     0,     0,     0,  1675,  1708,     0,     0,  1810,     0,
    1836,  1868,     0,     0,  1597,     0,     0,     0,     0,     0,
       0,     0,  1836,  1874,     0,     0,     0,     0,  1772,     0,
    1769,     0,     0,     0,     0,  1893,     0,     0,     0,     0,
    1932,  1617,  1634,  1906,     0,  1895,     0,     0,  1618,  1641,
       0,  1875,  1668,     0,  1673,  1656,     0,  1649,     0,  1654,
    1658,  1637,  1896,  1835,     0,  1833,     0,     0,  1635,     0,
    1630,  1628,  1629,  1622,  1623,  1624,  1625,  1626,  1627,  1631,
    1814,  1812,  1813,     0,     0,     0,  1793,     0,     0,  1653,
    2046,  2081,     0,  1413,  1413,  1413,  1401,  1411,     0,  1524,
    1905,     0,     0,     0,     0,  1709,     0,  1840,  1422,  1838,
    1922,  1911,     0,     0,  1613,     0,  1508,  1889,     0,   778,
     779,   777,  1292,  1276,  1272,  1271,  1900,  1291,     0,  1400,
       0,   941,   942,     0,   946,     0,     0,  1442,  1464,     0,
    1455,     0,  1446,  1447,  1438,  1465,  1460,  1385,  1384,     0,
    1527,     0,     0,  1337,  1330,  1513,     0,  1470,  1355,  1357,
    1358,     0,  1893,   968,     0,  1556,   979,     0,   963,     0,
     962,  1556,     0,   980,     0,  1556,     0,     0,     0,  1135,
    1062,  1111,   776,  1136,  1063,  1112,  1137,  1064,  1239,     0,
    1241,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   659,  2053,   308,  1249,  1138,
       0,  1065,   304,  1250,  1113,  1254,   679,   678,     0,     0,
    1114,     0,   553,     0,     0,   558,   559,   560,     0,     0,
       0,   561,     0,  1987,  2038,     0,   566,   573,   578,   568,
       0,   579,   574,     0,     0,     0,     0,     0,     0,   585,
     592,     0,     0,     0,     0,     0,     0,   993,   994,  1139,
    1068,     0,  1115,   952,     0,  1069,   157,     0,   251,   261,
     594,   659,  1109,   280,   293,   288,   289,   287,  2053,   308,
    2053,   308,     0,     0,     0,     0,   290,   285,   286,   282,
     295,  1964,  2023,  2162,     0,   598,   600,     0,   605,   298,
    1083,   315,   314,   313,     0,   302,     0,   320,   323,   299,
     278,   281,   279,   275,   259,     0,     0,     0,     0,     0,
       0,  1918,     0,     0,  1024,     0,     0,     0,   147,  1097,
     137,     0,     0,   133,     0,     0,     0,     0,   127,     0,
    1145,  1073,     0,     0,   253,   500,   508,   513,  1077,   516,
    1125,   514,  1151,  1074,  1107,     0,   249,     0,  1075,     0,
    1119,     0,     0,     0,     0,     0,     0,     0,  1147,  1099,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1257,
       0,     0,     0,     0,     0,   308,     0,     0,     0,  1109,
    2053,   308,  1146,     0,  1104,  1133,     0,   328,     0,  1098,
       0,     0,   255,  1079,  1127,     0,     0,   204,   203,   205,
       0,     0,     0,     0,     0,     0,     0,     0,   818,   787,
     817,     0,     0,     0,   781,   364,   337,   338,   340,   347,
       0,   707,     0,     0,  1538,  1534,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1554,   697,     0,     0,     0,
       0,  1237,  1237,  1237,  1237,  1237,  1237,  1237,  1218,  1247,
       0,   124,     0,     0,     0,   547,   587,   594,     0,     0,
       0,   393,   397,   401,   402,   403,     0,     0,     0,     0,
     138,   125,     0,   737,     0,   447,     0,   169,   162,     0,
       0,     0,   319,   694,   692,   691,   693,     0,     0,     0,
     712,   690,     0,  1528,  1530,     0,     0,     0,     0,   492,
     396,     0,   450,     0,     0,   482,     0,     0,     0,   319,
       0,     0,   957,     0,   975,   958,     0,     0,     0,  1004,
    1009,  1005,   985,     0,   524,  1372,  1373,     0,   308,     0,
       0,   589,   308,   308,     0,   308,     0,   308,   308,     0,
    1173,   615,     0,   667,     0,     0,   308,   750,  1837,   870,
     449,     0,     0,     0,     0,   881,     0,   522,   886,     0,
     898,   893,   895,     0,   902,  1351,  1344,  1346,  1345,     0,
       0,  1342,  1843,   749,     0,   497,     0,     0,   308,     0,
     903,     0,   828,   829,     0,     0,   838,     0,     0,  1418,
    1844,  1845,     0,     0,     0,     0,  1879,     0,     0,  1747,
       0,  1723,  1725,  1555,  1737,     0,  1568,  1748,  1749,  1727,
    1729,     0,  1827,     0,     0,  1738,  1677,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1690,  1689,  1739,  1809,     0,     0,  1866,  1867,  1740,
    1598,  1599,  1599,     0,     0,  1873,     0,     0,     0,  1745,
    1750,     0,     0,     0,     0,  1756,     0,  1777,     0,     0,
       0,  1700,  1837,  1590,  1591,     0,     0,     0,     0,     0,
       0,     0,     0,  1674,  1657,  1651,     0,  1655,  1659,     0,
       0,     0,     0,  1643,  1669,  1639,     0,     0,  1645,     0,
    1670,     0,     0,     0,  1716,  1413,  1413,  1413,  1413,  1410,
       0,     0,     0,     0,  2149,     0,  1491,  1469,  1471,  1478,
    1491,  1496,  1718,  1522,  1719,     0,  1912,     0,  1451,  1422,
    1422,  1422,  1715,     0,     0,     0,  1421,   180,     0,   213,
     200,     0,  1274,  1915,     0,  1425,     0,  1828,   946,   944,
     945,  1427,     0,     0,  1462,  1435,  1339,     0,  1337,  1332,
       0,  1333,  1893,     0,  1329,  1362,     0,     0,  1527,     0,
    1361,     0,  1556,   960,   961,     0,   984,     0,  1134,  1061,
    1110,  1237,   913,   914,     0,   912,     0,     0,     0,   435,
     929,     0,     0,     0,   659,     0,     0,   439,     0,  1252,
       0,  1152,  1096,   555,   556,     0,   567,     0,   576,   575,
       0,     0,   563,     0,     0,     0,     0,   562,   581,   528,
     582,   584,     0,     0,   583,   586,   591,  1107,     0,   622,
    1085,     0,  1131,   987,     0,   955,     0,     0,   409,   274,
       0,     0,     0,   262,   272,     0,     0,   277,     0,   270,
     291,   283,   292,   284,   602,   603,   601,   597,     0,   604,
     606,     0,   317,     0,     0,     0,  1141,  1107,     0,   257,
    1081,     0,  1129,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1142,  1116,     0,     0,   130,   129,
       0,   136,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1353,     0,  1353,     0,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   329,   310,     0,   715,     0,     0,     0,
     331,     0,     0,     0,     0,  1140,  1070,   782,     0,     0,
     783,   791,     0,     0,   784,     0,     0,   793,     0,     0,
     336,   344,  2105,  1817,  1818,   705,   710,   702,   704,   706,
     703,     0,   709,   659,     0,     0,     0,  1539,     0,  1607,
    1608,  1609,  1610,  1611,  1612,     0,  1606,  1613,   699,   700,
       0,  1237,  1236,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   421,     0,     0,   415,     0,     0,
    1009,   408,   411,   412,     0,     0,   548,   551,   549,   550,
     580,     0,   428,     0,     0,   140,     0,     0,   141,   139,
       0,     0,   319,     0,   165,   392,     0,     0,   540,   640,
     643,   636,     0,   711,   713,   688,     0,   594,     0,     0,
    1324,   488,     0,   478,   474,   476,   475,   477,     0,   484,
     318,     0,   492,   484,     0,   930,   956,     0,     0,     0,
    1002,  1006,  1003,     0,     0,   971,     0,   986,   949,  1168,
    1169,  1166,  1167,     0,     0,  1364,  1021,     0,   308,  1019,
     753,     0,   744,     0,   746,  1023,   308,   308,   627,     0,
     537,     0,     0,     0,   880,   900,     0,   896,     0,     0,
     863,   905,  1349,  1347,   490,     0,   908,     0,   864,   907,
       0,     0,     0,     0,     0,  1848,  1574,     0,  1881,  1877,
       0,  1720,  1849,     0,  1861,  1860,  1676,  1862,     0,  1695,
       0,     0,  1687,  1685,  1686,  1679,  1680,  1681,  1682,  1683,
    1684,  1688,  1871,  1870,  1864,  1865,  1594,  1592,     0,  1742,
    1743,  1744,  1872,  1751,     0,  1978,  1778,  1755,  1771,  1770,
       0,     0,     0,  1758,     0,     0,  1767,     0,  1811,  1580,
    1613,  1619,     0,     0,  1642,  1876,  1660,     0,     0,     0,
    1638,     0,     0,     0,     0,  1647,  1827,     0,     0,     0,
       0,  1796,  1791,  1792,     0,     0,     0,     0,  1404,  1403,
    1409,  1491,  1496,     0,  1387,     0,  1478,     0,  1490,  1476,
    1489,     0,     0,  1502,  1500,     0,  1502,     0,  1502,     0,
    1473,     0,  1492,  1474,  1489,  1521,  1514,     0,  1913,  1523,
       0,  1453,     0,     0,     0,     0,  1841,     0,  1839,  1710,
       0,  1890,  1398,     0,  1426,  1443,  1436,  2003,  1525,  1338,
       0,     0,  1335,  1336,     0,     0,  1356,  1337,  1359,   981,
       0,     0,   973,     0,   919,   920,   918,   921,     0,     0,
       0,   659,     0,     0,   455,     0,   937,   937,     0,     0,
     441,   487,  1009,   662,     0,     0,     0,   660,   308,  1066,
       0,   577,     0,     0,   572,   570,   569,   571,   529,  1150,
    1067,     0,     0,     0,     0,   988,  1084,     0,   406,     0,
     267,  1108,     0,     0,     0,   266,     0,   308,   308,   599,
     316,   321,   322,   325,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   738,   721,     0,     0,   739,   740,
       0,     0,     0,  1026,  1027,  1025,   134,   131,   132,   135,
    1094,  1078,  1126,  1076,     0,  1120,  1091,  1087,     0,  1051,
       0,  1053,     0,  1353,     0,  1052,     0,     0,     0,     0,
       0,  1149,  1103,  1124,  1148,  1101,  1122,  1100,  1121,  1102,
    1123,  1095,     0,  1532,   718,     0,     0,     0,   308,   308,
     629,  1080,  1128,     0,   785,     0,     0,   786,   788,   367,
       0,   370,   377,   348,   353,  1256,     0,  1256,     0,   350,
     354,  1256,   349,  1256,   346,   681,     0,     0,     0,  1535,
    1540,  1615,  1548,   658,     0,  1228,  1227,  1226,  1230,  1229,
    1232,  1231,  1223,  1222,  1235,  1234,  1221,  1220,  1225,  1224,
       0,   413,     0,   419,   423,   424,   422,   414,  1009,   447,
     486,     0,     0,   671,     0,   546,   394,   425,     0,   398,
     143,   142,     0,     0,     0,   169,     0,     0,   645,   649,
     689,     0,  1531,   623,   319,     0,   394,   492,     0,   399,
     404,   405,     0,   482,     0,   478,     0,     0,   489,  1215,
     493,   494,     0,     0,   959,   976,   977,     0,     0,  1009,
    1008,     0,   531,   308,   590,   308,   308,  1174,   668,     0,
     892,   891,   890,   523,     0,   894,   491,   308,     0,     0,
       0,     0,     0,   840,   819,   839,  1880,  1736,  1746,  1859,
       0,     0,  1696,     0,     0,  1741,  2257,     0,     0,     0,
       0,  1775,  1776,  1757,     0,  2096,  1762,     0,     0,     0,
    1933,  1666,  1664,  1661,     0,  1662,     0,     0,  1644,  1640,
       0,  1646,  1671,  1782,     0,  1798,  1795,  1408,  1407,  1406,
    1405,  1477,  1475,     0,  1480,  1487,     0,  1472,     0,  1501,
    1497,     0,  1498,     0,     0,  1499,     0,     0,  1487,     0,
    1422,     0,     0,  1787,  1713,  1714,  1711,  1422,  1930,  1613,
       0,     0,  1331,  1334,     0,  1363,  1354,   974,   982,  1243,
       0,     0,     0,   437,     0,  1009,     0,     0,     0,   940,
     940,     0,  1009,   486,   664,   663,   666,   661,   665,  1253,
       0,   564,   565,  1086,     0,  1132,  1092,     0,   595,   263,
     264,   265,   268,   310,   276,   269,     0,  1082,     0,  1130,
    1089,  1143,  1071,  1117,     0,     0,   727,     0,     0,     0,
       0,  1144,  1072,  1118,     0,     0,     0,     0,  1054,     0,
       0,     0,     0,  1262,     0,   309,   717,   716,   310,   330,
    1105,     0,   789,   790,   368,   124,     0,   345,     0,   375,
       0,   373,   372,   374,     0,   361,     0,     0,     0,     0,
       0,     0,  1536,     0,  1040,  1040,     0,   659,  1233,     0,
       0,   410,   486,   454,     0,   416,     0,     0,     0,     0,
       0,     0,     0,   594,     0,     0,     0,   164,   394,   594,
     644,     0,     0,     0,   714,     0,   396,     0,  1322,   395,
       0,     0,   484,     0,   482,     0,   479,     0,   483,     0,
    1208,     0,     0,  1007,     0,  1011,     0,   970,   947,  1524,
       0,   535,  1041,   745,   747,   628,   897,   904,   308,   820,
     821,   822,   823,  1691,     0,     0,     0,     0,  1752,     0,
    1753,  1780,  1779,  1759,  1763,     0,  1760,  1761,  1663,  1667,
    1665,  1648,  1784,     0,  1422,  1517,     0,  1520,  1479,     0,
       0,  1481,     0,     0,  1483,  1485,     0,     0,     0,     0,
       0,  1916,     0,  1450,  1452,     0,  1388,     0,   214,  1829,
    1526,  1360,   898,     0,   308,   937,   486,   456,  2105,   457,
     936,     0,   938,   943,   943,     0,   486,   659,   557,     0,
     593,     0,   312,   324,     0,     0,     0,   734,   722,     0,
       0,   741,  1088,  1353,  1353,     0,  1353,     0,     0,     0,
       0,     0,   308,   792,   347,     0,   371,   380,     0,   378,
     351,   356,     0,   360,   358,   357,   352,   355,  1040,     0,
    1037,  1036,   657,     0,   445,   417,     0,   465,     0,     0,
     672,     0,     0,     0,   434,   433,   430,   429,   431,   432,
     427,   426,   619,   731,   319,  1215,   607,   646,   647,   642,
       0,     0,     0,   478,   474,   400,   409,   383,     0,   484,
     480,   481,     0,     0,     0,  1264,     0,   931,  1010,     0,
       0,     0,   530,     0,     0,   534,   525,   865,  1692,     0,
    1693,     0,     0,     0,  1765,  1764,     0,  1801,  1522,     0,
       0,  1516,     0,  1488,  1504,     0,  1484,  1482,  1493,     0,
    1495,  1710,  1786,  1788,     0,  1712,   915,     0,   916,   940,
     460,     0,   939,   946,   946,   447,   659,   438,  1093,   596,
       0,   271,  1090,     0,   725,     0,   736,   734,     0,     0,
    1055,  1057,  1353,  1056,  1258,     0,  1259,  1260,  1263,   332,
     335,   366,   376,     0,   359,  1035,  1039,  1038,     0,     0,
     418,   451,   452,   453,     0,   420,   461,   462,     0,   669,
       0,   674,     0,     0,     0,     0,     0,  1209,     0,     0,
    1215,   482,   478,   407,   473,   381,     0,  1212,     0,   319,
       0,  1009,  1012,  1172,   533,   532,  1694,  1768,  1754,  1781,
    1766,  1797,     0,     0,     0,  1515,  1518,     0,  1486,     0,
    1494,     0,     0,     0,   943,     0,   659,     0,   934,   933,
     454,   440,   311,     0,     0,   732,   735,   723,   736,   743,
     742,  1058,     0,   379,     0,   444,     0,     0,     0,   463,
       0,   464,   485,     0,   673,     0,   594,   730,     0,     0,
     648,     0,  1210,   484,   482,  1213,  1214,   484,   932,   948,
    1171,  1170,  1400,  2219,  2003,  2191,     0,  1799,  1802,  1800,
    1794,     0,  1503,  1789,  1790,   308,   946,     0,   442,   458,
     465,     0,     0,   724,  1261,   649,   470,     0,   469,     0,
     467,   466,   670,   675,   620,   720,  1215,   652,   384,   484,
    1524,  1154,  1400,  1153,  1155,  1163,  1160,  1162,  1161,  1159,
       0,  1806,  1805,  1804,  1808,  1807,  1519,   917,   935,     0,
     659,   726,   733,     0,   468,   472,   471,  1211,   654,     0,
     650,   653,   655,   656,   382,   922,     0,  1164,  1158,  1387,
    1374,     0,   459,   443,     0,   630,     0,  1156,  1400,  1803,
       0,   651,  1157,     0,   652,     0,   631
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    49,    50,    51,    52,  1218,  2155,  2026,  2840,  2841,
      53,    54,  1294,    55,    56,    57,    58,    59,    60,    61,
    1234,    62,    63,   894,  1445,  2165,    64,  1897,   697,   698,
     699,  1722,  1723,  2093,  1724,  1712,  1133,  1531,  1253,  1220,
    1254,    66,    67,  1127,  1703,    68,    69,    70,  1279,  1280,
    1228,  1484,  3743,  4341,  2665,  2007,  2877,  2666,  2667,    71,
    1343,  1344,    72,    73,  2788,  1383,  2120,  3310,  3311,  3774,
     529,  2117,  4045,  4046,  3760,  3761,  4052,  4228,  4229,  2166,
    1441,  2871,  3403,  2831,  3838,  2832,  3839,  2833,  3840,  2819,
    3361,  3362,  3363,  2834,  3817,  4260,  2835,  1912,  4370,  2200,
    1553,  1551,  4247,  3633,  3634,  4426,  4375,  4376,  4377,  4500,
    3845,  2875,  3409,  3848,  4075,  2565,   613,  1465,  2945,   614,
    2202,   560,   615,  2167,    79,  2194,  1314,  1315,  2034,  3315,
    2928,    80,   913,  3178,  4121,  4295,  4296,    81,   208,    82,
    1449,    83,    84,  2151,  2825,    85,  1929,  2582,    86,    87,
    2609,  2610,  2611,    88,    89,  3198,  3997,  1281,  2654,  2655,
    2656,  2657,  3219,    90,  1447,  1320,  2174,    91,    92,    93,
      94,    95,  2081,    96,    97,  2168,  1457,  2186,  2187,  3829,
    4091,  4269,  4093,  4539,  4540,  4067,  3157,  3647,    99,   100,
    3812,  3813,  4382,   101,  1927,   102,   103,   104,  1425,  2143,
    2144,  3316,  1385,  2123,  2124,  3392,  3393,   105,  2748,   106,
    3694,  3695,   561,  4385,  4346,  4437,   107,   108,  3698,  3699,
     109,   110,   111,   112,   113,   607,   959,   960,  1210,   114,
    1819,   115,   867,  2779,   116,  1024,  2323,  3884,   117,   638,
     973,   974,  2169,   119,   647,  2301,   649,  1566,  2930,  2931,
    3460,  2270,   782,   120,   121,  2281,  2304,   122,  1221,  1903,
    1904,  3628,  2170,   562,  1471,  2205,  2560,  4286,  3635,  3979,
    4193,  2494,  3111,   124,   563,  1258,  1972,  2208,  2883,  1875,
    1876,  1877,  3424,  1878,  2885,  1879,  1204,  1880,  2890,  2891,
    2892,  3420,  3428,  4115,  4116,   125,  1256,  1970,   126,   127,
     128,  1291,   806,   129,   575,   576,   130,  4240,   131,   925,
     132,   666,  1580,   133,   134,  1984,  3205,   135,   136,   137,
    4513,  4546,  4547,  4548,  3433,  4472,   138,  4515,  1003,   140,
     141,   142,   178,   833,   834,   835,  2171,  4110,   144,   145,
    2147,  2818,  3343,   146,   147,  1898,  2550,   148,   149,   150,
     151,  1429,   152,   153,   154,   155,  1362,   156,  1162,  1163,
     157,   158,   524,   715,  1166,  1174,   159,   617,   967,   968,
     969,  1533,   160,  1006,  2292,   618,   962,   162,   619,  2513,
    3120,  3121,  3124,   620,  2510,   165,  1572,  2286,  2289,   621,
    2517,  2518,  2519,  2520,  2521,  3126,   622,   640,   916,  2213,
     623,  1096,   170,   171,   172,   724,   719,   720,   174,  1696,
    2456,   655,  1181,   685,   732,  3096,  1832,  1833,  1855,  1856,
    1190,  1191,  1845,  1847,  2496,  1848,  2504,  1838,  3591,  3953,
    1851,  1852,  1193,  1194,  1195,  1860,   175,  2459,  3077,  3078,
    3079,  3568,  3569,  3583,  3579,  3940,  4164,  3080,  1001,  1201,
    3081,  4155,  4156,  4311,  3586,  3088,  3118,  2862,  2863,  2864,
    1881,  2130,  1410,  1097,  1411,  2141,  1098,  1616,  1413,  1099,
    1100,  1101,  1416,  1102,  1103,  1104,  1105,  1599,  1658,  1106,
    1107,  1635,  2138,  2139,  1522,  2363,  1109,  1110,  1111,  3083,
    1112,  3526,  3908,  3897,  2389,  2390,  1719,  3522,  3023,  1692,
    2446,  4176,  4322,  4323,  3064,  3552,  3925,  4154,  4414,  4477,
    4478,  1113,  2443,  1688,   808,  1114,  3318,  1690,  2383,  2468,
    2469,  1575,  1597,  2329,  2347,  2348,  2360,  2984,  2367,  2372,
    3007,  3008,  2384,  2412,  1115,  2332,  2333,  2967,  1601,  1116,
    1156,  1157,  1594,  2407,  1169,  1170,   717,  1117,  1118,  1119,
    1567,   708,  4160,   519,   772,  2680,  1810,   837,   652,  1120,
    1121,  1122,  1123,   934,   935,  1285,   520,   766,   786,  2658,
     521,   522,   768,  1815
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4013
static const int yypact[] =
{
    5832,  1302, 10230, -4013, -4013,  1302, -4013, 54668,   -15,   624,
    1139,   174, 10863, 55084, 62156,   672,   280, 10957,  1302, 62156,
    1880, 40940, 52172, 62156,   423,   589, 40940, 62156, 62572,   722,
     863,  1073, 62988, 55500, 50924,  1277, 62156,   977,   301, 63404,
   55916,   830, 56332,   589, 38046,    84,   769, 63820,  2153,  1235,
     818, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,   -15, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,   191,
   -4013,  1146,   197,   641,   744,   862, -4013, -4013, -4013, 46348,
   62156, 62156, 62156,  1087, 62156,  1022, 62156,   266, 46348, 46764,
   64236,  1174,  1060, 34631, -4013, 44684, 62156, 62156, 64652, 62156,
    1154, 56748, 62156,  1220, 62156, 62156, 47180, 65068,  1375,   983,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, 62156, 11263,   423, -4013, -4013, 62156,
    1250, 46348, 62156,  1239, 62156,  1348, 62156, -4013, 62156,  1420,
   65484,   411,  1504, 46764,  1602, 35061,  1493, 46764, 65900, 62156,
   62156, -4013, -4013,  1529, 62156, 62156, -4013,  1649, 47596,  1308,
    1658,  1930,  1714,   770, -4013, 57164, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, 45100,   280, -4013, -4013, 48012, 62156,
    1748, -4013, -4013, 66316, -4013,  1641, -4013,   437, 48428, 48844,
    1887,  1585, 35491,  1969, 49260, 66732, -4013, -4013, 67148, -4013,
   67564,  1697, 67980, -4013, 49676, -4013,  1832, 68396, -4013,  1601,
    1470,  1707, 31240, -4013, -4013, -4013,   -15, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013,   348,  1786,   295,   201,   325,
   -4013, -4013,   213,   238,   263,   348,  2079,  2079, -4013, 62156,
   -4013, -4013,  1786,    21,  1660,  1660,  1660,  1878,   -31, -4013,
    1660, -4013, -4013, -4013, -4013, 56332, -4013,  1684,   423,  1725,
    2097,  1848, 62156, -4013, 62156, -4013, 62156, 62156, -4013, -4013,
    2130,  1863,  2069,  1838, -4013,  2034,  2038,  2046,   296,   423,
    1944, -4013,  2172, -4013,  2057, 21786,   423, 57580, 68812,   193,
   45100,   423, 57996,  1914,   867,  2065, -4013, -4013, -4013,   662,
   -4013,  2289,  1932,  2147,  1838,   983, 32509, -4013,  1929,  1287,
   56332, -4013, -4013, -4013,   205,  2221, 22220, -4013, 62156,  1943,
   -4013,  1957,  1960,  1961,   641, -4013,  5832, 62156,   328,   328,
    2356,   328,  1495,  1624, -4013,  1402, -4013,  2260,  2234, 56332,
     769,   206, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013,  2020,  1287, -4013,   210, -4013,  1554,
    2037,  1653,  1377, -4013, -4013,   748, 62156,  2162,   204,   -21,
    2064, 58412,  2461,  2044, -4013,   221, -4013, -4013, -4013, -4013,
    2346,  4958,   279, 69228, -4013, 62156, 62156, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013,  2087, -4013, -4013,  2076,
    2362,  1151,  2297,  1242,  2423,  4658,    62, 62156,  2429,  5371,
    1611,   787,  2322,   807,  2431,  1412,  2453,  5926, 62156, -4013,
    2381,  2488,    51, -4013,   780, -4013,  2226,  2359,   716, 46348,
    2180, -4013, -4013, 62156, -4013, -4013, -4013,  2259, -4013,   712,
   46348, -4013,  2403,  2268, 35921, -4013, 62156, -4013, -4013, -4013,
   -4013, -4013,  2348, 62156, -4013, -4013,  2470, 62156, -4013,  1660,
    2387,  2235,  2612, 77920,    83, 62156,  2273,  2643, 62156,  2440,
    2273,  2274, 69644, -4013, -4013,  2273, -4013, -4013, 62156, 62156,
    2243,  1381,  2273,  2444,  2644,  2648,  2323,  2426,   802,   274,
     150,  2545,  2273,  2300, 62156, 70060, 62156,  2303, 62156,  2625,
   46348, 62156, -4013,  2418, -4013, -4013,  1382, -4013, -4013, -4013,
   -4013,  2565,  2020,   814,  2566,  2269,  2569, -4013, -4013,  2302,
   -4013,  2572,  2044,  2573, -4013,  2270, 70476, -4013, 70892, 71308,
    2574,  2087, 46764,  2576,  2270,  2577,  2463,  2579,   814,  2580,
   -4013,  1128,  2583,  2471,  2585,  1799,  2270, 45516,  2587,   182,
   -4013, 23956, -4013,  2374, -4013,   769, -4013,  1527, -4013, 40524,
   -4013,  1707,  1786, -4013, 62156,  1786, 62156,  1786, 62156,  1786,
   62156,  1786, 62156, 62156, 62156,  1786, -4013, -4013, -4013, 62156,
    2288, 62156, 62156, -4013, -4013, -4013, 52588, 46764, 53004, -4013,
   -4013,    69,   423, -4013, -4013, 77920,  2697, 46764,  2625,  2581,
    2581,  2581, -4013, -4013, -4013,  2521, 62156,  2584,  2586, 52588,
   46764, -4013, 71724, 45100,  2482,  2298, -4013, -4013, -4013, -4013,
   -4013,  1589,  2732,   306,  2734, 23956,  2305,   199,   199,  2306,
    2596, -4013, -4013, -4013,   211,  2308,  2310, -4013,   246,   246,
    2473,  2313,  2315, -4013,   247,  2316,  2749,  2750,   256,  2320,
    2321,  2329,  1913,   199, 23956, -4013,  2332,   246,  2333,  2335,
    2338,  2754,  2339, -4013,  2773,  2345,   202,   303,  2347,  2349,
   -4013,  2313, -4013,   235,  2350,  2353,  2357,  2361,  2363,  2364,
    2365,  2369, 23956, 23956, -4013, 20918,  1287,   423, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013,   144, -4013,   264,  4734, -4013,
    2383, -4013, -4013,  2531, 23956, -4013, -4013,  2591,  2355, -4013,
     272, -4013, -4013, -4013,  1287, -4013, -4013,  1065,  2367, -4013,
    1514, -4013, -4013, -4013, -4013, -4013, -4013, 43436,  2777, -4013,
     388,   423,   780,   283,  2724, 39692, 40108, -4013, -4013,  2602,
   -4013, 62156, -4013, -4013, 23956, 37630, -4013,  1287,   147, -4013,
   -4013, -4013,  1615, -4013, -4013, -4013,   -15, -4013, 10184, -4013,
    1652,  1943, 62156, 62156,  2782, -4013, -4013, -4013,  1957, -4013,
   -4013,   641,   641, 23956,   641,   186,  1656, 22654, 23956,  2672,
    2575,  1195,  1273,  2674, -4013,  2578,  1495,  1624, 56332, 62156,
   72140,  2494, -4013, 38462,  1683,  1287,  2469,  2472,  2515, 41772,
    2394,  2474,  2475,  2523,  2476,  2481, 72556, -4013, -4013, -4013,
   -4013,  1386,  1049,  1062,  2483,   178,   168,  2765, -4013,   746,
    2529, -4013, -4013, -4013,  2673, 62156,  2710,  5994,  2597,   279,
    2530, -4013, -4013,  2645,  2490,  2493,  2613,   279,  1380, 72972,
   -4013, -4013, -4013, -4013, -4013, -4013,  2340, 19674, -4013,  2496,
    2477, 62156, 50092,   313,  2608,  1208,  1824,   730, 62156,  2682,
    2614, 62156,  2425,  2503,  2506,  2700,  2432,  1403,  2793,  2430,
   -4013, -4013, -4013,  1948,  2607, -4013,  2737,  6961,  2492,  2499,
   77110,  1175, 36351,  2778,   546,  2526, -4013,   546, 62156,  2527,
    2528, 62156,   279, -4013,  2841,   279,   279,  1378,  2842,  2532,
     362,  1408,  2273,  2430,  1492, -4013,  2533,  2536,   848, -4013,
    2642, -4013,  1216, 56332,   374,  1497,  2430,   277,  2541,  2542,
    2432,  2432, 62156, 62156, 62156, 62156, 62156,   175,  2865,  2868,
    2547,   180,  2593,  2479, -4013, 43852,  2550, 68812, -4013, -4013,
   62156,  2553,  1503,  2430,  1405,  1646, -4013, -4013, -4013,   983,
   -4013, 62156, -4013, 62156,  2020, 77920,  2663, -4013,  2510, -4013,
    2044,   279, -4013, 62156, 62156,  2087,   177,  1129,  2665, 62156,
    2727,  2517, -4013,   481, 38869, -4013,  2243,  2485, -4013, -4013,
    2538, -4013,  2538,  2538,  2486,  2486,  2487, -4013, -4013, -4013,
    1913,  2538,  2486, -4013, 78730, -4013,  1507,  1622, -4013,  2898,
    2900, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
     622,  1635, -4013, 62156, 41772, -4013,  2911, -4013, -4013, 77920,
    2692,  2808, -4013, 62156,  2708,  2511, -4013,  2845,  2564, -4013,
   -4013,    59, -4013,  2814, 46764,   823,   423,  2558, 62156,  2735,
   62156, 62156, 62156, 62156, -4013, -4013,  2705,   810,   139, -4013,
   43852, -4013, 62156,  1492,  2717,  2924,    66,  1660, 62156,  2809,
   -4013, 62156,  2524,  2926,  2760, -4013,  1704, -4013,  2647, -4013,
   46348,   814, -4013, -4013, -4013, -4013, 77920, 62156, 73388, 46348,
     814, 46764, 46764,  2829,   182,  2830,  2588,  2831,  2589, 36351,
     814,   255, 46764, 62156, 62156, 62156, -4013, 62156, -4013, -4013,
   -4013, -4013, 62156, 62156, 46764, 43852,  2832,  2836,   814, 62156,
   62156, -4013, 10184,  1751, 62156,  1707, 44268, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, 62156, -4013, 62156, -4013, 62156,
   -4013, 62156, -4013, 62156, -4013, -4013, -4013, 62156, -4013, 62156,
    1756, -4013, -4013,  1814,   142, 62156, 62156,   164, 46348, 62156,
    2729, 62156, 62156, 62156, 62156, 62156,  2616,  2367,  1246, -4013,
     218, 56332,  2739, -4013, -4013,  1825,  2153,   853, 62156, -4013,
   -4013, -4013, -4013, -4013, -4013, 53004, 52172,  2820,   364, 62156,
   -4013, -4013,  2495, 23956,  1287, 21352, -4013, -4013, -4013,  2546,
   10184,  2592, 23956, -4013, -4013, 23956,  2548,  2079,  2079, 23956,
   -4013, -4013, -4013, -4013,   937,  2079, -4013, 23956, 23956,  2079,
    2079,  2538,  2538, -4013,  5134, 23956, -4013, 36351, 23956, 26560,
   18824, 23956,  2620,  2563,  2079, -4013,  2079, -4013, 23956, 20484,
   -4013, 23956,  2761, 27422, 23956,   283,  2762, 23956,   283,  2980,
    2980,  1674,  4428,  2552,  1287, -4013,  2668,  2079, -4013,  2079,
     751, -4013,   220, 77920, 23956, 41772,  2638,   252, 62156, 23956,
    2561,  1647, -4013, 23956,  1027, -4013,  2562, 23956,  2640, 23956,
   23956, 23956, 23956, 23956, 23956, 23956, 23956, 23956, -4013, 28268,
     226,  2840,  2858,    30,  2055, 58828,  2854, 21786, 18389, -4013,
     281, -4013, -4013, -4013, 62156,  2777, -4013, -4013,  2649, -4013,
   -4013, -4013, -4013, -4013,   273, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013,  2568, -4013, -4013, -4013, -4013,  2568, -4013,  2582,
    3797, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013,  2843,  2847,   814,
   62156,   205, 53420, -4013, 22220, -4013,  1835, -4013,  2590, -4013,
    2822, -4013,  2595, -4013,  8208,  2822, -4013, -4013,   318,  2686,
    2818,  2766, -4013, -4013, -4013,  2598, 10184, -4013,  1771, 10184,
    1920, -4013, -4013, -4013, -4013, -4013, -4013,   895, -4013, 62156,
    2739,  2672,  1273,  2635,   721, 62156, -4013, 32932,  2763, -4013,
    2972, -4013, 78730, -4013,  2600, -4013, 78325, 75884, -4013, -4013,
      34, -4013,  1187,  2670,  2671,  2718, 46764, 62156, 62156, -4013,
   41772, 46764, 62156, 62156, 46764, 62156, 62156, -4013,  2949,    25,
   52172,  2719, 51340, -4013, -4013,  2603, 62156,  2659,  2846,  2848,
     -42, -4013, -4013, 73804, -4013,  2801, 46764, 62156, 62156, 23956,
    2803, 62156, 62156, -4013,   243,  2688,  2694, -4013, 62156,  2696,
   46348,  2621, 62156, 62156, 62156,  2693,   715, 46348,  2667, 36781,
   62156, 62156, 62156, 62156,  2742, 62156, 62156,  2862,  1057, 56332,
     223,  1597,  2430,  2821, -4013,  1396, -4013, 46764, 62156,  2813,
   -4013, -4013, -4013, 59244,  3027,  2736, -4013, -4013, 74220, -4013,
   -4013, -4013,  1845, -4013, 46764, 46764,  7267, 62156,  1241, -4013,
   -4013, 77920, -4013, 62156, 62156, 62156, 62156, 53836, 74636, 75052,
    1416,  1515, 62156, 54252, -4013, 62156, -4013, -4013, 42188, 46764,
   62156,   861, 41772, -4013, 62156,  2825,   811, -4013, 62156,  5747,
   -4013,  2711, 62156,   390,  1833,  2430, 62156, 62156,  2631,  1846,
    2720,  2764, -4013, 62156, -4013, 46764,   430, -4013,  2779, 46764,
   62156,  9017, -4013, -4013,   279, -4013, -4013, -4013, -4013, -4013,
   62156, 62156,   279, 62156,   279,  1029, -4013, 46764, 62156, -4013,
   -4013, -4013,  7801, 62156, 62156, 62156, 62156,   668,   953,  2683,
    1181, 46764, 62156, -4013, -4013,   808,  1149,  1078,  1516,  2783,
   62156,  2914, 62156, 75468, 46764, 62156, 62156, 62156,   897, -4013,
   -4013,  2767, -4013, 46764,   430,  9381, 62156, 62156,  2726,  2728,
     155,  2797, -4013, -4013, -4013, -4013, -4013, -4013,  2893,  3060,
   62156, -4013,  2899,  2901,  2714,  2716,  2906,   915, 62156, -4013,
   -4013, -4013, -4013, 62156,  2908,   915,  2853,   714, -4013, -4013,
    2273, -4013,  2680,  1852, -4013, -4013, 23956,  3074, 77920,  2675,
    2676,  2747,  2748,  2752, -4013,  2679,  2753,  2079, -4013, -4013,
    1713, -4013, -4013,  1858, -4013,  2685,   810,  2056, -4013, 41772,
   62156,   880,   821,  2981, 50508,  1593,  2970, 62156,  2725, 62156,
    1593, 62156, -4013,  1680, 52172, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013,  2973, -4013,   423,  2243,  2243,  2243,
    2243, -4013, -4013, -4013, -4013,  2873,   117, -4013,  2687,  2243,
   62156,  2798,  1593,  2689, -4013,  1492,  2989,   112, 62156, 50508,
    1805,  2730,  3095,  1660,   423,  2877, -4013, 20079,  2224,  2881,
   45100,  2968,  2969,  2987, -4013,  2020, -4013,  3104, -4013,  3002,
     814,  2044, -4013,  2270, -4013, 62156, -4013, 62156, 62156, 62156,
   62156,  2087, -4013, -4013,  2270,  2888,   814,   814, -4013,  2889,
     814,  2270,  2817,  2994, 45100, -4013,   182, -4013, -4013, 23956,
    1660, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  1860,
   -4013, 62156, -4013,  2971,  2974,  2975,  2702,  2704,  2741, 62156,
    2709, -4013,  2702,   279,  2702,  2367,  2367,  2702,  2704, 45932,
    3129,  2992,   156, -4013,   165,  1213,  2927, -4013, -4013, -4013,
   -4013, 77920, -4013, -4013, -4013, -4013, -4013, 62156,  2751,   351,
    2903,  2715, 45932,  3106,   814, -4013, 46348, -4013, -4013, -4013,
    2794,  2807, 46348,  2913,  2768, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013,  2960, 62156,  1868, -4013, -4013,  1655, -4013,  1690,
   23956, 23956,   367, -4013,  8669,  1874, 23956,  2723,  2731,  1900,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013,  2733,  3010, -4013,
    2738,  1909,  1911,  2740,  2743, -4013, -4013,  3638,  2744,  9219,
    2745, 26560, 26560,   369, -4013, -4013, 26560,  2746, -4013,  1924,
    8289,  2755,  2756,  2758, -4013,  2757,  2769,  8773, 23088, 23956,
   23088, 23088,  9358,  2755,  2770,  1933, 41772,  2895,  9662,  1934,
   -4013, 23956, 41772,  4151, 23956, -4013, 23956, 62156,  2771,  2772,
   -4013, -4013,  5134, -4013,  2780, -4013, 26560, 26560, -4013,  4356,
   20918, -4013, -4013,  3012, -4013, -4013,  2173, -4013,  2774, -4013,
   -4013,  6128,   391, 23956,  2561, 23956,  2810, 36351,  2509, 23956,
    3340,  3685,  3685,   352,   352,   271,   271,   271,  1762,  2055,
   -4013, -4013, -4013,  2775,  2776,  2781,  2907,  2339, 23956, -4013,
    1898,  1904, 62156,  2816,  3380,  3896, -4013, -4013, 29548,  2789,
   -4013, 23956, 23956, 23956,  2784, -4013,  3158, 10184,   732, -4013,
    3159, -4013,   983,  2079,   751, 40524, -4013, -4013, 23956, -4013,
   -4013, -4013,  1957, -4013, -4013, -4013, -4013, -4013, 62156,  2153,
   23956, -4013, -4013,   480,  1759, 23956,  1771, -4013, -4013,  2795,
   -4013, 23956, -4013, -4013, -4013,  2367, -4013, -4013, -4013, 29548,
    2790,  2786, 32086,  2874, -4013, -4013, 62156,   363, -4013, -4013,
   -4013,  2799, -4013, -4013, 75884,  1635, -4013, 78325, -4013, 78325,
   -4013,  1635,  3131, -4013, 75884,  1722, 46764, 62156, 62156, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  2977,
   -4013, 46764, 46764,  2940, 62156,  2938,  2947, 23956,   908, 62156,
    2787,  2788,  1450,  3024, 62156, -4013,  3065,   814, -4013, -4013,
    2844, -4013, 10184, -4013, -4013, -4013, -4013, -4013, 46764, 62156,
   -4013, 45100, -4013,  2020, 77920, -4013, -4013, -4013, 62156,  2824,
   62156, -4013, 62156, 62156, 62156,  2087, -4013, -4013, -4013, -4013,
    1133, -4013, -4013, 62156, 62156,   674,  2859,  2861, 62156, -4013,
    1171,  2642,  9739, 62156, 62156, 62156,  3019, -4013, -4013, -4013,
   -4013,  2964, -4013, -4013, 75884, -4013,  2270,  2866,  2430, -4013,
    2976, -4013,   724, -4013, -4013, -4013, -4013, -4013,  3091,   814,
    3094,   814, 62156, 62156, 62156, 62156, -4013, -4013, -4013, -4013,
   -4013, 41772, 41772, 41772,  1940, -4013, -4013,   423, -4013, -4013,
   -4013, -4013, -4013, -4013,  3057, -4013,  1941, -4013,  1362, -4013,
   -4013, -4013, -4013, -4013, -4013, 46764, 10178, 62156, 62156, 62156,
    1787, -4013,   815, 77920, -4013, 77515, 46764, 62156, -4013, -4013,
   -4013,  3022,  2967, -4013,   951,  2978, 46764,  2860, -4013,  2880,
   -4013, -4013,  2885,  1985,  2430,  1492, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013,   412,  2077,  2430,  2886, -4013,  2887,
   -4013,  3203, 62156,  3209, 62156,  1230,  3210, 62156, -4013, -4013,
    3040,  3042,  3044,  2905,  2916,  2952,  2917,  2919,  2953, -4013,
    2920,  2958,  2922,  2979,  2923,   814, 77920,  3047,   423,  2959,
    3149,   814, -4013,  2928, -4013, -4013,  3249, -4013, 62156, -4013,
    2929,  2155,  2430, -4013, -4013, 46764, 62156, -4013, -4013, -4013,
     915, 77920,  3097,   915,   915, 62156, 62156,   915, -4013, -4013,
   -4013,  3099,  3101,   915, -4013, -4013, -4013, -4013,  2387,  2867,
   34201, -4013,  3294,  5224,  2870,  2676,  2872,  2079,   253,   871,
    1155,  2988,  2079,  3081,  2875, -4013, -4013, 41772, 34201,  1809,
    3100,  2891,  2891,  2891,  2891,  2891,  2891,  2891, -4013,  2043,
     110,  2273, 45100, 62156, 45100, -4013,   821,  2976, 62156, 62156,
    2878,  2876, -4013, -4013, -4013, -4013, 46764,   143, 46764,  2079,
   -4013, -4013,  2942, -4013, 62156,  1660,  3279,  2648,   823,  3020,
    1437,  3222,  2730, -4013, -4013, -4013, -4013, 62156, 62156,   810,
     423, -4013,  2883,  2882, -4013, 62156, 62156, 62156, 62156,  2751,
    2890,  2884, 77920,   601,  3075,  3077,  2432,  3297,  2153,  2730,
    2985, 62156, -4013,  1942,   122, -4013,   423, 45100, 76289, -4013,
    1775, -4013, -4013,   151,  3169, -4013, -4013,  2153,   814, 77920,
   62156, -4013,   814,   182,  2950,   814,  2951,   814,   814, 62156,
   -4013, -4013, 62156, -4013, 62156, 43852,   814, -4013, 10184, -4013,
   -4013,  3023,  3025,  3026, 62156,  2702, 46348, -4013,  2909, 46764,
    1310, -4013, -4013,  3085, -4013, -4013, -4013, -4013, -4013,  3212,
    3213, -4013, -4013, -4013,   225, -4013, 46764, 52588,   278, 46764,
   -4013,  2020, -4013, -4013,  2044,   279, -4013, 62156,  3154, -4013,
   -4013, -4013,  2921,  1955,  9714, 23956, -4013,  3224, 77920, -4013,
    5257, -4013, -4013, -4013, -4013, 23956, -4013, -4013, -4013, -4013,
   -4013, 23956, -4013, 23956,  3201, -4013,  3343,  3343, 77920, 26560,
    1488,  2333, 26560, 26560, 26560, 26560, 26560, 26560, 26560, 26560,
   26560, 28702,   856, -4013, -4013, 23956, 23956,  3211,  3201, -4013,
   -4013,  1547,  1547, 77920,  2925,  2755,  2931,  2935, 23956, -4013,
   -4013,  1965, 27845,  2936, 41772, -4013, 23956,  8316,  1971,  2965,
    9979,  1287,  6053, -4013,  3298,   423, 23956,   801,   959, 23956,
    1976, 23956,  3208, -4013, -4013, -4013,  2941, -4013, -4013, 77920,
   23956, 26560, 26560,  7966, -4013,  8420, 23956,  2937,  8717, 20918,
   -4013,  3105,  2966, 33355, -4013,   589,   589,   589,   589, -4013,
   62156, 62156, 62156, 29971,  3214, 29125, 59660,  2939,  1946, -4013,
   59660, 60076, -4013,  2943, -4013,  2945,  1287, 23956,  3205,   743,
     743,  3105, -4013, 23956, 23522,  2946, -4013,   780,  2948, -4013,
   -4013,  5592, -4013, -4013,  2954, -4013,  2956, -4013,  1759, -4013,
   -4013, -4013,  6093,  3127, -4013, -4013,  2939, 24390,  2874, -4013,
    1989, -4013, -4013, 21786, -4013, -4013,  1994, 32932,  2790, 22220,
    1287,  2004,  1754, -4013, -4013, 75884, -4013,  3016, -4013, -4013,
   -4013,  2891,  2270,  2270,  1214,  2702,  3240,  1214,  6612, -4013,
   -4013, 30394, 62156, 62156, -4013, 62156,  2024,  1184, 62156, -4013,
   62156, -4013, -4013, -4013, -4013,  3357, -4013, 62156, -4013, -4013,
    3008,  3009, -4013, 62156, 62156, 62156, 62156, -4013, -4013,  2037,
   -4013, -4013, 46764, 62156, -4013, -4013, -4013,   413,  2185,  2430,
   -4013,  3035, -4013, -4013,  3216, -4013, 62156,  2983, -4013,  1184,
     228,  2432,   133, -4013, -4013,  3028, 62156, -4013, 62156, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, 42188, -4013,
   -4013, 62156, -4013, 41772, 34201, 41772, -4013,   436,  2210,  2430,
   -4013,  3036, -4013,  3041,  3043,  3087,   680,   717,  3046,  3048,
    3089,  2984,  2986,  2990, -4013, -4013,   348,   423, -4013, -4013,
     423,  2270,   423, 62156, 62156, 62156, 62156, 62156, 62156, 62156,
   62156, 46764,  2739, 46764,  2739,  3360, 62156, 46764,  2739,  3262,
    1080,  1808, 46764, 62156, 62156, 46764, 62156, 62156, 62156, 62156,
   62156, 62156, 62156, -4013,  3344,  3278,  1981,  3318,  3049, 62156,
   -4013, 62156,  2642, 62156, 62156, -4013, -4013, -4013,  2991,   915,
   -4013, -4013,  3227,  3232, -4013,   915,   915, -4013,   481, 41772,
   -4013,  2311,  2956,  2079,  1948, -4013, -4013, -4013, -4013, -4013,
   -4013,  2680, -4013, -4013,  2079,  1931,  2995, -4013,  2997, -4013,
   -4013, -4013, -4013, -4013, -4013,  2998, -4013,   751, -4013, -4013,
   62156,  2891, -4013,   337,  1258,  1334,  1357, 60492, 60908, 61324,
    2993, 62156, 62156, 26560, -4013,  1491,  1199, -4013,  3218, 62156,
    3037, -4013, -4013, -4013,  3160, 62156, -4013, -4013, -4013, -4013,
   -4013,  3000, -4013,  3117, 50508,  2270, 46764, 46764,  2270, -4013,
   77920,  3011,  2730, 46764,   823,  1093, 70060,  3050, -4013,  3004,
    3304, -4013,  3029,  3005, -4013, -4013, 62156,  2976,  2026,    74,
    1601, -4013, 51756,  1805,  3275, -4013, -4013, -4013,  3386,  3108,
   -4013,  2153,  2751,  3108,   423,  2659, -4013, 75884, 23956, 23956,
   -4013,  3021, -4013,  3031,  2930, -4013,  2243, -4013, -4013, -4013,
   -4013, -4013, -4013,  3103, 62156, -4013, -4013,  3032,   814, -4013,
   -4013, 62156, -4013, 62156, -4013, -4013,   814,   814, -4013,  3142,
   -4013, 62156, 62156, 62156,  2702, -4013,   279, -4013,  3311, 45932,
   -4013, -4013, -4013, -4013, -4013,  3374,   364,  3319, -4013, -4013,
    3280,  3281,  3282,  3283,   956, -4013, -4013, 23956, 10184, -4013,
    3045, -4013, 10184,  6627, 10184,  3211, -4013,  1709,  3320, -4013,
    1347,  3051,  1709,  1067,  1067,   426,   426,   194,   194,   194,
    3343,   856, 10184, 10184, -4013, -4013, -4013, -4013,  3053, -4013,
   -4013, -4013,  2755, -4013, 24824,  3186,  3430, -4013, -4013, -4013,
    3082,  3083,  3054, -4013, 23956, 25258,  3052, 78730, -4013, -4013,
     751,   333, 26560, 26560,  1202, -4013,   410, 23956, 77920,  2030,
    1202,  1496,  1815, 23956, 23956,  8787,   236, 23956,  6668,  3056,
   23956, 76694, -4013, -4013, 62156, 62156, 62156, 62156, -4013, -4013,
   -4013, 59660, 60076,  3058, 19250,  1946,  3059, 62156, -4013, -4013,
    3061, 29548,  3287,  3226, -4013, 29548,  3226,  1500,  3226,  3290,
   -4013, 33778, -4013, -4013,  3062, -4013, -4013, 18389,  1627, 10184,
    3440,  3333, 23956,  3063,  3064,  3066, 10184, 23956, -4013,   423,
     423, -4013, -4013, 36351, -4013, -4013, -4013,  3253, 10184, -4013,
    2153, 62156,  1287,  2355,  3079, 62156, -4013,  2874, -4013, -4013,
    3136,  2058, -4013,   348, -4013, -4013, -4013, -4013,  3146, 52172,
    3354, -4013, 23956,  2060, -4013,  3111,  3447,   134,  2078,  2082,
    1184, -4013,  3037, -4013,  1573,  3337,   138, -4013,   814, -4013,
   77920, -4013, 62156, 62156, -4013, -4013, -4013, -4013,  2394, -4013,
   -4013, 62156, 62156, 62156, 62156, -4013, -4013, 41772,  2043,  3274,
   -4013, -4013,  3276,   348, 62156, -4013, 77920,   814,   814, -4013,
   -4013, -4013, -4013,  3093, 62156, 62156, 62156, 62156, 46764, 62156,
   62156,  2079,  2079, 77920,  3078, -4013,  2079,  2079,  3080, -4013,
   46764, 62156, 62156, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013,  3164, -4013, -4013, -4013,  1091, -4013,
    1211, -4013, 46764,  2739,  1259, -4013, 62156, 62156, 62156, 62156,
    3384, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, 62156, -4013, -4013,   423,   423, 77920,   814,   814,
   -4013, -4013, -4013,  3331, -4013,   915,   915, -4013, -4013,   209,
    2091, -4013, 30817, -4013, -4013,  2643,   423,  2643,  1548, -4013,
   -4013,  2643, -4013,  2643, -4013,  1184,  3090,  1614,  3372, -4013,
   -4013, -4013, -4013,  3376,   348, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   23956, -4013,  1023,  1709, -4013, -4013, -4013, -4013,  3037,  1660,
    3148, 46348,   310, -4013,  3358,   880, 50508,  1219, 62156, -4013,
    2270,  2270,  3150, 62156,  3504, -4013,   522, 62156,  3415,  3143,
   -4013,   423, -4013, -4013,  2730, 62156, 50508,  2751,  2093, -4013,
   -4013, -4013,  3138,  3077,  3107,  1805,   826, 62156, -4013,  3141,
   -4013, -4013,  3392,  3109, -4013, 10184, 10184,   423, 79135,  1775,
   -4013, 62156,  3366,   814, -4013,   814,   814, -4013, -4013, 62156,
    2702,  2702,  2702, -4013,  3295, -4013, -4013,   814, 45932,   956,
     956,   956,   956, -4013, -4013, -4013, 10184, -4013, -4013, -4013,
   26560,  3395, -4013,  3113, 77920, -4013,  3115,  2104,  2125, 27422,
    3261, -4013, -4013, -4013,  6954,  3167, 10184,  3219,  3119,  3120,
   -4013,   521,   521,   410,  2129, -4013, 26560, 26560,  1202,  1202,
   23956,  1202, -4013, -4013,  6981,  3291, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013, 42604, 59660,  3118, 62156,  1946, 29548, -4013,
   -4013,  1921, -4013, 29548,  3363, -4013, 29548, 62156,  3124, 62156,
     732, 23956, 23956,  3162, -4013, -4013, -4013,  3105, -4013,   751,
    3125, 62156, -4013, -4013,   769, -4013, -4013, -4013, -4013, -4013,
   45932,  3313, 45932,  1184,  7229,  3037, 30394, 37211, 62156, 61740,
   61740,  3273,  3037,  3148, -4013, -4013, -4013, -4013, -4013, -4013,
    3130, -4013, -4013, -4013,  3207, -4013, -4013,  2133, -4013, -4013,
   -4013, -4013, -4013,  3344, -4013, -4013, 34201, -4013,  3215, -4013,
   -4013, -4013, -4013, -4013, 31663, 36351, -4013,   680,  3132,  3134,
     717, -4013, -4013, -4013, 62156, 62156, 62156,  1306, -4013, 62156,
    1397,   878,  3172,  2702,  3426, -4013, -4013, -4013,  3344, -4013,
   -4013,   915, -4013, -4013, -4013,  2273,  3467, -4013, 41772, -4013,
   43020, -4013, -4013, -4013,   423, -4013,   423,  3339, 62156, 39276,
     423,   423, -4013, 46348,  3547,  3547, 62156, -4013, -4013,  7469,
    3341, -4013,  3148,  3361,  3408, -4013,  3152, 62156,  3302,  3157,
    3168,   986,   986,  2976, 62156,  2137,  2153,   823, 50508,  2976,
   -4013,    45,  3163,  3451, -4013,  3555,  2890,  3170, -4013, -4013,
   51756,  3347,  3108, 62156,  3077,  3301, -4013,  3305, -4013,  1162,
   -4013, 62156, 30394, -4013, 78325, -4013,  2142, -4013, -4013,  2789,
   62156,    88, -4013, -4013, -4013, -4013, -4013, -4013,   278, -4013,
   -4013, -4013, -4013,   914, 26560, 77920,  2143, 23956, -4013, 23956,
   -4013,  3546, -4013, -4013, -4013,    79, -4013, -4013, -4013,   521,
     521,  1202, -4013,  3560,  3105, -4013,  2144,  3582, -4013, 62156,
    2160, -4013, 23956,  3179, -4013, -4013, 29548,  1921,  2161, 62156,
    2165, 77920,  3181,  2755, 10184, 62156, -4013,  3182, -4013, -4013,
   -4013, -4013,  1310,  1214,   278,  3447,  3148, -4013,  3188, -4013,
   -4013, 62156, -4013,   300,   300, 62156,  3148, -4013, -4013, 62156,
   -4013, 41772,  3241, -4013, 62156, 77920,  2044,    81, -4013, 77920,
   77920, -4013, -4013,  2739,  2739, 62156,  2739, 62156, 62156, 62156,
   62156, 62156,   814, -4013,  2867,   423, -4013, -4013,  2171, -4013,
   -4013, -4013, 62156,  3004, -4013,  3004, -4013, -4013,  3547,  1125,
   -4013, -4013, -4013,  1383,  3391, -4013,  1034,  3377,  3284,  3189,
   -4013, 46348,  3624,  3307, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -4013, -4013,  3490,  2730,  3141, -4013, -4013, -4013, -4013,
   23956,  3350,  2153,  1805,  3275, -4013, -4013, -4013,  2177,  3108,
   -4013, -4013,  3573,  3381,  3578, -4013,  2178, -4013, -4013,  2930,
   79135,  3523, -4013,  3255, 62156, -4013, -4013, -4013,   914,  2188,
   -4013,  2189,  2190,  3352,  3258, -4013, 23956,  1482,  2943, 42604,
    3217, -4013,  2195, -4013, 10184, 62156, -4013, -4013, -4013,  2196,
   -4013, -4013,  3220, -4013,  3610, -4013, -4013,  3493, -4013, 61740,
    3250, 36351, -4013,  1759,  1759,  1660, -4013,  1184, -4013, -4013,
   23956, -4013, -4013,  2200, -4013,    87,  3359,  3503,  2202,  2215,
   -4013, -4013,  2739, -4013,  2704,  3252,  2704, -4013,  2702, -4013,
   -4013, -4013, -4013, 43020,  3004, -4013, -4013, -4013,  3533,  3478,
   -4013, -4013, -4013, -4013,   227, -4013,  3406,  3407, 62156, -4013,
    3223, -4013,  2216, 62156, 62156,  3630,  3632, -4013,  7718, 46348,
    3141,  3077,  1805,  2043, -4013, -4013,  3411, -4013,  3412,  2730,
   30394,  1775, -4013,   890, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013,  2755, 25692, 25692,  3230, -4013, -4013, 62156, -4013,  2217,
   -4013, 62156,  3233, 45932,   300,  3235, -4013,  3231, -4013, -4013,
    3361,  1184, 10184, 46348,  3625, -4013, -4013, -4013,  3359, -4013,
   -4013, -4013, 62156, -4013,  3362, -4013,   813,   813,  3567, -4013,
    3299, -4013, -4013,  3239, -4013,  3672,  2976, -4013,   680,  2153,
   -4013,  3243, -4013,  3108,  3077, -4013, -4013,  3108, -4013, -4013,
   -4013, -4013,  2040, 26994,  3371,   773,  8343, -4013, -4013, -4013,
   -4013,  2222, -4013, -4013, -4013,   278,  1759, 23956,  1184, -4013,
    3377,  2044, 62156, -4013, -4013,  3143, -4013,  3665, -4013,  1058,
   -4013, -4013, -4013, -4013, -4013,  3078,  3141, 41356, -4013,  3108,
    2789, -4013,  1917, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
    3655, -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  7765,
   -4013, -4013, -4013,  3551, -4013, -4013, -4013, -4013, -4013,  2223,
   -4013, -4013, -4013, -4013, -4013, -4013,  1831, -4013, -4013,  1949,
    1961, 26126, -4013,  1184,  3404, -4013, 41356, -4013,  1917, -4013,
   46348, -4013, -4013,  3254, 41356,  2228, -4013
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4013, -4013, -4013,  2962, -4013,  -768,   258,  2341,  -704, -4013,
   -4013, -4013,  2892, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
    2910, -4013, -4013,  1530, -2078, -4013, -4013,   135,  2894, -1098,
     116,  2551,  1217, -4013,  -945, -4013, -4013,  -512,   120,  -635,
   -4013, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  -714,  1685,
    1066,  -564, -3651, -4013, -4013, -1183, -2738, -4013,   477, -4013,
   -4013,  1628, -4013, -4013, -4013,   919,   394,  -516, -4013, -4013,
   -4013, -4013, -4013, -4013, -4013,  -339, -4013, -4013,  -653,   137,
      46, -2075,  -384, -4013, -4013,   339,  -386, -1097, -4013, -3075,
   -4013,   -87, -4013, -4013, -4013,  -366, -1184,  1159, -4013,  -613,
    -970,  1457,  -707, -4013,  -250, -4013,  -762,  -647,  -645,  -715,
    -541, -3250, -3679, -3259, -2762,  1172,   157, -4013, -2726,   158,
   -4013, -4013,   160,   161, -4013, -4013, -1296, -1216, -4013,  -739,
   -4013, -4013, -4013, -2534, -4013, -4013, -4013, -4013,    63, -4013,
   -4013, -4013, -4013,   371, -4013, -4013, -4013, -4013, -4013, -4013,
   -2343,  1586,  1587, -4013, -4013, -2725, -4013,  -771, -4013,   523,
   -2561,  1088, -4013, -4013, -4013,  2295, -4013, -4013, -4013, -4013,
   -4013, -4013, -1365, -4013, -4013,   162, -4013,  1598,   884, -4013,
   -4013, -4013,  -748,  -816,  -806, -4013, -2545, -4013, -4013, -4013,
   -4013,  -328, -4013, -4013, -4013, -4013, -4013, -4013,  -830, -4013,
     947, -2697, -4013, -4013,   963, -4013, -4013, -4013, -4013, -4013,
    -701,  -259,  2324, -4013,  -587,  -676, -4013, -4013, -4013,  -254,
   -4013, -4013, -4013, -4013, -4013, -4013,  -911,    95, -1346, -4013,
   -4013, -4013, -4013, -2026, -4013, -4013, -4013, -1669, -4013,  3747,
    2141,   486,   163, -4013,   -26,    60,  2785,  -951, -2219,   315,
    -407, -4013, -1514, -4013, -4013, -4013, -2172, -4013, -4013, -4013,
   -4013, -3019,   169, -4013,  2791, -4013,   361, -4013, -3865, -3469,
   -3735, -3884, -3008, -4013, -4013,  -915, -4013, -4013, -4013, -1192,
    1901, -1656, -4013, -1789,   365,  1247,  -807, -2358, -3282,  -590,
   -2794, -4013, -3208,  -505, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013,  -907,  -536, -4013, -4013,  3221, -4013, -3773, -4013, -4013,
   -4013, -4013,  1204, -4013, -4013, -1185,  1037, -4013, -4013, -4013,
   -4013, -4013,  -685,  -770, -4013, -4013, -4013,   170, -4013, -4013,
   -4013, -4013,  2154,  -782,  -623,  3096,   171, -4012, -4013, -4013,
   -4013, -4013, -2628, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -4013, -1651, -4013, -4013, -4013, -4013, -4013, -4013, -4013,  1979,
    1982,    56,   -23, -4013, -4013, -1075, -4013,  -481, -4013,  2277,
   -4013, -4013, -4013, -4013,  1320,   172,   415, -4013,     3, -4013,
   -4013,   200, -2924,     4, -4013, -4013, -4013, -4013, -1813,     5,
   -4013,   686, -4013, -4013, -2400, -4013,   176,    22, -4013, -4013,
       1,     0,   -41,   -37,   -33,     2,  3098,  2650, -4013, -4013,
   -4013,   -17,  1726, -4013,  -723,  -143, -4013,  1330,  -529,  1962,
    2637,  2636, -4013,  1328, -4013, -4013,  1338, -4013, -4013, -4013,
    -526,  1974, -4013,  2651, -4013, -4013, -4013,  1313,  1329, -2957,
     765, -2943, -2901,   284,   265, -1022,  -326,    49,  3133,  2652,
     776,  -458, -4013, -4013,  -456, -3905,   726, -4013, -3739, -1963,
    -812,  1728, -1341, -4013, -4013,  -982, 11054, -4013, -4013, -4013,
   12840, 13664, -4013, -4013, 13837, 13971, -4013,  -842,   822, 14211,
    2502, -1005, -1614,  -580, 11181,  -547, -1006, -2332, -4013, -3032,
   -2194, -4013, -4013, -4013,  -279,   833,   154, -4013, -4013, -4013,
   -4013, -4013, -4013,  -560, -4013,  -562, -4013, -4013, -4013,  -551,
   -3181, -1484, -4013,  -170, -4013, 12253,  1371, -4013,  -920, -2329,
   -2336, -2939, -1496, -4013, -4013, -4013, -4013, -4013, -4013, -4013,
   -2610, -2827,  -154,  1442, -4013, -4013,  1536, -4013, -4013, -4013,
   -1080,  -710, -2249,  1451, -1718, -4013,  -721, -4013,   752,  2179,
    -669,  7976, -1123, 11169,  -439, -1958, -1054, -1288, -4013,  -149,
   -4013,    28,   -10,  -179,  -473,    14,  3416, 12012,  -561, -1140,
    6582,  8872,  9731, -2686
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2272
static const yytype_int16 yytable[] =
{
     169,   168,   173,   163,   164,   166,   577,   723,   677,   890,
     785,   530,  1196,   919,   653,  1811,   811,  1490,  1128,  1202,
     169,  1550,   173,   807,  1530,  1494,   710,   825,   733,   518,
     764,   993,   994,   995,  1500,   642,   567,   999,  1911,   783,
     642,  1523,  2466,  1296,  2271,  1319,  2400,  2506,   722,   641,
    1826,   970,  1360,  1284,   641,  1205,   941,  1348,   559,  2682,
    1439,  1409,   917,  2127,  1386,  1973,  1610,  1611,  1587,  1811,
    1459,  1142,  1637,  2095,  3184,  2140,   616,  1816,  1980,  2830,
     606,  1989,   648,  2948,  2848,  1626,  3199,  2528,  2530,  2784,
    3214,   707,  3216,  2003,   678,  2191,  3427,   876,  2046,  2328,
    3604,  1313,  3370,  1829,  3320,  1326,  2486,  2745,  1427,  2934,
    3539,  3339,  1432,  1353,  3388,  1481,  3125,  1436,  3565,  3636,
      65,   944,  3320,  3668,  1442,  1816,  3082,  3091,  3630,   919,
     964,   956,  3089,  3090,  1461,   727,   735,    74,  3582,  2055,
     736,  3413,  3859,  3401,   927,  2365,  3031,  2063,  2064,   673,
    2242,  1966,  3810,  3843,  3851,  1889,   704,    75,    76,  2365,
      77,    78,    98,   118,  4102,  1979,  3131,  2195,  3980,   123,
     139,   143,   161,   734,   696,  1653,   167,  3082,  1135,  3580,
    3504,  1458,  1850,  2206,  3344,  3345,  3346,  3347,  3348,  3349,
    1349, -1375,  1255,  1574,  3609,  1603,  1604, -1378,   573,  2843,
    3978, -2040,  1656,  1189, -1589,  2988,  1192, -1599,  4168,  2449,
    4170, -1948,  2070, -2074,  4291, -1949, -2271,  2075,   528, -1948,
    2527,  1623,  1231, -1949, -2271,  3418,  1817,  2767,  4345,  3671,
    1532,     3,     4,  1482,  2282,  1423,  1919,   713, -2095,  1231,
   -1584,  1570, -1815,  3987,  3364,  4194,  2868,  4287,  2440, -1815,
     819, -1556, -1569,  4387,  1917,  2441,  1381, -1589, -1831,  3429,
    2268, -1596,   624, -2122,  3084, -1831,  2188,  3185,  2576,   573,
    2905,  1919,  2907,  3130, -1375,   769,   771,   573,   573,   775,
   -1378,   777,  1663,  1282,  2145,   573, -1923,  2405,   624,  2935,
    2532,  1982,  4241, -1584,  1454, -1975,  1132,  2263,  2937,  2057,
     823,   990,  1357,  3376,   624,  -773,  1482,  1666, -1599,  4333,
    4334, -1589,  2198,  4304,  1455,  3084,  1272,   975,  1375,  -369,
    3835,  3464,  4293,   683,  1232, -2043,  1316,   624,   997,  1482,
    1836,  1914,  2491,  2551,   624,  4446,  3430,  1668,  4077,  2563,
    2447,  1232,   573,  4434,  1663, -2094,   624,   979, -1375,  2158,
    1179,  2283,  4202,   630, -1378,  4267,  1159,   624,  1160,  1317,
    1360,  1717,   780,  1663,   885,   630,  -124,  2858,   892,  3672,
    2107,  -124,  2859,   631,  3485,   807,   523,  1029,  4462,   902,
    2988,  1982,   871,  4268,  1506,   631,  1654,  4222,  1666,  1983,
     630,  1709,  1282,   573,  2564,  1521,   919,   624,  3505,  1668,
    1718,  1713,  1637,  4435,  1920,  2552,  1725,  1725,   919,   998,
     631,  2492,  1610,  1611,  1700,   630,   684,  1209,  1668,  1837,
    1626,  1663,   807,  2591,  2189,  4279,  2405,  2108,   573,   922,
    4319,    38,  2266,  2690,  3983,   631,  2272,  2988,  2274,   932,
    3785,  2277,  1982,  1180,  4078,  1518,  1666,   630,  1020,  1818,
    2053,  3377,  2159,  2058,  1318,  2102,  1358,   991,  1982,  3465,
    1456,    42,   919,  2264,  3669,  4365,  2448,   631,  2106,  1501,
    3431,  2533,  3673,  4294,  2534,  3674,  1668,   630,  2019,   574,
    1982,  1982,  1921,  3185,  2936,  1483,   573,  2269,   794,  2965,
    1534,  1710,  2265,  2938,  4537, -1375,  4305,   631,  2059,    46,
    1954, -1378,  2199,  2946,  1982,  2691,  3365,   881,  1960,  1571,
    3836,  1591,    47,  3623,  2325,  2458,   868,  1290,  1259,  1424,
     714,  3988,  2303,  1952,  1568,  2403,  2768,  3682,  2284,  1029,
    3432,  2127,  2988,   929,  1577,  4468,  2535,  1918,  3320,  2076,
    4486,  2989,  2042,  2577,  2044,  3419,  2285,  1588,    48,  2051,
    1603,  1604, -2094,  2099, -1815,  2692,  2125,  2098,  1483,  1623,
    2442,  2071,  2990,  2032,   918,   577,  2035,  2036,  1154,  2002,
   -1831,   723,  1155,  2015,  1816,  2190,   919,  2094,  1399,  2259,
    1657,  1483,  2613,  1233,   919,   919,  1424,  1571,   866,  1598,
    4044, -1375,  1197,   971,  4424,  4104,  1161, -1378,  2406,  3914,
    4072,  3150,  1711, -2272,  1632,  4545,  4447,  2693,  2246,  3640,
      48,   169,   722,   173,  3937,   781, -2094,  2148,  3941,  3582,
    1816,  2991,  1520,  2364,  1633,  1707,  3000,  2060, -1375,   874,
   -1375, -2094,  2103,   877, -1378, -1589, -1378,  2387,  1634,   972,
   -2040,   977, -1948,   981,  3824,  2267, -1949, -2271,  1004,   985,
     900,  4118, -2074,   641,  2278,   641,   963,   641,  3889,  2024,
    3931,   988,  2027,   641,   986,   987,  1969,  1861,   966,  1021,
    1862, -1584,  3833,  2324,  2217,  2327,  1125, -2095,  4481,  1134,
     918,  1136,  1609,  1615,   807,  2335,  3850,   735,  3327,  2339,
    1364,   736, -1596,  3966,   568,  1492,  1598,  2351,  2352,  2694,
    1659,  1370, -2122,  1687,  1000,  1632,   636,  1283,  1698,  2473,
    2369,  2371,  4463,  3784,  2990,  1154,  4329, -1923,  3459,  1155,
    2131,  2385,   636,   637,   734,  1633,   169,   168,   173,   163,
     164,   166,  3106,  2054, -1975,  2705,   998,  3051,  3133,  1636,
    3134,  3082, -1589,  3082,  3297,   636,   637,  3300,  3301,  2677,
    1811,  3304,   636,   637,  2495,  1990,  2022,  3307,  3598,  1000,
     882,  1472,  1217,  2331, -2043,  2614,  1222,  4186,  2198,  3384,
    1164,  3256,  3661,  2991,  4196,   636,   637,  3621,  3775,  2355,
    2356,  1684,  1685,  1686,  1687,  4509,   930,  2132,  1200,  -124,
    -124,   998,  2992,  2993,  2994,  3684,  2995,  2996,  2997,  2998,
    2999,  3000,  2695,  3127,  1492,  2466,  2466,  2466,  1368,  1029,
    2696,  2589,  2988,  2697,  1144,   636,  1283,  3302,  3303,  3082,
     641,  2118,  2119,  1131,  2511,  1337,  2730,  1139,  2678,  3532,
    1237,  1338,  2731,  3236,  3691,  3180,  2542,  1682,  1683,  1684,
    1685,  1686,  1687,  4277,  3200,  2133,    65,    33,  2134,  2131,
    3405,  2401,   737,   573,  2201,  2997,  2998,  2999,  3000,  1923,
    3099,  1332,  2668,    74,  4496,  1482,  2786,  2988,  1223,  1924,
    1966,  3696,  1347,  3612,   525,  2671,  1450,  2365,  2365,  3084,
    2629,  3084,  2365,    75,    76,   829,    77,    78,    98,   118,
    1288,  1289,  1219,  2275,  2276,   123,   139,   143,   161,  1333,
    3862,  4157,   167,   797,   798,   799,  2163,   800,   801,   802,
     803,   804,   805,  4470,  1451,  2756,  2132,  2216,  2182,  4522,
     573,  1338,  2365,  2365,   910,  2988,  2222,  1339,  2732,   738,
    2226,  2721,  3692,  1322,  4105,  3237,  2232,  2233,   654,  2135,
    2340,  1654,   573,   569,  3636,  1219,  4106,   918,  2995,  2996,
    2997,  2998,  2999,  3000,  2245,  4136,   573,  3084,  4088,   918,
      38,   573,  1380,  2231,  2661,   970, -1920,  1029,  1905,  3697,
    2988,   169,   829,   173,  2133,   830,  1474,  2134,  1272,  2046,
    2164,  4161,  2604,  1437,  1438,   660,  4165,  3533,   730,  4167,
      42,  4158,  1573,   570,  2990,  2183,  1536,   641,  1538,   730,
    1540,  3317,  1542,  1469,  1544,  1545,  1546,  4401,  4254,  2820,
    1925,  1548,  1224,   918,  2662,  2884,   831,  1339,  2223,  3317,
    4395,  1145,  3693,  4391,   571,  3201,   572,  2722,    46,  2234,
    1991,  1596,  2822,  1496,  1498,  2341,  3329,  2002,  2136,  1907,
      38,  2241,  1992,  1926,  2251,  1225,  4523,  4497,  2218,  2990,
    3202,  1613,  1334,  2991,   723,  2605,  4255,  1908,  2137,  3181,
    2672,  1369,   830,  4256,  2590,  3427,   832,  1452,  2135,  2422,
      42,  1340,  2733,  2787,  1226,  1029,  4471,    48,  2988,  3238,
    3636,  1640,   911,  3350,   661,  1146,  3973,  1655,   829,  2049,
    4257,  2358,  1839,  1993,  3330,  1651,  4095,  1660,  2663,  3425,
    1016,  4107,  2342,   831,  1341,  2734,  3998, -2272,    46,  1905,
    1699,  4098,  3239,   976,   978,   980,  4498,  1483,   982,   983,
     984,    47,   807,   739,  2037,  1906,  3353,   918,   989,  1840,
    1715,  1716,  1227,  1342,  2735,   918,   918,   912,  1913,  4499,
    1335,  3240,  4464,  1822,  1830,  1831,  2925,  1835,   736,   736,
    1154,   736,  2990,   832,  1155,  1453,  2778,  2512,  2805,  4366,
    2343,  4535,  4258,  2344,  4327,  1914,  2082,  2136,   641,  2630,
     662,  1701,  3094,   641,   641,   682,  2184,  4218,   830,  3132,
    1907,   734,   734,  3592,   734,  2535,  1909,  4371,  2135,  2185,
    2505,   705,  3248,  4469,  2823,  2423,  4299,  3883,  1908,  2424,
    1141,  4393,  1508,  2109,  4508,   716,  2608,  3173,  4510,  4316,
    1662,  2991,  2297,  1663,  4282,  3965,  2723, -1556,  2604,   831,
    1359,  4197,  4283,  1842,  2992,  2993,  2994,  3727,  2995,  2996,
    2997,  2998,  2999,  3000,  1702,   725,  2739,  2425,  1666,  3082,
    1509,  2110,  2664,  3082,  1667,  3174,  3021,  1200,   663,   542,
    4544,  2038,  3028,  2039,  2345,  2481,  3598,   726,  3950,  4070,
    2990,  3957,  2628,   573,  3357,  2162,  4343,   641,  1668,   832,
    4348,  4349,  2824,  3754,  1843,   641,   728,  4157,  4219,  3757,
    3758,  2082,  1910,  2995,  2996,  2997,  2998,  2999,  3000,  3643,
   -1556,  2605,  4520,  1492,  3877,  2706,  4367,  1947,  1915,  4536,
    4372,  3358,   740,  2709,  3806,  2711,  2902,   544,  2050,  4203,
    4245,   987,  2724,  2224,  2903,  3359,  2796,  2704,  2488,  2991,
    3320,  2606,  2698,  1293,  2908,  4428,  4429,  1909,  4259,   807,
     641,  2215,  2604,   641,   641,   729,  2082,  1185,  2716,   573,
    2221,  2995,  2996,  2997,  2998,  2999,  3000,  2853,  2854,  2855,
    2856,  4081,  2789,  2346,  2607,  2364,  2364,  2426,  4262,  2861,
    2364,  3788,   573,  3644,  4266,  4373,  1997,   774,  3636,  3624,
    4559,  2762,  2052,  2121,  1670,  2740,  4284,  3084,  3332,  3728,
    2698,  3084,  2992,  2993,  2994,   776,  2995,  2996,  2997,  2998,
    2999,  3000,  4082,  1510,  2111,  1671,  1672,  3360,  3175,   641,
    2364,  2364,   730,  2595,  2741,  2605,  1187,  3102,  2898,   783,
    2963,  3618,  3455,  2736,  1219,  1185,   526,  1219,  3645,   792,
    3646,   664,   665,  1910,  4330,  -587,  1475,  2065,  2066,  2067,
    2068,  3145,  3195,  3832,  4336,  3317,  2172,  3790,  2466,  2020,
    3807,  1675,  2608, -1556,  2726,   551,  2737,   552,  1295,  3719,
    4025,  3721,  -146,   793,  1676,  3725,  2547,   807,  1535,  3015,
    3792,  1537,  3891,  1539,  3892,  1541,  3475,  1543,  2104,  2105,
    1440,  1547,  2135,  2037,  2114,  2738,  1476,  -146,  4528,  2942,
     817,  1511,  2112,  3865,  1187,  3866,  3176,  1961,  3643,  2046,
    3040, -2272, -2272,  3265,  2995,  2996,  2997,  2998,  2999,  3000,
     176,  2021,  2626,  2617,  1029,  2365,  1299,  2988,  2365,  2365,
    2365,  2365,  2365,  2365,  2365,  2365,  2365,  2365,  2142,   731,
    1986,  1188,  4243,  2939,  3916,   169,  4386,   173,  1653,  3257,
    4368,  1492,   728,  1899,  2927,  3625,   821,   542,  2365,  1300,
    2727,  1302,   177,  1900, -1422,  2177,  2178,  2179,  2180, -1422,
    3449,  1217,  1137,  2805,   679,  1995,  2608,  2253,  1901,  2254,
    2300,  2255,  3644,  2256,  3626,  2257,  1477,  2365,  2365,  2258,
    4026,  1987,  1962,  1705,   828,  1145,   169,  2296,   173,  2293,
    2294,  2295,   966,  3627,  2688,  1424,  4292,  1303,  2618,  3266,
    2879,   729,  2940,  3893,  3156,   544,  2690,  3804,   903,  2236,
    2038,  3082,  2039,  3488,  2349,  3489,  3082,  3427,  2240,   870,
   -1556,  3082,  2836, -1422,  3082,  2247,  1478,  3645,  4029,  3646,
    2287, -1556,  2559,  1609, -1556,  1209,   542, -1556,   904,  1682,
    1683,  1684,  1685,  1686,  1687,  2337,  2338,  1185,   176,  1146,
    4339,  1214,  1186,  2350,  3082,  2299,  2280,  2353,  2354,   919,
   -1422,  1492,  4337,  3573,  1016,  2322,  2901,   905,   730,  4128,
    3805,  4467,  2375,   176,  2376,  4215,  1304,  2145,  2691,  2088,
    2411,  -392,  2910,  2911,  1215,   873,  2913,  -930,    33,  3984,
     177,  3574,  2917,   919,   544,  2398,  1492,  2399,  3172,  2990,
    3406,  -496,  1902,  3410,  3991,  3992,  3943,  1479,  2894,  1492,
    2160,   906,  2089,  1216,  2474,   177,  1187,  2539,  3576,  1346,
    3458,   875,  2543,    33,  1305,  2546,  1306,  1029,  2692,  2192,
    2988,  1154,  2043,  3782,  3490,  1155,  2045,   903,  2642,  4042,
    4043,  4504,  2916,   551,  3491,   552,  1725,  2569,  1347,  3084,
    2950,  4080,  3985,  1188,  3084,  3095,  1492,  4087,  2991,  3084,
    3459,  4182,  3084,  4184,  2004,  1308,   535,   904,  1440,  2004,
    4405,  4097,  2413,  2408,  2414,  2837, -1421,  4412,  4063,   807,
    2693, -1421,  3165,  1663,  -392,   731,  3164,  1217,  2619,  2643,
    3082,  2583,  3084,   878,  4057,  3224,  3386,  2415,   783,  4058,
     610,  4431,   891,  4413,  1310,  2625,  4064,  4217,  1666,  2391,
    3225,  3454,  2394,  2005, -1387,  2006,  2886,  3578,  2005,    14,
    2006,  2056,  1217,  2742,  2986,  2987, -1387,  2087,  1206,  3002,
    2659, -1387,   551,  1029,   552,  1238,  2988,  2644,  1668,  1312,
     906,  2563,  4059,  3658,  3082, -1421,   542,  2488,  1327,  2002,
    3186,    19,  2743,  3917,  2002,   898,  2689,   557,  2004,  3097,
    2700,  1207,  2497,  1839,  2004,  -924,   883,  1239,   884,  3037,
    3038,  3204,  2694, -1387,   169,  2514,   641,  3641,  2712,  2365,
    -495,  3241, -1421,  3243,  2553,  1328,  2556,  1164,  2645,   907,
    1208,  4488,  2728,  2416,  3518, -1387,  3153,  3389,  2417,   909,
    1840,  3057,  1982,  2418,   544,  2752,  3398,  2005,  3189,  2006,
    1988,  2838,  2990,  2005,  2759,  2006,     3,     4,  1329,  1632,
    4028,  2615,  1330,  1240,   919,   924,  3910,  1211,  3084,  2992,
    2993,  2994, -1387,  2995,  2996,  2997,  2998,  2999,  3000,  1633,
   -1387,  2466,  2090,  2002,  3284,  2849,  2466,  1331,   630,  2002,
    2839,  2466,  1841,  1634,  2091,  1241,  1515,  1883,  2004,  1632,
    1212,  2325,  2010,  1136,   886,  3729,   887,   624,   631,  3298,
     936,  2991,  3229,   610,  1525,  2695,  1516,  1526,  2092,  1633,
    1621,  1622,  3084,  2696,  2887,  3730,  2697,  3082,   937,  1213,
    1884,  1242,    14,  2364,  1842,  4553,  2364,  2364,  2364,  2364,
    2364,  2364,  2364,  2364,  2364,  2364,  3467,  2005,  2612,  2006,
      30,  3745,  3662,  3159,   928,  3572,  3506,  3507,  2990,  1885,
     908,  1243,  2419,   951,    19,  4223,  3516,   942,  3670,  3675,
     919,  3746,  2420,  1595,  1632,    48,    38,  2585,  2586,  2587,
    3572,   957,   551,  2002,   552,  1843,  2597,   961,  2599,  3471,
    2601,  2602,  3685,   554,  1633,  2364,  2364, -1387,  2365,  2365,
    2325,  3233,  1820,  3366,   556,  1821,    42,  1440,  1636,  3340,
    2630,  1154,   641, -1923,  2859,  1155,  1663,  2991,  3082,  3163,
     641,  1609,   641,  1209,  3573,  3207,    33,  3209,  3142,  3143,
    1246,  2502,  2503,  2668,  3234,  3683,  1247,  3437,   624,  1823,
    2960,  1666,  1824,  1248,    46,  2249,   992,  2780,  3512,  3573,
    2932,  1968,  3574,  3350,  2211,  2780,  2212,    47,  1154,  3351,
    1250,  1175,  1155,  3235,  4054,  3084,  4056,  3575,  1251,  3352,
    4060,  1668,  4061,  2932,  1002,  2961,  4263,  3574,   996,  3576,
    2962,  2810,  2992,  2993,  2994,  2707,  2995,  2996,  2997,  2998,
    2999,  3000,  3575,    48,  3470,  1007,  3353,  2679,  3354,  1609,
    2805,  1890,  3577,  3137,  3576,    27,  3480,  2951,  1609,   209,
    1890,  1005,   639,  2954,   527,  2804,  2852,   639,  1013,  3762,
    1252,  4162,   608,    30,  2889,  3426,  3486,  3577,  3109,  3110,
    2811,  3283,  3638,  3639,  2004,  3620,  3909,  3290,  2248,   680,
    1609,  2249,  1890,  2260,  2880,  2772,  2261,   169,  2869,    38,
     918,  3508,  4114,  2781,  4485,  2873,  3084,  2874,  2782,  2850,
    4129,  4130,  4131,  4132,  1581,  1582,  3472,  3317,  3841,  3331,
    3333,  3334,  3355,  3251,  3014,  2884,  3016,  3017,  3578,    42,
   -1445, -1445,  3382,  2005,   918,  2006,    38,  1574,  2992,  2993,
    2994,  1008,  2995,  2996,  2997,  2998,  2999,  3000,  1671,  1672,
    3065,  2262,  3066,  3578,  2261,  2886,  3067,   807,  3068,  2812,
    2813,   919,  2290,   919,  1015,  2291,    42,    46,  4557,  2002,
    4558,   611,  2487,  2814,  1238,  2488,  1016,  4511,    27,  3356,
      47,  1014,  2623,  2684,  3357,  2624,  2685,  1017,  3042,  2791,
    3043,  1018,  2792,  2870,  1675,  2806,  1019,  2919,  2807,  3255,
    2261,   641,  4163,  1022,    46,  2959,  1239,  1025,  2249,  3085,
    3367,  2969,  3369,  3044,  2249,  1360,   612,    47,  1143,  1023,
    2815,  3358,  2904,  3107,  2906,  4288,   919,  1147,  3870,  3871,
    3872,  3777,  1140,  3778,  3436,  3359,  2004,  2973,  3439,  3440,
    2249,  3442,  1149,  3444,  3445,  4178,  2977,  2364,  2978,  2249,
    1148,  2249,  3450,    48, -1165,  3763, -1165,  3138,  1153,    38,
    3085,  3004,  1240,  3375,  2249,  3378,  3593,  3594,  3595,   723,
    3020,  3025,  1165,  2249,  3026,  3422,  3588,  3217,  3222,  3416,
    3218,  3223,  3417,  1172,  3468,  2005,  1175,  2006, -1375,    42,
    1238,  3258,  3476,  1173,  1241,  2249,  3764,  1175,  1176,  3161,
    4350,  4351,  3513,  4353,  1183,  3514,  2365,  2816,  3523,  2817,
    1651,  3524,  1198,  3535,  3045,  2365,  2249,  3360,  2958,  3046,
    3765,  2002,  1239,  2887,  2411,  1199,  3610,    46,  2004,  3611,
    1242,  3614,  2365,  2365,  3615,  3766,  3070,  3071,  3072,  3767,
      47,  3619,  3487,  3060,  2534,  3492,  3493,  3494,  3495,  3496,
    3497,  3498,  3499,  3500,  3501,  1182,  1203,  1184,  3076,  3768,
    1243,  3642,  3769,  3834,  2261,   918,  2261,  3915,  1235,  3294,
    2291,   723,    38,  3466,  3770,  1209,  4512,  2005,  1240,  2006,
    1257,  1261,  1682,  1683,  1684,  1685,  1686,  1687,  1230,   169,
    2296,   173,  2293,  2294,  2295,  3968,  3226,  3975,  2534,  3663,
    3976,  3098,    42,   641,  3541,  3542,  2004,  3244,  1816,  3076,
    1241,  1238,   722,  2002,  1292,  3981,  2306,  1662,  2261,  3982,
    1663,  3750,  2261,  1290,  3686,    33,  2364,  2364,  4047,  2888,
    4099,  4048,  2325,  4100,  1293,  1247,  2004,  1664,  3047,  4441,
      46,  4138,  1248,  1239,  4139,  1666,  1242,  1298,  3048,  4238,
    1968,  1667,  3771,    47,  3942,  2005,  3945,  2006,  1301,  1250,
    3772,  2004,  4140,  2307,  1323,  2249,  4148,  1251,  3822,  2291,
    4200,   918,  1336,  4201,  4264,  1668,  1243,  2261,  1345,  4289,
    4300,  4308,  4290,  2291,  4309,  2005,  3295,  2006,  1350,    48,
    1355,  2002,  2308,  1356,  3898,  3773,  3860,  4313,  4318,  1240,
    2488,  3396,  4320,  4030,  4031,  3396,  4033,  1361,  4362,  1363,
    2005,  4363,  2006,  2309,  4394,  4399,  1365,  1704,  4400,  1252,
    3107,  2002,  1367,  2889,  2310,  4406,  4407,  4408,  2291,  3026,
    2249,  1241,  4418,  4420,  4114,  2488,  3396,  4433,  3107,  4439,
    2291,    33,  2291,  1967,  2311,  1246,  2002,  3220,  1371,  2312,
    2365,  1247,  4440,  4454,  4482,  2291,  4455,  2488,  1248,  4526,
    4555,  1372,  3396,  4556,  1377,  4566,  1968,  1242,  4556,  1379,
    1382,  1384,  1387,  1217,  1428,  1250,  1431,  1669,  1433,  1424,
    1443,  1670,  1444,  1251,  3249,  3168,  -166,  3169,  3170,  3171,
    1448,  1446,  1460,  1462,  1930,  2313,  1468,  1243,  1470,   194,
    1480,  1485,  1671,  1672,  1487,  1486,  1488,  1489,  1491,  1499,
    1492,  1502,  1503,  1504,  1505,  1507,  2314,  3873,  1512,  1673,
    1514,  1513,  1519,  1524,  1549,  1244,  1574,  1931,  1576,  1579,
    1583,  1585,  1592,  1586,  1593,  1252,  2082, -1560,  3286, -1567,
    1932,  1602,  1605,  1606,  1607,  1674,  1608,  1612,  1675,    48,
    3457,  1614,  1617,  1933, -1557, -1558,  1618,  1619,  1245, -1561,
    2780,  1676,    33,  2780,  2780,  1620,  1246,  2780,  1625,  1627,
    3469,  1628,  1247,  2780,  1629,  1630,   194,   783, -1559,  1248,
    3319,  1631,  1695,  1638,  1691,  1639,  1641,  1249,  3718,  1642,
    3720,  1934,  1693,  1643,  3724,  1697,  1250,  1644,  3319,  1645,
    1646,  1647,  1935,  2315,  1251,  1648,  3803,  1704,  1708,  2316,
    1720,  1728,   918,  1828,   918,  2317, -2181,  4051,   641,  1186,
    1867,  1857,  1936,  1188,  1859,  3326,  3328,  1937,  1886,  1888,
    3335,  1887,  1890,  1891,  1892,  1894,   641,  1893,  3990,  1678,
    1895,  1922,  1916,  1928,  2318,  1949,  2319,  1953,  1955,  1957,
    3394,  1956,  1958,  4085,  1959,  1974,  1252,  1975,  1985,  1995,
    1996,  1998,  1999,  2320,  4003,  2000,  2001,  3379,  2002,  2008,
    2009,  2011,  2012,  2016,  3864,  2023,  3421,   918,   169,  3412,
    2017,  4016,  3867,  3868,  2364,  2025,  2029,  2030,  2321,  2033,
    2040,  2041,  2047,  4141,  1938,  2048,  1272,   169,  3435, -2181,
    2061,  2062,  2072,  3820,  3821,  2073,  2074,  2077,  3762,  2083,
    2364,  2364,  2086,  2100,  2101,  2113,  3841,  2116,  3549,  2078,
    2115,  2126,  1609,  1615,  3085,  1939,  3085,  1205,  1598,  2128,
    2129,  2146,  1679,  1680,  1681,  4038,  1682,  1683,  1684,  1685,
    1686,  1687,  2149,  2150,  2153,  2157, -2181,  2154,   537,  2161,
    1318,  2181,  2176,  2196,   194,  2197,  2204,  2209, -2181,  2210,
    2207,  2886,  2214, -2181,  2225,  2227,  2229,  2243, -2181,  2228,
    2230,  2244,  2302, -2181,  2273,  2279, -2181,  2373, -2181,  2288,
    1238,  2374,  2330,   641,  2336,  3911,  3912,  1940,  2331,  2386,
    2392,  1663,  2396,  1941,  2397,  2404,  1942,  2410,  2427,  2429,
    2444,  2445,  3085,  3659,  3446, -2181,  2458,  3447,  2475,  2479,
    2472,   729,  1239,  2480,  2498,  2499,  2509,  2500,   723,  2476,
    2524,  2523,  1943,  4053,  2549,  3530,  2489, -2181,  1944,  2536,
    2537,  4173,  2538,  2554,   723,  2490,  4312,  2526,  2501,  2557,
    2559,  1945,  2568,  2561,  2573,  2562,  4312,  2578,  3554,  3555,
    3556,  3557,  3473,  2579,  3107,  2581,  2588,  2584,  2600,  1651,
    2592,  2603,  2616,  2621, -2181,  1137,  1946,  3960,  1240,  1141,
    2675,  2683, -2181,  3561,  2670,  3564,  2699,  2725,  2687,  2686,
    2744,  2747,  1574,  2769,  3989,  2765,  2770,  2766,  4233,  4235,
    2758,  2771,  2773,  3731,  2774,  2775,  3734,  2776,  4358,  2777,
    1241,  2783,  2785,  2790,  2794,  4227,  2799,  2800,  2808,  2797,
    2798,  2801,  2803,  4004,  4005,  2802,  2828,  2842,  2844,  2857,
   -2181,  2865,  2851,  2860,  2867,  2866,  2878,  2881,  2364,  2887,
    2876,  2893,  2895,  2896,  2897,  2899,  1242,  2900,  2909,  2912,
    2914,  2915,  2488,  2921,  1520,  2924,  2922,  2923,  2933,  2926,
    2303,  2944,  2941,  2947,  2949,   998,  2953,  2952,  2955,  2957,
    2971,  2956,  2975,  3022,  3041,   654,  1243,  3063,  2972,  3056,
    2974,  3093,  -970,  3119,  3114,  2976,  3010,  2979,  3123,  3135,
    2980,  2982,  2985,  3003,  4039,  4040,  3087,  3117,  3141, -2181,
    3144,  3146,  4419,  3009,  3011,  2249,  4073,  3147,  3036,  3155,
    3158,   919,  3193,  3160,  3825,  3194,  3012,  3019,  3034,  3035,
    3049,  3059,  3061, -2181,  3319, -2181, -2181,  3062,  3182,  4302,
    3183,  3092,  3129,  3151,  3152,  3196,  3206,  4172,  3167,  3208,
    3197,    33,  3221,  3246,  4177,  1246,  3247,  3707,  3252,  3253,
    3708,  1247,  3709,  4181,  3254,  3259,  3260,  3250,  1248,  4027,
   -2181,  3261,   641, -2181, -2181, -2181,  1968,  3263,  3267,  3269,
    3706,  3270,  4364,  3271,  3272,  1250,  3274,  3277,  3654,  3655,
    3656,  3657,  3279,  1251,   641,  3273,  3275,  4224,  3276,  3278,
    2932,  3280,  3282,  3285,  3289,  3287,  2070,  3291,  3293,  2780,
    3299,  4344,  3305,  3281,  3306,  2780,  2780,  3321,  2121,  4122,
    4347,  4123,  4124,  3309,  3324,  2135,  4354,  3336,  4356,  3325,
    3380,  3341,  3337,  4127,  3342,  3373,  3374,  3383,  3387,  3385,
    3395,  3404,  3396,  1574,  3407,  1252,  3402,  3408,  3411,  2889,
    3434,  3441,  3443,  3787,  3789,  3791,  3793,  3451,  3461,  3452,
    3453,   986,   987,  4133,  3414,  3462,  3463,  3474,  1662,  3456,
    3479,  1663,  3776,  3006,  2988,  1595,  1656,  3525,  3005,  3284,
    3537,   730,  3509,  3550,  3585,  3590,  3563,  4543,  3510,  4149,
    4150,  3786,  3511,  3517,  3546,  1420,  1666,  3538,  3606,  3571,
   -2183,  3587,  1667,  3599,  3622,  3600,  4411,  3629,  3650,  3652,
    3653,  3602,  3603,  1574,  3664,  3687,  3676,  1574,  1574,  3665,
    3688,  3690,  3689,  3702,  3852,  3700,  1668,  3701,  3722,  3726,
    3742,   169,  3849,  3744,  3671,  3808,  4543,  3747,  4227,  3667,
    3755,  3703,  3085,  3704,  4543,  3756,  3085,  3705,  3753,  3800,
    3779,  4307,  3780,   807,  4278,  3781,  3816,  3426,   650,   651,
    3818,  4189,  3811,   657,  2261,  3831,  3801,  3823,   668,   674,
     650,  3828,   681,  3844,  3827,   674,   674,  3846,   709,  3847,
     712,  3857,  3861, -2183,  3885,  3869,  3830,  3858,  3874,  3863,
    3876,  3878,  3890,  3879,  3880,  3881,  3882,  3899,  3900,  4207,
    3901,  3902,  3887,  3938,   641,  3939,  3946,  3894,  3951,   919,
    3895,  3903,  3907,  3923,  3933,  3952,  3934,  3936,  3949,  3961,
    3954,  3955,  3964,  3956,  3967,  3970,  3972,  1420,  1669,  4011,
   -2183,  3977,  1670,  3978,  3986,  3999,  4006,  4000,  4017,  4034,
    4020,  4021, -2183,  4024,  4041,  4062,  4065, -2183,  4066,  4074,
    4079,  4084, -2183,  1671,  1672,  4086,  4090, -2183,  4101,  4092,
   -2183,  4109, -2183,  4103,  4111,  4112,  4120,  4134,  4126,  4135,
    1673,  4137,  4142,  4144,  4159,  4145,  4146,  4147,  4153,  4166,
    4169,  4175,  4179,  4183,  4297,  4195,  4199,  4198,  4209, -2183,
    4210,  3076,  4220,  4221,  4204,  3076,  4531,  4225,  4239,  1675,
    4232,  4246,  3807,  4248,  4251,  4271,  4272,  4298,  4249,  3958,
    3959, -2183,  1676,  4252,  4303,   765,   770,   770,   773,  4270,
     770,  4276,   779,  3971,   765,  4253,   709,  4274,  4306,   809,
     169,  3962,  4280,  4310,   709,  4315,  4281,   709,  4321,  4325,
    4328,   770,  4340,   709,  4331,  4369,  4379,  4374, -2183,  4381,
    4383,  4384,  4389,  4396,  4397,  4378, -2183,  3969,  4398,  4403,
    4404,  4422,  1714,  4409,  4410,  4423,  1662,  4425,  4436,  1663,
    4345,   641,  4442,  4417,  4444,  4445,  4448,  4450,  4359,  4453,
    4421,  4458,  4076,  4459,  4465,  4466,  1664,  4480,  4489,  3551,
    1678,  4487,  4495,  4492,  1666,  4446,  4502,  4503,  4447,  4507,
    1667,  4521,  4534,  4551, -2183,  4554,  4560,  4001,  1177,  2084,
    4564,  2846,  3100,  1662,  2674,  1260,  1663,  1727,  3203,  2932,
    3681,   641,  3759,  1297,  1668,  1420,  2757,  3308,  4360,  4226,
    4443,  1321,  4273,  3819,  4275,  4071,  4261,  3149,  2920,  4014,
    4015,  1666,  4430,  4490,  4018,  4019,  4187,  1667,  4530,   654,
    4451,  4449,  4501,  4392,  3154,  4036,  4037,  3815,  2826,  2827,
    3215,  3679,  2173,  3391,  2809,  2780,  2780,  4533,  4565,  4250,
    4561,  1668,   918, -2183,  3338,  3322,  4055,  4505,  4208,  1420,
    4438,  2156,  4493,  1679,  1680,  1681,  4211,  1682,  1683,  1684,
    1685,  1686,  1687,   656,  3875,  4326,  3853, -2183,  2529, -2183,
   -2183,  3136,  3854,  1569,  3085,  4402,  3288,  4514,  4562,  3085,
     641,  2932,  1420,  2932,  3085,  4427,   920,  3085,  4068,  1578,
    2483,  1150,   919,  2252,  2484,  1662,  1669,   807,  1663,  3104,
    1670,  3963,   641,  3616, -2183,  3837,  1171, -2183, -2183, -2183,
    3105,  4094,  1825,  4032,  2508,  1664,  1853,  3085,  1854,  3115,
    3128,  1671,  1672,  1666,  3113,  2507,  3107,  4035,  3116,  1667,
    3566,  4317,  3944,  1158,  1858,   807,  3932,  4113,  1673,  3562,
    1863,  4416,  4415,  1669,  3617,  2795,  3529,  1670,  4301,  3519,
    4484,  4483,  4479,  1668,  3108,  4206,  3054,  1420,  2966,  3885,
    3885,  3885,  3885,  3052,  1674,  3613,  2460,  1675,  1671,  1672,
       0,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
    1676,     0,     0,  1677,     0,  1673, -2196,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
       0,     0,     0,     0,   783,     0,     0,     0,     0,     0,
       0,  4527,     0,     0,  1675,     0,     0,     0,     0,     0,
    4096,  1420,     0,     0,     0,     0,     0,  1676,  3076,     0,
     838,     0,     0,  3076,     0,   709,  3076,   765,     0,     0,
     770,     0,   773,     0,   770,     0,     0,     0,     0,     0,
       0,   809,     0,  3085,   895,  1669,     0,     0,  1678,  1670,
       0,   770,     0,     0,     0,     0,     0,     0,     0, -2196,
       0,     0,     0,  4180,     0,     0,     0,     0,  1420,     0,
    1671,  1672,     0,     0,   765,     0,  3319,     0,     0,   773,
       0,     0,     0,     0,   765,     0,     0,  1673,   809,     0,
       0,     0,     0,     0,     0,  1678,     0,  3085,     0,     0,
       0,     0,     0,   770,     0,     0, -2196,     0,     0,     0,
       0,  2780,     0,  1674,   641,     0,  1675,     0, -2196,     0,
     918,     0,     0, -2196,  4230,     0,  4231,     0, -2196,  1676,
    4236,  4237,  1677, -2196,     0,     0, -2196,     0, -2196,     0,
       0,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,   709,     0,  4190,  4192,  4192,     0,     0,  2981,     0,
       0,     0,   709,  1012,     0, -2196,   169,  4265,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1124,  4380,   709,   674,     0,     0, -2196,   674, -2272,
   -2272,     0,  1682,  1683,  1684,  1685,  1686,  1687,     0,     0,
       0,     0,   709,     0,     0,     0,   709,  1678,     0,     0,
       0,     0,  1124,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   709, -2196,     0,     0,     0,     0,     0,
       0,     0, -2196,     0,     0,   709,     0,     0,     0,  1662,
    3085,   807,  1663,     0,     0,  1420,  3076,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1664,
       0,     0,     0,     0,     0,     0,     0,  1666,     0,     0,
       0,     0,     0,  1667,     0,     0,     0,   709,     0,     0,
   -2196,     0,     0,     0,     0,     0,  4285,     0,     0,   709,
       0,   770,   770,     0,     0,  4361,     0,  1668,     0,     0,
    1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,  2477,   674,     0,     0,     0,     0,  2478,     0,
    4461,     0,     0,     0,  2932,   654,     0,     0,     0,     0,
       0,  3085,     0,     0,     0,   765,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   765,     0,     0, -2196,
     809,     0,   169,  4390,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   770,  4491,     0,  4332,     0,     0,     0,
       0,     0,     0, -2196,     0, -2196, -2196,     0,   709,     0,
       0,     0,     0,     0,   770,   770,     0,     0,     0,     0,
       0,     0,     0,  4355,     0,  4357,     0,     0,     0,  1669,
     709,   709,   709,  1670,   770,     0,   765,     0,     0,     0,
   -2196,     0,     0, -2196, -2196, -2196,     0,     0,     0,     0,
       0,     0,     0,     0,  1671,  1672,     0,     0,     0,     0,
       0,     0,   770,   918,   770,   770,     0,     0,     0,     0,
       0,  1673,     0,     0,  1662,     0,     0,  1663,     0,     0,
       0,     0,     0,     0,  1420,     0,     0,  1124,  1420,  1420,
       0,     0,     0,     0,     0,     0,     0,  1674,     0,     0,
    1675,     0,  1666,     0,     0,     0,     0,     0,  1667,     0,
       0,     0,     0,  1676,     0,     0,  1677,  1552,  1552,     0,
       0,  4563,   709,     0,   650,     0,     0,     0,     0,     0,
       0,     0,  1668,     0,  4192,     0,     0,     0,     0,     0,
       0,     0,  1584,     0,     0,   709,  1662,     0,  1590,  1663,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1124,     0,     0,     0,     0,  1664,     0,     0,   169,
    4506,     0,     0,     0,  1666,     0,     0,     0,     0,     0,
    1667,  4550,   169,  4519,   173,  4516,  4517,  4518,     0,  4457,
    1124,  1678,     0,  1420,  3039,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1668,     0,     0,  4542,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1124,  1124,
       0,  1124,  4549,  4519,   173,  4516,  4517,  4518,     0,     0,
       0,     0,     0,     0, -2272,     0,     0,     0,  1670,     0,
    1124,     0,     0,     0,     0,  4541,     0,  4494,     0,     0,
       0,     0,     0,     0,     0,     0,  4542,     0,     0,  1671,
    1672,     0,     0,     0,  4542,     0,     0,     0,   169,  4519,
     173,  4516,  4517,  4518,     0,     0, -2272,   709,     0,     0,
    1124,     0,     0,     0,  1679,  1680,  1681,     0,  1682,  1683,
    1684,  1685,  1686,  1687,  4541,     0,     0,  4532,     0,     0,
       0,  3029,  4541,     0,     0,  1675,  1669,     0,     0,  1124,
    1670,     0,     0,  1124,  1124,     0,     0,     0,  1676,     0,
       0,     0,     0,     0,   709,   709,  1866,     0,     0,     0,
       0,  1671,  1672,     0,     0,     0,     0,     0,     0,     0,
    1420,     0,   674,     0,     0,     0,     0,     0,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,   674,     0,  1675,     0,     0,
       0,     0,     0,     0,     0,     0,  1262,   709,  1981,     0,
    1676,     0,  1263,  1677,   709,     0, -2272,   770,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1302,   809,  1420,
       0,     0,     0,     0,   709,     0,     0,   709,     0,     0,
       0,     0,  1264,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1661,     0,   709,
       0,     0,  1662,     0,     0,  1663,     0,     0,   770,   770,
     770,   770,   709,  1303,     0,     0,     0,     0,  1678,     0,
       0,     0,  1664,   674,     0,  1665,   709,     0,     0,     0,
    1666,  1265,     0,     0,     0,     0,  1667,  2096,  1266,   709,
       0,  1267,     0,  1682,  1683,  1684,  1685,  1686,  1687,   770,
     770,     0,     0,  1420,     0,   770,     0,     0,     0,     0,
    1668,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1304,     0,     0,  1268,     0,     0,     0,   770,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,  2395,   770,   770,   770,   770,
       0,     0,     0,     0,     0,     0,     0,     0,   709,     0,
    1305,     0,  1306,     0,   709,     0,     0,  2096,     0,     0,
       0,     0,  1307,     0,  1270,     0,   765,     0,     0,     0,
       0,     0,  1669,   773,  1271,   765,  1670,     0,     0,     0,
       0,     0,  1272,     0,     0,   809,     0,     0,     0,     0,
     770,  1308,  1273,     0,     0,     0,     0,  1671,  1672,   770,
       0,     0,     0,     0,     0,   770,   770,     0,     0,     0,
     709,     0,     0,     0,  1673,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1309,     0,     0,  1275,  1276,
    1310,     0,     0,     0,     0,  1552,     0,     0,     0,     0,
    1674,     0,   770,  1675,   765,     0,  1262,     0,   709,   709,
       0,   770,  1263,     0,  1311,     0,  1676,   709,     0,  1677,
       0,     0,     0,     0,   709,  1312,     0,     0,     0,     0,
       0,   650,   650,     0,     0,  2305,     0,     0,     0,  1124,
       0,  1124,     0,     0,     0,     0,     0,     0,  1124,     0,
       0,  1124,  1264,     0,     0,  1124,  1420,     0,     0,  1420,
       0,  1420,     0,  1124,  1124,     0,  1420,     0,     0,     0,
       0,  1124,  1278,   809,  1124,  1124,  1124,  1124,     0,     0,
       0,     0,     0,     0,  1124,  1124,     0,  1124,     0,  1124,
    1124,     0,     0,  1124,  1678,     0,     0,     0,     0,     0,
       0,  1265,     0,     0,     0,     0,     0,     0,  1266,     0,
    1124,  1267,     0,     0,   770,  1124,  1420,     0,     0,  1124,
       0,     0,     0,  1124,     0,  1124,  1124,  1124,  1124,  1124,
    1124,  1124,  1124,  1124,     0,  1124,     0,     0,     0,     0,
       0,   709,     0,  1124,  1124,     0,     0,     0,     0,     0,
     709,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
       0,     0,     0,     0,     0,  1268,     0,     0,     0,     0,
       0,     0,  1662,     0,     0,  1663,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,  1680,  1681,
       0,  1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,
    1666,     0,     0,     0,     0,     0,  1667,     0,     0,     0,
       0,     0,     0,     0,     0,  1420,     0,  1420,     0,     0,
       0,     0,  1269,     0,  1270,     0,     0,     0,     0,     0,
    1668,     0,     0,     0,  1271,     0,     0,     0,     0,     0,
       0,     0,  1272,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1273,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1662,     0,     0,  1663,   709,     0,   709,     0,
    1124,     0,     0,     0,     0,     0,     0,     0,  1420,     0,
       0,     0,  1664,     0,     0,  1274,     0,     0,  1275,  1276,
    1666,     0,     0,     0,     0,  1662,  1667,     0,  1663,     0,
       0,     0,     0,  1420,     0,   709,     0,     0,     0,     0,
       0,  2515,     0,  2522,  1277,  1664,     0,     0,     0,     0,
    1668,     0,  1420,  1666,     0,     0,     0,     0,     0,  1667,
       0,     0,  1669,     0,     0,     0,  1670,     0,     0,     0,
    1420,   773,     0,     0,     0,     0,   650,     0,   650,     0,
       0,     0,     0,  1668,     0,     0,     0,  1671,  1672,     0,
       0,     0,     0,     0,     0,  1124,     0,     0,     0,     0,
       0,     0,  1278,     0,  1673,     0,   765,     0,   770,   770,
     770,     0,     0,   765,     0,   809,     0,   770,     0,   770,
       0,   770,   770,     0,     0,   709,     0,     0,     0,     0,
    1674,     0,     0,  1675,  1420,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   674,     0,  1676,     0,     0,  1262,
    1420,     0,  1669,  1981,     0,  1263,  1670,     0,     0,     0,
    2632,  1420,     0,     0,     0,  2641,     0,     0,     0,     0,
       0,   709,     0,     0,     0,     0,     0,  1671,  1672,     0,
       0,     0,     0,     0,     0,  1669,     0,     0,   709,  1670,
       0,     0,  2681,  2681,  1673,  1264,     0,     0,     0,   773,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1671,  1672,     0,     0,     0,     0,   770,     0,     0,     0,
    1674,     0,     0,  1675,  1678,     0,     0,  1673,     0,     0,
    1420,     0,     0,     0,     0,     0,  1676,     0,     0,  1677,
       0,     0,     0,     0,  1265,     0,  2746,     0,  2749,  2751,
    1420,  1266,     0,  1674,  1267,     0,  1675,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1676,
       0,     0,  1677,     0,     0,  1420,   770,     0,     0,     0,
       0,     0,     0,     0,   770,     0,     0,     0,     0,   770,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1124,     0,     0,     0,     0,     0,  1268,     0,
       0,  1420,     0,     0,  1678,     0,     0,  1679,  1680,  1681,
       0,  1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,
    1981,     0,     0,  2681,     0,   709,     0,  2847,     0,     0,
     650,     0,     0,     0,     0,     0,     0,  1678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1662,     0,     0,  1663,     0,  1269,  2746,  1270,     0,     0,
       0,     0,     0,     0,   770,  2872,     0,  1271,     0,     0,
    1664,     0,     0,     0,     0,  1272,     0,     0,  1666,     0,
       0,     0,     0,     0,  1667,  1273,     0,  1420,     0,     0,
       0,   770,     0,   770,  2681,   770,  2681,  1679,  1680,  1681,
       0,  1682,  1683,  1684,  1685,  1686,  1687,     0,  1668,     0,
       0,  3323,     0,     0,     0,  1124,     0,     0,  1324,     0,
       0,  1275,  1276,     0,     0,     0,     0,  1552,     0,     0,
    1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,     0,     0,  3481,     0,     0,  1325,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   765,     0,     0,     0,  1420,     0,   765,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   770,
       0,     0,     0,     0,     0,     0,  1124,  1124,     0,     0,
       0,     0,  1124,     0,     0,  1278,     0,     0,     0,     0,
    1669,     0,     0,     0,  1670,  1262,     0,     0,     0,     0,
       0,  1263,     0,     0,     0,     0,     0,  1124,  1124,     0,
       0,     0,  1124,     0,     0,  1671,  1672,     0,     0,     0,
       0,     0,     0,     0,  1124,  1124,  1124,  1124,     0,     0,
       0,     0,  1673,     0,     0,     0,     0,  1124,     0,     0,
    1124,  1264,  1124,  3033,     0,     0,     0,     0,     0,     0,
       0,     0,  1124,  1124,     0,     0,  1124,     0,  1674,     0,
       0,  1675,  -121,     0,     0,     0,     0,     0,     0,  1124,
       0,  1124,     0,   809,  1676,  1124,     1,  1677,     0,     0,
       0,     0,     0,     0,     0,     0,     2,     0,     3,     4,
    1265,     0,     0,     0,  1124,     0,     0,  1266,   709,     0,
    1267,     0,     0,     5,  3086,     0,     0,  1124,  1124,  1124,
       0,     0,  1420,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     6,  1124,     7,     8,     0,     0,     0,
       0,     9,     0,    10,     0,     0,  1124,     0,     0,     0,
       0,  1124,     0,    11,     0,    12,     0,  1124,     0,  1420,
       0,     0,  1678,     0,  1268,  3086,     0,     0,  3122,     0,
       0,    13,  2522,     0,    14,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1262,     0,    15,     0,    16,     0,
    1263,     0,    17,     0,     0,     0,     0,     0,    18,     0,
       0,     0,     0,     0,     0,     0,    19,     0,    20,     0,
       0,     0,     0,  1124,    21,  2681,     0,     0,     0,     0,
    1552,  1269,     0,  1270,     0,     0,     0,     0,     0,    22,
    1264,     0,     0,  1271,     0,     0,     0,     0,     0,     0,
       0,  1272,     0,     0,     0,     0,   770,     0,   770,   770,
     770,  1273,  1262,     0,     0,  1679,  1680,  1681,  1263,  1682,
    1683,  1684,  1685,  1686,  1687,     0,     0,  3601,     0,  1420,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1265,
    1420,     0,     0,     0,    23,    24,  1266,  1275,  1276,  1267,
      25,     0,     0,     0,     0,     0,     0,     0,  1264,    26,
       0,  1662,     0,     0,  1663,     0,     0,     0,     0,     0,
      27,     0,     0,  1277,     0,     0,     0,     0,     0,     0,
       0,  1664,     0,     0,     0,     0,     0,     0,     0,  1666,
       0,     0,     0,     0,     0,  1667,     0,     0,     0,     0,
       0,  1662,     0,  1268,  1663,     0,     0,  1265,    28,     0,
       0,     0,     0,     0,  1266,     0,     0,  1267,     0,  1668,
      29,  1664,     0,     0,     0,    30,    31,     0,    32,  1666,
       0,  1278,     0,    33,     0,  1667,  1662,     0,    34,  1663,
       0,    35,     0,     0,     0,    36,     0,     0,     0,     0,
      37,    38,  1420,     0,     0,     0,     0,     0,    39,  1668,
    1269,    40,  1270,     0,  1666,     0,     0,     0,     0,    41,
    1667,  1268,  1271,     0,     0,     0,     0,     0,  1420,     0,
    1272,    42,     0,     0,     0,     0,     0,     0,     0,     0,
    1273,  2681,  2681,     0,  1668,  1420,     0,     0,    43,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    44,     0,
       0,     0,     0,     0,    45,     0,     0,     0,     0,    46,
       0,  1669,     0,  1351,     0,  1670,  1275,  1276,  1269,     0,
    1270,     0,    47,     0,     0,     0,     0,     0,     0,     0,
    1271,     0,     0,     0,   709,   709,  1671,  1672,  1272,  1420,
       0,     0,  1352,     0,     0,     0,  3050,     0,  1273,     0,
     709,  1669,     0,  1673,     0,  1670,     0,     0,    48,     0,
       0,  -121,     0,  1552,   709,     0,     0,     0,     0,     0,
       0,     0,  1552,   709,     0,     0,  1671,  1672,     0,  1674,
       0,  1950,  1675,     0,  1275,  1276, -2272,   709,     0,     0,
    1670,     0,     0,  1673,     0,  1676,     0,     0,  1677,     0,
    1278,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1951,  1671,  1672,     0,     0,   770,     0,     0,   770,  1674,
       0,     0,  1675,     0,     0,     0,     0,     0, -2272,     0,
       0,     0,   765,     0,     0,  1676,     0,     0,  1677,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   709,     0,     0,     0,  1675,     0,     0,
       0,     0,     0,   770,     0,     0,     0,     0,  1278,     0,
    1676,  1124,     0,  1678,     0,     0,     0,     0,     0,     0,
       0,  1124,     0,     0,     0,     0,  1420,  1124,     0,  1124,
       0,     0,     0,     0,     0,  1124,     0,     0,  1124,  1124,
    1124,  1124,  1124,  1124,  1124,  1124,  1124,  1124,     0,     0,
       0,  1124,  1124,  1678,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1124,     0,     0,     0,  1124,     0,
       0,     0,  1124,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1124,     0,     0,  1124,     0,  1124, -2272,     0,
       0,     0,     0,     0,     0,     0,  1124,  1124,  1124,     0,
       0,     0,  1124,     0,     0,  1124,  1679,  1680,  1681,  3553,
    1682,  1683,  1684,  1685,  1686,  1687,   709,   709,   709,   765,
    3528,  3086,  3570,     0,     0,     0,  3570,  3584,     0,     0,
       0,     0,     0,  1124,     0,     0,     0,     0,  1420,  1124,
    1124,     0,     0,     0,     0,     0,  1679,  1680,  1681,     0,
    1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,     0,
    3605,     0,     0,  1124,     0,     0,     0,     0,     0,  1124,
       0,     0,     0,  2522,     0,  1124,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,     0,     0,  3637,  1552,  1552,
       0,  2096,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   770,
     770,   770,   770,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1420,     0,     0,     0,
    1662,     0,     0,  1663,  3678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1662,     0,  1420,  1663,     0,
    1664,     0,     0,     0,     0,     0,     0,     0,  1666,     0,
       0,     0,     0,     0,  1667,  1664,     0,     0,     0,     0,
       0,     0,     0,  1666,     0,     0,     0,     0,     0,  1667,
       0,     0,     0,  1420,     0,     0,  1662,     0,  1668,  1663,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1668,     0,     0,  1664,     0,     0,     0,
       0,     0,     0,     0,  1666,  3748,     0,  1420,     0,     0,
    1667,  1420,  1420,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1668,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   709,     0,     0,     0,
       0,   767,     0,     0,     0,     0,     0,   770,     0,  1124,
     767,   787,     0,     0,     0,   709,     0,   787,     0,     0,
    1669,  3814,     0,     0,  1670,     0,     0,     0,   787,     0,
    1981,     0,     0,     0,     0,  1669,     0,     0,     0,  1670,
       0,     0,   709,     0,     0,  1671,  1672,     0,     0,     0,
       0,     0,  2746,     0,     0,     0,     0,     0,  3842,     0,
    1671,  1672,  1673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1124,  1124,  1669,  1673,     0,     0,
    1670,     0,     0,     0,     0,     0,     0,     0,  1674,     0,
       0,  1675,     0,     0,     0,     0,     0,  2681,     0,  2681,
       0,  1671,  1672,  1674,  1676,     0,  1675,  1677,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1673,  1676,
       0,     0,  1677,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1124,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,  1675,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1676,     0,     0,  1677,     0,     0,     0,     0,     0,     0,
    1124,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1124,  1124,  1678,     0,     0,     0,     0,     0,  1124,  1124,
       0,     0,     0,  1124,     0,     0,     0,  1678,     0,  1124,
    1124,     0,  1662,  1124,     0,  1663,  1124,  3926,     0,     0,
     709,   709,   709,   709,     0,     0,     0,  3570,  3584,  1262,
    3570,     0,  1664,  3935,     0,  1263,     0,  3086,     0,  1662,
    1666,  3086,  1663,     0,     0,     0,  1667,  3948,  1678,     0,
       0,     0,     0,  1124,     0,     0,     0,     0,  1124,  1664,
       0,     0,     0,  1124,     0,     0,     0,  1666,     0,   809,
    1668,     0,     0,  1667,     0,  1264,     0,  3122,     0,     0,
       0,  2522,     0,     0,     0,  1679,  1680,  1681,     0,  1682,
    1683,  1684,  1685,  1686,  1687,   650,     0,  1668,  1124,  3631,
    1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,     0,     0,  3888,     0,     0,     0,  2681,  2681,
       0,     0,     0,     0,  1265,     0,     0,     0,     0,     0,
       0,  1266,     0,     0,  1267,     0,     0,     0,     0,     0,
    4002,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,  3922,     0,     0,     0,     0,
       0,     0,     0,   767,     0,     0,     0,     0,     0,     0,
       0,     0,  1669,     0,     0,   787,  1670,     0,     0,   787,
       0,     0,     0,     0,     0,     0,     0,     0,  1268,     0,
     787,     0,     0,     0,   770,     0,     0,  1671,  1672,  1669,
       0,     0,     0,  1670,     0,     0,   787,     0,   770,     0,
     767,     0,     0,     0,  1673,     0,     0,     0,     0,     0,
     767,   787,     0,     0,  1671,  1672,   787,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   787,     0,     0,     0,
    1674,  1673,     0,  1675,   787,  1269,     0,  1270,     0,     0,
       0,     0,     0,     0,     0,     0,  1676,  1271,     0,  1677,
       0,     0,     0,     0,     0,  1272,  1124,  1674,     0,     0,
    1675,     0,     0,     0,     0,  1273,     0,   765,     0,     0,
       0,     0,  1981,  1676,     0,     0,  1677,  1662,     0,  1552,
    1663,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   770,  1981,     0,     0,     0,     0,  1664,  2013,     0,
       0,  1275,  1276,     0,     0,  1666,     0,   767,     0,     0,
       0,  1667,   787,     0,     0,     0,     0,   709,     0,     0,
       0,     0,     0,     0,  1678,  1262,     0,  2014,     0,     0,
       0,  1263,     0,     0,     0,  1668,     0,     0,   767,     0,
       0,     0,     0,     0,     0,     0,  1124,     0,     0,     0,
       0,  1678,     0,     0,     0,  1124,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1264,  1124,  1124,     0,     0,  1124,     0,     0,     0,
       0,     0,     0,     0,     0,  1278,     0,     0,     0,   765,
    3570,     0,     0,     0,  3086,     0,     0,     0,     0,  3086,
       0,     0,  3086,  2746,     0,  4171,     0,  1124,  1124,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,  1680,  1681,
    1265,  1682,  1683,  1684,  1685,  1686,  1687,  1266,     0,     0,
    1267,  4143,  3637,   809,   770,   770,   770,  1669,     0,     0,
       0,  1670,     0,     0,  1679,  1680,  1681,     0,  1682,  1683,
    1684,  1685,  1686,  1687,     0,     0,     0,     0,  4152,     0,
       0,   767,  1671,  1672,     0,     0,     0,     0,     0,     0,
     765,   809,   767,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,     0,     0,  1268,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1422,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  1675,     0,
       0,     0,     0,     0,  1552,  1552,     0,  1662,     0,   765,
    1663,  1676,   709,     0,  1677,     0,     0,     0,     0,     0,
       0,     0,   767,  3814,     0,     0,     0,  1664,     0,     0,
    2681,  1269,     0,  1270,  1981,  1666,     0,     0,     0,     0,
       0,  1667,     0,  1271,     0,     0,  3842,     0,     0,   709,
       0,  1272,     0,     0,   787,     0,     0,   770,  3637,     0,
       0,  1273,     0,     0,     0,  1668,     0,     0,     0,   787,
       0,     0,     0,   767,     0,     0,     0,     0,     0,     0,
    1124,   787,     0,  1124,     0,  1124,     0,     0,     0,  1678,
       0,     0,     0,     0,  2627,     0,     0,  1275,  1276,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1124,   787,
       0,     0,  3086,     0,     0,  4171,     0,  1422,     0,   787,
       0,  4324,     0,  1277,     0,     0,     0,     0,     0,     0,
       0,     0,   787,     0,     0,   787,     0,   770,     0,     0,
       0,   709,     0,     0,     0,     0,     0,   767,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   770,   770,   770,   770,  1669,     0,     0,
       0,  1670,     0,     0,     0,     0,   767,     0,  1552,     0,
       0,  1278,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,
    1686,  1687,  1671,  1672,     0,     0,  4185,   765,     0,     0,
       0,     0,     0,     0,   767,   767,     0,   767,     0,  1673,
       0,     0,     0,     0,     0,     0,  1124,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   767,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  1675,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   787,
       0,  1676,  1124,     0,  1677,   765,  1662,   787,   787,  1663,
       0,     0,     0,     0,     0,     0,   767,  1812,     0,     0,
       0,     0,     0,     0,     0,   770,  1664,   809,     0,     0,
       0,     0,     0,     0,  1666,     0,  1124,     0,     0,     0,
    1667,     0,     0,     0,     0,   767,     0,     0,     0,   767,
     767,     0,     0,  1662,     0,     0,  1663,     0,     0,     0,
       0,     0,     0,     0,  1668,  1422,     0,     0,     0,     0,
       0,  1812,     0,  1664,     0,     0,     0,     0,     0,  1678,
     770,  1666,     0,     0,     0,   765,     0,  1667,     0,     0,
       0,     0,     0,     0,     0,     0,  3637,     0,     0,  1262,
       0,     0,     0,     0,     0,  1263,     0,     0,  1124,  1124,
       0,  1668,     0,  2746,     0,     0,     0,  4324,     0,  1422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   765,
       0,     0,     0,     0,     0,     0,     0,     0,   770,     0,
       0,     0,     0,     0,     0,  1264,     0,     0,     0,     0,
       0,     0,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1669,     0,     0,  1124,
    1670,     0,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,
    1686,  1687,     0,  1124,     0,     0,  4244,     0,   770,     0,
       0,  1671,  1672,     0,  1265,     0,     0,     0,     0,     0,
       0,  1266,     0,     0,  1267,     0,     0,   787,  1673,     0,
       0,     0,     0,  1669,     0,     0,     0,  1670,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1422,     0,     0,
       0,     0,     0,     0,  1674,     0,     0,  1675,  1671,  1672,
       0,     0,     0,     0,     0,     0,  1422,  1124,     0,     0,
    1676,     0,     0,  1677,  1662,  1673,   765,  1663,  1268,     0,
       0,     0,     0,     0,     0,     0,  1422,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1674,  1666,     0,  1675,     0,  1812,     0,  1667,     0,
       0,  1422,     0,     0,     0,     0,     0,  1676,     0,     0,
    1677,     0,     0,     0,     0,     0,   787,     0,     0,     0,
       0,     0,  1668,     0,     0,  1269,     0,  1270,     0,     0,
       0,     0,   787,     0,     0,     0,     0,  1271,  1678,     0,
       0,     0,     0,     0,     0,  1272,     0,     0,     0,     0,
       0,     0,   767,     0,     0,  1273,     0,     0,  1422,     0,
       0,   767,     0,   787,   787,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   787,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3543,  1678,   787,   787,  2714,     0,
       0,  1275,  1276,     0,     0,     0,     0,     0,   787,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2715,     0,     0,
       0,     0,     0,     0, -2272,     0,     0,     0,  1670,     0,
     767,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,  4460,     0,     0,     0,  1671,
    1672,     0,     0,     0,     0,     0,   791,     0,     0,     0,
       0,     0,     0,     0,   815,   767, -2272,   767,     0,     0,
       0,     0,     0,   827,   767,  1278,     0,   767,  1679,  1680,
    1681,   767,  1682,  1683,  1684,  1685,  1686,  1687,     0,   767,
     767,     0,  4552,     0,     0,  1675,     0,   767,     0,     0,
     767,   767,   767,   767,     0,     0,  1662,     0,  1676,  1663,
     767,   767,     0,   767,     0,   767,   767,     0,     0,   767,
       0,     0,     0,     0,     0,     0,  1664,     0,     0,     0,
    2491,     0,     0,     0,  1666,  1422,   767,  1812,     0,     0,
    1667,   767,     0,     0,     0,   767,     0,     0,     0,   767,
       0,   767,   767,   767,   767,   767,   767,   767,   767,   767,
       0,   767,     0,     0,  1668,     0,     0,     0,     0,   767,
     767,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2272,  1662,     0,     0,
    1663,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1664,     0,  2492,
       0,     0,     0,     0,  1662,  1666,     0,  1663,     0,     0,
       0,  1667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1664,     0,     0,     0,     0,     0,
       0,  1662,  1666,     0,  1663,  1668,     0,     0,  1667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1664,     0,     0,     0,     0,  1669,     0,     0,  1666,
    1670,     0,  1668,     0,     0,  1667,     0,     0,     0,     0,
       0,     0,     0,  1682,  1683,  1684,  1685,  1686,  1687,     0,
       0,  1671,  1672,     0,     0,     0,   767,     0,     0,  1668,
       0,     0,     0,     0,     0,     0,     0,     0,  1673,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1662,     0,
       0,  1663,     0,     0,     0,     0,  3005,     0,     0,     0,
       0,  3006,     0,     0,  1674,     0,     0,  1675,     0,     0,
       0,     0,     0,     0,  1422,     0,  1666,  1669,  1422,  1422,
    1676,  1670,  1667,  1677,     0,     0,     0,     0,   787,     0,
       0,     0,  1812,   787,     0,     0,   787,     0,     0,     0,
       0,     0,  1671,  1672,  1669,     0,  1668,     0,  1670,  4524,
       0,     0,     0,     0,     0,     0,     0,     0,   787,  1673,
     836,   767,     0,     0,     0,   869,     0,     0,     0,  1671,
    1672,  1669,   767,     0,     0,  1670,     0,     0,     0,   767,
       0,     0,     0,     0,     0,  1674,  1673,     0,  1675,     0,
       0,     0,     0,     0,     0,     0,  1671,  1672,  1678,   787,
       0,  1676,     0,     0,  1677,     0,     0,     0,  3544,     0,
       0,     0,  1674,  1673,     0,  1675,   787,   787,     0,     0,
       0,     0,     0,  1422,     0,     0,     0,     0,  1676,     0,
       0,  1677,     0,     0,     0,     0,     0,     0,     0,  1674,
    1812,   787,  1675,     0,  1812,     0,     0,     0, -2272,  2493,
       0,  3520,  1670,     0,     0,  1676,     0,     0,  1677,     0,
       0,     0,     0,     0,     0,     0,     0,   787,     0,     0,
       0,   787,     0,  1671,  1672,     0,  4525,     0,     0,  1678,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   787,
   -2272,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,  1011,   787,     0,     0,  1678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   787,     0,     0,  1675,
    3521,     0,     0,  1129,     0,   787,     0,     0,     0,     0,
       0,     0,  1676,  1678,     0,     0,     0,  1662,     0,     0,
    1663,     0,  1152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1664,     0,     0,
    2968,     0,     0,  1178,     0,  1666,     0,     0,   767,     0,
    1422,  1667,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,
    1686,  1687,     0,     0,     0,  1662,     0,     0,  1663,     0,
       0,  1812,     0,     0,     0,  1668,     0,     0,     0,  1679,
    1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,  1687,     0,
   -2272,     0,     0,  1666,     0,     0,     0,     0,     0,  1667,
       0,     0,     0,     0,     0,     0,  1679,  1680,  1681,  1287,
    1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,     0,
       0,  1662,     0,  1668,  1663,     0,     0,     0,     0,  1422,
       0,     0,   787,     0,     0,  1662,     0,     0,  1663,     0,
       0,  1664,     0,     0,  3013,     0,     0,     0,     0,  1666,
       0,     0,     0,     0,     0,  1667,     0,     0,     0,     0,
       0,     0,     0,  1666,     0,     0,   787,     0,     0,  1667,
       0,   767,     0,     0,     0,     0,     0,  1669,     0,  1668,
       0,  1670,     0,     0,     0,  3547,     0,  1682,  1683,  1684,
    1685,  1686,  1687,  1668,     0,     0,     0,     0,  1435,     0,
       0,   787,  1671,  1672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1422,     0,     0,     0,     0,     0,  1673,
    1463,  1466,  1467,     0,   787, -2272,     0,     0,   767,  1670,
       0,     0,     0,     0,   767,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1674,     0,     0,  1675,     0,
    1671,  1672,   767,   767,     0,  3920,     0,     0,   767,     0,
       0,  1676,     0,     0,  1677,     0,     0, -2272,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1669,     0,   767,   767,  1670,     0,     0,   767,     0,
       0,     0,     0,     0,     0, -2272,  1675,     0,     0,  1670,
     767,   767,   767,   767,     0,     0,  1671,  1672,  1812,  1676,
       0,     0,  1129,   767,  1812,     0,   767,     0,   767,     0,
    1671,  1672,     0,  1673,     0,     0,     0,     0,   767,   767,
       0,     0,   767,     0,     0,  1129,     0, -2272,     0,  1678,
       0,     0,     0,     0,     0,   767,     0,   767,     0,  1674,
       0,   767,  1675,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1676,  1675,     0,  1677,     0,
     767,     0,     0,     0,     0,  1262,     0,     0,     0,  1676,
     767,  1263,     0,   767,   767,   767,     0, -2272,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   787,     0,     0,
     767,   788,     0,     0,     0,     0,  1302,   788,     0,     0,
       0,     0,   767,     0,     0,     0,     0,   767,   788,     0,
       0,  1264,     0,   767,     0,     0,     0,     0,     0,     0,
       0,   767,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,
    1686,  1687,     0,  1678,     0,     0,  1422,     0,     0,  1422,
       0,  1422,  1303,     0,     0,     0,  1422, -2272,   787,     0,
       0,     0,     0,     0,     0,     0,     0,  1729,     0,     0,
    1265,     0,     0,   787,   787,     0,     0,  1266,     0,   767,
    1267,     0,     0,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     787,     0,     0,   787,     0,     0,  1422,     0,     0,     0,
       0,     0,     0,     0,     0,  1864,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1304,     0,     0,  1268,     0,  1679,  1680,  1681,     0,
    1682,  1683,  1684,  1685,  1686,  1687,  1422,     0,     0,     0,
       0,     0,     0,     0,  1682,  1683,  1684,  1685,  1686,  1687,
       0,     0,     0,     0,     0,     0,     0,  1662,     0,     0,
    1663,     0,     0,  1812,  1812,  1812,     0,  1976,     0,  1305,
       0,  1306,     0,     0,  1994,     0,     0,  1664,     0,     0,
       0,  1307,     0,  1270,     0,  1666,     0,   787,     0,     0,
       0,  1667,     0,  1271,     0,  1422,     0,  1422,   787,     0,
       0,  1272,     0,     0,  2028,     0,     0,  2031,   787,     0,
    1308,  1273,     0,     0,     0,  1668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2069,     0,  2702,     0,     0,  1275,  1276,  1310,
       0,     0,     0,     0,     0,     0,  2085,     0,  1422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2097,
       0,     0,     0,  2703,     0,     0,     0,   787,     0,     0,
       0,     0,     0,  1422,  1312,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1662,     0,     0,  1663,
       0,     0,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1664,  1669,     0,  1812,
    1422,  1670,     0,     0,  1666,     0,     0,     0,     0,  1262,
    1667,  1278,     0,     0,   787,  1263,   787,     0,     0,     0,
       0,     0,  1671,  1672,     0,   788,     0,     0,   787,   788,
     787,     0,     0,     0,  1668,     0,     0,     0,     0,  1673,
     788,     0,     0,     0,     0,     0,     0,     0,  2193,     0,
       0,     0,     0,     0,  2203,  1264,   788,     0,     0,     0,
       0,     0,     0,     0,  1422,  1674,     0,     0,  1675,     0,
       0,   788,     0,     0,     0,     0,   788,     0,     0,   787,
    1422,  1676,     0,     0,  1677,     0,   788,     0,     0,     0,
       0,  1422,     0,     0,   788,     0,     0,     0,     0,  2983,
       0,     0,     0,     0,  1265,     0,     0,   787,     0,     0,
    2250,  1266,     0,     0,  1267,     0,     0,     0,   767,     0,
    3018,   787,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1669,     0,   787,     0,
    1670,   787,     0,     0,     0,     0,     0,     0,  1129,  1129,
       0,     0,     0,     0,     0,     0,     0,   767,     0,  1678,
    1422,  1671,  1672,     0,  2298,     0,     0,   767,  1268,     0,
       0,     0,   788,   767,     0,   767,     0,     0,  1673,     0,
    1422,   767,     0,     0,   767,   767,   767,   767,   767,   767,
     767,   767,   767,   767,     0,     0,     0,   767,   767,     0,
       0,     0,     0,     0,  1674,  1422,     0,  1675,     0,     0,
     767,     0,     0,     0,   767,     0,  1812,     0,   767,     0,
    1676,     0,     0,  1677,     0,  1269,     0,  1270,   767,     0,
       0,   767,     0,   767,     0,     0,     0,  1271,     0,     0,
       0,  1422,   767,   767,   767,  1272,     0,     0,   767,     0,
       0,   767,  1679,  1680,  1681,  1273,  1682,  1683,  1684,  1685,
    1686,  1687,     0,     0,     0,   767,     0,   767,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   767,
    1662,  2457,     0,  1663,     0,   767,   767,     0,  2760,     0,
    2471,  1275,  1276,     0,     0,     0,     0,     0,  1678,     0,
    1664,     0,     0,  3024,     0,     0,     0,     0,  1666,   767,
       0,     0,     0,     0,  1667,   767,     0,  2761,     0,     0,
       0,   767,     0,     0,     0,     0,     0,  1422,     0,     0,
       0,     0,  1662,     0,     0,  1663,     0,     0,  1668,     0,
       0,     0,     0,   767,     0,     0,     0,     0,     0,     0,
       0,     0,  1664,     0,     0,     0,     0,     0,     0,     0,
    1666,     0,     0,     0,     0,     0,  1667,  1262,     0,     0,
       0,     0,     0,  1263,   787,  1278,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1668,  1679,  1680,  1681,     0,  1682,  1683,  1684,  1685,  1686,
    1687,     0,     0,     0,     0,     0,  2482,     0,  2485,     0,
    1812,     0,     0,  1264,     0,  1812,  1422,  1812,     0,     0,
       0,     0,     0,     0,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   788,
    1669,     0,     0,     0,  1670,  1129,     0,     0,     0,     0,
       0,   788,     0,   787,     0,   787,     0,     0,     0,   787,
       0,     0,  1265,     0,   787,  1671,  1672,   787,     0,  1266,
       0,     0,  1267,     0,     0,     0,     0,     0,     0,   788,
       0,     0,  1673,     0,     0,     0,     0,     0,     0,   788,
       0,     0,  1669,     0,     0,     0,  1670,     0,     0,     0,
       0,  1812,   788,     0,     0,   788,     0,     0,  1674,     0,
       0,  1675,     0,     0,     0,     0,     0,  1671,  1672,     0,
       0,     0,     0,     0,  1676,     0,  1268,  1677,     0,     0,
     789,     0,     0,     0,  1673,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,   767,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1674,     0,     0,  1675,     0,     0,     0,     0,   787,   787,
       0,     0,  1422,     0,     0,   787,  1676,     0,     0,  1677,
       0,  2650,     0,  1269,     0,  1270,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1271,     0,  1662,  2676,     0,
    1663,     0,  1678,  1272,     0,     0,     0,     0,     0,  1422,
     767,   767,     0,  1273,     0,     0,     0,  1664,     0,   788,
    3527,     0,     0,     0,     0,  1666,     0,   788,   788,     0,
       0,  1667,     0,     0,     0,     0,     0,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,  3187,     0,     0,  1275,
    1276,   787,     0,     0,  1678,  1668,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   767,
       0,     0,     0,     0,     0,  3188,     0,     0,     0,     0,
    3477,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1813,     0,     0,     0,  1679,  1680,  1681,     0,  1682,
    1683,  1684,  1685,  1686,  1687,     0,   767,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   767,   767,     0,  1422,
       0,     0,     0,     0,   767,   767,     0,     0,     0,   767,
    1422,     0,     0,  1278,     0,   767,   767,     0,     0,   767,
       0,     0,   767,     0,     0,  2845,     0,  1679,  1680,  1681,
       0,  1682,  1683,  1684,  1685,  1686,  1687,  1669,     0,     0,
       0,  1670,     0,   767,     0,     0,     0,   767,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   767,
       0,     0,  1671,  1672,   767,     0,     0,     0,     0,   767,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1673,
       0,     0,  1662,     0,     0,  1663,  1262,     0,     0,     0,
       0,     0,  1263,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1664,     0,   767,  1674,     0,   788,  1675,     0,
    1666,     0,     0,     0,     0,     0,  1667,     0,     0,     0,
       0,  1676,  1422,     0,  1677,     0,     0,     0,     0,     0,
       0,     0,  1264,     0,     0,     0,     0,     0,     0,  1812,
    1668,   179,     0,     0,     0,     0,     0,     0,  1422,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     787,     0,     0,     0,   789,  1422,     0,     0,   789,     0,
       0,     0,   787,     0,     0,     0,     0,     0,     0,   789,
       0,  1265,     0,     0,     0,     0,  1813,   180,  1266,     0,
       0,  1267,     0,     0,   787,   789,     0,     0,     0,  1678,
     181,     0,     0,     0,     0,     0,   788,     0,     0,     0,
     789,     0,     0,     0,     0,   789,     0,   182,     0,  1422,
       0,     0,   788,   183,     0,   789,     0,     0,     0,     0,
       0,     0,     0,   789,   787,     0,     0,     0,   184,     0,
       0,     0,  1669,     0,     0,  1268,  1670,     0,     0,   185,
       0,     0,     0,   788,   788,     0,     0,   186,     0,     0,
       0,     0,     0,     0,   788,     0,     0,  1671,  1672,   187,
       0,     0,   767,     0,   188,     0,   788,   788,     0,     0,
     189,     0,     0,   767,  1673,     0,     0,     0,   788,     0,
       0,     0,  1679,  1680,  1681,   190,  1682,  1683,  1684,  1685,
    1686,  1687,  1269,     0,  1270,     0,     0,     0,     0,     0,
    1674,   789,     0,  1675,  1271,     0,     0,     0,  3069,     0,
     191,     0,  1272,     0,     0,     0,  1676,     0,     0,  1677,
    1422,     0,  1273,     0,     0,     0,     0,     0,     0,     0,
       0,   192,     0,     0,     0,     0,     0,     0,     0,     0,
     787,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   767,     0,     0,  3227,  1422,     0,  1275,  1276,
       0,   767,   193,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   767,   767,
       0,     0,   767,     0,  3228,     0,     0,     0,     0,     0,
       0,   194,     0,     0,  1678,   767,     0,     0,     0,     0,
     767,     0,     0,     0,     0,   767,     0,     0,   767,     0,
       0,     0,     0,   767,   767,     0,     0,  1813,   195,     0,
       0,     0,   196,     0,   197,     0,     0,     0,     0,     0,
     198,     0,   787,   199,   787,     0,     0,     0,   767,     0,
       0,     0,  1278,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   200,   201,
       0,   202,     0,     0,     0,   203,     0,     0,  1422,     0,
       0,     0,     0,   204,     0,     0,   767,     0,   205,     0,
       0,     0,     0,     0,     0,     0,     0,  1679,  1680,  1681,
     206,  1682,  1683,  1684,  1685,  1686,  1687,     0,     0,     0,
       0,     0,     0,   207,     0,     0,     0,     0,     0,     0,
    1812,     0,   787,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   767,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,   767,     0,  1422,     0,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   767,  1422,     0,   767,
       0,   767,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,   767,     0,     0,     0,   767,     0,
       0,   789,     0,  1422,   789,     0,     0,     0,   788,     0,
       0,     0,  1813,   788,     0,     0,   788,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1812,     0,     0,     0,  1422,   788,     0,
       0,  1422,  1422,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3371,  3372,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3381,     0,     0,     0,     0,     0,     0,     0,     0,   788,
       0,     0,     0,   767,  3390,     0,     0,     0,     0,     0,
       0,     0,     0,  3399,     0,     0,   788,   788,     0,     0,
       0,     0,   767,     0,     0,     0,     0,  3415,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
    1813,   788,  1422,     0,  1813,     0,   789,   789,     0,     0,
       0,     0,     0,     0,   531,     0,  1814,     0,   767,     0,
       0,   767,     0,     0,     0,     0,   532,   788,     0,     0,
       0,   788,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   533,     0,   788,
       0,     0,   767,  1129,     0,     0,     0,     0,     0,     0,
     534,     0,     0,   788,     0,     0,     0,     0,     0,   535,
    1814,     0,     0,  -729,     0,   787,   788,     0,     0,     0,
       0,     0,     0,     0,     0,   788,     0,     0,     0,     0,
     536,     0,     0,     0,     0,     0,   537,     0,     0,     0,
       0,   767,     0,     0,     0,     0,     0,     0,   578,     0,
       0,   538,   767,     0,     0,     0,     0,     0,     0,     0,
     579,     0,   539,     0,   767,   767,     0,     0,     0,     0,
     540,     0,     0,     0,     0,   787,     0,     0,     0,     0,
       0,   580,   541,     0,     0,   767,     0,     0,     0,   542,
       0,  1813,     0,   543,   581,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   582,  -924,     0,
       0,     0,     0,     0,     0,     0,  3558,  3559,  3560,     0,
       0,     0,     0,     0,   583,   767,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   767,
       0,     0,     0,     0,     0,   584,   789,   544,     0,     0,
       0,     0,   788,     0,  -496,     0,   585,     0,     0,  1812,
       0,     0,     0,     0,   586,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   587,     0,     0,     0,
       0,   588,     0,     0,     0,   545,   788,   589,   546,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   590,   767,     0,     0,     0,     0,  1812,     0,
       0,     0,   767,     0,     0,     0,  1812,     0,     0,     0,
       0,   788,     0,  -392,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   547,     0,     0,   788,   789,     0,   548,   591,     0,
       0,     0,   566,  -392,     0,     0,   549,     0,   609,     0,
       0,   789,     0,     0,     0,     0,     0,   659,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   592,
       0,     0,  -392,     0,   550,   551,   721,   552,   553,     0,
     593,     0,   789,   789,     0,     0,   554,     0,     0,     0,
       0,   555,     0,   789,     0,     0,     0,   556,   194,     0,
     557,     0,     0,   558,     0,   789,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  -392,   789,  1813,     0,
       0,     0,     0,     0,  1813,   594,     0,     0,     0,   595,
       0,   596,     0,     0,     0,     0,     0,   597,     0,     0,
     598,     0,     0,     0,   839,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   599,     0,   600,     0,
       0,     0,   601,     0,     0,     0,  3783,   840,     0,     0,
     602,     0,     0,     0,     0,   603,     0,     0,     0,     0,
     841,   842,     0,     0,     0,  3809,     0,   604,     0,   843,
       0,     0,     0,   844,     0,     0,     0,   788,     0,     0,
     605,     0,     0,     0,     0,   778,     0,     0,     0,     0,
     845,     0,  3826,     0,     0,   812,   813,     0,   816,     0,
       0,   820,     0,   822,     0,     0,     0,     0,     0,     0,
       0,   846,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   847,     0,     0,     0,  1814,     0,     0,     0,
     848,     0,     0,     0,     0,     0,     0,     0,   788,     0,
       0,     0,   849,     0,     0,     0,     0,   850,     0,     0,
       0,     0,     0,   788,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     788,     0,     0,   788,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   852,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   853,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   854,     0,     0,     0,     0,
       0,     0,     0,  1813,  1813,  1813,     0,     0,     0,     0,
    3927,  3928,  3929,  3930,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   194,     0,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   788,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   788,     0,
       0,   855,     0,     0,     0,   856,     0,   857,     0,     0,
       0,     0,     0,   858,     0,     0,   859,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   860,     0,   861,     0,     0,   789,   862,     0,
       0,  1814,   789,     0,     0,   789,   863,     0,     0,     0,
       0,   864,     0,     0,     0,     0,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,   865,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,   788,     0,   788,     0,     0,     0,
       0,   872,     0,     0,     0,   789,   789,     0,   788,   880,
     788,     0,     0,     0,     0,     0,     0,     0,   896,   897,
       0,     0,     0,   899,     0,     0,     0,     0,     0,  1814,
     789,     0,     0,  1814,   915,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   923,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,   788,
     789,     0,     0,     0,   946,     0,     0,   948,     0,   950,
       0,   953,     0,     0,     0,     0,     0,     0,   789,     0,
       0,     0,     0,     0,     0,     0,     0,   788,     0,     0,
       0,     0,   789,     0,     0,     0,     0,     0,     0,     0,
       0,   788,     0,     0,     0,   789,     0,     0,     0,     0,
       0,     0,     0,     0,   789,     0,     0,     0,   788,     0,
       0,   788,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1009,     0,  1010,     0,     0,     0,  4119,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1108,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1814,     0,     0,     0,     0,     0,     0,   721,     0,     0,
       0,     0,     0,     0,     0,     0,  1813,  1168,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,     0,     0,  1229,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   789,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1354,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     789,     0,  1366,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1376,     0,     0,     0,     0,
       0,     0,  1378,   789,     0,     0,     0,     0,     0,     0,
       0,     0,  4242,     0,  1426,     0,     0,  1430,     0,     0,
       0,     0,     0,     0,   788,     0,     0,     0,     0,  1412,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1129,
    1473,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1813,     0,     0,     0,     0,  1813,     0,  1813,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,     0,  1814,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   788,     0,   788,     0,     0,     0,   788,
       0,     0,     0,     0,   788,     0,     0,   788,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4335,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1813,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1600,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1624,     0,     0,   788,   788,
       0,     0,     0,     0,     0,   788,     0,  1412,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
       0,     0,     0,  1649,  1650,     0,  1652,     0,     0,     0,
       0,     0,   789,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1694,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   789,
       0,  1412,   789,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   788,     0,     0,     0,  1730,     0,     0,     0,     0,
       0,   721,  1827,     0,  1412,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1834,     0,     0,     0,  1846,  1849,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1814,  1814,  1814,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1948,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   789,     0,  1412,
       0,     0,     0,     0,     0,     0,     0,   789,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1814,  1813,
    1412,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,   789,     0,     0,     0,     0,
     788,     0,     0,     0,     0,     0,     0,   789,     0,   789,
       0,     0,   788,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   788,     0,     0,     0,     0,     0,
       0,     0,  2152,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2175,   789,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   788,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2220,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2235,     0,  2237,     0,  2238,   789,     0,     0,
     789,  2239,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,     0,     0,
       0,     0,     0,     0,  1827,     0,     0,     0,  1827,     0,
    1827,     0,     0,  1827,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     788,     0,     0,     0,     0,  1814,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2334,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2357,     0,     0,  2359,
       0,     0,  2370,     0,     0,     0,     0,     0,     0,  2377,
    2382,     0,     0,     0,     0,  2388,     0,     0,  2393,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   788,     0,   788,  2402,     0,     0,     0,     0,
    2409,     0,     0,     0,  2421,     0,     0,     0,  2428,     0,
    2430,  2431,  2432,  2433,  2434,  2435,  2436,  2437,  2438,     0,
    2439,     0,     0,     0,     0,     0,     0,     0,  1108,  2467,
       0,     0,     0,     0,     0,  1421,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,     0,
    1813,     0,   788,     0,     0,     0,  1412,     0,     0,     0,
    1412,  1412,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1814,
       0,     0,     0,     0,  1814,     0,  1814,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   789,     0,   789,     0,     0,     0,   789,     0,
       0,     0,     0,   789,     0,  1168,   789,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1421,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1412,     0,     0,     0,     0,
    1814,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2540,  2541,     0,     0,
       0,  2544,  2545,     0,     0,  2548,     0,     0,     0,     0,
       0,     0,     0,  1813,     0,  2558,     0,     0,     0,     0,
       0,     0,  2567,     0,     0,     0,  2570,  2571,     0,     0,
    2574,  2575,     0,     0,     0,     0,     0,  2580,     0,     0,
    2572,     0,     0,     0,     0,     0,     0,   789,   789,  2596,
       0,  2598,     0,     0,   789,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2620,     0,     0,
       0,     0,  2622,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2631,     0,  2633,  2634,  2637,  2639,     0,     0,
       0,  2646,  2649,     0,     0,     0,     0,     0,     0,  2660,
       0,     0,     0,  2669,     0,     0,     0,  2673,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,     0,     0,     0,
     789,     0,     0,     0,     0,     0,     0,     0,     0,  2701,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2708,     0,  2710,     0,     0,  1882,     0,  2713,     0,     0,
       0,     0,  2717,  2718,  2719,  2720,     0,     0,     0,     0,
       0,  2729,     0,     0,     0,   788,     0,     0,     0,     0,
       0,     0,     0,     0,  2753,  2754,  2755,     0,     0,     0,
       0,     0,     0,     0,     0,  2763,  2764,     0,     0,     0,
       0,  1412,     0,     0,     0,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   788,     0,     0,     0,     0,
       0,     0,  1421,     0,     0,     0,     0,  2793,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2821,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1412,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1421,     0,  1813,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1882,     0,  1814,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1421,     0,     0,   789,
       0,  1689,     0,     0,     0,     0,     0,     0,  1813,     0,
    2918,   789,     0,     0,     0,     0,  1813,     0,  1827,     0,
       0,  1421,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2943,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   789,     0,     0,     0,     0,  1421,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2964,     0,     0,     0,     0,  2970,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2382,
       0,  2382,  2382,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3027,     0,     0,  3030,     0,  3032,  1412,     0,
       0,  1412,     0,  1412,     0,     0,     0,     0,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3053,     0,  3055,     0,     0,   789,
    3058,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,  2467,  2467,  2467,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3103,     0,  3101,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1834,     0,     0,     0,  1421,  3112,     0,  1412,     0,
       0,     0,  1849,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   789,     0,   789,     0,     0,  3139,  3140,     0,     0,
    2470,     0,     0,  1414,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1827,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,  3148,  1412,
       0,     0,     0,     0,     0,     0,     0,     0,  3162,     0,
       0,     0,     0,     0,     0,     0,     0,  3166,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3177,  3179,     0,  1689,     0,  3179,     0,  1814,
       0,   789,  3190,  3191,  3192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1412,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3210,  3211,  3212,  3213,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1412,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1412,  1414,  3230,  3231,  3232,     0,
       0,     0,     0,  1689,     0,     0,  3245,     0,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,  2366,     0,  2525,     0,     0,     0,  1882,  2531,
       0,  3262,     0,  3264,     0,     0,  3268,     0,     0,     0,
       0,     0,  1689,  1689,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1412,  3292,     0,     0,
       0,     0,  1814,     0,     0,  3296,     0,     0,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1689,     0,     0,     0,     0,     0,     0,
       0,     0,  3368,  1421,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1412,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3397,     0,     0,  3400,     0,     0,
       0,     0,  1412,  1414,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,     0,  3438,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3448,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,  1827,   789,     0,     0,  1414,     0,  1689,
       0,     0,  1689,  1412,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1414,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1421,     0,     0,     0,     0,     0,  3478,     0,     0,     0,
       0,     0,     0,     0,   789,     0,  3482,     0,     0,     0,
       0,     0,  3483,     0,  3484,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3502,  3503,     0,  1412,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1414,     0,  2388,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3531,     0,  1882,
    3534,     0,  3536,     0,  1414,     0,     0,     0,     0,     0,
       0,  3540,     0,     0,     0,     0,     0,  3545,  1814,     0,
    3548,     0,     0,     0,  1414,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3589,  1414,
       0,     0,     0,     0,  3596,  2467,     0,     0,  1412,     0,
       0,     0,     0,     0,     0,     0,     0,  1814,     0,     0,
       0,     0,     0,     0,     0,  1814,     0,     0,  3608,     0,
       0,     0,     0,  1421,  1108,     0,     0,     0,     0,     0,
    1168,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1414,  3648,     0,  3649,
       0,     0,     0,     0,     0,     0,  3651,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3660,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3666,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3677,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3680,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3710,  3711,  3712,  3713,  3714,  3715,  3716,  3717,
       0,     0,     0,     0,  1412,  3723,     0,     0,     0,     0,
       0,     0,  3732,  3733,     0,  3735,  3736,  3737,  3738,  3739,
    3740,  3741,     0,     0,     0,     0,     0,     0,     0,     0,
    3749,     0,  3751,  3752,     0,     0,     0,     0,     0,     0,
       0,  1412,     0,  2470,  2470,  2470,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1414,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3795,  3797,  3799,     0,
       0,  3802,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1882,  1415,     0,  2531,
       0,  2531,     0,     0,     0,     0,  1882,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1412,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,  1412,     0,     0,     0,  1421,     0,     0,  3855,
    3856,     0,     0,  3179,     0,     0,     0,     0,     0,     0,
    1689,     0,  1689,     0,  2366,  2366,  3001,     0,     0,  2366,
    1827,  1827,  1827,  1689,     0,     0,     0,     0,     0,     0,
    1689,     0,     0,     0,     0,  1689,  1882,     0,     0,     0,
       0,  1689,     0,     0,     0,     0,  1689,     0,     0,     0,
       0,     0,     0,     0,     0,  1689,     0,     0,  3886,  2366,
    2366,     0,  1689,     0,     0,     0,     0,     0,     0,  1415,
       0,     0,     0,     0,  1689,     0,     0,     0,     0,     0,
       0,  1689,     0,  1689,  1689,  1689,  1689,  1689,  1689,  1689,
    1689,  1689,  1689,     0,     0,  1421,     0,  1421,     0,     0,
       0,     0,     0,     0,  1412,  3904,  3906,     0,     0,     0,
    1417,     0,  1414,     0,     0,     0,  1414,  1414,  3913,     0,
    1689,     0,     0,     0,  3918,  3919,     0,     0,  3921,     0,
    1412,  3924,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1412,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1421,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2467,     0,
       0,     0,     0,  2467,     0,     0,     0,     0,  2467,     0,
       0,     0,     0,  1421,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1412,  2531,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3974,     0,     0,     0,     0,     0,     0,
    2531,  1414,     0,     0,     0,  1689,     0,     0,     0,     0,
    3993,  3994,  3995,  3996,     0,     0,     0,     0,     0,     0,
       0,     0,  1417,     0,  1418,     0,     0,     0,     0,     0,
       0,     0,     0,  4007,  4008,  4009,  4010,     0,  4012,  4013,
       0,     0,     0,     0,     0,     0,     0,  1415,     0,     0,
    4022,  4023,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1421,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1827,  1827,     0,  1827,     0,
    2531,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1421,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1415,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,     0,     0,     0,  1415,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,     0,     0,     0,     0,  1418,     0,     0,     0,
    1421,  4069,     0,     0,     0,     0,     0,  4083,     0,     0,
       0,     0,     0,     0,     0,     0,  4089,     0,     0,     0,
    1421,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4108,     0,     0,     0,
       0,     0,     0,     0,     0,  1421,     0,     0,     0,  1415,
       0,     0,     0,     0,     0,     0,     0,     0,  4125,     0,
    1417,     0,     0,     0,     0,     0,  1689,  1414,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1412,  1421,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,  1415,  1417,     0,     0,     0,     0,     0,
       0,  4151,     0,     0,     0,  1827,  2470,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1827,     0,
       0,     0,     0,     0,     0,     0,     0,  1417,     0,     0,
       0,  1414,     0,  4174,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1882,     0,     0,
    1415,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1412,     0,
       0,  1689,     0,     0,  1418,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1412,
       0,     0,     0,  4212,  4213,  4214,     0,     0,  4216,     0,
       0,     0,  1417,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1419,  1689,     0,     0,
       0,  1417,     0,  1689,     0,  1412,     0,     0,  1418,     0,
       0,     0,     0,     0,     0,     0,  2531,     0,     0,  3001,
    3001,  1417,  2366,     0,     0,  2366,  2366,  2366,  2366,  2366,
    2366,  2366,  2366,  2366,  2366,  3001,     0,     0,     0,  1412,
       0,  1418,     0,  1412,  1412,     0,  1417,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1689,     0,     0,  1689,     0,  1689,     0,     0,     0,  3179,
    3001,  3001,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2366,  2366,  1689,     0,  1689,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,  2388,     0,
       0,     0,     0,  1417,     0,     0,     0,  1415,  1827,     0,
       0,     0,     0,     0,     0,     0,  1418,     0,  1827,     0,
       0,     0,     0,  4314,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1689,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,  1414,  1689,     0,  1414,  4338,  1414,
       0,     0,     0,  4342,  1414,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,  4352,     0,     0,     0,     0,     0,
    1827,     0,  1421,     0,     0,     0,     0,     0,     0,     0,
    1418,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1414,     0,     0,     0,     0,  1882,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4388,     0,     0,     0,     0,     0,  1418,     0,     0,
       0,     0,     0,  3179,  1414,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1827,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1417,  1419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4432,     0,  1414,     0,  1414,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1415,     0,     0,  1421,
    1415,  1415,     0,     0,     0,     0,     0,  4452,     0,     0,
    1421,     0,  4456,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1419,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1414,     0,     0,     0,
       0,     0,     0,  4476,  4476,  1419,     0,     0,     0,  2470,
       0,     0,     0,     0,  2470,     0,  2366,     0,     0,  2470,
       0,  1414,     0,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1414,     0,     0,     0,  1418,     0,     0,     0,     0,     0,
    1419,     0,     0,     0,     0,  1415,     0,     0,  1414,     0,
       0,     0,     0,     0,  4476,     0,     0,     0,     0,     0,
       0,     0,  1421,     0,     0,     0,     0,     0,  4529,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1421,     0,
       0,     0,     0,     0,     0,     0,     0,  1419,     0,     0,
       0,     0,     0,     0,     0,  1421,     0,     0,     0,  1417,
       0,     0,  1414,  1417,  1417,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,  1689,  4476,     0,     0,  1689,  1689,  1689,     0,  1414,
    3001,     0,     0,     0,     0,  3001,  3001,  3001,  3001,  3001,
    3001,  3001,  3001,  3001,  3001,  1689,  1689,     0,     0,  1421,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1689,  2366,  2366,  1689,     0,  1689,
       0,     0,  1415,  1689,  3001,  3001,     0,     0,  1689,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1689,  1418,     0,     0,     0,  1418,  1418,  1689,
       0,     0,     0,  1414,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,     0,     0,     0,     0,     0,     0,     0,
    4117,  1415,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1414,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1421,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1418,     0,     0,  1415,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1414,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2531,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1417,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3001,     0,     0,     0,
       0,     0,     0,     0,  1414,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1419,     0,     0,     0,  1419,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,     0,     0,     0,     0,     0,     0,  1689,  1689,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2531,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1689,
       0,     0,     0,  2366,     0,     0,     0,  1421,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1689,     0,  1689,
       0,     0,     0,     0,  3001,  3001,  1689,     0,     0,  2366,
    2366,  1689,  1689,     0,  1689,     0,     0,  1689,  1418,     0,
       0,     0,     0,  1421,     0,     0,     0,     0,  1415,     0,
       0,  1415,  1419,  1415,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1421,     0,     0,
    1414,  1421,  1421,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,  1414,     0,     0,
       0,     0,  1418,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4117,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,     0,     0,     0,  1415,     0,  1415,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,  1417,     0,  1417,  1414,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,  1414,     0,
       0,     0,     0,     0,     0,     0,  3001,  2366,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3001,  3001,  1689,     0,     0,     0,     0,     0,
    1415,     0,     0,     0,     0,     0,     0,     0,  1419,     0,
       0,  1417,     0,     0,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,  1415,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1415,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1415,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1414,     0,     0,     0,     0,  1418,     0,     0,  1418,     0,
    1418,     0,  1419,     0,     0,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1414,     0,     0,     0,
    1417,     0,  1417,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1414,     0,     0,  1415,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3001,  1415,     0,     0,  1418,     0,     0,     0,     0,
       0,     0,     0,  1415,     0,     0,     0,  1689,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1417,     0,     0,     0,  1414,     0,     0,
       0,     0,     0,     0,     0,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1417,     0,     0,
       0,     0,  1415,     0,     0,     0,     0,     0,     0,     0,
       0,  1689,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,  1415,     0,  1418,     0,  1418,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1415,     0,     0,
       0,     0,     0,     0,     0,  1689,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1417,
       0,     0,     0,  1415,     0,     0,     0,  1418,     0,     0,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,  1689,
       0,     0,     0,     0,  1414,  1419,  1417,     0,  1419,     0,
    1419,     0,  1418,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1418,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,  1689,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,     0,     0,  1415,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,  1418,     0,     0,  1414,     0,     0,     0,
    1417,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1418,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1417,     0,  1415,     0,
       0,     0,     0,     0,  1419,     0,  1419,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1414,     0,     0,  1419,     0,  1418,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1417,     0,     0,  1414,     0,     0,     0,     0,
       0,     0,  1419,     0,  1418,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1414,     0,     0,     0,     0,     0,     0,     0,  1419,
    1418,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1415,  1414,     0,     0,     0,  1414,
    1414,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1415,     0,  1419,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,     0,     0,  1418,     0,     0,     0,
    1419,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1415,     0,     0,     0,  1418,     0,     0,     0,  1419,
       0,     0,  1415,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1417,     0,     0,
       0,     0,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1417,     0,     0,     0,     0,     0,
    1419,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1415,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1415,     0,     0,     0,     0,     0,  1419,     0,     0,     0,
       0,  1418,     0,     0,     0,     0,     0,  1415,     0,     0,
       0,     0,     0,     0,  1417,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1417,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1418,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1415,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1417,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1418,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1418,
       0,     0,     0,  1417,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1417,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1417,     0,     0,     0,     0,     0,
       0,  1419,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1418,     0,     0,     0,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1418,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1418,     0,     0,     0,     0,     0,
    1415,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1418,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1419,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1415,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1415,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1415,     0,     0,     0,     0,
       0,     0,     0,  1417,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1419,     0,     0,     0,  1418,     0,     0,     0,  1415,
       0,     0,     0,  1415,  1415,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1419,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1419,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1417,     0,     0,     0,     0,     0,     0,  1419,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1417,     0,     0,     0,     0,  1418,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1417,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1417,     0,     0,     0,  1417,  1417,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1418,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,  1418,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1418,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1418,     0,     0,     0,
    1418,  1418,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1419,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1419,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1419,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1419,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,
       0,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  2461,   220,   221,   222,     0,  1419,     0,     0,  1031,
    1419,  1419,   223,   224,     0,   225,   226,   742,   227,   228,
     229,   230,  1032,   743,  1033,  1034,     0,   234,   235,   236,
     237,   238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,
     244,   245,   246,   247,  1039,     0,  1040,     0,   249,   250,
     251,   252,   745,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,
    1045,  1046,  1047,   263,   264,   265,   266,   267,   268,  1048,
    1049,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,  2462,     0,   281,   282,  1050,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,  1051,   297,   298,   299,  1052,  1053,
     301,     0,   302,   303,  1054,   305,     0,   306,     0,   307,
     748,     0,   749,   308,   309,   310,     0,   311,  1055,     0,
     313,     0,   314,   315,   316,   317,   318,   750,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     751,   329,   330,   331,   332,   333,  1056,  1057,     0,  1058,
       0,   337,   752,   753,   338,   754,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,  1059,   755,   348,   756,
       0,   349,   350,   351,  1060,  1061,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1062,
     757,  1063,   367,   368,   369,  1064,   370,   371,   758,   372,
    1065,  1066,   374,  1067,   376,   377,   378,     0,   379,     0,
       0,  1068,   381,   382,     0,     0,   383,   384,   759,   385,
     760,  1069,   387,   388,   389,   390,   391,   392,   393,     0,
     394,  1070,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1071,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   761,   427,   428,  1072,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,  1073,   443,   444,   445,   446,   762,
     447,  1074,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,  1075,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1076,  1077,     0,     0,
     471,  1078,   473,  1079,  1080,   475,   476,   477,   478,   479,
     480,   481,     0,  1081,   482,   483,   484,   485,   486,  1082,
       0,   487,   488,   489,   490,   491,   492,  1083,  2463,   494,
     763,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,  1084,  1085,  1086,
    1087,  1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,     0,  1092,  1093,  2464,     0,
       0,     0,     0,     0,     0,  1095,  2465,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,  1032,   743,  1033,
    1034,     0,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
    1064,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,   479,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,   210,     0,     0,     0,     0,     0,     0,
    1095,  2368,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,  3567,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0, -1491,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0, -1491,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328, -1491,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338, -1491,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347, -1491,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365, -1491,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426, -1491,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1388,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1175,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,     0,  1389,   743,  1390,
    1391,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,  1392,  1393,   243,     0,   244,   245,   246,   247,     0,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,  1394,  1395,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,     0,
     297,   298,   299,     0,     0,   301,     0,   302,   303,  1396,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,     0,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,  1868,   322,   323,   324,
     325,   326,   327,     0,   328,   751,  1869,   330,   331,   332,
     333,  1397,  1398,     0,  1399,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1400,   757,  1401,   367,   368,     0,
       0,   370,   371,   758,   372,     0,     0,   374,  1402,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,  1871,   759,   385,   760,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   396,     0,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1403,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,     0,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,  1872,   445,   446,   762,   447,  1405,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,     0,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1406,  1407,     0,     0,   471,     0,   473,     0,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,     0,  1408,  1873,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,     0,  1388,     0,     0,     0,     0,     0,     0,     0,
     515,   516,   517,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,  1971,   223,   224,     0,   225,   226,   742,   227,   228,
     229,     0,  1389,   743,  1390,  1391,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1392,  1393,   243,     0,
     244,   245,   246,   247,     0,     0,   744,     0,   249,   250,
     251,   252,   745,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   746,   261,   262,     0,     0,     0,   747,
       0,     0,     0,   263,   264,   265,   266,   267,   268,  1394,
    1395,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1050,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,  1396,   305,     0,   306,     0,   307,
     748,     0,   749,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   750,   319,   320,
     321,  1868,   322,   323,   324,   325,   326,   327,     0,   328,
     751,  1869,   330,   331,   332,   333,  1397,  1398,     0,  1399,
       0,   337,   752,   753,   338,   754,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   755,   348,   756,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1400,
     757,  1401,   367,   368,     0,     0,   370,   371,   758,   372,
       0,     0,   374,  1402,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,  1871,   759,   385,
     760,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,     0,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1403,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   761,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,  1872,   445,   446,   762,
     447,  1405,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1406,  1407,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1408,  1873,   494,
     763,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,   515,   516,   517,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,  2882,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,  1032,   743,  1033,
    1034,  2378,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,  2379,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,  2380,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
    1064,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,  2381,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,   479,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,     0,     0,     0,     0,     0,     0,     0,
    1095,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1031,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,  1032,   743,  1033,  1034,     0,   234,   235,   236,   237,
     238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,  1048,  1049,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1050,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1051,   297,   298,   299,  1052,  1053,   301,
       0,   302,   303,  1054,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,  1056,  1057,     0,  1058,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1059,   755,   348,   756,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1062,   757,
    1063,   367,   368,   369,  1064,   370,   371,   758,   372,  1065,
    1066,   374,  1067,   376,   377,   378,     0,   379,     0,     0,
    1068,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,  1072,   430,
     431,   432,   433,   434,   435,   436,   437,    38,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,   762,   447,
    1074,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,    42,   463,   464,
     465,   466,   467,   468,     0,  1076,  1077,     0,     0,   471,
    1078,   473,  1079,  1080,   475,   476,   477,   478,   479,   480,
     481,     0,  1081,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   965,  1083,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,    47,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,     0,     0,  1095,   741,  1026,   573,  1027,  1028,
    1029,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,   756,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,  1064,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,  1068,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,   762,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,   479,   480,   481,     0,  1081,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
    1093,     0,     0,     0,     0,     0,  1595,  2326,  1095,   741,
    1026,   573,  1027,  1028,  1029,   624,  1030,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1031,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,  1032,
     743,  1033,  1034,     0,   234,   235,   236,   237,   238,  1035,
    1036,   239,   240,  1037,  1038,   243,     0,   244,   245,   246,
     247,  1039,     0,  1040,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,
     263,   264,   265,   266,   267,   268,  1048,  1049,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1050,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1051,   297,   298,   299,  1052,  1053,   301,     0,   302,
     303,  1054,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,  1055,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,  1056,  1057,     0,  1058,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1059,   755,   348,   756,     0,   349,   350,
     351,  1060,  1061,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1062,   757,  1063,   367,
     368,   369,  1064,   370,   371,   758,   372,  1065,  1066,   374,
    1067,   376,   377,   378,     0,   379,     0,     0,  1068,   381,
     382,     0,     0,   383,   384,   759,   385,   760,  1069,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1070,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,  1072,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1073,   443,   444,   445,   446,   762,   447,  1074,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1075,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1076,  1077,     0,     0,   471,  1078,   473,
    1079,  1080,   475,   476,   477,   478,   479,   480,   481,     0,
    1081,   482,   483,   484,   485,   486,  1082,     0,   487,   488,
     489,   490,   491,   492,  1083,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1093,  1094,     0,     0,     0,     0,
       0,     0,  1095,   741,  1026,   573,  1027,  1028,  1029,   624,
    1030,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1031,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,  1032,   743,  1033,  1034,     0,   234,   235,
     236,   237,   238,  1035,  1036,   239,   240,  1037,  1038,   243,
       0,   244,   245,   246,   247,  1039,     0,  1040,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,  1041,  1042,  1043,
    1044,  1045,  1046,  1047,   263,   264,   265,   266,   267,   268,
    1048,  1049,   271,  1167,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1051,   297,   298,   299,  1052,
    1053,   301,     0,   302,   303,  1054,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,  1055,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,  1056,  1057,     0,
    1058,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1059,   755,   348,
     756,     0,   349,   350,   351,  1060,  1061,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1062,   757,  1063,   367,   368,   369,  1064,   370,   371,   758,
     372,  1065,  1066,   374,  1067,   376,   377,   378,     0,   379,
       0,     0,  1068,   381,   382,     0,     0,   383,   384,   759,
     385,   760,  1069,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1070,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
    1072,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1073,   443,   444,   445,   446,
     762,   447,  1074,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1075,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1076,  1077,     0,
       0,   471,  1078,   473,  1079,  1080,   475,   476,   477,   478,
     479,   480,   481,     0,  1081,   482,   483,   484,   485,   486,
    1082,     0,   487,   488,   489,   490,   491,   492,  1083,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1084,  1085,
    1086,  1087,  1088,  1089,  1090,  1091,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,  1093,     0,
       0,     0,     0,     0,     0,     0,  1095,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,  1844,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,  1032,   743,  1033,
    1034,     0,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
    1064,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,   479,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,     0,     0,     0,     0,     0,     0,     0,
    1095,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1031,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,  1032,   743,  1033,  1034,     0,   234,   235,   236,   237,
     238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,  1048,  1049,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1050,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1051,   297,   298,   299,  1052,  1053,   301,
       0,   302,   303,  1054,   305,     0,   306,     0,   307,   748,
    2379,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,  1056,  1057,     0,  1058,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1059,   755,   348,   756,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1062,   757,
    1063,   367,   368,   369,  1064,   370,   371,   758,   372,  1065,
    1066,   374,  1067,   376,   377,   378,     0,   379,     0,     0,
    1068,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,  1072,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,   762,   447,
    1074,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1076,  1077,     0,     0,   471,
    1078,   473,  1079,  1080,   475,   476,   477,   478,   479,   480,
     481,     0,  1081,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   492,  1083,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,     0,     0,  1095,   741,  1026,   573,  1027,  1028,
    1029,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,   756,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,  1064,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,  1068,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,   762,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,   479,   480,   481,     0,  1081,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,  3597,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
    1093,     0,     0,     0,     0,     0,     0,     0,  1095,   741,
    1026,   573,  1027,  1028,  1029,   624,  1030,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1031,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,  1032,
     743,  1033,  1034,     0,   234,   235,   236,   237,   238,  1035,
    1036,   239,   240,  1037,  1038,   243,     0,   244,   245,   246,
     247,  1039,     0,  1040,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,
     263,   264,   265,   266,   267,   268,  1048,  1049,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1050,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1051,   297,   298,   299,  1052,  1053,   301,     0,   302,
     303,  1054,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,  1055,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,  1056,  1057,     0,  1058,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1059,   755,   348,   756,     0,   349,   350,
     351,  1060,  1061,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1062,   757,  1063,   367,
     368,   369,  1064,   370,   371,   758,   372,  1065,  1066,   374,
    1067,   376,   377,   378,     0,   379,     0,     0,  1068,   381,
     382,     0,     0,   383,   384,   759,   385,   760,  1069,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1070,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,  1072,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1073,   443,   444,   445,   446,   762,   447,  1074,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1075,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1076,  1077,     0,     0,   471,  1078,   473,
    1079,  1080,   475,   476,   477,   478,   479,   480,   481,     0,
    1081,   482,   483,   484,   485,   486,  1082,     0,   487,   488,
     489,   490,   491,   492,  1083,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1093,     0,     0,     0,     0,     0,
       0,     0,  1095,   741,  1026,   573,  1027,  1028,  1029,   624,
    1030,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1031,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,  1032,   743,  1033,  1034,     0,   234,   235,
     236,   237,   238,  1035,  1036,   239,   240,  1037,  1038,   243,
       0,   244,   245,   246,   247,  1039,     0,  1040,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,  3607,  1041,  1042,  1043,
    1044,  1045,  1046,  1047,   263,   264,   265,   266,   267,   268,
    1048,  1049,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1051,   297,   298,   299,  1052,
    1053,   301,     0,   302,   303,  1054,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,  1055,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,  1056,  1057,     0,
    1058,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1059,   755,   348,
     756,     0,   349,   350,   351,  1060,  1061,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1062,   757,  1063,   367,   368,   369,  1064,   370,   371,   758,
     372,  1065,  1066,   374,  1067,   376,   377,   378,     0,   379,
       0,     0,  1068,   381,   382,     0,     0,   383,   384,   759,
     385,   760,  1069,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1070,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
    1072,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1073,   443,   444,   445,   446,
     762,   447,  1074,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1075,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1076,  1077,     0,
       0,   471,  1078,   473,  1079,  1080,   475,   476,   477,   478,
     479,   480,   481,     0,  1081,   482,   483,   484,   485,   486,
    1082,     0,   487,   488,   489,   490,   491,   492,  1083,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1084,  1085,
    1086,  1087,  1088,  1089,  1090,  1091,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  1092,  1093,     0,
       0,     0,     0,     0,     0,     0,  1095,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,  1032,   743,  1033,
    1034,     0,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
    1064,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,   479,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,  3896,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,     0,     0,     0,     0,     0,     0,     0,
    1095,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1031,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,  1032,   743,  1033,  1034,     0,   234,   235,   236,   237,
     238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,  1048,  1049,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1050,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,  1051,   297,   298,   299,  1052,  1053,   301,
       0,   302,   303,  1054,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,  1056,  1057,     0,  1058,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1059,   755,   348,   756,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1062,   757,
    1063,   367,  3905,   369,  1064,   370,   371,   758,   372,  1065,
    1066,   374,  1067,   376,   377,   378,     0,   379,     0,     0,
    1068,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,  1072,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,   762,   447,
    1074,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1076,  1077,     0,     0,   471,
    1078,   473,  1079,  1080,   475,   476,   477,   478,   479,   480,
     481,     0,  1081,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   492,  1083,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,     0,     0,  1095,   741,  1026,   573,  1027,  1028,
    1029,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,  4473,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,  4474,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,   756,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,  1064,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,  1068,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,   762,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,  4475,   480,   481,     0,  1081,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,     0,  1092,
    1093,     0,     0,     0,     0,     0,     0,     0,  1095,   741,
    1026,   573,  1027,  1028,  1029,   624,  1030,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,  1031,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,  1032,
     743,  1033,  1034,     0,   234,   235,   236,   237,   238,  1035,
    1036,   239,   240,  1037,  1038,   243,     0,   244,   245,   246,
     247,  1039,     0,  1040,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,  4474,  1041,  1042,  1043,  1044,  1045,  1046,  1047,
     263,   264,   265,   266,   267,   268,  1048,  1049,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,  1050,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,  1051,   297,   298,   299,  1052,  1053,   301,     0,   302,
     303,  1054,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,  1055,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,  1056,  1057,     0,  1058,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,  1059,   755,   348,   756,     0,   349,   350,
     351,  1060,  1061,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,  1062,   757,  1063,   367,
     368,   369,  1064,   370,   371,   758,   372,  1065,  1066,   374,
    1067,   376,   377,   378,     0,   379,     0,     0,  1068,   381,
     382,     0,     0,   383,   384,   759,   385,   760,  1069,   387,
     388,   389,   390,   391,   392,   393,     0,   394,  1070,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,  1071,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,  1072,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,  1073,   443,   444,   445,   446,   762,   447,  1074,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,  1075,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,  1076,  1077,     0,     0,   471,  1078,   473,
    1079,  1080,   475,   476,   477,   478,  4475,   480,   481,     0,
    1081,   482,   483,   484,   485,   486,  1082,     0,   487,   488,
     489,   490,   491,   492,  1083,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,
    1090,  1091,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,     0,  1092,  1093,     0,     0,     0,     0,     0,
       0,     0,  1095,   741,  1026,   573,  1027,  1028,  1029,   624,
    1030,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
    1031,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,  1032,   743,  1033,  1034,     0,   234,   235,
     236,   237,   238,  1035,  1036,   239,   240,  1037,  1038,   243,
       0,   244,   245,   246,   247,  1039,     0,  1040,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,  1041,  1042,  1043,
    1044,  1045,  1046,  1047,   263,   264,   265,   266,   267,   268,
    1048,  1049,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,  1051,   297,   298,   299,  1052,
    1053,   301,     0,   302,   303,  1054,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,  1055,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,  1056,  1057,     0,
    1058,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,  1059,   755,   348,
     756,     0,   349,   350,   351,  1060,  1061,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1062,   757,  1063,   367,   368,   369,     0,   370,   371,   758,
     372,  1065,  1066,   374,  1067,   376,   377,   378,     0,   379,
       0,     0,  1068,   381,   382,     0,     0,   383,   384,   759,
     385,   760,  1069,   387,   388,   389,   390,   391,   392,   393,
       0,   394,  1070,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1071,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
    1072,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,  1073,   443,   444,   445,   446,
     762,   447,  1074,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,  1075,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1076,  1077,     0,
       0,   471,  1078,   473,  1079,  1080,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
    1082,     0,   487,   488,   489,   490,   491,   492,  1083,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,  1084,  1085,
    1086,  1087,  1088,  1089,  1090,  1091,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,     0,  2361,  2362,     0,
       0,     0,     0,     0,     0,     0,  1095,   741,  1026,   573,
    1027,  1028,  1029,   624,  1030,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,  1031,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229, -2272,  1032,   743,  1033,
    1034,     0,   234,   235,   236,   237,   238,  1035,  1036,   239,
     240,  1037,  1038,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
    4474,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,  1048,  1049,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,  1051,
     297,   298,   299,  1052,  1053,   301,     0,   302,   303,  1054,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,  1056,  1057,     0,  1058,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,     0,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1062,   757,  1063,   367,   368,   369,
       0,   370,   371,   758,   372,  1065,  1066,   374,  1067,   376,
     377,   378,     0,   379,     0,     0,  1068,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1071,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,  1072,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,     0,   447,  1074,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,  1080,
     475,   476,   477,   478,  4475,   480,   481,     0,  1081,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,  1083,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
       0,  1092,  1093,     0,     0,   741,  1026,   573,  1027,  1028,
    1095,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,   756,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,     0,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,   762,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   741,  1026,
     573,  1027,  1028,     0,   624,  1030,     0,     0,  1095,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,  1031,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,   230,  1032,   743,
    1033,  1034,     0,  3515,   235,   236,   237,   238,  1035,  1036,
     239,   240,  1037,  1038,   243,     0,   244,   245,   246,   247,
    1039,     0,  1040,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,
     264,   265,   266,   267,   268,  1048,  1049,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1050,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
    1051,   297,   298,   299,  1052,  1053,   301,     0,   302,   303,
    1054,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,  1055,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,   329,   330,   331,
     332,   333,  1056,  1057,     0,  1058,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,  1059,   755,   348,   756,     0,   349,   350,   351,
    1060,  1061,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1062,   757,  1063,   367,   368,
     369,     0,   370,   371,   758,   372,  1065,  1066,   374,  1067,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,   759,   385,   760,  1069,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1070,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1071,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,  1072,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
    1073,   443,   444,   445,   446,   762,   447,  1074,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1075,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1076,  1077,     0,     0,   471,  1078,   473,  1079,
    1080,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,  1082,     0,   487,   488,   489,
     490,   491,   492,  1083,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,
    1091,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   741,  1026,   573,  1027,  1028,  1029,   624,  1030,     0,
       0,  1095,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,  1031,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
       0,  1032,   743,  1033,  1034,     0,   234,   235,   236,   237,
     238,  1035,  1036,   239,   240,  1037,  1038,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,  1048,  1049,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,  1050,   284,   285,
       0,   286,   287,   288,     0,   289,     0,   291,     0,   292,
     293,   294,   295,  1051,   297,   298,   299,  1052,  1053,   301,
       0,   302,   303,  1054,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,  1056,  1057,     0,  1058,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,  1059,   755,   348,     0,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,  1062,   757,
    1063,   367,   368,   369,     0,   370,   371,   758,   372,  1065,
    1066,   374,  1067,   376,   377,   378,     0,   379,     0,     0,
    1068,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,  1071,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,  1072,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,     0,   447,
    1074,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,  1076,  1077,     0,     0,   471,
    1078,   473,  1079,  1080,   475,   476,   477,   478,   479,   480,
     481,     0,  1081,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   492,  1083,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,     0,  1092,  1093,     0,     0,     0,
       0,     0,     0,     0,  1095,   741,  1026,   573,  1027,  1028,
    1029,   624,  1030,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,  1031,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,     0,  1032,   743,  1033,  1034,     0,
     234,   235,   236,   237,   238,  1035,  1036,   239,   240,  1037,
    1038,   243,     0,   244,   245,   246,   247,  1039,     0,  1040,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,  1041,
    1042,  1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,
     267,   268,  1048,  1049,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
       0,   291,     0,   292,   293,   294,   295,  1051,   297,   298,
     299,  1052,  1053,   301,     0,   302,   303,  1054,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,  1055,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,  1056,
    1057,     0,  1058,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,  1059,
     755,   348,     0,     0,   349,   350,   351,  1060,  1061,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1062,   757,  1063,   367,   368,   369,     0,   370,
     371,   758,   372,  1065,  1066,   374,  1067,   376,   377,   378,
       0,   379,     0,     0,  1068,   381,   382,     0,     0,   383,
     384,   759,   385,   760,  1069,   387,   388,   389,   390,   391,
     392,   393,     0,   394,  1070,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1071,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,  1072,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,  1073,   443,   444,
     445,   446,     0,   447,  1074,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,  1075,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1076,
    1077,     0,     0,   471,  1078,   473,  1079,  1080,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  1082,     0,   487,   488,   489,   490,   491,   492,
    1083,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
    1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   741,  2361,
    2362,     0,     0,     0,     0,     0,     0,     0,  1095,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,   230,   231,   743,
     232,   233,     0,   234,   235,   236,   237,   238,     0,  1036,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
    1039,     0,  1040,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,  1052,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,  1055,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,  3073,   344,   345,
       0,   346,  1059,   755,   348,   756,     0,   349,   350,   351,
    1060,  1061,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   757,   366,   367,   368,
     369,     0,   370,   371,   758,   372,     0,  1066,   374,   375,
     376,   377,   378,     0,   379,     0,   706,   380,   381,   382,
       0,     0,   383,   384,   759,   385,   760,  1069,   387,   388,
     389,   390,   391,   392,   393,     0,   394,  1070,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,   429,  3074,   431,   432,   433,
     434,   435,   436,   437,    38,   438,   439,   440,   441,   442,
    1073,   443,   444,   445,   446,   762,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
    1075,     0,   461,   462,    42,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,  1078,   473,  1079,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,  1082,     0,   487,   488,   489,
     490,   491,   965,   493,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,    47,   500,   501,   502,   503,
     504,   505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,
    1091,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   741,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3075,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,  1036,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,  1039,     0,  1040,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,  1041,  1042,  1043,  1044,  1045,
    1046,  1047,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,  1052,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,  1055,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
    3073,   344,   345,     0,   346,  1059,   755,   348,   756,     0,
     349,   350,   351,  1060,  1061,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
    1066,   374,   375,   376,   377,   378,     0,   379,     0,   706,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
    1069,   387,   388,   389,   390,   391,   392,   393,     0,   394,
    1070,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,  3074,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,  1073,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,  1075,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
    1078,   473,  1079,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,  1082,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,  1084,  1085,  1086,  1087,
    1088,  1089,  1090,  1091,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,   741,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3075,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,   742,
     227,   228,   229,   230,   231,   743,   232,   233,     0,   234,
     235,   236,   237,   238,     0,  1036,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,  1039,     0,  1040,     0,
     249,   250,   251,   252,   745,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,   746,   261,   262,  1041,  1042,
    1043,  1044,  1045,  1046,  1047,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
    1052,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,   748,     0,   749,   308,   309,   310,     0,   311,
    1055,     0,   313,     0,   314,   315,   316,   317,   318,   750,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,   751,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,   752,   753,   338,   754,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,  1059,   755,
     348,   756,     0,   349,   350,   351,  1060,  1061,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   757,   366,   367,   368,   369,     0,   370,   371,
     758,   372,     0,  1066,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
     759,   385,   760,  1069,   387,   388,   389,   390,   391,   392,
     393,     0,   394,  1070,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,   761,   427,
     428,   429,  3074,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,  1073,   443,   444,   445,
     446,   762,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,  1075,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,  1078,   473,  1079,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,  1082,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,   763,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,  1084,
    1085,  1086,  1087,  1088,  1089,  1090,  1091,   515,   516,   517,
       0,     0,     0,     0,     0,     0,     0,   741,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,  1036,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,  1052,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,  1066,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,  1078,   473,  1079,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,     0,     0,     0,     0,     0,     0,     0,
     784,  1282,   573,     0,     0,     0,   624,     0,     0,     0,
    3632,   211,   212,   213,   214,   215,   216,   217,   218,     0,
     220,   221,   222,     0,     0,     0,     0,     0,     0,     0,
     223,   224,     0,   225,   226,   742,   227,   228,   229,   230,
     231,   743,   232,   233,     0,   234,   235,   236,   237,   238,
       0,     0,   239,   240,   241,   242,   243,     0,   244,   245,
     246,   247,   248,     0,   744,     0,   249,   250,   251,   252,
     745,   253,   254,     0,   255,   256,   257,   258,   259,   260,
       0,   746,   261,   262,     0,     0,     0,   747,     0,     0,
       0,   263,   264,   265,   266,   267,   268,   269,   270,   271,
       0,   272,     0,   273,   274,   275,   276,   277,     0,   278,
     279,   280,     0,     0,   281,   282,   283,   284,   285,     0,
     286,   287,   288,     0,   289,   290,   291,     0,   292,   293,
     294,   295,   296,   297,   298,   299,   300,  1527,   301,     0,
     302,   303,   304,   305,     0,   306,     0,   307,   748,     0,
     749,   308,   309,   310,     0,   311,   312,     0,   313,     0,
     314,   315,   316,   317,   318,   750,   319,   320,   321,     0,
     322,   323,   324,   325,   326,   327,     0,   328,   751,   329,
     330,   331,   332,   333,   334,   335,     0,   336,     0,   337,
     752,   753,   338,   754,   339,   340,   341,   342,   343,     0,
     344,   345,     0,   346,   347,   755,   348,   756,     0,   349,
     350,   351,     0,     0,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   757,   366,
     367,   368,   369,     0,   370,   371,   758,   372,     0,   373,
     374,   375,   376,   377,   378,     0,   379,  1528,     0,   380,
     381,   382,     0,     0,   383,   384,   759,   385,   760,   386,
     387,   388,   389,   390,   391,   392,   393,     0,   394,   395,
     396,   397,   398,   399,   400,     0,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,     0,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,     0,   425,   426,   761,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,     0,   438,   439,   440,
     441,   442,     0,   443,   444,   445,   446,   762,   447,   448,
     449,     0,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,     0,   461,   462,     0,   463,   464,   465,
     466,   467,   468,     0,   469,   470,     0,     0,   471,   472,
     473,   474,  1529,   475,   476,   477,   478,   479,   480,   481,
       0,     0,   482,   483,   484,   485,   486,     0,     0,   487,
     488,   489,   490,   491,   492,   493,     0,   494,   763,   495,
     496,   497,   498,     0,     0,   499,     0,     0,   500,   501,
     502,   503,   504,   505,   506,   507,   508,   509,   510,   511,
     512,   513,   514,   515,   516,   517,     0,     0,     0,     0,
       0,     0,     0,   784,   636,  1283,  4049,     0,     0,     0,
       0,     0,     0,  4050,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     3,     4,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,    38,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,    42,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   965,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
      47,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,     0,
       0,     0,     0,     0,     0,     0,   741,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    48,   211,   212,   213,
     214,   215,   216,   217,   218,     0,   220,   221,   222,     0,
       0,     0,     0,     0,     0,     0,   223,   224,     0,   225,
     226,   742,   227,   228,   229,   230,   231,   743,   232,   233,
       0,   234,   235,   236,   237,   238,     0,     0,   239,   240,
     241,   242,   243,     0,   244,   245,   246,   247,   248,     0,
     744,     0,   249,   250,   251,   252,   745,   253,   254,     0,
     255,   256,   257,   258,   259,   260,     0,   746,   261,   262,
       0,     0,     0,   747,     0,     0,     0,   263,   264,   265,
     266,   267,   268,   269,   270,   271,     0,   272,     0,   273,
     274,   275,   276,   277,     0,   278,   279,   280,     0,     0,
     281,   282,   283,   284,   285,     0,   286,   287,   288,     0,
     289,   290,   291,     0,   292,   293,   294,   295,   296,   297,
     298,   299,   300,     0,   301,     0,   302,   303,   304,   305,
       0,   306,     0,   307,   748,     0,   749,   308,   309,   310,
       0,   311,   312,     0,   313,     0,   314,   315,   316,   317,
     318,   750,   319,   320,   321,     0,   322,   323,   324,   325,
     326,   327,     0,   328,   751,   329,   330,   331,   332,   333,
     334,   335,     0,   336,     0,   337,   752,   753,   338,   754,
     339,   340,   341,   342,   343,     0,   344,   345,     0,   346,
     347,   755,   348,   756,     0,   349,   350,   351,     0,     0,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   757,   366,   367,   368,   369,     0,
     370,   371,   758,   372,     0,   373,   374,   375,   376,   377,
     378,     0,   379,     0,     0,   380,   381,   382,     0,     0,
     383,   384,   759,   385,   760,   386,   387,   388,   389,   390,
     391,   392,   393,     0,   394,   395,   396,   397,   398,   399,
     400,     0,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,     0,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,     0,   425,   426,
     761,   427,   428,   429,   430,   431,   432,   433,   434,   435,
     436,   437,     0,   438,   439,   440,   441,   442,     0,   443,
     444,   445,   446,   762,   447,   448,   449,     0,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,     0,
     461,   462,     0,   463,   464,   465,   466,   467,   468,     0,
     469,   470,     0,     0,   471,   472,   473,   474,     0,   475,
     476,   477,   478,   479,   480,   481,     0,     0,   482,   483,
     484,   485,   486,     0,     0,   487,   488,   489,   490,   491,
     492,   493,     0,   494,   763,   495,   496,   497,   498,     0,
       0,   499,     0,     0,   500,   501,   502,   503,   504,   505,
     506,   507,   508,   509,   510,   511,   512,   513,   514,   515,
     516,   517,     0,     0,     0,     0,     0,     0,     0,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4205,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,    38,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,    42,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   965,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,    47,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,     0,   227,   228,
     229,   230,   231,     0,   232,   233,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,   241,   242,   243,     0,
     244,   245,   246,   247,   248,     0,     0,     0,   249,   250,
     251,   252,     0,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,     0,   261,   262,     0,     0,     0,     0,
       0,     0,     0,   263,   264,   265,   266,   267,   268,   269,
     270,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,   283,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,   296,   297,   298,   299,   300,     0,
     301,     0,   302,   303,   304,   305,     0,   306,     0,   307,
       0,     0,     0,   308,   309,   310,     0,   311,   312,     0,
     313,     0,   314,   315,   316,   317,   318,     0,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
       0,   329,   330,   331,   332,   333,   334,   335,     0,   336,
       0,   337,     0,     0,   338,     0,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,   347,     0,   348,     0,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
       0,   366,   367,   368,   369,     0,   370,   371,     0,   372,
       0,   373,   374,   375,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,   384,     0,   385,
       0,   386,   387,   388,   389,   390,   391,   392,   393,     0,
     394,   395,   396,   397,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,     0,   427,   428,   429,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,   444,   445,   446,     0,
     447,   448,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,   460,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,   469,   470,     0,     0,
     471,   472,   473,   474,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,   492,   493,     0,   494,
       0,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,   506,   507,   508,   509,
     510,   511,   512,   513,   514,   515,   516,   517,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1151,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2516,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,     0,   227,   228,   229,   230,   231,     0,
     232,   233,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,   241,   242,   243,     0,   244,   245,   246,   247,
     248,     0,     0,     0,   249,   250,   251,   252,     0,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,     0,
     261,   262,     0,     0,     0,     0,     0,     0,     0,   263,
     264,   265,   266,   267,   268,   269,   270,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
     296,   297,   298,   299,   300,     0,   301,     0,   302,   303,
     304,   305,     0,   306,     0,   307,     0,     0,     0,   308,
     309,   310,     0,   311,   312,     0,   313,     0,   314,   315,
     316,   317,   318,     0,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,     0,   329,   330,   331,
     332,   333,   334,   335,     0,   336,     0,   337,     0,     0,
     338,     0,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,   347,     0,   348,     0,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,     0,   366,   367,   368,
     369,     0,   370,   371,     0,   372,     0,   373,   374,   375,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,   384,     0,   385,     0,   386,   387,   388,
     389,   390,   391,   392,   393,     0,   394,   395,   396,   397,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,     0,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,   444,   445,   446,     0,   447,   448,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,   469,   470,     0,     0,   471,   472,   473,   474,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,   492,   493,     0,   494,     0,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,   506,   507,   508,   509,   510,   511,   512,   513,
     514,   515,   516,   517,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3551,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,     0,     0,     0,
       0,     0,     0,     0,  1388,  1282,   573,     0,     0,   794,
     624,     0,     0,     0,  3947,   211,   212,   213,   214,   215,
     216,   217,   218,  1732,   220,   221,   222,  1733,  1734,  1735,
    1736,  1737,  1738,  1739,   223,   224,  1740,   225,   226,   742,
     227,   228,   229,     0,  1389,   743,  1390,  1391,  1741,   234,
     235,   236,   237,   238,  1742,  1743,   239,   240,  1392,  1393,
     243,  1744,   244,   245,   246,   247,     0,  1745,   744,  1746,
     249,   250,   251,   252,   745,   253,   254,  1747,   255,   256,
     257,   258,   259,   260,  1748,   746,   261,   262,  1749,  1750,
    1751,   747,  1752,  1753,  1754,   263,   264,   265,   266,   267,
     268,  1394,  1395,   271,  1755,   272,  1756,   273,   274,   275,
     276,   277,  1757,   278,   279,   280,  1758,  1759,   281,   282,
    1050,   284,   285,  1760,   286,   287,   288,  1761,   289,   290,
     291,  1762,   292,   293,   294,   295,     0,   297,   298,   299,
       0,  1763,   301,  1764,   302,   303,  1396,   305,  1765,   306,
    1766,   307,   748,  1767,   749,   308,   309,   310,  1768,   311,
       0,  1769,   313,  1770,   314,   315,   316,   317,   318,   750,
     319,   320,   321,  1771,   322,   323,   324,   325,   326,   327,
    1772,   328,   751,     0,   330,   331,   332,   333,  1397,  1398,
    1773,  1399,  1774,   337,   752,   753,   338,   754,   339,   340,
     341,   342,   343,  1775,   344,   345,  1776,   346,     0,   755,
     348,   756,  1777,   349,   350,   351,  1778,  1779,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,  1400,   757,  1401,   367,   368,     0,  1780,   370,   371,
     758,   372,  1781,     0,   374,  1402,   376,   377,   378,  1782,
     379,  1783,  1784,  3312,   381,   382,  1785,  1786,   383,     0,
     759,   385,   760,     0,   387,   388,   389,   390,   391,   392,
     393,  1787,   394,     0,   396,     0,   398,   399,   400,  1788,
     401,   402,   403,   404,   405,   406,   407,   408,  1403,   410,
     411,   412,   413,  1789,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,  1790,   425,   426,   761,   427,
     428,     0,   430,   431,   432,   433,   434,   435,   436,   437,
    1791,   438,   439,   440,   441,   442,  1792,   443,  1872,   445,
     446,   762,   447,  1405,   449,  1793,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,     0,  1794,   461,   462,
    1795,   463,   464,   465,   466,   467,   468,  1796,  1406,  1407,
    1797,  1798,   471,     0,   473,     0,  1799,   475,   476,   477,
     478,   479,   480,   481,  1800,  1801,   482,   483,   484,   485,
     486,  1802,  1803,   487,   488,   489,   490,   491,     0,  1408,
    1804,   494,   763,   495,   496,   497,   498,  1805,  1806,   499,
    1807,  1808,   500,   501,   502,   503,   504,   505,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,  3313,  3314,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   795,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   796,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   888,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   889,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   938,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   939,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   940,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,  1373,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,  1374,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,  2593,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,  2594,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,   380,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,     0,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   210,     0,     0,     0,     0,   794,
       0,     0,     0,     0,     0,   211,   212,   213,   214,   215,
     216,   217,   218,     0,   220,   221,   222,     0,     0,     0,
       0,     0,     0,     0,   223,   224,     0,   225,   226,     0,
     227,   228,   229,   230,   231,     0,   232,   233,     0,   234,
     235,   236,   237,   238,     0,     0,   239,   240,   241,   242,
     243,     0,   244,   245,   246,   247,   248,     0,     0,     0,
     249,   250,   251,   252,     0,   253,   254,     0,   255,   256,
     257,   258,   259,   260,     0,     0,   261,   262,     0,     0,
       0,     0,     0,     0,     0,   263,   264,   265,   266,   267,
     268,   269,   270,   271,     0,   272,     0,   273,   274,   275,
     276,   277,     0,   278,   279,   280,     0,     0,   281,   282,
     283,   284,   285,     0,   286,   287,   288,     0,   289,   290,
     291,     0,   292,   293,   294,   295,   296,   297,   298,   299,
     300,     0,   301,     0,   302,   303,   304,   305,     0,   306,
       0,   307,     0,     0,     0,   308,   309,   310,     0,   311,
     312,     0,   313,     0,   314,   315,   316,   317,   318,     0,
     319,   320,   321,     0,   322,   323,   324,   325,   326,   327,
       0,   328,     0,   329,   330,   331,   332,   333,   334,   335,
       0,   336,     0,   337,     0,     0,   338,     0,   339,   340,
     341,   342,   343,     0,   344,   345,     0,   346,   347,     0,
     348,     0,     0,   349,   350,   351,     0,     0,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,     0,   366,   367,   368,   369,     0,   370,   371,
       0,   372,     0,   373,   374,   375,   376,   377,   378,     0,
     379,     0,     0,  4188,   381,   382,     0,     0,   383,   384,
       0,   385,     0,   386,   387,   388,   389,   390,   391,   392,
     393,     0,   394,   395,   396,   397,   398,   399,   400,     0,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,     0,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,     0,   425,   426,     0,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
       0,   438,   439,   440,   441,   442,     0,   443,   444,   445,
     446,     0,   447,   448,   449,     0,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,     0,   461,   462,
       0,   463,   464,   465,   466,   467,   468,     0,   469,   470,
       0,     0,   471,   472,   473,   474,     0,   475,   476,   477,
     478,   479,   480,   481,     0,     0,   482,   483,   484,   485,
     486,     0,     0,   487,   488,   489,   490,   491,   492,   493,
       0,   494,     0,   495,   496,   497,   498,     0,     0,   499,
       0,     0,   500,   501,   502,   503,   504,   505,   506,   507,
     508,   509,   510,   511,   512,   513,   514,   515,   516,   517,
       0,     0,     0,  1731,   797,   798,   799,     0,   800,   801,
     802,   803,   804,   805,   211,   212,   213,   214,   215,   216,
     217,   218,  1732,   220,   221,   222,  1733,  1734,  1735,  1736,
    1737,  1738,  1739,   223,   224,  1740,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,  1741,   234,   235,
     236,   237,   238,  1742,  1743,   239,   240,   241,   242,   243,
    1744,   244,   245,   246,   247,   248,  1745,   744,  1746,   249,
     250,   251,   252,   745,   253,   254,  1747,   255,   256,   257,
     258,   259,   260,  1748,   746,   261,   262,  1749,  1750,  1751,
     747,  1752,  1753,  1754,   263,   264,   265,   266,   267,   268,
     269,   270,   271,  1755,   272,  1756,   273,   274,   275,   276,
     277,  1757,   278,   279,   280,  1758,  1759,   281,   282,   283,
     284,   285,  1760,   286,   287,   288,  1761,   289,   290,   291,
    1762,   292,   293,   294,   295,   296,   297,   298,   299,   300,
    1763,   301,  1764,   302,   303,   304,   305,  1765,   306,  1766,
     307,   748,  1767,   749,   308,   309,   310,  1768,   311,   312,
    1769,   313,  1770,   314,   315,   316,   317,   318,   750,   319,
     320,   321,  1771,   322,   323,   324,   325,   326,   327,  1772,
     328,   751,   329,   330,   331,   332,   333,   334,   335,  1773,
     336,  1774,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,  1775,   344,   345,  1776,   346,   347,   755,   348,
     756,  1777,   349,   350,   351,  1778,  1779,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,  1780,   370,   371,   758,
     372,  1781,   373,   374,   375,   376,   377,   378,  1782,   379,
    1783,  1784,   380,   381,   382,  1785,  1786,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
    1787,   394,   395,   396,   397,   398,   399,   400,  1788,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,  1789,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,  1790,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,  1791,
     438,   439,   440,   441,   442,  1792,   443,   444,   445,   446,
     762,   447,   448,   449,  1793,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,  1794,   461,   462,  1795,
     463,   464,   465,   466,   467,   468,  1796,   469,   470,  1797,
    1798,   471,   472,   473,   474,  1799,   475,   476,   477,   478,
     479,   480,   481,  1800,  1801,   482,   483,   484,   485,   486,
    1802,  1803,   487,   488,   489,   490,   491,   492,   493,  1804,
     494,   763,   495,   496,   497,   498,  1805,  1806,   499,  1807,
    1808,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1809,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1388,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   711,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,     0,  1389,   743,  1390,  1391,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,  1392,
    1393,   243,     0,   244,   245,   246,   247,     0,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,     0,   263,   264,   265,   266,
     267,   268,  1394,  1395,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,  1050,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,     0,   297,   298,
     299,     0,     0,   301,     0,   302,   303,  1396,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,     0,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,  1868,   322,   323,   324,   325,   326,
     327,     0,   328,   751,  1869,   330,   331,   332,   333,  1397,
    1398,     0,  1399,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,     0,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,  1400,   757,  1401,   367,   368,     0,     0,   370,
     371,   758,   372,     0,     0,   374,  1402,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,  1870,   383,
    1871,   759,   385,   760,     0,   387,   388,   389,   390,   391,
     392,   393,     0,   394,     0,   396,     0,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,  1403,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,     0,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,  1872,
     445,   446,   762,   447,  1405,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,     0,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,  1406,
    1407,     0,     0,   471,     0,   473,     0,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,     0,
    1408,  1873,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,     0,
       0,     0,  2122,     0,     0,     0,     0,     0,   515,   516,
     517,     0,     0,   211,   212,   213,   214,   215,   216,   217,
     218,  1874,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   742,   227,   228,
     229,     0,  1389,   743,  1390,  1391,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1392,  1393,   243,     0,
     244,   245,   246,   247,     0,     0,   744,     0,   249,   250,
     251,   252,   745,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   746,   261,   262,     0,     0,     0,   747,
       0,     0,     0,   263,   264,   265,   266,   267,   268,  1394,
    1395,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1050,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,  1396,   305,     0,   306,     0,   307,
     748,     0,   749,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   750,   319,   320,
     321,  1868,   322,   323,   324,   325,   326,   327,     0,   328,
     751,  1869,   330,   331,   332,   333,  1397,  1398,     0,  1399,
       0,   337,   752,   753,   338,   754,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   755,   348,   756,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1400,
     757,  1401,   367,   368,     0,     0,   370,   371,   758,   372,
       0,     0,   374,  1402,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,  1870,   383,  1871,   759,   385,
     760,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,     0,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1403,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   761,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,  1872,   445,   446,   762,
     447,  1405,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,     0,   463,
     464,   465,   466,   467,   468,     0,  1406,  1407,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1408,  1873,   494,
     763,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,     0,     0,   210,
       0,     0,     0,     0,     0,   515,   516,   517,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,  1874,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   784,  1282,   573,     0,     0,
       0,   624,     0,     0,     0,  4234,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  1721,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,  1527,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,     0,   370,
     371,   758,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,  1528,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   762,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,  1529,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   784,  1282,   573,     0,     0,     0,   624,     0,   636,
    1283,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   744,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,     0,     0,     0,   747,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  1726,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,  1527,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   755,   348,   756,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,  1528,     0,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,  1529,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   784,  1282,   573,
       0,     0,     0,   624,     0,   636,  1283,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,  1527,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,  1528,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,  1529,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,   624,
       0,   636,  1283,     0,   211,   625,   213,   214,   215,   216,
     217,   218,   626,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   627,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   628,   304,   305,     0,   306,     0,
     629,     0,   630,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,   631,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   632,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   633,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   634,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   635,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,  1731,
    4538,   573,     0,     0,     0,   624,     0,   636,   637,     0,
     211,   212,   213,   214,   215,   216,   217,   218,  1732,   220,
     221,   222,  1733,  1734,  1735,  1736,  1737,  1738,  1739,   223,
     224,  1740,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,  1741,   234,   235,   236,   237,   238,  1742,
    1743,   239,   240,   241,   242,   243,  1744,   244,   245,   246,
     247,   248,  1745,   744,  1746,   249,   250,   251,   252,   745,
     253,   254,  1747,   255,   256,   257,   258,   259,   260,  1748,
     746,   261,   262,  1749,  1750,  1751,   747,  1752,  1753,  1754,
     263,   264,   265,   266,   267,   268,   269,   270,   271,  1755,
     272,  1756,   273,   274,   275,   276,   277,  1757,   278,   279,
     280,  1758,  1759,   281,   282,   283,   284,   285,  1760,   286,
     287,   288,  1761,   289,   290,   291,  1762,   292,   293,   294,
     295,   296,   297,   298,   299,   300,  1763,   301,  1764,   302,
     303,   304,   305,  1765,   306,  1766,   307,   748,  1767,   749,
     308,   309,   310,  1768,   311,   312,  1769,   313,  1770,   314,
     315,   316,   317,   318,   750,   319,   320,   321,  1771,   322,
     323,   324,   325,   326,   327,  1772,   328,   751,   329,   330,
     331,   332,   333,   334,   335,  1773,   336,  1774,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,  1775,   344,
     345,  1776,   346,   347,   755,   348,   756,  1777,   349,   350,
     351,  1778,  1779,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,  1780,   370,   371,   758,   372,  1781,   373,   374,
     375,   376,   377,   378,  1782,   379,  1783,  1784,   380,   381,
     382,  1785,  1786,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,  1787,   394,   395,   396,
     397,   398,   399,   400,  1788,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,  1789,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
    1790,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,  1791,   438,   439,   440,   441,
     442,  1792,   443,   444,   445,   446,   762,   447,   448,   449,
    1793,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,  1794,   461,   462,  1795,   463,   464,   465,   466,
     467,   468,  1796,   469,   470,  1797,  1798,   471,   472,   473,
     474,  1799,   475,   476,   477,   478,   479,   480,   481,  1800,
    1801,   482,   483,   484,   485,   486,  1802,  1803,   487,   488,
     489,   490,   491,   492,   493,  1804,   494,   763,   495,   496,
     497,   498,  1805,  1806,   499,  1807,  1808,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,  1731,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  1732,   220,   221,   222,  1733,  1734,
    1735,  1736,  1737,  1738,  1739,   223,   224,  1740,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,  1741,
     234,   235,   236,   237,   238,  1742,  1743,   239,   240,   241,
     242,   243,  1744,   244,   245,   246,   247,   248,  1745,   744,
    1746,   249,   250,   251,   252,   745,   253,   254,  1747,   255,
     256,   257,   258,   259,   260,  1748,   746,   261,   262,  1749,
    1750,  1751,   747,  1752,  1753,  1754,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  1755,   272,  1756,   273,   274,
     275,   276,   277,  1757,   278,   279,   280,  1758,  1759,   281,
     282,   283,   284,   285,  1760,   286,   287,   288,  1761,   289,
     290,   291,  1762,   292,   293,   294,   295,   296,   297,   298,
     299,   300,  1763,   301,  1764,   302,   303,   304,   305,  1765,
     306,  1766,   307,   748,  1767,   749,   308,   309,   310,  1768,
     311,   312,  1769,   313,  1770,   314,   315,   316,   317,   318,
     750,   319,   320,   321,  1771,   322,   323,   324,   325,   326,
     327,  1772,   328,   751,   329,   330,   331,   332,   333,   334,
     335,  1773,   336,  1774,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,  1775,   344,   345,  1776,   346,   347,
     755,   348,   756,  1777,   349,   350,   351,  1778,  1779,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,  1780,   370,
     371,   758,   372,  1781,   373,   374,   375,   376,   377,   378,
    1782,   379,  1783,  1784,   380,   381,   382,  1785,  1786,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,  1787,   394,   395,   396,   397,   398,   399,   400,
    1788,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,  1789,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,  1790,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,  1791,   438,   439,   440,   441,   442,  1792,   443,   444,
     445,   446,   762,   447,   448,   449,  1793,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,  1794,   461,
     462,  1795,   463,   464,   465,   466,   467,   468,  1796,   469,
     470,  1797,  1798,   471,   472,   473,   474,  1799,   475,   476,
     477,   478,   479,   480,   481,  1800,  1801,   482,   483,   484,
     485,   486,  1802,  1803,   487,   488,   489,   490,   491,   492,
     493,  1804,   494,   763,   495,   496,   497,   498,  1805,  1806,
     499,  1807,  1808,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,  1731,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,  2651,   216,   217,   218,
    1732,   220,   221,   222,  1733,  1734,  1735,  1736,  1737,  1738,
    1739,   223,   224,  1740,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,  1741,   234,   235,   236,   237,
     238,  1742,  1743,   239,   240,   241,   242,   243,  1744,   244,
     245,   246,   247,   248,  1745,   744,  1746,   249,   250,   251,
     252,   745,   253,   254,  1747,   255,   256,   257,   258,   259,
     260,  1748,   746,   261,   262,  1749,  1750,  1751,   747,  1752,
    1753,  1754,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  1755,   272,  1756,   273,   274,   275,   276,   277,  1757,
     278,   279,   280,  1758,  1759,   281,   282,   283,  2652,   285,
    1760,   286,   287,   288,  1761,   289,   290,   291,  1762,   292,
     293,   294,   295,   296,   297,   298,   299,   300,  1763,   301,
    1764,   302,   303,   304,   305,  1765,   306,  1766,   307,   748,
    1767,   749,   308,   309,   310,  1768,   311,   312,  1769,   313,
    1770,   314,   315,   316,   317,   318,   750,   319,   320,   321,
    1771,   322,   323,   324,   325,   326,   327,  1772,   328,   751,
     329,   330,   331,   332,   333,   334,   335,  1773,   336,  1774,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
    1775,   344,   345,  1776,   346,   347,   755,   348,   756,  1777,
     349,   350,   351,  1778,  1779,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,  1780,   370,   371,   758,   372,  1781,
     373,   374,   375,   376,   377,   378,  1782,   379,  1783,  1784,
     380,   381,   382,  1785,  1786,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,  1787,   394,
     395,   396,   397,   398,   399,   400,  1788,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
    1789,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,  1790,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,  1791,   438,   439,
     440,   441,   442,  1792,  2653,   444,   445,   446,   762,   447,
     448,   449,  1793,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,  1794,   461,   462,  1795,   463,   464,
     465,   466,   467,   468,  1796,   469,   470,  1797,  1798,   471,
     472,   473,   474,  1799,   475,   476,   477,   478,   479,   480,
     481,  1800,  1801,   482,   483,   484,   485,   486,  1802,  1803,
     487,   488,   489,   490,   491,   492,   493,  1804,   494,   763,
     495,   496,   497,   498,  1805,  1806,   499,  1807,  1808,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   741,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,  1036,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,  1039,
       0,  1040,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,  1041,  1042,  1043,  1044,  1045,  1046,  1047,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,  1052,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,  1055,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,  1059,   755,   348,   756,     0,   349,   350,   351,  1060,
    1061,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,  1066,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,  1069,   387,   388,   389,
     390,   391,   392,   393,     0,   394,  1070,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,  1073,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,  1075,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,  1078,   473,  1079,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,  1082,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,  1084,  1085,  1086,  1087,  1088,  1089,  1090,  1091,
     515,   516,   517,   784,     0,   573,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
    1527,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
    1528,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,  1529,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   784,
       0,   573,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   744,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,     0,     0,     0,   747,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,  1706,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   755,   348,   756,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,     0,   370,   371,   758,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   762,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   784,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,  2079,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,     0,   370,
     371,   758,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   762,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  2080,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   784,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     3,     4,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   744,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,     0,     0,     0,   747,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   755,   348,   756,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   784,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,   810,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   784,     0,   573,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   784,
       0,   573,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   744,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,     0,     0,     0,   747,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,  1517,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   755,   348,   756,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,     0,   370,   371,   758,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   762,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   784,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,   312,  2929,   313,     0,   314,   315,   316,   317,   318,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,     0,   370,
     371,   758,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   762,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   741,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   744,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,     0,     0,     0,   747,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   755,   348,   756,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   784,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   784,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   824,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   744,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,     0,     0,     0,   747,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   755,   348,   756,     0,   349,   350,
     351,     0,     0,   352,   353,   901,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,     0,   370,   371,   758,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   762,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   741,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
     742,   227,   228,   229,   230,   231,   743,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,   744,
       0,   249,   250,   251,   252,   745,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,   746,   261,   262,     0,
       0,     0,   747,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,   748,     0,   749,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   921,
     750,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,   751,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,   752,   753,   338,   754,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
     755,   348,   756,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   757,   366,   367,   368,   369,     0,   370,
     371,   758,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,   759,   385,   760,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,   761,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,   762,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,   763,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   741,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,   742,   227,   228,   229,
     230,   231,   743,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,   744,     0,   249,   250,   251,
     252,   745,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,   746,   261,   262,     0,     0,     0,   747,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,   748,
       0,   749,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   931,   750,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,   751,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,   752,   753,   338,   754,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,   755,   348,   756,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   757,
     366,   367,   368,   369,     0,   370,   371,   758,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,   759,   385,   760,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,   761,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,   762,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,   763,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   784,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,   230,   231,   743,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   933,   750,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,   751,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   757,   366,   367,   368,   369,
       0,   370,   371,   758,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,   759,   385,   760,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,   762,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   784,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,   230,   231,   743,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   943,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   757,   366,   367,   368,   369,     0,   370,   371,   758,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,   759,
     385,   760,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
     762,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   784,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,   742,   227,   228,   229,   230,   231,
     743,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,   744,     0,   249,   250,   251,   252,   745,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
     746,   261,   262,     0,     0,     0,   747,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,   748,     0,   749,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   954,   750,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,   751,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,   752,
     753,   338,   754,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,   755,   348,   756,     0,   349,   350,
     351,     0,     0,   352,   353,   955,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   757,   366,   367,
     368,   369,     0,   370,   371,   758,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,   759,   385,   760,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,   761,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,   762,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,   763,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,  1905,   244,   245,   246,   247,   248,     0,     0,
    1977,   249,   250,   251,   252,     0,   253,   254,  1906,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,  1978,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,  1908,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
    1909,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,  1910,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,  1905,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,  1906,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,  1978,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,  1908,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,  2829,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,  1909,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,  1910,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   675,   217,   218,   643,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,   644,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,   676,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   645,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   646,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,   643,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,   644,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,  2555,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   645,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,   646,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,  1905,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,  1906,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,  1978,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,  1908,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,  1909,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
    1910,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,   643,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,   644,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   645,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,   646,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
    1554,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,  1555,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,  1556,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,  1557,   307,     0,
       0,     0,  1558,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,  1559,  1560,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,  1561,   434,   435,   436,   437,     0,  1562,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,  1563,   463,  1564,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,  1565,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,   644,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   645,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   646,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     3,     4,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,  2635,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,  2636,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,  2647,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,  2648,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,   564,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     565,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,   669,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   670,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   671,   470,     0,
       0,   672,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,   700,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     701,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   702,   470,     0,     0,   703,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   706,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   818,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,   706,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,   914,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,  1126,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,  1137,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   686,   240,   241,   242,  1138,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   689,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   690,   428,   429,   430,   431,   432,
     691,   434,   435,   436,   437,     0,   438,   439,   440,   441,
    1130,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   693,   470,     0,     0,   694,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   695,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,  1236,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,   706,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,  2450,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,  2451,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,  2452,   463,   464,
    2453,   466,  2454,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,  2455,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,   573,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,  3567,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,  3581,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,  3794,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,  3796,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,  3798,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,  4191,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   658,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   318,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   667,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   686,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   687,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   688,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   689,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   690,   428,   429,   430,   431,   432,   691,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   692,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   693,   470,     0,     0,   694,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     695,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     718,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   790,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   814,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   826,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   879,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   893,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   926,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   945,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,   947,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   949,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   952,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   958,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   686,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   689,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     690,   428,   429,   430,   431,   432,   691,   434,   435,   436,
     437,     0,   438,   439,   440,   441,  1130,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   693,
     470,     0,     0,   694,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   695,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  1286,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,  1434,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,  1464,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,  1493,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,  1495,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  1497,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,  1589,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,  1865,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   427,   428,
     429,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,     0,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   469,   470,     0,
       0,   471,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   686,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,   318,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   689,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   690,   428,   429,   430,   431,   432,
     691,   434,   435,   436,   437,     0,   438,   439,   440,   441,
    1130,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,  1896,   465,   466,
     467,   468,     0,   693,   470,     0,     0,   694,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   695,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   686,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,   318,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   689,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     690,   428,   429,   430,   431,   432,  1963,   434,   435,   436,
     437,     0,   438,   439,   440,   441,  1964,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   693,
     470,     0,     0,  1965,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   695,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  2219,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,   210,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,  2566,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,   391,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   210,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,     0,   227,
     228,   229,   230,   231,     0,   232,   233,     0,   234,   235,
     236,   237,   238,     0,     0,   686,   240,   241,   242,   243,
       0,   244,   245,   246,   247,   248,     0,     0,     0,   249,
     250,   251,   252,     0,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,     0,   261,   262,     0,     0,     0,
       0,     0,     0,     0,   263,   264,   265,   266,   267,   268,
     269,   270,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,   283,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,   296,   297,   298,   299,   300,
       0,   301,     0,   302,   303,   304,   305,     0,   306,     0,
     307,     0,     0,     0,   308,   309,   310,     0,   311,   312,
       0,   313,     0,   314,   315,   316,   317,   318,     0,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,     0,   329,   330,   331,   332,   333,   334,   335,     0,
     336,     0,   337,     0,     0,   338,     0,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,   347,     0,   348,
       0,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   689,
     365,     0,   366,   367,   368,   369,     0,   370,   371,     0,
     372,     0,   373,   374,   375,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,   384,     0,
     385,     0,   386,   387,   388,   389,   390,   391,   392,   393,
       0,   394,   395,   396,   397,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,     0,   690,   428,
     429,   430,   431,   432,   691,   434,   435,   436,   437,     0,
     438,   439,   440,   441,  1964,     0,   443,   444,   445,   446,
       0,   447,   448,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,   693,   470,     0,
       0,  1965,   472,   473,   474,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,   492,   493,     0,
     494,     0,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   695,   506,   507,   508,
     509,   510,   511,   512,   513,   514,   515,   516,   517,   210,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     211,   212,   213,   214,   215,   216,   217,   218,     0,   220,
     221,   222,     0,     0,     0,     0,     0,     0,     0,   223,
     224,     0,   225,   226,     0,   227,   228,   229,   230,   231,
       0,   232,   233,     0,   234,   235,   236,   237,   238,     0,
       0,   239,   240,   241,   242,   243,     0,   244,   245,   246,
     247,   248,     0,     0,     0,   249,   250,   251,   252,     0,
     253,   254,     0,   255,   256,   257,   258,   259,   260,     0,
       0,   261,   262,     0,     0,     0,     0,     0,     0,     0,
     263,   264,   265,   266,   267,   268,   269,   270,   271,     0,
     272,     0,   273,   274,   275,   276,   277,     0,   278,   279,
     280,     0,     0,   281,   282,   283,   284,   285,     0,   286,
     287,   288,     0,   289,   290,   291,     0,   292,   293,   294,
     295,   296,   297,   298,   299,   300,     0,   301,     0,   302,
     303,   304,   305,     0,   306,     0,   307,     0,     0,     0,
     308,   309,   310,     0,   311,   312,     0,   313,     0,   314,
     315,   316,   317,  2638,     0,   319,   320,   321,     0,   322,
     323,   324,   325,   326,   327,     0,   328,     0,   329,   330,
     331,   332,   333,   334,   335,     0,   336,     0,   337,     0,
       0,   338,     0,   339,   340,   341,   342,   343,     0,   344,
     345,     0,   346,   347,     0,   348,     0,     0,   349,   350,
     351,     0,     0,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,     0,   366,   367,
     368,   369,     0,   370,   371,     0,   372,     0,   373,   374,
     375,   376,   377,   378,     0,   379,     0,     0,   380,   381,
     382,     0,     0,   383,   384,     0,   385,     0,   386,   387,
     388,   389,   390,   391,   392,   393,     0,   394,   395,   396,
     397,   398,   399,   400,     0,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,     0,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
       0,   425,   426,     0,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,     0,   438,   439,   440,   441,
     442,     0,   443,   444,   445,   446,     0,   447,   448,   449,
       0,   450,   451,   452,   453,   454,   455,   456,   457,   458,
     459,   460,     0,   461,   462,     0,   463,   464,   465,   466,
     467,   468,     0,   469,   470,     0,     0,   471,   472,   473,
     474,     0,   475,   476,   477,   478,   479,   480,   481,     0,
       0,   482,   483,   484,   485,   486,     0,     0,   487,   488,
     489,   490,   491,   492,   493,     0,   494,     0,   495,   496,
     497,   498,     0,     0,   499,     0,     0,   500,   501,   502,
     503,   504,   505,   506,   507,   508,   509,   510,   511,   512,
     513,   514,   515,   516,   517,   210,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   211,   212,   213,   214,
     215,   216,   217,   218,     0,   220,   221,   222,     0,     0,
       0,     0,     0,     0,     0,   223,   224,     0,   225,   226,
       0,   227,   228,   229,   230,   231,     0,   232,   233,     0,
     234,   235,   236,   237,   238,     0,     0,   239,   240,   241,
     242,   243,     0,   244,   245,   246,   247,   248,     0,     0,
       0,   249,   250,   251,   252,     0,   253,   254,     0,   255,
     256,   257,   258,   259,   260,     0,     0,   261,   262,     0,
       0,     0,     0,     0,     0,     0,   263,   264,   265,   266,
     267,   268,   269,   270,   271,     0,   272,     0,   273,   274,
     275,   276,   277,     0,   278,   279,   280,     0,     0,   281,
     282,   283,   284,   285,     0,   286,   287,   288,     0,   289,
     290,   291,     0,   292,   293,   294,   295,   296,   297,   298,
     299,   300,     0,   301,     0,   302,   303,   304,   305,     0,
     306,     0,   307,     0,     0,     0,   308,   309,   310,     0,
     311,   312,     0,   313,     0,   314,   315,   316,   317,  2640,
       0,   319,   320,   321,     0,   322,   323,   324,   325,   326,
     327,     0,   328,     0,   329,   330,   331,   332,   333,   334,
     335,     0,   336,     0,   337,     0,     0,   338,     0,   339,
     340,   341,   342,   343,     0,   344,   345,     0,   346,   347,
       0,   348,     0,     0,   349,   350,   351,     0,     0,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,     0,   366,   367,   368,   369,     0,   370,
     371,     0,   372,     0,   373,   374,   375,   376,   377,   378,
       0,   379,     0,     0,   380,   381,   382,     0,     0,   383,
     384,     0,   385,     0,   386,   387,   388,   389,   390,   391,
     392,   393,     0,   394,   395,   396,   397,   398,   399,   400,
       0,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,     0,   414,   415,   416,   417,   418,
     419,   420,   421,   422,   423,   424,     0,   425,   426,     0,
     427,   428,   429,   430,   431,   432,   433,   434,   435,   436,
     437,     0,   438,   439,   440,   441,   442,     0,   443,   444,
     445,   446,     0,   447,   448,   449,     0,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,     0,   461,
     462,     0,   463,   464,   465,   466,   467,   468,     0,   469,
     470,     0,     0,   471,   472,   473,   474,     0,   475,   476,
     477,   478,   479,   480,   481,     0,     0,   482,   483,   484,
     485,   486,     0,     0,   487,   488,   489,   490,   491,   492,
     493,     0,   494,     0,   495,   496,   497,   498,     0,     0,
     499,     0,     0,   500,   501,   502,   503,   504,   505,   506,
     507,   508,   509,   510,   511,   512,   513,   514,   515,   516,
     517,   210,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   211,   212,   213,   214,   215,   216,   217,   218,
       0,   220,   221,   222,     0,     0,     0,     0,     0,     0,
       0,   223,   224,     0,   225,   226,     0,   227,   228,   229,
     230,   231,     0,   232,   233,     0,   234,   235,   236,   237,
     238,     0,     0,   239,   240,   241,   242,   243,     0,   244,
     245,   246,   247,   248,     0,     0,     0,   249,   250,   251,
     252,     0,   253,   254,     0,   255,   256,   257,   258,   259,
     260,     0,     0,   261,   262,     0,     0,     0,     0,     0,
       0,     0,   263,   264,   265,   266,   267,   268,   269,   270,
     271,     0,   272,     0,   273,   274,   275,   276,   277,     0,
     278,   279,   280,     0,     0,   281,   282,   283,   284,   285,
       0,   286,   287,   288,     0,   289,   290,   291,     0,   292,
     293,   294,   295,   296,   297,   298,   299,   300,     0,   301,
       0,   302,   303,   304,   305,     0,   306,     0,   307,     0,
       0,     0,   308,   309,   310,     0,   311,   312,     0,   313,
       0,   314,   315,   316,   317,  2750,     0,   319,   320,   321,
       0,   322,   323,   324,   325,   326,   327,     0,   328,     0,
     329,   330,   331,   332,   333,   334,   335,     0,   336,     0,
     337,     0,     0,   338,     0,   339,   340,   341,   342,   343,
       0,   344,   345,     0,   346,   347,     0,   348,     0,     0,
     349,   350,   351,     0,     0,   352,   353,   354,   355,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,     0,
     366,   367,   368,   369,     0,   370,   371,     0,   372,     0,
     373,   374,   375,   376,   377,   378,     0,   379,     0,     0,
     380,   381,   382,     0,     0,   383,   384,     0,   385,     0,
     386,   387,   388,   389,   390,   391,   392,   393,     0,   394,
     395,   396,   397,   398,   399,   400,     0,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
       0,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,     0,   425,   426,     0,   427,   428,   429,   430,
     431,   432,   433,   434,   435,   436,   437,     0,   438,   439,
     440,   441,   442,     0,   443,   444,   445,   446,     0,   447,
     448,   449,     0,   450,   451,   452,   453,   454,   455,   456,
     457,   458,   459,   460,     0,   461,   462,     0,   463,   464,
     465,   466,   467,   468,     0,   469,   470,     0,     0,   471,
     472,   473,   474,     0,   475,   476,   477,   478,   479,   480,
     481,     0,     0,   482,   483,   484,   485,   486,     0,     0,
     487,   488,   489,   490,   491,   492,   493,     0,   494,     0,
     495,   496,   497,   498,     0,     0,   499,     0,     0,   500,
     501,   502,   503,   504,   505,   506,   507,   508,   509,   510,
     511,   512,   513,   514,   515,   516,   517,  1388,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,   742,   227,   228,   229,     0,  1389,   743,  1390,
    1391,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,  1392,  1393,   243,     0,   244,   245,   246,   247,     0,
       0,   744,     0,   249,   250,   251,   252,   745,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,   746,   261,
     262,     0,     0,     0,   747,     0,     0,     0,   263,   264,
     265,   266,   267,   268,  1394,  1395,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,  1050,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,     0,
     297,   298,   299,     0,     0,   301,     0,   302,   303,  1396,
     305,     0,   306,     0,   307,   748,     0,   749,   308,   309,
     310,     0,   311,     0,     0,   313,     0,   314,   315,   316,
     317,   318,   750,   319,   320,   321,  1868,   322,   323,   324,
     325,   326,   327,     0,   328,   751,  1869,   330,   331,   332,
     333,  1397,  1398,     0,  1399,     0,   337,   752,   753,   338,
     754,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,     0,   755,   348,   756,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,  1400,   757,  1401,   367,   368,     0,
       0,   370,   371,   758,   372,     0,     0,   374,  1402,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,  1871,   759,   385,   760,     0,   387,   388,   389,
     390,   391,   392,   393,     0,   394,     0,   396,     0,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,   407,
     408,  1403,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,   761,   427,   428,     0,   430,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,  1872,   445,   446,   762,   447,  1405,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,     0,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,  1406,  1407,     0,     0,   471,     0,   473,     0,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,     0,  1408,  1873,   494,   763,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,     0,  1388,     0,     0,     0,     0,     0,     0,     0,
     515,   516,   517,   211,   212,   213,   214,   215,   216,   217,
     218,     0,   220,   221,   222,     0,     0,     0,     0,     0,
       0,     0,   223,   224,     0,   225,   226,   742,   227,   228,
     229,     0,  1389,   743,  1390,  1391,     0,   234,   235,   236,
     237,   238,     0,     0,   239,   240,  1392,  1393,   243,     0,
     244,   245,   246,   247,     0,     0,   744,     0,   249,   250,
     251,   252,   745,   253,   254,     0,   255,   256,   257,   258,
     259,   260,     0,   746,   261,   262,     0,     0,     0,   747,
       0,     0,     0,   263,   264,   265,   266,   267,   268,  1394,
    1395,   271,     0,   272,     0,   273,   274,   275,   276,   277,
       0,   278,   279,   280,     0,     0,   281,   282,  1050,   284,
     285,     0,   286,   287,   288,     0,   289,   290,   291,     0,
     292,   293,   294,   295,     0,   297,   298,   299,     0,     0,
     301,     0,   302,   303,  1396,   305,     0,   306,     0,   307,
     748,     0,   749,   308,   309,   310,     0,   311,     0,     0,
     313,     0,   314,   315,   316,   317,   318,   750,   319,   320,
     321,     0,   322,   323,   324,   325,   326,   327,     0,   328,
     751,     0,   330,   331,   332,   333,  1397,  1398,     0,  1399,
       0,   337,   752,   753,   338,   754,   339,   340,   341,   342,
     343,     0,   344,   345,     0,   346,     0,   755,   348,   756,
       0,   349,   350,   351,     0,     0,   352,   353,   354,   355,
     356,   357,   358,   359,   360,   361,   362,   363,   364,  1400,
     757,  1401,   367,   368,     0,     0,   370,   371,   758,   372,
    1959,     0,   374,  1402,   376,   377,   378,     0,   379,     0,
       0,   380,   381,   382,     0,     0,   383,     0,   759,   385,
     760,     0,   387,   388,   389,   390,   391,   392,   393,     0,
     394,     0,   396,     0,   398,   399,   400,     0,   401,   402,
     403,   404,   405,   406,   407,   408,  1403,   410,   411,   412,
     413,     0,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,     0,   425,   426,   761,   427,   428,     0,
     430,   431,   432,   433,   434,   435,   436,   437,     0,   438,
     439,   440,   441,   442,     0,   443,  1872,   445,   446,   762,
     447,  1405,   449,     0,   450,   451,   452,   453,   454,   455,
     456,   457,   458,   459,     0,     0,   461,   462,  3423,   463,
     464,   465,   466,   467,   468,     0,  1406,  1407,     0,     0,
     471,     0,   473,     0,     0,   475,   476,   477,   478,   479,
     480,   481,     0,     0,   482,   483,   484,   485,   486,     0,
       0,   487,   488,   489,   490,   491,     0,  1408,     0,   494,
     763,   495,   496,   497,   498,     0,     0,   499,     0,     0,
     500,   501,   502,   503,   504,   505,     0,   210,     0,     0,
       0,     0,     0,     0,     0,   515,   516,   517,   211,   212,
     213,   214,   215,   216,   217,   218,     0,   220,   221,   222,
       0,     0,     0,     0,     0,     0,     0,   223,   224,     0,
     225,   226,     0,   227,   228,   229,   230,   231,     0,   232,
     233,     0,   234,   235,   236,   237,   238,     0,     0,   239,
     240,   241,   242,   243,     0,   244,   245,   246,   247,   248,
       0,     0,     0,   249,   250,   251,   252,     0,   253,   254,
       0,   255,   256,   257,   258,   259,   260,     0,     0,   261,
     262,     0,     0,     0,     0,     0,     0,     0,   263,   264,
     265,   266,   267,   268,   269,   270,   271,     0,   272,     0,
     273,   274,   275,   276,   277,     0,   278,   279,   280,     0,
       0,   281,   282,   283,   284,   285,     0,   286,   287,   288,
       0,   289,   290,   291,     0,   292,   293,   294,   295,   296,
     297,   298,   299,   300,     0,   301,     0,   302,   303,   304,
     305,     0,   306,     0,   307,     0,     0,     0,   308,   309,
     310,     0,   311,   312,     0,   313,     0,   314,   315,   316,
     317,   318,     0,   319,   320,   321,     0,   322,   323,   324,
     325,   326,   327,     0,   328,     0,   329,   330,   331,   332,
     333,   334,   335,     0,   336,     0,   337,     0,     0,   338,
       0,   339,   340,   341,   342,   343,     0,   344,   345,     0,
     346,   347,     0,   348,     0,     0,   349,   350,   351,     0,
       0,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,     0,   366,   367,   368,   369,
       0,   370,   371,     0,   372,     0,   373,   374,   375,   376,
     377,   378,     0,   379,     0,     0,   380,   381,   382,     0,
       0,   383,   384,     0,   385,     0,   386,   387,   388,   389,
     390,     0,   392,   393,     0,   394,   395,   396,   397,   398,
     399,   400,     0,   401,   402,   403,   404,   405,   406,     0,
     408,   409,   410,   411,   412,   413,     0,   414,   415,   416,
     417,   418,   419,   420,   421,   422,   423,   424,     0,   425,
     426,     0,   427,   428,   429,     0,   431,   432,   433,   434,
     435,   436,   437,     0,   438,   439,   440,   441,   442,     0,
     443,   444,   445,   446,     0,   447,   448,   449,     0,   450,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
       0,   461,   462,     0,   463,   464,   465,   466,   467,   468,
       0,   469,   470,     0,     0,   471,   472,   473,   474,     0,
     475,   476,   477,   478,   479,   480,   481,     0,     0,   482,
     483,   484,   485,   486,     0,     0,   487,   488,   489,   490,
     491,   492,   493,     0,   494,     0,   495,   496,   497,   498,
       0,     0,   499,     0,     0,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,  1388,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,     0,  1389,   743,  1390,  1391,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1392,  1393,   243,
       0,   244,   245,   246,   247,     0,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1394,  1395,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1396,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,     0,   330,   331,   332,   333,  1397,  1398,     0,
    1399,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1400,   757,  1401,   367,   368,  2018,     0,   370,   371,   758,
     372,     0,     0,   374,  1402,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   759,
     385,   760,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1403,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1404,   445,   446,
     762,   447,  1405,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1406,  1407,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1408,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1388,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,     0,  1389,   743,
    1390,  1391,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1392,  1393,   243,     0,   244,   245,   246,   247,
       0,     0,   744,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,     0,     0,     0,   747,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1394,  1395,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1050,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1396,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,     0,   330,   331,
     332,   333,  1397,  1398,     0,  1399,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   755,   348,   756,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1400,   757,  1401,   367,   368,
    3242,     0,   370,   371,   758,   372,     0,     0,   374,  1402,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   759,   385,   760,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1403,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1404,   445,   446,   762,   447,  1405,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1406,  1407,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1408,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,  1388,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,     0,  1389,   743,  1390,  1391,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1392,  1393,   243,
       0,   244,   245,   246,   247,     0,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1394,  1395,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1396,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,     0,   330,   331,   332,   333,  1397,  1398,     0,
    1399,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1400,   757,  1401,   367,   368,     0,     0,   370,   371,   758,
     372,     0,     0,   374,  1402,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   759,
     385,   760,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1403,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,  1404,   445,   446,
     762,   447,  1405,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1406,  1407,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1408,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1388,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,     0,  1389,   743,
    1390,  1391,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,  1392,  1393,   243,     0,   244,   245,   246,   247,
       0,     0,   744,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,     0,     0,     0,   747,     0,     0,     0,   263,
     264,   265,   266,   267,   268,  1394,  1395,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,  1050,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
    1396,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,     0,   330,   331,
     332,   333,  1397,  1398,     0,  1399,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   755,   348,   756,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,  1400,   757,  1401,   367,   368,
       0,     0,   370,   371,   758,   372,     0,     0,   374,  1402,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   759,   385,   760,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,  1403,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,  1872,   445,   446,   762,   447,  1405,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,  1406,  1407,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,  1408,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,  1388,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517,   211,   212,   213,   214,   215,   216,
     217,   218,     0,   220,   221,   222,     0,     0,     0,     0,
       0,     0,     0,   223,   224,     0,   225,   226,   742,   227,
     228,   229,     0,  1389,   743,  1390,  1391,     0,   234,   235,
     236,   237,   238,     0,     0,   239,   240,  1392,  1393,   243,
       0,   244,   245,   246,   247,     0,     0,   744,     0,   249,
     250,   251,   252,   745,   253,   254,     0,   255,   256,   257,
     258,   259,   260,     0,   746,   261,   262,     0,     0,     0,
     747,     0,     0,     0,   263,   264,   265,   266,   267,   268,
    1394,  1395,   271,     0,   272,     0,   273,   274,   275,   276,
     277,     0,   278,   279,   280,     0,     0,   281,   282,  1050,
     284,   285,     0,   286,   287,   288,     0,   289,   290,   291,
       0,   292,   293,   294,   295,     0,   297,   298,   299,     0,
       0,   301,     0,   302,   303,  1396,   305,     0,   306,     0,
     307,   748,     0,   749,   308,   309,   310,     0,   311,     0,
       0,   313,     0,   314,   315,   316,   317,   318,   750,   319,
     320,   321,     0,   322,   323,   324,   325,   326,   327,     0,
     328,   751,     0,   330,   331,   332,   333,  1397,  1398,     0,
    1399,     0,   337,   752,   753,   338,   754,   339,   340,   341,
     342,   343,     0,   344,   345,     0,   346,     0,   755,   348,
     756,     0,   349,   350,   351,     0,     0,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
    1400,   757,  1401,   367,   368,     0,     0,   370,   371,   758,
     372,     0,     0,   374,  1402,   376,   377,   378,     0,   379,
       0,     0,   380,   381,   382,     0,     0,   383,     0,   759,
     385,   760,     0,   387,   388,   389,   390,   391,   392,   393,
       0,   394,     0,   396,     0,   398,   399,   400,     0,   401,
     402,   403,   404,   405,   406,   407,   408,  1403,   410,   411,
     412,   413,     0,   414,   415,   416,   417,   418,   419,   420,
     421,   422,   423,   424,     0,   425,   426,   761,   427,   428,
       0,   430,   431,   432,   433,   434,   435,   436,   437,     0,
     438,   439,   440,   441,   442,     0,   443,     0,   445,   446,
     762,   447,  1405,   449,     0,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,     0,     0,   461,   462,     0,
     463,   464,   465,   466,   467,   468,     0,  1406,  1407,     0,
       0,   471,     0,   473,     0,     0,   475,   476,   477,   478,
     479,   480,   481,     0,     0,   482,   483,   484,   485,   486,
       0,     0,   487,   488,   489,   490,   491,     0,  1408,     0,
     494,   763,   495,   496,   497,   498,     0,     0,   499,     0,
       0,   500,   501,   502,   503,   504,   505,     0,  1388,     0,
       0,     0,     0,     0,     0,     0,   515,   516,   517,   211,
     212,   213,   214,   215,   216,   217,   218,     0,   220,   221,
     222,     0,     0,     0,     0,     0,     0,     0,   223,   224,
       0,   225,   226,   742,   227,   228,   229,     0,     0,   743,
       0,     0,     0,   234,   235,   236,   237,   238,     0,     0,
     239,   240,     0,     0,   243,     0,   244,   245,   246,   247,
       0,     0,   744,     0,   249,   250,   251,   252,   745,   253,
     254,     0,   255,   256,   257,   258,   259,   260,     0,   746,
     261,   262,     0,     0,     0,   747,     0,     0,     0,   263,
     264,   265,   266,   267,   268,     0,     0,   271,     0,   272,
       0,   273,   274,   275,   276,   277,     0,   278,   279,   280,
       0,     0,   281,   282,   283,   284,   285,     0,   286,   287,
     288,     0,   289,   290,   291,     0,   292,   293,   294,   295,
       0,   297,   298,   299,     0,     0,   301,     0,   302,   303,
       0,   305,     0,   306,     0,   307,   748,     0,   749,   308,
     309,   310,     0,   311,     0,     0,   313,     0,   314,   315,
     316,   317,   318,   750,   319,   320,   321,     0,   322,   323,
     324,   325,   326,   327,     0,   328,   751,     0,   330,   331,
     332,   333,     0,     0,     0,     0,     0,   337,   752,   753,
     338,   754,   339,   340,   341,   342,   343,     0,   344,   345,
       0,   346,     0,   755,   348,   756,     0,   349,   350,   351,
       0,     0,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,     0,   757,     0,   367,   368,
       0,     0,   370,   371,   758,   372,     0,     0,   374,     0,
     376,   377,   378,     0,   379,     0,     0,   380,   381,   382,
       0,     0,   383,     0,   759,   385,   760,     0,   387,   388,
     389,   390,   391,   392,   393,     0,   394,     0,   396,     0,
     398,   399,   400,     0,   401,   402,   403,   404,   405,   406,
     407,   408,     0,   410,   411,   412,   413,     0,   414,   415,
     416,   417,   418,   419,   420,   421,   422,   423,   424,     0,
     425,   426,   761,   427,   428,     0,   430,   431,   432,   433,
     434,   435,   436,   437,     0,   438,   439,   440,   441,   442,
       0,   443,     0,   445,   446,   762,   447,     0,   449,     0,
     450,   451,   452,   453,   454,   455,   456,   457,   458,   459,
       0,     0,   461,   462,     0,   463,   464,   465,   466,   467,
     468,     0,     0,     0,     0,     0,   471,     0,   473,     0,
       0,   475,   476,   477,   478,   479,   480,   481,     0,     0,
     482,   483,   484,   485,   486,     0,     0,   487,   488,   489,
     490,   491,     0,     0,     0,   494,   763,   495,   496,   497,
     498,     0,     0,   499,     0,     0,   500,   501,   502,   503,
     504,   505,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   515,   516,   517
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-4013))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2272))

static const yytype_int16 yycheck[] =
{
       0,     0,     0,     0,     0,     0,    16,    48,    34,   545,
     189,    11,   735,   574,    24,  1155,   195,   932,   687,   740,
      20,   991,    20,   193,   969,   936,    43,   206,   171,     7,
     179,   644,   645,   646,   941,    21,    14,   650,  1222,   188,
      26,   961,  1698,   811,  1558,   816,  1660,  1860,    48,    21,
    1173,   612,   834,   792,    26,   765,   592,   825,    12,  2017,
     890,   873,   574,  1404,   871,  1257,  1048,  1049,  1019,  1209,
     900,   694,  1077,  1361,  2608,  1421,    20,  1157,  1262,  2154,
      17,  1266,    22,  2302,  2162,  1067,  2631,  1876,  1877,  2115,
    2651,    42,  2653,  1276,    34,  1460,  2890,   536,  1314,  1595,
    3108,   815,  2827,  1178,  2790,   819,  1824,  2070,   876,  2281,
    3049,  2808,   880,   827,  2852,   922,  2516,   885,  3075,  3151,
       0,   594,  2808,  3198,   892,  1205,  2458,  2463,  3147,   690,
     611,   604,  2461,  2462,   902,   158,   173,     0,  3081,  1324,
     173,  2879,  3424,  2869,   583,  1629,  2395,  1330,  1331,    33,
    1515,  1249,  3360,  3403,  3413,  1209,    40,     0,     0,  1643,
       0,     0,     0,     0,  3843,  1262,  2524,  1463,  3637,     0,
       0,     0,     0,   173,    39,  1095,     0,  2509,   690,  3080,
    3007,    31,  1188,  1471,  2812,  2813,  2814,  2815,  2816,  2817,
     825,     0,   782,  1005,  3118,  1037,  1038,     0,     5,  2157,
      66,     0,    58,   732,     5,    11,   732,     5,  3947,  1693,
    3949,     5,    37,     0,  4119,     5,     5,    37,    44,    13,
    1876,  1063,    18,    13,    13,   103,    79,    72,   147,    96,
     969,    26,    27,    51,    16,   152,   103,   153,     0,    18,
       5,   172,    22,   105,   134,  3980,   134,  4112,    22,    29,
     201,     5,     5,  4265,    76,    29,   869,    58,    22,   108,
      96,     5,     9,     0,  2458,    29,   127,  2610,    25,     5,
    2228,   103,  2230,  2522,    83,   180,   181,     5,     5,   184,
      83,   186,    11,     4,  1424,     5,     5,    35,     9,   133,
     256,    68,  4065,    58,    20,     0,   103,   155,   133,    22,
     205,   280,   251,   160,     9,   326,    51,    36,     5,  4193,
    4194,     5,   246,   234,    40,  2509,   254,    22,   854,   110,
     246,    96,   234,    22,   120,     0,   264,     9,   359,    51,
     144,   103,    32,   308,     9,   108,   185,    66,    28,   381,
     310,   120,     5,   256,    11,   152,     9,    22,   157,   290,
      22,   133,  4003,   152,   157,   310,   151,     9,   153,   297,
    1142,    78,    96,    11,   543,   152,     4,   250,   547,   236,
     193,     9,   255,   172,  2984,   545,   391,     8,  4390,   558,
      11,    68,   531,   338,   948,   172,  1096,  4038,    36,    76,
     152,     3,     4,     5,   436,   959,   957,     9,  3008,    66,
     117,  1140,  1407,   316,   236,   380,  1145,  1146,   969,   440,
     172,   111,  1394,  1395,  1124,   152,   115,   438,    66,   233,
    1402,    11,   592,  1937,   285,  4104,    35,   250,     5,   578,
    4169,   319,  1555,     3,  3642,   172,  1559,    11,  1561,   588,
     103,  1564,    68,   115,   134,   957,    36,   152,   152,   302,
      76,   308,   393,   176,   392,  1370,   405,   436,    68,   234,
     186,   349,  1023,   321,   236,  4238,   436,   172,  1375,   942,
     319,   437,   339,   385,   440,   342,    66,   152,  1290,   199,
      68,    68,   314,  2826,   328,   303,     5,   323,     8,   122,
     971,   103,   350,   328,  4506,   304,   417,   172,   221,   387,
    1239,   304,   436,   152,    68,    75,   396,    96,  1247,   440,
     436,  1023,   400,  3141,  1594,   152,   526,   436,   297,   436,
     436,   383,   158,  1237,   997,  1665,   371,  3224,   310,     8,
     379,  1872,    11,    96,  1007,  4400,  1882,   359,  3224,   359,
    4424,   172,  1310,   300,  1312,   423,   328,  1020,   436,  1320,
    1392,  1393,   359,  1365,   334,   125,  1386,  1364,   303,  1401,
     334,   386,   193,  1302,   574,   575,  1305,  1306,   434,   436,
     334,   612,   438,  1287,  1654,   436,  1137,  1359,   190,  1549,
     436,   303,   359,   379,  1145,  1146,   436,   440,   525,   390,
     381,   400,   735,   616,  4329,  3845,   391,   400,   346,  3538,
    3808,  2559,   214,   193,   402,  4510,   379,   177,  1519,  3154,
     436,   611,   612,   611,  3571,   349,   423,  1429,  3575,  3562,
    1700,   252,   440,  1629,   422,  1137,   432,   350,   437,   534,
     439,   438,  1371,   538,   437,   436,   439,  1643,   436,   625,
     439,   627,   436,   629,  3382,  1556,   436,   436,   658,   635,
     555,  3859,   439,   625,  1565,   627,   610,   629,  3485,  1294,
    3561,   639,  1297,   635,   636,   637,  1256,  1196,   612,   679,
    1196,   436,  3397,  1593,  1486,  1595,   686,   439,  4417,   689,
     690,   691,   436,   436,   854,  1605,  3412,   724,   435,  1609,
     839,   724,   436,  3617,    22,   440,   390,  1617,  1618,   269,
     436,   850,   439,   432,   655,   402,   427,   428,   436,   436,
    1630,  1631,  4391,  3341,   193,   434,  4185,   436,   440,   438,
      98,  1641,   427,   428,   724,   422,   726,   726,   726,   726,
     726,   726,   252,   359,   439,  2031,   440,   346,  2527,   436,
    2529,  3073,   436,  3075,  2770,   427,   428,  2773,  2774,   359,
    1890,  2777,   427,   428,   436,    25,  1292,  2783,  3094,   710,
     349,   910,   400,   396,   439,  1950,    18,  3975,   246,  2847,
     714,   359,   359,   252,  3982,   427,   428,  3135,  3323,  1621,
    1622,   429,   430,   431,   432,  4464,   349,   165,   739,   427,
     428,   440,   423,   424,   425,   359,   427,   428,   429,   430,
     431,   432,   372,   440,   440,  2461,  2462,  2463,    96,     8,
     380,    96,    11,   383,   152,   427,   428,  2775,  2776,  3151,
     792,   340,   341,   688,   103,    18,    18,   692,  2013,    28,
     781,    24,    24,    18,   154,   161,  1890,   427,   428,   429,
     430,   431,   432,  4102,   120,   223,   726,   301,   226,    98,
     249,  1663,   108,     5,  1467,   429,   430,   431,   432,   113,
    2474,    74,  2002,   726,    51,    51,   152,    11,   120,   123,
    1968,   154,   326,  3122,   250,    64,    74,  2361,  2362,  3073,
    1977,  3075,  2366,   726,   726,   105,   726,   726,   726,   726,
     795,   796,   772,  1562,  1563,   726,   726,   726,   726,   112,
    3434,  3933,   726,   423,   424,   425,    83,   427,   428,   429,
     430,   431,   432,    23,   112,    18,   165,  1481,   108,   146,
       5,    24,  2406,  2407,   154,    11,  1490,   120,   120,   185,
    1494,   263,   252,   817,   108,   120,  1500,  1501,   349,   317,
       3,  1651,     5,   271,  3976,   825,   120,   957,   427,   428,
     429,   430,   431,   432,  1518,  3894,     5,  3151,   436,   969,
     319,     5,   867,  1499,   103,  1526,   250,     8,    60,   252,
      11,   971,   105,   971,   223,   195,   913,   226,   254,  2195,
     157,  3938,   161,   888,   889,   263,  3943,    28,   256,  3946,
     349,  3934,  1002,   321,   193,   185,   974,   969,   976,   256,
     978,  2790,   980,   908,   982,   983,   984,  4289,    22,  2149,
     264,   989,   264,  1023,   153,  2207,   236,   120,  1491,  2808,
    4279,   359,   342,  4273,   352,   301,   354,   359,   387,  1502,
     300,  1031,   152,   938,   939,    98,   165,   436,   416,   131,
     319,  1514,   312,   297,  1525,   297,   273,   234,  1487,   193,
     326,  1051,   265,   252,  1095,   234,    70,   149,   436,   385,
     249,   349,   195,    77,   349,  3859,   286,   265,   317,    42,
     349,   264,   264,   359,   326,     8,   186,   436,    11,   264,
    4112,  1081,   312,    60,   221,   423,  3631,  1097,   105,   241,
     104,  1627,   197,   363,   223,  1095,  3834,  1107,   237,  2888,
     438,   275,   165,   236,   297,   297,  3667,   193,   387,    60,
    1120,  3837,   297,   627,   628,   629,   303,   303,   632,   633,
     634,   400,  1292,   379,    95,    76,   103,  1137,   642,   234,
    1140,  1141,   384,   326,   326,  1145,  1146,   367,    76,   326,
     353,   326,  4392,  1166,  1181,  1182,  2269,  1184,  1181,  1182,
     434,  1184,   193,   286,   438,   353,   241,   436,  2140,    34,
     223,   103,   176,   226,  4183,   103,  1345,   416,  1140,  1981,
      97,   106,   440,  1145,  1146,   198,   366,   299,   195,  2525,
     131,  1181,  1182,   440,  1184,  2531,   278,   153,   317,   379,
    1859,   361,   241,  4401,   314,   168,  4135,   241,   149,   172,
     333,  4276,    74,    74,  4463,   436,   385,    74,  4467,  4166,
       8,   252,   359,    11,    52,  3615,   263,    30,   161,   236,
     440,  3983,    60,   328,   423,   424,   425,   147,   427,   428,
     429,   430,   431,   432,   169,     0,  2066,   210,    36,  3571,
     112,   112,   381,  3575,    42,   112,  2386,  1198,   175,   156,
    4509,   222,  2392,   224,   317,  1819,  3592,   439,  3587,   236,
     193,  3597,  1976,     5,   241,  1444,  4205,  1239,    66,   286,
    4209,  4210,   392,  3299,   379,  1247,   130,  4309,   400,  3305,
    3306,  1460,   374,   427,   428,   429,   430,   431,   432,   105,
     103,   234,  4473,   440,  3466,  2034,   171,  1234,   236,   241,
     266,   278,   440,  2042,   105,  2044,  2221,   214,  1318,  4006,
    4072,  1283,   359,  1492,  2225,   292,  2128,  2031,   440,   252,
    4006,   264,  2026,   172,  2231,  4333,  4334,   278,   342,  1499,
    1302,  1480,   161,  1305,  1306,   189,  1515,   142,  2052,     5,
    1489,   427,   428,   429,   430,   431,   432,  2177,  2178,  2179,
    2180,   132,  2120,   416,   297,  2361,  2362,   330,  4083,  2189,
    2366,   103,     5,   179,  4089,   331,  1271,   280,  4400,   155,
    4551,  2085,  1323,  1383,   172,   297,   214,  3571,   223,   299,
    2084,  3575,   423,   424,   425,   363,   427,   428,   429,   430,
     431,   432,   173,   265,   265,   193,   194,   374,   265,  1371,
    2406,  2407,   256,  1939,   326,   234,   211,  2482,  2215,  1558,
    2330,  3129,  2926,   264,  1294,   142,   277,  1297,   234,   245,
     236,   348,   349,   374,  4186,   254,    44,  1332,  1333,  1334,
    1335,  2554,  2624,  3396,  4196,  3224,  1446,   103,  3094,   264,
     241,   239,   385,   256,   263,   352,   297,   354,   297,  3262,
     359,  3264,   301,   393,   252,  3268,  1895,  1627,   972,  2379,
     103,   975,   115,   977,   117,   979,  2962,   981,  1373,  1374,
     377,   985,   317,    95,  1379,   326,    94,   326,  4486,  2291,
     326,   353,   353,  3441,   211,  3443,   353,   107,   105,  2705,
    2410,   424,   425,   263,   427,   428,   429,   430,   431,   432,
     361,   326,  1975,   107,     8,  2989,   264,    11,  2992,  2993,
    2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,  1423,   373,
     312,   248,  4067,   310,    28,  1525,  4264,  1525,  2448,  2714,
     147,   440,   130,   147,  2273,   321,   316,   156,  3022,   297,
     359,    49,   403,   157,   142,  1450,  1451,  1452,  1453,   147,
    2915,   400,    38,  2535,   277,   177,   385,  1535,   172,  1537,
    1586,  1539,   179,  1541,   350,  1543,   184,  3051,  3052,  1547,
     359,   363,   192,    59,   199,   359,  1576,  1576,  1576,  1576,
    1576,  1576,  1526,   369,  2023,   436,  4120,    95,   192,   359,
    2203,   189,   379,   246,  2564,   214,     3,   106,   290,  1504,
     222,  3933,   224,   115,  1614,   117,  3938,  4401,  1513,   359,
     423,  3943,    19,   211,  3946,  1520,   234,   234,   359,   236,
    1571,   434,   381,   436,   437,   438,   156,   440,   320,   427,
     428,   429,   430,   431,   432,  1607,  1608,   142,   361,   423,
    4201,   264,   147,  1615,  3976,  1585,   400,  1619,  1620,  2210,
     248,   440,  4197,   153,   438,  1592,  2220,   349,   256,  3878,
     169,  4399,  1634,   361,  1636,   359,   174,  2807,    75,   264,
    1670,   290,  2236,  2237,   297,   436,  2240,   436,   301,   106,
     403,   181,  2246,  2244,   214,  1657,   440,  1659,  2595,   193,
    2873,   221,   306,  2876,  3652,  3653,   196,   315,  2210,   440,
    1442,   393,   297,   326,  1714,   403,   211,  1886,   208,   297,
     400,   363,  1891,   301,   222,  1894,   224,     8,   125,  1461,
      11,   434,   314,  3337,   236,   438,   234,   290,   312,  3755,
    3756,  4456,  2244,   352,   246,   354,  2475,  1916,   326,  3933,
    2304,  3816,   169,   248,  3938,  2468,   440,  3825,   252,  3943,
     440,  3970,  3946,  3972,   351,   263,    76,   320,   377,   351,
    4294,  3836,   115,  1668,   117,   172,   142,   285,   154,  1939,
     177,   147,  2584,    11,   393,   373,  2583,   400,  1957,   363,
    4112,  1930,  3976,   363,   236,   423,   349,   140,  1937,   241,
      83,  4336,   299,   311,   302,  1974,   182,   400,    36,  1645,
     438,  2924,  1648,   400,   130,   402,    31,   307,   400,   102,
     402,   314,   400,   297,  2361,  2362,   142,   314,   264,  2366,
    1999,   147,   352,     8,   354,    50,    11,   312,    66,   337,
     393,   381,   284,  3179,  4166,   211,   156,   440,   227,   436,
    2611,   134,   326,    28,   436,   316,  2025,   377,   351,  2472,
    2029,   297,  1838,   197,   351,   175,   352,    82,   354,  2406,
    2407,  2632,   269,   189,  1864,  1864,  1838,  3155,  2047,  3353,
     221,  2683,   248,  2685,  1900,   264,  1902,  1821,   363,   221,
     326,  4426,  2061,   236,  3024,   211,   436,  2857,   241,   175,
     234,  2427,    68,   246,   214,  2074,  2866,   400,  2612,   402,
      76,   308,   193,   400,  2083,   402,    26,    27,   297,   402,
    3723,   314,   301,   138,  2475,   167,  3530,   264,  4112,   423,
     424,   425,   248,   427,   428,   429,   430,   431,   432,   422,
     256,  3587,   286,   436,  2746,   255,  3592,   326,   152,   436,
     347,  3597,   286,   436,   298,   170,   147,   264,   351,   402,
     297,  3031,     4,  1963,   352,   147,   354,     9,   172,  2771,
      73,   252,  2676,    83,   437,   372,   167,   440,   322,   422,
      57,    58,  4166,   380,   199,   167,   383,  4309,   393,   326,
     297,   206,   102,  2989,   328,  4530,  2992,  2993,  2994,  2995,
    2996,  2997,  2998,  2999,  3000,  3001,  2947,   400,  1949,   402,
     293,    20,  3187,  2567,   363,    84,  3011,  3012,   193,   326,
      80,   236,   365,   316,   134,  4041,  3022,    48,  3201,  3202,
    2581,    40,   375,   434,   402,   436,   319,  1932,  1933,  1934,
      84,   199,   352,   436,   354,   379,  1941,   436,  1943,  2954,
    1945,  1946,  3227,   363,   422,  3051,  3052,   373,  3532,  3533,
    3130,   264,   437,  2821,   374,   440,   349,   377,   436,   250,
    2872,   434,  2034,   436,   255,   438,    11,   252,  4400,  2581,
    2042,   436,  2044,   438,   153,  2639,   301,  2641,  2551,  2552,
     305,   310,   311,  3223,   297,  3225,   311,  2899,     9,   437,
     435,    36,   440,   318,   387,   440,   436,  2107,  3018,   153,
    2279,   326,   181,    60,   400,  2115,   402,   400,   434,    66,
     335,   437,   438,   326,  3765,  4309,  3767,   196,   343,    76,
    3771,    66,  3773,  2302,   440,   435,  4084,   181,   250,   208,
     440,    75,   423,   424,   425,  2040,   427,   428,   429,   430,
     431,   432,   196,   436,  2951,    48,   103,   314,   105,   436,
    3132,   438,   231,   431,   208,   238,  2968,  2306,   436,     5,
     438,   436,    21,  2312,    10,  2137,  2176,    26,    38,  3309,
     395,   250,    18,   293,   399,   400,  2988,   231,   419,   420,
     124,  2745,  3152,  3153,   351,   431,  3527,  2751,   437,    35,
     436,   440,   438,   437,  2204,  2100,   440,  2197,  2197,   319,
    2210,  3013,  3858,  2108,  4423,   400,  4400,   402,  2113,  2163,
    3879,  3880,  3881,  3882,  1010,  1011,  2955,  4006,  3402,  2799,
    2800,  2801,   179,  2696,  2378,  3417,  2380,  2381,   307,   349,
     310,   311,  2845,   400,  2244,   402,   319,  3049,   423,   424,
     425,   393,   427,   428,   429,   430,   431,   432,   193,   194,
     352,   437,   354,   307,   440,    31,   352,  2427,   354,   203,
     204,  2822,   437,  2824,   195,   440,   349,   387,   437,   436,
     439,   391,   437,   217,    50,   440,   438,   237,   238,   236,
     400,   418,   437,   437,   241,   440,   440,   253,   115,   437,
     117,   253,   440,  2198,   239,   437,   250,   437,   440,   314,
     440,  2273,   381,   359,   387,   437,    82,   250,   440,  2458,
    2822,   437,  2824,   140,   440,  3097,   436,   400,   253,   147,
     264,   278,  2227,  2493,  2229,  4114,  2887,    38,  3451,  3452,
    3453,   400,   418,   402,  2898,   292,   351,   437,  2902,  2903,
     440,  2905,   195,  2907,  2908,  3959,   437,  3353,   437,   440,
     418,   440,  2916,   436,   437,    44,   439,  2536,   429,   319,
    2509,   437,   138,  2836,   440,  2838,  3089,  3090,  3091,  2410,
     437,   437,   151,   440,   440,  2887,  3086,   437,   437,   437,
     440,   440,   440,   440,  2948,   400,   437,   402,   439,   349,
      50,   314,   437,   436,   170,   440,    85,   437,   437,  2578,
    4213,  4214,   437,  4216,    48,   440,  3890,   351,   437,   353,
    2410,   440,   152,   437,   241,  3899,   440,   374,  2323,   246,
     109,   436,    82,   199,  2424,   191,   437,   387,   351,   440,
     206,   437,  3916,  3917,   440,   124,  2453,  2454,  2455,   128,
     400,   437,  2989,  2443,   440,  2992,  2993,  2994,  2995,  2996,
    2997,  2998,  2999,  3000,  3001,   729,   436,   731,  2458,   148,
     236,   437,   151,   437,   440,  2475,   440,   437,   404,   314,
     440,  2512,   319,  2946,   163,   438,   436,   400,   138,   402,
     436,   135,   427,   428,   429,   430,   431,   432,   326,  2489,
    2489,  2489,  2489,  2489,  2489,   437,  2675,   437,   440,   314,
     440,  2473,   349,  2475,  3051,  3052,   351,  2686,  3588,  2509,
     170,    50,  2512,   436,   438,   437,    21,     8,   440,   437,
      11,  3292,   440,   436,   314,   301,  3532,  3533,   437,   305,
     437,   440,  3612,   440,   172,   311,   351,    28,   365,  4352,
     387,   437,   318,    82,   440,    36,   206,   250,   375,  4063,
     326,    42,   241,   400,  3576,   400,  3578,   402,   135,   335,
     249,   351,   437,    68,   135,   440,   437,   343,  3380,   440,
     437,  2581,   250,   440,   437,    66,   236,   440,   147,   437,
     437,   437,   440,   440,   440,   400,  2765,   402,   135,   436,
     209,   436,    97,   105,  3514,   284,  3426,   437,   437,   138,
     440,   440,   437,  3726,  3727,   440,  3729,   381,   437,   250,
     400,   440,   402,   118,   437,   437,   436,   440,   440,   395,
    2790,   436,   363,   399,   129,   437,   437,   437,   440,   440,
     440,   170,   437,   437,  4290,   440,   440,   437,  2808,   437,
     440,   301,   440,   303,   149,   305,   436,  2657,   245,   154,
    4134,   311,   437,   437,   437,   440,   440,   440,   318,   437,
     437,   393,   440,   440,   316,   437,   326,   206,   440,   199,
     283,   436,    60,   400,    31,   335,   236,   168,   404,   436,
     236,   172,    38,   343,  2694,  2590,    38,  2592,  2593,  2594,
     264,   368,   147,   393,    21,   200,   393,   236,    73,   281,
     135,   135,   193,   194,   135,   436,   404,   135,   135,   135,
     440,   135,   135,   250,   135,   135,   221,  3456,   135,   210,
     135,   250,   135,   349,   436,   264,  3538,    54,    31,   148,
     209,   147,   250,   147,   436,   395,  2915,     5,  2748,     5,
      67,   436,   436,   147,   436,   236,   436,   274,   239,   436,
    2929,   436,   436,    80,     5,     5,   436,   436,   297,     5,
    2770,   252,   301,  2773,  2774,   436,   305,  2777,   436,   436,
    2949,   436,   311,  2783,   436,   436,   281,  2926,     5,   318,
    2790,   436,   191,   436,   401,   436,   436,   326,  3261,   436,
    3263,   118,   261,   436,  3267,   440,   335,   436,  2808,   436,
     436,   436,   129,   308,   343,   436,  3353,   440,    31,   314,
      86,   209,  2822,    31,  2824,   320,     0,  3762,  2790,   147,
     326,   147,   149,   248,   246,  2797,  2798,   154,   359,   314,
    2802,   359,   438,   359,   359,   359,  2808,   314,  3650,   330,
     359,    76,   359,   314,   349,   135,   351,   250,   318,   359,
    2860,   206,   359,  3823,   241,   359,   395,   380,   250,   177,
     246,   436,   359,   368,  3676,   359,   166,  2839,   436,    76,
     440,   264,   135,   381,  3438,    97,  2886,  2887,  2878,  2878,
     381,  3693,  3446,  3447,  3890,   359,   359,   359,   393,    48,
      48,   359,   359,  3899,   221,   359,   254,  2897,  2897,    83,
     359,   359,    37,  3376,  3377,    37,   359,   314,  4048,   359,
    3916,  3917,   359,   250,   404,   250,  4100,   400,  3061,   440,
     193,   436,   436,   436,  3073,   252,  3075,  3637,   390,    31,
      30,    20,   423,   424,   425,  3747,   427,   428,   429,   430,
     431,   432,   250,   135,   236,   381,   130,   436,   103,   135,
     392,   246,   217,   236,   281,    31,   147,    31,   142,   199,
     436,    31,   315,   147,   135,   135,   135,   135,   152,   381,
     381,   135,   152,   157,   245,   359,   160,   357,   162,   240,
      50,   418,   436,  2955,   436,  3532,  3533,   314,   396,   228,
     228,    11,   440,   320,   326,   357,   323,   436,   436,   359,
     160,   143,  3151,  3182,  2909,   189,   152,  2912,   440,   166,
     361,   189,    82,   166,   328,   197,   381,   251,  3059,   437,
      48,   258,   349,  3762,    75,  3035,   436,   211,   355,   359,
     359,  3951,   314,   314,  3075,   440,  4159,   437,   440,   436,
     381,   368,   241,   197,   241,   197,  4169,   359,  3065,  3066,
    3067,  3068,  2957,   359,  3224,   359,   363,   436,   316,  3059,
     393,   199,   241,   250,   248,    38,   393,  3603,   138,   333,
     359,   440,   256,  3073,   249,  3075,   297,   394,   314,   359,
     297,   167,  3894,   286,  3648,   359,   193,   359,  4058,  4059,
     323,    31,   193,  3272,   193,   381,  3275,   381,  4221,   193,
     170,   193,   249,   423,    30,  4050,   359,   359,   423,   434,
     434,   359,   359,  3677,  3678,   436,   135,   147,   393,   246,
     304,   323,   149,   436,   135,   436,    31,   250,  4134,   199,
     400,   250,   164,   164,   147,    31,   206,   135,   250,   250,
     323,   147,   440,   172,   440,   404,   172,   172,    19,   440,
     158,   400,   225,   250,    48,   440,   349,   363,   245,   199,
     437,   393,   152,   268,   152,   349,   236,   260,   437,   359,
     437,    13,    13,   387,   379,   437,   418,   437,   304,    48,
     437,   437,   437,   437,  3748,  3749,   397,   397,   211,   373,
     250,   253,  4315,   437,   437,   440,  3809,   250,   418,   175,
     135,  3762,   183,   359,  3383,   241,   437,   437,   437,   437,
     436,   436,   436,   397,  3224,   399,   400,   436,   359,  4139,
     359,   437,   423,   436,   436,   359,   135,  3950,   404,   135,
     254,   301,   175,   211,  3957,   305,   269,  3247,   378,   359,
    3250,   311,  3252,  3964,   359,   359,   359,   269,   318,  3722,
     434,    48,  3224,   437,   438,   439,   326,    48,    48,   219,
    3246,   219,  4232,   219,   359,   335,   314,   314,  3173,  3174,
    3175,  3176,   314,   343,  3246,   359,   359,  4045,   359,   359,
    3459,   359,   359,   236,   135,   326,    37,   359,   359,  3299,
     193,  4206,   193,   314,   193,  3305,  3306,     3,  3308,  3863,
    4207,  3865,  3866,   436,   434,   317,  4217,   226,  4219,   437,
     368,   211,   437,  3877,   423,   437,   440,    38,    96,   299,
     437,   437,   440,  4135,   249,   395,   436,   250,    31,   399,
     161,   381,   381,  3343,  3344,  3345,  3346,   314,   253,   314,
     314,  3313,  3314,  3890,   359,   133,   133,   193,     8,   440,
     126,    11,  3324,   152,    11,   434,    58,   392,   147,  4171,
     152,   256,   437,   397,   421,   160,   152,  4507,   437,  3916,
    3917,  3343,   437,   437,   437,   873,    36,   436,   251,   440,
       0,   436,    42,   437,   368,   437,  4306,   147,    31,   381,
     381,   437,   436,  4205,   359,   359,   368,  4209,  4210,   183,
     359,   314,   359,   314,  3414,   359,    66,   359,    48,   147,
      66,  3411,  3411,   135,    96,   197,  4556,   368,  4363,   436,
     193,   437,  3571,   437,  4564,   193,  3575,   437,   437,   436,
     435,  4154,   435,  3603,  4103,   437,   436,   400,    22,    23,
     323,  3977,   282,    27,   440,   440,  3351,   436,    32,    33,
      34,   147,    36,   178,   404,    39,    40,    71,    42,   351,
      44,   440,   359,    83,  3474,   323,   437,   436,   157,   437,
      96,   152,   152,   193,   193,   193,   193,   291,    48,  4015,
     398,   398,   437,   196,  3456,   259,   196,   436,    48,  4050,
     437,   437,   440,   437,   436,   162,   437,   436,   436,   246,
     437,   437,   423,   437,   368,   359,   152,  1005,   168,  3688,
     130,   400,   172,    66,   177,   241,   423,   241,   440,   135,
     440,  3700,   142,   359,   193,   435,   154,   147,   152,   381,
     172,   381,   152,   193,   194,    31,   121,   157,   400,   396,
     160,   400,   162,   436,   152,   436,   180,   152,   253,   436,
     210,   436,   291,   386,   436,   336,   437,   437,   267,   196,
     436,   399,   437,   250,  4128,   292,   359,   437,   436,   189,
     436,  3571,   400,   147,   359,  3575,  4491,   110,    31,   239,
     241,   220,   241,   175,   282,   134,    31,  4134,   436,  3599,
    3600,   211,   252,   436,    48,   179,   180,   181,   182,   436,
     184,   254,   186,  3629,   188,   437,   190,   437,    48,   193,
    3610,  3610,   311,    31,   198,   436,   311,   201,   437,   437,
    4184,   205,   381,   207,   436,   234,   437,   250,   248,     5,
     323,   141,   282,    60,   253,   351,   256,  3623,    60,   116,
     385,    31,  1140,   291,   386,   152,     8,   397,   289,    11,
     147,  3623,   400,   436,   121,   177,   250,   250,  4222,   436,
     440,    31,  3811,    31,   253,   253,    28,   437,   437,   436,
     330,   436,   310,    48,    36,   108,   437,     5,   379,   436,
      42,   310,    17,    28,   304,   134,   282,  3673,   726,  1348,
     436,  2161,  2475,     8,  2009,   785,    11,  1146,  2632,  3878,
    3223,  3673,  3308,   811,    66,  1203,  2078,  2788,  4224,  4048,
    4363,   817,  4096,  3374,  4100,  3802,  4082,  2558,  2261,  3691,
    3692,    36,  4335,  4430,  3696,  3697,  3976,    42,  4490,   349,
    4377,  4376,  4447,  4274,  2562,  3745,  3746,  3366,  2152,  2152,
    2652,  3218,  1447,  2859,  2146,  3755,  3756,  4495,  4564,  4077,
    4556,    66,  3762,   373,  2807,  2792,  3766,  4458,  4017,  1257,
    4347,  1437,  4438,   423,   424,   425,  4020,   427,   428,   429,
     430,   431,   432,    26,  3459,  4182,  3415,   397,  1877,   399,
     400,  2534,  3417,   998,  3933,  4290,  2749,  4472,  4558,  3938,
    3762,  3970,  1290,  3972,  3943,  4331,   575,  3946,  3784,  1008,
    1821,   705,  4363,  1526,  1822,     8,   168,  3977,    11,  2489,
     172,  3611,  3784,  3127,   434,  3400,   718,   437,   438,   439,
    2490,  3831,  1172,  3728,  1862,    28,  1190,  3976,  1191,  2501,
    2517,   193,   194,    36,  2496,  1861,  4006,  3742,  2509,    42,
    3075,  4167,  3577,   710,  1193,  4015,  3562,  3857,   210,  3073,
    1198,  4309,  4308,   168,  3128,  2127,  3034,   172,  4137,  3026,
    4422,  4421,  4413,    66,  2493,  4014,  2424,  1365,  2332,  3879,
    3880,  3881,  3882,  2422,   236,  3123,  1697,   239,   193,   194,
      -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,    -1,    -1,
     252,    -1,    -1,   255,    -1,   210,     0,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4063,    -1,    -1,    -1,    -1,    -1,
      -1,  4485,    -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,
    3835,  1429,    -1,    -1,    -1,    -1,    -1,   252,  3938,    -1,
     524,    -1,    -1,  3943,    -1,   529,  3946,   531,    -1,    -1,
     534,    -1,   536,    -1,   538,    -1,    -1,    -1,    -1,    -1,
      -1,   545,    -1,  4112,   548,   168,    -1,    -1,   330,   172,
      -1,   555,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    83,
      -1,    -1,    -1,  3961,    -1,    -1,    -1,    -1,  1486,    -1,
     193,   194,    -1,    -1,   578,    -1,  4006,    -1,    -1,   583,
      -1,    -1,    -1,    -1,   588,    -1,    -1,   210,   592,    -1,
      -1,    -1,    -1,    -1,    -1,   330,    -1,  4166,    -1,    -1,
      -1,    -1,    -1,   607,    -1,    -1,   130,    -1,    -1,    -1,
      -1,  4041,    -1,   236,  4006,    -1,   239,    -1,   142,    -1,
    4050,    -1,    -1,   147,  4054,    -1,  4056,    -1,   152,   252,
    4060,  4061,   255,   157,    -1,    -1,   160,    -1,   162,    -1,
      -1,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,   655,    -1,  3978,  3979,  3980,    -1,    -1,   440,    -1,
      -1,    -1,   666,   667,    -1,   189,  4086,  4086,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   685,  4251,   687,   688,    -1,    -1,   211,   692,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,    -1,
      -1,    -1,   706,    -1,    -1,    -1,   710,   330,    -1,    -1,
      -1,    -1,   716,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   727,   248,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   256,    -1,    -1,   739,    -1,    -1,    -1,     8,
    4309,  4331,    11,    -1,    -1,  1663,  4166,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,    -1,
      -1,    -1,    -1,    42,    -1,    -1,    -1,   781,    -1,    -1,
     304,    -1,    -1,    -1,    -1,    -1,  4111,    -1,    -1,   793,
      -1,   795,   796,    -1,    -1,  4225,    -1,    66,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,   435,   817,    -1,    -1,    -1,    -1,   441,    -1,
    4389,    -1,    -1,    -1,  4423,   349,    -1,    -1,    -1,    -1,
      -1,  4400,    -1,    -1,    -1,   839,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   850,    -1,    -1,   373,
     854,    -1,  4272,  4272,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   867,  4433,    -1,  4191,    -1,    -1,    -1,
      -1,    -1,    -1,   397,    -1,   399,   400,    -1,   882,    -1,
      -1,    -1,    -1,    -1,   888,   889,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4218,    -1,  4220,    -1,    -1,    -1,   168,
     904,   905,   906,   172,   908,    -1,   910,    -1,    -1,    -1,
     434,    -1,    -1,   437,   438,   439,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   193,   194,    -1,    -1,    -1,    -1,
      -1,    -1,   936,  4363,   938,   939,    -1,    -1,    -1,    -1,
      -1,   210,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,
      -1,    -1,    -1,    -1,  1872,    -1,    -1,   961,  1876,  1877,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,
     239,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,    -1,
      -1,    -1,    -1,   252,    -1,    -1,   255,   991,   992,    -1,
      -1,  4560,   996,    -1,   998,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    66,    -1,  4329,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1016,    -1,    -1,  1019,     8,    -1,  1022,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1035,    -1,    -1,    -1,    -1,    28,    -1,    -1,  4459,
    4459,    -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,
      42,  4512,  4472,  4472,  4472,  4472,  4472,  4472,    -1,  4384,
    1064,   330,    -1,  1981,   128,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,  4507,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1092,  1093,
      -1,  1095,  4512,  4512,  4512,  4512,  4512,  4512,    -1,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,
    1114,    -1,    -1,    -1,    -1,  4507,    -1,  4442,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,   193,
     194,    -1,    -1,    -1,  4564,    -1,    -1,    -1,  4558,  4558,
    4558,  4558,  4558,  4558,    -1,    -1,   210,  1151,    -1,    -1,
    1154,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,  4556,    -1,    -1,  4492,    -1,    -1,
      -1,   440,  4564,    -1,    -1,   239,   168,    -1,    -1,  1183,
     172,    -1,    -1,  1187,  1188,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,  1198,  1199,  1200,    -1,    -1,    -1,
      -1,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2128,    -1,  1216,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   236,  1249,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    18,  1261,  1262,    -1,
     252,    -1,    24,   255,  1268,    -1,   330,  1271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    49,  1292,  2207,
      -1,    -1,    -1,    -1,  1298,    -1,    -1,  1301,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,  1323,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,  1332,  1333,
    1334,  1335,  1336,    95,    -1,    -1,    -1,    -1,   330,    -1,
      -1,    -1,    28,  1347,    -1,    31,  1350,    -1,    -1,    -1,
      36,   113,    -1,    -1,    -1,    -1,    42,  1361,   120,  1363,
      -1,   123,    -1,   427,   428,   429,   430,   431,   432,  1373,
    1374,    -1,    -1,  2291,    -1,  1379,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,   177,    -1,    -1,    -1,  1423,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,   437,  1450,  1451,  1452,  1453,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1462,    -1,
     222,    -1,   224,    -1,  1468,    -1,    -1,  1471,    -1,    -1,
      -1,    -1,   234,    -1,   236,    -1,  1480,    -1,    -1,    -1,
      -1,    -1,   168,  1487,   246,  1489,   172,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,  1499,    -1,    -1,    -1,    -1,
    1504,   263,   264,    -1,    -1,    -1,    -1,   193,   194,  1513,
      -1,    -1,    -1,    -1,    -1,  1519,  1520,    -1,    -1,    -1,
    1524,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   300,   301,
     302,    -1,    -1,    -1,    -1,  1549,    -1,    -1,    -1,    -1,
     236,    -1,  1556,   239,  1558,    -1,    18,    -1,  1562,  1563,
      -1,  1565,    24,    -1,   326,    -1,   252,  1571,    -1,   255,
      -1,    -1,    -1,    -1,  1578,   337,    -1,    -1,    -1,    -1,
      -1,  1585,  1586,    -1,    -1,  1589,    -1,    -1,    -1,  1593,
      -1,  1595,    -1,    -1,    -1,    -1,    -1,    -1,  1602,    -1,
      -1,  1605,    64,    -1,    -1,  1609,  2524,    -1,    -1,  2527,
      -1,  2529,    -1,  1617,  1618,    -1,  2534,    -1,    -1,    -1,
      -1,  1625,   384,  1627,  1628,  1629,  1630,  1631,    -1,    -1,
      -1,    -1,    -1,    -1,  1638,  1639,    -1,  1641,    -1,  1643,
    1644,    -1,    -1,  1647,   330,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,    -1,    -1,    -1,    -1,    -1,   120,    -1,
    1664,   123,    -1,    -1,  1668,  1669,  2584,    -1,    -1,  1673,
      -1,    -1,    -1,  1677,    -1,  1679,  1680,  1681,  1682,  1683,
    1684,  1685,  1686,  1687,    -1,  1689,    -1,    -1,    -1,    -1,
      -1,  1695,    -1,  1697,  1698,    -1,    -1,    -1,    -1,    -1,
    1704,    -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2683,    -1,  2685,    -1,    -1,
      -1,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      66,    -1,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,  1820,    -1,  1822,    -1,
    1824,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,
      -1,    -1,    28,    -1,    -1,   297,    -1,    -1,   300,   301,
      36,    -1,    -1,    -1,    -1,     8,    42,    -1,    11,    -1,
      -1,    -1,    -1,  2771,    -1,  1859,    -1,    -1,    -1,    -1,
      -1,  1865,    -1,  1867,   326,    28,    -1,    -1,    -1,    -1,
      66,    -1,  2790,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
    2808,  1895,    -1,    -1,    -1,    -1,  1900,    -1,  1902,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    -1,   193,   194,    -1,
      -1,    -1,    -1,    -1,    -1,  1919,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,   210,    -1,  1930,    -1,  1932,  1933,
    1934,    -1,    -1,  1937,    -1,  1939,    -1,  1941,    -1,  1943,
      -1,  1945,  1946,    -1,    -1,  1949,    -1,    -1,    -1,    -1,
     236,    -1,    -1,   239,  2872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1968,    -1,   252,    -1,    -1,    18,
    2888,    -1,   168,  1977,    -1,    24,   172,    -1,    -1,    -1,
    1984,  2899,    -1,    -1,    -1,  1989,    -1,    -1,    -1,    -1,
      -1,  1995,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,
      -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,  2012,   172,
      -1,    -1,  2016,  2017,   210,    64,    -1,    -1,    -1,  2023,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     193,   194,    -1,    -1,    -1,    -1,  2040,    -1,    -1,    -1,
     236,    -1,    -1,   239,   330,    -1,    -1,   210,    -1,    -1,
    2968,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,   255,
      -1,    -1,    -1,    -1,   113,    -1,  2070,    -1,  2072,  2073,
    2988,   120,    -1,   236,   123,    -1,   239,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,   255,    -1,    -1,  3013,  2100,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2108,    -1,    -1,    -1,    -1,  2113,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2126,    -1,    -1,    -1,    -1,    -1,   177,    -1,
      -1,  3049,    -1,    -1,   330,    -1,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
    2154,    -1,    -1,  2157,    -1,  2159,    -1,  2161,    -1,    -1,
    2164,    -1,    -1,    -1,    -1,    -1,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       8,    -1,    -1,    11,    -1,   234,  2190,   236,    -1,    -1,
      -1,    -1,    -1,    -1,  2198,  2199,    -1,   246,    -1,    -1,
      28,    -1,    -1,    -1,    -1,   254,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,   264,    -1,  3135,    -1,    -1,
      -1,  2225,    -1,  2227,  2228,  2229,  2230,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,    66,    -1,
      -1,   437,    -1,    -1,    -1,  2249,    -1,    -1,   297,    -1,
      -1,   300,   301,    -1,    -1,    -1,    -1,  2261,    -1,    -1,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,   437,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2306,    -1,    -1,    -1,  3224,    -1,  2312,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2323,
      -1,    -1,    -1,    -1,    -1,    -1,  2330,  2331,    -1,    -1,
      -1,    -1,  2336,    -1,    -1,   384,    -1,    -1,    -1,    -1,
     168,    -1,    -1,    -1,   172,    18,    -1,    -1,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    -1,    -1,  2361,  2362,    -1,
      -1,    -1,  2366,    -1,    -1,   193,   194,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2378,  2379,  2380,  2381,    -1,    -1,
      -1,    -1,   210,    -1,    -1,    -1,    -1,  2391,    -1,    -1,
    2394,    64,  2396,  2397,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2406,  2407,    -1,    -1,  2410,    -1,   236,    -1,
      -1,   239,     0,    -1,    -1,    -1,    -1,    -1,    -1,  2423,
      -1,  2425,    -1,  2427,   252,  2429,    14,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    24,    -1,    26,    27,
     113,    -1,    -1,    -1,  2448,    -1,    -1,   120,  2452,    -1,
     123,    -1,    -1,    41,  2458,    -1,    -1,  2461,  2462,  2463,
      -1,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    61,  2478,    63,    64,    -1,    -1,    -1,
      -1,    69,    -1,    71,    -1,    -1,  2490,    -1,    -1,    -1,
      -1,  2495,    -1,    81,    -1,    83,    -1,  2501,    -1,  3417,
      -1,    -1,   330,    -1,   177,  2509,    -1,    -1,  2512,    -1,
      -1,    99,  2516,    -1,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    18,    -1,   114,    -1,   116,    -1,
      24,    -1,   120,    -1,    -1,    -1,    -1,    -1,   126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   134,    -1,   136,    -1,
      -1,    -1,    -1,  2557,   142,  2559,    -1,    -1,    -1,    -1,
    2564,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,   157,
      64,    -1,    -1,   246,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   254,    -1,    -1,    -1,    -1,  2590,    -1,  2592,  2593,
    2594,   264,    18,    -1,    -1,   423,   424,   425,    24,   427,
     428,   429,   430,   431,   432,    -1,    -1,   435,    -1,  3527,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
    3538,    -1,    -1,    -1,   212,   213,   120,   300,   301,   123,
     218,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    64,   227,
      -1,     8,    -1,    -1,    11,    -1,    -1,    -1,    -1,    -1,
     238,    -1,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,     8,    -1,   177,    11,    -1,    -1,   113,   276,    -1,
      -1,    -1,    -1,    -1,   120,    -1,    -1,   123,    -1,    66,
     288,    28,    -1,    -1,    -1,   293,   294,    -1,   296,    36,
      -1,   384,    -1,   301,    -1,    42,     8,    -1,   306,    11,
      -1,   309,    -1,    -1,    -1,   313,    -1,    -1,    -1,    -1,
     318,   319,  3650,    -1,    -1,    -1,    -1,    -1,   326,    66,
     234,   329,   236,    -1,    36,    -1,    -1,    -1,    -1,   337,
      42,   177,   246,    -1,    -1,    -1,    -1,    -1,  3676,    -1,
     254,   349,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     264,  2775,  2776,    -1,    66,  3693,    -1,    -1,   366,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   376,    -1,
      -1,    -1,    -1,    -1,   382,    -1,    -1,    -1,    -1,   387,
      -1,   168,    -1,   297,    -1,   172,   300,   301,   234,    -1,
     236,    -1,   400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     246,    -1,    -1,    -1,  2828,  2829,   193,   194,   254,  3747,
      -1,    -1,   326,    -1,    -1,    -1,   128,    -1,   264,    -1,
    2844,   168,    -1,   210,    -1,   172,    -1,    -1,   436,    -1,
      -1,   439,    -1,  2857,  2858,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2866,  2867,    -1,    -1,   193,   194,    -1,   236,
      -1,   297,   239,    -1,   300,   301,   168,  2881,    -1,    -1,
     172,    -1,    -1,   210,    -1,   252,    -1,    -1,   255,    -1,
     384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     326,   193,   194,    -1,    -1,  2909,    -1,    -1,  2912,   236,
      -1,    -1,   239,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,  2926,    -1,    -1,   252,    -1,    -1,   255,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2947,    -1,    -1,    -1,   239,    -1,    -1,
      -1,    -1,    -1,  2957,    -1,    -1,    -1,    -1,   384,    -1,
     252,  2965,    -1,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2975,    -1,    -1,    -1,    -1,  3894,  2981,    -1,  2983,
      -1,    -1,    -1,    -1,    -1,  2989,    -1,    -1,  2992,  2993,
    2994,  2995,  2996,  2997,  2998,  2999,  3000,  3001,    -1,    -1,
      -1,  3005,  3006,   330,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3018,    -1,    -1,    -1,  3022,    -1,
      -1,    -1,  3026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3036,    -1,    -1,  3039,    -1,  3041,   330,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3050,  3051,  3052,    -1,
      -1,    -1,  3056,    -1,    -1,  3059,   423,   424,   425,  3063,
     427,   428,   429,   430,   431,   432,  3070,  3071,  3072,  3073,
     437,  3075,  3076,    -1,    -1,    -1,  3080,  3081,    -1,    -1,
      -1,    -1,    -1,  3087,    -1,    -1,    -1,    -1,  4006,  3093,
    3094,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
     437,    -1,    -1,  3117,    -1,    -1,    -1,    -1,    -1,  3123,
      -1,    -1,    -1,  3127,    -1,  3129,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,    -1,    -1,  3151,  3152,  3153,
      -1,  3155,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3173,
    3174,  3175,  3176,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,    -1,    -1,
       8,    -1,    -1,    11,  3208,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     8,    -1,  4135,    11,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    36,    -1,
      -1,    -1,    -1,    -1,    42,    28,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,  4171,    -1,    -1,     8,    -1,    66,    11,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    66,    -1,    -1,    28,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    36,  3289,    -1,  4205,    -1,    -1,
      42,  4209,  4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3340,    -1,    -1,    -1,
      -1,   179,    -1,    -1,    -1,    -1,    -1,  3351,    -1,  3353,
     188,   189,    -1,    -1,    -1,  3359,    -1,   195,    -1,    -1,
     168,  3365,    -1,    -1,   172,    -1,    -1,    -1,   206,    -1,
    3374,    -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,
      -1,    -1,  3386,    -1,    -1,   193,   194,    -1,    -1,    -1,
      -1,    -1,  3396,    -1,    -1,    -1,    -1,    -1,  3402,    -1,
     193,   194,   210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3418,  3419,   168,   210,    -1,    -1,
     172,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,    -1,
      -1,   239,    -1,    -1,    -1,    -1,    -1,  3441,    -1,  3443,
      -1,   193,   194,   236,   252,    -1,   239,   255,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,   252,
      -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     252,    -1,    -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,
    3514,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3524,  3525,   330,    -1,    -1,    -1,    -1,    -1,  3532,  3533,
      -1,    -1,    -1,  3537,    -1,    -1,    -1,   330,    -1,  3543,
    3544,    -1,     8,  3547,    -1,    11,  3550,  3551,    -1,    -1,
    3554,  3555,  3556,  3557,    -1,    -1,    -1,  3561,  3562,    18,
    3564,    -1,    28,  3567,    -1,    24,    -1,  3571,    -1,     8,
      36,  3575,    11,    -1,    -1,    -1,    42,  3581,   330,    -1,
      -1,    -1,    -1,  3587,    -1,    -1,    -1,    -1,  3592,    28,
      -1,    -1,    -1,  3597,    -1,    -1,    -1,    36,    -1,  3603,
      66,    -1,    -1,    42,    -1,    64,    -1,  3611,    -1,    -1,
      -1,  3615,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,  3629,    -1,    66,  3632,   437,
     423,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,  3652,  3653,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,
    3674,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   531,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   168,    -1,    -1,   543,   172,    -1,    -1,   547,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,    -1,
     558,    -1,    -1,    -1,  3728,    -1,    -1,   193,   194,   168,
      -1,    -1,    -1,   172,    -1,    -1,   574,    -1,  3742,    -1,
     578,    -1,    -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,
     588,   589,    -1,    -1,   193,   194,   594,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   604,    -1,    -1,    -1,
     236,   210,    -1,   239,   612,   234,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   252,   246,    -1,   255,
      -1,    -1,    -1,    -1,    -1,   254,  3800,   236,    -1,    -1,
     239,    -1,    -1,    -1,    -1,   264,    -1,  3811,    -1,    -1,
      -1,    -1,  3816,   252,    -1,    -1,   255,     8,    -1,  3823,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3835,  3836,    -1,    -1,    -1,    -1,    28,   297,    -1,
      -1,   300,   301,    -1,    -1,    36,    -1,   685,    -1,    -1,
      -1,    42,   690,    -1,    -1,    -1,    -1,  3861,    -1,    -1,
      -1,    -1,    -1,    -1,   330,    18,    -1,   326,    -1,    -1,
      -1,    24,    -1,    -1,    -1,    66,    -1,    -1,   716,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3890,    -1,    -1,    -1,
      -1,   330,    -1,    -1,    -1,  3899,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    64,  3916,  3917,    -1,    -1,  3920,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,    -1,  3933,
    3934,    -1,    -1,    -1,  3938,    -1,    -1,    -1,    -1,  3943,
      -1,    -1,  3946,  3947,    -1,  3949,    -1,  3951,  3952,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
     113,   427,   428,   429,   430,   431,   432,   120,    -1,    -1,
     123,   437,  3976,  3977,  3978,  3979,  3980,   168,    -1,    -1,
      -1,   172,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,    -1,    -1,    -1,   437,    -1,
      -1,   839,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
    4014,  4015,   850,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,    -1,    -1,   177,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   873,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
      -1,    -1,    -1,    -1,  4058,  4059,    -1,     8,    -1,  4063,
      11,   252,  4066,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   910,  4077,    -1,    -1,    -1,    28,    -1,    -1,
    4084,   234,    -1,   236,  4088,    36,    -1,    -1,    -1,    -1,
      -1,    42,    -1,   246,    -1,    -1,  4100,    -1,    -1,  4103,
      -1,   254,    -1,    -1,   942,    -1,    -1,  4111,  4112,    -1,
      -1,   264,    -1,    -1,    -1,    66,    -1,    -1,    -1,   957,
      -1,    -1,    -1,   961,    -1,    -1,    -1,    -1,    -1,    -1,
    4134,   969,    -1,  4137,    -1,  4139,    -1,    -1,    -1,   330,
      -1,    -1,    -1,    -1,   297,    -1,    -1,   300,   301,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4162,   997,
      -1,    -1,  4166,    -1,    -1,  4169,    -1,  1005,    -1,  1007,
      -1,  4175,    -1,   326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1020,    -1,    -1,  1023,    -1,  4191,    -1,    -1,
      -1,  4195,    -1,    -1,    -1,    -1,    -1,  1035,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4217,  4218,  4219,  4220,   168,    -1,    -1,
      -1,   172,    -1,    -1,    -1,    -1,  1064,    -1,  4232,    -1,
      -1,   384,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,   193,   194,    -1,    -1,   437,  4251,    -1,    -1,
      -1,    -1,    -1,    -1,  1092,  1093,    -1,  1095,    -1,   210,
      -1,    -1,    -1,    -1,    -1,    -1,  4270,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1114,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1137,
      -1,   252,  4306,    -1,   255,  4309,     8,  1145,  1146,    11,
      -1,    -1,    -1,    -1,    -1,    -1,  1154,  1155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4329,    28,  4331,    -1,    -1,
      -1,    -1,    -1,    -1,    36,    -1,  4340,    -1,    -1,    -1,
      42,    -1,    -1,    -1,    -1,  1183,    -1,    -1,    -1,  1187,
    1188,    -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    66,  1203,    -1,    -1,    -1,    -1,
      -1,  1209,    -1,    28,    -1,    -1,    -1,    -1,    -1,   330,
    4384,    36,    -1,    -1,    -1,  4389,    -1,    42,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4400,    -1,    -1,    18,
      -1,    -1,    -1,    -1,    -1,    24,    -1,    -1,  4412,  4413,
      -1,    66,    -1,  4417,    -1,    -1,    -1,  4421,    -1,  1257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4433,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4442,    -1,
      -1,    -1,    -1,    -1,    -1,    64,    -1,    -1,    -1,    -1,
      -1,    -1,  1290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,    -1,  4473,
     172,    -1,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,  4487,    -1,    -1,   437,    -1,  4492,    -1,
      -1,   193,   194,    -1,   113,    -1,    -1,    -1,    -1,    -1,
      -1,   120,    -1,    -1,   123,    -1,    -1,  1345,   210,    -1,
      -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,   239,   193,   194,
      -1,    -1,    -1,    -1,    -1,    -1,  1384,  4551,    -1,    -1,
     252,    -1,    -1,   255,     8,   210,  4560,    11,   177,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   236,    36,    -1,   239,    -1,  1424,    -1,    42,    -1,
      -1,  1429,    -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,
     255,    -1,    -1,    -1,    -1,    -1,  1444,    -1,    -1,    -1,
      -1,    -1,    66,    -1,    -1,   234,    -1,   236,    -1,    -1,
      -1,    -1,  1460,    -1,    -1,    -1,    -1,   246,   330,    -1,
      -1,    -1,    -1,    -1,    -1,   254,    -1,    -1,    -1,    -1,
      -1,    -1,  1480,    -1,    -1,   264,    -1,    -1,  1486,    -1,
      -1,  1489,    -1,  1491,  1492,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   128,   330,  1514,  1515,   297,    -1,
      -1,   300,   301,    -1,    -1,    -1,    -1,    -1,  1526,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,
      -1,    -1,    -1,    -1,   168,    -1,    -1,    -1,   172,    -1,
    1558,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,   437,    -1,    -1,    -1,   193,
     194,    -1,    -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   198,  1593,   210,  1595,    -1,    -1,
      -1,    -1,    -1,   207,  1602,   384,    -1,  1605,   423,   424,
     425,  1609,   427,   428,   429,   430,   431,   432,    -1,  1617,
    1618,    -1,   437,    -1,    -1,   239,    -1,  1625,    -1,    -1,
    1628,  1629,  1630,  1631,    -1,    -1,     8,    -1,   252,    11,
    1638,  1639,    -1,  1641,    -1,  1643,  1644,    -1,    -1,  1647,
      -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,
      32,    -1,    -1,    -1,    36,  1663,  1664,  1665,    -1,    -1,
      42,  1669,    -1,    -1,    -1,  1673,    -1,    -1,    -1,  1677,
      -1,  1679,  1680,  1681,  1682,  1683,  1684,  1685,  1686,  1687,
      -1,  1689,    -1,    -1,    66,    -1,    -1,    -1,    -1,  1697,
    1698,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   330,     8,    -1,    -1,
      11,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,   111,
      -1,    -1,    -1,    -1,     8,    36,    -1,    11,    -1,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,
      -1,     8,    36,    -1,    11,    66,    -1,    -1,    42,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    28,    -1,    -1,    -1,    -1,   168,    -1,    -1,    36,
     172,    -1,    66,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,   429,   430,   431,   432,    -1,
      -1,   193,   194,    -1,    -1,    -1,  1824,    -1,    -1,    66,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,
      -1,    11,    -1,    -1,    -1,    -1,   147,    -1,    -1,    -1,
      -1,   152,    -1,    -1,   236,    -1,    -1,   239,    -1,    -1,
      -1,    -1,    -1,    -1,  1872,    -1,    36,   168,  1876,  1877,
     252,   172,    42,   255,    -1,    -1,    -1,    -1,  1886,    -1,
      -1,    -1,  1890,  1891,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,    -1,   193,   194,   168,    -1,    66,    -1,   172,   146,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1916,   210,
     524,  1919,    -1,    -1,    -1,   529,    -1,    -1,    -1,   193,
     194,   168,  1930,    -1,    -1,   172,    -1,    -1,    -1,  1937,
      -1,    -1,    -1,    -1,    -1,   236,   210,    -1,   239,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   193,   194,   330,  1957,
      -1,   252,    -1,    -1,   255,    -1,    -1,    -1,   128,    -1,
      -1,    -1,   236,   210,    -1,   239,  1974,  1975,    -1,    -1,
      -1,    -1,    -1,  1981,    -1,    -1,    -1,    -1,   252,    -1,
      -1,   255,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,
    1998,  1999,   239,    -1,  2002,    -1,    -1,    -1,   168,   381,
      -1,   275,   172,    -1,    -1,   252,    -1,    -1,   255,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,
      -1,  2029,    -1,   193,   194,    -1,   273,    -1,    -1,   330,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2047,
     210,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   666,  2061,    -1,    -1,   330,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2074,    -1,    -1,   239,
     344,    -1,    -1,   687,    -1,  2083,    -1,    -1,    -1,    -1,
      -1,    -1,   252,   330,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,   706,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      31,    -1,    -1,   727,    -1,    36,    -1,    -1,  2126,    -1,
    2128,    42,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,  2149,    -1,    -1,    -1,    66,    -1,    -1,    -1,   423,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     330,    -1,    -1,    36,    -1,    -1,    -1,    -1,    -1,    42,
      -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,   793,
     427,   428,   429,   430,   431,   432,    -1,    -1,    -1,    -1,
      -1,     8,    -1,    66,    11,    -1,    -1,    -1,    -1,  2207,
      -1,    -1,  2210,    -1,    -1,     8,    -1,    -1,    11,    -1,
      -1,    28,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,
      -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    36,    -1,    -1,  2244,    -1,    -1,    42,
      -1,  2249,    -1,    -1,    -1,    -1,    -1,   168,    -1,    66,
      -1,   172,    -1,    -1,    -1,   128,    -1,   427,   428,   429,
     430,   431,   432,    66,    -1,    -1,    -1,    -1,   882,    -1,
      -1,  2279,   193,   194,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,    -1,   210,
     904,   905,   906,    -1,  2302,   168,    -1,    -1,  2306,   172,
      -1,    -1,    -1,    -1,  2312,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,   239,    -1,
     193,   194,  2330,  2331,    -1,   128,    -1,    -1,  2336,    -1,
      -1,   252,    -1,    -1,   255,    -1,    -1,   210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   168,    -1,  2361,  2362,   172,    -1,    -1,  2366,    -1,
      -1,    -1,    -1,    -1,    -1,   168,   239,    -1,    -1,   172,
    2378,  2379,  2380,  2381,    -1,    -1,   193,   194,  2386,   252,
      -1,    -1,   996,  2391,  2392,    -1,  2394,    -1,  2396,    -1,
     193,   194,    -1,   210,    -1,    -1,    -1,    -1,  2406,  2407,
      -1,    -1,  2410,    -1,    -1,  1019,    -1,   210,    -1,   330,
      -1,    -1,    -1,    -1,    -1,  2423,    -1,  2425,    -1,   236,
      -1,  2429,   239,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,   239,    -1,   255,    -1,
    2448,    -1,    -1,    -1,    -1,    18,    -1,    -1,    -1,   252,
    2458,    24,    -1,  2461,  2462,  2463,    -1,   330,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2475,    -1,    -1,
    2478,   189,    -1,    -1,    -1,    -1,    49,   195,    -1,    -1,
      -1,    -1,  2490,    -1,    -1,    -1,    -1,  2495,   206,    -1,
      -1,    64,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2509,   423,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   330,    -1,    -1,  2524,    -1,    -1,  2527,
      -1,  2529,    95,    -1,    -1,    -1,  2534,   330,  2536,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1151,    -1,    -1,
     113,    -1,    -1,  2551,  2552,    -1,    -1,   120,    -1,  2557,
     123,    -1,    -1,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2578,    -1,    -1,  2581,    -1,    -1,  2584,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1199,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   174,    -1,    -1,   177,    -1,   423,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,  2624,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   427,   428,   429,   430,   431,   432,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,
      11,    -1,    -1,  2651,  2652,  2653,    -1,  1261,    -1,   222,
      -1,   224,    -1,    -1,  1268,    -1,    -1,    28,    -1,    -1,
      -1,   234,    -1,   236,    -1,    36,    -1,  2675,    -1,    -1,
      -1,    42,    -1,   246,    -1,  2683,    -1,  2685,  2686,    -1,
      -1,   254,    -1,    -1,  1298,    -1,    -1,  1301,  2696,    -1,
     263,   264,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1336,    -1,   297,    -1,    -1,   300,   301,   302,
      -1,    -1,    -1,    -1,    -1,    -1,  1350,    -1,  2746,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1363,
      -1,    -1,    -1,   326,    -1,    -1,    -1,  2765,    -1,    -1,
      -1,    -1,    -1,  2771,   337,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     8,    -1,    -1,    11,
      -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    28,   168,    -1,  2807,
    2808,   172,    -1,    -1,    36,    -1,    -1,    -1,    -1,    18,
      42,   384,    -1,    -1,  2822,    24,  2824,    -1,    -1,    -1,
      -1,    -1,   193,   194,    -1,   543,    -1,    -1,  2836,   547,
    2838,    -1,    -1,    -1,    66,    -1,    -1,    -1,    -1,   210,
     558,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1462,    -1,
      -1,    -1,    -1,    -1,  1468,    64,   574,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2872,   236,    -1,    -1,   239,    -1,
      -1,   589,    -1,    -1,    -1,    -1,   594,    -1,    -1,  2887,
    2888,   252,    -1,    -1,   255,    -1,   604,    -1,    -1,    -1,
      -1,  2899,    -1,    -1,   612,    -1,    -1,    -1,    -1,   270,
      -1,    -1,    -1,    -1,   113,    -1,    -1,  2915,    -1,    -1,
    1524,   120,    -1,    -1,   123,    -1,    -1,    -1,  2926,    -1,
     152,  2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   168,    -1,  2946,    -1,
     172,  2949,    -1,    -1,    -1,    -1,    -1,    -1,  1562,  1563,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2965,    -1,   330,
    2968,   193,   194,    -1,  1578,    -1,    -1,  2975,   177,    -1,
      -1,    -1,   690,  2981,    -1,  2983,    -1,    -1,   210,    -1,
    2988,  2989,    -1,    -1,  2992,  2993,  2994,  2995,  2996,  2997,
    2998,  2999,  3000,  3001,    -1,    -1,    -1,  3005,  3006,    -1,
      -1,    -1,    -1,    -1,   236,  3013,    -1,   239,    -1,    -1,
    3018,    -1,    -1,    -1,  3022,    -1,  3024,    -1,  3026,    -1,
     252,    -1,    -1,   255,    -1,   234,    -1,   236,  3036,    -1,
      -1,  3039,    -1,  3041,    -1,    -1,    -1,   246,    -1,    -1,
      -1,  3049,  3050,  3051,  3052,   254,    -1,    -1,  3056,    -1,
      -1,  3059,   423,   424,   425,   264,   427,   428,   429,   430,
     431,   432,    -1,    -1,    -1,  3073,    -1,  3075,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3087,
       8,  1695,    -1,    11,    -1,  3093,  3094,    -1,   297,    -1,
    1704,   300,   301,    -1,    -1,    -1,    -1,    -1,   330,    -1,
      28,    -1,    -1,    31,    -1,    -1,    -1,    -1,    36,  3117,
      -1,    -1,    -1,    -1,    42,  3123,    -1,   326,    -1,    -1,
      -1,  3129,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,
      -1,    -1,     8,    -1,    -1,    11,    -1,    -1,    66,    -1,
      -1,    -1,    -1,  3151,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    18,    -1,    -1,
      -1,    -1,    -1,    24,  3182,   384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      66,   423,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,    -1,    -1,    -1,    -1,  1820,    -1,  1822,    -1,
    3218,    -1,    -1,    64,    -1,  3223,  3224,  3225,    -1,    -1,
      -1,    -1,    -1,    -1,   942,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   957,
     168,    -1,    -1,    -1,   172,  1859,    -1,    -1,    -1,    -1,
      -1,   969,    -1,  3261,    -1,  3263,    -1,    -1,    -1,  3267,
      -1,    -1,   113,    -1,  3272,   193,   194,  3275,    -1,   120,
      -1,    -1,   123,    -1,    -1,    -1,    -1,    -1,    -1,   997,
      -1,    -1,   210,    -1,    -1,    -1,    -1,    -1,    -1,  1007,
      -1,    -1,   168,    -1,    -1,    -1,   172,    -1,    -1,    -1,
      -1,  3309,  1020,    -1,    -1,  1023,    -1,    -1,   236,    -1,
      -1,   239,    -1,    -1,    -1,    -1,    -1,   193,   194,    -1,
      -1,    -1,    -1,    -1,   252,    -1,   177,   255,    -1,    -1,
     189,    -1,    -1,    -1,   210,    -1,   195,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3353,    -1,   206,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,   239,    -1,    -1,    -1,    -1,  3376,  3377,
      -1,    -1,  3380,    -1,    -1,  3383,   252,    -1,    -1,   255,
      -1,  1995,    -1,   234,    -1,   236,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   246,    -1,     8,  2012,    -1,
      11,    -1,   330,   254,    -1,    -1,    -1,    -1,    -1,  3417,
    3418,  3419,    -1,   264,    -1,    -1,    -1,    28,    -1,  1137,
      31,    -1,    -1,    -1,    -1,    36,    -1,  1145,  1146,    -1,
      -1,    42,    -1,    -1,    -1,    -1,    -1,  1155,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   297,    -1,    -1,   300,
     301,  3459,    -1,    -1,   330,    66,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3477,
      -1,    -1,    -1,    -1,    -1,   326,    -1,    -1,    -1,    -1,
     356,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1209,    -1,    -1,    -1,   423,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,  3514,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3524,  3525,    -1,  3527,
      -1,    -1,    -1,    -1,  3532,  3533,    -1,    -1,    -1,  3537,
    3538,    -1,    -1,   384,    -1,  3543,  3544,    -1,    -1,  3547,
      -1,    -1,  3550,    -1,    -1,  2159,    -1,   423,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,   168,    -1,    -1,
      -1,   172,    -1,  3571,    -1,    -1,    -1,  3575,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,
      -1,    -1,   193,   194,  3592,    -1,    -1,    -1,    -1,  3597,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   210,
      -1,    -1,     8,    -1,    -1,    11,    18,    -1,    -1,    -1,
      -1,    -1,    24,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    28,    -1,  3632,   236,    -1,  1345,   239,    -1,
      36,    -1,    -1,    -1,    -1,    -1,    42,    -1,    -1,    -1,
      -1,   252,  3650,    -1,   255,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    64,    -1,    -1,    -1,    -1,    -1,    -1,  3667,
      66,    21,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3688,    -1,    -1,    -1,   543,  3693,    -1,    -1,   547,    -1,
      -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,   558,
      -1,   113,    -1,    -1,    -1,    -1,  1424,    67,   120,    -1,
      -1,   123,    -1,    -1,  3722,   574,    -1,    -1,    -1,   330,
      80,    -1,    -1,    -1,    -1,    -1,  1444,    -1,    -1,    -1,
     589,    -1,    -1,    -1,    -1,   594,    -1,    97,    -1,  3747,
      -1,    -1,  1460,   103,    -1,   604,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   612,  3762,    -1,    -1,    -1,   118,    -1,
      -1,    -1,   168,    -1,    -1,   177,   172,    -1,    -1,   129,
      -1,    -1,    -1,  1491,  1492,    -1,    -1,   137,    -1,    -1,
      -1,    -1,    -1,    -1,  1502,    -1,    -1,   193,   194,   149,
      -1,    -1,  3800,    -1,   154,    -1,  1514,  1515,    -1,    -1,
     160,    -1,    -1,  3811,   210,    -1,    -1,    -1,  1526,    -1,
      -1,    -1,   423,   424,   425,   175,   427,   428,   429,   430,
     431,   432,   234,    -1,   236,    -1,    -1,    -1,    -1,    -1,
     236,   690,    -1,   239,   246,    -1,    -1,    -1,  2452,    -1,
     200,    -1,   254,    -1,    -1,    -1,   252,    -1,    -1,   255,
    3858,    -1,   264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3878,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3890,    -1,    -1,   297,  3894,    -1,   300,   301,
      -1,  3899,   252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3916,  3917,
      -1,    -1,  3920,    -1,   326,    -1,    -1,    -1,    -1,    -1,
      -1,   281,    -1,    -1,   330,  3933,    -1,    -1,    -1,    -1,
    3938,    -1,    -1,    -1,    -1,  3943,    -1,    -1,  3946,    -1,
      -1,    -1,    -1,  3951,  3952,    -1,    -1,  1665,   308,    -1,
      -1,    -1,   312,    -1,   314,    -1,    -1,    -1,    -1,    -1,
     320,    -1,  3970,   323,  3972,    -1,    -1,    -1,  3976,    -1,
      -1,    -1,   384,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   348,   349,
      -1,   351,    -1,    -1,    -1,   355,    -1,    -1,  4006,    -1,
      -1,    -1,    -1,   363,    -1,    -1,  4014,    -1,   368,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   423,   424,   425,
     380,   427,   428,   429,   430,   431,   432,    -1,    -1,    -1,
      -1,    -1,    -1,   393,    -1,    -1,    -1,    -1,    -1,    -1,
    4048,    -1,  4050,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4063,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   942,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   957,    -1,
      -1,    -1,    -1,    -1,  4112,    -1,  4114,    -1,    -1,    -1,
     969,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4134,  4135,    -1,  4137,
      -1,  4139,    -1,    -1,    -1,    -1,    -1,    -1,   997,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1007,    -1,
      -1,    -1,    -1,    -1,  4162,    -1,    -1,    -1,  4166,    -1,
      -1,  1020,    -1,  4171,  1023,    -1,    -1,    -1,  1886,    -1,
      -1,    -1,  1890,  1891,    -1,    -1,  1894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4201,    -1,    -1,    -1,  4205,  1916,    -1,
      -1,  4209,  4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2828,  2829,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2844,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1957,
      -1,    -1,    -1,  4251,  2858,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2867,    -1,    -1,  1974,  1975,    -1,    -1,
      -1,    -1,  4270,    -1,    -1,    -1,    -1,  2881,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1137,    -1,
    1998,  1999,  4290,    -1,  2002,    -1,  1145,  1146,    -1,    -1,
      -1,    -1,    -1,    -1,    21,    -1,  1155,    -1,  4306,    -1,
      -1,  4309,    -1,    -1,    -1,    -1,    33,  2025,    -1,    -1,
      -1,  2029,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    54,    -1,  2047,
      -1,    -1,  4340,  2947,    -1,    -1,    -1,    -1,    -1,    -1,
      67,    -1,    -1,  2061,    -1,    -1,    -1,    -1,    -1,    76,
    1209,    -1,    -1,    80,    -1,  4363,  2074,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2083,    -1,    -1,    -1,    -1,
      97,    -1,    -1,    -1,    -1,    -1,   103,    -1,    -1,    -1,
      -1,  4389,    -1,    -1,    -1,    -1,    -1,    -1,    21,    -1,
      -1,   118,  4400,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    -1,   129,    -1,  4412,  4413,    -1,    -1,    -1,    -1,
     137,    -1,    -1,    -1,    -1,  4423,    -1,    -1,    -1,    -1,
      -1,    54,   149,    -1,    -1,  4433,    -1,    -1,    -1,   156,
      -1,  2149,    -1,   160,    67,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    80,   175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3070,  3071,  3072,    -1,
      -1,    -1,    -1,    -1,    97,  4473,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4487,
      -1,    -1,    -1,    -1,    -1,   118,  1345,   214,    -1,    -1,
      -1,    -1,  2210,    -1,   221,    -1,   129,    -1,    -1,  4507,
      -1,    -1,    -1,    -1,   137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   149,    -1,    -1,    -1,
      -1,   154,    -1,    -1,    -1,   252,  2244,   160,   255,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   175,  4551,    -1,    -1,    -1,    -1,  4556,    -1,
      -1,    -1,  4560,    -1,    -1,    -1,  4564,    -1,    -1,    -1,
      -1,  2279,    -1,   290,    -1,  1424,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   308,    -1,    -1,  2302,  1444,    -1,   314,   221,    -1,
      -1,    -1,    13,   320,    -1,    -1,   323,    -1,    19,    -1,
      -1,  1460,    -1,    -1,    -1,    -1,    -1,    28,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,
      -1,    -1,   349,    -1,   351,   352,    47,   354,   355,    -1,
     263,    -1,  1491,  1492,    -1,    -1,   363,    -1,    -1,    -1,
      -1,   368,    -1,  1502,    -1,    -1,    -1,   374,   281,    -1,
     377,    -1,    -1,   380,    -1,  1514,  1515,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   393,  1526,  2386,    -1,
      -1,    -1,    -1,    -1,  2392,   308,    -1,    -1,    -1,   312,
      -1,   314,    -1,    -1,    -1,    -1,    -1,   320,    -1,    -1,
     323,    -1,    -1,    -1,    21,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,
      -1,    -1,   355,    -1,    -1,    -1,  3340,    54,    -1,    -1,
     363,    -1,    -1,    -1,    -1,   368,    -1,    -1,    -1,    -1,
      67,    68,    -1,    -1,    -1,  3359,    -1,   380,    -1,    76,
      -1,    -1,    -1,    80,    -1,    -1,    -1,  2475,    -1,    -1,
     393,    -1,    -1,    -1,    -1,   186,    -1,    -1,    -1,    -1,
      97,    -1,  3386,    -1,    -1,   196,   197,    -1,   199,    -1,
      -1,   202,    -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   129,    -1,    -1,    -1,  1665,    -1,    -1,    -1,
     137,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2536,    -1,
      -1,    -1,   149,    -1,    -1,    -1,    -1,   154,    -1,    -1,
      -1,    -1,    -1,  2551,  2552,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   175,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2578,    -1,    -1,  2581,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   221,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   252,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2651,  2652,  2653,    -1,    -1,    -1,    -1,
    3554,  3555,  3556,  3557,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   281,    -1,    -1,  2675,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2686,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,    -1,
      -1,   308,    -1,    -1,    -1,   312,    -1,   314,    -1,    -1,
      -1,    -1,    -1,   320,    -1,    -1,   323,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   349,    -1,   351,    -1,    -1,  1886,   355,    -1,
      -1,  1890,  1891,    -1,    -1,  1894,   363,    -1,    -1,    -1,
      -1,   368,    -1,    -1,    -1,    -1,    -1,  2765,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1916,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2807,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1957,    -1,
      -1,    -1,    -1,    -1,  2822,    -1,  2824,    -1,    -1,    -1,
      -1,   532,    -1,    -1,    -1,  1974,  1975,    -1,  2836,   540,
    2838,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   549,   550,
      -1,    -1,    -1,   554,    -1,    -1,    -1,    -1,    -1,  1998,
    1999,    -1,    -1,  2002,   565,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   579,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2025,    -1,    -1,  2887,
    2029,    -1,    -1,    -1,   595,    -1,    -1,   598,    -1,   600,
      -1,   602,    -1,    -1,    -1,    -1,    -1,    -1,  2047,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2915,    -1,    -1,
      -1,    -1,  2061,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2929,    -1,    -1,    -1,  2074,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2083,    -1,    -1,    -1,  2946,    -1,
      -1,  2949,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   662,    -1,   664,    -1,    -1,    -1,  3861,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2149,    -1,    -1,    -1,    -1,    -1,    -1,   718,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3024,   716,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   873,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2210,    -1,    -1,    -1,   776,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2244,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   828,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2279,    -1,   843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   856,    -1,    -1,    -1,    -1,
      -1,    -1,   863,  2302,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4066,    -1,   875,    -1,    -1,   878,    -1,    -1,
      -1,    -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,  1005,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4103,
     911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3218,    -1,    -1,    -1,    -1,  3223,    -1,  3225,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2386,    -1,    -1,
      -1,    -1,    -1,  2392,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3261,    -1,  3263,    -1,    -1,    -1,  3267,
      -1,    -1,    -1,    -1,  3272,    -1,    -1,  3275,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4195,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2475,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1035,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1064,    -1,    -1,  3376,  3377,
      -1,    -1,    -1,    -1,    -1,  3383,    -1,  1203,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2536,    -1,    -1,
      -1,    -1,    -1,  1092,  1093,    -1,  1095,    -1,    -1,    -1,
      -1,    -1,  2551,  2552,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2578,
      -1,  1257,  2581,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3459,    -1,    -1,    -1,  1154,    -1,    -1,    -1,    -1,
      -1,  1172,  1173,    -1,  1290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1183,    -1,    -1,    -1,  1187,  1188,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2651,  2652,  2653,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1235,    -1,  2675,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2686,    -1,  1365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2696,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2765,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2807,  3667,
    1486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2822,    -1,  2824,    -1,    -1,    -1,    -1,
    3688,    -1,    -1,    -1,    -1,    -1,    -1,  2836,    -1,  2838,
      -1,    -1,  3700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3722,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1433,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1448,  2887,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3762,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2915,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1488,    -1,    -1,
    2929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1503,    -1,  1505,    -1,  1507,  2946,    -1,    -1,
    2949,  1512,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1663,    -1,    -1,
      -1,    -1,    -1,    -1,  1555,    -1,    -1,    -1,  1559,    -1,
    1561,    -1,    -1,  1564,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3878,    -1,    -1,    -1,    -1,  3024,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1602,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1625,    -1,    -1,  1628,
      -1,    -1,  1631,    -1,    -1,    -1,    -1,    -1,    -1,  1638,
    1639,    -1,    -1,    -1,    -1,  1644,    -1,    -1,  1647,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3970,    -1,  3972,  1664,    -1,    -1,    -1,    -1,
    1669,    -1,    -1,    -1,  1673,    -1,    -1,    -1,  1677,    -1,
    1679,  1680,  1681,  1682,  1683,  1684,  1685,  1686,  1687,    -1,
    1689,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1697,  1698,
      -1,    -1,    -1,    -1,    -1,   873,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3182,    -1,    -1,    -1,    -1,    -1,    -1,
    4048,    -1,  4050,    -1,    -1,    -1,  1872,    -1,    -1,    -1,
    1876,  1877,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3218,
      -1,    -1,    -1,    -1,  3223,    -1,  3225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3261,    -1,  3263,    -1,    -1,    -1,  3267,    -1,
      -1,    -1,    -1,  3272,    -1,  1824,  3275,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1005,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1981,    -1,    -1,    -1,    -1,
    3309,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1887,  1888,    -1,    -1,
      -1,  1892,  1893,    -1,    -1,  1896,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4201,    -1,  1906,    -1,    -1,    -1,    -1,
      -1,    -1,  1913,    -1,    -1,    -1,  1917,  1918,    -1,    -1,
    1921,  1922,    -1,    -1,    -1,    -1,    -1,  1928,    -1,    -1,
    1919,    -1,    -1,    -1,    -1,    -1,    -1,  3376,  3377,  1940,
      -1,  1942,    -1,    -1,  3383,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1958,    -1,    -1,
      -1,    -1,  1963,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1983,    -1,  1985,  1986,  1987,  1988,    -1,    -1,
      -1,  1992,  1993,    -1,    -1,    -1,    -1,    -1,    -1,  2000,
      -1,    -1,    -1,  2004,    -1,    -1,    -1,  2008,    -1,    -1,
      -1,    -1,  2128,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2030,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2041,    -1,  2043,    -1,    -1,  1203,    -1,  2048,    -1,    -1,
      -1,    -1,  2053,  2054,  2055,  2056,    -1,    -1,    -1,    -1,
      -1,  2062,    -1,    -1,    -1,  4363,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2075,  2076,  2077,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2086,  2087,    -1,    -1,    -1,
      -1,  2207,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1257,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4423,    -1,    -1,    -1,    -1,
      -1,    -1,  1290,    -1,    -1,    -1,    -1,  2126,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1108,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,  4507,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1384,    -1,  3667,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,    -1,  3688,
      -1,  1168,    -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,
    2249,  3700,    -1,    -1,    -1,    -1,  4564,    -1,  2269,    -1,
      -1,  1429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3722,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2297,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3762,    -1,    -1,    -1,    -1,  1486,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2331,    -1,    -1,    -1,    -1,  2336,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2378,
      -1,  2380,  2381,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2391,    -1,    -1,  2394,    -1,  2396,  2524,    -1,
      -1,  2527,    -1,  2529,    -1,    -1,    -1,    -1,  2534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2423,    -1,  2425,    -1,    -1,  3878,
    2429,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,    -1,
      -1,    -1,  2461,  2462,  2463,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2488,    -1,  2478,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2490,    -1,    -1,    -1,  1663,  2495,    -1,  2624,    -1,
      -1,    -1,  2501,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3970,    -1,  3972,    -1,    -1,  2537,  2538,    -1,    -1,
    1698,    -1,    -1,   873,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2554,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,  2557,  2685,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2579,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2588,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2603,  2604,    -1,  1522,    -1,  2608,    -1,  4048,
      -1,  4050,  2613,  2614,  2615,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2642,  2643,  2644,  2645,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2790,  1005,  2677,  2678,  2679,    -1,
      -1,    -1,    -1,  1600,    -1,    -1,  2687,    -1,    -1,    -1,
      -1,    -1,  2808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1624,    -1,    -1,
      -1,    -1,  1629,    -1,  1872,    -1,    -1,    -1,  1876,  1877,
      -1,  2722,    -1,  2724,    -1,    -1,  2727,    -1,    -1,    -1,
      -1,    -1,  1649,  1650,    -1,  1652,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2872,  2758,    -1,    -1,
      -1,    -1,  4201,    -1,    -1,  2766,    -1,    -1,    -1,    -1,
      -1,    -1,  2888,    -1,    -1,    -1,    -1,  1694,    -1,    -1,
      -1,    -1,    -1,  2899,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1730,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2823,  1981,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2865,    -1,    -1,  2868,    -1,    -1,
      -1,    -1,  2988,  1203,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,  2900,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2914,    -1,    -1,    -1,  1834,    -1,    -1,
      -1,    -1,    -1,  2924,  4363,    -1,    -1,  1257,    -1,  1846,
      -1,    -1,  1849,  3049,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2128,    -1,    -1,    -1,    -1,    -1,  2965,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4423,    -1,  2975,    -1,    -1,    -1,
      -1,    -1,  2981,    -1,  2983,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3005,  3006,    -1,  3135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1365,    -1,  3026,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3036,    -1,  2207,
    3039,    -1,  3041,    -1,  1384,    -1,    -1,    -1,    -1,    -1,
      -1,  3050,    -1,    -1,    -1,    -1,    -1,  3056,  4507,    -1,
    3059,    -1,    -1,    -1,  1404,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3087,  1429,
      -1,    -1,    -1,    -1,  3093,  3094,    -1,    -1,  3224,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4556,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4564,    -1,    -1,  3117,    -1,
      -1,    -1,    -1,  2291,  3123,    -1,    -1,    -1,    -1,    -1,
    3129,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1486,  3158,    -1,  3160,
      -1,    -1,    -1,    -1,    -1,    -1,  3167,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3196,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3206,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3221,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3253,  3254,  3255,  3256,  3257,  3258,  3259,  3260,
      -1,    -1,    -1,    -1,  3380,  3266,    -1,    -1,    -1,    -1,
      -1,    -1,  3273,  3274,    -1,  3276,  3277,  3278,  3279,  3280,
    3281,  3282,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3291,    -1,  3293,  3294,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,    -1,  2461,  2462,  2463,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3347,  3348,  3349,    -1,
      -1,  3352,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2524,   873,    -1,  2527,
      -1,  2529,    -1,    -1,    -1,    -1,  2534,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3527,    -1,    -1,    -1,    -1,    -1,  2334,    -1,    -1,
      -1,    -1,  3538,    -1,    -1,    -1,  2584,    -1,    -1,  3418,
    3419,    -1,    -1,  3434,    -1,    -1,    -1,    -1,    -1,    -1,
    2357,    -1,  2359,    -1,  2361,  2362,  2363,    -1,    -1,  2366,
    3451,  3452,  3453,  2370,    -1,    -1,    -1,    -1,    -1,    -1,
    2377,    -1,    -1,    -1,    -1,  2382,  2624,    -1,    -1,    -1,
      -1,  2388,    -1,    -1,    -1,    -1,  2393,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2402,    -1,    -1,  3477,  2406,
    2407,    -1,  2409,    -1,    -1,    -1,    -1,    -1,    -1,  1005,
      -1,    -1,    -1,    -1,  2421,    -1,    -1,    -1,    -1,    -1,
      -1,  2428,    -1,  2430,  2431,  2432,  2433,  2434,  2435,  2436,
    2437,  2438,  2439,    -1,    -1,  2683,    -1,  2685,    -1,    -1,
      -1,    -1,    -1,    -1,  3650,  3524,  3525,    -1,    -1,    -1,
     873,    -1,  1872,    -1,    -1,    -1,  1876,  1877,  3537,    -1,
    2467,    -1,    -1,    -1,  3543,  3544,    -1,    -1,  3547,    -1,
    3676,  3550,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3587,    -1,
      -1,    -1,    -1,  3592,    -1,    -1,    -1,    -1,  3597,    -1,
      -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3747,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3632,    -1,    -1,    -1,    -1,    -1,    -1,
    2808,  1981,    -1,    -1,    -1,  2572,    -1,    -1,    -1,    -1,
    3661,  3662,  3663,  3664,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1005,    -1,   873,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3684,  3685,  3686,  3687,    -1,  3689,  3690,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1203,    -1,    -1,
    3701,  3702,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2872,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3726,  3727,    -1,  3729,    -1,
    2888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1257,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3894,    -1,
      -1,    -1,    -1,    -1,  1290,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1005,    -1,    -1,    -1,
    2968,  3800,    -1,    -1,    -1,    -1,    -1,  3818,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3827,    -1,    -1,    -1,
    2988,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3847,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,    -1,  1365,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3869,    -1,
    1203,    -1,    -1,    -1,    -1,    -1,  2793,  2207,  1384,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4006,  3049,    -1,    -1,    -1,    -1,    -1,    -1,  1404,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   873,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1429,  1257,    -1,    -1,    -1,    -1,    -1,
      -1,  3920,    -1,    -1,    -1,  3936,  3094,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1290,    -1,    -1,
      -1,  2291,    -1,  3952,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,
    1486,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,
      -1,  2918,    -1,    -1,  1203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4135,
      -1,    -1,    -1,  4024,  4025,  4026,    -1,    -1,  4029,    -1,
      -1,    -1,  1365,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1005,  2964,    -1,    -1,
      -1,  1384,    -1,  2970,    -1,  4171,    -1,    -1,  1257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3224,    -1,    -1,  2986,
    2987,  1404,  2989,    -1,    -1,  2992,  2993,  2994,  2995,  2996,
    2997,  2998,  2999,  3000,  3001,  3002,    -1,    -1,    -1,  4205,
      -1,  1290,    -1,  4209,  4210,    -1,  1429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3027,    -1,    -1,  3030,    -1,  3032,    -1,    -1,    -1,  4120,
    3037,  3038,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3051,  3052,  3053,    -1,  3055,    -1,
      -1,  3058,    -1,    -1,    -1,    -1,    -1,    -1,  4137,    -1,
      -1,    -1,    -1,  1486,    -1,    -1,    -1,  1663,  4159,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,  4169,    -1,
      -1,    -1,    -1,  4162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3101,  1384,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2524,  3112,    -1,  2527,  4199,  2529,
      -1,    -1,    -1,  4204,  2534,  1404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4215,    -1,    -1,    -1,    -1,    -1,
    4221,    -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1429,  3148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1203,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2584,    -1,    -1,    -1,    -1,  3417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4270,    -1,    -1,    -1,    -1,    -1,  1486,    -1,    -1,
      -1,    -1,    -1,  4294,  2624,    -1,    -1,    -1,  1257,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4315,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1663,  1290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4340,    -1,  2683,    -1,  2685,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1872,    -1,    -1,  3527,
    1876,  1877,    -1,    -1,    -1,    -1,    -1,  4378,    -1,    -1,
    3538,    -1,  4383,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1365,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2746,    -1,    -1,    -1,
      -1,    -1,    -1,  4412,  4413,  1384,    -1,    -1,    -1,  3587,
      -1,    -1,    -1,    -1,  3592,    -1,  3353,    -1,    -1,  3597,
      -1,  2771,    -1,    -1,    -1,  1404,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2790,    -1,    -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,
    1429,    -1,    -1,    -1,    -1,  1981,    -1,    -1,  2808,    -1,
      -1,    -1,    -1,    -1,  4473,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,  4487,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1486,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,  1872,
      -1,    -1,  2872,  1876,  1877,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,    -1,
      -1,  3478,  4551,    -1,    -1,  3482,  3483,  3484,    -1,  2899,
    3487,    -1,    -1,    -1,    -1,  3492,  3493,  3494,  3495,  3496,
    3497,  3498,  3499,  3500,  3501,  3502,  3503,    -1,    -1,  3747,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3531,  3532,  3533,  3534,    -1,  3536,
      -1,    -1,  2128,  3540,  3541,  3542,    -1,    -1,  3545,    -1,
      -1,  3548,    -1,    -1,    -1,    -1,    -1,    -1,  2968,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1981,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2988,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3589,  1872,    -1,    -1,    -1,  1876,  1877,  3596,
      -1,    -1,    -1,  3013,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3858,  2207,    -1,    -1,  1663,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3049,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3894,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1981,    -1,    -1,  2291,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2128,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4006,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2207,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3803,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3224,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1872,    -1,    -1,    -1,  1876,  1877,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3855,  3856,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,  2291,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3886,
      -1,    -1,    -1,  3890,    -1,    -1,    -1,  4135,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3904,    -1,  3906,
      -1,    -1,    -1,    -1,  3911,  3912,  3913,    -1,    -1,  3916,
    3917,  3918,  3919,    -1,  3921,    -1,    -1,  3924,  2207,    -1,
      -1,    -1,    -1,  4171,    -1,    -1,    -1,    -1,  2524,    -1,
      -1,  2527,  1981,  2529,    -1,    -1,    -1,    -1,  2534,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,
    3380,  4209,  4210,    -1,    -1,    -1,    -1,  3974,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2584,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,    -1,
      -1,    -1,  2291,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2624,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4069,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2128,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2683,    -1,  2685,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2524,    -1,    -1,  2527,    -1,  2529,  3527,    -1,    -1,
      -1,  2534,    -1,    -1,    -1,    -1,    -1,    -1,  3538,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4133,  4134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4149,  4150,  4151,    -1,    -1,    -1,    -1,    -1,
    2746,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2207,    -1,
      -1,  2584,    -1,    -1,    -1,    -1,    -1,  4174,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2771,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,
      -1,  2624,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2808,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3650,    -1,    -1,    -1,    -1,  2524,    -1,    -1,  2527,    -1,
    2529,    -1,  2291,    -1,    -1,  2534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,    -1,    -1,
    2683,    -1,  2685,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3693,    -1,    -1,  2872,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4298,  2888,    -1,    -1,  2584,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2899,    -1,    -1,    -1,  4314,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2746,    -1,    -1,    -1,  3747,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2771,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,    -1,    -1,
      -1,    -1,  2968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4388,    -1,    -1,    -1,  2808,    -1,    -1,    -1,    -1,
      -1,    -1,  2988,    -1,  2683,    -1,  2685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3013,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4432,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2872,
      -1,    -1,    -1,  3049,    -1,    -1,    -1,  2746,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2888,    -1,    -1,    -1,  4476,
      -1,    -1,    -1,    -1,  3894,  2524,  2899,    -1,  2527,    -1,
    2529,    -1,  2771,    -1,    -1,  2534,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2808,
      -1,    -1,  4529,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2584,    -1,    -1,    -1,  3135,
      -1,    -1,    -1,    -1,    -1,  2968,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2988,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2624,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2872,    -1,    -1,  4006,    -1,    -1,    -1,
    3013,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3049,    -1,  3224,    -1,
      -1,    -1,    -1,    -1,  2683,    -1,  2685,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2968,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4114,    -1,    -1,  2746,    -1,  2988,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3135,    -1,    -1,  4135,    -1,    -1,    -1,    -1,
      -1,    -1,  2771,    -1,  3013,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2790,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2808,
    3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3380,  4205,    -1,    -1,    -1,  4209,
    4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3224,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3417,    -1,  2872,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2888,
      -1,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,    -1,
    2899,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2968,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3527,    -1,    -1,    -1,  3224,    -1,    -1,    -1,  2988,
      -1,    -1,  3538,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3380,    -1,    -1,
      -1,    -1,    -1,    -1,  3013,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3417,    -1,    -1,    -1,    -1,    -1,
    3049,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3650,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3676,    -1,    -1,    -1,    -1,    -1,  3135,    -1,    -1,    -1,
      -1,  3380,    -1,    -1,    -1,    -1,    -1,  3693,    -1,    -1,
      -1,    -1,    -1,    -1,  3527,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3538,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3747,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3224,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3650,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,
      -1,    -1,    -1,  3676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3693,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3894,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3747,    -1,    -1,    -1,    -1,    -1,
      -1,  3380,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3650,    -1,    -1,    -1,    -1,    -1,    -1,  3417,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,    -1,    -1,
    4006,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3894,    -1,    -1,    -1,    -1,    -1,    -1,  3527,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3538,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4114,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4135,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4171,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4006,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3650,    -1,    -1,    -1,  3894,    -1,    -1,    -1,  4205,
      -1,    -1,    -1,  4209,  4210,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3676,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3693,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4114,    -1,    -1,    -1,    -1,    -1,    -1,  3747,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4135,    -1,    -1,    -1,    -1,  4006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4171,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4205,    -1,    -1,    -1,  4209,  4210,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3894,  4135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4205,    -1,    -1,    -1,
    4209,  4210,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4006,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4114,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4135,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4171,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,     4,     5,     6,     7,     8,     9,    10,
      -1,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    -1,  4205,    -1,    -1,    30,
    4209,  4210,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    42,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    53,    54,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    87,    88,    89,    90,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,   115,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,   208,   209,   210,
      -1,   212,   213,   214,   215,   216,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,   236,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,    -1,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   427,   428,   429,    -1,
      -1,    -1,    -1,    -1,    -1,   436,   437,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,     3,    -1,    -1,    -1,    -1,    -1,    -1,
     436,   437,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   437,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,   239,   240,    -1,    -1,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,   418,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,   437,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,   239,   240,
      -1,    -1,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,     3,     4,     5,
       6,     7,     8,     9,    10,   416,   417,   418,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,   437,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,   152,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,   205,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,   360,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,    -1,    -1,   434,   435,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,   429,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
     152,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
     236,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     436,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,     3,
       4,     5,     6,     7,     8,     9,    10,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   427,   428,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,     3,     4,     5,     6,     7,     8,     9,
      10,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      30,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   427,   428,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,     3,     4,     5,
       6,     7,     8,     9,    10,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,    -1,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   427,   428,    -1,    -1,     3,     4,     5,     6,     7,
     436,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,     4,
       5,     6,     7,    -1,     9,    10,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    30,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,     4,     5,     6,     7,     8,     9,    10,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    30,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      -1,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,    -1,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,    -1,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   427,   428,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,     3,     4,     5,     6,     7,
       8,     9,    10,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    30,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
      -1,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,    -1,    -1,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,   427,
     428,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    54,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
      -1,   206,   207,   208,   209,   210,    -1,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,   251,   252,   253,   254,
      -1,    -1,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,   349,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    54,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,   251,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,
      39,    40,    41,    42,    43,    44,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    54,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    67,    -1,
      69,    70,    71,    72,    73,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,   151,    -1,   153,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,   168,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,   181,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,   208,
     209,   210,    -1,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,   235,    -1,   237,   238,
     239,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
     259,   260,   261,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,   391,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       3,     4,     5,    -1,    -1,    -1,     9,    -1,    -1,    -1,
     436,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    45,    46,    -1,    48,    49,    50,    51,    52,
      -1,    -1,    55,    56,    57,    58,    59,    -1,    61,    62,
      63,    64,    65,    -1,    67,    -1,    69,    70,    71,    72,
      73,    74,    75,    -1,    77,    78,    79,    80,    81,    82,
      -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,
      -1,    94,    95,    96,    97,    98,    99,   100,   101,   102,
      -1,   104,    -1,   106,   107,   108,   109,   110,    -1,   112,
     113,   114,    -1,    -1,   117,   118,   119,   120,   121,    -1,
     123,   124,   125,    -1,   127,   128,   129,    -1,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,    -1,
     143,   144,   145,   146,    -1,   148,    -1,   150,   151,    -1,
     153,   154,   155,   156,    -1,   158,   159,    -1,   161,    -1,
     163,   164,   165,   166,   167,   168,   169,   170,   171,    -1,
     173,   174,   175,   176,   177,   178,    -1,   180,   181,   182,
     183,   184,   185,   186,   187,   188,    -1,   190,    -1,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,    -1,
     203,   204,    -1,   206,   207,   208,   209,   210,    -1,   212,
     213,   214,    -1,    -1,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,    -1,   237,   238,   239,   240,    -1,   242,
     243,   244,   245,   246,   247,    -1,   249,   250,    -1,   252,
     253,   254,    -1,    -1,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,    -1,   271,   272,
     273,   274,   275,   276,   277,    -1,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,    -1,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,    -1,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,    -1,   320,   321,   322,
     323,   324,    -1,   326,   327,   328,   329,   330,   331,   332,
     333,    -1,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,    -1,   347,   348,    -1,   350,   351,   352,
     353,   354,   355,    -1,   357,   358,    -1,    -1,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
      -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,   382,
     383,   384,   385,   386,   387,   388,    -1,   390,   391,   392,
     393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     3,   427,   428,   429,    -1,    -1,    -1,
      -1,    -1,    -1,   436,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,   349,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    23,    24,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,
      37,    38,    39,    40,    41,    42,    43,    44,    45,    46,
      -1,    48,    49,    50,    51,    52,    -1,    -1,    55,    56,
      57,    58,    59,    -1,    61,    62,    63,    64,    65,    -1,
      67,    -1,    69,    70,    71,    72,    73,    74,    75,    -1,
      77,    78,    79,    80,    81,    82,    -1,    84,    85,    86,
      -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,
      97,    98,    99,   100,   101,   102,    -1,   104,    -1,   106,
     107,   108,   109,   110,    -1,   112,   113,   114,    -1,    -1,
     117,   118,   119,   120,   121,    -1,   123,   124,   125,    -1,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
     137,   138,   139,    -1,   141,    -1,   143,   144,   145,   146,
      -1,   148,    -1,   150,   151,    -1,   153,   154,   155,   156,
      -1,   158,   159,    -1,   161,    -1,   163,   164,   165,   166,
     167,   168,   169,   170,   171,    -1,   173,   174,   175,   176,
     177,   178,    -1,   180,   181,   182,   183,   184,   185,   186,
     187,   188,    -1,   190,    -1,   192,   193,   194,   195,   196,
     197,   198,   199,   200,   201,    -1,   203,   204,    -1,   206,
     207,   208,   209,   210,    -1,   212,   213,   214,    -1,    -1,
     217,   218,   219,   220,   221,   222,   223,   224,   225,   226,
     227,   228,   229,   230,   231,   232,   233,   234,   235,    -1,
     237,   238,   239,   240,    -1,   242,   243,   244,   245,   246,
     247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,
     257,   258,   259,   260,   261,   262,   263,   264,   265,   266,
     267,   268,   269,    -1,   271,   272,   273,   274,   275,   276,
     277,    -1,   279,   280,   281,   282,   283,   284,   285,   286,
     287,   288,   289,   290,   291,    -1,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,    -1,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,    -1,   320,   321,   322,   323,   324,    -1,   326,
     327,   328,   329,   330,   331,   332,   333,    -1,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,    -1,
     347,   348,    -1,   350,   351,   352,   353,   354,   355,    -1,
     357,   358,    -1,    -1,   361,   362,   363,   364,    -1,   366,
     367,   368,   369,   370,   371,   372,    -1,    -1,   375,   376,
     377,   378,   379,    -1,    -1,   382,   383,   384,   385,   386,
     387,   388,    -1,   390,   391,   392,   393,   394,   395,    -1,
      -1,   398,    -1,    -1,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,   411,   412,   413,   414,   415,   416,
     417,   418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,   349,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   436,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,    40,
      41,    42,    43,    -1,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    65,    -1,    -1,    -1,    69,    70,
      71,    72,    -1,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,   137,   138,   139,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
      -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,
     161,    -1,   163,   164,   165,   166,   167,    -1,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
      -1,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
      -1,   232,   233,   234,   235,    -1,   237,   238,    -1,   240,
      -1,   242,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,   260,
      -1,   262,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,   272,   273,   274,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,    -1,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,    -1,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,   362,   363,   364,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,   387,   388,    -1,   390,
      -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   436,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    -1,    39,    40,    41,    42,    43,    -1,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    -1,
      85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
     135,   136,   137,   138,   139,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,
     155,   156,    -1,   158,   159,    -1,   161,    -1,   163,   164,
     165,   166,   167,    -1,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,    -1,   182,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,
     195,    -1,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,    -1,   232,   233,   234,
     235,    -1,   237,   238,    -1,   240,    -1,   242,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,   272,   273,   274,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,    -1,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,    -1,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,   362,   363,   364,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,   387,   388,    -1,   390,    -1,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,     3,     4,     5,    -1,    -1,     8,
       9,    -1,    -1,    -1,   436,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    41,    -1,    43,    44,    45,    46,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    -1,    66,    67,    68,
      69,    70,    71,    72,    73,    74,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,    90,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,   103,   104,   105,   106,   107,   108,
     109,   110,   111,   112,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,   124,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,    -1,   136,   137,   138,
      -1,   140,   141,   142,   143,   144,   145,   146,   147,   148,
     149,   150,   151,   152,   153,   154,   155,   156,   157,   158,
      -1,   160,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,   183,   184,   185,   186,   187,   188,
     189,   190,   191,   192,   193,   194,   195,   196,   197,   198,
     199,   200,   201,   202,   203,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,   231,   232,   233,   234,    -1,   236,   237,   238,
     239,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
     249,   250,   251,   252,   253,   254,   255,   256,   257,    -1,
     259,   260,   261,    -1,   263,   264,   265,   266,   267,   268,
     269,   270,   271,    -1,   273,    -1,   275,   276,   277,   278,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,    -1,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   327,   328,
     329,   330,   331,   332,   333,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,    -1,   346,   347,   348,
     349,   350,   351,   352,   353,   354,   355,   356,   357,   358,
     359,   360,   361,    -1,   363,    -1,   365,   366,   367,   368,
     369,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   381,   382,   383,   384,   385,   386,    -1,   388,
     389,   390,   391,   392,   393,   394,   395,   396,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,    -1,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,     3,    -1,    -1,    -1,    -1,     8,
      -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,
      39,    40,    41,    42,    43,    -1,    45,    46,    -1,    48,
      49,    50,    51,    52,    -1,    -1,    55,    56,    57,    58,
      59,    -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,
      69,    70,    71,    72,    -1,    74,    75,    -1,    77,    78,
      79,    80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,   104,    -1,   106,   107,   108,
     109,   110,    -1,   112,   113,   114,    -1,    -1,   117,   118,
     119,   120,   121,    -1,   123,   124,   125,    -1,   127,   128,
     129,    -1,   131,   132,   133,   134,   135,   136,   137,   138,
     139,    -1,   141,    -1,   143,   144,   145,   146,    -1,   148,
      -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,
     159,    -1,   161,    -1,   163,   164,   165,   166,   167,    -1,
     169,   170,   171,    -1,   173,   174,   175,   176,   177,   178,
      -1,   180,    -1,   182,   183,   184,   185,   186,   187,   188,
      -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,
     199,   200,   201,    -1,   203,   204,    -1,   206,   207,    -1,
     209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,
     219,   220,   221,   222,   223,   224,   225,   226,   227,   228,
     229,   230,    -1,   232,   233,   234,   235,    -1,   237,   238,
      -1,   240,    -1,   242,   243,   244,   245,   246,   247,    -1,
     249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,
      -1,   260,    -1,   262,   263,   264,   265,   266,   267,   268,
     269,    -1,   271,   272,   273,   274,   275,   276,   277,    -1,
     279,   280,   281,   282,   283,   284,   285,   286,   287,   288,
     289,   290,   291,    -1,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,    -1,   305,   306,    -1,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
      -1,   320,   321,   322,   323,   324,    -1,   326,   327,   328,
     329,    -1,   331,   332,   333,    -1,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,    -1,   347,   348,
      -1,   350,   351,   352,   353,   354,   355,    -1,   357,   358,
      -1,    -1,   361,   362,   363,   364,    -1,   366,   367,   368,
     369,   370,   371,   372,    -1,    -1,   375,   376,   377,   378,
     379,    -1,    -1,   382,   383,   384,   385,   386,   387,   388,
      -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,   398,
      -1,    -1,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,   411,   412,   413,   414,   415,   416,   417,   418,
      -1,    -1,    -1,     3,   423,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      30,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    72,    73,    74,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    88,    89,
      90,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,   163,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   429,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   429,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    -1,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    -1,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,    -1,   136,   137,
     138,    -1,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,    -1,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,    -1,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,    -1,    -1,   237,
     238,   239,   240,    -1,    -1,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,   256,   257,
     258,   259,   260,   261,    -1,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,    -1,   273,    -1,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,    -1,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,    -1,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,    -1,   363,    -1,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,    -1,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,    -1,
      -1,    -1,     3,    -1,    -1,    -1,    -1,    -1,   416,   417,
     418,    -1,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,   429,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,   182,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,   239,   240,
      -1,    -1,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,   256,   257,   258,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,    -1,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,    -1,    -1,     3,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,   429,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,     4,     5,    -1,    -1,
      -1,     9,    -1,    -1,    -1,   429,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,   250,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,     4,     5,    -1,    -1,    -1,     9,    -1,   427,
     428,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,   250,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,     4,     5,
      -1,    -1,    -1,     9,    -1,   427,   428,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,   140,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,   250,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,   365,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,     9,
      -1,   427,   428,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,   152,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
       4,     5,    -1,    -1,    -1,     9,    -1,   427,   428,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    72,    73,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    88,    89,    90,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    47,
      48,    49,    50,    51,    52,    53,    54,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    66,    67,
      68,    69,    70,    71,    72,    73,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      88,    89,    90,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    30,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    47,    48,    49,    50,    51,
      52,    53,    54,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    66,    67,    68,    69,    70,    71,
      72,    73,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    88,    89,    90,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    54,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    87,    88,    89,    90,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,   215,
     216,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,   325,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
     250,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    26,    27,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,     5,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,     5,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,   160,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      38,    39,    40,    41,    42,    43,    44,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    67,
      -1,    69,    70,    71,    72,    73,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    84,    85,    86,    -1,
      -1,    -1,    90,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,   151,    -1,   153,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
     168,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,   181,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
     208,   209,   210,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,    -1,   237,
     238,   239,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,   330,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,   391,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    38,    39,    40,    41,
      42,    43,    44,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    67,    -1,    69,    70,    71,
      72,    73,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,   151,
      -1,   153,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,   168,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,   181,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,   208,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,    -1,   237,   238,   239,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,   330,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,   391,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    42,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,   235,
      -1,   237,   238,   239,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,   259,
     260,   261,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      44,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    67,    -1,    69,    70,    71,    72,    73,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      84,    85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,   151,    -1,   153,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,   168,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,   181,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,   208,   209,   210,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,    -1,   237,   238,   239,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,   330,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,   391,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    60,    61,    62,    63,    64,    65,    -1,    -1,
      68,    69,    70,    71,    72,    -1,    74,    75,    76,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,   149,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,   374,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    60,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    76,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,   210,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,   374,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    83,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,   149,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
     374,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    83,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,   149,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    83,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    26,    27,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      22,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,   251,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,   251,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    22,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    38,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,   251,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,   349,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,     5,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    31,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,   381,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    31,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,    -1,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    -1,    39,
      40,    41,    42,    43,    -1,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    65,    -1,    -1,    -1,    69,
      70,    71,    72,    -1,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,   135,   136,   137,   138,   139,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,    -1,    -1,    -1,   154,   155,   156,    -1,   158,   159,
      -1,   161,    -1,   163,   164,   165,   166,   167,    -1,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,    -1,   182,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,    -1,    -1,   195,    -1,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,   207,    -1,   209,
      -1,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,    -1,   232,   233,   234,   235,    -1,   237,   238,    -1,
     240,    -1,   242,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,   258,    -1,
     260,    -1,   262,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,   272,   273,   274,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,    -1,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
      -1,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,   362,   363,   364,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,   387,   388,    -1,
     390,    -1,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,     3,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    23,
      24,    25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,
      34,    -1,    36,    37,    -1,    39,    40,    41,    42,    43,
      -1,    45,    46,    -1,    48,    49,    50,    51,    52,    -1,
      -1,    55,    56,    57,    58,    59,    -1,    61,    62,    63,
      64,    65,    -1,    -1,    -1,    69,    70,    71,    72,    -1,
      74,    75,    -1,    77,    78,    79,    80,    81,    82,    -1,
      -1,    85,    86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      94,    95,    96,    97,    98,    99,   100,   101,   102,    -1,
     104,    -1,   106,   107,   108,   109,   110,    -1,   112,   113,
     114,    -1,    -1,   117,   118,   119,   120,   121,    -1,   123,
     124,   125,    -1,   127,   128,   129,    -1,   131,   132,   133,
     134,   135,   136,   137,   138,   139,    -1,   141,    -1,   143,
     144,   145,   146,    -1,   148,    -1,   150,    -1,    -1,    -1,
     154,   155,   156,    -1,   158,   159,    -1,   161,    -1,   163,
     164,   165,   166,   167,    -1,   169,   170,   171,    -1,   173,
     174,   175,   176,   177,   178,    -1,   180,    -1,   182,   183,
     184,   185,   186,   187,   188,    -1,   190,    -1,   192,    -1,
      -1,   195,    -1,   197,   198,   199,   200,   201,    -1,   203,
     204,    -1,   206,   207,    -1,   209,    -1,    -1,   212,   213,
     214,    -1,    -1,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,    -1,   232,   233,
     234,   235,    -1,   237,   238,    -1,   240,    -1,   242,   243,
     244,   245,   246,   247,    -1,   249,    -1,    -1,   252,   253,
     254,    -1,    -1,   257,   258,    -1,   260,    -1,   262,   263,
     264,   265,   266,   267,   268,   269,    -1,   271,   272,   273,
     274,   275,   276,   277,    -1,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,    -1,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
      -1,   305,   306,    -1,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,    -1,   320,   321,   322,   323,
     324,    -1,   326,   327,   328,   329,    -1,   331,   332,   333,
      -1,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,    -1,   347,   348,    -1,   350,   351,   352,   353,
     354,   355,    -1,   357,   358,    -1,    -1,   361,   362,   363,
     364,    -1,   366,   367,   368,   369,   370,   371,   372,    -1,
      -1,   375,   376,   377,   378,   379,    -1,    -1,   382,   383,
     384,   385,   386,   387,   388,    -1,   390,    -1,   392,   393,
     394,   395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,     3,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    23,    24,    25,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    33,    34,    -1,    36,    37,
      -1,    39,    40,    41,    42,    43,    -1,    45,    46,    -1,
      48,    49,    50,    51,    52,    -1,    -1,    55,    56,    57,
      58,    59,    -1,    61,    62,    63,    64,    65,    -1,    -1,
      -1,    69,    70,    71,    72,    -1,    74,    75,    -1,    77,
      78,    79,    80,    81,    82,    -1,    -1,    85,    86,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    94,    95,    96,    97,
      98,    99,   100,   101,   102,    -1,   104,    -1,   106,   107,
     108,   109,   110,    -1,   112,   113,   114,    -1,    -1,   117,
     118,   119,   120,   121,    -1,   123,   124,   125,    -1,   127,
     128,   129,    -1,   131,   132,   133,   134,   135,   136,   137,
     138,   139,    -1,   141,    -1,   143,   144,   145,   146,    -1,
     148,    -1,   150,    -1,    -1,    -1,   154,   155,   156,    -1,
     158,   159,    -1,   161,    -1,   163,   164,   165,   166,   167,
      -1,   169,   170,   171,    -1,   173,   174,   175,   176,   177,
     178,    -1,   180,    -1,   182,   183,   184,   185,   186,   187,
     188,    -1,   190,    -1,   192,    -1,    -1,   195,    -1,   197,
     198,   199,   200,   201,    -1,   203,   204,    -1,   206,   207,
      -1,   209,    -1,    -1,   212,   213,   214,    -1,    -1,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,    -1,   232,   233,   234,   235,    -1,   237,
     238,    -1,   240,    -1,   242,   243,   244,   245,   246,   247,
      -1,   249,    -1,    -1,   252,   253,   254,    -1,    -1,   257,
     258,    -1,   260,    -1,   262,   263,   264,   265,   266,   267,
     268,   269,    -1,   271,   272,   273,   274,   275,   276,   277,
      -1,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,    -1,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,    -1,   305,   306,    -1,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,    -1,   320,   321,   322,   323,   324,    -1,   326,   327,
     328,   329,    -1,   331,   332,   333,    -1,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,    -1,   347,
     348,    -1,   350,   351,   352,   353,   354,   355,    -1,   357,
     358,    -1,    -1,   361,   362,   363,   364,    -1,   366,   367,
     368,   369,   370,   371,   372,    -1,    -1,   375,   376,   377,
     378,   379,    -1,    -1,   382,   383,   384,   385,   386,   387,
     388,    -1,   390,    -1,   392,   393,   394,   395,    -1,    -1,
     398,    -1,    -1,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    33,    34,    -1,    36,    37,    -1,    39,    40,    41,
      42,    43,    -1,    45,    46,    -1,    48,    49,    50,    51,
      52,    -1,    -1,    55,    56,    57,    58,    59,    -1,    61,
      62,    63,    64,    65,    -1,    -1,    -1,    69,    70,    71,
      72,    -1,    74,    75,    -1,    77,    78,    79,    80,    81,
      82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,   104,    -1,   106,   107,   108,   109,   110,    -1,
     112,   113,   114,    -1,    -1,   117,   118,   119,   120,   121,
      -1,   123,   124,   125,    -1,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,   137,   138,   139,    -1,   141,
      -1,   143,   144,   145,   146,    -1,   148,    -1,   150,    -1,
      -1,    -1,   154,   155,   156,    -1,   158,   159,    -1,   161,
      -1,   163,   164,   165,   166,   167,    -1,   169,   170,   171,
      -1,   173,   174,   175,   176,   177,   178,    -1,   180,    -1,
     182,   183,   184,   185,   186,   187,   188,    -1,   190,    -1,
     192,    -1,    -1,   195,    -1,   197,   198,   199,   200,   201,
      -1,   203,   204,    -1,   206,   207,    -1,   209,    -1,    -1,
     212,   213,   214,    -1,    -1,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,    -1,
     232,   233,   234,   235,    -1,   237,   238,    -1,   240,    -1,
     242,   243,   244,   245,   246,   247,    -1,   249,    -1,    -1,
     252,   253,   254,    -1,    -1,   257,   258,    -1,   260,    -1,
     262,   263,   264,   265,   266,   267,   268,   269,    -1,   271,
     272,   273,   274,   275,   276,   277,    -1,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
      -1,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,    -1,   305,   306,    -1,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,    -1,   320,   321,
     322,   323,   324,    -1,   326,   327,   328,   329,    -1,   331,
     332,   333,    -1,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,    -1,   347,   348,    -1,   350,   351,
     352,   353,   354,   355,    -1,   357,   358,    -1,    -1,   361,
     362,   363,   364,    -1,   366,   367,   368,   369,   370,   371,
     372,    -1,    -1,   375,   376,   377,   378,   379,    -1,    -1,
     382,   383,   384,   385,   386,   387,   388,    -1,   390,    -1,
     392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    38,    39,    40,    41,    -1,    43,    44,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    -1,
      -1,    67,    -1,    69,    70,    71,    72,    73,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    84,    85,
      86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,    -1,
     136,   137,   138,    -1,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,   151,    -1,   153,   154,   155,
     156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,    -1,   180,   181,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,   193,   194,   195,
     196,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,    -1,   208,   209,   210,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,   231,   232,   233,   234,    -1,
      -1,   237,   238,   239,   240,    -1,    -1,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,   259,   260,   261,    -1,   263,   264,   265,
     266,   267,   268,   269,    -1,   271,    -1,   273,    -1,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,   285,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,   307,   308,   309,    -1,   311,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,   330,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,    -1,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     416,   417,   418,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    33,    34,    -1,    36,    37,    38,    39,    40,
      41,    -1,    43,    44,    45,    46,    -1,    48,    49,    50,
      51,    52,    -1,    -1,    55,    56,    57,    58,    59,    -1,
      61,    62,    63,    64,    -1,    -1,    67,    -1,    69,    70,
      71,    72,    73,    74,    75,    -1,    77,    78,    79,    80,
      81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,    90,
      -1,    -1,    -1,    94,    95,    96,    97,    98,    99,   100,
     101,   102,    -1,   104,    -1,   106,   107,   108,   109,   110,
      -1,   112,   113,   114,    -1,    -1,   117,   118,   119,   120,
     121,    -1,   123,   124,   125,    -1,   127,   128,   129,    -1,
     131,   132,   133,   134,    -1,   136,   137,   138,    -1,    -1,
     141,    -1,   143,   144,   145,   146,    -1,   148,    -1,   150,
     151,    -1,   153,   154,   155,   156,    -1,   158,    -1,    -1,
     161,    -1,   163,   164,   165,   166,   167,   168,   169,   170,
     171,    -1,   173,   174,   175,   176,   177,   178,    -1,   180,
     181,    -1,   183,   184,   185,   186,   187,   188,    -1,   190,
      -1,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,    -1,   203,   204,    -1,   206,    -1,   208,   209,   210,
      -1,   212,   213,   214,    -1,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,    -1,    -1,   237,   238,   239,   240,
     241,    -1,   243,   244,   245,   246,   247,    -1,   249,    -1,
      -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,   260,
     261,    -1,   263,   264,   265,   266,   267,   268,   269,    -1,
     271,    -1,   273,    -1,   275,   276,   277,    -1,   279,   280,
     281,   282,   283,   284,   285,   286,   287,   288,   289,   290,
     291,    -1,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,    -1,   305,   306,   307,   308,   309,    -1,
     311,   312,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,    -1,   326,   327,   328,   329,   330,
     331,   332,   333,    -1,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,    -1,    -1,   347,   348,   349,   350,
     351,   352,   353,   354,   355,    -1,   357,   358,    -1,    -1,
     361,    -1,   363,    -1,    -1,   366,   367,   368,   369,   370,
     371,   372,    -1,    -1,   375,   376,   377,   378,   379,    -1,
      -1,   382,   383,   384,   385,   386,    -1,   388,    -1,   390,
     391,   392,   393,   394,   395,    -1,    -1,   398,    -1,    -1,
     401,   402,   403,   404,   405,   406,    -1,     3,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    23,    24,    25,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,    -1,
      36,    37,    -1,    39,    40,    41,    42,    43,    -1,    45,
      46,    -1,    48,    49,    50,    51,    52,    -1,    -1,    55,
      56,    57,    58,    59,    -1,    61,    62,    63,    64,    65,
      -1,    -1,    -1,    69,    70,    71,    72,    -1,    74,    75,
      -1,    77,    78,    79,    80,    81,    82,    -1,    -1,    85,
      86,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,   104,    -1,
     106,   107,   108,   109,   110,    -1,   112,   113,   114,    -1,
      -1,   117,   118,   119,   120,   121,    -1,   123,   124,   125,
      -1,   127,   128,   129,    -1,   131,   132,   133,   134,   135,
     136,   137,   138,   139,    -1,   141,    -1,   143,   144,   145,
     146,    -1,   148,    -1,   150,    -1,    -1,    -1,   154,   155,
     156,    -1,   158,   159,    -1,   161,    -1,   163,   164,   165,
     166,   167,    -1,   169,   170,   171,    -1,   173,   174,   175,
     176,   177,   178,    -1,   180,    -1,   182,   183,   184,   185,
     186,   187,   188,    -1,   190,    -1,   192,    -1,    -1,   195,
      -1,   197,   198,   199,   200,   201,    -1,   203,   204,    -1,
     206,   207,    -1,   209,    -1,    -1,   212,   213,   214,    -1,
      -1,   217,   218,   219,   220,   221,   222,   223,   224,   225,
     226,   227,   228,   229,   230,    -1,   232,   233,   234,   235,
      -1,   237,   238,    -1,   240,    -1,   242,   243,   244,   245,
     246,   247,    -1,   249,    -1,    -1,   252,   253,   254,    -1,
      -1,   257,   258,    -1,   260,    -1,   262,   263,   264,   265,
     266,    -1,   268,   269,    -1,   271,   272,   273,   274,   275,
     276,   277,    -1,   279,   280,   281,   282,   283,   284,    -1,
     286,   287,   288,   289,   290,   291,    -1,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,    -1,   305,
     306,    -1,   308,   309,   310,    -1,   312,   313,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,   327,   328,   329,    -1,   331,   332,   333,    -1,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
      -1,   347,   348,    -1,   350,   351,   352,   353,   354,   355,
      -1,   357,   358,    -1,    -1,   361,   362,   363,   364,    -1,
     366,   367,   368,   369,   370,   371,   372,    -1,    -1,   375,
     376,   377,   378,   379,    -1,    -1,   382,   383,   384,   385,
     386,   387,   388,    -1,   390,    -1,   392,   393,   394,   395,
      -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,   411,   412,   413,   414,   415,
     416,   417,   418,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,   327,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    43,    44,
      45,    46,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    57,    58,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,   100,   101,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
     145,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,   187,   188,    -1,   190,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,   244,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,   327,   328,   329,   330,   331,   332,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,   357,   358,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,   388,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,     3,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    23,    24,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    -1,    43,    44,    45,    46,    -1,    48,    49,
      50,    51,    52,    -1,    -1,    55,    56,    57,    58,    59,
      -1,    61,    62,    63,    64,    -1,    -1,    67,    -1,    69,
      70,    71,    72,    73,    74,    75,    -1,    77,    78,    79,
      80,    81,    82,    -1,    84,    85,    86,    -1,    -1,    -1,
      90,    -1,    -1,    -1,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,   104,    -1,   106,   107,   108,   109,
     110,    -1,   112,   113,   114,    -1,    -1,   117,   118,   119,
     120,   121,    -1,   123,   124,   125,    -1,   127,   128,   129,
      -1,   131,   132,   133,   134,    -1,   136,   137,   138,    -1,
      -1,   141,    -1,   143,   144,   145,   146,    -1,   148,    -1,
     150,   151,    -1,   153,   154,   155,   156,    -1,   158,    -1,
      -1,   161,    -1,   163,   164,   165,   166,   167,   168,   169,
     170,   171,    -1,   173,   174,   175,   176,   177,   178,    -1,
     180,   181,    -1,   183,   184,   185,   186,   187,   188,    -1,
     190,    -1,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,    -1,   203,   204,    -1,   206,    -1,   208,   209,
     210,    -1,   212,   213,   214,    -1,    -1,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,    -1,    -1,   237,   238,   239,
     240,    -1,    -1,   243,   244,   245,   246,   247,    -1,   249,
      -1,    -1,   252,   253,   254,    -1,    -1,   257,    -1,   259,
     260,   261,    -1,   263,   264,   265,   266,   267,   268,   269,
      -1,   271,    -1,   273,    -1,   275,   276,   277,    -1,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,    -1,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,    -1,   305,   306,   307,   308,   309,
      -1,   311,   312,   313,   314,   315,   316,   317,   318,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,   332,   333,    -1,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,    -1,    -1,   347,   348,    -1,
     350,   351,   352,   353,   354,   355,    -1,   357,   358,    -1,
      -1,   361,    -1,   363,    -1,    -1,   366,   367,   368,   369,
     370,   371,   372,    -1,    -1,   375,   376,   377,   378,   379,
      -1,    -1,   382,   383,   384,   385,   386,    -1,   388,    -1,
     390,   391,   392,   393,   394,   395,    -1,    -1,   398,    -1,
      -1,   401,   402,   403,   404,   405,   406,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   416,   417,   418,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    23,    24,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    33,    34,
      -1,    36,    37,    38,    39,    40,    41,    -1,    -1,    44,
      -1,    -1,    -1,    48,    49,    50,    51,    52,    -1,    -1,
      55,    56,    -1,    -1,    59,    -1,    61,    62,    63,    64,
      -1,    -1,    67,    -1,    69,    70,    71,    72,    73,    74,
      75,    -1,    77,    78,    79,    80,    81,    82,    -1,    84,
      85,    86,    -1,    -1,    -1,    90,    -1,    -1,    -1,    94,
      95,    96,    97,    98,    99,    -1,    -1,   102,    -1,   104,
      -1,   106,   107,   108,   109,   110,    -1,   112,   113,   114,
      -1,    -1,   117,   118,   119,   120,   121,    -1,   123,   124,
     125,    -1,   127,   128,   129,    -1,   131,   132,   133,   134,
      -1,   136,   137,   138,    -1,    -1,   141,    -1,   143,   144,
      -1,   146,    -1,   148,    -1,   150,   151,    -1,   153,   154,
     155,   156,    -1,   158,    -1,    -1,   161,    -1,   163,   164,
     165,   166,   167,   168,   169,   170,   171,    -1,   173,   174,
     175,   176,   177,   178,    -1,   180,   181,    -1,   183,   184,
     185,   186,    -1,    -1,    -1,    -1,    -1,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,    -1,   203,   204,
      -1,   206,    -1,   208,   209,   210,    -1,   212,   213,   214,
      -1,    -1,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,    -1,   231,    -1,   233,   234,
      -1,    -1,   237,   238,   239,   240,    -1,    -1,   243,    -1,
     245,   246,   247,    -1,   249,    -1,    -1,   252,   253,   254,
      -1,    -1,   257,    -1,   259,   260,   261,    -1,   263,   264,
     265,   266,   267,   268,   269,    -1,   271,    -1,   273,    -1,
     275,   276,   277,    -1,   279,   280,   281,   282,   283,   284,
     285,   286,    -1,   288,   289,   290,   291,    -1,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,    -1,
     305,   306,   307,   308,   309,    -1,   311,   312,   313,   314,
     315,   316,   317,   318,    -1,   320,   321,   322,   323,   324,
      -1,   326,    -1,   328,   329,   330,   331,    -1,   333,    -1,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
      -1,    -1,   347,   348,    -1,   350,   351,   352,   353,   354,
     355,    -1,    -1,    -1,    -1,    -1,   361,    -1,   363,    -1,
      -1,   366,   367,   368,   369,   370,   371,   372,    -1,    -1,
     375,   376,   377,   378,   379,    -1,    -1,   382,   383,   384,
     385,   386,    -1,    -1,    -1,   390,   391,   392,   393,   394,
     395,    -1,    -1,   398,    -1,    -1,   401,   402,   403,   404,
     405,   406,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   416,   417,   418
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,    14,    24,    26,    27,    41,    61,    63,    64,    69,
      71,    81,    83,    99,   102,   114,   116,   120,   126,   134,
     136,   142,   157,   212,   213,   218,   227,   238,   276,   288,
     293,   294,   296,   301,   306,   309,   313,   318,   319,   326,
     329,   337,   349,   366,   376,   382,   387,   400,   436,   443,
     444,   445,   446,   452,   453,   455,   456,   457,   458,   459,
     460,   461,   463,   464,   468,   480,   483,   484,   487,   488,
     489,   501,   504,   505,   521,   558,   561,   564,   565,   566,
     573,   579,   581,   583,   584,   587,   590,   591,   595,   596,
     605,   609,   610,   611,   612,   613,   615,   616,   617,   630,
     631,   635,   637,   638,   639,   649,   651,   658,   659,   662,
     663,   664,   665,   666,   671,   673,   676,   680,   684,   685,
     695,   696,   699,   704,   715,   737,   740,   741,   742,   745,
     748,   750,   752,   755,   756,   759,   760,   761,   768,   769,
     771,   772,   773,   778,   780,   781,   785,   786,   789,   790,
     791,   792,   794,   795,   796,   797,   799,   802,   803,   808,
     814,   817,   819,   820,   825,   827,   831,   838,   842,   843,
     844,   845,   846,   847,   850,   878,   361,   403,   774,    21,
      67,    80,    97,   103,   118,   129,   137,   149,   154,   160,
     175,   200,   221,   252,   281,   308,   312,   314,   320,   323,
     348,   349,   351,   355,   363,   368,   380,   393,   580,   774,
       3,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    33,    34,    36,    37,    39,    40,    41,
      42,    43,    45,    46,    48,    49,    50,    51,    52,    55,
      56,    57,    58,    59,    61,    62,    63,    64,    65,    69,
      70,    71,    72,    74,    75,    77,    78,    79,    80,    81,
      82,    85,    86,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   104,   106,   107,   108,   109,   110,   112,   113,
     114,   117,   118,   119,   120,   121,   123,   124,   125,   127,
     128,   129,   131,   132,   133,   134,   135,   136,   137,   138,
     139,   141,   143,   144,   145,   146,   148,   150,   154,   155,
     156,   158,   159,   161,   163,   164,   165,   166,   167,   169,
     170,   171,   173,   174,   175,   176,   177,   178,   180,   182,
     183,   184,   185,   186,   187,   188,   190,   192,   195,   197,
     198,   199,   200,   201,   203,   204,   206,   207,   209,   212,
     213,   214,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   232,   233,   234,   235,
     237,   238,   240,   242,   243,   244,   245,   246,   247,   249,
     252,   253,   254,   257,   258,   260,   262,   263,   264,   265,
     266,   267,   268,   269,   271,   272,   273,   274,   275,   276,
     277,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   305,   306,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   320,   321,
     322,   323,   324,   326,   327,   328,   329,   331,   332,   333,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   347,   348,   350,   351,   352,   353,   354,   355,   357,
     358,   361,   362,   363,   364,   366,   367,   368,   369,   370,
     371,   372,   375,   376,   377,   378,   379,   382,   383,   384,
     385,   386,   387,   388,   390,   392,   393,   394,   395,   398,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   839,   995,
    1008,  1012,  1013,   391,   804,   250,   277,   774,    44,   512,
     843,    21,    33,    54,    67,    76,    97,   103,   118,   129,
     137,   149,   156,   160,   214,   252,   255,   308,   314,   323,
     351,   352,   354,   355,   363,   368,   374,   377,   380,   522,
     563,   654,   705,   716,    22,   276,   995,   839,    22,   271,
     321,   352,   354,     5,   199,   746,   747,  1004,    21,    33,
      54,    67,    80,    97,   118,   129,   137,   149,   154,   160,
     175,   221,   252,   263,   308,   312,   314,   320,   323,   349,
     351,   355,   363,   368,   380,   393,   580,   667,   774,   995,
      83,   391,   436,   558,   561,   564,   803,   809,   817,   820,
     825,   831,   838,   842,     9,    15,    22,    39,   144,   150,
     152,   172,   201,   233,   279,   295,   427,   428,   681,   682,
     839,  1003,  1007,    22,    83,   292,   319,   686,   687,   688,
    1008,  1008,  1000,  1004,   349,   853,   681,  1008,   361,   995,
     263,   221,    97,   175,   348,   349,   753,   313,  1008,    22,
     324,   357,   361,   472,  1008,    19,   157,   686,   687,   277,
     774,  1008,   198,    22,   115,   855,    55,    77,   214,   229,
     308,   314,   324,   357,   361,   406,   469,   470,   471,   472,
      22,   324,   357,   361,   472,   361,   251,   889,   993,  1008,
     853,   429,  1008,   153,   436,   805,   436,   988,   290,   848,
     849,   995,   843,   844,   847,     0,   439,   804,   130,   189,
     256,   373,   856,   857,   843,   845,   846,   108,   185,   379,
     440,     3,    38,    44,    67,    73,    84,    90,   151,   153,
     168,   181,   193,   194,   196,   208,   210,   231,   239,   259,
     261,   307,   330,   391,  1001,  1008,  1009,  1012,  1014,   669,
    1008,   669,   996,  1008,   280,   669,   363,   669,   995,  1008,
      96,   349,   694,  1001,     3,  1005,  1010,  1012,  1013,  1014,
     167,   993,   245,   393,     8,    62,   141,   423,   424,   425,
     427,   428,   429,   430,   431,   432,   744,   955,   956,  1008,
      22,  1005,   995,   995,   167,   993,   995,   326,   167,   889,
     995,   316,   995,   669,   219,  1005,   167,   993,   199,   105,
     195,   236,   286,   775,   776,   777,   993,   999,  1008,    21,
      54,    67,    68,    76,    80,    97,   118,   129,   137,   149,
     154,   175,   200,   221,   252,   308,   312,   314,   320,   323,
     349,   351,   355,   363,   368,   393,   580,   674,  1004,   993,
     359,  1001,   995,   436,   669,   363,   996,   669,   363,   167,
     995,    96,   349,   352,   354,  1005,   352,   354,    62,   141,
     744,   299,  1005,   167,   465,  1008,   995,   995,   316,   995,
     669,   219,  1005,   290,   320,   349,   393,   221,    80,   175,
     154,   312,   367,   574,    22,   995,   840,   479,  1004,  1010,
     747,   167,  1001,   995,   167,   751,   167,   996,   363,    96,
     349,   167,  1001,   167,  1005,  1006,    73,   393,    62,   141,
     167,   744,    48,   167,  1006,   167,   995,   167,   995,   167,
     995,   316,   167,   995,   167,   219,  1006,   199,   167,   668,
     669,   436,   818,   522,   809,   387,   803,   810,   811,   812,
    1010,   804,  1007,   682,   683,    22,   683,  1007,   683,    22,
     683,  1007,   683,   683,   683,  1007,  1003,  1003,   839,   683,
     280,   436,   436,   541,   541,   541,   250,   359,   440,   541,
     889,   890,   440,   770,  1004,   436,   815,    48,   393,   995,
     995,   993,  1008,    38,   418,   195,   438,   253,   253,   250,
     152,  1004,   359,   147,   677,   250,     4,     6,     7,     8,
      10,    30,    43,    45,    46,    53,    54,    57,    58,    65,
      67,    87,    88,    89,    90,    91,    92,    93,   100,   101,
     119,   135,   139,   140,   145,   159,   187,   188,   190,   207,
     215,   216,   230,   232,   236,   241,   242,   244,   252,   262,
     272,   287,   310,   325,   332,   345,   357,   358,   362,   364,
     365,   374,   380,   388,   408,   409,   410,   411,   412,   413,
     414,   415,   427,   428,   429,   436,   843,   905,   908,   911,
     912,   913,   915,   916,   917,   918,   921,   922,   926,   928,
     929,   930,   932,   953,   957,   976,   981,   989,   990,   991,
    1001,  1002,  1003,  1004,  1008,  1004,    22,   485,   992,   993,
     324,   469,   103,   478,  1004,   479,  1004,    38,    59,   469,
     418,   333,   776,   253,   152,   359,   423,    38,   418,   195,
     777,   436,   993,   429,   434,   438,   982,   983,   890,   151,
     153,   391,   800,   801,   803,   151,   806,   103,   926,   986,
     987,   848,   440,   436,   807,   437,   437,   445,   993,    22,
     115,   854,   854,    48,   854,   142,   147,   211,   248,   860,
     862,   863,   872,   874,   875,   876,   856,   857,   152,   191,
     889,   891,   988,   436,   728,   983,   264,   297,   326,   438,
     670,   264,   297,   326,   264,   297,   326,   400,   447,   480,
     481,   700,    18,   120,   264,   297,   326,   384,   492,   995,
     326,    18,   120,   379,   462,   404,   167,   889,    50,    82,
     138,   170,   206,   236,   264,   297,   305,   311,   318,   326,
     335,   343,   395,   480,   482,   731,   738,   436,   717,   297,
     462,   135,    18,    24,    64,   113,   120,   123,   177,   234,
     236,   246,   254,   264,   297,   300,   301,   326,   384,   490,
     491,   599,     4,   428,   571,  1007,   167,   993,   669,   669,
     436,   743,   438,   172,   454,   297,   447,   454,   250,   264,
     297,   135,    49,    95,   174,   222,   224,   234,   263,   297,
     302,   326,   337,   490,   568,   569,   264,   297,   392,   599,
     607,   470,   472,   135,   297,   326,   490,   227,   264,   297,
     301,   326,    74,   112,   265,   353,   250,    18,    24,   120,
     264,   297,   326,   502,   503,   147,   297,   326,   447,   481,
     135,   297,   326,   490,   995,   209,   105,   251,   405,   440,
     775,   381,   798,   250,  1001,   436,   995,   363,    96,   349,
    1001,   245,   393,    62,   141,   744,   995,   316,   995,   199,
     669,   541,   283,   507,   436,   644,   728,    60,     3,    43,
      45,    46,    57,    58,   100,   101,   145,   187,   188,   190,
     230,   232,   244,   287,   327,   332,   357,   358,   388,   902,
     904,   906,   908,   910,   912,   913,   914,   916,   917,   921,
     922,  1009,  1012,   152,   436,   640,   995,   447,    31,   793,
     995,   236,   447,   404,   167,   993,   447,   669,   669,   640,
     377,   522,   447,   236,    38,   466,   368,   606,   264,   582,
      74,   112,   265,   353,    20,    40,   186,   618,    31,   640,
     147,   447,   393,   993,   167,   559,   993,   993,   393,   669,
      73,   706,  1001,   995,   580,    44,    94,   184,   234,   315,
     135,   728,    51,   303,   493,   135,   436,   135,   404,   135,
     717,   135,   440,   167,   668,   167,   669,   167,   669,   135,
     743,  1006,   135,   135,   250,   135,   493,   135,    74,   112,
     265,   353,   135,   250,   135,   147,   167,   167,   479,   135,
     440,   493,   926,   960,   349,   437,   440,   140,   250,   365,
     476,   479,   571,   813,   809,   683,   839,   683,   839,   683,
     839,   683,   839,   683,   839,   839,   839,   683,   839,   436,
     542,   543,  1008,   542,    22,    97,   118,   149,   154,   199,
     200,   314,   320,   349,   351,   368,   689,   992,  1006,   688,
     172,   440,   828,  1004,   902,   963,    31,  1006,   706,   148,
     754,   754,   754,   209,  1008,   147,   147,   689,  1006,   313,
    1008,   479,   250,   436,   984,   434,   843,   964,   390,   919,
     926,   980,   436,   919,   919,   436,   147,   436,   436,   436,
     907,   907,   274,   843,   436,   436,   909,   436,   436,   436,
     436,    57,    58,   919,   926,   436,   907,   436,   436,   436,
     436,   436,   402,   422,   436,   923,   436,   923,   436,   436,
     843,   436,   436,   436,   436,   436,   436,   436,   436,   926,
     926,   843,   926,   960,   983,  1004,    58,   436,   920,   436,
    1004,     3,     8,    11,    28,    31,    36,    42,    66,   168,
     172,   193,   194,   210,   236,   239,   252,   255,   330,   423,
     424,   425,   427,   428,   429,   430,   431,   432,   955,   957,
     959,   401,   941,   261,   926,   191,   851,   440,   436,  1004,
     983,   106,   169,   486,   440,    59,   103,   479,    31,     3,
     103,   214,   477,   571,   922,  1004,  1004,    78,   117,   938,
      86,   103,   473,   474,   476,   571,   103,   473,   209,   993,
     926,     3,    22,    26,    27,    28,    29,    30,    31,    32,
      35,    47,    53,    54,    60,    66,    68,    76,    83,    87,
      88,    89,    91,    92,    93,   103,   105,   111,   115,   116,
     122,   126,   130,   140,   142,   147,   149,   152,   157,   160,
     162,   172,   179,   189,   191,   202,   205,   211,   215,   216,
     236,   241,   248,   250,   251,   255,   256,   270,   278,   292,
     304,   319,   325,   334,   346,   349,   356,   359,   360,   365,
     373,   374,   380,   381,   389,   396,   397,   399,   400,   429,
     998,  1011,  1012,  1013,  1014,  1015,   982,    79,   302,   672,
     437,   440,   804,   437,   440,   849,   994,   995,    31,   807,
     845,   845,   858,   859,   926,   845,   144,   233,   869,   197,
     234,   286,   328,   379,    22,   864,   926,   865,   867,   926,
     928,   872,   873,   863,   862,   860,   861,   147,   875,   246,
     877,   860,   872,   891,   993,    31,  1008,   326,   172,   182,
     256,   258,   327,   389,   429,   721,   722,   723,   725,   727,
     729,   902,  1009,   264,   297,   326,   359,   359,   314,   998,
     438,   359,   359,   314,   359,   359,   351,   469,   787,   147,
     157,   172,   306,   701,   702,    60,    76,   131,   149,   278,
     374,   538,   539,    76,   103,   236,   359,    76,   359,   103,
     236,   314,    76,   113,   123,   264,   297,   636,   314,   588,
      21,    54,    67,    80,   118,   129,   149,   154,   221,   252,
     314,   320,   323,   349,   355,   368,   393,   580,   995,   135,
     297,   326,   490,   250,   571,   318,   206,   359,   359,   241,
     571,   107,   192,   314,   324,   361,   471,   303,   326,   731,
     739,   437,   718,   721,   359,   380,   993,    68,   131,   529,
     538,  1008,    68,    76,   757,   250,   312,   363,    76,   757,
      25,   300,   312,   363,   993,   177,   246,   669,   436,   359,
     359,   166,   436,   497,   351,   400,   402,   497,    76,   440,
       4,   264,   135,   297,   326,   490,   381,   381,   235,   902,
     264,   326,   744,    97,   481,   359,   449,   481,   993,   359,
     359,   993,   571,    48,   570,   571,   571,    95,   222,   224,
      48,   359,   447,   314,   447,   234,   569,   359,   359,   241,
    1004,   599,   889,    76,   359,   757,   314,    22,   176,   221,
     350,   359,   359,   497,   497,   669,   669,   669,   669,   993,
      37,   386,    37,    37,   359,    37,   359,   314,   440,    93,
     380,   614,  1005,   359,   449,   993,   359,   314,   264,   297,
     286,   298,   322,   475,   775,   999,  1008,   993,   728,   902,
     250,   404,   717,   571,   669,   669,   743,   193,   250,    74,
     112,   265,   353,   250,   669,   193,   400,   513,   340,   341,
     508,  1004,     3,   645,   646,   640,   436,   904,    31,    30,
     903,    98,   165,   223,   226,   317,   416,   436,   924,   925,
     670,   907,   669,   641,   642,  1011,    20,   782,   902,   250,
     135,   585,   995,   236,   436,   448,   654,   381,   290,   393,
     448,   135,  1005,    83,   157,   467,   521,   565,   617,   684,
     704,   778,  1004,   607,   608,   995,   217,   669,   669,   669,
     669,   246,   108,   185,   366,   379,   619,   620,   127,   285,
     436,   614,   448,   993,   567,   568,   236,    31,   246,   436,
     541,   541,   562,   993,   147,   707,   999,   436,   719,    31,
     199,   400,   402,   841,   315,  1001,   493,   902,   996,   167,
     995,  1001,   493,  1006,  1005,   135,   493,   135,   381,   135,
     381,   744,   493,   493,  1006,   995,   669,   995,   995,   995,
     669,  1006,   614,   135,   135,   493,   668,   669,   437,   440,
     993,   809,   811,   839,   839,   839,   839,   839,   839,   542,
     437,   440,   437,   155,   321,   350,   994,   668,    96,   323,
     693,   694,   994,   245,   994,   992,   992,   994,   668,   359,
     400,   697,    16,   133,   310,   328,   829,   889,   240,   830,
     437,   440,   816,   820,   825,   831,   842,   359,   993,   687,
     686,   687,   152,   158,   698,  1008,    21,    68,    97,   118,
     129,   149,   154,   200,   221,   308,   314,   320,   349,   351,
     368,   393,   580,   678,   960,   982,   435,   960,   964,   965,
     436,   396,   977,   978,   926,   960,   436,  1003,  1003,   960,
       3,    98,   165,   223,   226,   317,   416,   966,   967,  1004,
    1003,   960,   960,  1003,  1003,   919,   919,   926,   744,   926,
     968,   427,   428,   927,   928,   953,   957,   970,   437,   960,
     926,   960,   971,   357,   418,  1003,  1003,   926,    47,   152,
     205,   360,   926,   960,   974,   960,   228,   928,   926,   936,
     937,   938,   228,   926,   938,   437,   440,   326,  1003,  1003,
     924,   902,   926,  1011,   357,    35,   346,   985,   669,   926,
     436,   843,   975,   115,   117,   140,   236,   241,   246,   365,
     375,   926,    42,   168,   172,   210,   330,   436,   926,   359,
     926,   926,   926,   926,   926,   926,   926,   926,   926,   926,
      22,    29,   334,   954,   160,   143,   942,   310,   436,   953,
     156,   214,   349,   352,   354,   377,   852,   993,   152,   879,
     991,    22,   115,   389,   429,   437,   723,   926,   961,   962,
    1009,   993,   361,   436,  1004,   440,   437,   435,   441,   166,
     166,   493,   993,   801,   802,   993,   986,   437,   440,   436,
     440,    32,   111,   381,   713,   436,   866,  1007,   328,   197,
     251,   440,   310,   311,   868,   992,   830,   873,   861,   381,
     826,   103,   436,   821,   842,  1008,   436,   832,   833,   834,
     835,   836,  1008,   258,    48,  1009,   437,   723,   725,   722,
     725,  1009,   256,   437,   440,   670,   359,   359,   314,  1005,
     995,   995,   998,  1005,   995,   995,  1005,   996,   995,    75,
     788,   308,   380,   686,   314,   157,   686,   436,   995,   381,
     708,   197,   197,   381,   436,   557,   167,   995,   241,  1005,
     995,   995,   926,   241,   995,   995,    25,   300,   359,   359,
     995,   359,   589,  1001,   436,   669,   669,   669,   363,    96,
     349,   694,   393,    62,   141,   744,   995,   669,   995,   669,
     316,   669,   669,   199,   161,   234,   264,   297,   385,   592,
     593,   594,   889,   359,   757,   314,   241,   107,   192,  1005,
     995,   250,   995,   437,   440,  1005,  1006,   297,   490,   529,
     902,   995,  1008,   995,   995,    22,   380,   995,   167,   995,
     167,  1008,   312,   363,   312,   363,   995,    22,   380,   995,
     993,    18,   120,   326,   600,   601,   602,   603,  1011,  1005,
     995,   103,   153,   237,   381,   496,   499,   500,  1011,   995,
     249,    64,   249,   995,   491,   359,   993,   359,   757,   314,
     997,  1008,   997,   440,   437,   440,   359,   314,   996,  1005,
       3,    75,   125,   177,   269,   372,   380,   383,   450,   297,
    1005,   995,   297,   326,   490,   568,   571,   669,   995,   571,
     995,   571,  1005,   995,   297,   326,   490,   995,   995,   995,
     995,   263,   359,   263,   359,   394,   263,   359,  1005,   995,
      18,    24,   120,   264,   297,   326,   264,   297,   326,   640,
     297,   326,   297,   326,   297,   901,  1008,   167,   650,  1008,
     167,  1008,  1005,   995,   995,   995,    18,   503,   323,  1005,
     297,   326,   490,   995,   995,   359,   359,    72,   371,   286,
     193,    31,   669,   193,   193,   381,   381,   193,   241,   675,
    1004,   669,   669,   193,   675,   249,   152,   359,   506,   447,
     423,   437,   440,   926,    30,   903,   902,   434,   434,   359,
     359,   359,   436,   359,  1003,   907,   437,   440,   423,   619,
      75,   124,   203,   204,   217,   264,   351,   353,   783,   531,
    1011,   995,   152,   314,   392,   586,   593,   594,   135,   210,
     523,   525,   527,   529,   535,   538,    19,   172,   308,   347,
     450,   451,   147,   997,   393,   993,   465,  1008,   466,   255,
     522,   149,  1004,   640,   640,   640,   640,   246,   250,   255,
     436,   640,   899,   900,   901,   323,   436,   135,   134,   842,
     669,   523,  1008,   400,   402,   553,   400,   498,    31,   541,
    1004,   250,   437,   720,   721,   726,    31,   199,   305,   399,
     730,   731,   732,   250,   479,   164,   164,   147,   728,    31,
     135,   493,   717,   668,   669,   997,   669,   997,   743,   250,
     493,   493,   250,   493,   323,   147,   479,   493,   926,   437,
     543,   172,   172,   172,   404,   994,   440,   571,   572,   160,
     690,   691,  1005,    19,   698,   133,   328,   133,   328,   310,
     379,   225,   902,   995,   400,   560,   152,   250,   690,    48,
     493,  1001,   363,   349,  1001,   245,   393,   199,   669,   437,
     435,   435,   440,   960,   926,   122,   978,   979,    31,   437,
     926,   437,   437,   437,   437,   152,   437,   437,   437,   437,
     437,   440,   437,   270,   969,   437,   927,   927,    11,   172,
     193,   252,   423,   424,   425,   427,   428,   429,   430,   431,
     432,   957,   927,   437,   437,   147,   152,   972,   973,   437,
     418,   437,   437,    31,   974,   960,   974,   974,   152,   437,
     437,  1011,   268,   940,    31,   437,   440,   926,  1011,   440,
     926,   984,   926,  1008,   437,   437,   418,   927,   927,   128,
     960,   152,   115,   117,   140,   241,   246,   365,   375,   436,
     128,   346,   985,   926,   975,   926,   359,   744,   926,   436,
     843,   436,   436,   260,   946,   352,   354,   352,   354,   993,
     853,   853,   853,   202,   311,   436,   843,   880,   881,   882,
     889,   892,   929,   931,   932,  1001,  1008,   397,   897,   961,
     961,   962,   437,    13,   440,   856,   857,   776,  1003,   924,
     474,   926,   807,   995,   816,   859,   252,   955,   958,   419,
     420,   714,   926,   868,   379,   865,   880,   397,   898,   387,
     822,   823,  1008,   304,   824,   836,   837,   440,   879,   423,
     984,   729,   670,   725,   725,    48,   727,   431,  1005,   995,
     995,   211,  1006,  1006,   250,   994,   253,   250,   926,   539,
     997,   436,   436,   436,   557,   175,   542,   628,   135,   493,
     359,  1005,   995,   479,   728,   902,   995,   404,   669,   669,
     669,   669,   743,    74,   112,   265,   353,   995,   575,   995,
     161,   385,   359,   359,   575,   592,   599,   297,   326,   490,
     995,   995,   995,   183,   241,   721,   359,   254,   597,   628,
     120,   301,   326,   492,   599,   758,   135,   493,   135,   493,
     995,   995,   995,   995,   602,   603,   602,   437,   440,   604,
    1004,   175,   437,   440,   423,   438,  1005,   297,   326,   490,
     995,   995,   995,   264,   297,   326,    18,   120,   264,   297,
     326,   902,   235,   902,  1005,   995,   211,   269,   241,  1004,
     269,  1006,   378,   359,   359,   314,   359,   757,   314,   359,
     359,    48,   995,    48,   995,   263,   359,    48,   995,   219,
     219,   219,   359,   359,   314,   359,   359,   314,   359,   314,
     359,   314,   359,   493,   902,   236,  1004,   326,   758,   135,
     493,   359,   995,   359,   314,  1005,   995,   675,   902,   193,
     675,   675,   997,   997,   675,   193,   193,   675,   507,   436,
     509,   510,   252,   427,   428,   571,   643,   725,   958,  1004,
    1015,     3,   646,   437,   434,   437,  1003,   435,  1003,   165,
     223,   925,   223,   925,   925,  1003,   226,   437,   642,   643,
     250,   211,   423,   784,   784,   784,   784,   784,   784,   784,
      60,    66,    76,   103,   105,   179,   236,   241,   278,   292,
     374,   532,   533,   534,   134,   396,   447,   479,   995,   479,
     597,   993,   993,   437,   440,  1006,   160,   308,  1006,  1003,
     368,   993,   541,    38,   466,   299,   349,    96,   498,   542,
     993,   620,   647,   648,  1004,   437,   440,   995,   542,   993,
     995,   560,   436,   524,   437,   249,   497,   249,   250,   554,
     497,    31,   842,   498,   359,   993,   437,   440,   103,   423,
     733,  1004,   479,   349,   724,   725,   400,   732,   734,   108,
     185,   319,   379,   766,   161,   842,   493,   902,   995,   493,
     493,   381,   493,   381,   493,   493,   669,   669,   995,   614,
     493,   314,   314,   314,   994,   694,   440,  1005,   400,   440,
     692,   253,   133,   133,    96,   234,  1006,   689,   493,  1005,
     728,   717,   571,   669,   193,   964,   437,   356,   926,   126,
     902,   437,   926,   926,   926,   972,   902,   927,   115,   117,
     236,   246,   927,   927,   927,   927,   927,   927,   927,   927,
     927,   927,   926,   926,   973,   972,   923,   923,   902,   437,
     437,   437,   960,   437,   440,    48,   928,   437,  1011,   937,
     275,   344,   939,   437,   440,   392,   933,    31,   437,   920,
    1004,   926,    28,    28,   926,   437,   926,   152,   436,   963,
     926,   927,   927,   128,   128,   926,   437,   128,   926,   857,
     397,   436,   947,  1008,   853,   853,   853,   853,   993,   993,
     993,   843,   892,   152,   843,   881,   882,    31,   883,   884,
    1008,   440,    84,   153,   181,   196,   208,   231,   307,   886,
     884,    31,   883,   885,  1008,   421,   896,   436,   983,   926,
     160,   870,   440,   856,   856,   856,   926,   389,   962,   437,
     437,   435,   437,   436,   714,   437,   251,    86,   926,   824,
     437,   440,   984,   990,   437,   440,   833,   898,   986,   437,
     431,   729,   368,   784,   155,   321,   350,   369,   703,   147,
     703,   437,   436,   545,   546,   710,   931,  1008,   542,   542,
     628,   999,   437,   105,   179,   234,   236,   629,   995,   995,
      31,   995,   381,   381,   669,   669,   669,   669,   670,  1005,
     995,   359,   757,   314,   359,   183,   995,   436,   531,   236,
     497,    96,   236,   339,   342,   497,   368,   995,  1008,   601,
     995,   500,   643,  1011,   359,   757,   314,   359,   359,   359,
     314,   154,   252,   342,   652,   653,   154,   252,   660,   661,
     359,   359,   314,   437,   437,   437,  1007,  1004,  1004,  1004,
     995,   995,   995,   995,   995,   995,   995,   995,  1006,   830,
    1006,   830,    48,   995,  1006,   830,   147,   147,   299,   147,
     167,  1005,   995,   995,  1005,   995,   995,   995,   995,   995,
     995,   995,    66,   494,   135,    20,    40,   368,  1008,   995,
     599,   995,   995,   437,   675,   193,   193,   675,   675,   508,
     516,   517,  1011,    44,    85,   109,   124,   128,   148,   151,
     163,   241,   249,   284,   511,   628,  1003,   400,   402,   435,
     435,   437,   924,   993,   784,   103,  1003,  1004,   103,  1004,
     103,  1004,   103,  1004,   103,   995,   103,   995,   103,   995,
     436,   669,   995,   927,   106,   169,   105,   241,   197,   993,
     734,   282,   632,   633,  1008,   585,   436,   536,   323,   527,
    1006,  1006,   902,   436,   498,  1005,   993,   404,   147,   621,
     437,   440,   901,   597,   437,   246,   436,   818,   526,   528,
     530,   538,  1008,   553,   178,   552,    71,   351,   555,   842,
     560,   555,  1004,   708,   726,   926,   926,   440,   436,   730,
     640,   359,   575,   437,   493,   997,   997,   493,   493,   323,
     994,   994,   994,   571,   157,   691,    96,   698,   152,   193,
     193,   193,   193,   241,   679,  1004,   926,   437,   437,   973,
     152,   115,   117,   246,   436,   437,   407,   935,   960,   291,
      48,   398,   398,   437,   926,   234,   926,   440,   934,   904,
     924,   927,   927,   926,   963,   437,    28,    28,   926,   926,
     128,   926,   437,   437,   926,   948,  1008,   993,   993,   993,
     993,   884,   885,   436,   437,  1008,   436,   881,   196,   259,
     887,   881,   887,   196,   886,   887,   196,   436,  1008,   436,
     961,    48,   162,   871,   437,   437,   437,   962,  1004,  1004,
     744,   246,   842,   823,   423,   836,   824,   368,   437,  1007,
     359,   686,   152,   628,   926,   437,   440,   400,    66,   711,
     711,   437,   437,   734,   106,   169,   177,   105,   383,   493,
     902,   997,   997,   995,   995,   995,   995,   598,   602,   241,
     241,  1007,  1008,   902,   493,   493,   423,   995,   995,   995,
     995,  1005,   995,   995,  1003,  1003,   902,   440,  1003,  1003,
     440,  1005,   995,   995,   359,   359,   359,  1006,   830,   359,
     994,   994,   669,   994,   135,   669,  1004,  1004,   902,   493,
     493,   193,   675,   675,   381,   514,   515,   437,   440,   429,
     436,   476,   518,   571,   793,  1004,   793,   236,   241,   284,
     793,   793,   435,   154,   182,   154,   152,   627,  1007,   926,
     236,   533,   734,   541,   381,   556,  1001,    28,   134,   172,
     523,   132,   173,   995,   381,   542,    31,   466,   436,   995,
     121,   622,   396,   624,  1004,   498,   669,   523,   560,   437,
     440,   400,   554,   436,   553,   108,   120,   275,   995,   400,
     779,   152,   436,  1004,   723,   735,   736,  1009,   734,   993,
     180,   576,   493,   493,   493,   995,   253,   493,   690,   679,
     679,   679,   679,   927,   152,   436,   963,   436,   437,   440,
     437,   928,   291,   437,   386,   336,   437,   437,   437,   927,
     927,   926,   437,   267,   949,   893,   894,   931,   883,   436,
     994,   881,   250,   381,   888,   881,   196,   881,   900,   436,
     900,  1008,   856,   960,   926,   399,   943,   856,   924,   437,
     839,   988,   690,   250,   690,   437,   734,   546,   252,   744,
     669,   381,   669,   712,   712,   292,   734,   556,   437,   359,
     437,   440,   494,   643,   359,   436,  1001,   744,   653,   436,
     436,   661,   995,   995,   995,   359,   995,   400,   299,   400,
     400,   147,   494,   675,   447,   110,   517,   476,   519,   520,
    1004,  1004,   241,   542,   429,   542,  1004,  1004,   694,    31,
     749,   749,   993,   628,   437,   556,   220,   544,   175,   436,
     633,   282,   436,   437,    22,    70,    77,   104,   176,   342,
     537,   537,   597,   997,   437,   842,   597,   310,   338,   623,
     436,   134,    31,   524,   437,   528,   254,   555,   992,   554,
     311,   311,    52,    60,   214,   669,   709,   710,   725,   437,
     440,   897,   575,   234,   385,   577,   578,   493,   927,   963,
     437,   936,   960,    48,   234,   417,    48,   856,   437,   440,
      31,   895,   994,   437,   926,   436,   881,   888,   437,   900,
     437,   437,   944,   945,  1008,   437,   692,   703,   493,   711,
     556,   436,   669,   713,   713,   993,   556,   628,   995,   602,
     381,   495,   995,   963,   717,   147,   656,   743,   963,   963,
     830,   830,   995,   830,   668,   669,   668,   669,   994,   493,
     509,  1004,   437,   440,   542,   749,    34,   171,   147,   234,
     540,   153,   266,   331,   250,   548,   549,   550,   351,   437,
    1001,     5,   634,   323,   141,   655,   498,   779,   926,   282,
     842,   553,   552,   531,   437,   555,    60,   253,    60,   437,
     440,   730,   735,   116,   385,   575,   437,   437,   437,   291,
     386,   960,   285,   311,   950,   896,   893,   436,   437,   994,
     437,   440,    31,   152,   712,   397,   547,   744,   714,   714,
     541,   628,   926,   437,   256,   316,   289,   657,   656,   437,
     437,   830,   400,   520,   121,   177,   108,   379,   250,   550,
     250,   549,   995,   436,   437,   440,   995,   669,    31,    31,
     437,  1001,   779,   554,   553,   253,   253,   498,   710,   734,
      23,   186,   767,    42,    86,   370,   926,   951,   952,   951,
     437,   900,   437,   945,   947,   690,   713,   436,   628,   437,
     544,  1001,    48,   657,   669,   310,    51,   234,   303,   326,
     551,   551,   437,     5,   597,   652,   842,   436,   555,   554,
     555,   237,   436,   762,   764,   769,   820,   825,   831,   842,
     952,   310,   146,   273,   146,   273,   437,   493,   714,   926,
     548,   717,   669,   624,    17,   103,   241,   779,     4,   625,
     626,  1003,  1004,  1011,   555,   897,   763,   764,   765,   843,
     844,    28,   437,   628,   134,   437,   440,   437,   439,   952,
     282,   626,   765,  1001,   436,   625,   437
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (&yylloc, yyscanner, YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (&yylval, &yylloc, YYLEX_PARAM)
#else
# define YYLEX yylex (&yylval, &yylloc, yyscanner)
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location, yyscanner); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
  YYUSE (yyscanner);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp, core_yyscan_t yyscanner)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp, yyscanner);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule, core_yyscan_t yyscanner)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule, yyscanner)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
    core_yyscan_t yyscanner;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       , yyscanner);
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule, yyscanner); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp, core_yyscan_t yyscanner)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp, yyscanner)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
    core_yyscan_t yyscanner;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);
  YYUSE (yyscanner);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (core_yyscan_t yyscanner);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (core_yyscan_t yyscanner)
#else
int
yyparse (yyscanner)
    core_yyscan_t yyscanner;
#endif
#endif
{
/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

    /* Number of syntax errors so far.  */
    int yynerrs;

    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 2:

/* Line 1806 of yacc.c  */
#line 690 "gram.y"
    {
				pg_yyget_extra(yyscanner)->parsetree = (yyvsp[(1) - (1)].list);
			}
    break;

  case 3:

/* Line 1806 of yacc.c  */
#line 697 "gram.y"
    {
					if ((yyvsp[(3) - (3)].node) != NULL)
						(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
					else
						(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 704 "gram.y"
    {
					if ((yyvsp[(1) - (1)].node) != NULL)
						(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
					else
						(yyval.list) = NIL;
				}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 830 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 841 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_ROLE;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 851 "gram.y"
    {}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 852 "gram.y"
    {}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 861 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 862 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 866 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 867 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 872 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password",
									 (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 877 "gram.y"
    {
					(yyval.defelt) = makeDefElem("password", NULL);
				}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 881 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 886 "gram.y"
    {
					(yyval.defelt) = makeDefElem("unencryptedPassword",
									 (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 891 "gram.y"
    {
					(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(TRUE));
				}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 895 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 899 "gram.y"
    {
					(yyval.defelt) = makeDefElem("validUntil", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 904 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 908 "gram.y"
    {
					/*
					 * We handle identifiers that aren't parser keywords with
					 * the following special-case codes, to avoid bloating the
					 * size of the main parser.
					 */
					if (strcmp((yyvsp[(1) - (1)].str), "superuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nosuperuser") == 0)
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(TRUE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreateuser") == 0)
					{
						/* For backwards compatibility, synonym for SUPERUSER */
						(yyval.defelt) = makeDefElem("superuser", (Node *)makeInteger(FALSE));
					}
					else if (strcmp((yyvsp[(1) - (1)].str), "createrole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreaterole") == 0)
						(yyval.defelt) = makeDefElem("createrole", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "replication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noreplication") == 0)
						(yyval.defelt) = makeDefElem("isreplication", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "createdb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nocreatedb") == 0)
						(yyval.defelt) = makeDefElem("createdb", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "login") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(TRUE));
					else if (strcmp((yyvsp[(1) - (1)].str), "nologin") == 0)
						(yyval.defelt) = makeDefElem("canlogin", (Node *)makeInteger(FALSE));
					else if (strcmp((yyvsp[(1) - (1)].str), "noinherit") == 0)
					{
						/*
						 * Note that INHERIT is a keyword, so it's handled by main parser, but
						 * NOINHERIT is handled here.
						 */
						(yyval.defelt) = makeDefElem("inherit", (Node *)makeInteger(FALSE));
					}
					else
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("unrecognized role option \"%s\"", (yyvsp[(1) - (1)].str)),
									 parser_errposition((yylsp[(1) - (1)]))));
				}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 961 "gram.y"
    { (yyval.defelt) = (yyvsp[(1) - (1)].defelt); }
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 964 "gram.y"
    {
					(yyval.defelt) = makeDefElem("sysid", (Node *)makeInteger((yyvsp[(2) - (2)].ival)));
				}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 968 "gram.y"
    {
					(yyval.defelt) = makeDefElem("adminmembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 972 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rolemembers", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 976 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 980 "gram.y"
    {
					(yyval.defelt) = makeDefElem("addroleto", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 994 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_USER;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1012 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1022 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1023 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1028 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1036 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = NULL;
					n->database = (yyvsp[(4) - (5)].str);
					n->setstmt = (yyvsp[(5) - (5)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1054 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (5)].str);
					n->action = +1;	/* add, if there are members */
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1066 "gram.y"
    {
					AlterRoleSetStmt *n = makeNode(AlterRoleSetStmt);
					n->role = (yyvsp[(3) - (4)].str);
					n->database = NULL;
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1087 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1094 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1113 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1120 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->roles = (yyvsp[(5) - (5)].list);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 1137 "gram.y"
    {
					CreateRoleStmt *n = makeNode(CreateRoleStmt);
					n->stmt_type = ROLESTMT_GROUP;
					n->role = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 1155 "gram.y"
    {
					AlterRoleStmt *n = makeNode(AlterRoleStmt);
					n->role = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->options = list_make1(makeDefElem("rolemembers",
														(Node *)(yyvsp[(6) - (6)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 1165 "gram.y"
    { (yyval.ival) = +1; }
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 1166 "gram.y"
    { (yyval.ival) = -1; }
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 1179 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = FALSE;
					n->roles = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 1186 "gram.y"
    {
					DropRoleStmt *n = makeNode(DropRoleStmt);
					n->missing_ok = TRUE;
					n->roles = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 1203 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(3) - (6)].str) != NULL)
						n->schemaname = (yyvsp[(3) - (6)].str);
					else
						n->schemaname = (yyvsp[(5) - (6)].str);
					n->authid = (yyvsp[(5) - (6)].str);
					n->schemaElts = (yyvsp[(6) - (6)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 1216 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(3) - (4)].str);
					n->authid = NULL;
					n->schemaElts = (yyvsp[(4) - (4)].list);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 1226 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* One can omit the schema name or the authorization id. */
					if ((yyvsp[(6) - (9)].str) != NULL)
						n->schemaname = (yyvsp[(6) - (9)].str);
					else
						n->schemaname = (yyvsp[(8) - (9)].str);
					n->authid = (yyvsp[(8) - (9)].str);
					if ((yyvsp[(9) - (9)].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[(9) - (9)]))));
					n->schemaElts = (yyvsp[(9) - (9)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 1244 "gram.y"
    {
					CreateSchemaStmt *n = makeNode(CreateSchemaStmt);
					/* ...but not both */
					n->schemaname = (yyvsp[(6) - (7)].str);
					n->authid = NULL;
					if ((yyvsp[(7) - (7)].list) != NIL)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("CREATE SCHEMA IF NOT EXISTS cannot include schema elements"),
								 parser_errposition((yylsp[(7) - (7)]))));
					n->schemaElts = (yyvsp[(7) - (7)].list);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 1261 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 1262 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 1267 "gram.y"
    {
					if ((yyloc) < 0)			/* see comments for YYLLOC_DEFAULT */
						(yyloc) = (yylsp[(2) - (2)]);
					(yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node));
				}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 1273 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 1301 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(2) - (2)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 1307 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 1313 "gram.y"
    {
					VariableSetStmt *n = (yyvsp[(3) - (3)].vsetstmt);
					n->is_local = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 1322 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION";
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 1330 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "SESSION CHARACTERISTICS";
					n->args = (yyvsp[(5) - (5)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 1342 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 1350 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = (yyvsp[(1) - (3)].str);
					n->args = (yyvsp[(3) - (3)].list);
					(yyval.vsetstmt) = n;
				}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 1358 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 1365 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 1373 "gram.y"
    {(yyval.vsetstmt) = (yyvsp[(1) - (1)].vsetstmt);}
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 1375 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_CURRENT;
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.vsetstmt) = n;
				}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 1383 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "timezone";
					if ((yyvsp[(3) - (3)].node) != NULL)
						n->args = list_make1((yyvsp[(3) - (3)].node));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 1394 "gram.y"
    {
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("current database cannot be changed"),
							 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.vsetstmt) = NULL; /*not reached*/
				}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 1402 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "search_path";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 1410 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "client_encoding";
					if ((yyvsp[(2) - (2)].str) != NULL)
						n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					else
						n->kind = VAR_SET_DEFAULT;
					(yyval.vsetstmt) = n;
				}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 1421 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "role";
					n->args = list_make1(makeStringConst((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 1429 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "session_authorization";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 1437 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_DEFAULT;
					n->name = "session_authorization";
					(yyval.vsetstmt) = n;
				}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 1444 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_VALUE;
					n->name = "xmloption";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].ival) == XMLOPTION_DOCUMENT ? "DOCUMENT" : "CONTENT", (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 1453 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_SET_MULTI;
					n->name = "TRANSACTION SNAPSHOT";
					n->args = list_make1(makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)])));
					(yyval.vsetstmt) = n;
				}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 1462 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 1464 "gram.y"
    { (yyval.str) = psprintf("%s.%s", (yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 1467 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 1468 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 1472 "gram.y"
    { (yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)])); }
    break;

  case 202:

/* Line 1806 of yacc.c  */
#line 1474 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 1477 "gram.y"
    { (yyval.str) = "read uncommitted"; }
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 1478 "gram.y"
    { (yyval.str) = "read committed"; }
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 1479 "gram.y"
    { (yyval.str) = "repeatable read"; }
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 1480 "gram.y"
    { (yyval.str) = "serializable"; }
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 1484 "gram.y"
    { (yyval.str) = "true"; }
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 1485 "gram.y"
    { (yyval.str) = "false"; }
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 1486 "gram.y"
    { (yyval.str) = "on"; }
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 1492 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 1505 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 1509 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 1513 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					if ((yyvsp[(3) - (3)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(3) - (3)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(3) - (3)]))));
					}
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 1528 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						A_Const *n = (A_Const *) linitial((yyvsp[(6) - (6)].list));
						if ((n->val.val.ival & ~(INTERVAL_MASK(HOUR) | INTERVAL_MASK(MINUTE))) != 0)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("time zone interval must be HOUR or HOUR TO MINUTE"),
									 parser_errposition((yylsp[(6) - (6)]))));
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 1550 "gram.y"
    { (yyval.node) = makeAConst((yyvsp[(1) - (1)].value), (yylsp[(1) - (1)])); }
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 1551 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 1552 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 1556 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 1557 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 1558 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 1562 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 1563 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 1568 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 1575 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 1582 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 1589 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET;
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 1596 "gram.y"
    {
					VariableSetStmt *n = makeNode(VariableSetStmt);
					n->kind = VAR_RESET_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 1605 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 1606 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 1611 "gram.y"
    { (yyval.vsetstmt) = (yyvsp[(2) - (2)].vsetstmt); }
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 1612 "gram.y"
    { (yyval.vsetstmt) = (VariableSetStmt *) (yyvsp[(1) - (1)].node); }
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 1618 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 1624 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "timezone";
					(yyval.node) = (Node *) n;
				}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 1630 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "transaction_isolation";
					(yyval.node) = (Node *) n;
				}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 1636 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "session_authorization";
					(yyval.node) = (Node *) n;
				}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 1642 "gram.y"
    {
					VariableShowStmt *n = makeNode(VariableShowStmt);
					n->name = "all";
					(yyval.node) = (Node *) n;
				}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 1652 "gram.y"
    {
					ConstraintsSetStmt *n = makeNode(ConstraintsSetStmt);
					n->constraints = (yyvsp[(3) - (4)].list);
					n->deferred = (yyvsp[(4) - (4)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 1661 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 1662 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 1666 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 1667 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 1676 "gram.y"
    {
					CheckPointStmt *n = makeNode(CheckPointStmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 1691 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_ALL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 1697 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 1703 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_TEMP;
					(yyval.node) = (Node *) n;
				}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 1709 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_PLANS;
					(yyval.node) = (Node *) n;
				}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 1715 "gram.y"
    {
					DiscardStmt *n = makeNode(DiscardStmt);
					n->target = DISCARD_SEQUENCES;
					(yyval.node) = (Node *) n;
				}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 1734 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 1743 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 1752 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 1761 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_INDEX;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 1770 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 1779 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_SEQUENCE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 1788 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 1797 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(5) - (6)].range);
					n->cmds = (yyvsp[(6) - (6)].list);
					n->relkind = OBJECT_VIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 1806 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 1815 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_MATVIEW;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 1826 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 1827 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 1833 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 1841 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 1849 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ColumnDefault;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 1858 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 1866 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetNotNull;
					n->name = (yyvsp[(3) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 1874 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStatistics;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeInteger((yyvsp[(6) - (6)].ival));
					(yyval.node) = (Node *)n;
				}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 1883 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 1892 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetOptions;
					n->name = (yyvsp[(3) - (5)].str);
					n->def = (Node *) (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 1901 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetStorage;
					n->name = (yyvsp[(3) - (6)].str);
					n->def = (Node *) makeString((yyvsp[(6) - (6)].str));
					(yyval.node) = (Node *)n;
				}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 1910 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 1920 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 1933 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = (yyvsp[(8) - (8)].node);
					def->location = (yylsp[(3) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 1948 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AlterColumnGenericOptions;
					n->name = (yyvsp[(3) - (4)].str);
					n->def = (Node *) (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 1957 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddConstraint;
					n->def = (yyvsp[(2) - (2)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 1965 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					Constraint *c = makeNode(Constraint);
					n->subtype = AT_AlterConstraint;
					n->def = (Node *) c;
					c->contype = CONSTR_FOREIGN; /* others not supported, yet */
					c->conname = (yyvsp[(3) - (4)].str);
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "ALTER CONSTRAINT statement",
									&c->deferrable,
									&c->initdeferred,
									NULL, NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 1980 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ValidateConstraint;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 1988 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 1998 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropConstraint;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2008 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2015 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOids;
					(yyval.node) = (Node *)n;
				}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2022 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ClusterOn;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2030 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropCluster;
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2038 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2046 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2054 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaTrig;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2062 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2069 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2076 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrig;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2084 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigAll;
					(yyval.node) = (Node *)n;
				}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2091 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableTrigUser;
					(yyval.node) = (Node *)n;
				}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2098 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2106 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableAlwaysRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2114 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_EnableReplicaRule;
					n->name = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2122 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DisableRule;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2130 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddInherit;
					n->def = (Node *) (yyvsp[(2) - (2)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2138 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropInherit;
					n->def = (Node *) (yyvsp[(3) - (3)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2146 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					TypeName *def = makeTypeNameFromNameList((yyvsp[(2) - (2)].list));
					def->location = (yylsp[(2) - (2)]);
					n->subtype = AT_AddOf;
					n->def = (Node *) def;
					(yyval.node) = (Node *)n;
				}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2156 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropOf;
					(yyval.node) = (Node *)n;
				}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2163 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ChangeOwner;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2171 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetTableSpace;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2179 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_SetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2187 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ResetRelOptions;
					n->def = (Node *)(yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2195 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_ReplicaIdentity;
					n->def = (yyvsp[(3) - (3)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2202 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_GenericOptions;
					n->def = (Node *)(yyvsp[(1) - (1)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2211 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (3)].node); }
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2212 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2216 "gram.y"
    { (yyval.dbehavior) = DROP_CASCADE; }
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2217 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; }
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2218 "gram.y"
    { (yyval.dbehavior) = DROP_RESTRICT; /* default */ }
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2223 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2230 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2234 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2235 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2240 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_NOTHING;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2247 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_FULL;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2254 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_DEFAULT;
					n->name = NULL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2261 "gram.y"
    {
					ReplicaIdentityStmt *n = makeNode(ReplicaIdentityStmt);
					n->identity_type = REPLICA_IDENTITY_INDEX;
					n->name = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2270 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2273 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2274 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2278 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2279 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2285 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2289 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2293 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (5)].str), (yyvsp[(3) - (5)].str), (Node *) (yyvsp[(5) - (5)].node),
											 DEFELEM_UNSPEC);
				}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2298 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].str), NULL, DEFELEM_UNSPEC);
				}
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2313 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);

					/* can't use qualified_name, sigh */
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (4)].list), (yylsp[(3) - (4)]), yyscanner);
					n->cmds = (yyvsp[(4) - (4)].list);
					n->relkind = OBJECT_TYPE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2325 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2326 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2332 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_AddColumn;
					n->def = (yyvsp[(3) - (4)].node);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2341 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(5) - (6)].str);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2351 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					n->subtype = AT_DropColumn;
					n->name = (yyvsp[(3) - (4)].str);
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2361 "gram.y"
    {
					AlterTableCmd *n = makeNode(AlterTableCmd);
					ColumnDef *def = makeNode(ColumnDef);
					n->subtype = AT_AlterColumnType;
					n->name = (yyvsp[(3) - (8)].str);
					n->def = (Node *) def;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					/* We only use these fields of the ColumnDef node */
					def->typeName = (yyvsp[(6) - (8)].typnam);
					def->collClause = (CollateClause *) (yyvsp[(7) - (8)].node);
					def->raw_default = NULL;
					def->location = (yylsp[(3) - (8)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2387 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2393 "gram.y"
    {
					ClosePortalStmt *n = makeNode(ClosePortalStmt);
					n->portalname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2424 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = (yyvsp[(3) - (11)].range);
					n->query = NULL;
					n->attlist = (yyvsp[(4) - (11)].list);
					n->is_from = (yyvsp[(6) - (11)].boolean);
					n->is_program = (yyvsp[(7) - (11)].boolean);
					n->filename = (yyvsp[(8) - (11)].str);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[(8) - (11)]))));

					n->options = NIL;
					/* Concatenate user-supplied flags */
					if ((yyvsp[(2) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(2) - (11)].defelt));
					if ((yyvsp[(5) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(5) - (11)].defelt));
					if ((yyvsp[(9) - (11)].defelt))
						n->options = lappend(n->options, (yyvsp[(9) - (11)].defelt));
					if ((yyvsp[(11) - (11)].list))
						n->options = list_concat(n->options, (yyvsp[(11) - (11)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2452 "gram.y"
    {
					CopyStmt *n = makeNode(CopyStmt);
					n->relation = NULL;
					n->query = (yyvsp[(2) - (7)].node);
					n->attlist = NIL;
					n->is_from = false;
					n->is_program = (yyvsp[(4) - (7)].boolean);
					n->filename = (yyvsp[(5) - (7)].str);
					n->options = (yyvsp[(7) - (7)].list);

					if (n->is_program && n->filename == NULL)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("STDIN/STDOUT not allowed with PROGRAM"),
								 parser_errposition((yylsp[(5) - (7)]))));

					(yyval.node) = (Node *)n;
				}
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2473 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2474 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2478 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2479 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2488 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2489 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2490 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2493 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2494 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2499 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2500 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2505 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2509 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2513 "gram.y"
    {
					(yyval.defelt) = makeDefElem("freeze", (Node *)makeInteger(TRUE));
				}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2517 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2521 "gram.y"
    {
					(yyval.defelt) = makeDefElem("null", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 2525 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("csv"));
				}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 2529 "gram.y"
    {
					(yyval.defelt) = makeDefElem("header", (Node *)makeInteger(TRUE));
				}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 2533 "gram.y"
    {
					(yyval.defelt) = makeDefElem("quote", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 2537 "gram.y"
    {
					(yyval.defelt) = makeDefElem("escape", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 2541 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 2545 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_quote", (Node *)makeNode(A_Star));
				}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 2549 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_not_null", (Node *)(yyvsp[(4) - (4)].list));
				}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 2553 "gram.y"
    {
					(yyval.defelt) = makeDefElem("force_null", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 2557 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 2566 "gram.y"
    {
					(yyval.defelt) = makeDefElem("format", (Node *)makeString("binary"));
				}
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 2569 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 2574 "gram.y"
    {
					(yyval.defelt) = makeDefElem("oids", (Node *)makeInteger(TRUE));
				}
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 2577 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 2582 "gram.y"
    {
					(yyval.defelt) = makeDefElem("delimiter", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 2585 "gram.y"
    { (yyval.defelt) = NULL; }
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 2589 "gram.y"
    {}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 2590 "gram.y"
    {}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 2596 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 2600 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 2607 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 2613 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 2614 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 2615 "gram.y"
    { (yyval.node) = (Node *) makeNode(A_Star); }
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 2616 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(2) - (3)].list); }
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 2617 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 2622 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 2626 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 2633 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 2646 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (11)].range)->relpersistence = (yyvsp[(2) - (11)].ival);
					n->relation = (yyvsp[(4) - (11)].range);
					n->tableElts = (yyvsp[(6) - (11)].list);
					n->inhRelations = (yyvsp[(8) - (11)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(9) - (11)].list);
					n->oncommit = (yyvsp[(10) - (11)].oncommit);
					n->tablespacename = (yyvsp[(11) - (11)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 2662 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (14)].range)->relpersistence = (yyvsp[(2) - (14)].ival);
					n->relation = (yyvsp[(7) - (14)].range);
					n->tableElts = (yyvsp[(9) - (14)].list);
					n->inhRelations = (yyvsp[(11) - (14)].list);
					n->constraints = NIL;
					n->options = (yyvsp[(12) - (14)].list);
					n->oncommit = (yyvsp[(13) - (14)].oncommit);
					n->tablespacename = (yyvsp[(14) - (14)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 2677 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = (yyvsp[(2) - (10)].ival);
					n->relation = (yyvsp[(4) - (10)].range);
					n->tableElts = (yyvsp[(7) - (10)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(6) - (10)].list));
					n->ofTypename->location = (yylsp[(6) - (10)]);
					n->constraints = NIL;
					n->options = (yyvsp[(8) - (10)].list);
					n->oncommit = (yyvsp[(9) - (10)].oncommit);
					n->tablespacename = (yyvsp[(10) - (10)].str);
					n->if_not_exists = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 2693 "gram.y"
    {
					CreateStmt *n = makeNode(CreateStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = (yyvsp[(2) - (13)].ival);
					n->relation = (yyvsp[(7) - (13)].range);
					n->tableElts = (yyvsp[(10) - (13)].list);
					n->ofTypename = makeTypeNameFromNameList((yyvsp[(9) - (13)].list));
					n->ofTypename->location = (yylsp[(9) - (13)]);
					n->constraints = NIL;
					n->options = (yyvsp[(11) - (13)].list);
					n->oncommit = (yyvsp[(12) - (13)].oncommit);
					n->tablespacename = (yyvsp[(13) - (13)].str);
					n->if_not_exists = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 2720 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 2721 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 2722 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 2723 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_TEMP; }
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 2725 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 2732 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.ival) = RELPERSISTENCE_TEMP;
				}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 2738 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 2739 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 2743 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 2744 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 2748 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 2749 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 2754 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 2758 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 2765 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 2769 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 2775 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 2776 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 2777 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 2781 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 2782 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 2786 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = (yyvsp[(2) - (4)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					n->fdwoptions = (yyvsp[(3) - (4)].list);
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 2807 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (4)].str);
					n->typeName = NULL;
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collOid = InvalidOid;
					SplitColQualList((yyvsp[(4) - (4)].list), &n->constraints, &n->collClause,
									 yyscanner);
					n->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 2827 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 2828 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 2833 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 2840 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 2841 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 2843 "gram.y"
    {
					/*
					 * Note: the CollateClause is momentarily included in
					 * the list built by ColQualList, but we split it out
					 * again in SplitColQualList.
					 */
					CollateClause *n = makeNode(CollateClause);
					n->arg = NULL;
					n->collname = (yyvsp[(2) - (2)].list);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 2874 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NOTNULL;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 2881 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_NULL;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 2888 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NULL;
					n->options = (yyvsp[(2) - (3)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 2899 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NULL;
					n->options = (yyvsp[(3) - (4)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(4) - (4)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 2910 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->is_no_inherit = (yyvsp[(5) - (5)].boolean);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 2920 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_DEFAULT;
					n->location = (yylsp[(1) - (2)]);
					n->raw_expr = (yyvsp[(2) - (2)].node);
					n->cooked_expr = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 2929 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (5)]);
					n->pktable			= (yyvsp[(2) - (5)].range);
					n->fk_attrs			= NIL;
					n->pk_attrs			= (yyvsp[(3) - (5)].list);
					n->fk_matchtype		= (yyvsp[(4) - (5)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(5) - (5)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(5) - (5)].ival) & 0xFF);
					n->skip_validation  = false;
					n->initially_valid  = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 2962 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRABLE;
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 2969 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_NOT_DEFERRABLE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 2976 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_DEFERRED;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 2983 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_ATTR_IMMEDIATE;
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 2994 "gram.y"
    {
					TableLikeClause *n = makeNode(TableLikeClause);
					n->relation = (yyvsp[(2) - (3)].range);
					n->options = (yyvsp[(3) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3003 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3004 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) & ~(yyvsp[(3) - (3)].ival); }
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3005 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3009 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_DEFAULTS; }
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3010 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_CONSTRAINTS; }
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3011 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_INDEXES; }
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3012 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_STORAGE; }
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3013 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_COMMENTS; }
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3014 "gram.y"
    { (yyval.ival) = CREATE_TABLE_LIKE_ALL; }
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3024 "gram.y"
    {
					Constraint *n = (Constraint *) (yyvsp[(3) - (3)].node);
					Assert(IsA(n, Constraint));
					n->conname = (yyvsp[(2) - (3)].str);
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3031 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3036 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_CHECK;
					n->location = (yylsp[(1) - (5)]);
					n->raw_expr = (yyvsp[(3) - (5)].node);
					n->cooked_expr = NULL;
					processCASbits((yyvsp[(5) - (5)].ival), (yylsp[(5) - (5)]), "CHECK",
								   NULL, NULL, &n->skip_validation,
								   &n->is_no_inherit, yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3050 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (7)]);
					n->keys = (yyvsp[(3) - (7)].list);
					n->options = (yyvsp[(5) - (7)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(6) - (7)].str);
					processCASbits((yyvsp[(7) - (7)].ival), (yylsp[(7) - (7)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3064 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_UNIQUE;
					n->location = (yylsp[(1) - (3)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(2) - (3)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(3) - (3)].ival), (yylsp[(3) - (3)]), "UNIQUE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3079 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (8)]);
					n->keys = (yyvsp[(4) - (8)].list);
					n->options = (yyvsp[(6) - (8)].list);
					n->indexname = NULL;
					n->indexspace = (yyvsp[(7) - (8)].str);
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3093 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_PRIMARY;
					n->location = (yylsp[(1) - (4)]);
					n->keys = NIL;
					n->options = NIL;
					n->indexname = (yyvsp[(3) - (4)].str);
					n->indexspace = NULL;
					processCASbits((yyvsp[(4) - (4)].ival), (yylsp[(4) - (4)]), "PRIMARY KEY",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3109 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_EXCLUSION;
					n->location = (yylsp[(1) - (9)]);
					n->access_method	= (yyvsp[(2) - (9)].str);
					n->exclusions		= (yyvsp[(4) - (9)].list);
					n->options			= (yyvsp[(6) - (9)].list);
					n->indexname		= NULL;
					n->indexspace		= (yyvsp[(7) - (9)].str);
					n->where_clause		= (yyvsp[(8) - (9)].node);
					processCASbits((yyvsp[(9) - (9)].ival), (yylsp[(9) - (9)]), "EXCLUDE",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3126 "gram.y"
    {
					Constraint *n = makeNode(Constraint);
					n->contype = CONSTR_FOREIGN;
					n->location = (yylsp[(1) - (11)]);
					n->pktable			= (yyvsp[(7) - (11)].range);
					n->fk_attrs			= (yyvsp[(4) - (11)].list);
					n->pk_attrs			= (yyvsp[(8) - (11)].list);
					n->fk_matchtype		= (yyvsp[(9) - (11)].ival);
					n->fk_upd_action	= (char) ((yyvsp[(10) - (11)].ival) >> 8);
					n->fk_del_action	= (char) ((yyvsp[(10) - (11)].ival) & 0xFF);
					processCASbits((yyvsp[(11) - (11)].ival), (yylsp[(11) - (11)]), "FOREIGN KEY",
								   &n->deferrable, &n->initdeferred,
								   &n->skip_validation, NULL,
								   yyscanner);
					n->initially_valid = !n->skip_validation;
					(yyval.node) = (Node *)n;
				}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3145 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3146 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3150 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3151 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3155 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3156 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3160 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str));
				}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3166 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_FULL;
			}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3170 "gram.y"
    {
				ereport(ERROR,
						(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
						 errmsg("MATCH PARTIAL not yet implemented"),
						 parser_errposition((yylsp[(1) - (2)]))));
				(yyval.ival) = FKCONSTR_MATCH_PARTIAL;
			}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3178 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3182 "gram.y"
    {
				(yyval.ival) = FKCONSTR_MATCH_SIMPLE;
			}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3188 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3190 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3194 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (3)].ielem), (yyvsp[(3) - (3)].list));
			}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3199 "gram.y"
    {
				(yyval.list) = list_make2((yyvsp[(1) - (6)].ielem), (yyvsp[(5) - (6)].list));
			}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3205 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3206 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3217 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (1)].ival) << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3219 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | ((yyvsp[(1) - (1)].ival) & 0xFF); }
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3221 "gram.y"
    { (yyval.ival) = ((yyvsp[(1) - (2)].ival) << 8) | ((yyvsp[(2) - (2)].ival) & 0xFF); }
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3223 "gram.y"
    { (yyval.ival) = ((yyvsp[(2) - (2)].ival) << 8) | ((yyvsp[(1) - (2)].ival) & 0xFF); }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3225 "gram.y"
    { (yyval.ival) = (FKCONSTR_ACTION_NOACTION << 8) | (FKCONSTR_ACTION_NOACTION & 0xFF); }
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3228 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3231 "gram.y"
    { (yyval.ival) = (yyvsp[(3) - (3)].ival); }
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3235 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_NOACTION; }
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3236 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_RESTRICT; }
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3237 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_CASCADE; }
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3238 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETNULL; }
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3239 "gram.y"
    { (yyval.ival) = FKCONSTR_ACTION_SETDEFAULT; }
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3242 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3243 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3248 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3249 "gram.y"
    { (yyval.list) = list_make1(defWithOids(true)); }
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3250 "gram.y"
    { (yyval.list) = list_make1(defWithOids(false)); }
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3251 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3254 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DROP; }
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3255 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_DELETE_ROWS; }
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3256 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_PRESERVE_ROWS; }
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3257 "gram.y"
    { (yyval.oncommit) = ONCOMMIT_NOOP; }
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3260 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3261 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3264 "gram.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3265 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3268 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3284 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(6) - (7)].node);
					ctas->into = (yyvsp[(4) - (7)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (7)].into)->rel->relpersistence = (yyvsp[(2) - (7)].ival);
					(yyvsp[(4) - (7)].into)->skipData = !((yyvsp[(7) - (7)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3299 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (5)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (5)].list);
					(yyval.into)->options = (yyvsp[(3) - (5)].list);
					(yyval.into)->onCommit = (yyvsp[(4) - (5)].oncommit);
					(yyval.into)->tableSpaceName = (yyvsp[(5) - (5)].str);
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;		/* might get changed later */
				}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3312 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3313 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3314 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3327 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ctas->query = (yyvsp[(7) - (8)].node);
					ctas->into = (yyvsp[(5) - (8)].into);
					ctas->relkind = OBJECT_MATVIEW;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(5) - (8)].into)->rel->relpersistence = (yyvsp[(2) - (8)].ival);
					(yyvsp[(5) - (8)].into)->skipData = !((yyvsp[(8) - (8)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3342 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(1) - (4)].range);
					(yyval.into)->colNames = (yyvsp[(2) - (4)].list);
					(yyval.into)->options = (yyvsp[(3) - (4)].list);
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = (yyvsp[(4) - (4)].str);
					(yyval.into)->viewQuery = NULL;		/* filled at analysis time */
					(yyval.into)->skipData = false;		/* might get changed later */
				}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3354 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_UNLOGGED; }
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3355 "gram.y"
    { (yyval.ival) = RELPERSISTENCE_PERMANENT; }
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3368 "gram.y"
    {
					RefreshMatViewStmt *n = makeNode(RefreshMatViewStmt);
					n->concurrent = (yyvsp[(4) - (6)].boolean);
					n->relation = (yyvsp[(5) - (6)].range);
					n->skipData = !((yyvsp[(6) - (6)].boolean));
					(yyval.node) = (Node *) n;
				}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3388 "gram.y"
    {
					CreateSeqStmt *n = makeNode(CreateSeqStmt);
					(yyvsp[(4) - (5)].range)->relpersistence = (yyvsp[(2) - (5)].ival);
					n->sequence = (yyvsp[(4) - (5)].range);
					n->options = (yyvsp[(5) - (5)].list);
					n->ownerId = InvalidOid;
					(yyval.node) = (Node *)n;
				}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3400 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(3) - (4)].range);
					n->options = (yyvsp[(4) - (4)].list);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3408 "gram.y"
    {
					AlterSeqStmt *n = makeNode(AlterSeqStmt);
					n->sequence = (yyvsp[(5) - (6)].range);
					n->options = (yyvsp[(6) - (6)].list);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3418 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3419 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3422 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3423 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3427 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cache", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3431 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(TRUE));
				}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3435 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cycle", (Node *)makeInteger(FALSE));
				}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3439 "gram.y"
    {
					(yyval.defelt) = makeDefElem("increment", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3443 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3447 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3451 "gram.y"
    {
					(yyval.defelt) = makeDefElem("maxvalue", NULL);
				}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3455 "gram.y"
    {
					(yyval.defelt) = makeDefElem("minvalue", NULL);
				}
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3459 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owned_by", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3463 "gram.y"
    {
					(yyval.defelt) = makeDefElem("start", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3467 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", NULL);
				}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3471 "gram.y"
    {
					(yyval.defelt) = makeDefElem("restart", (Node *)(yyvsp[(3) - (3)].value));
				}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3476 "gram.y"
    {}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3477 "gram.y"
    {}
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3481 "gram.y"
    { (yyval.value) = makeFloat((yyvsp[(1) - (1)].str)); }
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3483 "gram.y"
    {
					(yyval.value) = makeFloat((yyvsp[(2) - (2)].str));
					doNegateFloat((yyval.value));
				}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3487 "gram.y"
    { (yyval.value) = makeInteger((yyvsp[(1) - (1)].ival)); }
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3490 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3491 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3504 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (6)].boolean);
				n->plname = (yyvsp[(6) - (6)].str);
				/* parameters are all to be supplied by system */
				n->plhandler = NIL;
				n->plinline = NIL;
				n->plvalidator = NIL;
				n->pltrusted = false;
				(yyval.node) = (Node *)n;
			}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3517 "gram.y"
    {
				CreatePLangStmt *n = makeNode(CreatePLangStmt);
				n->replace = (yyvsp[(2) - (10)].boolean);
				n->plname = (yyvsp[(6) - (10)].str);
				n->plhandler = (yyvsp[(8) - (10)].list);
				n->plinline = (yyvsp[(9) - (10)].list);
				n->plvalidator = (yyvsp[(10) - (10)].list);
				n->pltrusted = (yyvsp[(3) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3530 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3531 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3539 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3540 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3544 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3545 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3549 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3550 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3554 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3555 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3560 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(4) - (5)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3571 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_LANGUAGE;
					n->objects = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3583 "gram.y"
    {}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3584 "gram.y"
    {}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3595 "gram.y"
    {
					CreateTableSpaceStmt *n = makeNode(CreateTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (7)].str);
					n->owner = (yyvsp[(4) - (7)].str);
					n->location = (yyvsp[(6) - (7)].str);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 3605 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 3606 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 3620 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(3) - (3)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 3627 "gram.y"
    {
					DropTableSpaceStmt *n = makeNode(DropTableSpaceStmt);
					n->tablespacename = (yyvsp[(5) - (5)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 3644 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->if_not_exists = false;
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 3652 "gram.y"
    {
					CreateExtensionStmt *n = makeNode(CreateExtensionStmt);
					n->extname = (yyvsp[(6) - (8)].str);
					n->if_not_exists = true;
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 3663 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 3665 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 3670 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schema", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 3674 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 3678 "gram.y"
    {
					(yyval.defelt) = makeDefElem("old_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 3690 "gram.y"
    {
					AlterExtensionStmt *n = makeNode(AlterExtensionStmt);
					n->extname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 3700 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 3702 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 3707 "gram.y"
    {
					(yyval.defelt) = makeDefElem("new_version", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 3720 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = extractAggrArgTypes((yyvsp[(7) - (7)].list));
					(yyval.node) = (Node *)n;
				}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 3730 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (10)].str);
					n->action = (yyvsp[(4) - (10)].ival);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(7) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(9) - (10)].typnam));
					(yyval.node) = (Node *) n;
				}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 3740 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_COLLATION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 3749 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_CONVERSION;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 3758 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_DOMAIN;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 3767 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (6)].funwithargs)->funcname;
					n->objargs = (yyvsp[(6) - (6)].funwithargs)->funcargs;
					(yyval.node) = (Node *)n;
				}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 3777 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 3786 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(6) - (7)].list);
					n->objargs = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 3796 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 3806 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (9)].str);
					n->action = (yyvsp[(4) - (9)].ival);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(9) - (9)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 3816 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SCHEMA;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 3825 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_EVENT_TRIGGER;
					n->objname = list_make1(makeString((yyvsp[(7) - (7)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 3834 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TABLE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 3843 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSPARSER;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 3852 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSDICTIONARY;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 3861 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSTEMPLATE;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 3870 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_TSCONFIGURATION;
					n->objname = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 3879 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_SEQUENCE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 3888 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_VIEW;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 3897 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_MATVIEW;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 3906 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (7)].str);
					n->action = (yyvsp[(4) - (7)].ival);
					n->objtype = OBJECT_FOREIGN_TABLE;
					n->objname = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 3915 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (8)].str);
					n->action = (yyvsp[(4) - (8)].ival);
					n->objtype = OBJECT_FDW;
					n->objname = list_make1(makeString((yyvsp[(8) - (8)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 3924 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_FOREIGN_SERVER;
					n->objname = list_make1(makeString((yyvsp[(6) - (6)].str)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 3933 "gram.y"
    {
					AlterExtensionContentsStmt *n = makeNode(AlterExtensionContentsStmt);
					n->extname = (yyvsp[(3) - (6)].str);
					n->action = (yyvsp[(4) - (6)].ival);
					n->objtype = OBJECT_TYPE;
					n->objname = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 3951 "gram.y"
    {
					CreateFdwStmt *n = makeNode(CreateFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 3961 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 3962 "gram.y"
    { (yyval.defelt) = makeDefElem("handler", NULL); }
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 3963 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", (Node *)(yyvsp[(2) - (2)].list)); }
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 3964 "gram.y"
    { (yyval.defelt) = makeDefElem("validator", NULL); }
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 3968 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 3969 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 3973 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 3974 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 3985 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 3996 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FDW;
					n->objects = list_make1(list_make1(makeString((yyvsp[(7) - (8)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4016 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (7)].str);
					n->func_options = (yyvsp[(6) - (7)].list);
					n->options = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4024 "gram.y"
    {
					AlterFdwStmt *n = makeNode(AlterFdwStmt);
					n->fdwname = (yyvsp[(5) - (6)].str);
					n->func_options = (yyvsp[(6) - (6)].list);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4035 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4036 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4041 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4045 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4052 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4057 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4061 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4068 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4072 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_SET;
				}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4077 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(2) - (2)].defelt);
					(yyval.defelt)->defaction = DEFELEM_ADD;
				}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4082 "gram.y"
    {
					(yyval.defelt) = makeDefElemExtended(NULL, (yyvsp[(2) - (2)].str), NULL, DEFELEM_DROP);
				}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4089 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4095 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4100 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4112 "gram.y"
    {
					CreateForeignServerStmt *n = makeNode(CreateForeignServerStmt);
					n->servername = (yyvsp[(3) - (10)].str);
					n->servertype = (yyvsp[(4) - (10)].str);
					n->version = (yyvsp[(5) - (10)].str);
					n->fdwname = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4124 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4125 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4130 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4131 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4135 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4136 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4147 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(3) - (4)].str))));
					n->arguments = NIL;
					n->missing_ok = false;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4158 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FOREIGN_SERVER;
					n->objects = list_make1(list_make1(makeString((yyvsp[(5) - (6)].str))));
					n->arguments = NIL;
					n->missing_ok = true;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4178 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (5)].str);
					n->version = (yyvsp[(4) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4187 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->version = (yyvsp[(4) - (4)].str);
					n->has_version = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4195 "gram.y"
    {
					AlterForeignServerStmt *n = makeNode(AlterForeignServerStmt);
					n->servername = (yyvsp[(3) - (4)].str);
					n->options = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4214 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(4) - (10)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(4) - (10)].range);
					n->base.tableElts = (yyvsp[(6) - (10)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = false;
					/* FDW-specific data */
					n->servername = (yyvsp[(9) - (10)].str);
					n->options = (yyvsp[(10) - (10)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4229 "gram.y"
    {
					CreateForeignTableStmt *n = makeNode(CreateForeignTableStmt);
					(yyvsp[(7) - (13)].range)->relpersistence = RELPERSISTENCE_PERMANENT;
					n->base.relation = (yyvsp[(7) - (13)].range);
					n->base.tableElts = (yyvsp[(9) - (13)].list);
					n->base.inhRelations = NIL;
					n->base.if_not_exists = true;
					/* FDW-specific data */
					n->servername = (yyvsp[(12) - (13)].str);
					n->options = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4252 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(4) - (5)].range);
					n->cmds = (yyvsp[(5) - (5)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4261 "gram.y"
    {
					AlterTableStmt *n = makeNode(AlterTableStmt);
					n->relation = (yyvsp[(6) - (7)].range);
					n->cmds = (yyvsp[(7) - (7)].list);
					n->relkind = OBJECT_FOREIGN_TABLE;
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4279 "gram.y"
    {
					CreateUserMappingStmt *n = makeNode(CreateUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4290 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4291 "gram.y"
    { (yyval.str) = "current_user"; }
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4292 "gram.y"
    { (yyval.str) = (strcmp((yyvsp[(1) - (1)].str), "public") == 0) ? NULL : (yyvsp[(1) - (1)].str); }
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4303 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(5) - (7)].str);
					n->servername = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4311 "gram.y"
    {
					DropUserMappingStmt *n = makeNode(DropUserMappingStmt);
					n->username = (yyvsp[(7) - (9)].str);
					n->servername = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *) n;
				}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4328 "gram.y"
    {
					AlterUserMappingStmt *n = makeNode(AlterUserMappingStmt);
					n->username = (yyvsp[(5) - (8)].str);
					n->servername = (yyvsp[(7) - (8)].str);
					n->options = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4349 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (15)].str);
					n->relation = (yyvsp[(7) - (15)].range);
					n->funcname = (yyvsp[(12) - (15)].list);
					n->args = (yyvsp[(14) - (15)].list);
					n->row = (yyvsp[(8) - (15)].boolean);
					n->timing = (yyvsp[(4) - (15)].ival);
					n->events = intVal(linitial((yyvsp[(5) - (15)].list)));
					n->columns = (List *) lsecond((yyvsp[(5) - (15)].list));
					n->whenClause = (yyvsp[(9) - (15)].node);
					n->isconstraint  = FALSE;
					n->deferrable	 = FALSE;
					n->initdeferred  = FALSE;
					n->constrrel = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4370 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(4) - (20)].str);
					n->relation = (yyvsp[(8) - (20)].range);
					n->funcname = (yyvsp[(17) - (20)].list);
					n->args = (yyvsp[(19) - (20)].list);
					n->row = TRUE;
					n->timing = TRIGGER_TYPE_AFTER;
					n->events = intVal(linitial((yyvsp[(6) - (20)].list)));
					n->columns = (List *) lsecond((yyvsp[(6) - (20)].list));
					n->whenClause = (yyvsp[(14) - (20)].node);
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(10) - (20)].ival), (yylsp[(10) - (20)]), "TRIGGER",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);
					n->constrrel = (yyvsp[(9) - (20)].range);
					(yyval.node) = (Node *)n;
				}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4391 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_BEFORE; }
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4392 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_AFTER; }
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4393 "gram.y"
    { (yyval.ival) = TRIGGER_TYPE_INSTEAD; }
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4398 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4400 "gram.y"
    {
					int		events1 = intVal(linitial((yyvsp[(1) - (3)].list)));
					int		events2 = intVal(linitial((yyvsp[(3) - (3)].list)));
					List   *columns1 = (List *) lsecond((yyvsp[(1) - (3)].list));
					List   *columns2 = (List *) lsecond((yyvsp[(3) - (3)].list));

					if (events1 & events2)
						parser_yyerror("duplicate trigger events specified");
					/*
					 * concat'ing the columns lists loses information about
					 * which columns went with which event, but so long as
					 * only UPDATE carries columns and we disallow multiple
					 * UPDATE items, it doesn't matter.  Command execution
					 * should just ignore the columns for non-UPDATE events.
					 */
					(yyval.list) = list_make2(makeInteger(events1 | events2),
									list_concat(columns1, columns2));
				}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4422 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_INSERT), NIL); }
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4424 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_DELETE), NIL); }
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4426 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), NIL); }
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4428 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_UPDATE), (yyvsp[(3) - (3)].list)); }
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4430 "gram.y"
    { (yyval.list) = list_make2(makeInteger(TRIGGER_TYPE_TRUNCATE), NIL); }
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4435 "gram.y"
    {
					(yyval.boolean) = (yyvsp[(3) - (3)].boolean);
				}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4439 "gram.y"
    {
					/*
					 * If ROW/STATEMENT not specified, default to
					 * STATEMENT, per SQL
					 */
					(yyval.boolean) = FALSE;
				}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4449 "gram.y"
    {}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4450 "gram.y"
    {}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4454 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4455 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4459 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (4)].node); }
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4460 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4464 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].value)); }
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4465 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].value)); }
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4466 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4471 "gram.y"
    {
					char buf[64];
					snprintf(buf, sizeof(buf), "%d", (yyvsp[(1) - (1)].ival));
					(yyval.value) = makeString(pstrdup(buf));
				}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4476 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4477 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4478 "gram.y"
    { (yyval.value) = makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4482 "gram.y"
    { (yyval.range) = (yyvsp[(2) - (2)].range); }
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4483 "gram.y"
    { (yyval.range) = NULL; }
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4488 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4490 "gram.y"
    {
					/*
					 * We must complain about conflicting options.
					 * We could, but choose not to, complain about redundant
					 * options (ie, where $2's bit is already set in $1).
					 */
					int		newspec = (yyvsp[(1) - (2)].ival) | (yyvsp[(2) - (2)].ival);

					/* special message for this case */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED)) == (CAS_NOT_DEFERRABLE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("constraint declared INITIALLY DEFERRED must be DEFERRABLE"),
								 parser_errposition((yylsp[(2) - (2)]))));
					/* generic message for other conflicts */
					if ((newspec & (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE)) == (CAS_NOT_DEFERRABLE | CAS_DEFERRABLE) ||
						(newspec & (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED)) == (CAS_INITIALLY_IMMEDIATE | CAS_INITIALLY_DEFERRED))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("conflicting constraint properties"),
								 parser_errposition((yylsp[(2) - (2)]))));
					(yyval.ival) = newspec;
				}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4516 "gram.y"
    { (yyval.ival) = CAS_NOT_DEFERRABLE; }
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4517 "gram.y"
    { (yyval.ival) = CAS_DEFERRABLE; }
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4518 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_IMMEDIATE; }
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4519 "gram.y"
    { (yyval.ival) = CAS_INITIALLY_DEFERRED; }
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4520 "gram.y"
    { (yyval.ival) = CAS_NOT_VALID; }
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4521 "gram.y"
    { (yyval.ival) = CAS_NO_INHERIT; }
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4527 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4538 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_TRIGGER;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4562 "gram.y"
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[(4) - (11)].str);
					n->eventname = (yyvsp[(6) - (11)].str);
					n->whenclause = NULL;
					n->funcname = (yyvsp[(9) - (11)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4573 "gram.y"
    {
					CreateEventTrigStmt *n = makeNode(CreateEventTrigStmt);
					n->trigname = (yyvsp[(4) - (13)].str);
					n->eventname = (yyvsp[(6) - (13)].str);
					n->whenclause = (yyvsp[(8) - (13)].list);
					n->funcname = (yyvsp[(11) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4585 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4587 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4592 "gram.y"
    { (yyval.defelt) = makeDefElem((yyvsp[(1) - (5)].str), (Node *) (yyvsp[(4) - (5)].list)); }
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4597 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4599 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4604 "gram.y"
    {
					AlterEventTrigStmt *n = makeNode(AlterEventTrigStmt);
					n->trigname = (yyvsp[(4) - (5)].str);
					n->tgenabled = (yyvsp[(5) - (5)].chr);
					(yyval.node) = (Node *) n;
				}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4613 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ON_ORIGIN; }
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4614 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ON_REPLICA; }
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4615 "gram.y"
    { (yyval.chr) = TRIGGER_FIRES_ALWAYS; }
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4616 "gram.y"
    { (yyval.chr) = TRIGGER_DISABLED; }
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4630 "gram.y"
    {
					CreateTrigStmt *n = makeNode(CreateTrigStmt);
					n->trigname = (yyvsp[(3) - (8)].str);
					n->args = list_make1((yyvsp[(6) - (8)].node));
					n->isconstraint  = TRUE;
					processCASbits((yyvsp[(8) - (8)].ival), (yylsp[(8) - (8)]), "ASSERTION",
								   &n->deferrable, &n->initdeferred, NULL,
								   NULL, yyscanner);

					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("CREATE ASSERTION is not yet implemented")));

					(yyval.node) = (Node *)n;
				}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4649 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = NIL;
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->removeType = OBJECT_TRIGGER; /* XXX */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("DROP ASSERTION is not yet implemented")));
					(yyval.node) = (Node *) n;
				}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4672 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->args = (yyvsp[(4) - (5)].list);
					n->definition = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4682 "gram.y"
    {
					/* old-style (pre-8.2) syntax for CREATE AGGREGATE */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_AGGREGATE;
					n->oldstyle = true;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4693 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_OPERATOR;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4703 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->args = NIL;
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4713 "gram.y"
    {
					/* Shell type (identified by lack of definition) */
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TYPE;
					n->oldstyle = false;
					n->defnames = (yyvsp[(3) - (3)].list);
					n->args = NIL;
					n->definition = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4724 "gram.y"
    {
					CompositeTypeStmt *n = makeNode(CompositeTypeStmt);

					/* can't use qualified_name, sigh */
					n->typevar = makeRangeVarFromAnyName((yyvsp[(3) - (7)].list), (yylsp[(3) - (7)]), yyscanner);
					n->coldeflist = (yyvsp[(6) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4733 "gram.y"
    {
					CreateEnumStmt *n = makeNode(CreateEnumStmt);
					n->typeName = (yyvsp[(3) - (8)].list);
					n->vals = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4740 "gram.y"
    {
					CreateRangeStmt *n = makeNode(CreateRangeStmt);
					n->typeName = (yyvsp[(3) - (6)].list);
					n->params	= (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4747 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSPARSER;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4756 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSDICTIONARY;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4765 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSTEMPLATE;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4774 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_TSCONFIGURATION;
					n->args = NIL;
					n->defnames = (yyvsp[(5) - (6)].list);
					n->definition = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4783 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (4)].list);
					n->definition = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4792 "gram.y"
    {
					DefineStmt *n = makeNode(DefineStmt);
					n->kind = OBJECT_COLLATION;
					n->args = NIL;
					n->defnames = (yyvsp[(3) - (5)].list);
					n->definition = list_make1(makeDefElem("from", (Node *) (yyvsp[(5) - (5)].list)));
					(yyval.node) = (Node *)n;
				}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4802 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4805 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4806 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4810 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *) (yyvsp[(3) - (3)].node));
				}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4814 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (1)].str), NULL);
				}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4820 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].typnam); }
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4821 "gram.y"
    { (yyval.node) = (Node *)makeString(pstrdup((yyvsp[(1) - (1)].keyword))); }
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4822 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].list); }
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4823 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(1) - (1)].value); }
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4824 "gram.y"
    { (yyval.node) = (Node *)makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4827 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4830 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4831 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4840 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (3)].str), (Node *)(yyvsp[(3) - (3)].node));
				}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4846 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4847 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4851 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4853 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4864 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (7)].list);
				n->newVal = (yyvsp[(7) - (7)].str);
				n->newValNeighbor = NULL;
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[(6) - (7)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4874 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (9)].list);
				n->newVal = (yyvsp[(7) - (9)].str);
				n->newValNeighbor = (yyvsp[(9) - (9)].str);
				n->newValIsAfter = false;
				n->skipIfExists = (yyvsp[(6) - (9)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4884 "gram.y"
    {
				AlterEnumStmt *n = makeNode(AlterEnumStmt);
				n->typeName = (yyvsp[(3) - (9)].list);
				n->newVal = (yyvsp[(7) - (9)].str);
				n->newValNeighbor = (yyvsp[(9) - (9)].str);
				n->newValIsAfter = true;
				n->skipIfExists = (yyvsp[(6) - (9)].boolean);
				(yyval.node) = (Node *) n;
			}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4895 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4896 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4914 "gram.y"
    {
					CreateOpClassStmt *n = makeNode(CreateOpClassStmt);
					n->opclassname = (yyvsp[(4) - (13)].list);
					n->isDefault = (yyvsp[(5) - (13)].boolean);
					n->datatype = (yyvsp[(8) - (13)].typnam);
					n->amname = (yyvsp[(10) - (13)].str);
					n->opfamilyname = (yyvsp[(11) - (13)].list);
					n->items = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4927 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4928 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4933 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (5)].list);
					n->args = NIL;
					n->number = (yyvsp[(2) - (5)].ival);
					n->order_family = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 4944 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->name = (yyvsp[(3) - (6)].list);
					n->args = (yyvsp[(4) - (6)].list);
					n->number = (yyvsp[(2) - (6)].ival);
					n->order_family = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 4954 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(3) - (4)].list);
					n->args = extractArgTypes((yyvsp[(4) - (4)].list));
					n->number = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 4963 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->name = (yyvsp[(6) - (7)].list);
					n->args = extractArgTypes((yyvsp[(7) - (7)].list));
					n->number = (yyvsp[(2) - (7)].ival);
					n->class_args = (yyvsp[(4) - (7)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 4973 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_STORAGETYPE;
					n->storedtype = (yyvsp[(2) - (2)].typnam);
					(yyval.node) = (Node *) n;
				}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 4981 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 4982 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 4985 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 4986 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 4989 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 4990 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (4)].list); }
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 4991 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 4995 "gram.y"
    {
					/*
					 * RECHECK no longer does anything in opclass definitions,
					 * but we still accept it to ease porting of old database
					 * dumps.
					 */
					ereport(NOTICE,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("RECHECK is no longer required"),
							 errhint("Update your data type."),
							 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.boolean) = TRUE;
				}
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5008 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5014 "gram.y"
    {
					CreateOpFamilyStmt *n = makeNode(CreateOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (6)].list);
					n->amname = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5024 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = false;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5033 "gram.y"
    {
					AlterOpFamilyStmt *n = makeNode(AlterOpFamilyStmt);
					n->opfamilyname = (yyvsp[(4) - (8)].list);
					n->amname = (yyvsp[(6) - (8)].str);
					n->isDrop = true;
					n->items = (yyvsp[(8) - (8)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5044 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5045 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5050 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_OPERATOR;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5058 "gram.y"
    {
					CreateOpClassItem *n = makeNode(CreateOpClassItem);
					n->itemtype = OPCLASS_ITEM_FUNCTION;
					n->number = (yyvsp[(2) - (5)].ival);
					n->args = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5070 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5081 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPCLASS;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5095 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(4) - (7)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(6) - (7)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5106 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->objects = list_make1((yyvsp[(6) - (9)].list));
					n->arguments = list_make1(list_make1(makeString((yyvsp[(8) - (9)].str))));
					n->removeType = OBJECT_OPFAMILY;
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5129 "gram.y"
    {
					DropOwnedStmt *n = makeNode(DropOwnedStmt);
					n->roles = (yyvsp[(4) - (5)].list);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5139 "gram.y"
    {
					ReassignOwnedStmt *n = makeNode(ReassignOwnedStmt);
					n->roles = (yyvsp[(4) - (6)].list);
					n->newrole = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5157 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (6)].objtype);
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(5) - (6)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5168 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = (yyvsp[(2) - (4)].objtype);
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(3) - (4)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(4) - (4)].dbehavior);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5179 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = FALSE;
					n->objects = (yyvsp[(4) - (5)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5190 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_INDEX;
					n->missing_ok = TRUE;
					n->objects = (yyvsp[(6) - (7)].list);
					n->arguments = NIL;
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->concurrent = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5203 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5204 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5205 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5206 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5207 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5208 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5209 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5210 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5211 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5212 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5213 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5214 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5215 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5216 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5217 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5218 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5219 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5223 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5224 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5227 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5228 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)); }
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5232 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(2) - (2)].str))); }
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5234 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5247 "gram.y"
    {
					TruncateStmt *n = makeNode(TruncateStmt);
					n->relations = (yyvsp[(3) - (5)].list);
					n->restart_seqs = (yyvsp[(4) - (5)].boolean);
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5257 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5258 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5259 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5292 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = (yyvsp[(3) - (6)].objtype);
					n->objname = (yyvsp[(4) - (6)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5301 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractAggrArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5310 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = extractArgTypes((yyvsp[(5) - (7)].list));
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5319 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPERATOR;
					n->objname = (yyvsp[(4) - (7)].list);
					n->objargs = (yyvsp[(5) - (7)].list);
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5328 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CONSTRAINT;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5337 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5346 "gram.y"
    {
					/* Obsolete syntax supported for awhile for compatibility */
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_RULE;
					n->objname = list_make1(makeString((yyvsp[(4) - (6)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5356 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_TRIGGER;
					n->objname = lappend((yyvsp[(6) - (8)].list), makeString((yyvsp[(4) - (8)].str)));
					n->objargs = NIL;
					n->comment = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5365 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPCLASS;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5374 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_OPFAMILY;
					n->objname = (yyvsp[(5) - (9)].list);
					n->objargs = list_make1(makeString((yyvsp[(7) - (9)].str)));
					n->comment = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5383 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(5) - (7)].value));
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5392 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_CAST;
					n->objname = list_make1((yyvsp[(5) - (10)].typnam));
					n->objargs = list_make1((yyvsp[(7) - (10)].typnam));
					n->comment = (yyvsp[(10) - (10)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5401 "gram.y"
    {
					CommentStmt *n = makeNode(CommentStmt);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(5) - (7)].list);
					n->objargs = NIL;
					n->comment = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5412 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5413 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5414 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5415 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5416 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5417 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5418 "gram.y"
    { (yyval.objtype) = OBJECT_DOMAIN; }
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5419 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5420 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5421 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5422 "gram.y"
    { (yyval.objtype) = OBJECT_COLLATION; }
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5423 "gram.y"
    { (yyval.objtype) = OBJECT_CONVERSION; }
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5424 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5425 "gram.y"
    { (yyval.objtype) = OBJECT_EXTENSION; }
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5426 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5427 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5428 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_SERVER; }
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5429 "gram.y"
    { (yyval.objtype) = OBJECT_FDW; }
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5430 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5431 "gram.y"
    { (yyval.objtype) = OBJECT_TSCONFIGURATION; }
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5432 "gram.y"
    { (yyval.objtype) = OBJECT_TSDICTIONARY; }
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5433 "gram.y"
    { (yyval.objtype) = OBJECT_TSPARSER; }
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5434 "gram.y"
    { (yyval.objtype) = OBJECT_TSTEMPLATE; }
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5438 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5439 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5455 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (8)].str);
					n->objtype = (yyvsp[(5) - (8)].objtype);
					n->objname = (yyvsp[(6) - (8)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5466 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_AGGREGATE;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractAggrArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5477 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_FUNCTION;
					n->objname = (yyvsp[(6) - (9)].list);
					n->objargs = extractArgTypes((yyvsp[(7) - (9)].list));
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5488 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LARGEOBJECT;
					n->objname = list_make1((yyvsp[(7) - (9)].value));
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5499 "gram.y"
    {
					SecLabelStmt *n = makeNode(SecLabelStmt);
					n->provider = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_LANGUAGE;
					n->objname = (yyvsp[(7) - (9)].list);
					n->objargs = NIL;
					n->label = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *) n;
				}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5510 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5511 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5515 "gram.y"
    { (yyval.objtype) = OBJECT_COLUMN; }
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5516 "gram.y"
    { (yyval.objtype) = OBJECT_DATABASE; }
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5517 "gram.y"
    { (yyval.objtype) = OBJECT_EVENT_TRIGGER; }
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5518 "gram.y"
    { (yyval.objtype) = OBJECT_FOREIGN_TABLE; }
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5519 "gram.y"
    { (yyval.objtype) = OBJECT_SCHEMA; }
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5520 "gram.y"
    { (yyval.objtype) = OBJECT_SEQUENCE; }
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5521 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5522 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5523 "gram.y"
    { (yyval.objtype) = OBJECT_ROLE; }
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5524 "gram.y"
    { (yyval.objtype) = OBJECT_TABLESPACE; }
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5525 "gram.y"
    { (yyval.objtype) = OBJECT_TYPE; }
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5526 "gram.y"
    { (yyval.objtype) = OBJECT_VIEW; }
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5527 "gram.y"
    { (yyval.objtype) = OBJECT_MATVIEW; }
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5530 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5531 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5542 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5548 "gram.y"
    {
					FetchStmt *n = (FetchStmt *) (yyvsp[(2) - (2)].node);
					n->ismove = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5556 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(1) - (1)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5564 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(2) - (2)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5572 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5580 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5588 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5596 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5604 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_ABSOLUTE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5612 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_RELATIVE;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5620 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(1) - (3)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5628 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5636 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5644 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5652 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_FORWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5660 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(3) - (3)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = 1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5668 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = (yyvsp[(2) - (4)].ival);
					(yyval.node) = (Node *)n;
				}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5676 "gram.y"
    {
					FetchStmt *n = makeNode(FetchStmt);
					n->portalname = (yyvsp[(4) - (4)].str);
					n->direction = FETCH_BACKWARD;
					n->howMany = FETCH_ALL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5685 "gram.y"
    {}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5686 "gram.y"
    {}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5689 "gram.y"
    {}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5690 "gram.y"
    {}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5702 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5718 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ((yyvsp[(4) - (7)].privtarget))->targtype;
					n->objtype = ((yyvsp[(4) - (7)].privtarget))->objtype;
					n->objects = ((yyvsp[(4) - (7)].privtarget))->objs;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5732 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ((yyvsp[(7) - (10)].privtarget))->targtype;
					n->objtype = ((yyvsp[(7) - (10)].privtarget))->objtype;
					n->objects = ((yyvsp[(7) - (10)].privtarget))->objs;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5757 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5759 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5761 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5763 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(3) - (4)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5770 "gram.y"
    {
					AccessPriv *n = makeNode(AccessPriv);
					n->priv_name = NULL;
					n->cols = (yyvsp[(4) - (5)].list);
					(yyval.list) = list_make1(n);
				}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5778 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].accesspriv)); }
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5779 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].accesspriv)); }
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5783 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5790 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5797 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = pstrdup((yyvsp[(1) - (2)].keyword));
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5804 "gram.y"
    {
				AccessPriv *n = makeNode(AccessPriv);
				n->priv_name = (yyvsp[(1) - (2)].str);
				n->cols = (yyvsp[(2) - (2)].list);
				(yyval.accesspriv) = n;
			}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5818 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(1) - (1)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5826 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5834 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5842 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FDW;
					n->objs = (yyvsp[(4) - (4)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5850 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FOREIGN_SERVER;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5858 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5866 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DATABASE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5874 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_DOMAIN;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5882 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LANGUAGE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5890 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_LARGEOBJECT;
					n->objs = (yyvsp[(3) - (3)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5898 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_NAMESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5906 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TABLESPACE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5914 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_OBJECT;
					n->objtype = ACL_OBJECT_TYPE;
					n->objs = (yyvsp[(2) - (2)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5922 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_RELATION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5930 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_SEQUENCE;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5938 "gram.y"
    {
					PrivTarget *n = (PrivTarget *) palloc(sizeof(PrivTarget));
					n->targtype = ACL_TARGET_ALL_IN_SCHEMA;
					n->objtype = ACL_OBJECT_FUNCTION;
					n->objs = (yyvsp[(5) - (5)].list);
					(yyval.privtarget) = n;
				}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5949 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5950 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5954 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* This hack lets us avoid reserving PUBLIC as a keyword*/
					if (strcmp((yyvsp[(1) - (1)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(1) - (1)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5964 "gram.y"
    {
					PrivGrantee *n = makeNode(PrivGrantee);
					/* Treat GROUP PUBLIC as a synonym for PUBLIC */
					if (strcmp((yyvsp[(2) - (2)].str), "public") == 0)
						n->rolname = NULL;
					else
						n->rolname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 5977 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 5978 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 5982 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].funwithargs)); }
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 5984 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].funwithargs)); }
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 5989 "gram.y"
    {
					FuncWithArgs *n = makeNode(FuncWithArgs);
					n->funcname = (yyvsp[(1) - (2)].list);
					n->funcargs = extractArgTypes((yyvsp[(2) - (2)].list));
					(yyval.funwithargs) = n;
				}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 6005 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = true;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->admin_opt = (yyvsp[(5) - (6)].boolean);
					n->grantor = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node*)n;
				}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 6018 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = false;
					n->granted_roles = (yyvsp[(2) - (6)].list);
					n->grantee_roles = (yyvsp[(4) - (6)].list);
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 6028 "gram.y"
    {
					GrantRoleStmt *n = makeNode(GrantRoleStmt);
					n->is_grant = false;
					n->admin_opt = true;
					n->granted_roles = (yyvsp[(5) - (9)].list);
					n->grantee_roles = (yyvsp[(7) - (9)].list);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					(yyval.node) = (Node*)n;
				}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 6039 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 6040 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 6043 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 6044 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 6055 "gram.y"
    {
					AlterDefaultPrivilegesStmt *n = makeNode(AlterDefaultPrivilegesStmt);
					n->options = (yyvsp[(4) - (5)].list);
					n->action = (GrantStmt *) (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node*)n;
				}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 6064 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6065 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6070 "gram.y"
    {
					(yyval.defelt) = makeDefElem("schemas", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6074 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6078 "gram.y"
    {
					(yyval.defelt) = makeDefElem("roles", (Node *)(yyvsp[(3) - (3)].list));
				}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6090 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = true;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->grant_option = (yyvsp[(7) - (7)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6103 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = false;
					n->privileges = (yyvsp[(2) - (7)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(4) - (7)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(6) - (7)].list);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6117 "gram.y"
    {
					GrantStmt *n = makeNode(GrantStmt);
					n->is_grant = false;
					n->grant_option = true;
					n->privileges = (yyvsp[(5) - (10)].list);
					n->targtype = ACL_TARGET_DEFAULTS;
					n->objtype = (yyvsp[(7) - (10)].ival);
					n->objects = NIL;
					n->grantees = (yyvsp[(9) - (10)].list);
					n->behavior = (yyvsp[(10) - (10)].dbehavior);
					(yyval.node) = (Node *)n;
				}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6132 "gram.y"
    { (yyval.ival) = ACL_OBJECT_RELATION; }
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6133 "gram.y"
    { (yyval.ival) = ACL_OBJECT_FUNCTION; }
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6134 "gram.y"
    { (yyval.ival) = ACL_OBJECT_SEQUENCE; }
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6135 "gram.y"
    { (yyval.ival) = ACL_OBJECT_TYPE; }
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6150 "gram.y"
    {
					IndexStmt *n = makeNode(IndexStmt);
					n->unique = (yyvsp[(2) - (14)].boolean);
					n->concurrent = (yyvsp[(4) - (14)].boolean);
					n->idxname = (yyvsp[(5) - (14)].str);
					n->relation = (yyvsp[(7) - (14)].range);
					n->accessMethod = (yyvsp[(8) - (14)].str);
					n->indexParams = (yyvsp[(10) - (14)].list);
					n->options = (yyvsp[(12) - (14)].list);
					n->tableSpace = (yyvsp[(13) - (14)].str);
					n->whereClause = (yyvsp[(14) - (14)].node);
					n->excludeOpNames = NIL;
					n->idxcomment = NULL;
					n->indexOid = InvalidOid;
					n->oldNode = InvalidOid;
					n->primary = false;
					n->isconstraint = false;
					n->deferrable = false;
					n->initdeferred = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6174 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6175 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6179 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6180 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6184 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6185 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6189 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6190 "gram.y"
    { (yyval.str) = DEFAULT_INDEX_TYPE; }
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6193 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].ielem)); }
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6194 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].ielem)); }
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6203 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = (yyvsp[(1) - (5)].str);
					(yyval.ielem)->expr = NULL;
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6214 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(1) - (5)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(2) - (5)].list);
					(yyval.ielem)->opclass = (yyvsp[(3) - (5)].list);
					(yyval.ielem)->ordering = (yyvsp[(4) - (5)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(5) - (5)].ival);
				}
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6225 "gram.y"
    {
					(yyval.ielem) = makeNode(IndexElem);
					(yyval.ielem)->name = NULL;
					(yyval.ielem)->expr = (yyvsp[(2) - (7)].node);
					(yyval.ielem)->indexcolname = NULL;
					(yyval.ielem)->collation = (yyvsp[(4) - (7)].list);
					(yyval.ielem)->opclass = (yyvsp[(5) - (7)].list);
					(yyval.ielem)->ordering = (yyvsp[(6) - (7)].ival);
					(yyval.ielem)->nulls_ordering = (yyvsp[(7) - (7)].ival);
				}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6237 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6238 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6241 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6242 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6243 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6246 "gram.y"
    { (yyval.ival) = SORTBY_ASC; }
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6247 "gram.y"
    { (yyval.ival) = SORTBY_DESC; }
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6248 "gram.y"
    { (yyval.ival) = SORTBY_DEFAULT; }
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6251 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_FIRST; }
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6252 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_LAST; }
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6253 "gram.y"
    { (yyval.ival) = SORTBY_NULLS_DEFAULT; }
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6271 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (9)].boolean);
					n->funcname = (yyvsp[(4) - (9)].list);
					n->parameters = (yyvsp[(5) - (9)].list);
					n->returnType = (yyvsp[(7) - (9)].typnam);
					n->options = (yyvsp[(8) - (9)].list);
					n->withClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6283 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (12)].boolean);
					n->funcname = (yyvsp[(4) - (12)].list);
					n->parameters = mergeTableFuncParameters((yyvsp[(5) - (12)].list), (yyvsp[(9) - (12)].list));
					n->returnType = TableFuncTypeName((yyvsp[(9) - (12)].list));
					n->returnType->location = (yylsp[(7) - (12)]);
					n->options = (yyvsp[(11) - (12)].list);
					n->withClause = (yyvsp[(12) - (12)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6296 "gram.y"
    {
					CreateFunctionStmt *n = makeNode(CreateFunctionStmt);
					n->replace = (yyvsp[(2) - (7)].boolean);
					n->funcname = (yyvsp[(4) - (7)].list);
					n->parameters = (yyvsp[(5) - (7)].list);
					n->returnType = NULL;
					n->options = (yyvsp[(6) - (7)].list);
					n->withClause = (yyvsp[(7) - (7)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6309 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6310 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6313 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6314 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6318 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6319 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6327 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6328 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6332 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6334 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6349 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(2) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(1) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6358 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (3)].str);
					n->argType = (yyvsp[(3) - (3)].typnam);
					n->mode = (yyvsp[(2) - (3)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6367 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6376 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = (yyvsp[(1) - (2)].fun_param_mode);
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6385 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = NULL;
					n->argType = (yyvsp[(1) - (1)].typnam);
					n->mode = FUNC_PARAM_IN;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6396 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_IN; }
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6397 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_OUT; }
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6398 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6399 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_INOUT; }
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6400 "gram.y"
    { (yyval.fun_param_mode) = FUNC_PARAM_VARIADIC; }
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6411 "gram.y"
    {
					/* We can catch over-specified results here if we want to,
					 * but for now better to silently swallow typmod, etc.
					 * - thomas 2000-03-22
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6425 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6427 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (4)].str)), (yyvsp[(2) - (4)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->location = (yylsp[(1) - (4)]);
				}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6433 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].list)));
					(yyval.typnam)->pct_type = true;
					(yyval.typnam)->setof = TRUE;
					(yyval.typnam)->location = (yylsp[(2) - (5)]);
				}
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6443 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6447 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6452 "gram.y"
    {
					(yyval.fun_param) = (yyvsp[(1) - (3)].fun_param);
					(yyval.fun_param)->defexpr = (yyvsp[(3) - (3)].node);
				}
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6460 "gram.y"
    {
					if (!((yyvsp[(1) - (1)].fun_param)->mode == FUNC_PARAM_IN ||
						  (yyvsp[(1) - (1)].fun_param)->mode == FUNC_PARAM_VARIADIC))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("aggregates cannot have output arguments"),
								 parser_errposition((yylsp[(1) - (1)]))));
					(yyval.fun_param) = (yyvsp[(1) - (1)].fun_param);
				}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6501 "gram.y"
    {
					(yyval.list) = list_make2(NIL, makeInteger(-1));
				}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6505 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(2) - (3)].list), makeInteger(-1));
				}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6509 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(4) - (5)].list), makeInteger(0));
				}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6513 "gram.y"
    {
					/* this is the only case requiring consistency checking */
					(yyval.list) = makeOrderedSetArgs((yyvsp[(2) - (6)].list), (yyvsp[(5) - (6)].list), yyscanner);
				}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6520 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param)); }
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6521 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param)); }
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6526 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6527 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6535 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(FALSE));
				}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6539 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6543 "gram.y"
    {
					(yyval.defelt) = makeDefElem("strict", (Node *)makeInteger(TRUE));
				}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6547 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("immutable"));
				}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6551 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("stable"));
				}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6555 "gram.y"
    {
					(yyval.defelt) = makeDefElem("volatility", (Node *)makeString("volatile"));
				}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6559 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6563 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6567 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(TRUE));
				}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6571 "gram.y"
    {
					(yyval.defelt) = makeDefElem("security", (Node *)makeInteger(FALSE));
				}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6575 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(TRUE));
				}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6579 "gram.y"
    {
					(yyval.defelt) = makeDefElem("leakproof", (Node *)makeInteger(FALSE));
				}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6583 "gram.y"
    {
					(yyval.defelt) = makeDefElem("cost", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6587 "gram.y"
    {
					(yyval.defelt) = makeDefElem("rows", (Node *)(yyvsp[(2) - (2)].value));
				}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6591 "gram.y"
    {
					/* we abuse the normal content of a DefElem here */
					(yyval.defelt) = makeDefElem("set", (Node *)(yyvsp[(1) - (1)].vsetstmt));
				}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6599 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)(yyvsp[(2) - (2)].list));
				}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6603 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6607 "gram.y"
    {
					(yyval.defelt) = makeDefElem("window", (Node *)makeInteger(TRUE));
				}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6611 "gram.y"
    {
					(yyval.defelt) = (yyvsp[(1) - (1)].defelt);
				}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6616 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6618 "gram.y"
    {
					(yyval.list) = list_make2(makeString((yyvsp[(1) - (3)].str)), makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6624 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6625 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6629 "gram.y"
    {
					FunctionParameter *n = makeNode(FunctionParameter);
					n->name = (yyvsp[(1) - (2)].str);
					n->argType = (yyvsp[(2) - (2)].typnam);
					n->mode = FUNC_PARAM_TABLE;
					n->defexpr = NULL;
					(yyval.fun_param) = n;
				}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6641 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].fun_param));
				}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6645 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].fun_param));
				}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6660 "gram.y"
    {
					AlterFunctionStmt *n = makeNode(AlterFunctionStmt);
					n->func = (yyvsp[(3) - (5)].funwithargs);
					n->actions = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6670 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6671 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6693 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(4) - (5)].list)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6704 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_FUNCTION;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1(extractArgTypes((yyvsp[(6) - (7)].list)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6718 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[(4) - (5)].list)));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6729 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_AGGREGATE;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1(extractAggrArgTypes((yyvsp[(6) - (7)].list)));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6743 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(3) - (5)].list));
					n->arguments = list_make1((yyvsp[(4) - (5)].list));
					n->behavior = (yyvsp[(5) - (5)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6754 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_OPERATOR;
					n->objects = list_make1((yyvsp[(5) - (7)].list));
					n->arguments = list_make1((yyvsp[(6) - (7)].list));
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6768 "gram.y"
    {
				   ereport(ERROR,
						   (errcode(ERRCODE_SYNTAX_ERROR),
							errmsg("missing argument"),
							errhint("Use NONE to denote the missing argument of a unary operator."),
							parser_errposition((yylsp[(3) - (3)]))));
				}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6776 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), (yyvsp[(4) - (5)].typnam)); }
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6778 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(4) - (5)].typnam)); }
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6780 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (5)].typnam), NULL); }
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6785 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6787 "gram.y"
    { (yyval.list) = lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(3) - (3)].list)); }
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6800 "gram.y"
    {
					DoStmt *n = makeNode(DoStmt);
					n->args = (yyvsp[(2) - (2)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6808 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6809 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6814 "gram.y"
    {
					(yyval.defelt) = makeDefElem("as", (Node *)makeString((yyvsp[(1) - (1)].str)));
				}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6818 "gram.y"
    {
					(yyval.defelt) = makeDefElem("language", (Node *)makeString((yyvsp[(2) - (2)].str)));
				}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6831 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (11)].typnam);
					n->targettype = (yyvsp[(6) - (11)].typnam);
					n->func = (yyvsp[(10) - (11)].funwithargs);
					n->context = (CoercionContext) (yyvsp[(11) - (11)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6842 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6853 "gram.y"
    {
					CreateCastStmt *n = makeNode(CreateCastStmt);
					n->sourcetype = (yyvsp[(4) - (10)].typnam);
					n->targettype = (yyvsp[(6) - (10)].typnam);
					n->func = NULL;
					n->context = (CoercionContext) (yyvsp[(10) - (10)].ival);
					n->inout = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6864 "gram.y"
    { (yyval.ival) = COERCION_IMPLICIT; }
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6865 "gram.y"
    { (yyval.ival) = COERCION_ASSIGNMENT; }
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6866 "gram.y"
    { (yyval.ival) = COERCION_EXPLICIT; }
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6871 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_CAST;
					n->objects = list_make1(list_make1((yyvsp[(5) - (9)].typnam)));
					n->arguments = list_make1(list_make1((yyvsp[(7) - (9)].typnam)));
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = (yyvsp[(3) - (9)].boolean);
					n->concurrent = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6883 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6884 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6899 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = (yyvsp[(2) - (4)].objtype);
					n->relation = (yyvsp[(3) - (4)].range);
					n->name = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6907 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6917 "gram.y"
    {
					ReindexStmt *n = makeNode(ReindexStmt);
					n->kind = OBJECT_DATABASE;
					n->name = (yyvsp[(3) - (4)].str);
					n->relation = NULL;
					n->do_system = true;
					n->do_user = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6929 "gram.y"
    { (yyval.objtype) = OBJECT_INDEX; }
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6930 "gram.y"
    { (yyval.objtype) = OBJECT_TABLE; }
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6933 "gram.y"
    {  (yyval.boolean) = TRUE; }
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6934 "gram.y"
    {  (yyval.boolean) = FALSE; }
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6945 "gram.y"
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[(3) - (8)].str);
					n->objtype = -1;
					n->move_all = true;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(7) - (8)].str);
					n->nowait = (yyvsp[(8) - (8)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6957 "gram.y"
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[(3) - (8)].str);
					n->objtype = OBJECT_TABLE;
					n->move_all = false;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(7) - (8)].str);
					n->nowait = (yyvsp[(8) - (8)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6969 "gram.y"
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[(3) - (8)].str);
					n->objtype = OBJECT_INDEX;
					n->move_all = false;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(7) - (8)].str);
					n->nowait = (yyvsp[(8) - (8)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6981 "gram.y"
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[(3) - (9)].str);
					n->objtype = OBJECT_MATVIEW;
					n->move_all = false;
					n->roles = NIL;
					n->new_tablespacename = (yyvsp[(8) - (9)].str);
					n->nowait = (yyvsp[(9) - (9)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6993 "gram.y"
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[(3) - (11)].str);
					n->objtype = -1;
					n->move_all = true;
					n->roles = (yyvsp[(8) - (11)].list);
					n->new_tablespacename = (yyvsp[(10) - (11)].str);
					n->nowait = (yyvsp[(11) - (11)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 7005 "gram.y"
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[(3) - (11)].str);
					n->objtype = OBJECT_TABLE;
					n->move_all = false;
					n->roles = (yyvsp[(8) - (11)].list);
					n->new_tablespacename = (yyvsp[(10) - (11)].str);
					n->nowait = (yyvsp[(11) - (11)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 7017 "gram.y"
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[(3) - (11)].str);
					n->objtype = OBJECT_INDEX;
					n->move_all = false;
					n->roles = (yyvsp[(8) - (11)].list);
					n->new_tablespacename = (yyvsp[(10) - (11)].str);
					n->nowait = (yyvsp[(11) - (11)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 7029 "gram.y"
    {
					AlterTableSpaceMoveStmt *n =
						makeNode(AlterTableSpaceMoveStmt);
					n->orig_tablespacename = (yyvsp[(3) - (12)].str);
					n->objtype = OBJECT_MATVIEW;
					n->move_all = false;
					n->roles = (yyvsp[(9) - (12)].list);
					n->new_tablespacename = (yyvsp[(11) - (12)].str);
					n->nowait = (yyvsp[(12) - (12)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 7041 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 7050 "gram.y"
    {
					AlterTableSpaceOptionsStmt *n =
						makeNode(AlterTableSpaceOptionsStmt);
					n->tablespacename = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					n->isReset = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 7067 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = extractAggrArgTypes((yyvsp[(4) - (7)].list));
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 7077 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 7086 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 7095 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DATABASE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 7104 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 7113 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (8)].list);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 7123 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 7132 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 7142 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 7151 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 7160 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 7170 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 7180 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SCHEMA;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 7189 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 7198 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 7208 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 7218 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 7228 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 7238 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 7248 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 7258 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 7268 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 7278 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(3) - (6)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7288 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_INDEX;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7298 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7308 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->subname = NULL;
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7318 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7329 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (10)].range);
					n->subname = (yyvsp[(8) - (10)].str);
					n->newname = (yyvsp[(10) - (10)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7340 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7351 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7362 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_CONSTRAINT;
					n->relationType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (8)].range);
					n->subname = (yyvsp[(6) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7372 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (9)].range);
					n->subname = (yyvsp[(7) - (9)].str);
					n->newname = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7383 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_COLUMN;
					n->relationType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (11)].range);
					n->subname = (yyvsp[(9) - (11)].str);
					n->newname = (yyvsp[(11) - (11)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7394 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_RULE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7404 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TRIGGER;
					n->relation = (yyvsp[(5) - (8)].range);
					n->subname = (yyvsp[(3) - (8)].str);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7414 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newname = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7422 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7431 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ROLE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7440 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TABLESPACE;
					n->subname = (yyvsp[(3) - (6)].str);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7449 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7458 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7467 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7476 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newname = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7485 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newname = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7494 "gram.y"
    {
					RenameStmt *n = makeNode(RenameStmt);
					n->renameType = OBJECT_ATTRIBUTE;
					n->relationType = OBJECT_TYPE;
					n->relation = makeRangeVarFromAnyName((yyvsp[(3) - (9)].list), (yylsp[(3) - (9)]), yyscanner);
					n->subname = (yyvsp[(6) - (9)].str);
					n->newname = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7507 "gram.y"
    { (yyval.ival) = COLUMN; }
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7508 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7511 "gram.y"
    { (yyval.ival) = 1; }
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7512 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7523 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = extractAggrArgTypes((yyvsp[(4) - (7)].list));
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7533 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7542 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7551 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7560 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_EXTENSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7569 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7579 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7589 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7599 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7609 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7618 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TABLE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7627 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSPARSER;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7636 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7645 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSTEMPLATE;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7654 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7663 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7672 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_SEQUENCE;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7681 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(3) - (6)].range);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7690 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_VIEW;
					n->relation = (yyvsp[(5) - (8)].range);
					n->newschema = (yyvsp[(8) - (8)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7699 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7708 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_MATVIEW;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7717 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(4) - (7)].range);
					n->newschema = (yyvsp[(7) - (7)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7726 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_FOREIGN_TABLE;
					n->relation = (yyvsp[(6) - (9)].range);
					n->newschema = (yyvsp[(9) - (9)].str);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7735 "gram.y"
    {
					AlterObjectSchemaStmt *n = makeNode(AlterObjectSchemaStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newschema = (yyvsp[(6) - (6)].str);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7752 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_AGGREGATE;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = extractAggrArgTypes((yyvsp[(4) - (7)].list));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7761 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_COLLATION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7769 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_CONVERSION;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7777 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DATABASE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7785 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_DOMAIN;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7793 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FUNCTION;
					n->object = (yyvsp[(3) - (6)].funwithargs)->funcname;
					n->objarg = (yyvsp[(3) - (6)].funwithargs)->funcargs;
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7802 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LANGUAGE;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7810 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_LARGEOBJECT;
					n->object = list_make1((yyvsp[(4) - (7)].value));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7818 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPERATOR;
					n->object = (yyvsp[(3) - (7)].list);
					n->objarg = (yyvsp[(4) - (7)].list);
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7827 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPCLASS;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7836 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_OPFAMILY;
					n->object = (yyvsp[(4) - (9)].list);
					n->objarg = list_make1(makeString((yyvsp[(6) - (9)].str)));
					n->newowner = (yyvsp[(9) - (9)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7845 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_SCHEMA;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7853 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TYPE;
					n->object = (yyvsp[(3) - (6)].list);
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7861 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TABLESPACE;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7869 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSDICTIONARY;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7877 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_TSCONFIGURATION;
					n->object = (yyvsp[(5) - (8)].list);
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7885 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FDW;
					n->object = list_make1(makeString((yyvsp[(5) - (8)].str)));
					n->newowner = (yyvsp[(8) - (8)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7893 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_FOREIGN_SERVER;
					n->object = list_make1(makeString((yyvsp[(3) - (6)].str)));
					n->newowner = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7901 "gram.y"
    {
					AlterOwnerStmt *n = makeNode(AlterOwnerStmt);
					n->objectType = OBJECT_EVENT_TRIGGER;
					n->object = list_make1(makeString((yyvsp[(4) - (7)].str)));
					n->newowner = (yyvsp[(7) - (7)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7920 "gram.y"
    {
					RuleStmt *n = makeNode(RuleStmt);
					n->replace = (yyvsp[(2) - (13)].boolean);
					n->relation = (yyvsp[(9) - (13)].range);
					n->rulename = (yyvsp[(4) - (13)].str);
					n->whereClause = (yyvsp[(10) - (13)].node);
					n->event = (yyvsp[(7) - (13)].ival);
					n->instead = (yyvsp[(12) - (13)].boolean);
					n->actions = (yyvsp[(13) - (13)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7934 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7935 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7936 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7942 "gram.y"
    { if ((yyvsp[(3) - (3)].node) != NULL)
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				  else
					(yyval.list) = (yyvsp[(1) - (3)].list);
				}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7948 "gram.y"
    { if ((yyvsp[(1) - (1)].node) != NULL)
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				  else
					(yyval.list) = NIL;
				}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7964 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7965 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7968 "gram.y"
    { (yyval.ival) = CMD_SELECT; }
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7969 "gram.y"
    { (yyval.ival) = CMD_UPDATE; }
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7970 "gram.y"
    { (yyval.ival) = CMD_DELETE; }
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7971 "gram.y"
    { (yyval.ival) = CMD_INSERT; }
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7975 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7976 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7977 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7983 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(5) - (6)].list), makeString((yyvsp[(3) - (6)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(6) - (6)].dbehavior);
					n->missing_ok = false;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7994 "gram.y"
    {
					DropStmt *n = makeNode(DropStmt);
					n->removeType = OBJECT_RULE;
					n->objects = list_make1(lappend((yyvsp[(7) - (8)].list), makeString((yyvsp[(5) - (8)].str))));
					n->arguments = NIL;
					n->behavior = (yyvsp[(8) - (8)].dbehavior);
					n->missing_ok = true;
					n->concurrent = false;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 8016 "gram.y"
    {
					NotifyStmt *n = makeNode(NotifyStmt);
					n->conditionname = (yyvsp[(2) - (3)].str);
					n->payload = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 8025 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 8026 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 8030 "gram.y"
    {
					ListenStmt *n = makeNode(ListenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 8039 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 8045 "gram.y"
    {
					UnlistenStmt *n = makeNode(UnlistenStmt);
					n->conditionname = NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 8064 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 8071 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_BEGIN;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 8078 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_START;
					n->options = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 8085 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 8092 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 8099 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK;
					n->options = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 8106 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_SAVEPOINT;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 8114 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(3) - (3)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 8122 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_RELEASE;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(2) - (2)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 8130 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(5) - (5)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 8138 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_TO;
					n->options = list_make1(makeDefElem("savepoint_name",
														(Node *)makeString((yyvsp[(4) - (4)].str))));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 8146 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_PREPARE;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 8153 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_COMMIT_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 8160 "gram.y"
    {
					TransactionStmt *n = makeNode(TransactionStmt);
					n->kind = TRANS_STMT_ROLLBACK_PREPARED;
					n->gid = (yyvsp[(3) - (3)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 8168 "gram.y"
    {}
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 8169 "gram.y"
    {}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 8170 "gram.y"
    {}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 8175 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_isolation",
									   makeStringConst((yyvsp[(3) - (3)].str), (yylsp[(3) - (3)]))); }
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 8178 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(TRUE, (yylsp[(1) - (2)]))); }
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 8181 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_read_only",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 8184 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(TRUE, (yylsp[(1) - (1)]))); }
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 8187 "gram.y"
    { (yyval.defelt) = makeDefElem("transaction_deferrable",
									   makeIntConst(FALSE, (yylsp[(1) - (2)]))); }
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 8194 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].defelt)); }
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 8196 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt)); }
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 8198 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 8204 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 8218 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(4) - (9)].range);
					n->view->relpersistence = (yyvsp[(2) - (9)].ival);
					n->aliases = (yyvsp[(5) - (9)].list);
					n->query = (yyvsp[(8) - (9)].node);
					n->replace = false;
					n->options = (yyvsp[(6) - (9)].list);
					n->withCheckOption = (yyvsp[(9) - (9)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 8231 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(6) - (11)].range);
					n->view->relpersistence = (yyvsp[(4) - (11)].ival);
					n->aliases = (yyvsp[(7) - (11)].list);
					n->query = (yyvsp[(10) - (11)].node);
					n->replace = true;
					n->options = (yyvsp[(8) - (11)].list);
					n->withCheckOption = (yyvsp[(11) - (11)].ival);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 8244 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(5) - (12)].range);
					n->view->relpersistence = (yyvsp[(2) - (12)].ival);
					n->aliases = (yyvsp[(7) - (12)].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[(11) - (12)].node));
					n->replace = false;
					n->options = (yyvsp[(9) - (12)].list);
					n->withCheckOption = (yyvsp[(12) - (12)].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[(12) - (12)]))));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 8262 "gram.y"
    {
					ViewStmt *n = makeNode(ViewStmt);
					n->view = (yyvsp[(7) - (14)].range);
					n->view->relpersistence = (yyvsp[(4) - (14)].ival);
					n->aliases = (yyvsp[(9) - (14)].list);
					n->query = makeRecursiveViewSelect(n->view->relname, n->aliases, (yyvsp[(13) - (14)].node));
					n->replace = true;
					n->options = (yyvsp[(11) - (14)].list);
					n->withCheckOption = (yyvsp[(14) - (14)].ival);
					if (n->withCheckOption != NO_CHECK_OPTION)
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("WITH CHECK OPTION not supported on recursive views"),
								 parser_errposition((yylsp[(14) - (14)]))));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 8281 "gram.y"
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 8282 "gram.y"
    { (yyval.ival) = CASCADED_CHECK_OPTION; }
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 8283 "gram.y"
    { (yyval.ival) = LOCAL_CHECK_OPTION; }
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 8284 "gram.y"
    { (yyval.ival) = NO_CHECK_OPTION; }
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 8295 "gram.y"
    {
					LoadStmt *n = makeNode(LoadStmt);
					n->filename = (yyvsp[(2) - (2)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 8311 "gram.y"
    {
					CreatedbStmt *n = makeNode(CreatedbStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 8320 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 8321 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 8326 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 8330 "gram.y"
    {
					(yyval.defelt) = makeDefElem("tablespace", NULL);
				}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 8334 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 8338 "gram.y"
    {
					(yyval.defelt) = makeDefElem("location", NULL);
				}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 8342 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 8346 "gram.y"
    {
					(yyval.defelt) = makeDefElem("template", NULL);
				}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 8350 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 8354 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", (Node *)makeInteger((yyvsp[(3) - (3)].ival)));
				}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 8358 "gram.y"
    {
					(yyval.defelt) = makeDefElem("encoding", NULL);
				}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 8362 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 8366 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_collate", NULL);
				}
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 8370 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 8374 "gram.y"
    {
					(yyval.defelt) = makeDefElem("lc_ctype", NULL);
				}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 8378 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 8382 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", (Node *)makeString((yyvsp[(3) - (3)].str)));
				}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 8386 "gram.y"
    {
					(yyval.defelt) = makeDefElem("owner", NULL);
				}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 8395 "gram.y"
    {}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 8396 "gram.y"
    {}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 8408 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (5)].str);
					n->options = (yyvsp[(5) - (5)].list);
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 8415 "gram.y"
    {
					AlterDatabaseStmt *n = makeNode(AlterDatabaseStmt);
					n->dbname = (yyvsp[(3) - (6)].str);
					n->options = list_make1(makeDefElem("tablespace",
													(Node *)makeString((yyvsp[(6) - (6)].str))));
					(yyval.node) = (Node *)n;
				 }
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 8426 "gram.y"
    {
					AlterDatabaseSetStmt *n = makeNode(AlterDatabaseSetStmt);
					n->dbname = (yyvsp[(3) - (4)].str);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 8436 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].defelt)); }
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 8437 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 8442 "gram.y"
    {
					(yyval.defelt) = makeDefElem("connectionlimit", (Node *)makeInteger((yyvsp[(4) - (4)].ival)));
				}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 8456 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(3) - (3)].str);
					n->missing_ok = FALSE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 8463 "gram.y"
    {
					DropdbStmt *n = makeNode(DropdbStmt);
					n->dbname = (yyvsp[(5) - (5)].str);
					n->missing_ok = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 8481 "gram.y"
    {
					AlterSystemStmt *n = makeNode(AlterSystemStmt);
					n->setstmt = (yyvsp[(4) - (4)].vsetstmt);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 8497 "gram.y"
    {
					CreateDomainStmt *n = makeNode(CreateDomainStmt);
					n->domainname = (yyvsp[(3) - (6)].list);
					n->typeName = (yyvsp[(5) - (6)].typnam);
					SplitColQualList((yyvsp[(6) - (6)].list), &n->constraints, &n->collClause,
									 yyscanner);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 8510 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'T';
					n->typeName = (yyvsp[(3) - (4)].list);
					n->def = (yyvsp[(4) - (4)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 8519 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'N';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 8527 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'O';
					n->typeName = (yyvsp[(3) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 8535 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'C';
					n->typeName = (yyvsp[(3) - (5)].list);
					n->def = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 8544 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (7)].list);
					n->name = (yyvsp[(6) - (7)].str);
					n->behavior = (yyvsp[(7) - (7)].dbehavior);
					n->missing_ok = false;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 8555 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'X';
					n->typeName = (yyvsp[(3) - (9)].list);
					n->name = (yyvsp[(8) - (9)].str);
					n->behavior = (yyvsp[(9) - (9)].dbehavior);
					n->missing_ok = true;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 8566 "gram.y"
    {
					AlterDomainStmt *n = makeNode(AlterDomainStmt);
					n->subtype = 'V';
					n->typeName = (yyvsp[(3) - (6)].list);
					n->name = (yyvsp[(6) - (6)].str);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 8575 "gram.y"
    {}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 8576 "gram.y"
    {}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 8588 "gram.y"
    {
					AlterTSDictionaryStmt *n = makeNode(AlterTSDictionaryStmt);
					n->dictname = (yyvsp[(5) - (6)].list);
					n->options = (yyvsp[(6) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 8598 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = false;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 8608 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(9) - (11)].list);
					n->dicts = (yyvsp[(11) - (11)].list);
					n->override = true;
					n->replace = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 8618 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = NIL;
					n->dicts = list_make2((yyvsp[(9) - (11)].list),(yyvsp[(11) - (11)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 8628 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (13)].list);
					n->tokentype = (yyvsp[(9) - (13)].list);
					n->dicts = list_make2((yyvsp[(11) - (13)].list),(yyvsp[(13) - (13)].list));
					n->override = false;
					n->replace = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 8638 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (9)].list);
					n->tokentype = (yyvsp[(9) - (9)].list);
					n->missing_ok = false;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 8646 "gram.y"
    {
					AlterTSConfigurationStmt *n = makeNode(AlterTSConfigurationStmt);
					n->cfgname = (yyvsp[(5) - (11)].list);
					n->tokentype = (yyvsp[(11) - (11)].list);
					n->missing_ok = true;
					(yyval.node) = (Node*)n;
				}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 8668 "gram.y"
    {
				CreateConversionStmt *n = makeNode(CreateConversionStmt);
				n->conversion_name = (yyvsp[(4) - (10)].list);
				n->for_encoding_name = (yyvsp[(6) - (10)].str);
				n->to_encoding_name = (yyvsp[(8) - (10)].str);
				n->func_name = (yyvsp[(10) - (10)].list);
				n->def = (yyvsp[(2) - (10)].boolean);
				(yyval.node) = (Node *)n;
			}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 8690 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(3) - (4)].range);
					n->indexname = (yyvsp[(4) - (4)].str);
					n->verbose = (yyvsp[(2) - (4)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 8698 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = NULL;
					n->indexname = NULL;
					n->verbose = (yyvsp[(2) - (2)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 8707 "gram.y"
    {
					ClusterStmt *n = makeNode(ClusterStmt);
					n->relation = (yyvsp[(5) - (5)].range);
					n->indexname = (yyvsp[(3) - (5)].str);
					n->verbose = (yyvsp[(2) - (5)].boolean);
					(yyval.node) = (Node*)n;
				}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 8717 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 8718 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 8731 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[(3) - (4)].boolean) ? 0 : -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 8747 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->relation = (yyvsp[(5) - (5)].range);
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 8763 "gram.y"
    {
					VacuumStmt *n = (VacuumStmt *) (yyvsp[(5) - (5)].node);
					n->options |= VACOPT_VACUUM;
					if ((yyvsp[(2) - (5)].boolean))
						n->options |= VACOPT_FULL;
					if ((yyvsp[(4) - (5)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->multixact_freeze_min_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					n->multixact_freeze_table_age = (yyvsp[(3) - (5)].boolean) ? 0 : -1;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 8777 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (4)].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 8797 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_VACUUM | (yyvsp[(3) - (6)].ival);
					if (n->options & VACOPT_FREEZE)
					{
						n->freeze_min_age = n->freeze_table_age = 0;
						n->multixact_freeze_min_age = 0;
						n->multixact_freeze_table_age = 0;
					}
					else
					{
						n->freeze_min_age = n->freeze_table_age = -1;
						n->multixact_freeze_min_age = -1;
						n->multixact_freeze_table_age = -1;
					}
					n->relation = (yyvsp[(5) - (6)].range);
					n->va_cols = (yyvsp[(6) - (6)].list);
					if (n->va_cols != NIL)	/* implies analyze */
						n->options |= VACOPT_ANALYZE;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 8821 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 8822 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | (yyvsp[(3) - (3)].ival); }
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 8826 "gram.y"
    { (yyval.ival) = VACOPT_ANALYZE; }
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 8827 "gram.y"
    { (yyval.ival) = VACOPT_VERBOSE; }
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 8828 "gram.y"
    { (yyval.ival) = VACOPT_FREEZE; }
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 8829 "gram.y"
    { (yyval.ival) = VACOPT_FULL; }
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 8834 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (2)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = NULL;
					n->va_cols = NIL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 8848 "gram.y"
    {
					VacuumStmt *n = makeNode(VacuumStmt);
					n->options = VACOPT_ANALYZE;
					if ((yyvsp[(2) - (4)].boolean))
						n->options |= VACOPT_VERBOSE;
					n->freeze_min_age = -1;
					n->freeze_table_age = -1;
					n->multixact_freeze_min_age = -1;
					n->multixact_freeze_table_age = -1;
					n->relation = (yyvsp[(3) - (4)].range);
					n->va_cols = (yyvsp[(4) - (4)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 8864 "gram.y"
    {}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 8865 "gram.y"
    {}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 8869 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 8870 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 8873 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 8874 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 8877 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 8878 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 8882 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 8883 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8897 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(2) - (2)].node);
					n->options = NIL;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8904 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(4) - (4)].node);
					n->options = list_make1(makeDefElem("analyze", NULL));
					if ((yyvsp[(3) - (4)].boolean))
						n->options = lappend(n->options,
											 makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8914 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(3) - (3)].node);
					n->options = list_make1(makeDefElem("verbose", NULL));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8921 "gram.y"
    {
					ExplainStmt *n = makeNode(ExplainStmt);
					n->query = (yyvsp[(5) - (5)].node);
					n->options = (yyvsp[(3) - (5)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8943 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].defelt));
				}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8947 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].defelt));
				}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8954 "gram.y"
    {
					(yyval.defelt) = makeDefElem((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8960 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8961 "gram.y"
    { (yyval.str) = "analyze"; }
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8965 "gram.y"
    { (yyval.node) = (Node *) makeString((yyvsp[(1) - (1)].str)); }
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8966 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].value); }
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8967 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8978 "gram.y"
    {
					PrepareStmt *n = makeNode(PrepareStmt);
					n->name = (yyvsp[(2) - (5)].str);
					n->argtypes = (yyvsp[(3) - (5)].list);
					n->query = (yyvsp[(5) - (5)].node);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8987 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8988 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 9006 "gram.y"
    {
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(2) - (3)].str);
					n->params = (yyvsp[(3) - (3)].list);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 9014 "gram.y"
    {
					CreateTableAsStmt *ctas = makeNode(CreateTableAsStmt);
					ExecuteStmt *n = makeNode(ExecuteStmt);
					n->name = (yyvsp[(7) - (9)].str);
					n->params = (yyvsp[(8) - (9)].list);
					ctas->query = (Node *) n;
					ctas->into = (yyvsp[(4) - (9)].into);
					ctas->relkind = OBJECT_TABLE;
					ctas->is_select_into = false;
					/* cram additional flags into the IntoClause */
					(yyvsp[(4) - (9)].into)->rel->relpersistence = (yyvsp[(2) - (9)].ival);
					(yyvsp[(4) - (9)].into)->skipData = !((yyvsp[(9) - (9)].boolean));
					(yyval.node) = (Node *) ctas;
				}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 9030 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 9031 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 9042 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(2) - (2)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 9048 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = (yyvsp[(3) - (3)].str);
						(yyval.node) = (Node *) n;
					}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 9054 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 9060 "gram.y"
    {
						DeallocateStmt *n = makeNode(DeallocateStmt);
						n->name = NULL;
						(yyval.node) = (Node *) n;
					}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 9076 "gram.y"
    {
					(yyvsp[(5) - (6)].istmt)->relation = (yyvsp[(4) - (6)].range);
					(yyvsp[(5) - (6)].istmt)->returningList = (yyvsp[(6) - (6)].list);
					(yyvsp[(5) - (6)].istmt)->withClause = (yyvsp[(1) - (6)].with);
					(yyval.node) = (Node *) (yyvsp[(5) - (6)].istmt);
				}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 9086 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 9092 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = (yyvsp[(2) - (4)].list);
					(yyval.istmt)->selectStmt = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 9098 "gram.y"
    {
					(yyval.istmt) = makeNode(InsertStmt);
					(yyval.istmt)->cols = NIL;
					(yyval.istmt)->selectStmt = NULL;
				}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 9107 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 9109 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 9114 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 9124 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 9125 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 9138 "gram.y"
    {
					DeleteStmt *n = makeNode(DeleteStmt);
					n->relation = (yyvsp[(4) - (7)].range);
					n->usingClause = (yyvsp[(5) - (7)].list);
					n->whereClause = (yyvsp[(6) - (7)].node);
					n->returningList = (yyvsp[(7) - (7)].list);
					n->withClause = (yyvsp[(1) - (7)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 9150 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 9151 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 9163 "gram.y"
    {
					LockStmt *n = makeNode(LockStmt);

					n->relations = (yyvsp[(3) - (5)].list);
					n->mode = (yyvsp[(4) - (5)].ival);
					n->nowait = (yyvsp[(5) - (5)].boolean);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 9173 "gram.y"
    { (yyval.ival) = (yyvsp[(2) - (3)].ival); }
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 9174 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 9177 "gram.y"
    { (yyval.ival) = AccessShareLock; }
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 9178 "gram.y"
    { (yyval.ival) = RowShareLock; }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 9179 "gram.y"
    { (yyval.ival) = RowExclusiveLock; }
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 9180 "gram.y"
    { (yyval.ival) = ShareUpdateExclusiveLock; }
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 9181 "gram.y"
    { (yyval.ival) = ShareLock; }
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 9182 "gram.y"
    { (yyval.ival) = ShareRowExclusiveLock; }
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 9183 "gram.y"
    { (yyval.ival) = ExclusiveLock; }
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 9184 "gram.y"
    { (yyval.ival) = AccessExclusiveLock; }
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 9187 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 9188 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 9204 "gram.y"
    {
					UpdateStmt *n = makeNode(UpdateStmt);
					n->relation = (yyvsp[(3) - (8)].range);
					n->targetList = (yyvsp[(5) - (8)].list);
					n->fromClause = (yyvsp[(6) - (8)].list);
					n->whereClause = (yyvsp[(7) - (8)].node);
					n->returningList = (yyvsp[(8) - (8)].list);
					n->withClause = (yyvsp[(1) - (8)].with);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 9217 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 9218 "gram.y"
    { (yyval.list) = list_concat((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].list)); }
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 9222 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 9223 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 9228 "gram.y"
    {
					(yyval.target) = (yyvsp[(1) - (3)].target);
					(yyval.target)->val = (Node *) (yyvsp[(3) - (3)].node);
				}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 9236 "gram.y"
    {
					ListCell *col_cell;
					ListCell *val_cell;

					/*
					 * Break the ctext_row apart, merge individual expressions
					 * into the destination ResTargets.  XXX this approach
					 * cannot work for general row expressions as sources.
					 */
					if (list_length((yyvsp[(2) - (5)].list)) != list_length((yyvsp[(5) - (5)].list)))
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("number of columns does not match number of values"),
								 parser_errposition((yylsp[(1) - (5)]))));
					forboth(col_cell, (yyvsp[(2) - (5)].list), val_cell, (yyvsp[(5) - (5)].list))
					{
						ResTarget *res_col = (ResTarget *) lfirst(col_cell);
						Node *res_val = (Node *) lfirst(val_cell);

						res_col->val = res_val;
					}

					(yyval.list) = (yyvsp[(2) - (5)].list);
				}
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 9264 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(1) - (2)].str);
					(yyval.target)->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.target)->val = NULL;	/* upper production sets this */
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 9274 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 9275 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list),(yyvsp[(3) - (3)].target)); }
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 9286 "gram.y"
    {
					DeclareCursorStmt *n = makeNode(DeclareCursorStmt);
					n->portalname = (yyvsp[(2) - (7)].str);
					/* currently we always set FAST_PLAN option */
					n->options = (yyvsp[(3) - (7)].ival) | (yyvsp[(5) - (7)].ival) | CURSOR_OPT_FAST_PLAN;
					n->query = (yyvsp[(7) - (7)].node);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 9296 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 9299 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 9300 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (3)].ival) | CURSOR_OPT_NO_SCROLL; }
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 9301 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_SCROLL; }
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 9302 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_BINARY; }
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 9303 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (2)].ival) | CURSOR_OPT_INSENSITIVE; }
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 9306 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 9307 "gram.y"
    { (yyval.ival) = CURSOR_OPT_HOLD; }
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 9308 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 9361 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 9362 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 9377 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 9379 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list), NIL,
										NULL, NULL, NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (2)].node);
				}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 9386 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(3) - (4)].list),
										list_nth((yyvsp[(4) - (4)].list), 0), list_nth((yyvsp[(4) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 9394 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].list), (yyvsp[(4) - (4)].list),
										list_nth((yyvsp[(3) - (4)].list), 0), list_nth((yyvsp[(3) - (4)].list), 1),
										NULL,
										yyscanner);
					(yyval.node) = (yyvsp[(1) - (4)].node);
				}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 9402 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (2)].node), NULL, NIL,
										NULL, NULL,
										(yyvsp[(1) - (2)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 9410 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].list), NIL,
										NULL, NULL,
										(yyvsp[(1) - (3)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (3)].node);
				}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 9418 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(4) - (5)].list),
										list_nth((yyvsp[(5) - (5)].list), 0), list_nth((yyvsp[(5) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 9426 "gram.y"
    {
					insertSelectOptions((SelectStmt *) (yyvsp[(2) - (5)].node), (yyvsp[(3) - (5)].list), (yyvsp[(5) - (5)].list),
										list_nth((yyvsp[(4) - (5)].list), 0), list_nth((yyvsp[(4) - (5)].list), 1),
										(yyvsp[(1) - (5)].with),
										yyscanner);
					(yyval.node) = (yyvsp[(2) - (5)].node);
				}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 9436 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 9437 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 9467 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->distinctClause = (yyvsp[(2) - (9)].list);
					n->targetList = (yyvsp[(3) - (9)].list);
					n->intoClause = (yyvsp[(4) - (9)].into);
					n->fromClause = (yyvsp[(5) - (9)].list);
					n->whereClause = (yyvsp[(6) - (9)].node);
					n->groupClause = (yyvsp[(7) - (9)].list);
					n->havingClause = (yyvsp[(8) - (9)].node);
					n->windowClause = (yyvsp[(9) - (9)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 9479 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 9481 "gram.y"
    {
					/* same as SELECT * FROM relation_expr */
					ColumnRef *cr = makeNode(ColumnRef);
					ResTarget *rt = makeNode(ResTarget);
					SelectStmt *n = makeNode(SelectStmt);

					cr->fields = list_make1(makeNode(A_Star));
					cr->location = -1;

					rt->name = NULL;
					rt->indirection = NIL;
					rt->val = (Node *)cr;
					rt->location = -1;

					n->targetList = list_make1(rt);
					n->fromClause = list_make1((yyvsp[(2) - (2)].range));
					(yyval.node) = (Node *)n;
				}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 9500 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_UNION, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 9504 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_INTERSECT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 9508 "gram.y"
    {
					(yyval.node) = makeSetOp(SETOP_EXCEPT, (yyvsp[(3) - (4)].boolean), (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 9523 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(2) - (2)].list);
				(yyval.with)->recursive = false;
				(yyval.with)->location = (yylsp[(1) - (2)]);
			}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 9530 "gram.y"
    {
				(yyval.with) = makeNode(WithClause);
				(yyval.with)->ctes = (yyvsp[(3) - (3)].list);
				(yyval.with)->recursive = true;
				(yyval.with)->location = (yylsp[(1) - (3)]);
			}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 9539 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 9540 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 9544 "gram.y"
    {
				CommonTableExpr *n = makeNode(CommonTableExpr);
				n->ctename = (yyvsp[(1) - (6)].str);
				n->aliascolnames = (yyvsp[(2) - (6)].list);
				n->ctequery = (yyvsp[(5) - (6)].node);
				n->location = (yylsp[(1) - (6)]);
				(yyval.node) = (Node *) n;
			}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 9555 "gram.y"
    { (yyval.with) = (yyvsp[(1) - (1)].with); }
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 9556 "gram.y"
    { (yyval.with) = NULL; }
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 9561 "gram.y"
    {
					(yyval.into) = makeNode(IntoClause);
					(yyval.into)->rel = (yyvsp[(2) - (2)].range);
					(yyval.into)->colNames = NIL;
					(yyval.into)->options = NIL;
					(yyval.into)->onCommit = ONCOMMIT_NOOP;
					(yyval.into)->tableSpaceName = NULL;
					(yyval.into)->viewQuery = NULL;
					(yyval.into)->skipData = false;
				}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 9572 "gram.y"
    { (yyval.into) = NULL; }
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 9581 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 9586 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 9591 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 9596 "gram.y"
    {
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 9601 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 9609 "gram.y"
    {
					ereport(WARNING,
							(errmsg("GLOBAL is deprecated in temporary table creation"),
							 parser_errposition((yylsp[(1) - (4)]))));
					(yyval.range) = (yyvsp[(4) - (4)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_TEMP;
				}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 9617 "gram.y"
    {
					(yyval.range) = (yyvsp[(3) - (3)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_UNLOGGED;
				}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 9622 "gram.y"
    {
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 9627 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->relpersistence = RELPERSISTENCE_PERMANENT;
				}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 9633 "gram.y"
    {}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 9634 "gram.y"
    {}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 9637 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 9638 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 9639 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 9646 "gram.y"
    { (yyval.list) = list_make1(NIL); }
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 9647 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 9648 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 9649 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 9653 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list);}
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 9654 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 9658 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 9662 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].sortby)); }
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 9663 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].sortby)); }
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 9667 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (4)].node);
					(yyval.sortby)->sortby_dir = SORTBY_USING;
					(yyval.sortby)->sortby_nulls = (yyvsp[(4) - (4)].ival);
					(yyval.sortby)->useOp = (yyvsp[(3) - (4)].list);
					(yyval.sortby)->location = (yylsp[(3) - (4)]);
				}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 9676 "gram.y"
    {
					(yyval.sortby) = makeNode(SortBy);
					(yyval.sortby)->node = (yyvsp[(1) - (3)].node);
					(yyval.sortby)->sortby_dir = (yyvsp[(2) - (3)].ival);
					(yyval.sortby)->sortby_nulls = (yyvsp[(3) - (3)].ival);
					(yyval.sortby)->useOp = NIL;
					(yyval.sortby)->location = -1;		/* no operator */
				}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 9688 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(2) - (2)].node), (yyvsp[(1) - (2)].node)); }
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 9689 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node)); }
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 9690 "gram.y"
    { (yyval.list) = list_make2(NULL, (yyvsp[(1) - (1)].node)); }
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 9691 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (1)].node), NULL); }
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 9695 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 9696 "gram.y"
    { (yyval.list) = list_make2(NULL,NULL); }
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 9701 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 9703 "gram.y"
    {
					/* Disabled because it was too confusing, bjm 2002-02-18 */
					ereport(ERROR,
							(errcode(ERRCODE_SYNTAX_ERROR),
							 errmsg("LIMIT #,# syntax is not supported"),
							 errhint("Use separate LIMIT and OFFSET clauses."),
							 parser_errposition((yylsp[(1) - (4)]))));
				}
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 9713 "gram.y"
    { (yyval.node) = (yyvsp[(3) - (5)].node); }
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 9718 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 9721 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 9725 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 9727 "gram.y"
    {
					/* LIMIT ALL is represented as a NULL constant */
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 9734 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 9744 "gram.y"
    { (yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)])); }
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 9745 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (3)].node); }
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 9746 "gram.y"
    { (yyval.node) = makeIntConst(1, -1); }
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 9754 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 9758 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 9759 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 9762 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 9763 "gram.y"
    { (yyval.ival) = 0; }
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 9768 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 9769 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 9773 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 9774 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 9778 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 9779 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 9783 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 9784 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 9788 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 9789 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 9794 "gram.y"
    {
					LockingClause *n = makeNode(LockingClause);
					n->lockedRels = (yyvsp[(2) - (3)].list);
					n->strength = (yyvsp[(1) - (3)].ival);
					n->noWait = (yyvsp[(3) - (3)].boolean);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 9804 "gram.y"
    { (yyval.ival) = LCS_FORUPDATE; }
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 9805 "gram.y"
    { (yyval.ival) = LCS_FORNOKEYUPDATE; }
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 9806 "gram.y"
    { (yyval.ival) = LCS_FORSHARE; }
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 9807 "gram.y"
    { (yyval.ival) = LCS_FORKEYSHARE; }
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 9811 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 9812 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 9818 "gram.y"
    {
					SelectStmt *n = makeNode(SelectStmt);
					n->valuesLists = list_make1((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9824 "gram.y"
    {
					SelectStmt *n = (SelectStmt *) (yyvsp[(1) - (3)].node);
					n->valuesLists = lappend(n->valuesLists, (yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9841 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9842 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9846 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9847 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9854 "gram.y"
    {
					(yyvsp[(1) - (2)].range)->alias = (yyvsp[(2) - (2)].alias);
					(yyval.node) = (Node *) (yyvsp[(1) - (2)].range);
				}
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9859 "gram.y"
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[(1) - (2)].node);
					n->alias = linitial((yyvsp[(2) - (2)].list));
					n->coldeflist = lsecond((yyvsp[(2) - (2)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9866 "gram.y"
    {
					RangeFunction *n = (RangeFunction *) (yyvsp[(2) - (3)].node);
					n->lateral = true;
					n->alias = linitial((yyvsp[(3) - (3)].list));
					n->coldeflist = lsecond((yyvsp[(3) - (3)].list));
					(yyval.node) = (Node *) n;
				}
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9874 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = false;
					n->subquery = (yyvsp[(1) - (2)].node);
					n->alias = (yyvsp[(2) - (2)].alias);
					/*
					 * The SQL spec does not permit a subselect
					 * (<derived_table>) without an alias clause,
					 * so we don't either.  This avoids the problem
					 * of needing to invent a unique refname for it.
					 * That could be surmounted if there's sufficient
					 * popular demand, but for now let's just implement
					 * the spec and see if anyone complains.
					 * However, it does seem like a good idea to emit
					 * an error message that's better than "syntax error".
					 */
					if ((yyvsp[(2) - (2)].alias) == NULL)
					{
						if (IsA((yyvsp[(1) - (2)].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[(1) - (2)].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[(1) - (2)]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[(1) - (2)]))));
					}
					(yyval.node) = (Node *) n;
				}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9909 "gram.y"
    {
					RangeSubselect *n = makeNode(RangeSubselect);
					n->lateral = true;
					n->subquery = (yyvsp[(2) - (3)].node);
					n->alias = (yyvsp[(3) - (3)].alias);
					/* same coment as above */
					if ((yyvsp[(3) - (3)].alias) == NULL)
					{
						if (IsA((yyvsp[(2) - (3)].node), SelectStmt) &&
							((SelectStmt *) (yyvsp[(2) - (3)].node))->valuesLists)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("VALUES in FROM must have an alias"),
									 errhint("For example, FROM (VALUES ...) [AS] foo."),
									 parser_errposition((yylsp[(2) - (3)]))));
						else
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("subquery in FROM must have an alias"),
									 errhint("For example, FROM (SELECT ...) [AS] foo."),
									 parser_errposition((yylsp[(2) - (3)]))));
					}
					(yyval.node) = (Node *) n;
				}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9934 "gram.y"
    {
					(yyval.node) = (Node *) (yyvsp[(1) - (1)].jexpr);
				}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9938 "gram.y"
    {
					(yyvsp[(2) - (4)].jexpr)->alias = (yyvsp[(4) - (4)].alias);
					(yyval.node) = (Node *) (yyvsp[(2) - (4)].jexpr);
				}
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9964 "gram.y"
    {
					(yyval.jexpr) = (yyvsp[(2) - (3)].jexpr);
				}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9968 "gram.y"
    {
					/* CROSS JOIN is same as unqualified inner join */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL;
					n->quals = NULL;
					(yyval.jexpr) = n;
				}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9980 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(2) - (5)].jtype);
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(4) - (5)].node);
					if ((yyvsp[(5) - (5)].node) != NULL && IsA((yyvsp[(5) - (5)].node), List))
						n->usingClause = (List *) (yyvsp[(5) - (5)].node); /* USING clause */
					else
						n->quals = (yyvsp[(5) - (5)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9993 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = FALSE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(3) - (4)].node);
					if ((yyvsp[(4) - (4)].node) != NULL && IsA((yyvsp[(4) - (4)].node), List))
						n->usingClause = (List *) (yyvsp[(4) - (4)].node); /* USING clause */
					else
						n->quals = (yyvsp[(4) - (4)].node); /* ON clause */
					(yyval.jexpr) = n;
				}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 10007 "gram.y"
    {
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = (yyvsp[(3) - (5)].jtype);
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (5)].node);
					n->rarg = (yyvsp[(5) - (5)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 10018 "gram.y"
    {
					/* letting join_type reduce to empty doesn't work */
					JoinExpr *n = makeNode(JoinExpr);
					n->jointype = JOIN_INNER;
					n->isNatural = TRUE;
					n->larg = (yyvsp[(1) - (4)].node);
					n->rarg = (yyvsp[(4) - (4)].node);
					n->usingClause = NIL; /* figure out which columns later... */
					n->quals = NULL; /* fill later */
					(yyval.jexpr) = n;
				}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 10033 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.alias)->colnames = (yyvsp[(4) - (5)].list);
				}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 10039 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(2) - (2)].str);
				}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 10044 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.alias)->colnames = (yyvsp[(3) - (4)].list);
				}
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 10050 "gram.y"
    {
					(yyval.alias) = makeNode(Alias);
					(yyval.alias)->aliasname = (yyvsp[(1) - (1)].str);
				}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 10056 "gram.y"
    { (yyval.alias) = (yyvsp[(1) - (1)].alias); }
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 10057 "gram.y"
    { (yyval.alias) = NULL; }
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 10066 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (1)].alias), NIL);
				}
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 10070 "gram.y"
    {
					(yyval.list) = list_make2(NULL, (yyvsp[(3) - (4)].list));
				}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 10074 "gram.y"
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[(2) - (5)].str);
					(yyval.list) = list_make2(a, (yyvsp[(4) - (5)].list));
				}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 10080 "gram.y"
    {
					Alias *a = makeNode(Alias);
					a->aliasname = (yyvsp[(1) - (4)].str);
					(yyval.list) = list_make2(a, (yyvsp[(3) - (4)].list));
				}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 10086 "gram.y"
    {
					(yyval.list) = list_make2(NULL, NIL);
				}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 10091 "gram.y"
    { (yyval.jtype) = JOIN_FULL; }
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 10092 "gram.y"
    { (yyval.jtype) = JOIN_LEFT; }
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 10093 "gram.y"
    { (yyval.jtype) = JOIN_RIGHT; }
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 10094 "gram.y"
    { (yyval.jtype) = JOIN_INNER; }
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 10098 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 10099 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 10111 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(3) - (4)].list); }
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 10112 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 10118 "gram.y"
    {
					/* default inheritance */
					(yyval.range) = (yyvsp[(1) - (1)].range);
					(yyval.range)->inhOpt = INH_DEFAULT;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 10125 "gram.y"
    {
					/* inheritance query */
					(yyval.range) = (yyvsp[(1) - (2)].range);
					(yyval.range)->inhOpt = INH_YES;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 10132 "gram.y"
    {
					/* no inheritance */
					(yyval.range) = (yyvsp[(2) - (2)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 10139 "gram.y"
    {
					/* no inheritance, SQL99-style syntax */
					(yyval.range) = (yyvsp[(3) - (4)].range);
					(yyval.range)->inhOpt = INH_NO;
					(yyval.range)->alias = NULL;
				}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 10149 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 10150 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 10164 "gram.y"
    {
					(yyval.range) = (yyvsp[(1) - (1)].range);
				}
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 10168 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(2) - (2)].str);
					(yyvsp[(1) - (2)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (2)].range);
				}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 10175 "gram.y"
    {
					Alias *alias = makeNode(Alias);
					alias->aliasname = (yyvsp[(3) - (3)].str);
					(yyvsp[(1) - (3)].range)->alias = alias;
					(yyval.range) = (yyvsp[(1) - (3)].range);
				}
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 10196 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[(2) - (2)].boolean);
					n->is_rowsfrom = false;
					n->functions = list_make1(list_make2((yyvsp[(1) - (2)].node), NIL));
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 10206 "gram.y"
    {
					RangeFunction *n = makeNode(RangeFunction);
					n->lateral = false;
					n->ordinality = (yyvsp[(6) - (6)].boolean);
					n->is_rowsfrom = true;
					n->functions = (yyvsp[(4) - (6)].list);
					/* alias and coldeflist are set by table_ref production */
					(yyval.node) = (Node *) n;
				}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 10218 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].list)); }
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 10222 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].list)); }
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 10223 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)); }
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 10226 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 10227 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 10230 "gram.y"
    { (yyval.boolean) = true; }
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 10231 "gram.y"
    { (yyval.boolean) = false; }
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 10236 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 10237 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 10242 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 10244 "gram.y"
    {
					CurrentOfExpr *n = makeNode(CurrentOfExpr);
					/* cvarno is filled in by parse analysis */
					n->cursor_name = (yyvsp[(4) - (4)].str);
					n->cursor_param = 0;
					(yyval.node) = (Node *) n;
				}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 10251 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 10256 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 10257 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 10262 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 10266 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 10272 "gram.y"
    {
					ColumnDef *n = makeNode(ColumnDef);
					n->colname = (yyvsp[(1) - (3)].str);
					n->typeName = (yyvsp[(2) - (3)].typnam);
					n->inhcount = 0;
					n->is_local = true;
					n->is_not_null = false;
					n->is_from_type = false;
					n->storage = 0;
					n->raw_default = NULL;
					n->cooked_default = NULL;
					n->collClause = (CollateClause *) (yyvsp[(3) - (3)].node);
					n->collOid = InvalidOid;
					n->constraints = NIL;
					n->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 10302 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 10307 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 10314 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(4) - (5)].ival)));
				}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 10319 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (6)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger((yyvsp[(5) - (6)].ival)));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 10325 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
				}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 10330 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (3)].typnam);
					(yyval.typnam)->arrayBounds = list_make1(makeInteger(-1));
					(yyval.typnam)->setof = TRUE;
				}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 10339 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeInteger(-1)); }
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 10341 "gram.y"
    {  (yyval.list) = lappend((yyvsp[(1) - (4)].list), makeInteger((yyvsp[(3) - (4)].ival))); }
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 10343 "gram.y"
    {  (yyval.list) = NIL; }
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 10347 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 10348 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 10349 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 10350 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 10351 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 10353 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (2)].typnam);
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
				}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 10358 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (5)].typnam);
					if ((yyvsp[(5) - (5)].list) != NIL)
					{
						if (list_length((yyvsp[(5) - (5)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (5)]))));
						(yyval.typnam)->typmods = lappend((yyvsp[(5) - (5)].list), makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					}
					else
						(yyval.typnam)->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												 makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
				}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 10387 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 10388 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 10389 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 10390 "gram.y"
    { (yyval.typnam) = (yyvsp[(1) - (1)].typnam); }
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 10402 "gram.y"
    {
					(yyval.typnam) = makeTypeName((yyvsp[(1) - (2)].str));
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 10408 "gram.y"
    {
					(yyval.typnam) = makeTypeNameFromNameList(lcons(makeString((yyvsp[(1) - (3)].str)), (yyvsp[(2) - (3)].list)));
					(yyval.typnam)->typmods = (yyvsp[(3) - (3)].list);
					(yyval.typnam)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 10415 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 10416 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 10423 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 10428 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 10433 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int2");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 10438 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("int8");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 10443 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float4");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 10448 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(2) - (2)].typnam);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 10453 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 10458 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 10464 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 10470 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("numeric");
					(yyval.typnam)->typmods = (yyvsp[(2) - (2)].list);
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 10476 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("bool");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 10483 "gram.y"
    {
					/*
					 * Check FLOAT() precision limits assuming IEEE floating
					 * types - thomas 1997-09-18
					 */
					if ((yyvsp[(2) - (3)].ival) < 1)
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be at least 1 bit"),
								 parser_errposition((yylsp[(2) - (3)]))));
					else if ((yyvsp[(2) - (3)].ival) <= 24)
						(yyval.typnam) = SystemTypeName("float4");
					else if ((yyvsp[(2) - (3)].ival) <= 53)
						(yyval.typnam) = SystemTypeName("float8");
					else
						ereport(ERROR,
								(errcode(ERRCODE_INVALID_PARAMETER_VALUE),
								 errmsg("precision for type float must be less than 54 bits"),
								 parser_errposition((yylsp[(2) - (3)]))));
				}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 10504 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("float8");
				}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 10514 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 10518 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 10526 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 10530 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 10538 "gram.y"
    {
					char *typname;

					typname = (yyvsp[(2) - (5)].boolean) ? "varbit" : "bit";
					(yyval.typnam) = SystemTypeName(typname);
					(yyval.typnam)->typmods = (yyvsp[(4) - (5)].list);
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 10550 "gram.y"
    {
					/* bit defaults to bit(1), varbit to no limit */
					if ((yyvsp[(2) - (2)].boolean))
					{
						(yyval.typnam) = SystemTypeName("varbit");
					}
					else
					{
						(yyval.typnam) = SystemTypeName("bit");
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));
					}
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 10571 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 10575 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 10581 "gram.y"
    {
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
				}
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 10585 "gram.y"
    {
					/* Length was not specified so allow to be unrestricted.
					 * This handles problems with fixed-length (bpchar) strings
					 * which in column definitions must default to a length
					 * of one, but should not be constrained if the length
					 * was not specified.
					 */
					(yyval.typnam) = (yyvsp[(1) - (1)].typnam);
					(yyval.typnam)->typmods = NIL;
				}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 10598 "gram.y"
    {
					if (((yyvsp[(5) - (5)].str) != NULL) && (strcmp((yyvsp[(5) - (5)].str), "sql_text") != 0))
						(yyvsp[(1) - (5)].str) = psprintf("%s_%s", (yyvsp[(1) - (5)].str), (yyvsp[(5) - (5)].str));

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (5)].str));
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 10609 "gram.y"
    {
					if (((yyvsp[(2) - (2)].str) != NULL) && (strcmp((yyvsp[(2) - (2)].str), "sql_text") != 0))
						(yyvsp[(1) - (2)].str) = psprintf("%s_%s", (yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));

					(yyval.typnam) = SystemTypeName((yyvsp[(1) - (2)].str));

					/* char defaults to char(1), varchar to no limit */
					if (strcmp((yyvsp[(1) - (2)].str), "bpchar") == 0)
						(yyval.typnam)->typmods = list_make1(makeIntConst(1, -1));

					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 10624 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 10626 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 10628 "gram.y"
    { (yyval.str) = "varchar"; }
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 10630 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 10632 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 10634 "gram.y"
    { (yyval.str) = (yyvsp[(2) - (2)].boolean) ? "varchar": "bpchar"; }
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 10638 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 10639 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 10643 "gram.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 10644 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 10652 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 10661 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timestamptz");
					else
						(yyval.typnam) = SystemTypeName("timestamp");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 10669 "gram.y"
    {
					if ((yyvsp[(5) - (5)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->typmods = list_make1(makeIntConst((yyvsp[(3) - (5)].ival), (yylsp[(3) - (5)])));
					(yyval.typnam)->location = (yylsp[(1) - (5)]);
				}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 10678 "gram.y"
    {
					if ((yyvsp[(2) - (2)].boolean))
						(yyval.typnam) = SystemTypeName("timetz");
					else
						(yyval.typnam) = SystemTypeName("time");
					(yyval.typnam)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 10689 "gram.y"
    {
					(yyval.typnam) = SystemTypeName("interval");
					(yyval.typnam)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 10696 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 10697 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 10698 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 10703 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR), (yylsp[(1) - (1)]))); }
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 10705 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MONTH), (yylsp[(1) - (1)]))); }
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 10707 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY), (yylsp[(1) - (1)]))); }
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 10709 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR), (yylsp[(1) - (1)]))); }
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 10711 "gram.y"
    { (yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(MINUTE), (yylsp[(1) - (1)]))); }
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 10713 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 10715 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(YEAR) |
												 INTERVAL_MASK(MONTH), (yylsp[(1) - (3)])));
				}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 10720 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR), (yylsp[(1) - (3)])));
				}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 10725 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(DAY) |
												 INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 10731 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(DAY) |
												INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 10739 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(HOUR) |
												 INTERVAL_MASK(MINUTE), (yylsp[(1) - (3)])));
				}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 10744 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(HOUR) |
												INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 10751 "gram.y"
    {
					(yyval.list) = (yyvsp[(3) - (3)].list);
					linitial((yyval.list)) = makeIntConst(INTERVAL_MASK(MINUTE) |
												INTERVAL_MASK(SECOND), (yylsp[(1) - (3)]));
				}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 10757 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 10762 "gram.y"
    {
					(yyval.list) = list_make1(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (1)])));
				}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 10766 "gram.y"
    {
					(yyval.list) = list_make2(makeIntConst(INTERVAL_MASK(SECOND), (yylsp[(1) - (4)])),
									makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
				}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 10795 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 10797 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 10799 "gram.y"
    {
					CollateClause *n = makeNode(CollateClause);
					n->arg = (yyvsp[(1) - (3)].node);
					n->collname = (yyvsp[(3) - (3)].list);
					n->location = (yylsp[(2) - (3)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 10807 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("timezone"),
											   list_make2((yyvsp[(5) - (5)].node), (yyvsp[(1) - (5)].node)),
											   (yylsp[(2) - (5)]));
				}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 10822 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 10824 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 10826 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 10828 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 10830 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 10832 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 10834 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 10836 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 10838 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 10840 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 10842 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 10845 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 10847 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 10849 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 10852 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 10854 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL, (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 10856 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 10859 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 10861 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 10868 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 10870 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 10877 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 10879 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(3) - (5)].node), (yyvsp[(5) - (5)].node)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~~*", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 10886 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)])); }
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 10888 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("like_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~~*", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 10896 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(4) - (4)].node), makeNullAConst(-1)),
											   (yylsp[(2) - (4)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (4)].node), (Node *) n, (yylsp[(2) - (4)]));
				}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 10903 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(4) - (6)].node), (yyvsp[(6) - (6)].node)),
											   (yylsp[(2) - (6)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "~", (yyvsp[(1) - (6)].node), (Node *) n, (yylsp[(2) - (6)]));
				}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 10910 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(5) - (5)].node), makeNullAConst(-1)),
											   (yylsp[(2) - (5)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (5)].node), (Node *) n, (yylsp[(2) - (5)]));
				}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 10917 "gram.y"
    {
					FuncCall *n = makeFuncCall(SystemFuncName("similar_escape"),
											   list_make2((yyvsp[(5) - (7)].node), (yyvsp[(7) - (7)].node)),
											   (yylsp[(2) - (7)]));
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "!~", (yyvsp[(1) - (7)].node), (Node *) n, (yylsp[(2) - (7)]));
				}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 10934 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (3)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 10941 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 10948 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (4)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 10955 "gram.y"
    {
					NullTest *n = makeNode(NullTest);
					n->arg = (Expr *) (yyvsp[(1) - (2)].node);
					n->nulltesttype = IS_NOT_NULL;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 10962 "gram.y"
    {
					if (list_length((yyvsp[(1) - (3)].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on left side of OVERLAPS expression"),
								 parser_errposition((yylsp[(1) - (3)]))));
					if (list_length((yyvsp[(3) - (3)].list)) != 2)
						ereport(ERROR,
								(errcode(ERRCODE_SYNTAX_ERROR),
								 errmsg("wrong number of parameters on right side of OVERLAPS expression"),
								 parser_errposition((yylsp[(3) - (3)]))));
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlaps"),
											   list_concat((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].list)),
											   (yylsp[(2) - (3)]));
				}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 10978 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 10985 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_TRUE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 10992 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 10999 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_FALSE;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 11006 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (3)].node);
					b->booltesttype = IS_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 11013 "gram.y"
    {
					BooleanTest *b = makeNode(BooleanTest);
					b->arg = (Expr *) (yyvsp[(1) - (4)].node);
					b->booltesttype = IS_NOT_UNKNOWN;
					(yyval.node) = (Node *)b;
				}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 11020 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 11024 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
									(Node *) makeSimpleA_Expr(AEXPR_DISTINCT,
															  "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));

				}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 11032 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 11036 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 11046 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 11053 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
						(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 11060 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_OR, NIL,
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
						(Node *) makeA_Expr(AEXPR_AND, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<=", (yyvsp[(1) - (6)].node), (yyvsp[(4) - (6)].node), (yylsp[(2) - (6)])),
											(yylsp[(2) - (6)])),
											 (yylsp[(2) - (6)]));
				}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 11073 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_AND, NIL,
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
						(Node *) makeA_Expr(AEXPR_OR, NIL,
							(Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (7)].node), (yyvsp[(7) - (7)].node), (yylsp[(2) - (7)])),
							(Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (7)].node), (yyvsp[(5) - (7)].node), (yylsp[(2) - (7)])),
											(yylsp[(2) - (7)])),
											 (yylsp[(2) - (7)]));
				}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 11086 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(3) - (3)].node), SubLink))
					{
						/* generate foo = ANY (subquery) */
						SubLink *n = (SubLink *) (yyvsp[(3) - (3)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (3)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(2) - (3)]);
						(yyval.node) = (Node *)n;
					}
					else
					{
						/* generate scalar IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)]));
					}
				}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 11105 "gram.y"
    {
					/* in_expr returns a SubLink or a list of a_exprs */
					if (IsA((yyvsp[(4) - (4)].node), SubLink))
					{
						/* generate NOT (foo = ANY (subquery)) */
						/* Make an = ANY node */
						SubLink *n = (SubLink *) (yyvsp[(4) - (4)].node);
						n->subLinkType = ANY_SUBLINK;
						n->testexpr = (yyvsp[(1) - (4)].node);
						n->operName = list_make1(makeString("="));
						n->location = (yylsp[(3) - (4)]);
						/* Stick a NOT on top */
						(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL, (Node *) n, (yylsp[(2) - (4)]));
					}
					else
					{
						/* generate scalar NOT IN expression */
						(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_IN, "<>", (yyvsp[(1) - (4)].node), (yyvsp[(4) - (4)].node), (yylsp[(2) - (4)]));
					}
				}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 11126 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = (yyvsp[(3) - (4)].ival);
					n->testexpr = (yyvsp[(1) - (4)].node);
					n->operName = (yyvsp[(2) - (4)].list);
					n->subselect = (yyvsp[(4) - (4)].node);
					n->location = (yylsp[(2) - (4)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 11136 "gram.y"
    {
					if ((yyvsp[(3) - (6)].ival) == ANY_SUBLINK)
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ANY, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
					else
						(yyval.node) = (Node *) makeA_Expr(AEXPR_OP_ALL, (yyvsp[(2) - (6)].list), (yyvsp[(1) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(2) - (6)]));
				}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 11143 "gram.y"
    {
					/* Not sure how to get rid of the parentheses
					 * but there are lots of shift/reduce errors without them.
					 *
					 * Should be able to implement this by plopping the entire
					 * select into a node, then transforming the target expressions
					 * from whatever they are into count(*), and testing the
					 * entire result equal to one.
					 * But, will probably implement a separate node in the executor.
					 */
					ereport(ERROR,
							(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
							 errmsg("UNIQUE predicate is not yet implemented"),
							 parser_errposition((yylsp[(1) - (2)]))));
				}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 11159 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 11164 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 11182 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 11184 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].typnam), (yylsp[(2) - (3)])); }
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 11186 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 11188 "gram.y"
    { (yyval.node) = doNegate((yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 11190 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "+", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 11192 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "-", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 11194 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "*", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 11196 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "/", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 11198 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "%", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 11200 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "^", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 11202 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "<", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 11204 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, ">", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 11206 "gram.y"
    { (yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OP, "=", (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 11208 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (3)].list), (yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yylsp[(2) - (3)])); }
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 11210 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(1) - (2)].list), NULL, (yyvsp[(2) - (2)].node), (yylsp[(1) - (2)])); }
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 11212 "gram.y"
    { (yyval.node) = (Node *) makeA_Expr(AEXPR_OP, (yyvsp[(2) - (2)].list), (yyvsp[(1) - (2)].node), NULL, (yylsp[(2) - (2)])); }
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 11214 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (5)].node), (yyvsp[(5) - (5)].node), (yylsp[(2) - (5)]));
				}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 11218 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL,
						NULL, (Node *) makeSimpleA_Expr(AEXPR_DISTINCT, "=", (yyvsp[(1) - (6)].node), (yyvsp[(6) - (6)].node), (yylsp[(2) - (6)])), (yylsp[(2) - (6)]));
				}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 11223 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "=", (yyvsp[(1) - (6)].node), (Node *) (yyvsp[(5) - (6)].list), (yylsp[(2) - (6)]));
				}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 11227 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_OF, "<>", (yyvsp[(1) - (7)].node), (Node *) (yyvsp[(6) - (7)].list), (yylsp[(2) - (7)]));
				}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 11231 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_DOCUMENT, NULL, NIL,
									 list_make1((yyvsp[(1) - (3)].node)), (yylsp[(2) - (3)]));
				}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 11236 "gram.y"
    {
					(yyval.node) = (Node *) makeA_Expr(AEXPR_NOT, NIL, NULL,
											 makeXmlExpr(IS_DOCUMENT, NULL, NIL,
														 list_make1((yyvsp[(1) - (4)].node)), (yylsp[(2) - (4)])),
											 (yylsp[(2) - (4)]));
				}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 11252 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 11253 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 11255 "gram.y"
    {
					ParamRef *p = makeNode(ParamRef);
					p->number = (yyvsp[(1) - (2)].ival);
					p->location = (yylsp[(1) - (2)]);
					if ((yyvsp[(2) - (2)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (Node *) p;
						n->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
						(yyval.node) = (Node *) n;
					}
					else
						(yyval.node) = (Node *) p;
				}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 11270 "gram.y"
    {
					if ((yyvsp[(4) - (4)].list))
					{
						A_Indirection *n = makeNode(A_Indirection);
						n->arg = (yyvsp[(2) - (4)].node);
						n->indirection = check_indirection((yyvsp[(4) - (4)].list), yyscanner);
						(yyval.node) = (Node *)n;
					}
					else
						(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 11282 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 11284 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 11286 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (1)].node);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 11296 "gram.y"
    {
					/*
					 * Because the select_with_parens nonterminal is designed
					 * to "eat" as many levels of parens as possible, the
					 * '(' a_expr ')' opt_indirection production above will
					 * fail to match a sub-SELECT with indirection decoration;
					 * the sub-SELECT won't be regarded as an a_expr as long
					 * as there are parens around it.  To support applying
					 * subscripting or field selection to a sub-SELECT result,
					 * we need this redundant-looking production.
					 */
					SubLink *n = makeNode(SubLink);
					A_Indirection *a = makeNode(A_Indirection);
					n->subLinkType = EXPR_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(1) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					a->arg = (Node *)n;
					a->indirection = check_indirection((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.node) = (Node *)a;
				}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 11319 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = EXISTS_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 11329 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subLinkType = ARRAY_SUBLINK;
					n->testexpr = NULL;
					n->operName = NIL;
					n->subselect = (yyvsp[(2) - (2)].node);
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 11339 "gram.y"
    {
					A_ArrayExpr *n = (A_ArrayExpr *) (yyvsp[(2) - (2)].node);
					Assert(IsA(n, A_ArrayExpr));
					/* point outermost A_ArrayExpr to the ARRAY keyword */
					n->location = (yylsp[(1) - (2)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 11347 "gram.y"
    {
					RowExpr *r = makeNode(RowExpr);
					r->args = (yyvsp[(1) - (1)].list);
					r->row_typeid = InvalidOid;	/* not analyzed yet */
					r->colnames = NIL;	/* to be filled in during analysis */
					r->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *)r;
				}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 11358 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall((yyvsp[(1) - (3)].list), NIL, (yylsp[(1) - (3)]));
				}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 11362 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (5)].list), (yyvsp[(3) - (5)].list), (yylsp[(1) - (5)]));
					n->agg_order = (yyvsp[(4) - (5)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 11368 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), list_make1((yyvsp[(4) - (6)].node)), (yylsp[(1) - (6)]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[(5) - (6)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 11375 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (8)].list), lappend((yyvsp[(3) - (8)].list), (yyvsp[(6) - (8)].node)), (yylsp[(1) - (8)]));
					n->func_variadic = TRUE;
					n->agg_order = (yyvsp[(7) - (8)].list);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 11382 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), (yyvsp[(4) - (6)].list), (yylsp[(1) - (6)]));
					n->agg_order = (yyvsp[(5) - (6)].list);
					/* Ideally we'd mark the FuncCall node to indicate
					 * "must be an aggregate", but there's no provision
					 * for that in FuncCall at the moment.
					 */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 11392 "gram.y"
    {
					FuncCall *n = makeFuncCall((yyvsp[(1) - (6)].list), (yyvsp[(4) - (6)].list), (yylsp[(1) - (6)]));
					n->agg_order = (yyvsp[(5) - (6)].list);
					n->agg_distinct = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 11399 "gram.y"
    {
					/*
					 * We consider AGGREGATE(*) to invoke a parameterless
					 * aggregate.  This does the right thing for COUNT(*),
					 * and there are no other aggregates in SQL that accept
					 * '*' as parameter.
					 *
					 * The FuncCall node is also marked agg_star = true,
					 * so that later processing can detect what the argument
					 * really was.
					 */
					FuncCall *n = makeFuncCall((yyvsp[(1) - (4)].list), NIL, (yylsp[(1) - (4)]));
					n->agg_star = TRUE;
					(yyval.node) = (Node *)n;
				}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 11427 "gram.y"
    {
					FuncCall *n = (FuncCall *) (yyvsp[(1) - (4)].node);
					/*
					 * The order clause for WITHIN GROUP and the one for
					 * plain-aggregate ORDER BY share a field, so we have to
					 * check here that at most one is present.  We also check
					 * for DISTINCT and VARIADIC here to give a better error
					 * location.  Other consistency checks are deferred to
					 * parse analysis.
					 */
					if ((yyvsp[(2) - (4)].list) != NIL)
					{
						if (n->agg_order != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use multiple ORDER BY clauses with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						if (n->agg_distinct)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use DISTINCT with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						if (n->func_variadic)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("cannot use VARIADIC with WITHIN GROUP"),
									 parser_errposition((yylsp[(2) - (4)]))));
						n->agg_order = (yyvsp[(2) - (4)].list);
						n->agg_within_group = TRUE;
					}
					n->agg_filter = (yyvsp[(3) - (4)].node);
					n->over = (yyvsp[(4) - (4)].windef);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 11462 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 11472 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 11473 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 11481 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("pg_collation_for"),
											   list_make1((yyvsp[(4) - (5)].node)),
											   (yylsp[(1) - (5)]));
				}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 11487 "gram.y"
    {
					/*
					 * Translate as "'now'::text::date".
					 *
					 * We cannot use "'now'::date" because coerce_type() will
					 * immediately reduce that to a constant representing
					 * today's date.  We need to delay the conversion until
					 * runtime, else the wrong things will happen when
					 * CURRENT_DATE is used in a column default value or rule.
					 *
					 * This could be simplified if we had a way to generate
					 * an expression tree representing runtime application
					 * of type-input conversion functions.  (As of PG 7.3
					 * that is actually possible, but not clear that we want
					 * to rely on it.)
					 *
					 * The token location is attached to the run-time
					 * typecast, not to the Const, for the convenience of
					 * pg_stat_statements (which doesn't want these constructs
					 * to appear to be replaceable constants).
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("date"), (yylsp[(1) - (1)]));
				}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 11513 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timetz"), (yylsp[(1) - (1)]));
				}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 11523 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timetz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timetz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[(1) - (4)]));
				}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 11536 "gram.y"
    {
					/*
					 * Translate as "now()", since we have a function that
					 * does exactly what is needed.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("now"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 11544 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamptz(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamptz");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[(1) - (4)]));
				}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 11557 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast((Node *)n, SystemTypeName("time"), (yylsp[(1) - (1)]));
				}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 11567 "gram.y"
    {
					/*
					 * Translate as "'now'::text::time(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("time");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast((Node *)n, d, (yylsp[(1) - (4)]));
				}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 11580 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					(yyval.node) = makeTypeCast(n, SystemTypeName("timestamp"), (yylsp[(1) - (1)]));
				}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 11590 "gram.y"
    {
					/*
					 * Translate as "'now'::text::timestamp(n)".
					 * See comments for CURRENT_DATE.
					 */
					Node *n;
					TypeName *d;
					n = makeStringConstCast("now", -1, SystemTypeName("text"));
					d = SystemTypeName("timestamp");
					d->typmods = list_make1(makeIntConst((yyvsp[(3) - (4)].ival), (yylsp[(3) - (4)])));
					(yyval.node) = makeTypeCast(n, d, (yylsp[(1) - (4)]));
				}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 11603 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 11607 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 11611 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("session_user"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 11615 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_user"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 11619 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_database"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 11623 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("current_schema"), NIL, (yylsp[(1) - (1)]));
				}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 11627 "gram.y"
    { (yyval.node) = makeTypeCast((yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].typnam), (yylsp[(1) - (6)])); }
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 11629 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("date_part"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 11633 "gram.y"
    {
					/* overlay(A PLACING B FROM C FOR D) is converted to
					 * overlay(A, B, C, D)
					 * overlay(A PLACING B FROM C) is converted to
					 * overlay(A, B, C)
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("overlay"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 11642 "gram.y"
    {
					/* position(A in B) is converted to position(B, A) */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("position"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 11647 "gram.y"
    {
					/* substring(A from B for C) is converted to
					 * substring(A, B, C) - thomas 2000-11-28
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("substring"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 11654 "gram.y"
    {
					/* TREAT(expr AS target) converts expr of a particular type to target,
					 * which is defined to be a subtype of the original expression.
					 * In SQL99, this is intended for use with structured UDTs,
					 * but let's make this a generally useful form allowing stronger
					 * coercions than are handled by implicit casting.
					 *
					 * Convert SystemTypeName() to SystemFuncName() even though
					 * at the moment they result in the same thing.
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName(((Value *)llast((yyvsp[(5) - (6)].typnam)->names))->val.str),
												list_make1((yyvsp[(3) - (6)].node)),
												(yylsp[(1) - (6)]));
				}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 11669 "gram.y"
    {
					/* various trim expressions are defined in SQL
					 * - thomas 1997-07-19
					 */
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 11676 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("ltrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 11680 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("rtrim"), (yyvsp[(4) - (5)].list), (yylsp[(1) - (5)]));
				}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 11684 "gram.y"
    {
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("btrim"), (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 11688 "gram.y"
    {
					(yyval.node) = (Node *) makeSimpleA_Expr(AEXPR_NULLIF, "=", (yyvsp[(3) - (6)].node), (yyvsp[(5) - (6)].node), (yylsp[(1) - (6)]));
				}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 11692 "gram.y"
    {
					CoalesceExpr *c = makeNode(CoalesceExpr);
					c->args = (yyvsp[(3) - (4)].list);
					c->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 11699 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_GREATEST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 11707 "gram.y"
    {
					MinMaxExpr *v = makeNode(MinMaxExpr);
					v->args = (yyvsp[(3) - (4)].list);
					v->op = IS_LEAST;
					v->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)v;
				}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 11715 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLCONCAT, NULL, NIL, (yyvsp[(3) - (4)].list), (yylsp[(1) - (4)]));
				}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 11719 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (5)].str), NIL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 11723 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), (yyvsp[(6) - (7)].list), NIL, (yylsp[(1) - (7)]));
				}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 11727 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (7)].str), NIL, (yyvsp[(6) - (7)].list), (yylsp[(1) - (7)]));
				}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 11731 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLELEMENT, (yyvsp[(4) - (9)].str), (yyvsp[(6) - (9)].list), (yyvsp[(8) - (9)].list), (yylsp[(1) - (9)]));
				}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 11735 "gram.y"
    {
					/* xmlexists(A PASSING [BY REF] B [BY REF]) is
					 * converted to xmlexists(A, B)*/
					(yyval.node) = (Node *) makeFuncCall(SystemFuncName("xmlexists"), list_make2((yyvsp[(3) - (5)].node), (yyvsp[(4) - (5)].node)), (yylsp[(1) - (5)]));
				}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 11741 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLFOREST, NULL, (yyvsp[(3) - (4)].list), NIL, (yylsp[(1) - (4)]));
				}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 11745 "gram.y"
    {
					XmlExpr *x = (XmlExpr *)
						makeXmlExpr(IS_XMLPARSE, NULL, NIL,
									list_make2((yyvsp[(4) - (6)].node), makeBoolAConst((yyvsp[(5) - (6)].boolean), -1)),
									(yylsp[(1) - (6)]));
					x->xmloption = (yyvsp[(3) - (6)].ival);
					(yyval.node) = (Node *)x;
				}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 11754 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (5)].str), NULL, NIL, (yylsp[(1) - (5)]));
				}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 11758 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLPI, (yyvsp[(4) - (7)].str), NULL, list_make1((yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 11762 "gram.y"
    {
					(yyval.node) = makeXmlExpr(IS_XMLROOT, NULL, NIL,
									 list_make3((yyvsp[(3) - (7)].node), (yyvsp[(5) - (7)].node), (yyvsp[(6) - (7)].node)), (yylsp[(1) - (7)]));
				}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 11767 "gram.y"
    {
					XmlSerialize *n = makeNode(XmlSerialize);
					n->xmloption = (yyvsp[(3) - (7)].ival);
					n->expr = (yyvsp[(4) - (7)].node);
					n->typeName = (yyvsp[(6) - (7)].typnam);
					n->location = (yylsp[(1) - (7)]);
					(yyval.node) = (Node *)n;
				}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 11781 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 11783 "gram.y"
    { (yyval.node) = makeNullAConst(-1); }
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 11787 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_YES, -1); }
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 11789 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO, -1); }
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 11791 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_NO_VALUE, -1); }
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 11793 "gram.y"
    { (yyval.node) = makeIntConst(XML_STANDALONE_OMITTED, -1); }
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 11796 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 11799 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 11800 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 11804 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 11812 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *) (yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 11821 "gram.y"
    { (yyval.ival) = XMLOPTION_DOCUMENT; }
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 11822 "gram.y"
    { (yyval.ival) = XMLOPTION_CONTENT; }
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 11825 "gram.y"
    { (yyval.boolean) = TRUE; }
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 11826 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 11827 "gram.y"
    { (yyval.boolean) = FALSE; }
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 11833 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (2)].node);
				}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 11837 "gram.y"
    {
					(yyval.node) = (yyvsp[(2) - (4)].node);
				}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 11841 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (4)].node);
				}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 11845 "gram.y"
    {
					(yyval.node) = (yyvsp[(4) - (6)].node);
				}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 11855 "gram.y"
    { (yyval.list) = (yyvsp[(4) - (5)].list); }
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 11856 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 11860 "gram.y"
    { (yyval.node) = (yyvsp[(4) - (5)].node); }
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 11861 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 11869 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 11870 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 11874 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].windef)); }
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 11876 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].windef)); }
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 11881 "gram.y"
    {
					WindowDef *n = (yyvsp[(3) - (3)].windef);
					n->name = (yyvsp[(1) - (3)].str);
					(yyval.windef) = n;
				}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 11889 "gram.y"
    { (yyval.windef) = (yyvsp[(2) - (2)].windef); }
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 11891 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = (yyvsp[(2) - (2)].str);
					n->refname = NULL;
					n->partitionClause = NIL;
					n->orderClause = NIL;
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					n->location = (yylsp[(2) - (2)]);
					(yyval.windef) = n;
				}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 11904 "gram.y"
    { (yyval.windef) = NULL; }
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 11909 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->name = NULL;
					n->refname = (yyvsp[(2) - (6)].str);
					n->partitionClause = (yyvsp[(3) - (6)].list);
					n->orderClause = (yyvsp[(4) - (6)].list);
					/* copy relevant fields of opt_frame_clause */
					n->frameOptions = (yyvsp[(5) - (6)].windef)->frameOptions;
					n->startOffset = (yyvsp[(5) - (6)].windef)->startOffset;
					n->endOffset = (yyvsp[(5) - (6)].windef)->endOffset;
					n->location = (yylsp[(1) - (6)]);
					(yyval.windef) = n;
				}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 11934 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 11935 "gram.y"
    { (yyval.str) = NULL; }
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 11938 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (3)].list); }
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 11939 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 11951 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_RANGE;
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_PRECEDING |
										   FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE PRECEDING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					if (n->frameOptions & (FRAMEOPTION_START_VALUE_FOLLOWING |
										   FRAMEOPTION_END_VALUE_FOLLOWING))
						ereport(ERROR,
								(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
								 errmsg("RANGE FOLLOWING is only supported with UNBOUNDED"),
								 parser_errposition((yylsp[(1) - (2)]))));
					(yyval.windef) = n;
				}
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 11969 "gram.y"
    {
					WindowDef *n = (yyvsp[(2) - (2)].windef);
					n->frameOptions |= FRAMEOPTION_NONDEFAULT | FRAMEOPTION_ROWS;
					(yyval.windef) = n;
				}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 11975 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_DEFAULTS;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 11985 "gram.y"
    {
					WindowDef *n = (yyvsp[(1) - (1)].windef);
					/* reject invalid cases */
					if (n->frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(1) - (1)]))));
					if (n->frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot end with current row"),
								 parser_errposition((yylsp[(1) - (1)]))));
					n->frameOptions |= FRAMEOPTION_END_CURRENT_ROW;
					(yyval.windef) = n;
				}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 12002 "gram.y"
    {
					WindowDef *n1 = (yyvsp[(2) - (4)].windef);
					WindowDef *n2 = (yyvsp[(4) - (4)].windef);
					/* form merged options */
					int		frameOptions = n1->frameOptions;
					/* shift converts START_ options to END_ options */
					frameOptions |= n2->frameOptions << 1;
					frameOptions |= FRAMEOPTION_BETWEEN;
					/* reject invalid cases */
					if (frameOptions & FRAMEOPTION_START_UNBOUNDED_FOLLOWING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame start cannot be UNBOUNDED FOLLOWING"),
								 parser_errposition((yylsp[(2) - (4)]))));
					if (frameOptions & FRAMEOPTION_END_UNBOUNDED_PRECEDING)
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame end cannot be UNBOUNDED PRECEDING"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_CURRENT_ROW) &&
						(frameOptions & FRAMEOPTION_END_VALUE_PRECEDING))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from current row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					if ((frameOptions & FRAMEOPTION_START_VALUE_FOLLOWING) &&
						(frameOptions & (FRAMEOPTION_END_VALUE_PRECEDING |
										 FRAMEOPTION_END_CURRENT_ROW)))
						ereport(ERROR,
								(errcode(ERRCODE_WINDOWING_ERROR),
								 errmsg("frame starting from following row cannot have preceding rows"),
								 parser_errposition((yylsp[(4) - (4)]))));
					n1->frameOptions = frameOptions;
					n1->endOffset = n2->startOffset;
					(yyval.windef) = n1;
				}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 12047 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_PRECEDING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 12055 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_UNBOUNDED_FOLLOWING;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 12063 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_CURRENT_ROW;
					n->startOffset = NULL;
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 12071 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_PRECEDING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 12079 "gram.y"
    {
					WindowDef *n = makeNode(WindowDef);
					n->frameOptions = FRAMEOPTION_START_VALUE_FOLLOWING;
					n->startOffset = (yyvsp[(1) - (2)].node);
					n->endOffset = NULL;
					(yyval.windef) = n;
				}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 12099 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 12100 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 12101 "gram.y"
    { (yyval.list) = lappend((yyvsp[(2) - (5)].list), (yyvsp[(4) - (5)].node)); }
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 12104 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 12105 "gram.y"
    { (yyval.ival) = ANY_SUBLINK; }
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 12106 "gram.y"
    { (yyval.ival) = ALL_SUBLINK; }
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 12109 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 12110 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 12113 "gram.y"
    { (yyval.str) = "+"; }
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 12114 "gram.y"
    { (yyval.str) = "-"; }
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 12115 "gram.y"
    { (yyval.str) = "*"; }
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 12116 "gram.y"
    { (yyval.str) = "/"; }
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 12117 "gram.y"
    { (yyval.str) = "%"; }
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 12118 "gram.y"
    { (yyval.str) = "^"; }
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 12119 "gram.y"
    { (yyval.str) = "<"; }
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 12120 "gram.y"
    { (yyval.str) = ">"; }
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 12121 "gram.y"
    { (yyval.str) = "="; }
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 12125 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 12127 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 12132 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 12134 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 12139 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 12141 "gram.y"
    { (yyval.list) = (yyvsp[(3) - (4)].list); }
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 12143 "gram.y"
    { (yyval.list) = list_make1(makeString("~~")); }
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 12145 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~")); }
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 12147 "gram.y"
    { (yyval.list) = list_make1(makeString("~~*")); }
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 12149 "gram.y"
    { (yyval.list) = list_make1(makeString("!~~*")); }
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 12161 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 12165 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 12172 "gram.y"
    {
					(yyval.list) = list_make1((yyvsp[(1) - (1)].node));
				}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 12176 "gram.y"
    {
					(yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 12182 "gram.y"
    {
					(yyval.node) = (yyvsp[(1) - (1)].node);
				}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 12186 "gram.y"
    {
					NamedArgExpr *na = makeNode(NamedArgExpr);
					na->name = (yyvsp[(1) - (3)].str);
					na->arg = (Expr *) (yyvsp[(3) - (3)].node);
					na->argnumber = -1;		/* until determined */
					na->location = (yylsp[(1) - (3)]);
					(yyval.node) = (Node *) na;
				}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 12196 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].typnam)); }
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 12197 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].typnam)); }
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 12201 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 12205 "gram.y"
    {
					(yyval.node) = makeAArrayExpr((yyvsp[(2) - (3)].list), (yylsp[(1) - (3)]));
				}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 12209 "gram.y"
    {
					(yyval.node) = makeAArrayExpr(NIL, (yylsp[(1) - (2)]));
				}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 12214 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 12215 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 12221 "gram.y"
    {
					(yyval.list) = list_make2(makeStringConst((yyvsp[(1) - (3)].str), (yylsp[(1) - (3)])), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 12224 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 12231 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 12232 "gram.y"
    { (yyval.str) = "year"; }
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 12233 "gram.y"
    { (yyval.str) = "month"; }
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 12234 "gram.y"
    { (yyval.str) = "day"; }
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 12235 "gram.y"
    { (yyval.str) = "hour"; }
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 12236 "gram.y"
    { (yyval.str) = "minute"; }
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 12237 "gram.y"
    { (yyval.str) = "second"; }
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 12238 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 12249 "gram.y"
    {
					(yyval.list) = list_make4((yyvsp[(1) - (4)].node), (yyvsp[(2) - (4)].node), (yyvsp[(3) - (4)].node), (yyvsp[(4) - (4)].node));
				}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 12253 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 12260 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 12266 "gram.y"
    { (yyval.list) = list_make2((yyvsp[(3) - (3)].node), (yyvsp[(1) - (3)].node)); }
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 12267 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 12284 "gram.y"
    {
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(2) - (3)].node), (yyvsp[(3) - (3)].node));
				}
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 12288 "gram.y"
    {
					/* not legal per SQL99, but might as well allow it */
					(yyval.list) = list_make3((yyvsp[(1) - (3)].node), (yyvsp[(3) - (3)].node), (yyvsp[(2) - (3)].node));
				}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 12293 "gram.y"
    {
					(yyval.list) = list_make2((yyvsp[(1) - (2)].node), (yyvsp[(2) - (2)].node));
				}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 12297 "gram.y"
    {
					/*
					 * Since there are no cases where this syntax allows
					 * a textual FOR value, we forcibly cast the argument
					 * to int4.  The possible matches in pg_proc are
					 * substring(text,int4) and substring(text,text),
					 * and we don't want the parser to choose the latter,
					 * which it is likely to do if the second argument
					 * is unknown or doesn't have an implicit cast to int4.
					 */
					(yyval.list) = list_make3((yyvsp[(1) - (2)].node), makeIntConst(1, -1),
									makeTypeCast((yyvsp[(2) - (2)].node),
												 SystemTypeName("int4"), -1));
				}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 12312 "gram.y"
    {
					(yyval.list) = (yyvsp[(1) - (1)].list);
				}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 12316 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 12320 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 12323 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 12326 "gram.y"
    { (yyval.list) = lappend((yyvsp[(3) - (3)].list), (yyvsp[(1) - (3)].node)); }
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 12327 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (2)].list); }
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 12328 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 12332 "gram.y"
    {
					SubLink *n = makeNode(SubLink);
					n->subselect = (yyvsp[(1) - (1)].node);
					/* other fields will be filled later */
					(yyval.node) = (Node *)n;
				}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 12338 "gram.y"
    { (yyval.node) = (Node *)(yyvsp[(2) - (3)].list); }
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 12349 "gram.y"
    {
					CaseExpr *c = makeNode(CaseExpr);
					c->casetype = InvalidOid; /* not analyzed yet */
					c->arg = (Expr *) (yyvsp[(2) - (5)].node);
					c->args = (yyvsp[(3) - (5)].list);
					c->defresult = (Expr *) (yyvsp[(4) - (5)].node);
					c->location = (yylsp[(1) - (5)]);
					(yyval.node) = (Node *)c;
				}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 12362 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 12363 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 12368 "gram.y"
    {
					CaseWhen *w = makeNode(CaseWhen);
					w->expr = (Expr *) (yyvsp[(2) - (4)].node);
					w->result = (Expr *) (yyvsp[(4) - (4)].node);
					w->location = (yylsp[(1) - (4)]);
					(yyval.node) = (Node *)w;
				}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 12378 "gram.y"
    { (yyval.node) = (yyvsp[(2) - (2)].node); }
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 12379 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 12382 "gram.y"
    { (yyval.node) = (yyvsp[(1) - (1)].node); }
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 12383 "gram.y"
    { (yyval.node) = NULL; }
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 12387 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (1)].str), NIL, (yylsp[(1) - (1)]), yyscanner);
				}
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 12391 "gram.y"
    {
					(yyval.node) = makeColumnRef((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].list), (yylsp[(1) - (2)]), yyscanner);
				}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 12398 "gram.y"
    {
					(yyval.node) = (Node *) makeString((yyvsp[(2) - (2)].str));
				}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 12402 "gram.y"
    {
					(yyval.node) = (Node *) makeNode(A_Star);
				}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 12406 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = NULL;
					ai->uidx = (yyvsp[(2) - (3)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 12413 "gram.y"
    {
					A_Indices *ai = makeNode(A_Indices);
					ai->lidx = (yyvsp[(2) - (5)].node);
					ai->uidx = (yyvsp[(4) - (5)].node);
					(yyval.node) = (Node *) ai;
				}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 12422 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 12423 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 12427 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 12428 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (2)].list), (yyvsp[(2) - (2)].node)); }
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 12443 "gram.y"
    { (yyval.node) = (Node *) (yyvsp[(1) - (1)].node); }
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 12445 "gram.y"
    {
					SetToDefault *n = makeNode(SetToDefault);
					n->location = (yylsp[(1) - (1)]);
					(yyval.node) = (Node *) n;
				}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 12453 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].node)); }
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 12454 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].node)); }
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 12462 "gram.y"
    { (yyval.list) = (yyvsp[(2) - (3)].list); }
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 12472 "gram.y"
    { (yyval.list) = (yyvsp[(1) - (1)].list); }
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 12473 "gram.y"
    { (yyval.list) = NIL; }
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 12477 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].target)); }
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 12478 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].target)); }
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 12482 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(3) - (3)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (3)].node);
					(yyval.target)->location = (yylsp[(1) - (3)]);
				}
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 12498 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = (yyvsp[(2) - (2)].str);
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (2)].node);
					(yyval.target)->location = (yylsp[(1) - (2)]);
				}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 12506 "gram.y"
    {
					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)(yyvsp[(1) - (1)].node);
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 12514 "gram.y"
    {
					ColumnRef *n = makeNode(ColumnRef);
					n->fields = list_make1(makeNode(A_Star));
					n->location = (yylsp[(1) - (1)]);

					(yyval.target) = makeNode(ResTarget);
					(yyval.target)->name = NULL;
					(yyval.target)->indirection = NIL;
					(yyval.target)->val = (Node *)n;
					(yyval.target)->location = (yylsp[(1) - (1)]);
				}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 12535 "gram.y"
    { (yyval.list) = list_make1((yyvsp[(1) - (1)].range)); }
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 12536 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), (yyvsp[(3) - (3)].range)); }
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 12548 "gram.y"
    {
					(yyval.range) = makeRangeVar(NULL, (yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 12552 "gram.y"
    {
					check_qualified_name((yyvsp[(2) - (2)].list), yyscanner);
					(yyval.range) = makeRangeVar(NULL, NULL, (yylsp[(1) - (2)]));
					switch (list_length((yyvsp[(2) - (2)].list)))
					{
						case 1:
							(yyval.range)->catalogname = NULL;
							(yyval.range)->schemaname = (yyvsp[(1) - (2)].str);
							(yyval.range)->relname = strVal(linitial((yyvsp[(2) - (2)].list)));
							break;
						case 2:
							(yyval.range)->catalogname = (yyvsp[(1) - (2)].str);
							(yyval.range)->schemaname = strVal(linitial((yyvsp[(2) - (2)].list)));
							(yyval.range)->relname = strVal(lsecond((yyvsp[(2) - (2)].list)));
							break;
						default:
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("improper qualified name (too many dotted names): %s",
											NameListToString(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)))),
									 parser_errposition((yylsp[(1) - (2)]))));
							break;
					}
				}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 12579 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 12581 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 12585 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 12588 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 12591 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 12593 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 12595 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 12597 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 12608 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 12610 "gram.y"
    {
						(yyval.list) = check_func_name(lcons(makeString((yyvsp[(1) - (2)].str)), (yyvsp[(2) - (2)].list)),
											 yyscanner);
					}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 12621 "gram.y"
    {
					(yyval.node) = makeIntConst((yyvsp[(1) - (1)].ival), (yylsp[(1) - (1)]));
				}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 12625 "gram.y"
    {
					(yyval.node) = makeFloatConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 12629 "gram.y"
    {
					(yyval.node) = makeStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 12633 "gram.y"
    {
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 12637 "gram.y"
    {
					/* This is a bit constant per SQL99:
					 * Without Feature F511, "BIT data type",
					 * a <general literal> shall not be a
					 * <bit string literal> or a <hex string literal>.
					 */
					(yyval.node) = makeBitStringConst((yyvsp[(1) - (1)].str), (yylsp[(1) - (1)]));
				}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 12646 "gram.y"
    {
					/* generic type 'literal' syntax */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (2)].list));
					t->location = (yylsp[(1) - (2)]);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), t);
				}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 12653 "gram.y"
    {
					/* generic syntax with a type modifier */
					TypeName *t = makeTypeNameFromNameList((yyvsp[(1) - (6)].list));
					ListCell *lc;

					/*
					 * We must use func_arg_list and opt_sort_clause in the
					 * production to avoid reduce/reduce conflicts, but we
					 * don't actually wish to allow NamedArgExpr in this
					 * context, nor ORDER BY.
					 */
					foreach(lc, (yyvsp[(3) - (6)].list))
					{
						NamedArgExpr *arg = (NamedArgExpr *) lfirst(lc);

						if (IsA(arg, NamedArgExpr))
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have parameter name"),
									 parser_errposition(arg->location)));
					}
					if ((yyvsp[(4) - (6)].list) != NIL)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("type modifier cannot have ORDER BY"),
									 parser_errposition((yylsp[(4) - (6)]))));

					t->typmods = (yyvsp[(3) - (6)].list);
					t->location = (yylsp[(1) - (6)]);
					(yyval.node) = makeStringConstCast((yyvsp[(6) - (6)].str), (yylsp[(6) - (6)]), t);
				}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 12685 "gram.y"
    {
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (2)].str), (yylsp[(2) - (2)]), (yyvsp[(1) - (2)].typnam));
				}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 12689 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (3)].typnam);
					t->typmods = (yyvsp[(3) - (3)].list);
					(yyval.node) = makeStringConstCast((yyvsp[(2) - (3)].str), (yylsp[(2) - (3)]), t);
				}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 12695 "gram.y"
    {
					TypeName *t = (yyvsp[(1) - (6)].typnam);
					if ((yyvsp[(6) - (6)].list) != NIL)
					{
						if (list_length((yyvsp[(6) - (6)].list)) != 1)
							ereport(ERROR,
									(errcode(ERRCODE_SYNTAX_ERROR),
									 errmsg("interval precision specified twice"),
									 parser_errposition((yylsp[(1) - (6)]))));
						t->typmods = lappend((yyvsp[(6) - (6)].list), makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					}
					else
						t->typmods = list_make2(makeIntConst(INTERVAL_FULL_RANGE, -1),
												makeIntConst((yyvsp[(3) - (6)].ival), (yylsp[(3) - (6)])));
					(yyval.node) = makeStringConstCast((yyvsp[(5) - (6)].str), (yylsp[(5) - (6)]), t);
				}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 12712 "gram.y"
    {
					(yyval.node) = makeBoolAConst(TRUE, (yylsp[(1) - (1)]));
				}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 12716 "gram.y"
    {
					(yyval.node) = makeBoolAConst(FALSE, (yylsp[(1) - (1)]));
				}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 12720 "gram.y"
    {
					(yyval.node) = makeNullAConst((yylsp[(1) - (1)]));
				}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 12725 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 12726 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 12727 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 12730 "gram.y"
    { (yyval.list) = list_make1(makeString((yyvsp[(1) - (1)].str))); }
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 12732 "gram.y"
    { (yyval.list) = lappend((yyvsp[(1) - (3)].list), makeString((yyvsp[(3) - (3)].str))); }
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 12735 "gram.y"
    { (yyval.ival) = (yyvsp[(1) - (1)].ival); }
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 12736 "gram.y"
    { (yyval.ival) = + (yyvsp[(2) - (2)].ival); }
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 12737 "gram.y"
    { (yyval.ival) = - (yyvsp[(2) - (2)].ival); }
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 12753 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 12754 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 12755 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 12760 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 12761 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 12762 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 12767 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 12768 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 12769 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 12770 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 12776 "gram.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 12777 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 12778 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 12779 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 12780 "gram.y"
    { (yyval.str) = pstrdup((yyvsp[(1) - (1)].keyword)); }
    break;



/* Line 1806 of yacc.c  */
#line 40190 "gram.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (&yylloc, yyscanner, YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (&yylloc, yyscanner, yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc, yyscanner);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (&yylloc, yyscanner, YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc, yyscanner);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp, yyscanner);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 13242 "gram.y"


/*
 * The signature of this function is required by bison.  However, we
 * ignore the passed yylloc and instead use the last token position
 * available from the scanner.
 */
static void
base_yyerror(YYLTYPE *yylloc, core_yyscan_t yyscanner, const char *msg)
{
	parser_yyerror(msg);
}

static Node *
makeColumnRef(char *colname, List *indirection,
			  int location, core_yyscan_t yyscanner)
{
	/*
	 * Generate a ColumnRef node, with an A_Indirection node added if there
	 * is any subscripting in the specified indirection list.  However,
	 * any field selection at the start of the indirection list must be
	 * transposed into the "fields" part of the ColumnRef node.
	 */
	ColumnRef  *c = makeNode(ColumnRef);
	int		nfields = 0;
	ListCell *l;

	c->location = location;
	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Indices))
		{
			A_Indirection *i = makeNode(A_Indirection);

			if (nfields == 0)
			{
				/* easy case - all indirection goes to A_Indirection */
				c->fields = list_make1(makeString(colname));
				i->indirection = check_indirection(indirection, yyscanner);
			}
			else
			{
				/* got to split the list in two */
				i->indirection = check_indirection(list_copy_tail(indirection,
																  nfields),
												   yyscanner);
				indirection = list_truncate(indirection, nfields);
				c->fields = lcons(makeString(colname), indirection);
			}
			i->arg = (Node *) c;
			return (Node *) i;
		}
		else if (IsA(lfirst(l), A_Star))
		{
			/* We only allow '*' at the end of a ColumnRef */
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
		nfields++;
	}
	/* No subscripting, so all indirection gets added to field list */
	c->fields = lcons(makeString(colname), indirection);
	return (Node *) c;
}

static Node *
makeTypeCast(Node *arg, TypeName *typename, int location)
{
	TypeCast *n = makeNode(TypeCast);
	n->arg = arg;
	n->typeName = typename;
	n->location = location;
	return (Node *) n;
}

static Node *
makeStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeStringConstCast(char *str, int location, TypeName *typename)
{
	Node *s = makeStringConst(str, location);

	return makeTypeCast(s, typename, -1);
}

static Node *
makeIntConst(int val, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Integer;
	n->val.val.ival = val;
	n->location = location;

	return (Node *)n;
}

static Node *
makeFloatConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Float;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeBitStringConst(char *str, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_BitString;
	n->val.val.str = str;
	n->location = location;

	return (Node *)n;
}

static Node *
makeNullAConst(int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_Null;
	n->location = location;

	return (Node *)n;
}

static Node *
makeAConst(Value *v, int location)
{
	Node *n;

	switch (v->type)
	{
		case T_Float:
			n = makeFloatConst(v->val.str, location);
			break;

		case T_Integer:
			n = makeIntConst(v->val.ival, location);
			break;

		case T_String:
		default:
			n = makeStringConst(v->val.str, location);
			break;
	}

	return n;
}

/* makeBoolAConst()
 * Create an A_Const string node and put it inside a boolean cast.
 */
static Node *
makeBoolAConst(bool state, int location)
{
	A_Const *n = makeNode(A_Const);

	n->val.type = T_String;
	n->val.val.str = (state ? "t" : "f");
	n->location = location;

	return makeTypeCast((Node *)n, SystemTypeName("bool"), -1);
}

/* check_qualified_name --- check the result of qualified_name production
 *
 * It's easiest to let the grammar production for qualified_name allow
 * subscripts and '*', which we then must reject here.
 */
static void
check_qualified_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
}

/* check_func_name --- check the result of func_name production
 *
 * It's easiest to let the grammar production for func_name allow subscripts
 * and '*', which we then must reject here.
 */
static List *
check_func_name(List *names, core_yyscan_t yyscanner)
{
	ListCell   *i;

	foreach(i, names)
	{
		if (!IsA(lfirst(i), String))
			parser_yyerror("syntax error");
	}
	return names;
}

/* check_indirection --- check the result of indirection production
 *
 * We only allow '*' at the end of the list, but it's hard to enforce that
 * in the grammar, so do it here.
 */
static List *
check_indirection(List *indirection, core_yyscan_t yyscanner)
{
	ListCell *l;

	foreach(l, indirection)
	{
		if (IsA(lfirst(l), A_Star))
		{
			if (lnext(l) != NULL)
				parser_yyerror("improper use of \"*\"");
		}
	}
	return indirection;
}

/* extractArgTypes()
 * Given a list of FunctionParameter nodes, extract a list of just the
 * argument types (TypeNames) for input parameters only.  This is what
 * is needed to look up an existing function, which is what is wanted by
 * the productions that use this call.
 */
static List *
extractArgTypes(List *parameters)
{
	List	   *result = NIL;
	ListCell   *i;

	foreach(i, parameters)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(i);

		if (p->mode != FUNC_PARAM_OUT && p->mode != FUNC_PARAM_TABLE)
			result = lappend(result, p->argType);
	}
	return result;
}

/* extractAggrArgTypes()
 * As above, but work from the output of the aggr_args production.
 */
static List *
extractAggrArgTypes(List *aggrargs)
{
	Assert(list_length(aggrargs) == 2);
	return extractArgTypes((List *) linitial(aggrargs));
}

/* makeOrderedSetArgs()
 * Build the result of the aggr_args production (which see the comments for).
 * This handles only the case where both given lists are nonempty, so that
 * we have to deal with multiple VARIADIC arguments.
 */
static List *
makeOrderedSetArgs(List *directargs, List *orderedargs,
				   core_yyscan_t yyscanner)
{
	FunctionParameter *lastd = (FunctionParameter *) llast(directargs);
	int			ndirectargs;

	/* No restriction unless last direct arg is VARIADIC */
	if (lastd->mode == FUNC_PARAM_VARIADIC)
	{
		FunctionParameter *firsto = (FunctionParameter *) linitial(orderedargs);

		/*
		 * We ignore the names, though the aggr_arg production allows them;
		 * it doesn't allow default values, so those need not be checked.
		 */
		if (list_length(orderedargs) != 1 ||
			firsto->mode != FUNC_PARAM_VARIADIC ||
			!equal(lastd->argType, firsto->argType))
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 errmsg("an ordered-set aggregate with a VARIADIC direct argument must have one VARIADIC aggregated argument of the same data type"),
					 parser_errposition(exprLocation((Node *) firsto))));

		/* OK, drop the duplicate VARIADIC argument from the internal form */
		orderedargs = NIL;
	}

	/* don't merge into the next line, as list_concat changes directargs */
	ndirectargs = list_length(directargs);

	return list_make2(list_concat(directargs, orderedargs),
					  makeInteger(ndirectargs));
}

/* insertSelectOptions()
 * Insert ORDER BY, etc into an already-constructed SelectStmt.
 *
 * This routine is just to avoid duplicating code in SelectStmt productions.
 */
static void
insertSelectOptions(SelectStmt *stmt,
					List *sortClause, List *lockingClause,
					Node *limitOffset, Node *limitCount,
					WithClause *withClause,
					core_yyscan_t yyscanner)
{
	Assert(IsA(stmt, SelectStmt));

	/*
	 * Tests here are to reject constructs like
	 *	(SELECT foo ORDER BY bar) ORDER BY baz
	 */
	if (sortClause)
	{
		if (stmt->sortClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple ORDER BY clauses not allowed"),
					 parser_errposition(exprLocation((Node *) sortClause))));
		stmt->sortClause = sortClause;
	}
	/* We can handle multiple locking clauses, though */
	stmt->lockingClause = list_concat(stmt->lockingClause, lockingClause);
	if (limitOffset)
	{
		if (stmt->limitOffset)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple OFFSET clauses not allowed"),
					 parser_errposition(exprLocation(limitOffset))));
		stmt->limitOffset = limitOffset;
	}
	if (limitCount)
	{
		if (stmt->limitCount)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple LIMIT clauses not allowed"),
					 parser_errposition(exprLocation(limitCount))));
		stmt->limitCount = limitCount;
	}
	if (withClause)
	{
		if (stmt->withClause)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("multiple WITH clauses not allowed"),
					 parser_errposition(exprLocation((Node *) withClause))));
		stmt->withClause = withClause;
	}
}

static Node *
makeSetOp(SetOperation op, bool all, Node *larg, Node *rarg)
{
	SelectStmt *n = makeNode(SelectStmt);

	n->op = op;
	n->all = all;
	n->larg = (SelectStmt *) larg;
	n->rarg = (SelectStmt *) rarg;
	return (Node *) n;
}

/* SystemFuncName()
 * Build a properly-qualified reference to a built-in function.
 */
List *
SystemFuncName(char *name)
{
	return list_make2(makeString("pg_catalog"), makeString(name));
}

/* SystemTypeName()
 * Build a properly-qualified reference to a built-in type.
 *
 * typmod is defaulted, but may be changed afterwards by caller.
 * Likewise for the location.
 */
TypeName *
SystemTypeName(char *name)
{
	return makeTypeNameFromNameList(list_make2(makeString("pg_catalog"),
											   makeString(name)));
}

/* doNegate()
 * Handle negation of a numeric constant.
 *
 * Formerly, we did this here because the optimizer couldn't cope with
 * indexquals that looked like "var = -4" --- it wants "var = const"
 * and a unary minus operator applied to a constant didn't qualify.
 * As of Postgres 7.0, that problem doesn't exist anymore because there
 * is a constant-subexpression simplifier in the optimizer.  However,
 * there's still a good reason for doing this here, which is that we can
 * postpone committing to a particular internal representation for simple
 * negative constants.	It's better to leave "-123.456" in string form
 * until we know what the desired type is.
 */
static Node *
doNegate(Node *n, int location)
{
	if (IsA(n, A_Const))
	{
		A_Const *con = (A_Const *)n;

		/* report the constant's location as that of the '-' sign */
		con->location = location;

		if (con->val.type == T_Integer)
		{
			con->val.val.ival = -con->val.val.ival;
			return n;
		}
		if (con->val.type == T_Float)
		{
			doNegateFloat(&con->val);
			return n;
		}
	}

	return (Node *) makeSimpleA_Expr(AEXPR_OP, "-", NULL, n, location);
}

static void
doNegateFloat(Value *v)
{
	char   *oldval = v->val.str;

	Assert(IsA(v, Float));
	if (*oldval == '+')
		oldval++;
	if (*oldval == '-')
		v->val.str = oldval+1;	/* just strip the '-' */
	else
		v->val.str = psprintf("-%s", oldval);
}

static Node *
makeAArrayExpr(List *elements, int location)
{
	A_ArrayExpr *n = makeNode(A_ArrayExpr);

	n->elements = elements;
	n->location = location;
	return (Node *) n;
}

static Node *
makeXmlExpr(XmlExprOp op, char *name, List *named_args, List *args,
			int location)
{
	XmlExpr		*x = makeNode(XmlExpr);

	x->op = op;
	x->name = name;
	/*
	 * named_args is a list of ResTarget; it'll be split apart into separate
	 * expression and name lists in transformXmlExpr().
	 */
	x->named_args = named_args;
	x->arg_names = NIL;
	x->args = args;
	/* xmloption, if relevant, must be filled in by caller */
	/* type and typmod will be filled in during parse analysis */
	x->type = InvalidOid;			/* marks the node as not analyzed */
	x->location = location;
	return (Node *) x;
}

/*
 * Merge the input and output parameters of a table function.
 */
static List *
mergeTableFuncParameters(List *func_args, List *columns)
{
	ListCell   *lc;

	/* Explicit OUT and INOUT parameters shouldn't be used in this syntax */
	foreach(lc, func_args)
	{
		FunctionParameter *p = (FunctionParameter *) lfirst(lc);

		if (p->mode != FUNC_PARAM_IN && p->mode != FUNC_PARAM_VARIADIC)
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("OUT and INOUT arguments aren't allowed in TABLE functions")));
	}

	return list_concat(func_args, columns);
}

/*
 * Determine return type of a TABLE function.  A single result column
 * returns setof that column's type; otherwise return setof record.
 */
static TypeName *
TableFuncTypeName(List *columns)
{
	TypeName *result;

	if (list_length(columns) == 1)
	{
		FunctionParameter *p = (FunctionParameter *) linitial(columns);

		result = (TypeName *) copyObject(p->argType);
	}
	else
		result = SystemTypeName("record");

	result->setof = true;

	return result;
}

/*
 * Convert a list of (dotted) names to a RangeVar (like
 * makeRangeVarFromNameList, but with position support).  The
 * "AnyName" refers to the any_name production in the grammar.
 */
static RangeVar *
makeRangeVarFromAnyName(List *names, int position, core_yyscan_t yyscanner)
{
	RangeVar *r = makeNode(RangeVar);

	switch (list_length(names))
	{
		case 1:
			r->catalogname = NULL;
			r->schemaname = NULL;
			r->relname = strVal(linitial(names));
			break;
		case 2:
			r->catalogname = NULL;
			r->schemaname = strVal(linitial(names));
			r->relname = strVal(lsecond(names));
			break;
		case 3:
			r->catalogname = strVal(linitial(names));;
			r->schemaname = strVal(lsecond(names));
			r->relname = strVal(lthird(names));
			break;
		default:
			ereport(ERROR,
					(errcode(ERRCODE_SYNTAX_ERROR),
					 errmsg("improper qualified name (too many dotted names): %s",
							NameListToString(names)),
					 parser_errposition(position)));
			break;
	}

	r->relpersistence = RELPERSISTENCE_PERMANENT;
	r->location = position;

	return r;
}

/* Separate Constraint nodes from COLLATE clauses in a ColQualList */
static void
SplitColQualList(List *qualList,
				 List **constraintList, CollateClause **collClause,
				 core_yyscan_t yyscanner)
{
	ListCell   *cell;
	ListCell   *prev;
	ListCell   *next;

	*collClause = NULL;
	prev = NULL;
	for (cell = list_head(qualList); cell; cell = next)
	{
		Node   *n = (Node *) lfirst(cell);

		next = lnext(cell);
		if (IsA(n, Constraint))
		{
			/* keep it in list */
			prev = cell;
			continue;
		}
		if (IsA(n, CollateClause))
		{
			CollateClause *c = (CollateClause *) n;

			if (*collClause)
				ereport(ERROR,
						(errcode(ERRCODE_SYNTAX_ERROR),
						 errmsg("multiple COLLATE clauses not allowed"),
						 parser_errposition(c->location)));
			*collClause = c;
		}
		else
			elog(ERROR, "unexpected node type %d", (int) n->type);
		/* remove non-Constraint nodes from qualList */
		qualList = list_delete_cell(qualList, cell, prev);
	}
	*constraintList = qualList;
}

/*
 * Process result of ConstraintAttributeSpec, and set appropriate bool flags
 * in the output command node.  Pass NULL for any flags the particular
 * command doesn't support.
 */
static void
processCASbits(int cas_bits, int location, const char *constrType,
			   bool *deferrable, bool *initdeferred, bool *not_valid,
			   bool *no_inherit, core_yyscan_t yyscanner)
{
	/* defaults */
	if (deferrable)
		*deferrable = false;
	if (initdeferred)
		*initdeferred = false;
	if (not_valid)
		*not_valid = false;

	if (cas_bits & (CAS_DEFERRABLE | CAS_INITIALLY_DEFERRED))
	{
		if (deferrable)
			*deferrable = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_INITIALLY_DEFERRED)
	{
		if (initdeferred)
			*initdeferred = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked DEFERRABLE",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NOT_VALID)
	{
		if (not_valid)
			*not_valid = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NOT VALID",
							constrType),
					 parser_errposition(location)));
	}

	if (cas_bits & CAS_NO_INHERIT)
	{
		if (no_inherit)
			*no_inherit = true;
		else
			ereport(ERROR,
					(errcode(ERRCODE_FEATURE_NOT_SUPPORTED),
					 /* translator: %s is CHECK, UNIQUE, or similar */
					 errmsg("%s constraints cannot be marked NO INHERIT",
							constrType),
					 parser_errposition(location)));
	}
}

/*----------
 * Recursive view transformation
 *
 * Convert
 *
 *     CREATE RECURSIVE VIEW relname (aliases) AS query
 *
 * to
 *
 *     CREATE VIEW relname (aliases) AS
 *         WITH RECURSIVE relname (aliases) AS (query)
 *         SELECT aliases FROM relname
 *
 * Actually, just the WITH ... part, which is then inserted into the original
 * view definition as the query.
 * ----------
 */
static Node *
makeRecursiveViewSelect(char *relname, List *aliases, Node *query)
{
	SelectStmt *s = makeNode(SelectStmt);
	WithClause *w = makeNode(WithClause);
	CommonTableExpr *cte = makeNode(CommonTableExpr);
	List	   *tl = NIL;
	ListCell   *lc;

	/* create common table expression */
	cte->ctename = relname;
	cte->aliascolnames = aliases;
	cte->ctequery = query;
	cte->location = -1;

	/* create WITH clause and attach CTE */
	w->recursive = true;
	w->ctes = list_make1(cte);
	w->location = -1;

	/* create target list for the new SELECT from the alias list of the
	 * recursive view specification */
	foreach (lc, aliases)
	{
		ResTarget *rt = makeNode(ResTarget);

		rt->name = NULL;
		rt->indirection = NIL;
		rt->val = makeColumnRef(strVal(lfirst(lc)), NIL, -1, 0);
		rt->location = -1;

		tl = lappend(tl, rt);
	}

	/* create new SELECT combining WITH clause, target list, and fake FROM
	 * clause */
	s->withClause = w;
	s->targetList = tl;
	s->fromClause = list_make1(makeRangeVar(NULL, relname, -1));

	return (Node *) s;
}

/* parser_init()
 * Initialize to parse one query string
 */
void
parser_init(base_yy_extra_type *yyext)
{
	yyext->parsetree = NIL;		/* in case grammar forgets to set it */
}

/*
 * Must undefine this stuff before including scan.c, since it has different
 * definitions for these macros.
 */
#undef yyerror
#undef yylval
#undef yylloc

#include "scan.c"

