/* A Bison parser, made by GNU Bison 2.5.  */

/* Bison implementation for Yacc-like parsers in C
   
      Copyright (C) 1984, 1989-1990, 2000-2011 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.5"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         base_yyparse
#define yylex           base_yylex
#define yyerror         base_yyerror
#define yylval          base_yylval
#define yychar          base_yychar
#define yydebug         base_yydebug
#define yynerrs         base_yynerrs
#define yylloc          base_yylloc

/* Copy the first part of user declarations.  */

/* Line 268 of yacc.c  */
#line 5 "preproc.y"

#include "postgres_fe.h"

#include "extern.h"
#include "ecpg_config.h"
#include <unistd.h>

/* Location tracking support --- simpler than bison's default */
#define YYLLOC_DEFAULT(Current, Rhs, N) \
	do { \
		if (N)						\
			(Current) = (Rhs)[1];	\
		else						\
			(Current) = (Rhs)[0];	\
	} while (0)

/*
 * The %name-prefix option below will make bison call base_yylex, but we
 * really want it to call filtered_base_yylex (see parser.c).
 */
#define base_yylex filtered_base_yylex

/*
 * This is only here so the string gets into the POT.  Bison uses it
 * internally.
 */
#define bison_gettext_dummy gettext_noop("syntax error")

/*
 * Variables containing simple states.
 */
int struct_level = 0;
int braces_open; /* brace level counter */
char *current_function;
int ecpg_internal_var = 0;
char	*connection = NULL;
char	*input_filename = NULL;

static int	FoundInto = 0;
static int	initializer = 0;
static int	pacounter = 1;
static char	pacounter_buffer[sizeof(int) * CHAR_BIT * 10 / 3]; /* a rough guess at the size we need */
static struct this_type actual_type[STRUCT_DEPTH];
static char *actual_startline[STRUCT_DEPTH];
static int	varchar_counter = 1;

/* temporarily store struct members while creating the data structure */
struct ECPGstruct_member *struct_member_list[STRUCT_DEPTH] = { NULL };

/* also store struct type so we can do a sizeof() later */
static char *ECPGstruct_sizeof = NULL;

/* for forward declarations we have to store some data as well */
static char *forward_name = NULL;

struct ECPGtype ecpg_no_indicator = {ECPGt_NO_INDICATOR, NULL, NULL, NULL, {NULL}, 0};
struct variable no_indicator = {"no_indicator", &ecpg_no_indicator, 0, NULL};

struct ECPGtype ecpg_query = {ECPGt_char_variable, NULL, NULL, NULL, {NULL}, 0};

/*
 * Handle parsing errors and warnings
 */
static void __attribute__((format(PG_PRINTF_ATTRIBUTE, 3, 0)))
vmmerror(int error_code, enum errortype type, const char *error, va_list ap)
{
	/* internationalize the error message string */
	error = _(error);

	fprintf(stderr, "%s:%d: ", input_filename, yylineno);

	switch(type)
	{
		case ET_WARNING:
			fprintf(stderr, _("WARNING: "));
			break;
		case ET_ERROR:
			fprintf(stderr, _("ERROR: "));
			break;
	}

	vfprintf(stderr, error, ap);

	fprintf(stderr, "\n");

	switch(type)
	{
		case ET_WARNING:
			break;
		case ET_ERROR:
			ret_value = error_code;
			break;
	}
}

void
mmerror(int error_code, enum errortype type, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, type, error, ap);
	va_end(ap);
}

void
mmfatal(int error_code, const char *error, ...)
{
	va_list		ap;

	va_start(ap, error);
	vmmerror(error_code, ET_ERROR, error, ap);
	va_end(ap);

	if (yyin)
		fclose(yyin);
	if (yyout)
		fclose(yyout);

	if (strcmp(output_filename, "-") != 0 && unlink(output_filename) != 0)
		fprintf(stderr, _("could not remove output file \"%s\"\n"), output_filename);
	exit(error_code);
}

/*
 * string concatenation
 */

static char *
cat2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 2);

	strcpy(res_str, str1);
	if (strlen(str1) != 0 && strlen(str2) != 0)
		strcat(res_str, " ");
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
cat_str(int count, ...)
{
	va_list		args;
	int			i;
	char		*res_str;

	va_start(args, count);

	res_str = va_arg(args, char *);

	/* now add all other strings */
	for (i = 1; i < count; i++)
		res_str = cat2_str(res_str, va_arg(args, char *));

	va_end(args);

	return(res_str);
}

static char *
make2_str(char *str1, char *str2)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	free(str1);
	free(str2);
	return(res_str);
}

static char *
make3_str(char *str1, char *str2, char *str3)
{
	char * res_str	= (char *)mm_alloc(strlen(str1) + strlen(str2) +strlen(str3) + 1);

	strcpy(res_str, str1);
	strcat(res_str, str2);
	strcat(res_str, str3);
	free(str1);
	free(str2);
	free(str3);
	return(res_str);
}

/* and the rest */
static char *
make_name(void)
{
	return mm_strdup(yytext);
}

static char *
create_questionmarks(char *name, bool array)
{
	struct variable *p = find_variable(name);
	int count;
	char *result = EMPTY;

	/* In case we have a struct, we have to print as many "?" as there are attributes in the struct
	 * An array is only allowed together with an element argument
	 * This is essantially only used for inserts, but using a struct as input parameter is an error anywhere else
	 * so we don't have to worry here. */

	if (p->type->type == ECPGt_struct || (array && p->type->type == ECPGt_array && p->type->u.element->type == ECPGt_struct))
	{
		struct ECPGstruct_member *m;

		if (p->type->type == ECPGt_struct)
			m = p->type->u.members;
		else
			m = p->type->u.element->u.members;

		for (count = 0; m != NULL; m=m->next, count++);
	}
	else
		count = 1;

	for (; count > 0; count --)
	{
		sprintf(pacounter_buffer, "$%d", pacounter++);
		result = cat_str(3, result, mm_strdup(pacounter_buffer), mm_strdup(" , "));
	}

	/* removed the trailing " ," */

	result[strlen(result)-3] = '\0';
	return(result);
}

static char *
adjust_outofscope_cursor_vars(struct cursor *cur)
{
	/* Informix accepts DECLARE with variables that are out of scope when OPEN is called.
	 * For instance you can DECLARE a cursor in one function, and OPEN/FETCH/CLOSE
	 * it in another functions. This is very useful for e.g. event-driver programming,
	 * but may also lead to dangerous programming. The limitation when this is allowed
	 * and doesn't cause problems have to be documented, like the allocated variables
	 * must not be realloc()'ed.
	 *
	 * We have to change the variables to our own struct and just store the pointer
	 * instead of the variable. Do it only for local variables, not for globals.
	 */

	char *result = EMPTY;
	int insert;

	for (insert = 1; insert >= 0; insert--)
	{
		struct arguments *list;
		struct arguments *ptr;
		struct arguments *newlist = NULL;
		struct variable *newvar, *newind;

		list = (insert ? cur->argsinsert : cur->argsresult);

		for (ptr = list; ptr != NULL; ptr = ptr->next)
		{
			char var_text[20];
			char *original_var;
			bool skip_set_var = false;
			bool var_ptr = false;

			/* change variable name to "ECPGget_var(<counter>)" */
			original_var = ptr->variable->name;
			sprintf(var_text, "%d))", ecpg_internal_var);

			/* Don't emit ECPGset_var() calls for global variables */
			if (ptr->variable->brace_level == 0)
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type == ECPGt_char_variable)
					 && (strncmp(ptr->variable->name, "ECPGprepared_statement", strlen("ECPGprepared_statement")) == 0))
			{
				newvar = ptr->variable;
				skip_set_var = true;
			}
			else if ((ptr->variable->type->type != ECPGt_varchar
					  && ptr->variable->type->type != ECPGt_char
					  && ptr->variable->type->type != ECPGt_unsigned_char
					  && ptr->variable->type->type != ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->u.element->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																			   mm_strdup("1"),
																			   ptr->variable->type->u.element->counter),
														  ptr->variable->type->size),
									  0);
			}
			else if ((ptr->variable->type->type == ECPGt_varchar
					  || ptr->variable->type->type == ECPGt_char
					  || ptr->variable->type->type == ECPGt_unsigned_char
					  || ptr->variable->type->type == ECPGt_string)
					 && atoi(ptr->variable->type->size) > 1)
			{
				newvar = new_variable(cat_str(4, mm_strdup("("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				if (ptr->variable->type->type == ECPGt_varchar)
					var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_struct
					 || ptr->variable->type->type == ECPGt_union)
			{
				newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
									  ECPGmake_struct_type(ptr->variable->type->u.members,
														   ptr->variable->type->type,
														   ptr->variable->type->type_name,
														   ptr->variable->type->struct_sizeof),
									  0);
				var_ptr = true;
			}
			else if (ptr->variable->type->type == ECPGt_array)
			{
				if (ptr->variable->type->u.element->type == ECPGt_struct
					|| ptr->variable->type->u.element->type == ECPGt_union)
				{
					newvar = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->variable->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->variable->type->u.element->u.members,
															   ptr->variable->type->u.element->type,
															   ptr->variable->type->u.element->type_name,
															   ptr->variable->type->u.element->struct_sizeof),
										  0);
				}
				else
				{
					newvar = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_array_type(ECPGmake_simple_type(ptr->variable->type->u.element->type,
																				   ptr->variable->type->u.element->size,
																				   ptr->variable->type->u.element->counter),
															  ptr->variable->type->size),
										  0);
					var_ptr = true;
				}
			}
			else
			{
				newvar = new_variable(cat_str(4, mm_strdup("*("),
											  mm_strdup(ecpg_type_name(ptr->variable->type->type)),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text)),
									  ECPGmake_simple_type(ptr->variable->type->type,
														   ptr->variable->type->size,
														   ptr->variable->type->counter),
									  0);
				var_ptr = true;
			}

			/* create call to "ECPGset_var(<counter>, <connection>, <pointer>. <line number>)" */
			if (!skip_set_var)
			{
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			/* now the indicator if there is one and it's not a global variable */
			if ((ptr->indicator->type->type == ECPGt_NO_INDICATOR) || (ptr->indicator->brace_level == 0))
			{
				newind = ptr->indicator;
			}
			else
			{
				/* change variable name to "ECPGget_var(<counter>)" */
				original_var = ptr->indicator->name;
				sprintf(var_text, "%d))", ecpg_internal_var);
				var_ptr = false;

				if (ptr->indicator->type->type == ECPGt_struct
					|| ptr->indicator->type->type == ECPGt_union)
				{
					newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
										  ECPGmake_struct_type(ptr->indicator->type->u.members,
															   ptr->indicator->type->type,
															   ptr->indicator->type->type_name,
															   ptr->indicator->type->struct_sizeof),
										  0);
					var_ptr = true;
				}
				else if (ptr->indicator->type->type == ECPGt_array)
				{
					if (ptr->indicator->type->u.element->type == ECPGt_struct
						|| ptr->indicator->type->u.element->type == ECPGt_union)
					{
						newind = new_variable(cat_str(5, mm_strdup("(*("),
											  mm_strdup(ptr->indicator->type->u.element->type_name),
											  mm_strdup(" *)(ECPGget_var("),
											  mm_strdup(var_text),
											  mm_strdup(")")),
											  ECPGmake_struct_type(ptr->indicator->type->u.element->u.members,
																   ptr->indicator->type->u.element->type,
																   ptr->indicator->type->u.element->type_name,
																   ptr->indicator->type->u.element->struct_sizeof),
											  0);
					}
					else
					{
						newind = new_variable(cat_str(4, mm_strdup("("),
													  mm_strdup(ecpg_type_name(ptr->indicator->type->u.element->type)),
													  mm_strdup(" *)(ECPGget_var("), mm_strdup(var_text)),
											  ECPGmake_array_type(ECPGmake_simple_type(ptr->indicator->type->u.element->type,
																					   ptr->indicator->type->u.element->size,
																					   ptr->indicator->type->u.element->counter),
																  ptr->indicator->type->size),
											  0);
						var_ptr = true;
					}
				}
				else if (atoi(ptr->indicator->type->size) > 1)
				{
					newind = new_variable(cat_str(4, mm_strdup("("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
				}
				else
				{
					newind = new_variable(cat_str(4, mm_strdup("*("),
												  mm_strdup(ecpg_type_name(ptr->indicator->type->type)),
												  mm_strdup(" *)(ECPGget_var("),
												  mm_strdup(var_text)),
										  ECPGmake_simple_type(ptr->indicator->type->type,
															   ptr->indicator->type->size,
															   ptr->variable->type->counter),
										  0);
					var_ptr = true;
				}

				/* create call to "ECPGset_var(<counter>, <pointer>. <line number>)" */
				sprintf(var_text, "%d, %s", ecpg_internal_var++, var_ptr ? "&(" : "(");
				result = cat_str(5, result, mm_strdup("ECPGset_var("),
								 mm_strdup(var_text), mm_strdup(original_var),
								 mm_strdup("), __LINE__);\n"));
			}

			add_variable_to_tail(&newlist, newvar, newind);
		}

		if (insert)
			cur->argsinsert_oos = newlist;
		else
			cur->argsresult_oos = newlist;
	}

	return result;
}

/* This tests whether the cursor was declared and opened in the same function. */
#define SAMEFUNC(cur)	\
	((cur->function == NULL) ||		\
	 (cur->function != NULL && strcmp(cur->function, current_function) == 0))

static struct cursor *
add_additional_variables(char *name, bool insert)
{
	struct cursor *ptr;
	struct arguments *p;
	int (* strcmp_fn)(const char *, const char *) = ((name[0] == ':' || name[0] == '"') ? strcmp : pg_strcasecmp);

	for (ptr = cur; ptr != NULL; ptr=ptr->next)
	{
		if (strcmp_fn(ptr->name, name) == 0)
			break;
	}

	if (ptr == NULL)
	{
		mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" does not exist", name);
		return NULL;
	}

	if (insert)
	{
		/* add all those input variables that were given earlier
		 * note that we have to append here but have to keep the existing order */
		for (p = (SAMEFUNC(ptr) ? ptr->argsinsert : ptr->argsinsert_oos); p; p = p->next)
			add_variable_to_tail(&argsinsert, p->variable, p->indicator);
	}

	/* add all those output variables that were given earlier */
	for (p = (SAMEFUNC(ptr) ? ptr->argsresult : ptr->argsresult_oos); p; p = p->next)
		add_variable_to_tail(&argsresult, p->variable, p->indicator);

	return ptr;
}

static void
add_typedef(char *name, char *dimension, char *length, enum ECPGttype type_enum,
			char *type_dimension, char *type_index, int initializer, int array)
{
	/* add entry to list */
	struct typedefs *ptr, *this;

	if ((type_enum == ECPGt_struct ||
		 type_enum == ECPGt_union) &&
		initializer == 1)
		mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in type definition");
	else if (INFORMIX_MODE && strcmp(name, "string") == 0)
		mmerror(PARSE_ERROR, ET_ERROR, "type name \"string\" is reserved in Informix mode");
	else
	{
		for (ptr = types; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp(name, ptr->name) == 0)
				/* re-definition is a bug */
				mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", name);
		}
		adjust_array(type_enum, &dimension, &length, type_dimension, type_index, array, true);

		this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

		/* initial definition */
		this->next = types;
		this->name = name;
		this->brace_level = braces_open;
		this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
		this->type->type_enum = type_enum;
		this->type->type_str = mm_strdup(name);
		this->type->type_dimension = dimension; /* dimension of array */
		this->type->type_index = length;	/* length of string */
		this->type->type_sizeof = ECPGstruct_sizeof;
		this->struct_member_list = (type_enum == ECPGt_struct || type_enum == ECPGt_union) ?
		ECPGstruct_member_dup(struct_member_list[struct_level]) : NULL;

		if (type_enum != ECPGt_varchar &&
			type_enum != ECPGt_char &&
			type_enum != ECPGt_unsigned_char &&
			type_enum != ECPGt_string &&
			atoi(this->type->type_index) >= 0)
			mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

		types = this;
	}
}


/* Line 268 of yacc.c  */
#line 650 "preproc.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 0
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     SQL_ALLOCATE = 258,
     SQL_AUTOCOMMIT = 259,
     SQL_BOOL = 260,
     SQL_BREAK = 261,
     SQL_CALL = 262,
     SQL_CARDINALITY = 263,
     SQL_CONNECT = 264,
     SQL_COUNT = 265,
     SQL_DATETIME_INTERVAL_CODE = 266,
     SQL_DATETIME_INTERVAL_PRECISION = 267,
     SQL_DESCRIBE = 268,
     SQL_DESCRIPTOR = 269,
     SQL_DISCONNECT = 270,
     SQL_FOUND = 271,
     SQL_FREE = 272,
     SQL_GET = 273,
     SQL_GO = 274,
     SQL_GOTO = 275,
     SQL_IDENTIFIED = 276,
     SQL_INDICATOR = 277,
     SQL_KEY_MEMBER = 278,
     SQL_LENGTH = 279,
     SQL_LONG = 280,
     SQL_NULLABLE = 281,
     SQL_OCTET_LENGTH = 282,
     SQL_OPEN = 283,
     SQL_OUTPUT = 284,
     SQL_REFERENCE = 285,
     SQL_RETURNED_LENGTH = 286,
     SQL_RETURNED_OCTET_LENGTH = 287,
     SQL_SCALE = 288,
     SQL_SECTION = 289,
     SQL_SHORT = 290,
     SQL_SIGNED = 291,
     SQL_SQL = 292,
     SQL_SQLERROR = 293,
     SQL_SQLPRINT = 294,
     SQL_SQLWARNING = 295,
     SQL_START = 296,
     SQL_STOP = 297,
     SQL_STRUCT = 298,
     SQL_UNSIGNED = 299,
     SQL_VAR = 300,
     SQL_WHENEVER = 301,
     S_ADD = 302,
     S_AND = 303,
     S_ANYTHING = 304,
     S_AUTO = 305,
     S_CONST = 306,
     S_DEC = 307,
     S_DIV = 308,
     S_DOTPOINT = 309,
     S_EQUAL = 310,
     S_EXTERN = 311,
     S_INC = 312,
     S_LSHIFT = 313,
     S_MEMPOINT = 314,
     S_MEMBER = 315,
     S_MOD = 316,
     S_MUL = 317,
     S_NEQUAL = 318,
     S_OR = 319,
     S_REGISTER = 320,
     S_RSHIFT = 321,
     S_STATIC = 322,
     S_SUB = 323,
     S_VOLATILE = 324,
     S_TYPEDEF = 325,
     CSTRING = 326,
     CVARIABLE = 327,
     CPP_LINE = 328,
     IP = 329,
     DOLCONST = 330,
     ECONST = 331,
     NCONST = 332,
     UCONST = 333,
     UIDENT = 334,
     IDENT = 335,
     FCONST = 336,
     SCONST = 337,
     BCONST = 338,
     XCONST = 339,
     Op = 340,
     ICONST = 341,
     PARAM = 342,
     TYPECAST = 343,
     DOT_DOT = 344,
     COLON_EQUALS = 345,
     ABORT_P = 346,
     ABSOLUTE_P = 347,
     ACCESS = 348,
     ACTION = 349,
     ADD_P = 350,
     ADMIN = 351,
     AFTER = 352,
     AGGREGATE = 353,
     ALL = 354,
     ALSO = 355,
     ALTER = 356,
     ALWAYS = 357,
     ANALYSE = 358,
     ANALYZE = 359,
     AND = 360,
     ANY = 361,
     ARRAY = 362,
     AS = 363,
     ASC = 364,
     ASSERTION = 365,
     ASSIGNMENT = 366,
     ASYMMETRIC = 367,
     AT = 368,
     ATTRIBUTE = 369,
     AUTHORIZATION = 370,
     BACKWARD = 371,
     BEFORE = 372,
     BEGIN_P = 373,
     BETWEEN = 374,
     BIGINT = 375,
     BINARY = 376,
     BIT = 377,
     BOOLEAN_P = 378,
     BOTH = 379,
     BY = 380,
     CACHE = 381,
     CALLED = 382,
     CASCADE = 383,
     CASCADED = 384,
     CASE = 385,
     CAST = 386,
     CATALOG_P = 387,
     CHAIN = 388,
     CHAR_P = 389,
     CHARACTER = 390,
     CHARACTERISTICS = 391,
     CHECK = 392,
     CHECKPOINT = 393,
     CLASS = 394,
     CLOSE = 395,
     CLUSTER = 396,
     COALESCE = 397,
     COLLATE = 398,
     COLLATION = 399,
     COLUMN = 400,
     COMMENT = 401,
     COMMENTS = 402,
     COMMIT = 403,
     COMMITTED = 404,
     CONCURRENTLY = 405,
     CONFIGURATION = 406,
     CONNECTION = 407,
     CONSTRAINT = 408,
     CONSTRAINTS = 409,
     CONTENT_P = 410,
     CONTINUE_P = 411,
     CONVERSION_P = 412,
     COPY = 413,
     COST = 414,
     CREATE = 415,
     CROSS = 416,
     CSV = 417,
     CURRENT_P = 418,
     CURRENT_CATALOG = 419,
     CURRENT_DATE = 420,
     CURRENT_ROLE = 421,
     CURRENT_SCHEMA = 422,
     CURRENT_TIME = 423,
     CURRENT_TIMESTAMP = 424,
     CURRENT_USER = 425,
     CURSOR = 426,
     CYCLE = 427,
     DATA_P = 428,
     DATABASE = 429,
     DAY_P = 430,
     DEALLOCATE = 431,
     DEC = 432,
     DECIMAL_P = 433,
     DECLARE = 434,
     DEFAULT = 435,
     DEFAULTS = 436,
     DEFERRABLE = 437,
     DEFERRED = 438,
     DEFINER = 439,
     DELETE_P = 440,
     DELIMITER = 441,
     DELIMITERS = 442,
     DESC = 443,
     DICTIONARY = 444,
     DISABLE_P = 445,
     DISCARD = 446,
     DISTINCT = 447,
     DO = 448,
     DOCUMENT_P = 449,
     DOMAIN_P = 450,
     DOUBLE_P = 451,
     DROP = 452,
     EACH = 453,
     ELSE = 454,
     ENABLE_P = 455,
     ENCODING = 456,
     ENCRYPTED = 457,
     END_P = 458,
     ENUM_P = 459,
     ESCAPE = 460,
     EVENT = 461,
     EXCEPT = 462,
     EXCLUDE = 463,
     EXCLUDING = 464,
     EXCLUSIVE = 465,
     EXECUTE = 466,
     EXISTS = 467,
     EXPLAIN = 468,
     EXTENSION = 469,
     EXTERNAL = 470,
     EXTRACT = 471,
     FALSE_P = 472,
     FAMILY = 473,
     FETCH = 474,
     FILTER = 475,
     FIRST_P = 476,
     FLOAT_P = 477,
     FOLLOWING = 478,
     FOR = 479,
     FORCE = 480,
     FOREIGN = 481,
     FORWARD = 482,
     FREEZE = 483,
     FROM = 484,
     FULL = 485,
     FUNCTION = 486,
     FUNCTIONS = 487,
     GLOBAL = 488,
     GRANT = 489,
     GRANTED = 490,
     GREATEST = 491,
     GROUP_P = 492,
     HANDLER = 493,
     HAVING = 494,
     HEADER_P = 495,
     HOLD = 496,
     HOUR_P = 497,
     IDENTITY_P = 498,
     IF_P = 499,
     ILIKE = 500,
     IMMEDIATE = 501,
     IMMUTABLE = 502,
     IMPLICIT_P = 503,
     IN_P = 504,
     INCLUDING = 505,
     INCREMENT = 506,
     INDEX = 507,
     INDEXES = 508,
     INHERIT = 509,
     INHERITS = 510,
     INITIALLY = 511,
     INLINE_P = 512,
     INNER_P = 513,
     INOUT = 514,
     INPUT_P = 515,
     INSENSITIVE = 516,
     INSERT = 517,
     INSTEAD = 518,
     INT_P = 519,
     INTEGER = 520,
     INTERSECT = 521,
     INTERVAL = 522,
     INTO = 523,
     INVOKER = 524,
     IS = 525,
     ISNULL = 526,
     ISOLATION = 527,
     JOIN = 528,
     KEY = 529,
     LABEL = 530,
     LANGUAGE = 531,
     LARGE_P = 532,
     LAST_P = 533,
     LATERAL_P = 534,
     LC_COLLATE_P = 535,
     LC_CTYPE_P = 536,
     LEADING = 537,
     LEAKPROOF = 538,
     LEAST = 539,
     LEFT = 540,
     LEVEL = 541,
     LIKE = 542,
     LIMIT = 543,
     LISTEN = 544,
     LOAD = 545,
     LOCAL = 546,
     LOCALTIME = 547,
     LOCALTIMESTAMP = 548,
     LOCATION = 549,
     LOCK_P = 550,
     MAPPING = 551,
     MATCH = 552,
     MATERIALIZED = 553,
     MAXVALUE = 554,
     MINUTE_P = 555,
     MINVALUE = 556,
     MODE = 557,
     MONTH_P = 558,
     MOVE = 559,
     NAME_P = 560,
     NAMES = 561,
     NATIONAL = 562,
     NATURAL = 563,
     NCHAR = 564,
     NEXT = 565,
     NO = 566,
     NONE = 567,
     NOT = 568,
     NOTHING = 569,
     NOTIFY = 570,
     NOTNULL = 571,
     NOWAIT = 572,
     NULL_P = 573,
     NULLIF = 574,
     NULLS_P = 575,
     NUMERIC = 576,
     OBJECT_P = 577,
     OF = 578,
     OFF = 579,
     OFFSET = 580,
     OIDS = 581,
     ON = 582,
     ONLY = 583,
     OPERATOR = 584,
     OPTION = 585,
     OPTIONS = 586,
     OR = 587,
     ORDER = 588,
     ORDINALITY = 589,
     OUT_P = 590,
     OUTER_P = 591,
     OVER = 592,
     OVERLAPS = 593,
     OVERLAY = 594,
     OWNED = 595,
     OWNER = 596,
     PARSER = 597,
     PARTIAL = 598,
     PARTITION = 599,
     PASSING = 600,
     PASSWORD = 601,
     PLACING = 602,
     PLANS = 603,
     POSITION = 604,
     PRECEDING = 605,
     PRECISION = 606,
     PRESERVE = 607,
     PREPARE = 608,
     PREPARED = 609,
     PRIMARY = 610,
     PRIOR = 611,
     PRIVILEGES = 612,
     PROCEDURAL = 613,
     PROCEDURE = 614,
     PROGRAM = 615,
     QUOTE = 616,
     RANGE = 617,
     READ = 618,
     REAL = 619,
     REASSIGN = 620,
     RECHECK = 621,
     RECURSIVE = 622,
     REF = 623,
     REFERENCES = 624,
     REFRESH = 625,
     REINDEX = 626,
     RELATIVE_P = 627,
     RELEASE = 628,
     RENAME = 629,
     REPEATABLE = 630,
     REPLACE = 631,
     REPLICA = 632,
     RESET = 633,
     RESTART = 634,
     RESTRICT = 635,
     RETURNING = 636,
     RETURNS = 637,
     REVOKE = 638,
     RIGHT = 639,
     ROLE = 640,
     ROLLBACK = 641,
     ROW = 642,
     ROWS = 643,
     RULE = 644,
     SAVEPOINT = 645,
     SCHEMA = 646,
     SCROLL = 647,
     SEARCH = 648,
     SECOND_P = 649,
     SECURITY = 650,
     SELECT = 651,
     SEQUENCE = 652,
     SEQUENCES = 653,
     SERIALIZABLE = 654,
     SERVER = 655,
     SESSION = 656,
     SESSION_USER = 657,
     SET = 658,
     SETOF = 659,
     SHARE = 660,
     SHOW = 661,
     SIMILAR = 662,
     SIMPLE = 663,
     SMALLINT = 664,
     SNAPSHOT = 665,
     SOME = 666,
     STABLE = 667,
     STANDALONE_P = 668,
     START = 669,
     STATEMENT = 670,
     STATISTICS = 671,
     STDIN = 672,
     STDOUT = 673,
     STORAGE = 674,
     STRICT_P = 675,
     STRIP_P = 676,
     SUBSTRING = 677,
     SYMMETRIC = 678,
     SYSID = 679,
     SYSTEM_P = 680,
     TABLE = 681,
     TABLES = 682,
     TABLESPACE = 683,
     TEMP = 684,
     TEMPLATE = 685,
     TEMPORARY = 686,
     TEXT_P = 687,
     THEN = 688,
     TIME = 689,
     TIMESTAMP = 690,
     TO = 691,
     TRAILING = 692,
     TRANSACTION = 693,
     TREAT = 694,
     TRIGGER = 695,
     TRIM = 696,
     TRUE_P = 697,
     TRUNCATE = 698,
     TRUSTED = 699,
     TYPE_P = 700,
     TYPES_P = 701,
     UNBOUNDED = 702,
     UNCOMMITTED = 703,
     UNENCRYPTED = 704,
     UNION = 705,
     UNIQUE = 706,
     UNKNOWN = 707,
     UNLISTEN = 708,
     UNLOGGED = 709,
     UNTIL = 710,
     UPDATE = 711,
     USER = 712,
     USING = 713,
     VACUUM = 714,
     VALID = 715,
     VALIDATE = 716,
     VALIDATOR = 717,
     VALUE_P = 718,
     VALUES = 719,
     VARCHAR = 720,
     VARIADIC = 721,
     VARYING = 722,
     VERBOSE = 723,
     VERSION_P = 724,
     VIEW = 725,
     VIEWS = 726,
     VOLATILE = 727,
     WHEN = 728,
     WHERE = 729,
     WHITESPACE_P = 730,
     WINDOW = 731,
     WITH = 732,
     WITHIN = 733,
     WITHOUT = 734,
     WORK = 735,
     WRAPPER = 736,
     WRITE = 737,
     XML_P = 738,
     XMLATTRIBUTES = 739,
     XMLCONCAT = 740,
     XMLELEMENT = 741,
     XMLEXISTS = 742,
     XMLFOREST = 743,
     XMLPARSE = 744,
     XMLPI = 745,
     XMLROOT = 746,
     XMLSERIALIZE = 747,
     YEAR_P = 748,
     YES_P = 749,
     ZONE = 750,
     NULLS_FIRST = 751,
     NULLS_LAST = 752,
     WITH_ORDINALITY = 753,
     WITH_TIME = 754,
     POSTFIXOP = 755,
     UMINUS = 756
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 293 of yacc.c  */
#line 579 "preproc.y"

	double	dval;
	char	*str;
	int		ival;
	struct	when		action;
	struct	index		index;
	int		tagname;
	struct	this_type	type;
	enum	ECPGttype	type_enum;
	enum	ECPGdtype	dtype_enum;
	struct	fetch_desc	descriptor;
	struct  su_symbol	struct_union;
	struct	prep		prep;



/* Line 293 of yacc.c  */
#line 1204 "preproc.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 343 of yacc.c  */
#line 1229 "preproc.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef EXIT_SUCCESS
#      define EXIT_SUCCESS 0
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined EXIT_SUCCESS \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef EXIT_SUCCESS
#    define EXIT_SUCCESS 0
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined EXIT_SUCCESS && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

# define YYCOPY_NEEDED 1

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

#if defined YYCOPY_NEEDED && YYCOPY_NEEDED
/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif
#endif /* !YYCOPY_NEEDED */

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  3
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   111727

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  521
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  716
/* YYNRULES -- Number of rules.  */
#define YYNRULES  2840
/* YYNRULES -- Number of states.  */
#define YYNSTATES  5223

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   756

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,   508,     2,     2,
     513,   514,   506,   504,   516,   505,   515,   507,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,   518,   517,
     501,   500,   502,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,   511,     2,   512,   509,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   519,     2,   520,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   503,   510
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     7,     9,    11,    13,    15,    17,
      19,    21,    23,    25,    27,    29,    31,    33,    35,    37,
      39,    41,    43,    45,    47,    49,    51,    53,    55,    57,
      59,    61,    63,    65,    67,    69,    71,    73,    75,    77,
      79,    81,    83,    85,    87,    89,    91,    93,    95,    97,
      99,   101,   103,   105,   107,   109,   111,   113,   115,   117,
     119,   121,   123,   125,   127,   129,   131,   133,   135,   137,
     139,   141,   143,   145,   147,   149,   151,   153,   155,   157,
     159,   161,   163,   165,   167,   169,   171,   173,   175,   177,
     179,   181,   183,   185,   187,   189,   191,   193,   195,   197,
     199,   201,   203,   205,   207,   209,   211,   213,   215,   217,
     219,   221,   223,   225,   227,   229,   231,   233,   235,   237,
     239,   241,   243,   245,   247,   249,   251,   253,   255,   257,
     259,   261,   263,   265,   267,   269,   271,   273,   275,   276,
     282,   284,   285,   288,   289,   292,   293,   296,   299,   303,
     307,   309,   313,   317,   320,   322,   324,   327,   330,   333,
     337,   341,   347,   353,   354,   358,   364,   370,   376,   381,
     385,   391,   395,   401,   407,   414,   416,   418,   422,   428,
     435,   440,   450,   458,   460,   461,   464,   465,   467,   469,
     471,   473,   475,   477,   480,   484,   488,   491,   497,   499,
     503,   507,   511,   515,   517,   521,   525,   528,   531,   534,
     537,   541,   545,   549,   553,   555,   559,   561,   565,   567,
     569,   572,   575,   578,   580,   582,   584,   586,   588,   590,
     592,   596,   603,   605,   607,   609,   611,   613,   614,   616,
     618,   621,   625,   630,   634,   637,   640,   642,   645,   647,
     651,   656,   662,   667,   670,   675,   677,   679,   681,   683,
     685,   688,   691,   694,   697,   700,   705,   712,   717,   724,
     729,   736,   741,   748,   754,   762,   764,   768,   771,   775,
     780,   787,   794,   801,   807,   813,   820,   827,   832,   841,
     846,   849,   854,   858,   865,   870,   874,   878,   882,   886,
     890,   895,   900,   904,   908,   912,   916,   920,   924,   929,
     934,   938,   941,   945,   948,   951,   955,   959,   962,   965,
     969,   971,   975,   978,   980,   982,   983,   986,   987,   990,
     991,   993,   995,   997,  1001,  1005,  1008,  1009,  1011,  1015,
    1019,  1021,  1027,  1031,  1036,  1038,  1042,  1047,  1054,  1059,
    1068,  1071,  1074,  1086,  1094,  1096,  1098,  1100,  1101,  1103,
    1105,  1107,  1109,  1113,  1116,  1117,  1119,  1121,  1123,  1127,
    1131,  1133,  1135,  1139,  1143,  1147,  1151,  1156,  1160,  1163,
    1165,  1166,  1169,  1170,  1174,  1175,  1177,  1178,  1180,  1184,
    1187,  1189,  1191,  1193,  1197,  1198,  1200,  1204,  1206,  1218,
    1233,  1244,  1258,  1260,  1262,  1265,  1268,  1271,  1274,  1276,
    1277,  1279,  1280,  1284,  1285,  1287,  1291,  1293,  1297,  1299,
    1301,  1303,  1305,  1307,  1312,  1317,  1320,  1321,  1325,  1327,
    1329,  1332,  1335,  1337,  1341,  1346,  1352,  1355,  1361,  1363,
    1366,  1369,  1372,  1376,  1380,  1384,  1385,  1387,  1389,  1391,
    1393,  1395,  1397,  1401,  1403,  1409,  1417,  1421,  1430,  1435,
    1445,  1457,  1460,  1461,  1465,  1466,  1468,  1472,  1474,  1477,
    1480,  1483,  1484,  1486,  1490,  1494,  1501,  1506,  1507,  1509,
    1511,  1514,  1517,  1518,  1522,  1526,  1529,  1531,  1533,  1536,
    1539,  1544,  1545,  1548,  1551,  1554,  1555,  1559,  1564,  1569,
    1570,  1573,  1574,  1579,  1580,  1584,  1590,  1593,  1597,  1598,
    1607,  1612,  1614,  1615,  1622,  1628,  1633,  1640,  1642,  1643,
    1645,  1648,  1651,  1653,  1656,  1660,  1663,  1666,  1669,  1672,
    1676,  1680,  1682,  1686,  1688,  1689,  1691,  1694,  1696,  1698,
    1702,  1709,  1720,  1722,  1723,  1725,  1728,  1731,  1732,  1735,
    1738,  1740,  1741,  1747,  1755,  1757,  1758,  1766,  1769,  1770,
    1774,  1780,  1786,  1795,  1798,  1799,  1802,  1805,  1808,  1814,
    1817,  1818,  1821,  1829,  1840,  1847,  1854,  1861,  1868,  1876,
    1884,  1894,  1904,  1911,  1919,  1926,  1935,  1944,  1953,  1962,
    1969,  1976,  1984,  1992,  2001,  2008,  2015,  2023,  2026,  2029,
    2032,  2035,  2037,  2040,  2042,  2043,  2050,  2059,  2067,  2074,
    2079,  2080,  2082,  2086,  2091,  2093,  2097,  2099,  2102,  2105,
    2108,  2111,  2113,  2115,  2126,  2129,  2130,  2133,  2136,  2138,
    2139,  2144,  2151,  2157,  2162,  2167,  2178,  2192,  2198,  2206,
    2215,  2217,  2219,  2221,  2229,  2239,  2248,  2264,  2285,  2287,
    2289,  2292,  2294,  2298,  2300,  2302,  2304,  2308,  2310,  2314,
    2315,  2317,  2318,  2320,  2322,  2327,  2328,  2330,  2334,  2335,
    2337,  2339,  2341,  2343,  2346,  2347,  2348,  2351,  2354,  2356,
    2359,  2362,  2365,  2368,  2375,  2384,  2396,  2410,  2412,  2416,
    2422,  2424,  2428,  2434,  2436,  2439,  2442,  2444,  2453,  2458,
    2464,  2469,  2474,  2479,  2483,  2491,  2500,  2507,  2514,  2521,
    2528,  2535,  2540,  2546,  2550,  2552,  2556,  2560,  2562,  2564,
    2566,  2568,  2570,  2572,  2576,  2578,  2582,  2586,  2588,  2589,
    2591,  2595,  2603,  2613,  2623,  2627,  2628,  2642,  2644,  2648,
    2654,  2661,  2666,  2674,  2677,  2679,  2680,  2683,  2684,  2687,
    2692,  2693,  2695,  2696,  2703,  2712,  2721,  2723,  2727,  2733,
    2739,  2747,  2757,  2765,  2775,  2781,  2788,  2795,  2800,  2806,
    2814,  2816,  2818,  2820,  2823,  2825,  2828,  2831,  2833,  2835,
    2837,  2839,  2841,  2843,  2847,  2851,  2855,  2859,  2861,  2865,
    2867,  2870,  2873,  2877,  2883,  2886,  2889,  2890,  2897,  2905,
    2913,  2921,  2930,  2939,  2946,  2955,  2965,  2975,  2983,  2994,
    3002,  3004,  3006,  3008,  3010,  3012,  3014,  3016,  3018,  3020,
    3023,  3025,  3027,  3029,  3031,  3033,  3036,  3038,  3042,  3045,
    3049,  3053,  3057,  3061,  3063,  3065,  3074,  3084,  3094,  3104,
    3114,  3117,  3118,  3120,  3122,  3125,  3128,  3130,  3132,  3134,
    3136,  3138,  3140,  3142,  3144,  3147,  3149,  3151,  3154,  3157,
    3161,  3166,  3172,  3177,  3183,  3187,  3192,  3196,  3201,  3203,
    3206,  3210,  3214,  3218,  3222,  3227,  3232,  3236,  3240,  3245,
    3250,  3255,  3260,  3262,  3264,  3266,  3267,  3275,  3283,  3294,
    3296,  3298,  3301,  3306,  3312,  3314,  3318,  3321,  3324,  3327,
    3330,  3332,  3335,  3338,  3343,  3347,  3350,  3353,  3356,  3359,
    3363,  3366,  3369,  3372,  3378,  3384,  3390,  3392,  3396,  3398,
    3401,  3405,  3406,  3408,  3412,  3415,  3422,  3429,  3439,  3443,
    3444,  3448,  3449,  3455,  3458,  3459,  3463,  3467,  3471,  3479,
    3487,  3498,  3500,  3502,  3504,  3506,  3521,  3523,  3524,  3526,
    3527,  3529,  3530,  3533,  3534,  3536,  3540,  3546,  3552,  3560,
    3563,  3564,  3566,  3569,  3570,  3572,  3574,  3575,  3577,  3579,
    3580,  3590,  3603,  3611,  3614,  3615,  3619,  3622,  3624,  3628,
    3632,  3635,  3637,  3641,  3645,  3649,  3652,  3655,  3657,  3659,
    3661,  3663,  3666,  3668,  3670,  3672,  3674,  3679,  3685,  3687,
    3691,  3695,  3697,  3701,  3705,  3711,  3718,  3720,  3724,  3726,
    3729,  3734,  3740,  3742,  3744,  3746,  3748,  3752,  3756,  3759,
    3762,  3764,  3767,  3770,  3773,  3775,  3778,  3781,  3783,  3785,
    3787,  3791,  3794,  3795,  3798,  3800,  3804,  3810,  3812,  3815,
    3817,  3818,  3824,  3832,  3838,  3846,  3852,  3860,  3864,  3870,
    3876,  3882,  3884,  3888,  3891,  3893,  3896,  3898,  3901,  3913,
    3924,  3935,  3938,  3941,  3942,  3952,  3955,  3956,  3961,  3966,
    3971,  3973,  3975,  3977,  3978,  3987,  3996,  4005,  4015,  4027,
    4039,  4051,  4064,  4070,  4076,  4084,  4091,  4098,  4105,  4112,
    4121,  4130,  4137,  4144,  4152,  4162,  4172,  4179,  4186,  4193,
    4202,  4209,  4218,  4225,  4234,  4242,  4252,  4259,  4268,  4276,
    4286,  4295,  4306,  4316,  4328,  4337,  4347,  4359,  4368,  4377,
    4385,  4392,  4399,  4406,  4415,  4424,  4433,  4442,  4449,  4459,
    4461,  4462,  4465,  4466,  4474,  4481,  4488,  4495,  4502,  4509,
    4517,  4527,  4537,  4544,  4553,  4562,  4571,  4580,  4589,  4596,
    4605,  4612,  4621,  4629,  4639,  4647,  4657,  4664,  4672,  4679,
    4686,  4693,  4700,  4707,  4715,  4723,  4731,  4741,  4751,  4758,
    4765,  4772,  4781,  4790,  4799,  4806,  4814,  4828,  4830,  4832,
    4836,  4840,  4842,  4844,  4846,  4848,  4850,  4852,  4854,  4855,
    4857,  4859,  4861,  4863,  4865,  4867,  4868,  4875,  4884,  4888,
    4891,  4892,  4895,  4898,  4901,  4904,  4908,  4912,  4915,  4918,
    4921,  4924,  4928,  4931,  4937,  4942,  4946,  4950,  4954,  4956,
    4958,  4959,  4963,  4966,  4969,  4971,  4974,  4976,  4980,  4983,
    4985,  4986,  4996,  5008,  5021,  5036,  5040,  5045,  5050,  5051,
    5054,  5060,  5063,  5064,  5068,  5072,  5076,  5080,  5084,  5088,
    5092,  5096,  5100,  5104,  5108,  5112,  5116,  5121,  5125,  5129,
    5131,  5132,  5138,  5145,  5150,  5153,  5154,  5159,  5163,  5169,
    5174,  5181,  5186,  5193,  5200,  5206,  5214,  5224,  5231,  5233,
    5234,  5241,  5253,  5265,  5277,  5291,  5301,  5313,  5324,  5329,
    5332,  5338,  5341,  5342,  5347,  5353,  5359,  5364,  5371,  5373,
    5377,  5379,  5381,  5383,  5385,  5388,  5393,  5395,  5397,  5399,
    5400,  5402,  5403,  5405,  5406,  5410,  5411,  5414,  5419,  5423,
    5429,  5431,  5433,  5435,  5437,  5439,  5441,  5443,  5445,  5447,
    5449,  5453,  5456,  5458,  5460,  5462,  5464,  5465,  5471,  5476,
    5480,  5481,  5483,  5485,  5487,  5489,  5494,  5504,  5508,  5509,
    5516,  5518,  5523,  5526,  5528,  5532,  5535,  5539,  5540,  5548,
    5551,  5552,  5558,  5562,  5563,  5566,  5569,  5572,  5576,  5578,
    5582,  5584,  5587,  5589,  5590,  5599,  5601,  5605,  5607,  5609,
    5613,  5619,  5622,  5624,  5628,  5636,  5638,  5640,  5641,  5645,
    5648,  5651,  5654,  5655,  5658,  5661,  5663,  5665,  5669,  5673,
    5675,  5678,  5683,  5688,  5691,  5695,  5701,  5707,  5709,  5711,
    5721,  5723,  5726,  5731,  5736,  5741,  5744,  5748,  5750,  5754,
    5761,  5763,  5764,  5767,  5769,  5770,  5774,  5778,  5783,  5788,
    5793,  5798,  5802,  5805,  5807,  5809,  5810,  5812,  5814,  5815,
    5817,  5823,  5825,  5826,  5828,  5829,  5833,  5835,  5839,  5844,
    5848,  5851,  5854,  5856,  5858,  5860,  5861,  5864,  5869,  5875,
    5878,  5882,  5884,  5886,  5888,  5890,  5894,  5895,  5897,  5899,
    5901,  5903,  5905,  5909,  5910,  5913,  5914,  5916,  5920,  5922,
    5923,  5925,  5928,  5932,  5935,  5940,  5943,  5947,  5950,  5951,
    5954,  5958,  5961,  5962,  5964,  5968,  5971,  5974,  5978,  5981,
    5985,  5987,  5992,  5996,  6001,  6007,  6012,  6018,  6023,  6029,
    6032,  6037,  6039,  6041,  6042,  6044,  6049,  6055,  6060,  6061,
    6064,  6067,  6070,  6072,  6074,  6075,  6080,  6083,  6085,  6088,
    6091,  6096,  6098,  6102,  6104,  6107,  6111,  6114,  6121,  6124,
    6126,  6130,  6135,  6136,  6138,  6139,  6142,  6143,  6146,  6151,
    6152,  6154,  6155,  6157,  6161,  6165,  6168,  6172,  6178,  6185,
    6188,  6192,  6196,  6201,  6202,  6204,  6206,  6208,  6210,  6212,
    6215,  6221,  6223,  6225,  6227,  6229,  6232,  6236,  6240,  6241,
    6243,  6245,  6247,  6249,  6251,  6254,  6257,  6260,  6263,  6266,
    6268,  6272,  6273,  6275,  6277,  6279,  6281,  6287,  6290,  6292,
    6294,  6296,  6298,  6304,  6307,  6310,  6313,  6315,  6319,  6323,
    6326,  6328,  6329,  6333,  6334,  6340,  6343,  6349,  6352,  6354,
    6357,  6361,  6362,  6364,  6366,  6368,  6370,  6372,  6374,  6378,
    6382,  6386,  6390,  6394,  6398,  6402,  6403,  6405,  6410,  6412,
    6416,  6420,  6426,  6429,  6432,  6436,  6440,  6444,  6448,  6452,
    6456,  6460,  6464,  6468,  6472,  6475,  6478,  6482,  6486,  6489,
    6493,  6499,  6504,  6511,  6515,  6521,  6526,  6533,  6538,  6545,
    6551,  6559,  6563,  6566,  6571,  6574,  6578,  6582,  6587,  6591,
    6596,  6600,  6605,  6611,  6618,  6625,  6633,  6640,  6648,  6655,
    6663,  6667,  6672,  6677,  6684,  6687,  6691,  6696,  6698,  6702,
    6705,  6708,  6712,  6716,  6720,  6724,  6728,  6732,  6736,  6740,
    6744,  6748,  6751,  6754,  6760,  6767,  6774,  6782,  6786,  6791,
    6793,  6795,  6798,  6803,  6805,  6807,  6809,  6812,  6815,  6818,
    6821,  6823,  6827,  6833,  6840,  6849,  6856,  6863,  6868,  6873,
    6875,  6877,  6879,  6885,  6887,  6889,  6894,  6896,  6901,  6903,
    6908,  6910,  6915,  6917,  6919,  6921,  6923,  6925,  6927,  6934,
    6939,  6944,  6949,  6954,  6961,  6967,  6973,  6979,  6984,  6991,
    6996,  7001,  7006,  7011,  7017,  7025,  7033,  7043,  7049,  7054,
    7061,  7067,  7075,  7083,  7091,  7094,  7098,  7102,  7106,  7111,
    7112,  7117,  7119,  7123,  7127,  7129,  7131,  7133,  7136,  7139,
    7140,  7143,  7148,  7153,  7160,  7166,  7167,  7173,  7174,  7177,
    7178,  7180,  7184,  7188,  7191,  7194,  7195,  7202,  7204,  7205,
    7209,  7210,  7213,  7216,  7217,  7219,  7224,  7227,  7230,  7233,
    7236,  7239,  7244,  7248,  7254,  7256,  7258,  7260,  7262,  7264,
    7266,  7268,  7270,  7272,  7274,  7276,  7278,  7280,  7282,  7284,
    7289,  7291,  7296,  7298,  7303,  7305,  7308,  7310,  7313,  7315,
    7319,  7321,  7325,  7327,  7331,  7333,  7337,  7341,  7345,  7348,
    7350,  7354,  7358,  7359,  7361,  7363,  7365,  7367,  7369,  7371,
    7373,  7375,  7380,  7384,  7387,  7391,  7392,  7396,  7400,  7403,
    7406,  7408,  7409,  7412,  7415,  7419,  7422,  7424,  7426,  7430,
    7436,  7438,  7441,  7446,  7449,  7450,  7452,  7453,  7455,  7458,
    7461,  7464,  7468,  7474,  7476,  7479,  7480,  7483,  7485,  7486,
    7488,  7490,  7492,  7496,  7500,  7502,  7503,  7505,  7509,  7513,
    7516,  7518,  7520,  7522,  7526,  7528,  7531,  7533,  7537,  7539,
    7541,  7543,  7545,  7547,  7549,  7551,  7554,  7556,  7558,  7560,
    7562,  7564,  7567,  7574,  7577,  7581,  7588,  7590,  7592,  7594,
    7596,  7598,  7600,  7602,  7604,  7608,  7610,  7612,  7615,  7618,
    7620,  7622,  7624,  7626,  7628,  7630,  7632,  7634,  7636,  7638,
    7640,  7642,  7644,  7646,  7648,  7650,  7652,  7654,  7656,  7658,
    7660,  7662,  7664,  7666,  7668,  7670,  7672,  7674,  7676,  7678,
    7680,  7682,  7684,  7686,  7688,  7690,  7692,  7694,  7696,  7698,
    7700,  7702,  7704,  7706,  7708,  7710,  7712,  7714,  7716,  7718,
    7720,  7722,  7724,  7726,  7728,  7730,  7732,  7734,  7736,  7738,
    7740,  7742,  7744,  7746,  7748,  7750,  7752,  7754,  7756,  7758,
    7760,  7762,  7764,  7766,  7768,  7770,  7772,  7774,  7776,  7778,
    7780,  7782,  7784,  7786,  7788,  7790,  7792,  7794,  7796,  7798,
    7800,  7802,  7804,  7806,  7808,  7810,  7812,  7814,  7816,  7818,
    7820,  7822,  7824,  7826,  7828,  7830,  7832,  7834,  7836,  7838,
    7840,  7842,  7844,  7846,  7848,  7850,  7852,  7854,  7856,  7858,
    7860,  7862,  7864,  7866,  7868,  7870,  7872,  7874,  7876,  7878,
    7880,  7882,  7884,  7886,  7888,  7890,  7892,  7894,  7896,  7898,
    7900,  7902,  7904,  7906,  7908,  7910,  7912,  7914,  7916,  7918,
    7920,  7922,  7924,  7926,  7928,  7930,  7932,  7934,  7936,  7938,
    7940,  7942,  7944,  7946,  7948,  7950,  7952,  7954,  7956,  7958,
    7960,  7962,  7964,  7966,  7968,  7970,  7972,  7974,  7976,  7978,
    7980,  7982,  7984,  7986,  7988,  7990,  7992,  7994,  7996,  7998,
    8000,  8002,  8004,  8006,  8008,  8010,  8012,  8014,  8016,  8018,
    8020,  8022,  8024,  8026,  8028,  8030,  8032,  8034,  8036,  8038,
    8040,  8042,  8044,  8046,  8048,  8050,  8052,  8054,  8056,  8058,
    8060,  8062,  8064,  8066,  8068,  8070,  8072,  8074,  8076,  8078,
    8080,  8082,  8084,  8086,  8088,  8090,  8092,  8094,  8096,  8098,
    8100,  8102,  8104,  8106,  8108,  8110,  8112,  8114,  8116,  8118,
    8120,  8122,  8124,  8126,  8128,  8130,  8132,  8134,  8136,  8138,
    8140,  8142,  8144,  8146,  8148,  8150,  8152,  8154,  8156,  8158,
    8160,  8162,  8164,  8166,  8168,  8170,  8172,  8174,  8176,  8178,
    8180,  8182,  8184,  8186,  8188,  8190,  8192,  8194,  8196,  8198,
    8200,  8202,  8204,  8206,  8208,  8210,  8212,  8214,  8216,  8218,
    8220,  8222,  8224,  8226,  8228,  8230,  8232,  8234,  8236,  8238,
    8240,  8242,  8244,  8246,  8248,  8250,  8252,  8254,  8256,  8258,
    8260,  8262,  8264,  8266,  8268,  8270,  8272,  8274,  8276,  8278,
    8280,  8282,  8284,  8286,  8288,  8290,  8292,  8294,  8296,  8298,
    8300,  8302,  8304,  8306,  8308,  8310,  8312,  8314,  8316,  8318,
    8320,  8322,  8324,  8326,  8328,  8330,  8332,  8334,  8336,  8338,
    8340,  8342,  8344,  8346,  8348,  8350,  8352,  8354,  8356,  8358,
    8360,  8362,  8364,  8366,  8368,  8370,  8372,  8374,  8376,  8378,
    8380,  8382,  8384,  8386,  8388,  8390,  8392,  8394,  8396,  8398,
    8400,  8402,  8404,  8406,  8408,  8409,  8412,  8417,  8421,  8424,
    8426,  8428,  8430,  8432,  8434,  8435,  8444,  8447,  8453,  8457,
    8460,  8463,  8467,  8475,  8477,  8479,  8481,  8482,  8485,  8488,
    8490,  8491,  8493,  8497,  8499,  8502,  8503,  8506,  8507,  8510,
    8511,  8513,  8517,  8522,  8526,  8528,  8530,  8532,  8534,  8537,
    8538,  8541,  8546,  8547,  8550,  8553,  8556,  8558,  8560,  8568,
    8572,  8574,  8576,  8578,  8580,  8583,  8584,  8586,  8590,  8594,
    8598,  8602,  8603,  8608,  8614,  8620,  8621,  8623,  8625,  8627,
    8630,  8633,  8635,  8638,  8639,  8647,  8648,  8654,  8655,  8660,
    8663,  8666,  8667,  8670,  8672,  8674,  8676,  8678,  8680,  8682,
    8684,  8686,  8688,  8690,  8692,  8698,  8701,  8703,  8707,  8710,
    8713,  8717,  8718,  8724,  8726,  8727,  8733,  8736,  8739,  8741,
    8743,  8745,  8748,  8751,  8755,  8757,  8760,  8763,  8767,  8771,
    8776,  8779,  8781,  8784,  8786,  8788,  8791,  8794,  8798,  8800,
    8802,  8804,  8806,  8807,  8809,  8813,  8819,  8820,  8823,  8824,
    8826,  8829,  8833,  8836,  8838,  8840,  8842,  8843,  8845,  8847,
    8849,  8851,  8853,  8856,  8859,  8863,  8864,  8866,  8869,  8871,
    8876,  8880,  8885,  8889,  8892,  8894,  8898,  8900,  8902,  8904,
    8906,  8909,  8912,  8914,  8917,  8920,  8922,  8924,  8926,  8931,
    8936,  8941,  8946,  8951,  8953,  8954,  8958,  8962,  8967,  8969,
    8973,  8977,  8982,  8984,  8988,  8992,  8994,  8996,  8998,  9005,
    9007,  9011,  9015,  9022,  9024,  9028,  9032,  9034,  9036,  9039,
    9042,  9044,  9046,  9048,  9050,  9052,  9054,  9056,  9058,  9060,
    9062,  9064,  9066,  9068,  9070,  9072,  9074,  9079,  9084,  9086,
    9088,  9093,  9098,  9102,  9103,  9111,  9113,  9114,  9115,  9123,
    9127,  9132,  9136,  9138,  9140,  9142,  9145,  9149,  9155,  9158,
    9164,  9167,  9169,  9171,  9173,  9175,  9177,  9179,  9181,  9183,
    9185,  9187,  9189,  9191,  9193,  9195,  9197,  9199,  9201,  9203,
    9205,  9207,  9209,  9211,  9213,  9215,  9217,  9219,  9221,  9223,
    9225,  9227,  9229,  9231,  9233,  9235,  9237,  9239,  9241,  9243,
    9245,  9247,  9249,  9251,  9253,  9255,  9257,  9259,  9261,  9263,
    9265,  9267,  9269,  9271,  9273,  9275,  9277,  9279,  9281,  9283,
    9285,  9287,  9289,  9291,  9293,  9295,  9297,  9299,  9301,  9303,
    9305,  9307,  9309,  9311,  9313,  9315,  9317,  9319,  9321,  9323,
    9325,  9327,  9329,  9331,  9333,  9335,  9337,  9339,  9341,  9343,
    9345,  9347,  9349,  9351,  9353,  9355,  9357,  9359,  9361,  9363,
    9367,  9369,  9370,  9372,  9375,  9377,  9380,  9382,  9384,  9386,
    9389,  9392,  9394,  9396,  9398,  9400,  9402,  9404,  9406,  9408,
    9410,  9412,  9414,  9416,  9418,  9420,  9422,  9424,  9427,  9431,
    9433,  9436,  9438,  9442,  9444,  9448,  9450,  9452,  9454,  9456,
    9458,  9460,  9462,  9464,  9466,  9468,  9470,  9472,  9474,  9476,
    9478,  9480,  9482,  9484,  9486,  9488,  9490,  9492,  9494,  9496,
    9498,  9500,  9502,  9504,  9506,  9508,  9510,  9512,  9514,  9516,
    9518,  9520,  9522,  9524,  9526,  9528,  9530,  9532,  9534,  9536,
    9538,  9540,  9542,  9544,  9546,  9548,  9550,  9552,  9554,  9556,
    9558,  9560,  9562,  9564,  9566,  9568,  9570,  9573,  9577,  9580,
    9584,  9586,  9590,  9594,  9598,  9602,  9606,  9610,  9612,  9614,
    9619,  9620,  9623,  9626,  9628,  9630,  9633,  9635,  9637,  9639,
    9640
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     522,     0,    -1,  1088,    -1,   712,    -1,   862,    -1,   863,
      -1,   776,    -1,   869,    -1,   726,    -1,   664,    -1,   667,
      -1,   673,    -1,   687,    -1,   689,    -1,   814,    -1,   539,
      -1,   836,    -1,   837,    -1,   643,    -1,   867,    -1,   567,
      -1,   832,    -1,   579,    -1,   533,    -1,   531,    -1,   872,
      -1,   871,    -1,   693,    -1,   535,    -1,   534,    -1,   879,
      -1,   565,    -1,   582,    -1,   874,    -1,   750,    -1,   562,
      -1,   583,    -1,  1090,    -1,   714,    -1,   825,    -1,   873,
      -1,   868,    -1,   661,    -1,   668,    -1,   682,    -1,   688,
      -1,   792,    -1,   538,    -1,   638,    -1,   728,    -1,   735,
      -1,   736,    -1,   650,    -1,   542,    -1,   642,    -1,   599,
      -1,   658,    -1,   694,    -1,   708,    -1,   524,    -1,   530,
      -1,   690,    -1,   858,    -1,  1231,    -1,   914,    -1,   716,
      -1,   901,    -1,   566,    -1,   822,    -1,   715,    -1,   827,
      -1,   672,    -1,   686,    -1,   541,    -1,   739,    -1,   740,
      -1,   741,    -1,   656,    -1,   845,    -1,   743,    -1,   660,
      -1,   707,    -1,   536,    -1,   537,    -1,   692,    -1,   866,
      -1,   894,    -1,   885,    -1,   757,    -1,   761,    -1,   772,
      -1,   781,    -1,   896,    -1,   848,    -1,   641,    -1,   857,
      -1,   903,    -1,   846,    -1,   891,    -1,   742,    -1,   829,
      -1,   818,    -1,   817,    -1,   819,    -1,   833,    -1,   762,
      -1,   773,    -1,   838,    -1,   753,    -1,   918,    -1,   850,
      -1,   748,    -1,   849,    -1,   907,    -1,   876,    -1,   558,
      -1,   546,    -1,   561,    -1,   855,    -1,  1167,    -1,  1093,
      -1,  1110,    -1,  1168,    -1,  1150,    -1,  1165,    -1,  1151,
      -1,  1111,    -1,  1155,    -1,  1177,    -1,  1169,    -1,  1156,
      -1,  1185,    -1,  1187,    -1,  1180,    -1,  1172,    -1,  1188,
      -1,  1191,    -1,  1193,    -1,    -1,   160,   385,  1080,   525,
     526,    -1,   477,    -1,    -1,   526,   529,    -1,    -1,   527,
     528,    -1,    -1,   346,  1221,    -1,   346,   318,    -1,   202,
     346,  1221,    -1,   449,   346,  1221,    -1,   254,    -1,   152,
     288,  1082,    -1,   460,   455,  1221,    -1,   457,  1081,    -1,
    1223,    -1,   528,    -1,   424,  1079,    -1,    96,  1081,    -1,
     385,  1081,    -1,   249,   385,  1081,    -1,   249,   237,  1081,
      -1,   160,   457,  1080,   525,   526,    -1,   101,   385,  1080,
     525,   527,    -1,    -1,   249,   174,  1072,    -1,   101,   385,
    1080,   532,   559,    -1,   101,   385,    99,   532,   559,    -1,
     101,   457,  1080,   525,   527,    -1,   101,   457,  1080,   559,
      -1,   197,   385,  1081,    -1,   197,   385,   244,   212,  1081,
      -1,   197,   457,  1081,    -1,   197,   457,   244,   212,  1081,
      -1,   160,   237,  1080,   525,   526,    -1,   101,   237,  1080,
     540,   457,  1081,    -1,    95,    -1,   197,    -1,   197,   237,
    1081,    -1,   197,   237,   244,   212,  1081,    -1,   160,   391,
     543,   115,  1080,   544,    -1,   160,   391,  1201,   544,    -1,
     160,   391,   244,   313,   212,   543,   115,  1080,   544,    -1,
     160,   391,   244,   313,   212,  1201,   544,    -1,  1201,    -1,
      -1,   544,   545,    -1,    -1,   599,    -1,   781,    -1,   642,
      -1,   694,    -1,   761,    -1,   855,    -1,   403,   547,    -1,
     403,   291,   547,    -1,   403,   401,   547,    -1,   438,   853,
      -1,   401,   136,   108,   438,   853,    -1,   549,    -1,   550,
     436,   551,    -1,   550,   500,   551,    -1,   550,   436,   180,
      -1,   550,   500,   180,    -1,   548,    -1,   550,   229,   163,
      -1,   434,   495,   555,    -1,   132,  1221,    -1,   391,  1221,
      -1,   306,   556,    -1,   385,   557,    -1,   401,   115,   557,
      -1,   401,   115,   180,    -1,   483,   330,  1014,    -1,   438,
     410,  1221,    -1,  1200,    -1,   550,   515,  1201,    -1,   552,
      -1,   551,   516,   552,    -1,   554,    -1,   648,    -1,   363,
     448,    -1,   363,   149,    -1,   375,   363,    -1,   399,    -1,
     442,    -1,   217,    -1,   327,    -1,   557,    -1,  1221,    -1,
    1223,    -1,   998,  1221,  1000,    -1,   998,   513,  1079,   514,
    1221,  1000,    -1,   648,    -1,   180,    -1,   291,    -1,  1221,
      -1,   180,    -1,    -1,  1083,    -1,  1221,    -1,   378,   550,
      -1,   378,   434,   495,    -1,   378,   438,   272,   286,    -1,
     378,   401,   115,    -1,   378,    99,    -1,   403,   547,    -1,
     558,    -1,   403,   549,    -1,   558,    -1,   406,   550,  1234,
      -1,   406,   434,   495,  1234,    -1,   406,   438,   272,   286,
    1234,    -1,   406,   401,   115,  1234,    -1,   406,    99,    -1,
     403,   154,   563,   564,    -1,    99,    -1,  1068,    -1,   183,
      -1,   246,    -1,   138,    -1,   191,    99,    -1,   191,   429,
      -1,   191,   431,    -1,   191,   348,    -1,   191,   398,    -1,
     101,   426,   965,   568,    -1,   101,   426,   244,   212,   965,
     568,    -1,   101,   252,  1069,   568,    -1,   101,   252,   244,
     212,  1069,   568,    -1,   101,   397,  1069,   568,    -1,   101,
     397,   244,   212,  1069,   568,    -1,   101,   470,  1069,   568,
      -1,   101,   470,   244,   212,  1069,   568,    -1,   101,   298,
     470,  1069,   568,    -1,   101,   298,   470,   244,   212,  1069,
     568,    -1,   569,    -1,   568,   516,   569,    -1,    95,   607,
      -1,    95,   145,   607,    -1,   101,   834,  1201,   570,    -1,
     101,   834,  1201,   197,   313,   318,    -1,   101,   834,  1201,
     403,   313,   318,    -1,   101,   834,  1201,   403,   416,  1082,
      -1,   101,   834,  1201,   403,   575,    -1,   101,   834,  1201,
     378,   575,    -1,   101,   834,  1201,   403,   419,  1201,    -1,
     197,   834,   244,   212,  1201,   571,    -1,   197,   834,  1201,
     571,    -1,   101,   834,  1201,   835,   445,   978,   572,   573,
      -1,   101,   834,  1201,   676,    -1,    95,   616,    -1,   101,
     153,  1071,   705,    -1,   461,   153,  1071,    -1,   197,   153,
     244,   212,  1071,   571,    -1,   197,   153,  1071,   571,    -1,
     403,   477,   326,    -1,   403,   479,   326,    -1,   141,   327,
    1071,    -1,   403,   479,   141,    -1,   200,   440,  1071,    -1,
     200,   102,   440,  1071,    -1,   200,   377,   440,  1071,    -1,
     200,   440,    99,    -1,   200,   440,   457,    -1,   190,   440,
    1071,    -1,   190,   440,    99,    -1,   190,   440,   457,    -1,
     200,   389,  1071,    -1,   200,   102,   389,  1071,    -1,   200,
     377,   389,  1071,    -1,   190,   389,  1071,    -1,   254,  1069,
      -1,   311,   254,  1069,    -1,   323,   746,    -1,   313,   323,
      -1,   341,   436,  1080,    -1,   403,   428,  1071,    -1,   403,
     575,    -1,   378,   575,    -1,   377,   243,   574,    -1,   676,
      -1,   403,   180,  1002,    -1,   197,   180,    -1,   128,    -1,
     380,    -1,    -1,   143,   746,    -1,    -1,   458,  1002,    -1,
      -1,   314,    -1,   230,    -1,   180,    -1,   458,   252,  1071,
      -1,   513,   577,   514,    -1,   477,   575,    -1,    -1,   578,
      -1,   577,   516,   578,    -1,  1203,   500,   720,    -1,  1203,
      -1,  1203,   515,  1203,   500,   720,    -1,  1203,   515,  1203,
      -1,   101,   445,   746,   580,    -1,   581,    -1,   580,   516,
     581,    -1,    95,   114,   977,   571,    -1,   197,   114,   244,
     212,  1201,   571,    -1,   197,   114,  1201,   571,    -1,   101,
     114,  1201,   835,   445,   978,   572,   571,    -1,   140,   915,
      -1,   140,    99,    -1,   158,   590,  1069,   619,   591,   584,
     585,   586,   592,   525,   587,    -1,   158,   919,   436,   585,
     586,   525,   587,    -1,   229,    -1,   436,    -1,   360,    -1,
      -1,  1221,    -1,   417,    -1,   418,    -1,   588,    -1,   513,
     594,   514,    -1,   588,   589,    -1,    -1,   121,    -1,   326,
      -1,   228,    -1,   186,   870,  1221,    -1,   318,   870,  1221,
      -1,   162,    -1,   240,    -1,   361,   870,  1221,    -1,   205,
     870,  1221,    -1,   225,   361,   620,    -1,   225,   361,   506,
      -1,   225,   313,   318,   620,    -1,   225,   318,   620,    -1,
     201,  1221,    -1,   121,    -1,    -1,   477,   326,    -1,    -1,
     593,   187,  1221,    -1,    -1,   458,    -1,    -1,   595,    -1,
     594,   516,   595,    -1,  1203,   596,    -1,   554,    -1,   648,
      -1,   506,    -1,   513,   597,   514,    -1,    -1,   598,    -1,
     597,   516,   598,    -1,   554,    -1,   160,   600,   426,  1069,
     513,   601,   514,   630,   631,   632,   633,    -1,   160,   600,
     426,   244,   313,   212,  1069,   513,   601,   514,   630,   631,
     632,   633,    -1,   160,   600,   426,  1069,   323,   746,   602,
     631,   632,   633,    -1,   160,   600,   426,   244,   313,   212,
    1069,   323,   746,   602,   631,   632,   633,    -1,   431,    -1,
     429,    -1,   291,   431,    -1,   291,   429,    -1,   233,   431,
      -1,   233,   429,    -1,   454,    -1,    -1,   603,    -1,    -1,
     513,   604,   514,    -1,    -1,   605,    -1,   603,   516,   605,
      -1,   606,    -1,   604,   516,   606,    -1,   607,    -1,   613,
      -1,   616,    -1,   608,    -1,   616,    -1,  1201,   978,   674,
     609,    -1,  1201,   477,   331,   609,    -1,   609,   610,    -1,
      -1,   153,  1071,   611,    -1,   611,    -1,   612,    -1,   143,
     746,    -1,   313,   318,    -1,   318,    -1,   451,   811,   634,
      -1,   355,   274,   811,   634,    -1,   137,   513,  1002,   514,
     618,    -1,   180,  1003,    -1,   369,  1069,   619,   622,   626,
      -1,   182,    -1,   313,   182,    -1,   256,   183,    -1,   256,
     246,    -1,   287,  1069,   614,    -1,   614,   250,   615,    -1,
     614,   209,   615,    -1,    -1,   181,    -1,   154,    -1,   253,
      -1,   419,    -1,   147,    -1,    99,    -1,   153,  1071,   617,
      -1,   617,    -1,   137,   513,  1002,   514,   705,    -1,   451,
     513,   620,   514,   811,   634,   705,    -1,   451,   635,   705,
      -1,   355,   274,   513,   620,   514,   811,   634,   705,    -1,
     355,   274,   635,   705,    -1,   208,   785,   513,   623,   514,
     811,   634,   625,   705,    -1,   226,   274,   513,   620,   514,
     369,  1069,   619,   622,   626,   705,    -1,   311,   254,    -1,
      -1,   513,   620,   514,    -1,    -1,   621,    -1,   620,   516,
     621,    -1,  1201,    -1,   297,   230,    -1,   297,   343,    -1,
     297,   408,    -1,    -1,   624,    -1,   623,   516,   624,    -1,
     787,   477,   821,    -1,   787,   477,   329,   513,   821,   514,
      -1,   474,   513,  1002,   514,    -1,    -1,   627,    -1,   628,
      -1,   627,   628,    -1,   628,   627,    -1,    -1,   327,   456,
     629,    -1,   327,   185,   629,    -1,   311,    94,    -1,   380,
      -1,   128,    -1,   403,   318,    -1,   403,   180,    -1,   255,
     513,  1068,   514,    -1,    -1,   477,   575,    -1,   477,   326,
      -1,   479,   326,    -1,    -1,   327,   148,   197,    -1,   327,
     148,   185,   388,    -1,   327,   148,   352,   388,    -1,    -1,
     428,  1071,    -1,    -1,   458,   252,   428,  1071,    -1,    -1,
     458,   252,  1075,    -1,  1069,   619,   631,   632,   633,    -1,
     477,   173,    -1,   477,   311,   173,    -1,    -1,   160,   640,
     298,   470,   639,   108,   918,   637,    -1,  1069,   619,   576,
     633,    -1,   454,    -1,    -1,   370,   298,   470,   783,  1069,
     637,    -1,   160,   600,   397,  1069,   644,    -1,   101,   397,
    1069,   645,    -1,   101,   397,   244,   212,  1069,   645,    -1,
     645,    -1,    -1,   646,    -1,   645,   646,    -1,   126,   648,
      -1,   172,    -1,   311,   172,    -1,   251,   647,   648,    -1,
     299,   648,    -1,   301,   648,    -1,   311,   299,    -1,   311,
     301,    -1,   340,   125,   746,    -1,   414,   525,   648,    -1,
     379,    -1,   379,   525,   648,    -1,   125,    -1,    -1,  1220,
      -1,   505,  1220,    -1,  1082,    -1,   648,    -1,   649,   516,
     648,    -1,   160,   793,   651,   657,   276,   557,    -1,   160,
     793,   651,   657,   276,   557,   238,   652,   653,   655,    -1,
     444,    -1,    -1,  1071,    -1,  1071,   747,    -1,   257,   652,
      -1,    -1,   462,   652,    -1,   311,   462,    -1,   654,    -1,
      -1,   197,   657,   276,   557,   571,    -1,   197,   657,   276,
     244,   212,   557,   571,    -1,   358,    -1,    -1,   160,   428,
    1071,   659,   294,  1221,   576,    -1,   341,  1071,    -1,    -1,
     197,   428,  1071,    -1,   197,   428,   244,   212,  1071,    -1,
     160,   214,  1071,   525,   662,    -1,   160,   214,   244,   313,
     212,  1071,   525,   662,    -1,   662,   663,    -1,    -1,   391,
    1071,    -1,   469,   557,    -1,   229,   557,    -1,   101,   214,
    1071,   456,   665,    -1,   665,   666,    -1,    -1,   436,   557,
      -1,   101,   214,  1071,   540,    98,  1077,   805,    -1,   101,
     214,  1071,   540,   131,   513,   978,   108,   978,   514,    -1,
     101,   214,  1071,   540,   144,   746,    -1,   101,   214,  1071,
     540,   157,   746,    -1,   101,   214,  1071,   540,   195,   746,
      -1,   101,   214,  1071,   540,   231,   771,    -1,   101,   214,
    1071,   540,   657,   276,  1071,    -1,   101,   214,  1071,   540,
     329,   821,   820,    -1,   101,   214,  1071,   540,   329,   139,
     746,   458,  1073,    -1,   101,   214,  1071,   540,   329,   218,
     746,   458,  1073,    -1,   101,   214,  1071,   540,   391,  1071,
      -1,   101,   214,  1071,   540,   206,   440,  1071,    -1,   101,
     214,  1071,   540,   426,   746,    -1,   101,   214,  1071,   540,
     432,   393,   342,   746,    -1,   101,   214,  1071,   540,   432,
     393,   189,   746,    -1,   101,   214,  1071,   540,   432,   393,
     430,   746,    -1,   101,   214,  1071,   540,   432,   393,   151,
     746,    -1,   101,   214,  1071,   540,   397,   746,    -1,   101,
     214,  1071,   540,   470,   746,    -1,   101,   214,  1071,   540,
     298,   470,   746,    -1,   101,   214,  1071,   540,   226,   426,
     746,    -1,   101,   214,  1071,   540,   226,   173,   481,  1071,
      -1,   101,   214,  1071,   540,   400,  1071,    -1,   101,   214,
    1071,   540,   445,   746,    -1,   160,   226,   173,   481,  1071,
     671,   674,    -1,   238,   652,    -1,   311,   238,    -1,   462,
     652,    -1,   311,   462,    -1,   669,    -1,   670,   669,    -1,
     670,    -1,    -1,   197,   226,   173,   481,  1071,   571,    -1,
     197,   226,   173,   481,   244,   212,  1071,   571,    -1,   101,
     226,   173,   481,  1071,   671,   676,    -1,   101,   226,   173,
     481,  1071,   670,    -1,   331,   513,   675,   514,    -1,    -1,
     679,    -1,   675,   516,   679,    -1,   331,   513,   677,   514,
      -1,   678,    -1,   677,   516,   678,    -1,   679,    -1,   403,
     679,    -1,    95,   679,    -1,   197,   680,    -1,   680,   681,
      -1,  1203,    -1,  1221,    -1,   160,   400,  1071,   683,   685,
     226,   173,   481,  1071,   674,    -1,   445,  1221,    -1,    -1,
     469,  1221,    -1,   469,   318,    -1,   684,    -1,    -1,   197,
     400,  1071,   571,    -1,   197,   400,   244,   212,  1071,   571,
      -1,   101,   400,  1071,   684,   676,    -1,   101,   400,  1071,
     684,    -1,   101,   400,  1071,   676,    -1,   160,   226,   426,
    1069,   513,   601,   514,   400,  1071,   674,    -1,   160,   226,
     426,   244,   313,   212,  1069,   513,   601,   514,   400,  1071,
     674,    -1,   101,   226,   426,   965,   568,    -1,   101,   226,
     426,   244,   212,   965,   568,    -1,   160,   457,   296,   224,
     691,   400,  1071,   674,    -1,   170,    -1,   457,    -1,  1080,
      -1,   197,   457,   296,   224,   691,   400,  1071,    -1,   197,
     457,   296,   244,   212,   224,   691,   400,  1071,    -1,   101,
     457,   296,   224,   691,   400,  1071,   676,    -1,   160,   440,
    1071,   695,   696,   327,  1069,   698,   701,   211,   359,  1077,
     513,   702,   514,    -1,   160,   153,   440,  1071,    97,   696,
     327,  1069,   704,   705,   224,   198,   387,   701,   211,   359,
    1077,   513,   702,   514,    -1,   117,    -1,    97,    -1,   263,
     323,    -1,   697,    -1,   696,   332,   697,    -1,   262,    -1,
     185,    -1,   456,    -1,   456,   323,   620,    -1,   443,    -1,
     224,   699,   700,    -1,    -1,   198,    -1,    -1,   387,    -1,
     415,    -1,   473,   513,  1002,   514,    -1,    -1,   703,    -1,
     702,   516,   703,    -1,    -1,  1079,    -1,  1220,    -1,  1221,
      -1,  1203,    -1,   229,  1069,    -1,    -1,    -1,   705,   706,
      -1,   313,   182,    -1,   182,    -1,   256,   246,    -1,   256,
     183,    -1,   313,   460,    -1,   311,   254,    -1,   197,   440,
    1071,   327,   746,   571,    -1,   197,   440,   244,   212,  1071,
     327,   746,   571,    -1,   160,   206,   440,  1071,   327,  1203,
     211,   359,  1077,   513,   514,    -1,   160,   206,   440,  1071,
     327,  1203,   473,   709,   211,   359,  1077,   513,   514,    -1,
     710,    -1,   709,   105,   710,    -1,  1201,   249,   513,   711,
     514,    -1,    82,    -1,   711,   516,    82,    -1,   101,   206,
     440,  1071,   713,    -1,   200,    -1,   200,   377,    -1,   200,
     102,    -1,   190,    -1,   160,   110,  1071,   137,   513,  1002,
     514,   705,    -1,   197,   110,  1071,   571,    -1,   160,    98,
    1077,   805,   717,    -1,   160,    98,  1077,   721,    -1,   160,
     329,   821,   717,    -1,   160,   445,   746,   717,    -1,   160,
     445,   746,    -1,   160,   445,   746,   108,   513,   975,   514,
      -1,   160,   445,   746,   108,   204,   513,   724,   514,    -1,
     160,   445,   746,   108,   362,   717,    -1,   160,   432,   393,
     342,   746,   717,    -1,   160,   432,   393,   189,   746,   717,
      -1,   160,   432,   393,   430,   746,   717,    -1,   160,   432,
     393,   151,   746,   717,    -1,   160,   144,   746,   717,    -1,
     160,   144,   746,   229,   746,    -1,   513,   718,   514,    -1,
     719,    -1,   718,   516,   719,    -1,  1203,   500,   720,    -1,
    1203,    -1,   802,    -1,  1087,    -1,  1034,    -1,   648,    -1,
    1221,    -1,   513,   722,   514,    -1,   723,    -1,   722,   516,
     723,    -1,  1223,   500,   720,    -1,   725,    -1,    -1,  1221,
      -1,   725,   516,  1221,    -1,   101,   445,   746,    95,   463,
     727,  1221,    -1,   101,   445,   746,    95,   463,   727,  1221,
     117,  1221,    -1,   101,   445,   746,    95,   463,   727,  1221,
      97,  1221,    -1,   244,   313,   212,    -1,    -1,   160,   329,
     139,   746,   731,   224,   445,   978,   458,  1073,   732,   108,
     729,    -1,   730,    -1,   729,   516,   730,    -1,   329,  1079,
     821,   733,   734,    -1,   329,  1079,   821,   820,   733,   734,
      -1,   231,  1079,  1077,   794,    -1,   231,  1079,   513,  1039,
     514,  1077,   794,    -1,   419,   978,    -1,   180,    -1,    -1,
     218,   746,    -1,    -1,   224,   393,    -1,   224,   333,   125,
     746,    -1,    -1,   366,    -1,    -1,   160,   329,   218,   746,
     458,  1073,    -1,   101,   329,   218,   746,   458,  1073,    95,
     729,    -1,   101,   329,   218,   746,   458,  1073,   197,   737,
      -1,   738,    -1,   737,   516,   738,    -1,   329,  1079,   513,
    1039,   514,    -1,   231,  1079,   513,  1039,   514,    -1,   197,
     329,   139,   746,   458,  1073,   571,    -1,   197,   329,   139,
     244,   212,   746,   458,  1073,   571,    -1,   197,   329,   218,
     746,   458,  1073,   571,    -1,   197,   329,   218,   244,   212,
     746,   458,  1073,   571,    -1,   197,   340,   125,  1081,   571,
      -1,   365,   340,   125,  1081,   436,  1071,    -1,   197,   744,
     244,   212,   745,   571,    -1,   197,   744,   745,   571,    -1,
     197,   252,   150,   745,   571,    -1,   197,   252,   150,   244,
     212,   745,   571,    -1,   426,    -1,   397,    -1,   470,    -1,
     298,   470,    -1,   252,    -1,   226,   426,    -1,   206,   440,
      -1,   445,    -1,   195,    -1,   144,    -1,   157,    -1,   391,
      -1,   214,    -1,   432,   393,   342,    -1,   432,   393,   189,
      -1,   432,   393,   430,    -1,   432,   393,   151,    -1,   746,
      -1,   745,   516,   746,    -1,  1201,    -1,  1201,   747,    -1,
     515,  1074,    -1,   747,   515,  1074,    -1,   443,   929,   966,
     749,   571,    -1,   156,   243,    -1,   379,   243,    -1,    -1,
     146,   327,   751,   746,   270,   752,    -1,   146,   327,    98,
    1077,   805,   270,   752,    -1,   146,   327,   231,  1077,   794,
     270,   752,    -1,   146,   327,   329,   821,   820,   270,   752,
      -1,   146,   327,   153,  1071,   327,   746,   270,   752,    -1,
     146,   327,   389,  1071,   327,   746,   270,   752,    -1,   146,
     327,   389,  1071,   270,   752,    -1,   146,   327,   440,  1071,
     327,   746,   270,   752,    -1,   146,   327,   329,   139,   746,
     458,  1073,   270,   752,    -1,   146,   327,   329,   218,   746,
     458,  1073,   270,   752,    -1,   146,   327,   277,   322,   648,
     270,   752,    -1,   146,   327,   131,   513,   978,   108,   978,
     514,   270,   752,    -1,   146,   327,   657,   276,   746,   270,
     752,    -1,   145,    -1,   174,    -1,   391,    -1,   252,    -1,
     397,    -1,   426,    -1,   195,    -1,   445,    -1,   470,    -1,
     298,   470,    -1,   144,    -1,   157,    -1,   428,    -1,   214,
      -1,   385,    -1,   226,   426,    -1,   400,    -1,   226,   173,
     481,    -1,   206,   440,    -1,   432,   393,   151,    -1,   432,
     393,   189,    -1,   432,   393,   342,    -1,   432,   393,   430,
      -1,  1221,    -1,   318,    -1,   395,   275,   754,   327,   755,
     746,   270,   756,    -1,   395,   275,   754,   327,    98,  1077,
     805,   270,   756,    -1,   395,   275,   754,   327,   231,  1077,
     794,   270,   756,    -1,   395,   275,   754,   327,   277,   322,
     648,   270,   756,    -1,   395,   275,   754,   327,   657,   276,
     746,   270,   756,    -1,   224,   557,    -1,    -1,   145,    -1,
     174,    -1,   206,   440,    -1,   226,   426,    -1,   391,    -1,
     397,    -1,   426,    -1,   195,    -1,   385,    -1,   428,    -1,
     445,    -1,   470,    -1,   298,   470,    -1,  1221,    -1,   318,
      -1,   219,   758,    -1,   304,   758,    -1,   219,   758,  1235,
      -1,   219,   227,   915,  1236,    -1,   219,   227,   759,   915,
    1236,    -1,   219,   116,   915,  1236,    -1,   219,   116,   759,
     915,  1236,    -1,   304,   227,   915,    -1,   304,   227,   759,
     915,    -1,   304,   116,   915,    -1,   304,   116,   759,   915,
      -1,   915,    -1,   759,   915,    -1,   310,   760,   915,    -1,
     356,   760,   915,    -1,   221,   760,   915,    -1,   278,   760,
     915,    -1,    92,  1082,   760,   915,    -1,   372,  1082,   760,
     915,    -1,  1082,   760,   915,    -1,    99,   760,   915,    -1,
     227,  1082,   760,   915,    -1,   227,    99,   760,   915,    -1,
     116,  1082,   760,   915,    -1,   116,    99,   760,   915,    -1,
     229,    -1,   249,    -1,   759,    -1,    -1,   234,   763,   327,
     766,   436,   767,   769,    -1,   383,   763,   327,   766,   229,
     767,   571,    -1,   383,   234,   330,   224,   763,   327,   766,
     229,   767,   571,    -1,   764,    -1,    99,    -1,    99,   357,
      -1,    99,   513,   620,   514,    -1,    99,   357,   513,   620,
     514,    -1,   765,    -1,   764,   516,   765,    -1,   396,   619,
      -1,   369,   619,    -1,   160,   619,    -1,  1201,   619,    -1,
    1068,    -1,   426,  1068,    -1,   397,  1068,    -1,   226,   173,
     481,  1070,    -1,   226,   400,  1070,    -1,   231,   770,    -1,
     174,  1070,    -1,   195,   745,    -1,   276,  1070,    -1,   277,
     322,   649,    -1,   391,  1070,    -1,   428,  1070,    -1,   445,
     745,    -1,    99,   427,   249,   391,  1070,    -1,    99,   398,
     249,   391,  1070,    -1,    99,   232,   249,   391,  1070,    -1,
     768,    -1,   767,   516,   768,    -1,  1080,    -1,   237,  1080,
      -1,   477,   234,   330,    -1,    -1,   771,    -1,   770,   516,
     771,    -1,  1077,   794,    -1,   234,   764,   436,  1081,   774,
     775,    -1,   383,   764,   229,  1081,   775,   571,    -1,   383,
      96,   330,   224,   764,   229,  1081,   775,   571,    -1,   477,
      96,   330,    -1,    -1,   235,   125,  1080,    -1,    -1,   101,
     180,   357,   777,   779,    -1,   777,   778,    -1,    -1,   249,
     391,  1070,    -1,   224,   385,  1081,    -1,   224,   457,  1081,
      -1,   234,   763,   327,   780,   436,   767,   769,    -1,   383,
     763,   327,   780,   229,   767,   571,    -1,   383,   234,   330,
     224,   763,   327,   780,   229,   767,   571,    -1,   427,    -1,
     232,    -1,   398,    -1,   446,    -1,   160,   782,   252,   783,
     784,   327,  1069,   785,   513,   786,   514,   576,   633,   973,
      -1,   451,    -1,    -1,   150,    -1,    -1,  1075,    -1,    -1,
     458,  1073,    -1,    -1,   787,    -1,   786,   516,   787,    -1,
    1201,   788,   789,   790,   791,    -1,  1007,   788,   789,   790,
     791,    -1,   513,  1002,   514,   788,   789,   790,   791,    -1,
     143,   746,    -1,    -1,   746,    -1,   458,   746,    -1,    -1,
     109,    -1,   188,    -1,    -1,   496,    -1,   497,    -1,    -1,
     160,   793,   231,  1077,   796,   382,   801,   807,   811,    -1,
     160,   793,   231,  1077,   796,   382,   426,   513,   813,   514,
     807,   811,    -1,   160,   793,   231,  1077,   796,   807,   811,
      -1,   332,   376,    -1,    -1,   513,   795,   514,    -1,   513,
     514,    -1,   798,    -1,   795,   516,   798,    -1,   513,   797,
     514,    -1,   513,   514,    -1,   803,    -1,   797,   516,   803,
      -1,   799,   800,   802,    -1,   800,   799,   802,    -1,   800,
     802,    -1,   799,   802,    -1,   802,    -1,   249,    -1,   335,
      -1,   259,    -1,   249,   335,    -1,   466,    -1,  1202,    -1,
     802,    -1,   978,    -1,  1202,   747,   508,   445,    -1,   404,
    1202,   747,   508,   445,    -1,   798,    -1,   798,   180,  1002,
      -1,   798,   500,  1002,    -1,   798,    -1,   513,   506,   514,
      -1,   513,   806,   514,    -1,   513,   333,   125,   806,   514,
      -1,   513,   806,   333,   125,   806,   514,    -1,   804,    -1,
     806,   516,   804,    -1,   809,    -1,   807,   809,    -1,   127,
     327,   318,   260,    -1,   382,   318,   327,   318,   260,    -1,
     420,    -1,   247,    -1,   412,    -1,   472,    -1,   215,   395,
     184,    -1,   215,   395,   269,    -1,   395,   184,    -1,   395,
     269,    -1,   283,    -1,   313,   283,    -1,   159,   648,    -1,
     388,   648,    -1,   560,    -1,   108,   810,    -1,   276,   557,
      -1,   476,    -1,   808,    -1,  1221,    -1,  1221,   516,  1221,
      -1,   477,   717,    -1,    -1,   800,   802,    -1,   812,    -1,
     813,   516,   812,    -1,   101,   231,   771,   815,   816,    -1,
     808,    -1,   815,   808,    -1,   380,    -1,    -1,   197,   231,
    1077,   794,   571,    -1,   197,   231,   244,   212,  1077,   794,
     571,    -1,   197,    98,  1077,   805,   571,    -1,   197,    98,
     244,   212,  1077,   805,   571,    -1,   197,   329,   821,   820,
     571,    -1,   197,   329,   244,   212,   821,   820,   571,    -1,
     513,   978,   514,    -1,   513,   978,   516,   978,   514,    -1,
     513,   312,   516,   978,   514,    -1,   513,   978,   516,   312,
     514,    -1,  1031,    -1,  1201,   515,   821,    -1,   193,   823,
      -1,   824,    -1,   823,   824,    -1,  1221,    -1,   276,   557,
      -1,   160,   131,   513,   978,   108,   978,   514,   477,   231,
     771,   826,    -1,   160,   131,   513,   978,   108,   978,   514,
     479,   231,   826,    -1,   160,   131,   513,   978,   108,   978,
     514,   477,   259,   826,    -1,   108,   248,    -1,   108,   111,
      -1,    -1,   197,   131,   828,   513,   978,   108,   978,   514,
     571,    -1,   244,   212,    -1,    -1,   371,   830,  1069,   831,
      -1,   371,   425,  1071,   831,    -1,   371,   174,  1071,   831,
      -1,   252,    -1,   426,    -1,   225,    -1,    -1,   101,   428,
    1071,   304,    99,   436,  1071,   906,    -1,   101,   428,  1071,
     304,   427,   436,  1071,   906,    -1,   101,   428,  1071,   304,
     253,   436,  1071,   906,    -1,   101,   428,  1071,   304,   298,
     471,   436,  1071,   906,    -1,   101,   428,  1071,   304,    99,
     340,   125,  1081,   436,  1071,   906,    -1,   101,   428,  1071,
     304,   427,   340,   125,  1081,   436,  1071,   906,    -1,   101,
     428,  1071,   304,   253,   340,   125,  1081,   436,  1071,   906,
      -1,   101,   428,  1071,   304,   298,   471,   340,   125,  1081,
     436,  1071,   906,    -1,   101,   428,  1071,   403,   575,    -1,
     101,   428,  1071,   378,   575,    -1,   101,    98,  1077,   805,
     374,   436,  1071,    -1,   101,   144,   746,   374,   436,  1071,
      -1,   101,   157,   746,   374,   436,  1071,    -1,   101,   174,
    1072,   374,   436,  1072,    -1,   101,   195,   746,   374,   436,
    1071,    -1,   101,   195,   746,   374,   153,  1071,   436,  1071,
      -1,   101,   226,   173,   481,  1071,   374,   436,  1071,    -1,
     101,   231,   771,   374,   436,  1071,    -1,   101,   237,  1080,
     374,   436,  1080,    -1,   101,   657,   276,  1071,   374,   436,
    1071,    -1,   101,   329,   139,   746,   458,  1073,   374,   436,
    1071,    -1,   101,   329,   218,   746,   458,  1073,   374,   436,
    1071,    -1,   101,   391,  1071,   374,   436,  1071,    -1,   101,
     400,  1071,   374,   436,  1071,    -1,   101,   426,   965,   374,
     436,  1071,    -1,   101,   426,   244,   212,   965,   374,   436,
    1071,    -1,   101,   397,  1069,   374,   436,  1071,    -1,   101,
     397,   244,   212,  1069,   374,   436,  1071,    -1,   101,   470,
    1069,   374,   436,  1071,    -1,   101,   470,   244,   212,  1069,
     374,   436,  1071,    -1,   101,   298,   470,  1069,   374,   436,
    1071,    -1,   101,   298,   470,   244,   212,  1069,   374,   436,
    1071,    -1,   101,   252,  1069,   374,   436,  1071,    -1,   101,
     252,   244,   212,  1069,   374,   436,  1071,    -1,   101,   226,
     426,   965,   374,   436,  1071,    -1,   101,   226,   426,   244,
     212,   965,   374,   436,  1071,    -1,   101,   426,   965,   374,
     834,  1071,   436,  1071,    -1,   101,   426,   244,   212,   965,
     374,   834,  1071,   436,  1071,    -1,   101,   298,   470,  1069,
     374,   834,  1071,   436,  1071,    -1,   101,   298,   470,   244,
     212,  1069,   374,   834,  1071,   436,  1071,    -1,   101,   426,
     965,   374,   153,  1071,   436,  1071,    -1,   101,   226,   426,
     965,   374,   834,  1071,   436,  1071,    -1,   101,   226,   426,
     244,   212,   965,   374,   834,  1071,   436,  1071,    -1,   101,
     389,  1071,   327,  1069,   374,   436,  1071,    -1,   101,   440,
    1071,   327,  1069,   374,   436,  1071,    -1,   101,   206,   440,
    1071,   374,   436,  1071,    -1,   101,   385,  1080,   374,   436,
    1080,    -1,   101,   457,  1080,   374,   436,  1080,    -1,   101,
     428,  1071,   374,   436,  1071,    -1,   101,   432,   393,   342,
     746,   374,   436,  1071,    -1,   101,   432,   393,   189,   746,
     374,   436,  1071,    -1,   101,   432,   393,   430,   746,   374,
     436,  1071,    -1,   101,   432,   393,   151,   746,   374,   436,
    1071,    -1,   101,   445,   746,   374,   436,  1071,    -1,   101,
     445,   746,   374,   114,  1071,   436,  1071,   571,    -1,   145,
      -1,    -1,   403,   173,    -1,    -1,   101,    98,  1077,   805,
     403,   391,  1071,    -1,   101,   144,   746,   403,   391,  1071,
      -1,   101,   157,   746,   403,   391,  1071,    -1,   101,   195,
     746,   403,   391,  1071,    -1,   101,   214,   746,   403,   391,
    1071,    -1,   101,   231,   771,   403,   391,  1071,    -1,   101,
     329,   821,   820,   403,   391,  1071,    -1,   101,   329,   139,
     746,   458,  1073,   403,   391,  1071,    -1,   101,   329,   218,
     746,   458,  1073,   403,   391,  1071,    -1,   101,   426,   965,
     403,   391,  1071,    -1,   101,   426,   244,   212,   965,   403,
     391,  1071,    -1,   101,   432,   393,   342,   746,   403,   391,
    1071,    -1,   101,   432,   393,   189,   746,   403,   391,  1071,
      -1,   101,   432,   393,   430,   746,   403,   391,  1071,    -1,
     101,   432,   393,   151,   746,   403,   391,  1071,    -1,   101,
     397,  1069,   403,   391,  1071,    -1,   101,   397,   244,   212,
    1069,   403,   391,  1071,    -1,   101,   470,  1069,   403,   391,
    1071,    -1,   101,   470,   244,   212,  1069,   403,   391,  1071,
      -1,   101,   298,   470,  1069,   403,   391,  1071,    -1,   101,
     298,   470,   244,   212,  1069,   403,   391,  1071,    -1,   101,
     226,   426,   965,   403,   391,  1071,    -1,   101,   226,   426,
     244,   212,   965,   403,   391,  1071,    -1,   101,   445,   746,
     403,   391,  1071,    -1,   101,    98,  1077,   805,   341,   436,
    1080,    -1,   101,   144,   746,   341,   436,  1080,    -1,   101,
     157,   746,   341,   436,  1080,    -1,   101,   174,  1072,   341,
     436,  1080,    -1,   101,   195,   746,   341,   436,  1080,    -1,
     101,   231,   771,   341,   436,  1080,    -1,   101,   657,   276,
    1071,   341,   436,  1080,    -1,   101,   277,   322,   648,   341,
     436,  1080,    -1,   101,   329,   821,   820,   341,   436,  1080,
      -1,   101,   329,   139,   746,   458,  1073,   341,   436,  1080,
      -1,   101,   329,   218,   746,   458,  1073,   341,   436,  1080,
      -1,   101,   391,  1071,   341,   436,  1080,    -1,   101,   445,
     746,   341,   436,  1080,    -1,   101,   428,  1071,   341,   436,
    1080,    -1,   101,   432,   393,   189,   746,   341,   436,  1080,
      -1,   101,   432,   393,   151,   746,   341,   436,  1080,    -1,
     101,   226,   173,   481,  1071,   341,   436,  1080,    -1,   101,
     400,  1071,   341,   436,  1080,    -1,   101,   206,   440,  1071,
     341,   436,  1080,    -1,   160,   793,   389,  1071,   108,   327,
     843,   436,  1069,   973,   193,   844,   839,    -1,   314,    -1,
     841,    -1,   513,   840,   514,    -1,   840,   517,   842,    -1,
     842,    -1,   918,    -1,   896,    -1,   907,    -1,   901,    -1,
     846,    -1,   841,    -1,    -1,   396,    -1,   456,    -1,   185,
      -1,   262,    -1,   263,    -1,   100,    -1,    -1,   197,   389,
    1071,   327,   746,   571,    -1,   197,   389,   244,   212,  1071,
     327,   746,   571,    -1,   315,  1201,   847,    -1,   516,  1221,
      -1,    -1,   289,  1201,    -1,   453,  1201,    -1,   453,   506,
      -1,    91,   851,    -1,   118,   851,   854,    -1,   414,   438,
     854,    -1,   148,   851,    -1,   203,   851,    -1,   386,   851,
      -1,   390,  1201,    -1,   373,   390,  1201,    -1,   373,  1201,
      -1,   386,   851,   436,   390,  1201,    -1,   386,   851,   436,
    1201,    -1,   353,   438,  1221,    -1,   148,   354,  1221,    -1,
     386,   354,  1221,    -1,   480,    -1,   438,    -1,    -1,   272,
     286,   553,    -1,   363,   328,    -1,   363,   482,    -1,   182,
      -1,   313,   182,    -1,   852,    -1,   853,   516,   852,    -1,
     853,   852,    -1,   853,    -1,    -1,   160,   600,   470,  1069,
     619,   576,   108,   918,   856,    -1,   160,   332,   376,   600,
     470,  1069,   619,   576,   108,   918,   856,    -1,   160,   600,
     367,   470,  1069,   513,   620,   514,   576,   108,   918,   856,
      -1,   160,   332,   376,   600,   367,   470,  1069,   513,   620,
     514,   576,   108,   918,   856,    -1,   477,   137,   330,    -1,
     477,   129,   137,   330,    -1,   477,   291,   137,   330,    -1,
      -1,   290,  1076,    -1,   160,   174,  1072,   525,   859,    -1,
     859,   860,    -1,    -1,   428,   861,  1071,    -1,   428,   861,
     180,    -1,   294,   861,  1221,    -1,   294,   861,   180,    -1,
     430,   861,  1071,    -1,   430,   861,   180,    -1,   201,   861,
    1221,    -1,   201,   861,  1079,    -1,   201,   861,   180,    -1,
     280,   861,  1221,    -1,   280,   861,   180,    -1,   281,   861,
    1221,    -1,   281,   861,   180,    -1,   152,   288,   861,  1082,
      -1,   341,   861,  1071,    -1,   341,   861,   180,    -1,   500,
      -1,    -1,   101,   174,  1072,   525,   864,    -1,   101,   174,
    1072,   403,   428,  1071,    -1,   101,   174,  1072,   559,    -1,
     864,   865,    -1,    -1,   152,   288,   861,  1082,    -1,   197,
     174,  1072,    -1,   197,   174,   244,   212,  1072,    -1,   101,
     425,   403,   548,    -1,   160,   195,   746,   870,   978,   609,
      -1,   101,   195,   746,   570,    -1,   101,   195,   746,   197,
     313,   318,    -1,   101,   195,   746,   403,   313,   318,    -1,
     101,   195,   746,    95,   616,    -1,   101,   195,   746,   197,
     153,  1071,   571,    -1,   101,   195,   746,   197,   153,   244,
     212,  1071,   571,    -1,   101,   195,   746,   461,   153,  1071,
      -1,   108,    -1,    -1,   101,   432,   393,   189,   746,   717,
      -1,   101,   432,   393,   151,   746,    95,   296,   224,  1070,
     477,   745,    -1,   101,   432,   393,   151,   746,   101,   296,
     224,  1070,   477,   745,    -1,   101,   432,   393,   151,   746,
     101,   296,   376,   746,   477,   746,    -1,   101,   432,   393,
     151,   746,   101,   296,   224,  1070,   376,   746,   477,   746,
      -1,   101,   432,   393,   151,   746,   197,   296,   224,  1070,
      -1,   101,   432,   393,   151,   746,   197,   296,   244,   212,
     224,  1070,    -1,   160,   731,   157,   746,   224,  1221,   436,
    1221,   229,   746,    -1,   141,   881,  1069,   875,    -1,   141,
     881,    -1,   141,   881,  1075,   327,  1069,    -1,   458,  1075,
      -1,    -1,   459,   882,   883,   881,    -1,   459,   882,   883,
     881,  1069,    -1,   459,   882,   883,   881,   879,    -1,   459,
     513,   877,   514,    -1,   459,   513,   877,   514,  1069,   884,
      -1,   878,    -1,   877,   516,   878,    -1,   880,    -1,   468,
      -1,   228,    -1,   230,    -1,   880,   881,    -1,   880,   881,
    1069,   884,    -1,   104,    -1,   103,    -1,   468,    -1,    -1,
     230,    -1,    -1,   228,    -1,    -1,   513,  1070,   514,    -1,
      -1,   213,   886,    -1,   213,   880,   881,   886,    -1,   213,
     468,   886,    -1,   213,   513,   887,   514,   886,    -1,   918,
      -1,   896,    -1,   907,    -1,   901,    -1,   914,    -1,  1090,
      -1,   638,    -1,   641,    -1,   894,    -1,   888,    -1,   887,
     516,   888,    -1,   889,   890,    -1,  1083,    -1,   880,    -1,
     554,    -1,   648,    -1,    -1,   353,  1109,   892,   108,   893,
      -1,   353,  1109,   229,  1154,    -1,   513,  1039,   514,    -1,
      -1,   918,    -1,   896,    -1,   907,    -1,   901,    -1,   211,
    1109,   895,  1233,    -1,   160,   600,   426,   636,   108,   211,
    1071,   895,   637,    -1,   513,  1036,   514,    -1,    -1,   926,
     262,   268,  1069,   897,   900,    -1,   918,    -1,   513,   898,
     514,   918,    -1,   180,   464,    -1,   899,    -1,   898,   516,
     899,    -1,  1201,  1060,    -1,   381,  1066,  1234,    -1,    -1,
     926,   185,   229,   967,   902,   974,   900,    -1,   458,   956,
      -1,    -1,   295,   929,   966,   904,   906,    -1,   249,   905,
     302,    -1,    -1,    93,   405,    -1,   387,   405,    -1,   387,
     210,    -1,   405,   456,   210,    -1,   405,    -1,   405,   387,
     210,    -1,   210,    -1,    93,   210,    -1,   317,    -1,    -1,
     926,   456,   967,   403,   908,   955,   974,   900,    -1,   909,
      -1,   908,   516,   909,    -1,   910,    -1,   911,    -1,   912,
     500,  1062,    -1,   513,   913,   514,   500,  1064,    -1,  1201,
    1060,    -1,   912,    -1,   913,   516,   912,    -1,   179,   915,
     916,   171,   917,   224,   918,    -1,  1071,    -1,  1214,    -1,
      -1,   916,   311,   392,    -1,   916,   392,    -1,   916,   121,
      -1,   916,   261,    -1,    -1,   477,   241,    -1,   479,   241,
      -1,   920,    -1,   919,    -1,   513,   920,   514,    -1,   513,
     919,   514,    -1,   922,    -1,   921,   933,    -1,   921,   932,
     948,   937,    -1,   921,   932,   936,   949,    -1,   923,   921,
      -1,   923,   921,   933,    -1,   923,   921,   932,   948,   937,
      -1,   923,   921,   932,   936,   949,    -1,   922,    -1,   919,
      -1,   396,   931,  1065,   927,   955,   973,   946,   947,  1019,
      -1,   954,    -1,   426,   965,    -1,   921,   450,   930,   921,
      -1,   921,   266,   930,   921,    -1,   921,   207,   930,   921,
      -1,   477,   924,    -1,   477,   367,   924,    -1,   925,    -1,
     924,   516,   925,    -1,  1071,   884,   108,   513,   893,   514,
      -1,   923,    -1,    -1,   268,   928,    -1,  1234,    -1,    -1,
     431,   929,  1069,    -1,   429,   929,  1069,    -1,   291,   431,
     929,  1069,    -1,   291,   429,   929,  1069,    -1,   233,   431,
     929,  1069,    -1,   233,   429,   929,  1069,    -1,   454,   929,
    1069,    -1,   426,  1069,    -1,  1069,    -1,   426,    -1,    -1,
      99,    -1,   192,    -1,    -1,   192,    -1,   192,   327,   513,
    1036,   514,    -1,    99,    -1,    -1,   933,    -1,    -1,   333,
     125,   934,    -1,   935,    -1,   934,   516,   935,    -1,  1002,
     458,  1034,   791,    -1,  1002,   790,   791,    -1,   938,   939,
      -1,   939,   938,    -1,   938,    -1,   939,    -1,   936,    -1,
      -1,   288,   940,    -1,   288,   940,   516,   941,    -1,   219,
     945,   942,   944,   328,    -1,   325,   941,    -1,   325,   943,
     944,    -1,  1002,    -1,    99,    -1,  1002,    -1,  1082,    -1,
     513,  1002,   514,    -1,    -1,  1004,    -1,   387,    -1,   388,
      -1,   221,    -1,   310,    -1,   237,   125,  1036,    -1,    -1,
     239,  1002,    -1,    -1,   950,    -1,   224,   363,   328,    -1,
     948,    -1,    -1,   951,    -1,   950,   951,    -1,   952,   953,
     906,    -1,   224,   456,    -1,   224,   311,   274,   456,    -1,
     224,   405,    -1,   224,   274,   405,    -1,   323,  1068,    -1,
      -1,   464,  1064,    -1,   954,   516,  1064,    -1,   229,   956,
      -1,    -1,   957,    -1,   956,   516,   957,    -1,   965,   960,
      -1,   968,   961,    -1,   279,   968,   961,    -1,   919,   960,
      -1,   279,   919,   960,    -1,   958,    -1,   513,   958,   514,
     959,    -1,   513,   958,   514,    -1,   957,   161,   273,   957,
      -1,   957,   962,   273,   957,   964,    -1,   957,   273,   957,
     964,    -1,   957,   308,   962,   273,   957,    -1,   957,   308,
     273,   957,    -1,   108,  1201,   513,  1070,   514,    -1,   108,
    1201,    -1,  1201,   513,  1070,   514,    -1,  1201,    -1,   959,
      -1,    -1,   959,    -1,   108,   513,   976,   514,    -1,   108,
    1201,   513,   976,   514,    -1,  1201,   513,   976,   514,    -1,
      -1,   230,   963,    -1,   285,   963,    -1,   384,   963,    -1,
     258,    -1,   336,    -1,    -1,   458,   513,  1070,   514,    -1,
     327,  1002,    -1,  1069,    -1,  1069,   506,    -1,   328,  1069,
      -1,   328,   513,  1069,   514,    -1,   965,    -1,   966,   516,
     965,    -1,   965,    -1,   965,  1201,    -1,   965,   108,  1201,
      -1,  1007,   972,    -1,   388,   229,   513,   970,   514,   972,
      -1,  1007,   971,    -1,   969,    -1,   970,   516,   969,    -1,
     108,   513,   976,   514,    -1,    -1,   498,    -1,    -1,   474,
    1002,    -1,    -1,   474,  1002,    -1,   474,   163,   323,   915,
      -1,    -1,   976,    -1,    -1,   977,    -1,   976,   516,   977,
      -1,  1201,   978,   572,    -1,   980,   979,    -1,   404,   980,
     979,    -1,   980,   107,   511,  1079,   512,    -1,   404,   980,
     107,   511,  1079,   512,    -1,   980,   107,    -1,   404,   980,
     107,    -1,   979,   511,   512,    -1,   979,   511,  1232,   512,
      -1,    -1,   982,    -1,   984,    -1,   986,    -1,   990,    -1,
     997,    -1,   998,  1000,    -1,   998,   513,  1079,   514,  1000,
      -1,   984,    -1,   987,    -1,   991,    -1,   997,    -1,  1202,
     983,    -1,  1202,   747,   983,    -1,   513,  1036,   514,    -1,
      -1,   264,    -1,   265,    -1,   409,    -1,   120,    -1,   364,
      -1,   222,   985,    -1,   196,   351,    -1,   178,   983,    -1,
     177,   983,    -1,   321,   983,    -1,   123,    -1,   513,  1079,
     514,    -1,    -1,   988,    -1,   989,    -1,   988,    -1,   989,
      -1,   122,   995,   513,  1036,   514,    -1,   122,   995,    -1,
     992,    -1,   993,    -1,   992,    -1,   993,    -1,   994,   513,
    1079,   514,   996,    -1,   994,   996,    -1,   135,   995,    -1,
     134,   995,    -1,   465,    -1,   307,   135,   995,    -1,   307,
     134,   995,    -1,   309,   995,    -1,   467,    -1,    -1,   135,
     403,  1201,    -1,    -1,   435,   513,  1079,   514,   999,    -1,
     435,   999,    -1,   434,   513,  1079,   514,   999,    -1,   434,
     999,    -1,   267,    -1,   499,   495,    -1,   479,   434,   495,
      -1,    -1,   493,    -1,   303,    -1,   175,    -1,   242,    -1,
     300,    -1,  1001,    -1,   493,   436,   303,    -1,   175,   436,
     242,    -1,   175,   436,   300,    -1,   175,   436,  1001,    -1,
     242,   436,   300,    -1,   242,   436,  1001,    -1,   300,   436,
    1001,    -1,    -1,   394,    -1,   394,   513,  1079,   514,    -1,
    1004,    -1,  1002,    88,   978,    -1,  1002,   143,   746,    -1,
    1002,   113,   434,   495,  1002,    -1,   504,  1002,    -1,   505,
    1002,    -1,  1002,   504,  1002,    -1,  1002,   505,  1002,    -1,
    1002,   506,  1002,    -1,  1002,   507,  1002,    -1,  1002,   508,
    1002,    -1,  1002,   509,  1002,    -1,  1002,   501,  1002,    -1,
    1002,   502,  1002,    -1,  1002,   500,  1002,    -1,  1002,  1033,
    1002,    -1,  1033,  1002,    -1,  1002,  1033,    -1,  1002,   105,
    1002,    -1,  1002,   332,  1002,    -1,   313,  1002,    -1,  1002,
     287,  1002,    -1,  1002,   287,  1002,   205,  1002,    -1,  1002,
     313,   287,  1002,    -1,  1002,   313,   287,  1002,   205,  1002,
      -1,  1002,   245,  1002,    -1,  1002,   245,  1002,   205,  1002,
      -1,  1002,   313,   245,  1002,    -1,  1002,   313,   245,  1002,
     205,  1002,    -1,  1002,   407,   436,  1002,    -1,  1002,   407,
     436,  1002,   205,  1002,    -1,  1002,   313,   407,   436,  1002,
      -1,  1002,   313,   407,   436,  1002,   205,  1002,    -1,  1002,
     270,   318,    -1,  1002,   271,    -1,  1002,   270,   313,   318,
      -1,  1002,   316,    -1,  1029,   338,  1029,    -1,  1002,   270,
     442,    -1,  1002,   270,   313,   442,    -1,  1002,   270,   217,
      -1,  1002,   270,   313,   217,    -1,  1002,   270,   452,    -1,
    1002,   270,   313,   452,    -1,  1002,   270,   192,   229,  1002,
      -1,  1002,   270,   313,   192,   229,  1002,    -1,  1002,   270,
     323,   513,  1039,   514,    -1,  1002,   270,   313,   323,   513,
    1039,   514,    -1,  1002,   119,  1061,  1003,   105,  1003,    -1,
    1002,   313,   119,  1061,  1003,   105,  1003,    -1,  1002,   119,
     423,  1003,   105,  1003,    -1,  1002,   313,   119,   423,  1003,
     105,  1003,    -1,  1002,   249,  1051,    -1,  1002,   313,   249,
    1051,    -1,  1002,  1035,  1030,   919,    -1,  1002,  1035,  1030,
     513,  1002,   514,    -1,   451,   919,    -1,  1002,   270,   194,
      -1,  1002,   270,   313,   194,    -1,  1004,    -1,  1003,    88,
     978,    -1,   504,  1003,    -1,   505,  1003,    -1,  1003,   504,
    1003,    -1,  1003,   505,  1003,    -1,  1003,   506,  1003,    -1,
    1003,   507,  1003,    -1,  1003,   508,  1003,    -1,  1003,   509,
    1003,    -1,  1003,   501,  1003,    -1,  1003,   502,  1003,    -1,
    1003,   500,  1003,    -1,  1003,  1033,  1003,    -1,  1033,  1003,
      -1,  1003,  1033,    -1,  1003,   270,   192,   229,  1003,    -1,
    1003,   270,   313,   192,   229,  1003,    -1,  1003,   270,   323,
     513,  1039,   514,    -1,  1003,   270,   313,   323,   513,  1039,
     514,    -1,  1003,   270,   194,    -1,  1003,   270,   313,   194,
      -1,  1057,    -1,  1078,    -1,  1218,  1060,    -1,   513,  1002,
     514,  1060,    -1,  1052,    -1,  1006,    -1,   919,    -1,   919,
    1059,    -1,   212,   919,    -1,   107,   919,    -1,   107,  1040,
      -1,  1029,    -1,  1077,   513,   514,    -1,  1077,   513,  1037,
     932,   514,    -1,  1077,   513,   466,  1038,   932,   514,    -1,
    1077,   513,  1037,   516,   466,  1038,   932,   514,    -1,  1077,
     513,    99,  1037,   932,   514,    -1,  1077,   513,   192,  1037,
     932,   514,    -1,  1077,   513,   506,   514,    -1,  1005,  1017,
    1018,  1022,    -1,  1008,    -1,  1005,    -1,  1008,    -1,   144,
     224,   513,  1002,   514,    -1,   165,    -1,   168,    -1,   168,
     513,  1079,   514,    -1,   169,    -1,   169,   513,  1079,   514,
      -1,   292,    -1,   292,   513,  1079,   514,    -1,   293,    -1,
     293,   513,  1079,   514,    -1,   166,    -1,   170,    -1,   402,
      -1,   457,    -1,   164,    -1,   167,    -1,   131,   513,  1002,
     108,   978,   514,    -1,   216,   513,  1042,   514,    -1,   339,
     513,  1044,   514,    -1,   349,   513,  1046,   514,    -1,   422,
     513,  1047,   514,    -1,   439,   513,  1002,   108,   978,   514,
      -1,   441,   513,   124,  1050,   514,    -1,   441,   513,   282,
    1050,   514,    -1,   441,   513,   437,  1050,   514,    -1,   441,
     513,  1050,   514,    -1,   319,   513,  1002,   516,  1002,   514,
      -1,   142,   513,  1036,   514,    -1,   236,   513,  1036,   514,
      -1,   284,   513,  1036,   514,    -1,   485,   513,  1036,   514,
      -1,   486,   513,   305,  1203,   514,    -1,   486,   513,   305,
    1203,   516,  1011,   514,    -1,   486,   513,   305,  1203,   516,
    1036,   514,    -1,   486,   513,   305,  1203,   516,  1011,   516,
    1036,   514,    -1,   487,   513,  1004,  1016,   514,    -1,   488,
     513,  1012,   514,    -1,   489,   513,  1014,  1002,  1015,   514,
      -1,   490,   513,   305,  1203,   514,    -1,   490,   513,   305,
    1203,   516,  1002,   514,    -1,   491,   513,  1002,   516,  1009,
    1010,   514,    -1,   492,   513,  1014,  1002,   108,   980,   514,
      -1,   469,  1002,    -1,   469,   311,   463,    -1,   516,   413,
     494,    -1,   516,   413,   311,    -1,   516,   413,   311,   463,
      -1,    -1,   484,   513,  1012,   514,    -1,  1013,    -1,  1012,
     516,  1013,    -1,  1002,   108,  1203,    -1,  1002,    -1,   194,
      -1,   155,    -1,   352,   475,    -1,   421,   475,    -1,    -1,
     345,  1004,    -1,   345,  1004,   125,   368,    -1,   345,   125,
     368,  1004,    -1,   345,   125,   368,  1004,   125,   368,    -1,
     478,   237,   513,   933,   514,    -1,    -1,   220,   513,   474,
    1002,   514,    -1,    -1,   476,  1020,    -1,    -1,  1021,    -1,
    1020,   516,  1021,    -1,  1201,   108,  1023,    -1,   337,  1023,
      -1,   337,  1201,    -1,    -1,   513,  1024,  1025,   932,  1026,
     514,    -1,  1201,    -1,    -1,   344,   125,  1036,    -1,    -1,
     362,  1027,    -1,   388,  1027,    -1,    -1,  1028,    -1,   119,
    1028,   105,  1028,    -1,   447,   350,    -1,   447,   223,    -1,
     163,   387,    -1,  1002,   350,    -1,  1002,   223,    -1,   387,
     513,  1036,   514,    -1,   387,   513,   514,    -1,   513,  1036,
     516,  1002,   514,    -1,   106,    -1,   411,    -1,    99,    -1,
      85,    -1,  1032,    -1,   504,    -1,   505,    -1,   506,    -1,
     507,    -1,   508,    -1,   509,    -1,   501,    -1,   502,    -1,
     500,    -1,    85,    -1,   329,   513,   821,   514,    -1,  1031,
      -1,   329,   513,   821,   514,    -1,  1031,    -1,   329,   513,
     821,   514,    -1,   287,    -1,   313,   287,    -1,   245,    -1,
     313,   245,    -1,  1002,    -1,  1036,   516,  1002,    -1,  1038,
      -1,  1037,   516,  1038,    -1,  1002,    -1,   800,    90,  1002,
      -1,   978,    -1,  1039,   516,   978,    -1,   511,  1036,   512,
      -1,   511,  1041,   512,    -1,   511,   512,    -1,  1040,    -1,
    1041,   516,  1040,    -1,  1043,   229,  1002,    -1,    -1,  1223,
      -1,   493,    -1,   303,    -1,   175,    -1,   242,    -1,   300,
      -1,   394,    -1,  1221,    -1,  1002,  1045,  1048,  1049,    -1,
    1002,  1045,  1048,    -1,   347,  1002,    -1,  1003,   249,  1003,
      -1,    -1,  1002,  1048,  1049,    -1,  1002,  1049,  1048,    -1,
    1002,  1048,    -1,  1002,  1049,    -1,  1036,    -1,    -1,   229,
    1002,    -1,   224,  1002,    -1,  1002,   229,  1036,    -1,   229,
    1036,    -1,  1036,    -1,   919,    -1,   513,  1036,   514,    -1,
     130,  1056,  1053,  1055,   203,    -1,  1054,    -1,  1053,  1054,
      -1,   473,  1002,   433,  1002,    -1,   199,  1002,    -1,    -1,
    1002,    -1,    -1,  1201,    -1,  1201,  1059,    -1,   515,  1074,
      -1,   515,   506,    -1,   511,  1002,   512,    -1,   511,  1002,
     518,  1002,   512,    -1,  1058,    -1,  1059,  1058,    -1,    -1,
    1060,  1058,    -1,   112,    -1,    -1,  1002,    -1,   180,    -1,
    1062,    -1,  1063,   516,  1062,    -1,   513,  1063,   514,    -1,
    1066,    -1,    -1,  1067,    -1,  1066,   516,  1067,    -1,  1002,
     108,  1203,    -1,  1002,  1223,    -1,  1002,    -1,   506,    -1,
    1069,    -1,  1068,   516,  1069,    -1,  1201,    -1,  1201,  1059,
      -1,  1071,    -1,  1070,   516,  1071,    -1,  1201,    -1,  1201,
      -1,  1201,    -1,  1203,    -1,  1201,    -1,  1221,    -1,  1202,
      -1,  1201,  1059,    -1,  1079,    -1,  1220,    -1,  1221,    -1,
    1219,    -1,    84,    -1,  1077,  1221,    -1,  1077,   513,  1037,
     932,   514,  1221,    -1,   981,  1221,    -1,   998,  1221,  1000,
      -1,   998,   513,  1079,   514,  1221,  1000,    -1,   442,    -1,
     217,    -1,   318,    -1,  1215,    -1,  1213,    -1,    86,    -1,
    1083,    -1,  1080,    -1,  1081,   516,  1080,    -1,  1079,    -1,
    1215,    -1,   504,  1079,    -1,   505,  1079,    -1,  1223,    -1,
    1084,    -1,  1085,    -1,  1086,    -1,    91,    -1,    92,    -1,
      93,    -1,    94,    -1,    95,    -1,    96,    -1,    97,    -1,
      98,    -1,   100,    -1,   101,    -1,   102,    -1,   110,    -1,
     111,    -1,   113,    -1,   114,    -1,   116,    -1,   117,    -1,
     118,    -1,   125,    -1,   126,    -1,   127,    -1,   128,    -1,
     129,    -1,   132,    -1,   133,    -1,   136,    -1,   138,    -1,
     139,    -1,   140,    -1,   141,    -1,   146,    -1,   147,    -1,
     148,    -1,   149,    -1,   151,    -1,   154,    -1,   155,    -1,
     156,    -1,   157,    -1,   158,    -1,   159,    -1,   162,    -1,
     171,    -1,   172,    -1,   173,    -1,   174,    -1,   176,    -1,
     179,    -1,   181,    -1,   183,    -1,   184,    -1,   185,    -1,
     186,    -1,   187,    -1,   189,    -1,   190,    -1,   191,    -1,
     194,    -1,   195,    -1,   196,    -1,   197,    -1,   198,    -1,
     200,    -1,   201,    -1,   202,    -1,   204,    -1,   205,    -1,
     206,    -1,   208,    -1,   209,    -1,   210,    -1,   211,    -1,
     213,    -1,   214,    -1,   215,    -1,   218,    -1,   220,    -1,
     221,    -1,   223,    -1,   225,    -1,   227,    -1,   231,    -1,
     232,    -1,   233,    -1,   235,    -1,   238,    -1,   240,    -1,
     241,    -1,   243,    -1,   244,    -1,   246,    -1,   247,    -1,
     248,    -1,   250,    -1,   251,    -1,   252,    -1,   253,    -1,
     254,    -1,   255,    -1,   257,    -1,   261,    -1,   262,    -1,
     263,    -1,   269,    -1,   272,    -1,   274,    -1,   275,    -1,
     276,    -1,   277,    -1,   278,    -1,   280,    -1,   281,    -1,
     283,    -1,   286,    -1,   289,    -1,   290,    -1,   291,    -1,
     294,    -1,   295,    -1,   296,    -1,   297,    -1,   298,    -1,
     299,    -1,   301,    -1,   302,    -1,   304,    -1,   305,    -1,
     306,    -1,   310,    -1,   311,    -1,   314,    -1,   315,    -1,
     317,    -1,   320,    -1,   322,    -1,   323,    -1,   324,    -1,
     326,    -1,   329,    -1,   330,    -1,   331,    -1,   334,    -1,
     337,    -1,   340,    -1,   341,    -1,   342,    -1,   343,    -1,
     344,    -1,   345,    -1,   346,    -1,   348,    -1,   350,    -1,
     353,    -1,   354,    -1,   352,    -1,   356,    -1,   357,    -1,
     358,    -1,   359,    -1,   360,    -1,   361,    -1,   362,    -1,
     363,    -1,   365,    -1,   366,    -1,   367,    -1,   368,    -1,
     370,    -1,   371,    -1,   372,    -1,   373,    -1,   374,    -1,
     375,    -1,   376,    -1,   377,    -1,   378,    -1,   379,    -1,
     380,    -1,   382,    -1,   383,    -1,   385,    -1,   386,    -1,
     388,    -1,   389,    -1,   390,    -1,   391,    -1,   392,    -1,
     393,    -1,   395,    -1,   397,    -1,   398,    -1,   399,    -1,
     400,    -1,   401,    -1,   403,    -1,   405,    -1,   406,    -1,
     408,    -1,   410,    -1,   412,    -1,   413,    -1,   414,    -1,
     415,    -1,   416,    -1,   417,    -1,   418,    -1,   419,    -1,
     420,    -1,   421,    -1,   424,    -1,   425,    -1,   427,    -1,
     428,    -1,   429,    -1,   430,    -1,   431,    -1,   432,    -1,
     438,    -1,   440,    -1,   443,    -1,   444,    -1,   445,    -1,
     446,    -1,   447,    -1,   448,    -1,   449,    -1,   452,    -1,
     453,    -1,   454,    -1,   455,    -1,   456,    -1,   459,    -1,
     460,    -1,   461,    -1,   462,    -1,   463,    -1,   467,    -1,
     469,    -1,   470,    -1,   471,    -1,   472,    -1,   475,    -1,
     478,    -1,   479,    -1,   480,    -1,   481,    -1,   482,    -1,
     483,    -1,   494,    -1,   495,    -1,   119,    -1,   120,    -1,
     122,    -1,   123,    -1,   135,    -1,   142,    -1,   177,    -1,
     178,    -1,   212,    -1,   216,    -1,   222,    -1,   236,    -1,
     259,    -1,   265,    -1,   267,    -1,   284,    -1,   307,    -1,
     309,    -1,   312,    -1,   319,    -1,   321,    -1,   335,    -1,
     339,    -1,   349,    -1,   351,    -1,   364,    -1,   387,    -1,
     404,    -1,   409,    -1,   422,    -1,   434,    -1,   435,    -1,
     439,    -1,   441,    -1,   465,    -1,   484,    -1,   485,    -1,
     486,    -1,   487,    -1,   488,    -1,   489,    -1,   490,    -1,
     491,    -1,   492,    -1,   115,    -1,   121,    -1,   144,    -1,
     150,    -1,   161,    -1,   167,    -1,   228,    -1,   230,    -1,
     245,    -1,   258,    -1,   270,    -1,   271,    -1,   273,    -1,
     285,    -1,   287,    -1,   308,    -1,   316,    -1,   336,    -1,
     338,    -1,   384,    -1,   407,    -1,   468,    -1,    99,    -1,
     103,    -1,   104,    -1,   105,    -1,   106,    -1,   107,    -1,
     108,    -1,   109,    -1,   112,    -1,   124,    -1,   130,    -1,
     131,    -1,   137,    -1,   143,    -1,   145,    -1,   153,    -1,
     160,    -1,   164,    -1,   165,    -1,   166,    -1,   168,    -1,
     169,    -1,   170,    -1,   180,    -1,   182,    -1,   188,    -1,
     192,    -1,   193,    -1,   199,    -1,   203,    -1,   207,    -1,
     217,    -1,   219,    -1,   224,    -1,   226,    -1,   229,    -1,
     234,    -1,   237,    -1,   239,    -1,   249,    -1,   256,    -1,
     266,    -1,   268,    -1,   279,    -1,   282,    -1,   288,    -1,
     292,    -1,   293,    -1,   313,    -1,   318,    -1,   325,    -1,
     327,    -1,   328,    -1,   332,    -1,   333,    -1,   347,    -1,
     355,    -1,   369,    -1,   381,    -1,   396,    -1,   402,    -1,
     411,    -1,   423,    -1,   426,    -1,   433,    -1,   437,    -1,
     442,    -1,   451,    -1,   457,    -1,   458,    -1,   466,    -1,
     473,    -1,   474,    -1,   476,    -1,   477,    -1,    -1,  1088,
    1089,    -1,  1210,  1092,   523,   517,    -1,  1210,   523,   517,
      -1,  1210,  1112,    -1,  1117,    -1,  1229,    -1,    73,    -1,
     519,    -1,   520,    -1,    -1,   160,   600,   426,   636,   108,
    1091,   918,   637,    -1,   113,  1153,    -1,     9,   436,  1094,
    1101,  1102,    -1,     9,   436,   180,    -1,     9,  1103,    -1,
     174,  1094,    -1,  1095,  1098,  1100,    -1,  1096,   518,  1097,
    1100,   507,  1095,  1106,    -1,  1105,    -1,  1221,    -1,  1072,
      -1,    -1,  1223,  1217,    -1,    85,  1099,    -1,  1097,    -1,
      -1,  1201,    -1,  1201,   515,  1099,    -1,    74,    -1,   518,
    1079,    -1,    -1,   108,  1153,    -1,    -1,   457,  1103,    -1,
      -1,  1104,    -1,  1104,   507,  1104,    -1,  1104,    21,   125,
    1104,    -1,  1104,   458,  1104,    -1,  1080,    -1,  1221,    -1,
    1215,    -1,  1217,    -1,    85,  1107,    -1,    -1,  1201,  1108,
      -1,  1201,  1108,    85,  1107,    -1,    -1,   500,  1079,    -1,
     500,  1223,    -1,   500,  1215,    -1,  1071,    -1,  1105,    -1,
     179,   915,   916,   171,   917,   224,  1109,    -1,   211,   246,
    1154,    -1,  1113,    -1,  1124,    -1,  1126,    -1,   648,    -1,
     516,   648,    -1,    -1,  1000,    -1,   493,   436,   300,    -1,
     493,   436,   394,    -1,   175,   436,   175,    -1,   303,   436,
     303,    -1,    -1,  1119,  1118,  1121,  1120,    -1,  1210,   118,
     179,    34,   517,    -1,  1210,   203,   179,    34,   517,    -1,
      -1,  1122,    -1,  1113,    -1,    73,    -1,  1122,  1113,    -1,
    1122,    73,    -1,  1126,    -1,  1123,  1126,    -1,    -1,    70,
    1125,  1133,  1149,  1205,   979,   517,    -1,    -1,  1130,  1133,
    1127,  1146,   517,    -1,    -1,  1133,  1128,  1146,   517,    -1,
    1136,   517,    -1,   518,  1079,    -1,    -1,  1131,  1132,    -1,
    1131,    -1,  1132,    -1,    56,    -1,    67,    -1,    65,    -1,
      50,    -1,    51,    -1,    69,    -1,  1142,    -1,  1138,    -1,
    1134,    -1,  1205,   513,  1114,  1115,   514,    -1,  1205,  1116,
      -1,  1140,    -1,   204,  1199,  1135,    -1,   204,  1135,    -1,
     204,  1199,    -1,   519,  1227,   520,    -1,    -1,  1140,  1137,
     519,  1123,   520,    -1,  1136,    -1,    -1,  1141,  1139,   519,
    1123,   520,    -1,    43,  1199,    -1,   450,  1199,    -1,    43,
      -1,   450,    -1,  1143,    -1,  1145,  1144,    -1,    44,    35,
      -1,    44,    35,   264,    -1,    44,    -1,    44,   264,    -1,
      44,    25,    -1,    44,    25,   264,    -1,    44,    25,    25,
      -1,    44,    25,    25,   264,    -1,    44,   134,    -1,    35,
      -1,    35,   264,    -1,   264,    -1,    25,    -1,    25,   264,
      -1,    25,    25,    -1,    25,    25,   264,    -1,     5,    -1,
     134,    -1,   196,    -1,    36,    -1,    -1,  1147,    -1,  1146,
     516,  1147,    -1,  1149,  1204,   979,  1129,  1148,    -1,    -1,
     500,  1228,    -1,    -1,   506,    -1,   506,   506,    -1,   179,
     415,  1223,    -1,    15,  1152,    -1,  1153,    -1,   163,    -1,
      99,    -1,    -1,  1072,    -1,   180,    -1,  1105,    -1,  1105,
      -1,    71,    -1,    17,   915,    -1,    17,    99,    -1,    28,
     915,  1157,    -1,    -1,  1158,    -1,   458,  1162,    -1,  1159,
      -1,   458,    37,    14,  1224,    -1,   458,    14,  1071,    -1,
     268,    37,    14,  1224,    -1,   268,    14,  1071,    -1,   268,
    1071,    -1,  1163,    -1,  1163,   516,  1162,    -1,  1164,    -1,
    1215,    -1,  1213,    -1,  1079,    -1,   504,  1079,    -1,   505,
    1079,    -1,  1220,    -1,   504,  1220,    -1,   505,  1220,    -1,
    1221,    -1,  1219,    -1,  1222,    -1,    13,   260,  1109,  1159,
      -1,    13,  1166,  1109,  1159,    -1,    13,  1166,  1109,  1160,
      -1,    13,   260,  1109,  1161,    -1,    13,  1166,  1109,  1161,
      -1,    29,    -1,    -1,     3,    14,  1224,    -1,   176,    14,
    1224,    -1,    18,    14,  1224,  1170,    -1,  1171,    -1,  1170,
     516,  1171,    -1,  1217,   500,  1176,    -1,   403,    14,  1224,
    1173,    -1,  1174,    -1,  1173,   516,  1174,    -1,  1176,   500,
    1175,    -1,  1079,    -1,  1217,    -1,    10,    -1,    18,    14,
    1224,   463,  1175,  1178,    -1,  1179,    -1,  1178,   516,  1179,
      -1,  1217,   500,  1184,    -1,   403,    14,  1224,   463,  1175,
    1181,    -1,  1182,    -1,  1181,   516,  1182,    -1,  1184,   500,
    1183,    -1,  1220,    -1,  1175,    -1,   505,  1220,    -1,   505,
    1079,    -1,  1221,    -1,     8,    -1,   173,    -1,    11,    -1,
      12,    -1,    22,    -1,    23,    -1,    24,    -1,   305,    -1,
      26,    -1,    27,    -1,   351,    -1,    31,    -1,    32,    -1,
      33,    -1,   445,    -1,   403,     4,   500,  1186,    -1,   403,
       4,   436,  1186,    -1,   327,    -1,   324,    -1,   403,   152,
     436,  1153,    -1,   403,   152,   500,  1153,    -1,   403,   152,
    1153,    -1,    -1,   445,  1189,  1205,   270,  1133,   979,  1190,
      -1,    30,    -1,    -1,    -1,    45,  1192,  1203,   270,  1133,
     979,  1190,    -1,    46,    38,  1194,    -1,    46,   313,    16,
    1194,    -1,    46,    40,  1194,    -1,   156,    -1,    39,    -1,
      42,    -1,    20,  1071,    -1,    19,   436,  1071,    -1,   193,
    1071,   513,  1211,   514,    -1,   193,     6,    -1,     7,  1071,
     513,  1211,   514,    -1,     7,  1071,    -1,  1196,    -1,  1197,
      -1,     6,    -1,     7,    -1,     8,    -1,    10,    -1,    11,
      -1,    12,    -1,    16,    -1,    19,    -1,    20,    -1,    21,
      -1,    22,    -1,    23,    -1,    24,    -1,    26,    -1,    27,
      -1,    31,    -1,    32,    -1,    33,    -1,    34,    -1,    37,
      -1,    38,    -1,    39,    -1,    40,    -1,    42,    -1,     9,
      -1,    13,    -1,    15,    -1,    28,    -1,    45,    -1,    46,
      -1,     5,    -1,    25,    -1,    29,    -1,    35,    -1,    43,
      -1,    36,    -1,    44,    -1,  1203,    -1,  1223,    -1,  1084,
      -1,  1085,    -1,  1208,    -1,  1195,    -1,  1206,    -1,   134,
      -1,   464,    -1,  1223,    -1,  1207,    -1,  1085,    -1,  1195,
      -1,  1206,    -1,   134,    -1,   464,    -1,  1223,    -1,  1207,
      -1,  1086,    -1,  1195,    -1,  1206,    -1,  1198,    -1,  1204,
      -1,  1198,    -1,   134,    -1,   163,    -1,   260,    -1,   264,
      -1,   436,    -1,   450,    -1,   464,    -1,  1206,    -1,  1208,
      -1,  1205,    -1,  1084,    -1,  1087,    -1,  1197,    -1,   152,
      -1,  1223,    -1,  1085,    -1,  1086,    -1,  1196,    -1,    50,
      -1,    51,    -1,    56,    -1,    65,    -1,    67,    -1,    70,
      -1,    69,    -1,  1084,    -1,  1208,    -1,   152,    -1,   175,
      -1,   242,    -1,   300,    -1,   303,    -1,   394,    -1,   493,
      -1,  1212,    -1,  1209,   516,  1212,    -1,    41,    -1,    -1,
    1227,    -1,  1217,  1216,    -1,  1217,    -1,  1217,  1216,    -1,
    1105,    -1,  1217,    -1,  1217,    -1,    22,  1217,    -1,    22,
    1071,    -1,    72,    -1,    87,    -1,    83,    -1,    81,    -1,
      82,    -1,    76,    -1,    77,    -1,    78,    -1,    75,    -1,
      84,    -1,    80,    -1,    71,    -1,    79,    -1,  1071,    -1,
    1105,    -1,  1230,    -1,   513,   514,    -1,   513,  1226,   514,
      -1,  1225,    -1,  1226,  1225,    -1,  1228,    -1,  1227,   516,
    1228,    -1,  1226,    -1,   519,  1227,   520,    -1,  1230,    -1,
     513,    -1,   514,    -1,   516,    -1,   517,    -1,  1223,    -1,
    1079,    -1,  1220,    -1,  1221,    -1,   506,    -1,   504,    -1,
     505,    -1,   507,    -1,   508,    -1,   318,    -1,    47,    -1,
      48,    -1,    49,    -1,    50,    -1,    51,    -1,    52,    -1,
      53,    -1,    54,    -1,    55,    -1,    56,    -1,    57,    -1,
      58,    -1,    60,    -1,    59,    -1,    61,    -1,    62,    -1,
      63,    -1,    64,    -1,    65,    -1,    66,    -1,    67,    -1,
      68,    -1,    70,    -1,    69,    -1,     5,    -1,   204,    -1,
     242,    -1,   264,    -1,    25,    -1,   300,    -1,   303,    -1,
     394,    -1,    35,    -1,    36,    -1,    43,    -1,    44,    -1,
     493,    -1,   134,    -1,   222,    -1,   436,    -1,   450,    -1,
     465,    -1,   511,    -1,   512,    -1,   500,    -1,   518,    -1,
     176,  1109,    -1,   176,   353,  1109,    -1,   176,    99,    -1,
     176,   353,    99,    -1,  1079,    -1,   513,  1232,   514,    -1,
    1232,   504,  1232,    -1,  1232,   505,  1232,    -1,  1232,   506,
    1232,    -1,  1232,   507,  1232,    -1,  1232,   508,  1232,    -1,
    1221,    -1,  1201,    -1,  1201,   513,  1133,   514,    -1,    -1,
    1158,  1234,    -1,  1234,  1158,    -1,  1158,    -1,  1234,    -1,
     268,  1209,    -1,  1160,    -1,  1234,    -1,  1159,    -1,    -1,
    1235,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,  1509,  1509,  1512,  1514,  1516,  1518,  1520,  1522,  1524,
    1526,  1528,  1530,  1532,  1534,  1536,  1538,  1540,  1542,  1544,
    1546,  1548,  1550,  1552,  1554,  1556,  1558,  1560,  1562,  1564,
    1566,  1568,  1570,  1588,  1590,  1592,  1594,  1596,  1598,  1600,
    1602,  1604,  1606,  1608,  1610,  1612,  1614,  1616,  1618,  1620,
    1622,  1624,  1626,  1628,  1630,  1632,  1634,  1636,  1638,  1640,
    1642,  1644,  1646,  1648,  1652,  1654,  1656,  1658,  1660,  1662,
    1664,  1666,  1668,  1670,  1672,  1674,  1676,  1678,  1680,  1682,
    1684,  1686,  1688,  1690,  1692,  1694,  1696,  1698,  1700,  1702,
    1704,  1706,  1708,  1710,  1712,  1714,  1716,  1718,  1720,  1727,
    1729,  1731,  1733,  1735,  1737,  1739,  1741,  1743,  1745,  1747,
    1749,  1755,  1757,  1759,  1761,  1763,  1765,  1767,  1769,  1771,
    1777,  1787,  1791,  1797,  1801,  1811,  1821,  1822,  1836,  1843,
    1849,  1860,  1866,  1875,  1882,  1888,  1897,  1904,  1912,  1917,
    1925,  1930,  1936,  1941,  1947,  1952,  1958,  1962,  1966,  1970,
    1974,  1978,  1982,  1986,  1990,  1998,  2002,  2006,  2010,  2014,
    2018,  2026,  2034,  2043,  2045,  2053,  2057,  2065,  2073,  2081,
    2085,  2093,  2097,  2105,  2113,  2121,  2125,  2133,  2137,  2145,
    2149,  2153,  2158,  2167,  2172,  2178,  2183,  2189,  2193,  2197,
    2201,  2205,  2209,  2217,  2221,  2225,  2233,  2237,  2241,  2249,
    2253,  2257,  2261,  2262,  2266,  2270,  2274,  2279,  2283,  2287,
    2291,  2295,  2299,  2303,  2311,  2315,  2323,  2327,  2335,  2339,
    2353,  2357,  2361,  2365,  2373,  2377,  2381,  2385,  2393,  2397,
    2401,  2405,  2409,  2413,  2417,  2425,  2429,  2434,  2440,  2444,
    2452,  2456,  2460,  2464,  2468,  2476,  2480,  2488,  2492,  2500,
    2504,  2508,  2512,  2516,  2525,  2533,  2537,  2545,  2549,  2557,
    2565,  2569,  2573,  2577,  2581,  2589,  2593,  2597,  2601,  2605,
    2609,  2613,  2617,  2621,  2625,  2633,  2637,  2645,  2649,  2653,
    2657,  2661,  2665,  2669,  2673,  2677,  2681,  2685,  2689,  2693,
    2697,  2701,  2705,  2709,  2713,  2717,  2721,  2725,  2729,  2733,
    2737,  2741,  2745,  2749,  2753,  2757,  2761,  2765,  2769,  2773,
    2777,  2781,  2785,  2789,  2793,  2797,  2801,  2805,  2809,  2813,
    2817,  2825,  2829,  2837,  2841,  2846,  2852,  2857,  2863,  2868,
    2874,  2878,  2882,  2886,  2894,  2902,  2907,  2913,  2917,  2925,
    2929,  2933,  2937,  2945,  2953,  2957,  2965,  2969,  2973,  2977,
    2985,  2990,  2998,  3006,  3014,  3018,  3026,  3031,  3037,  3041,
    3045,  3053,  3057,  3065,  3070,  3076,  3080,  3084,  3088,  3092,
    3096,  3100,  3104,  3108,  3112,  3116,  3120,  3124,  3128,  3136,
    3141,  3147,  3152,  3158,  3163,  3169,  3174,  3180,  3184,  3192,
    3200,  3204,  3208,  3212,  3217,  3223,  3227,  3235,  3243,  3247,
    3251,  3255,  3263,  3267,  3271,  3275,  3279,  3283,  3287,  3292,
    3298,  3303,  3309,  3314,  3320,  3324,  3332,  3336,  3344,  3348,
    3352,  3360,  3364,  3372,  3380,  3388,  3393,  3399,  3403,  3407,
    3411,  3419,  3423,  3427,  3431,  3435,  3439,  3443,  3451,  3455,
    3459,  3463,  3471,  3479,  3483,  3488,  3494,  3498,  3502,  3506,
    3510,  3514,  3522,  3526,  3534,  3538,  3542,  3546,  3550,  3554,
    3558,  3566,  3571,  3577,  3582,  3588,  3592,  3600,  3608,  3612,
    3617,  3622,  3628,  3632,  3640,  3644,  3652,  3657,  3663,  3667,
    3671,  3675,  3680,  3686,  3694,  3702,  3706,  3710,  3714,  3718,
    3726,  3731,  3737,  3741,  3745,  3750,  3756,  3760,  3764,  3769,
    3775,  3780,  3786,  3791,  3797,  3805,  3813,  3817,  3822,  3828,
    3836,  3844,  3849,  3855,  3863,  3871,  3875,  3883,  3888,  3894,
    3898,  3906,  3910,  3914,  3918,  3922,  3926,  3930,  3934,  3938,
    3942,  3946,  3950,  3958,  3963,  3969,  3973,  3977,  3985,  3989,
    3997,  4001,  4009,  4014,  4020,  4024,  4032,  4037,  4043,  4047,
    4055,  4060,  4066,  4070,  4078,  4083,  4089,  4097,  4102,  4108,
    4112,  4120,  4124,  4132,  4137,  4143,  4147,  4151,  4159,  4167,
    4172,  4178,  4186,  4190,  4194,  4198,  4202,  4206,  4210,  4214,
    4218,  4222,  4226,  4230,  4234,  4238,  4242,  4246,  4250,  4254,
    4258,  4262,  4266,  4270,  4274,  4278,  4286,  4294,  4298,  4302,
    4306,  4314,  4318,  4326,  4331,  4337,  4341,  4349,  4353,  4361,
    4366,  4372,  4376,  4384,  4392,  4396,  4404,  4408,  4412,  4416,
    4424,  4432,  4440,  4448,  4456,  4461,  4467,  4471,  4479,  4484,
    4490,  4494,  4502,  4506,  4510,  4518,  4522,  4530,  4534,  4542,
    4550,  4554,  4558,  4566,  4570,  4578,  4586,  4590,  4598,  4602,
    4606,  4614,  4618,  4626,  4630,  4634,  4638,  4642,  4650,  4655,
    4661,  4666,  4672,  4676,  4684,  4689,  4695,  4699,  4704,  4710,
    4714,  4718,  4722,  4730,  4735,  4742,  4744,  4752,  4756,  4760,
    4764,  4768,  4772,  4780,  4784,  4792,  4796,  4804,  4808,  4816,
    4824,  4828,  4836,  4844,  4848,  4852,  4856,  4864,  4873,  4882,
    4886,  4890,  4894,  4898,  4902,  4906,  4910,  4914,  4918,  4922,
    4926,  4930,  4934,  4942,  4950,  4954,  4962,  4966,  4974,  4978,
    4982,  4986,  4990,  4998,  5006,  5010,  5018,  5026,  5031,  5037,
    5041,  5049,  5053,  5057,  5065,  5070,  5076,  5084,  5088,  5096,
    5100,  5104,  5108,  5112,  5120,  5125,  5131,  5136,  5142,  5146,
    5151,  5157,  5163,  5169,  5177,  5181,  5189,  5193,  5201,  5205,
    5213,  5217,  5225,  5229,  5237,  5245,  5253,  5257,  5261,  5265,
    5273,  5277,  5281,  5285,  5289,  5293,  5297,  5301,  5305,  5309,
    5313,  5317,  5321,  5325,  5329,  5333,  5337,  5345,  5349,  5357,
    5361,  5369,  5373,  5381,  5389,  5393,  5398,  5404,  5408,  5412,
    5416,  5420,  5424,  5428,  5432,  5436,  5440,  5444,  5448,  5452,
    5460,  5464,  5468,  5472,  5476,  5480,  5484,  5488,  5492,  5496,
    5500,  5504,  5508,  5512,  5516,  5520,  5524,  5528,  5532,  5536,
    5540,  5544,  5548,  5556,  5560,  5568,  5572,  5576,  5580,  5584,
    5592,  5597,  5603,  5607,  5611,  5615,  5619,  5623,  5627,  5631,
    5635,  5639,  5643,  5647,  5651,  5659,  5663,  5671,  5675,  5679,
    5683,  5689,  5695,  5701,  5707,  5713,  5719,  5725,  5735,  5746,
    5757,  5768,  5779,  5790,  5801,  5817,  5833,  5849,  5860,  5876,
    5887,  5903,  5918,  5922,  5930,  5935,  5941,  5949,  5953,  5961,
    5965,  5969,  5973,  5977,  5985,  5989,  5997,  6001,  6005,  6009,
    6017,  6021,  6025,  6029,  6033,  6037,  6041,  6045,  6049,  6053,
    6057,  6061,  6065,  6069,  6073,  6077,  6085,  6089,  6097,  6101,
    6109,  6114,  6120,  6124,  6132,  6140,  6148,  6152,  6160,  6165,
    6171,  6176,  6182,  6190,  6195,  6201,  6205,  6209,  6217,  6221,
    6225,  6233,  6237,  6241,  6245,  6253,  6261,  6266,  6272,  6277,
    6283,  6288,  6294,  6299,  6305,  6309,  6317,  6321,  6325,  6333,
    6338,  6344,  6348,  6353,  6359,  6363,  6368,  6374,  6378,  6383,
    6389,  6393,  6397,  6405,  6410,  6416,  6420,  6428,  6432,  6440,
    6444,  6452,  6456,  6464,  6468,  6472,  6476,  6480,  6488,  6492,
    6496,  6500,  6504,  6512,  6520,  6528,  6532,  6536,  6544,  6548,
    6552,  6560,  6569,  6573,  6577,  6581,  6589,  6593,  6601,  6605,
    6613,  6617,  6621,  6625,  6629,  6633,  6637,  6641,  6645,  6649,
    6653,  6657,  6661,  6665,  6669,  6677,  6681,  6685,  6689,  6697,
    6701,  6709,  6714,  6720,  6728,  6732,  6740,  6748,  6752,  6760,
    6765,  6771,  6775,  6783,  6787,  6795,  6799,  6807,  6811,  6815,
    6819,  6827,  6831,  6839,  6847,  6851,  6859,  6863,  6871,  6875,
    6879,  6887,  6891,  6896,  6902,  6910,  6915,  6921,  6925,  6929,
    6937,  6941,  6949,  6954,  6960,  6964,  6968,  6972,  6976,  6980,
    6984,  6988,  6992,  6996,  7004,  7008,  7012,  7016,  7020,  7024,
    7028,  7032,  7036,  7040,  7044,  7048,  7052,  7056,  7060,  7064,
    7068,  7072,  7076,  7080,  7084,  7088,  7092,  7096,  7100,  7104,
    7108,  7112,  7116,  7120,  7124,  7128,  7132,  7136,  7140,  7144,
    7148,  7152,  7156,  7160,  7164,  7168,  7172,  7176,  7180,  7188,
    7193,  7199,  7204,  7210,  7214,  7218,  7222,  7226,  7230,  7234,
    7238,  7242,  7246,  7250,  7254,  7258,  7262,  7266,  7270,  7274,
    7278,  7282,  7286,  7290,  7294,  7298,  7302,  7310,  7314,  7318,
    7322,  7326,  7330,  7334,  7338,  7342,  7346,  7350,  7354,  7358,
    7362,  7366,  7370,  7374,  7378,  7382,  7390,  7398,  7402,  7406,
    7414,  7418,  7426,  7430,  7434,  7438,  7442,  7450,  7455,  7461,
    7465,  7469,  7473,  7481,  7485,  7490,  7496,  7500,  7508,  7516,
    7521,  7527,  7535,  7539,  7547,  7551,  7555,  7559,  7563,  7567,
    7571,  7575,  7579,  7583,  7587,  7591,  7595,  7599,  7607,  7611,
    7616,  7622,  7626,  7630,  7634,  7638,  7646,  7650,  7654,  7662,
    7667,  7673,  7677,  7681,  7686,  7695,  7699,  7703,  7708,  7714,
    7722,  7730,  7735,  7741,  7745,  7749,  7753,  7757,  7761,  7765,
    7769,  7773,  7777,  7781,  7785,  7789,  7793,  7797,  7801,  7809,
    7814,  7820,  7824,  7832,  7840,  7845,  7851,  7859,  7863,  7871,
    7879,  7887,  7891,  7895,  7899,  7903,  7907,  7911,  7919,  7924,
    7930,  7938,  7942,  7946,  7950,  7954,  7958,  7966,  7974,  7978,
    7982,  7990,  7995,  8001,  8005,  8009,  8013,  8017,  8025,  8029,
    8037,  8041,  8045,  8049,  8057,  8061,  8069,  8073,  8081,  8086,
    8092,  8097,  8103,  8108,  8114,  8119,  8125,  8129,  8133,  8137,
    8145,  8149,  8153,  8157,  8161,  8165,  8169,  8173,  8177,  8185,
    8189,  8197,  8205,  8209,  8217,  8221,  8226,  8232,  8238,  8248,
    8253,  8259,  8263,  8267,  8271,  8279,  8281,  8289,  8294,  8300,
    8308,  8312,  8316,  8324,  8328,  8336,  8344,  8349,  8355,  8363,
    8368,  8374,  8382,  8387,  8393,  8397,  8401,  8405,  8409,  8413,
    8417,  8421,  8429,  8434,  8440,  8448,  8452,  8460,  8464,  8472,
    8480,  8488,  8496,  8500,  8508,  8561,  8565,  8578,  8580,  8584,
    8588,  8592,  8601,  8607,  8611,  8619,  8623,  8631,  8635,  8643,
    8647,  8651,  8655,  8659,  8663,  8667,  8671,  8679,  8683,  8691,
    8695,  8699,  8703,  8707,  8711,  8719,  8723,  8731,  8735,  8743,
    8751,  8756,  8762,  8767,  8769,  8775,  8779,  8783,  8787,  8791,
    8795,  8799,  8803,  8807,  8815,  8820,  8826,  8830,  8835,  8841,
    8845,  8849,  8854,  8860,  8865,  8871,  8879,  8883,  8891,  8895,
    8903,  8907,  8911,  8915,  8923,  8928,  8934,  8938,  8943,  8951,
    8955,  8963,  8967,  8975,  8983,  8987,  8992,  8998,  9006,  9010,
    9018,  9022,  9030,  9035,  9041,  9046,  9052,  9056,  9064,  9069,
    9075,  9079,  9087,  9095,  9099,  9103,  9107,  9115,  9120,  9126,
    9130,  9138,  9143,  9149,  9153,  9161,  9165,  9169,  9173,  9180,
    9187,  9191,  9199,  9203,  9207,  9211,  9215,  9219,  9227,  9231,
    9235,  9239,  9247,  9252,  9258,  9262,  9266,  9270,  9275,  9281,
    9285,  9289,  9293,  9301,  9306,  9312,  9316,  9324,  9328,  9332,
    9336,  9344,  9348,  9356,  9360,  9364,  9372,  9376,  9384,  9392,
    9396,  9404,  9409,  9415,  9420,  9426,  9431,  9437,  9441,  9447,
    9453,  9458,  9464,  9468,  9476,  9484,  9486,  9488,  9492,  9496,
    9500,  9508,  9518,  9529,  9538,  9542,  9546,  9550,  9554,  9558,
    9562,  9570,  9574,  9578,  9582,  9590,  9594,  9602,  9607,  9613,
    9617,  9621,  9625,  9629,  9633,  9637,  9641,  9645,  9649,  9653,
    9661,  9666,  9672,  9676,  9684,  9688,  9696,  9704,  9712,  9716,
    9724,  9728,  9736,  9744,  9752,  9756,  9760,  9764,  9768,  9772,
    9780,  9785,  9791,  9796,  9802,  9806,  9810,  9814,  9822,  9830,
    9834,  9839,  9845,  9849,  9853,  9857,  9861,  9865,  9869,  9873,
    9877,  9881,  9885,  9889,  9893,  9898,  9904,  9908,  9916,  9920,
    9924,  9928,  9932,  9936,  9940,  9944,  9948,  9952,  9956,  9960,
    9964,  9968,  9972,  9976,  9980,  9984,  9988,  9992,  9996, 10000,
   10004, 10008, 10012, 10016, 10020, 10024, 10028, 10032, 10036, 10040,
   10044, 10048, 10052, 10056, 10060, 10064, 10068, 10072, 10076, 10080,
   10084, 10088, 10092, 10096, 10100, 10104, 10108, 10112, 10116, 10120,
   10124, 10128, 10132, 10136, 10140, 10145, 10149, 10157, 10161, 10165,
   10169, 10173, 10177, 10181, 10185, 10189, 10193, 10197, 10201, 10205,
   10209, 10213, 10217, 10221, 10225, 10229, 10233, 10237, 10241, 10249,
   10253, 10257, 10261, 10265, 10269, 10273, 10277, 10281, 10285, 10289,
   10293, 10301, 10305, 10309, 10313, 10317, 10321, 10325, 10333, 10337,
   10345, 10349, 10357, 10361, 10365, 10369, 10373, 10377, 10381, 10385,
   10389, 10393, 10397, 10401, 10405, 10409, 10413, 10417, 10421, 10425,
   10429, 10433, 10437, 10441, 10445, 10449, 10453, 10457, 10461, 10465,
   10469, 10473, 10477, 10481, 10485, 10489, 10493, 10497, 10501, 10505,
   10509, 10513, 10517, 10521, 10529, 10533, 10541, 10545, 10549, 10554,
   10560, 10568, 10572, 10580, 10584, 10592, 10596, 10604, 10608, 10613,
   10619, 10623, 10627, 10631, 10639, 10644, 10650, 10655, 10661, 10666,
   10672, 10676, 10684, 10692, 10696, 10701, 10707, 10715, 10719, 10726,
   10731, 10737, 10742, 10747, 10753, 10757, 10765, 10769, 10773, 10777,
   10781, 10789, 10793, 10797, 10805, 10809, 10813, 10821, 10825, 10833,
   10837, 10841, 10845, 10849, 10853, 10857, 10861, 10865, 10873, 10877,
   10885, 10889, 10897, 10901, 10905, 10909, 10913, 10917, 10925, 10929,
   10937, 10941, 10949, 10953, 10961, 10965, 10973, 10977, 10981, 10989,
   10993, 11001, 11006, 11012, 11016, 11020, 11024, 11028, 11032, 11036,
   11040, 11048, 11052, 11060, 11068, 11073, 11079, 11083, 11087, 11091,
   11095, 11100, 11106, 11114, 11122, 11126, 11130, 11138, 11142, 11150,
   11158, 11162, 11170, 11178, 11183, 11189, 11194, 11200, 11204, 11212,
   11216, 11220, 11224, 11232, 11236, 11245, 11247, 11255, 11260, 11266,
   11270, 11278, 11282, 11290, 11298, 11303, 11309, 11313, 11321, 11325,
   11329, 11333, 11341, 11345, 11353, 11357, 11365, 11369, 11377, 11385,
   11393, 11401, 11409, 11417, 11425, 11429, 11437, 11441, 11445, 11449,
   11453, 11457, 11461, 11465, 11469, 11473, 11477, 11481, 11485, 11489,
   11490, 11495, 11501, 11509, 11513, 11521, 11525, 11526, 11530, 11538,
   11542, 11546, 11550, 11558, 11562, 11566, 11570, 11574, 11578, 11582,
   11586, 11590, 11594, 11598, 11602, 11606, 11610, 11614, 11618, 11622,
   11626, 11630, 11634, 11638, 11642, 11646, 11650, 11654, 11658, 11662,
   11666, 11670, 11674, 11678, 11682, 11686, 11690, 11694, 11698, 11702,
   11706, 11710, 11714, 11718, 11722, 11726, 11730, 11734, 11738, 11742,
   11746, 11750, 11754, 11758, 11762, 11766, 11770, 11774, 11778, 11782,
   11786, 11790, 11794, 11798, 11802, 11806, 11810, 11814, 11818, 11822,
   11826, 11830, 11834, 11838, 11842, 11846, 11850, 11854, 11858, 11862,
   11866, 11870, 11874, 11878, 11882, 11886, 11890, 11894, 11898, 11902,
   11906, 11910, 11914, 11918, 11922, 11926, 11930, 11934, 11938, 11942,
   11946, 11950, 11954, 11958, 11962, 11966, 11970, 11974, 11978, 11982,
   11986, 11990, 11994, 11998, 12002, 12006, 12010, 12014, 12018, 12022,
   12026, 12030, 12034, 12038, 12042, 12046, 12050, 12054, 12058, 12062,
   12066, 12070, 12074, 12078, 12082, 12086, 12090, 12094, 12098, 12102,
   12106, 12110, 12114, 12118, 12122, 12126, 12130, 12134, 12138, 12142,
   12146, 12150, 12154, 12158, 12162, 12166, 12170, 12174, 12178, 12182,
   12186, 12190, 12194, 12198, 12202, 12206, 12210, 12214, 12218, 12222,
   12226, 12230, 12234, 12238, 12242, 12246, 12250, 12254, 12258, 12262,
   12266, 12270, 12274, 12278, 12282, 12286, 12290, 12294, 12298, 12302,
   12306, 12310, 12314, 12318, 12322, 12326, 12330, 12334, 12338, 12342,
   12346, 12350, 12354, 12358, 12362, 12366, 12370, 12374, 12378, 12382,
   12386, 12390, 12394, 12398, 12402, 12406, 12410, 12414, 12418, 12422,
   12426, 12430, 12434, 12438, 12442, 12446, 12450, 12454, 12458, 12462,
   12466, 12470, 12474, 12478, 12482, 12486, 12490, 12494, 12498, 12502,
   12506, 12510, 12514, 12518, 12522, 12526, 12530, 12534, 12538, 12542,
   12546, 12550, 12554, 12562, 12566, 12570, 12574, 12578, 12582, 12586,
   12590, 12594, 12598, 12602, 12606, 12610, 12614, 12618, 12622, 12626,
   12630, 12634, 12638, 12642, 12646, 12650, 12654, 12658, 12662, 12666,
   12670, 12674, 12678, 12682, 12686, 12690, 12694, 12698, 12702, 12706,
   12710, 12714, 12718, 12722, 12726, 12730, 12734, 12742, 12746, 12750,
   12754, 12758, 12762, 12766, 12770, 12774, 12778, 12782, 12786, 12790,
   12794, 12798, 12802, 12806, 12810, 12814, 12818, 12822, 12826, 12834,
   12838, 12842, 12846, 12850, 12854, 12858, 12862, 12866, 12870, 12874,
   12878, 12882, 12886, 12890, 12894, 12898, 12902, 12906, 12910, 12914,
   12918, 12922, 12926, 12930, 12934, 12938, 12942, 12946, 12950, 12954,
   12958, 12962, 12966, 12970, 12974, 12978, 12982, 12986, 12990, 12994,
   12998, 13002, 13006, 13010, 13014, 13018, 13022, 13026, 13030, 13034,
   13038, 13042, 13046, 13050, 13054, 13058, 13062, 13066, 13070, 13074,
   13078, 13082, 13086, 13090, 13094, 13098, 13102, 13106, 13110, 13114,
   13118, 13122, 13126, 13130, 13140, 13141, 13144, 13145, 13146, 13152,
   13153, 13154, 13155, 13156, 13169, 13169, 13178, 13193, 13195, 13198,
   13200, 13204, 13216, 13232, 13236, 13247, 13248, 13251, 13263, 13272,
   13273, 13276, 13277, 13278, 13281, 13282, 13285, 13286, 13289, 13290,
   13293, 13295, 13297, 13299, 13303, 13310, 13317, 13333, 13367, 13377,
   13380, 13384, 13397, 13398, 13400, 13402, 13406, 13420, 13427, 13488,
   13497, 13499, 13500, 13503, 13505, 13506, 13509, 13510, 13511, 13512,
   13513, 13520, 13519, 13529, 13531, 13533, 13534, 13537, 13538, 13539,
   13540, 13543, 13544, 13548, 13547, 13564, 13562, 13578, 13577, 13591,
   13597, 13598, 13601, 13603, 13604, 13607, 13608, 13609, 13610, 13613,
   13614, 13617, 13625, 13642, 13650, 13673, 13779, 13813, 13815, 13817,
   13821, 13825, 13824, 13875, 13877, 13876, 13891, 13897, 13904, 13909,
   13915, 13916, 13919, 13920, 13921, 13922, 13923, 13924, 13925, 13933,
   13941, 13944, 13945, 13946, 13947, 13948, 13949, 13957, 13965, 13966,
   13967, 13970, 13971, 13974, 13976, 13985, 14073, 14074, 14081, 14082,
   14083, 14089, 14098, 14101, 14102, 14103, 14104, 14107, 14108, 14109,
   14112, 14114, 14122, 14123, 14129, 14137, 14138, 14141, 14142, 14145,
   14150, 14157, 14162, 14169, 14176, 14176, 14178, 14185, 14186, 14189,
   14190, 14191, 14192, 14193, 14194, 14195, 14196, 14197, 14203, 14210,
   14222, 14228, 14235, 14243, 14244, 14256, 14267, 14278, 14282, 14283,
   14286, 14291, 14295, 14296, 14299, 14305, 14313, 14319, 14326, 14330,
   14331, 14334, 14337, 14341, 14342, 14345, 14351, 14360, 14365, 14375,
   14385, 14397, 14398, 14399, 14400, 14401, 14402, 14403, 14404, 14405,
   14406, 14407, 14408, 14409, 14410, 14411, 14418, 14419, 14422, 14423,
   14430, 14431, 14432, 14439, 14438, 14455, 14456, 14463, 14462, 14532,
   14538, 14544, 14552, 14558, 14564, 14570, 14576, 14582, 14588, 14594,
   14600, 14611, 14612, 14615, 14616, 14617, 14618, 14619, 14620, 14621,
   14622, 14623, 14624, 14625, 14626, 14627, 14628, 14629, 14630, 14631,
   14632, 14633, 14634, 14635, 14636, 14637, 14638, 14641, 14642, 14643,
   14644, 14645, 14646, 14650, 14651, 14652, 14653, 14654, 14655, 14656,
   14659, 14662, 14663, 14664, 14665, 14666, 14667, 14668, 14669, 14682,
   14683, 14684, 14685, 14686, 14687, 14688, 14693, 14694, 14695, 14696,
   14697, 14698, 14704, 14705, 14706, 14707, 14708, 14709, 14710, 14711,
   14712, 14713, 14714, 14717, 14718, 14719, 14720, 14721, 14724, 14725,
   14726, 14727, 14730, 14731, 14732, 14733, 14734, 14735, 14736, 14753,
   14754, 14755, 14758, 14759, 14760, 14761, 14762, 14763, 14767, 14767,
   14770, 14776, 14777, 14780, 14782, 14787, 14797, 14808, 14815, 14816,
   14817, 14820, 14853, 14855, 14857, 14860, 14870, 14880, 14890, 14891,
   14894, 14896, 14897, 14898, 14901, 14903, 14911, 14912, 14913, 14917,
   14918, 14922, 14923, 14926, 14927, 14930, 14931, 14932, 14933, 14934,
   14937, 14938, 14939, 14940, 14941, 14942, 14943, 14944, 14945, 14946,
   14947, 14948, 14949, 14950, 14951, 14952, 14953, 14954, 14955, 14956,
   14957, 14958, 14959, 14960, 14961, 14962, 14963, 14964, 14965, 14966,
   14967, 14968, 14969, 14970, 14971, 14972, 14973, 14974, 14975, 14976,
   14977, 14978, 14979, 14980, 14981, 14982, 14983, 14984, 14985, 14986,
   14987, 14988, 14989, 14990, 14991, 14992, 14995, 14996, 14997, 14998,
   15001, 15002, 15003, 15004, 15005, 15006, 15007, 15008, 15009, 15010,
   15017, 15018, 15019, 15020, 15021, 15024, 15025, 15028, 15029, 15040,
   15041
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "SQL_ALLOCATE", "SQL_AUTOCOMMIT",
  "SQL_BOOL", "SQL_BREAK", "SQL_CALL", "SQL_CARDINALITY", "SQL_CONNECT",
  "SQL_COUNT", "SQL_DATETIME_INTERVAL_CODE",
  "SQL_DATETIME_INTERVAL_PRECISION", "SQL_DESCRIBE", "SQL_DESCRIPTOR",
  "SQL_DISCONNECT", "SQL_FOUND", "SQL_FREE", "SQL_GET", "SQL_GO",
  "SQL_GOTO", "SQL_IDENTIFIED", "SQL_INDICATOR", "SQL_KEY_MEMBER",
  "SQL_LENGTH", "SQL_LONG", "SQL_NULLABLE", "SQL_OCTET_LENGTH", "SQL_OPEN",
  "SQL_OUTPUT", "SQL_REFERENCE", "SQL_RETURNED_LENGTH",
  "SQL_RETURNED_OCTET_LENGTH", "SQL_SCALE", "SQL_SECTION", "SQL_SHORT",
  "SQL_SIGNED", "SQL_SQL", "SQL_SQLERROR", "SQL_SQLPRINT",
  "SQL_SQLWARNING", "SQL_START", "SQL_STOP", "SQL_STRUCT", "SQL_UNSIGNED",
  "SQL_VAR", "SQL_WHENEVER", "S_ADD", "S_AND", "S_ANYTHING", "S_AUTO",
  "S_CONST", "S_DEC", "S_DIV", "S_DOTPOINT", "S_EQUAL", "S_EXTERN",
  "S_INC", "S_LSHIFT", "S_MEMPOINT", "S_MEMBER", "S_MOD", "S_MUL",
  "S_NEQUAL", "S_OR", "S_REGISTER", "S_RSHIFT", "S_STATIC", "S_SUB",
  "S_VOLATILE", "S_TYPEDEF", "CSTRING", "CVARIABLE", "CPP_LINE", "IP",
  "DOLCONST", "ECONST", "NCONST", "UCONST", "UIDENT", "IDENT", "FCONST",
  "SCONST", "BCONST", "XCONST", "Op", "ICONST", "PARAM", "TYPECAST",
  "DOT_DOT", "COLON_EQUALS", "ABORT_P", "ABSOLUTE_P", "ACCESS", "ACTION",
  "ADD_P", "ADMIN", "AFTER", "AGGREGATE", "ALL", "ALSO", "ALTER", "ALWAYS",
  "ANALYSE", "ANALYZE", "AND", "ANY", "ARRAY", "AS", "ASC", "ASSERTION",
  "ASSIGNMENT", "ASYMMETRIC", "AT", "ATTRIBUTE", "AUTHORIZATION",
  "BACKWARD", "BEFORE", "BEGIN_P", "BETWEEN", "BIGINT", "BINARY", "BIT",
  "BOOLEAN_P", "BOTH", "BY", "CACHE", "CALLED", "CASCADE", "CASCADED",
  "CASE", "CAST", "CATALOG_P", "CHAIN", "CHAR_P", "CHARACTER",
  "CHARACTERISTICS", "CHECK", "CHECKPOINT", "CLASS", "CLOSE", "CLUSTER",
  "COALESCE", "COLLATE", "COLLATION", "COLUMN", "COMMENT", "COMMENTS",
  "COMMIT", "COMMITTED", "CONCURRENTLY", "CONFIGURATION", "CONNECTION",
  "CONSTRAINT", "CONSTRAINTS", "CONTENT_P", "CONTINUE_P", "CONVERSION_P",
  "COPY", "COST", "CREATE", "CROSS", "CSV", "CURRENT_P", "CURRENT_CATALOG",
  "CURRENT_DATE", "CURRENT_ROLE", "CURRENT_SCHEMA", "CURRENT_TIME",
  "CURRENT_TIMESTAMP", "CURRENT_USER", "CURSOR", "CYCLE", "DATA_P",
  "DATABASE", "DAY_P", "DEALLOCATE", "DEC", "DECIMAL_P", "DECLARE",
  "DEFAULT", "DEFAULTS", "DEFERRABLE", "DEFERRED", "DEFINER", "DELETE_P",
  "DELIMITER", "DELIMITERS", "DESC", "DICTIONARY", "DISABLE_P", "DISCARD",
  "DISTINCT", "DO", "DOCUMENT_P", "DOMAIN_P", "DOUBLE_P", "DROP", "EACH",
  "ELSE", "ENABLE_P", "ENCODING", "ENCRYPTED", "END_P", "ENUM_P", "ESCAPE",
  "EVENT", "EXCEPT", "EXCLUDE", "EXCLUDING", "EXCLUSIVE", "EXECUTE",
  "EXISTS", "EXPLAIN", "EXTENSION", "EXTERNAL", "EXTRACT", "FALSE_P",
  "FAMILY", "FETCH", "FILTER", "FIRST_P", "FLOAT_P", "FOLLOWING", "FOR",
  "FORCE", "FOREIGN", "FORWARD", "FREEZE", "FROM", "FULL", "FUNCTION",
  "FUNCTIONS", "GLOBAL", "GRANT", "GRANTED", "GREATEST", "GROUP_P",
  "HANDLER", "HAVING", "HEADER_P", "HOLD", "HOUR_P", "IDENTITY_P", "IF_P",
  "ILIKE", "IMMEDIATE", "IMMUTABLE", "IMPLICIT_P", "IN_P", "INCLUDING",
  "INCREMENT", "INDEX", "INDEXES", "INHERIT", "INHERITS", "INITIALLY",
  "INLINE_P", "INNER_P", "INOUT", "INPUT_P", "INSENSITIVE", "INSERT",
  "INSTEAD", "INT_P", "INTEGER", "INTERSECT", "INTERVAL", "INTO",
  "INVOKER", "IS", "ISNULL", "ISOLATION", "JOIN", "KEY", "LABEL",
  "LANGUAGE", "LARGE_P", "LAST_P", "LATERAL_P", "LC_COLLATE_P",
  "LC_CTYPE_P", "LEADING", "LEAKPROOF", "LEAST", "LEFT", "LEVEL", "LIKE",
  "LIMIT", "LISTEN", "LOAD", "LOCAL", "LOCALTIME", "LOCALTIMESTAMP",
  "LOCATION", "LOCK_P", "MAPPING", "MATCH", "MATERIALIZED", "MAXVALUE",
  "MINUTE_P", "MINVALUE", "MODE", "MONTH_P", "MOVE", "NAME_P", "NAMES",
  "NATIONAL", "NATURAL", "NCHAR", "NEXT", "NO", "NONE", "NOT", "NOTHING",
  "NOTIFY", "NOTNULL", "NOWAIT", "NULL_P", "NULLIF", "NULLS_P", "NUMERIC",
  "OBJECT_P", "OF", "OFF", "OFFSET", "OIDS", "ON", "ONLY", "OPERATOR",
  "OPTION", "OPTIONS", "OR", "ORDER", "ORDINALITY", "OUT_P", "OUTER_P",
  "OVER", "OVERLAPS", "OVERLAY", "OWNED", "OWNER", "PARSER", "PARTIAL",
  "PARTITION", "PASSING", "PASSWORD", "PLACING", "PLANS", "POSITION",
  "PRECEDING", "PRECISION", "PRESERVE", "PREPARE", "PREPARED", "PRIMARY",
  "PRIOR", "PRIVILEGES", "PROCEDURAL", "PROCEDURE", "PROGRAM", "QUOTE",
  "RANGE", "READ", "REAL", "REASSIGN", "RECHECK", "RECURSIVE", "REF",
  "REFERENCES", "REFRESH", "REINDEX", "RELATIVE_P", "RELEASE", "RENAME",
  "REPEATABLE", "REPLACE", "REPLICA", "RESET", "RESTART", "RESTRICT",
  "RETURNING", "RETURNS", "REVOKE", "RIGHT", "ROLE", "ROLLBACK", "ROW",
  "ROWS", "RULE", "SAVEPOINT", "SCHEMA", "SCROLL", "SEARCH", "SECOND_P",
  "SECURITY", "SELECT", "SEQUENCE", "SEQUENCES", "SERIALIZABLE", "SERVER",
  "SESSION", "SESSION_USER", "SET", "SETOF", "SHARE", "SHOW", "SIMILAR",
  "SIMPLE", "SMALLINT", "SNAPSHOT", "SOME", "STABLE", "STANDALONE_P",
  "START", "STATEMENT", "STATISTICS", "STDIN", "STDOUT", "STORAGE",
  "STRICT_P", "STRIP_P", "SUBSTRING", "SYMMETRIC", "SYSID", "SYSTEM_P",
  "TABLE", "TABLES", "TABLESPACE", "TEMP", "TEMPLATE", "TEMPORARY",
  "TEXT_P", "THEN", "TIME", "TIMESTAMP", "TO", "TRAILING", "TRANSACTION",
  "TREAT", "TRIGGER", "TRIM", "TRUE_P", "TRUNCATE", "TRUSTED", "TYPE_P",
  "TYPES_P", "UNBOUNDED", "UNCOMMITTED", "UNENCRYPTED", "UNION", "UNIQUE",
  "UNKNOWN", "UNLISTEN", "UNLOGGED", "UNTIL", "UPDATE", "USER", "USING",
  "VACUUM", "VALID", "VALIDATE", "VALIDATOR", "VALUE_P", "VALUES",
  "VARCHAR", "VARIADIC", "VARYING", "VERBOSE", "VERSION_P", "VIEW",
  "VIEWS", "VOLATILE", "WHEN", "WHERE", "WHITESPACE_P", "WINDOW", "WITH",
  "WITHIN", "WITHOUT", "WORK", "WRAPPER", "WRITE", "XML_P",
  "XMLATTRIBUTES", "XMLCONCAT", "XMLELEMENT", "XMLEXISTS", "XMLFOREST",
  "XMLPARSE", "XMLPI", "XMLROOT", "XMLSERIALIZE", "YEAR_P", "YES_P",
  "ZONE", "NULLS_FIRST", "NULLS_LAST", "WITH_ORDINALITY", "WITH_TIME",
  "'='", "'<'", "'>'", "POSTFIXOP", "'+'", "'-'", "'*'", "'/'", "'%'",
  "'^'", "UMINUS", "'['", "']'", "'('", "')'", "'.'", "','", "';'", "':'",
  "'{'", "'}'", "$accept", "prog", "stmt", "CreateRoleStmt", "opt_with",
  "OptRoleList", "AlterOptRoleList", "AlterOptRoleElem",
  "CreateOptRoleElem", "CreateUserStmt", "AlterRoleStmt",
  "opt_in_database", "AlterRoleSetStmt", "AlterUserStmt",
  "AlterUserSetStmt", "DropRoleStmt", "DropUserStmt", "CreateGroupStmt",
  "AlterGroupStmt", "add_drop", "DropGroupStmt", "CreateSchemaStmt",
  "OptSchemaName", "OptSchemaEltList", "schema_stmt", "VariableSetStmt",
  "set_rest", "generic_set", "set_rest_more", "var_name", "var_list",
  "var_value", "iso_level", "opt_boolean_or_string", "zone_value",
  "opt_encoding", "NonReservedWord_or_Sconst", "VariableResetStmt",
  "SetResetClause", "FunctionSetResetClause", "VariableShowStmt",
  "ConstraintsSetStmt", "constraints_set_list", "constraints_set_mode",
  "CheckPointStmt", "DiscardStmt", "AlterTableStmt", "alter_table_cmds",
  "alter_table_cmd", "alter_column_default", "opt_drop_behavior",
  "opt_collate_clause", "alter_using", "replica_identity", "reloptions",
  "opt_reloptions", "reloption_list", "reloption_elem",
  "AlterCompositeTypeStmt", "alter_type_cmds", "alter_type_cmd",
  "ClosePortalStmt", "CopyStmt", "copy_from", "opt_program",
  "copy_file_name", "copy_options", "copy_opt_list", "copy_opt_item",
  "opt_binary", "opt_oids", "copy_delimiter", "opt_using",
  "copy_generic_opt_list", "copy_generic_opt_elem", "copy_generic_opt_arg",
  "copy_generic_opt_arg_list", "copy_generic_opt_arg_list_item",
  "CreateStmt", "OptTemp", "OptTableElementList",
  "OptTypedTableElementList", "TableElementList", "TypedTableElementList",
  "TableElement", "TypedTableElement", "columnDef", "columnOptions",
  "ColQualList", "ColConstraint", "ColConstraintElem", "ConstraintAttr",
  "TableLikeClause", "TableLikeOptionList", "TableLikeOption",
  "TableConstraint", "ConstraintElem", "opt_no_inherit", "opt_column_list",
  "columnList", "columnElem", "key_match", "ExclusionConstraintList",
  "ExclusionConstraintElem", "ExclusionWhereClause", "key_actions",
  "key_update", "key_delete", "key_action", "OptInherit", "OptWith",
  "OnCommitOption", "OptTableSpace", "OptConsTableSpace", "ExistingIndex",
  "create_as_target", "opt_with_data", "CreateMatViewStmt",
  "create_mv_target", "OptNoLog", "RefreshMatViewStmt", "CreateSeqStmt",
  "AlterSeqStmt", "OptSeqOptList", "SeqOptList", "SeqOptElem", "opt_by",
  "NumericOnly", "NumericOnly_list", "CreatePLangStmt", "opt_trusted",
  "handler_name", "opt_inline_handler", "validator_clause",
  "opt_validator", "DropPLangStmt", "opt_procedural",
  "CreateTableSpaceStmt", "OptTableSpaceOwner", "DropTableSpaceStmt",
  "CreateExtensionStmt", "create_extension_opt_list",
  "create_extension_opt_item", "AlterExtensionStmt",
  "alter_extension_opt_list", "alter_extension_opt_item",
  "AlterExtensionContentsStmt", "CreateFdwStmt", "fdw_option",
  "fdw_options", "opt_fdw_options", "DropFdwStmt", "AlterFdwStmt",
  "create_generic_options", "generic_option_list", "alter_generic_options",
  "alter_generic_option_list", "alter_generic_option_elem",
  "generic_option_elem", "generic_option_name", "generic_option_arg",
  "CreateForeignServerStmt", "opt_type", "foreign_server_version",
  "opt_foreign_server_version", "DropForeignServerStmt",
  "AlterForeignServerStmt", "CreateForeignTableStmt",
  "AlterForeignTableStmt", "CreateUserMappingStmt", "auth_ident",
  "DropUserMappingStmt", "AlterUserMappingStmt", "CreateTrigStmt",
  "TriggerActionTime", "TriggerEvents", "TriggerOneEvent",
  "TriggerForSpec", "TriggerForOptEach", "TriggerForType", "TriggerWhen",
  "TriggerFuncArgs", "TriggerFuncArg", "OptConstrFromTable",
  "ConstraintAttributeSpec", "ConstraintAttributeElem", "DropTrigStmt",
  "CreateEventTrigStmt", "event_trigger_when_list",
  "event_trigger_when_item", "event_trigger_value_list",
  "AlterEventTrigStmt", "enable_trigger", "CreateAssertStmt",
  "DropAssertStmt", "DefineStmt", "definition", "def_list", "def_elem",
  "def_arg", "old_aggr_definition", "old_aggr_list", "old_aggr_elem",
  "opt_enum_val_list", "enum_val_list", "AlterEnumStmt",
  "opt_if_not_exists", "CreateOpClassStmt", "opclass_item_list",
  "opclass_item", "opt_default", "opt_opfamily", "opclass_purpose",
  "opt_recheck", "CreateOpFamilyStmt", "AlterOpFamilyStmt",
  "opclass_drop_list", "opclass_drop", "DropOpClassStmt",
  "DropOpFamilyStmt", "DropOwnedStmt", "ReassignOwnedStmt", "DropStmt",
  "drop_type", "any_name_list", "any_name", "attrs", "TruncateStmt",
  "opt_restart_seqs", "CommentStmt", "comment_type", "comment_text",
  "SecLabelStmt", "opt_provider", "security_label_type", "security_label",
  "FetchStmt", "fetch_args", "from_in", "opt_from_in", "GrantStmt",
  "RevokeStmt", "privileges", "privilege_list", "privilege",
  "privilege_target", "grantee_list", "grantee", "opt_grant_grant_option",
  "function_with_argtypes_list", "function_with_argtypes", "GrantRoleStmt",
  "RevokeRoleStmt", "opt_grant_admin_option", "opt_granted_by",
  "AlterDefaultPrivilegesStmt", "DefACLOptionList", "DefACLOption",
  "DefACLAction", "defacl_privilege_target", "IndexStmt", "opt_unique",
  "opt_concurrently", "opt_index_name", "access_method_clause",
  "index_params", "index_elem", "opt_collate", "opt_class", "opt_asc_desc",
  "opt_nulls_order", "CreateFunctionStmt", "opt_or_replace", "func_args",
  "func_args_list", "func_args_with_defaults",
  "func_args_with_defaults_list", "func_arg", "arg_class", "param_name",
  "func_return", "func_type", "func_arg_with_default", "aggr_arg",
  "aggr_args", "aggr_args_list", "createfunc_opt_list",
  "common_func_opt_item", "createfunc_opt_item", "func_as",
  "opt_definition", "table_func_column", "table_func_column_list",
  "AlterFunctionStmt", "alterfunc_opt_list", "opt_restrict",
  "RemoveFuncStmt", "RemoveAggrStmt", "RemoveOperStmt", "oper_argtypes",
  "any_operator", "DoStmt", "dostmt_opt_list", "dostmt_opt_item",
  "CreateCastStmt", "cast_context", "DropCastStmt", "opt_if_exists",
  "ReindexStmt", "reindex_type", "opt_force", "AlterTblSpcStmt",
  "RenameStmt", "opt_column", "opt_set_data", "AlterObjectSchemaStmt",
  "AlterOwnerStmt", "RuleStmt", "RuleActionList", "RuleActionMulti",
  "RuleActionStmt", "RuleActionStmtOrEmpty", "event", "opt_instead",
  "DropRuleStmt", "NotifyStmt", "notify_payload", "ListenStmt",
  "UnlistenStmt", "TransactionStmt", "opt_transaction",
  "transaction_mode_item", "transaction_mode_list",
  "transaction_mode_list_or_empty", "ViewStmt", "opt_check_option",
  "LoadStmt", "CreatedbStmt", "createdb_opt_list", "createdb_opt_item",
  "opt_equal", "AlterDatabaseStmt", "AlterDatabaseSetStmt",
  "alterdb_opt_list", "alterdb_opt_item", "DropdbStmt", "AlterSystemStmt",
  "CreateDomainStmt", "AlterDomainStmt", "opt_as", "AlterTSDictionaryStmt",
  "AlterTSConfigurationStmt", "CreateConversionStmt", "ClusterStmt",
  "cluster_index_specification", "VacuumStmt", "vacuum_option_list",
  "vacuum_option_elem", "AnalyzeStmt", "analyze_keyword", "opt_verbose",
  "opt_full", "opt_freeze", "opt_name_list", "ExplainStmt",
  "ExplainableStmt", "explain_option_list", "explain_option_elem",
  "explain_option_name", "explain_option_arg", "PrepareStmt",
  "prep_type_clause", "PreparableStmt", "ExecuteStmt",
  "execute_param_clause", "InsertStmt", "insert_rest",
  "insert_column_list", "insert_column_item", "returning_clause",
  "DeleteStmt", "using_clause", "LockStmt", "opt_lock", "lock_type",
  "opt_nowait", "UpdateStmt", "set_clause_list", "set_clause",
  "single_set_clause", "multiple_set_clause", "set_target",
  "set_target_list", "DeclareCursorStmt", "cursor_name", "cursor_options",
  "opt_hold", "SelectStmt", "select_with_parens", "select_no_parens",
  "select_clause", "simple_select", "with_clause", "cte_list",
  "common_table_expr", "opt_with_clause", "into_clause",
  "OptTempTableName", "opt_table", "opt_all", "opt_distinct",
  "opt_sort_clause", "sort_clause", "sortby_list", "sortby",
  "select_limit", "opt_select_limit", "limit_clause", "offset_clause",
  "select_limit_value", "select_offset_value",
  "opt_select_fetch_first_value", "select_offset_value2", "row_or_rows",
  "first_or_next", "group_clause", "having_clause", "for_locking_clause",
  "opt_for_locking_clause", "for_locking_items", "for_locking_item",
  "for_locking_strength", "locked_rels_list", "values_clause",
  "from_clause", "from_list", "table_ref", "joined_table", "alias_clause",
  "opt_alias_clause", "func_alias_clause", "join_type", "join_outer",
  "join_qual", "relation_expr", "relation_expr_list",
  "relation_expr_opt_alias", "func_table", "rowsfrom_item",
  "rowsfrom_list", "opt_col_def_list", "opt_ordinality", "where_clause",
  "where_or_current_clause", "OptTableFuncElementList",
  "TableFuncElementList", "TableFuncElement", "Typename",
  "opt_array_bounds", "SimpleTypename", "ConstTypename", "GenericType",
  "opt_type_modifiers", "Numeric", "opt_float", "Bit", "ConstBit",
  "BitWithLength", "BitWithoutLength", "Character", "ConstCharacter",
  "CharacterWithLength", "CharacterWithoutLength", "character",
  "opt_varying", "opt_charset", "ConstDatetime", "ConstInterval",
  "opt_timezone", "opt_interval", "interval_second", "a_expr", "b_expr",
  "c_expr", "func_application", "func_expr", "func_expr_windowless",
  "func_expr_common_subexpr", "xml_root_version",
  "opt_xml_root_standalone", "xml_attributes", "xml_attribute_list",
  "xml_attribute_el", "document_or_content", "xml_whitespace_option",
  "xmlexists_argument", "within_group_clause", "filter_clause",
  "window_clause", "window_definition_list", "window_definition",
  "over_clause", "window_specification", "opt_existing_window_name",
  "opt_partition_clause", "opt_frame_clause", "frame_extent",
  "frame_bound", "row", "sub_type", "all_Op", "MathOp", "qual_Op",
  "qual_all_Op", "subquery_Op", "expr_list", "func_arg_list",
  "func_arg_expr", "type_list", "array_expr", "array_expr_list",
  "extract_list", "extract_arg", "overlay_list", "overlay_placing",
  "position_list", "substr_list", "substr_from", "substr_for", "trim_list",
  "in_expr", "case_expr", "when_clause_list", "when_clause",
  "case_default", "case_arg", "columnref", "indirection_el", "indirection",
  "opt_indirection", "opt_asymmetric", "ctext_expr", "ctext_expr_list",
  "ctext_row", "opt_target_list", "target_list", "target_el",
  "qualified_name_list", "qualified_name", "name_list", "name",
  "database_name", "access_method", "attr_name", "index_name", "file_name",
  "func_name", "AexprConst", "Iconst", "RoleId", "role_list",
  "SignedIconst", "NonReservedWord", "unreserved_keyword",
  "col_name_keyword", "type_func_name_keyword", "reserved_keyword",
  "statements", "statement", "CreateAsStmt", "$@1", "at", "ECPGConnect",
  "connection_target", "opt_database_name", "db_prefix", "server",
  "opt_server", "server_name", "opt_port", "opt_connection_name",
  "opt_user", "ora_user", "user_name", "char_variable", "opt_options",
  "connect_options", "opt_opt_value", "prepared_name", "ECPGCursorStmt",
  "ECPGExecuteImmediateStmt", "ECPGVarDeclaration",
  "single_vt_declaration", "precision", "opt_scale", "ecpg_interval",
  "ECPGDeclaration", "$@2", "sql_startdeclare", "sql_enddeclare",
  "var_type_declarations", "vt_declarations", "variable_declarations",
  "type_declaration", "$@3", "var_declaration", "$@4", "$@5",
  "opt_bit_field", "storage_declaration", "storage_clause",
  "storage_modifier", "var_type", "enum_type", "enum_definition",
  "struct_union_type_with_symbol", "$@6", "struct_union_type", "$@7",
  "s_struct_union_symbol", "s_struct_union", "simple_type",
  "unsigned_type", "signed_type", "opt_signed", "variable_list",
  "variable", "opt_initializer", "opt_pointer", "ECPGDeclare",
  "ECPGDisconnect", "dis_name", "connection_object", "execstring",
  "ECPGFree", "ECPGOpen", "opt_ecpg_using", "ecpg_using",
  "using_descriptor", "into_descriptor", "into_sqlda", "using_list",
  "UsingValue", "UsingConst", "ECPGDescribe", "opt_output",
  "ECPGAllocateDescr", "ECPGDeallocateDescr", "ECPGGetDescriptorHeader",
  "ECPGGetDescHeaderItems", "ECPGGetDescHeaderItem",
  "ECPGSetDescriptorHeader", "ECPGSetDescHeaderItems",
  "ECPGSetDescHeaderItem", "IntConstVar", "desc_header_item",
  "ECPGGetDescriptor", "ECPGGetDescItems", "ECPGGetDescItem",
  "ECPGSetDescriptor", "ECPGSetDescItems", "ECPGSetDescItem",
  "AllConstVar", "descriptor_item", "ECPGSetAutocommit", "on_off",
  "ECPGSetConnection", "ECPGTypedef", "$@8", "opt_reference", "ECPGVar",
  "$@9", "ECPGWhenever", "action", "ECPGKeywords", "ECPGKeywords_vanames",
  "ECPGKeywords_rest", "ECPGTypeName", "symbol", "ECPGColId", "ColId",
  "type_function_name", "ColLabel", "ECPGColLabel", "ECPGColLabelCommon",
  "ECPGCKeywords", "all_unreserved_keyword", "ECPGunreserved_interval",
  "into_list", "ecpgstart", "c_args", "coutputvariable", "civarind",
  "char_civar", "civar", "indicator", "cvariable", "ecpg_param",
  "ecpg_bconst", "ecpg_fconst", "ecpg_sconst", "ecpg_xconst", "ecpg_ident",
  "quoted_ident_stringvar", "c_stuff_item", "c_stuff", "c_list", "c_term",
  "c_thing", "c_anything", "DeallocateStmt", "Iresult", "execute_rest",
  "ecpg_into", "ecpg_fetch_into", "opt_ecpg_fetch_into", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,   570,   571,   572,   573,   574,
     575,   576,   577,   578,   579,   580,   581,   582,   583,   584,
     585,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,   597,   598,   599,   600,   601,   602,   603,   604,
     605,   606,   607,   608,   609,   610,   611,   612,   613,   614,
     615,   616,   617,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   628,   629,   630,   631,   632,   633,   634,
     635,   636,   637,   638,   639,   640,   641,   642,   643,   644,
     645,   646,   647,   648,   649,   650,   651,   652,   653,   654,
     655,   656,   657,   658,   659,   660,   661,   662,   663,   664,
     665,   666,   667,   668,   669,   670,   671,   672,   673,   674,
     675,   676,   677,   678,   679,   680,   681,   682,   683,   684,
     685,   686,   687,   688,   689,   690,   691,   692,   693,   694,
     695,   696,   697,   698,   699,   700,   701,   702,   703,   704,
     705,   706,   707,   708,   709,   710,   711,   712,   713,   714,
     715,   716,   717,   718,   719,   720,   721,   722,   723,   724,
     725,   726,   727,   728,   729,   730,   731,   732,   733,   734,
     735,   736,   737,   738,   739,   740,   741,   742,   743,   744,
     745,   746,   747,   748,   749,   750,   751,   752,   753,   754,
      61,    60,    62,   755,    43,    45,    42,    47,    37,    94,
     756,    91,    93,    40,    41,    46,    44,    59,    58,   123,
     125
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   521,   522,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   523,
     523,   523,   523,   523,   523,   523,   523,   523,   523,   524,
     525,   525,   526,   526,   527,   527,   528,   528,   528,   528,
     528,   528,   528,   528,   528,   529,   529,   529,   529,   529,
     529,   530,   531,   532,   532,   533,   533,   534,   535,   536,
     536,   537,   537,   538,   539,   540,   540,   541,   541,   542,
     542,   542,   542,   543,   543,   544,   544,   545,   545,   545,
     545,   545,   545,   546,   546,   546,   547,   547,   547,   548,
     548,   548,   548,   549,   549,   549,   549,   549,   549,   549,
     549,   549,   549,   549,   550,   550,   551,   551,   552,   552,
     553,   553,   553,   553,   554,   554,   554,   554,   555,   555,
     555,   555,   555,   555,   555,   556,   556,   556,   557,   557,
     558,   558,   558,   558,   558,   559,   559,   560,   560,   561,
     561,   561,   561,   561,   562,   563,   563,   564,   564,   565,
     566,   566,   566,   566,   566,   567,   567,   567,   567,   567,
     567,   567,   567,   567,   567,   568,   568,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   569,   569,   569,   569,   569,   569,   569,   569,   569,
     569,   570,   570,   571,   571,   571,   572,   572,   573,   573,
     574,   574,   574,   574,   575,   576,   576,   577,   577,   578,
     578,   578,   578,   579,   580,   580,   581,   581,   581,   581,
     582,   582,   583,   583,   584,   584,   585,   585,   586,   586,
     586,   587,   587,   588,   588,   589,   589,   589,   589,   589,
     589,   589,   589,   589,   589,   589,   589,   589,   589,   590,
     590,   591,   591,   592,   592,   593,   593,   594,   594,   595,
     596,   596,   596,   596,   596,   597,   597,   598,   599,   599,
     599,   599,   600,   600,   600,   600,   600,   600,   600,   600,
     601,   601,   602,   602,   603,   603,   604,   604,   605,   605,
     605,   606,   606,   607,   608,   609,   609,   610,   610,   610,
     610,   611,   611,   611,   611,   611,   611,   611,   612,   612,
     612,   612,   613,   614,   614,   614,   615,   615,   615,   615,
     615,   615,   616,   616,   617,   617,   617,   617,   617,   617,
     617,   618,   618,   619,   619,   620,   620,   621,   622,   622,
     622,   622,   623,   623,   624,   624,   625,   625,   626,   626,
     626,   626,   626,   627,   628,   629,   629,   629,   629,   629,
     630,   630,   631,   631,   631,   631,   632,   632,   632,   632,
     633,   633,   634,   634,   635,   636,   637,   637,   637,   638,
     639,   640,   640,   641,   642,   643,   643,   644,   644,   645,
     645,   646,   646,   646,   646,   646,   646,   646,   646,   646,
     646,   646,   646,   647,   647,   648,   648,   648,   649,   649,
     650,   650,   651,   651,   652,   652,   653,   653,   654,   654,
     655,   655,   656,   656,   657,   657,   658,   659,   659,   660,
     660,   661,   661,   662,   662,   663,   663,   663,   664,   665,
     665,   666,   667,   667,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   667,   667,   667,   667,   667,
     667,   667,   667,   667,   667,   667,   668,   669,   669,   669,
     669,   670,   670,   671,   671,   672,   672,   673,   673,   674,
     674,   675,   675,   676,   677,   677,   678,   678,   678,   678,
     679,   680,   681,   682,   683,   683,   684,   684,   685,   685,
     686,   686,   687,   687,   687,   688,   688,   689,   689,   690,
     691,   691,   691,   692,   692,   693,   694,   694,   695,   695,
     695,   696,   696,   697,   697,   697,   697,   697,   698,   698,
     699,   699,   700,   700,   701,   701,   702,   702,   702,   703,
     703,   703,   703,   704,   704,   705,   705,   706,   706,   706,
     706,   706,   706,   707,   707,   708,   708,   709,   709,   710,
     711,   711,   712,   713,   713,   713,   713,   714,   715,   716,
     716,   716,   716,   716,   716,   716,   716,   716,   716,   716,
     716,   716,   716,   717,   718,   718,   719,   719,   720,   720,
     720,   720,   720,   721,   722,   722,   723,   724,   724,   725,
     725,   726,   726,   726,   727,   727,   728,   729,   729,   730,
     730,   730,   730,   730,   731,   731,   732,   732,   733,   733,
     733,   734,   734,   735,   736,   736,   737,   737,   738,   738,
     739,   739,   740,   740,   741,   742,   743,   743,   743,   743,
     744,   744,   744,   744,   744,   744,   744,   744,   744,   744,
     744,   744,   744,   744,   744,   744,   744,   745,   745,   746,
     746,   747,   747,   748,   749,   749,   749,   750,   750,   750,
     750,   750,   750,   750,   750,   750,   750,   750,   750,   750,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   751,   751,   751,   751,   751,   751,   751,
     751,   751,   751,   752,   752,   753,   753,   753,   753,   753,
     754,   754,   755,   755,   755,   755,   755,   755,   755,   755,
     755,   755,   755,   755,   755,   756,   756,   757,   757,   757,
     757,   757,   757,   757,   757,   757,   757,   757,   758,   758,
     758,   758,   758,   758,   758,   758,   758,   758,   758,   758,
     758,   758,   759,   759,   760,   760,   761,   762,   762,   763,
     763,   763,   763,   763,   764,   764,   765,   765,   765,   765,
     766,   766,   766,   766,   766,   766,   766,   766,   766,   766,
     766,   766,   766,   766,   766,   766,   767,   767,   768,   768,
     769,   769,   770,   770,   771,   772,   773,   773,   774,   774,
     775,   775,   776,   777,   777,   778,   778,   778,   779,   779,
     779,   780,   780,   780,   780,   781,   782,   782,   783,   783,
     784,   784,   785,   785,   786,   786,   787,   787,   787,   788,
     788,   789,   789,   789,   790,   790,   790,   791,   791,   791,
     792,   792,   792,   793,   793,   794,   794,   795,   795,   796,
     796,   797,   797,   798,   798,   798,   798,   798,   799,   799,
     799,   799,   799,   800,   801,   802,   802,   802,   803,   803,
     803,   804,   805,   805,   805,   805,   806,   806,   807,   807,
     808,   808,   808,   808,   808,   808,   808,   808,   808,   808,
     808,   808,   808,   808,   808,   809,   809,   809,   809,   810,
     810,   811,   811,   812,   813,   813,   814,   815,   815,   816,
     816,   817,   817,   818,   818,   819,   819,   820,   820,   820,
     820,   821,   821,   822,   823,   823,   824,   824,   825,   825,
     825,   826,   826,   826,   827,   828,   828,   829,   829,   829,
     830,   830,   831,   831,   832,   832,   832,   832,   832,   832,
     832,   832,   832,   832,   833,   833,   833,   833,   833,   833,
     833,   833,   833,   833,   833,   833,   833,   833,   833,   833,
     833,   833,   833,   833,   833,   833,   833,   833,   833,   833,
     833,   833,   833,   833,   833,   833,   833,   833,   833,   833,
     833,   833,   833,   833,   833,   833,   833,   833,   833,   834,
     834,   835,   835,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   836,   836,   836,
     836,   836,   836,   836,   836,   836,   836,   837,   837,   837,
     837,   837,   837,   837,   837,   837,   837,   837,   837,   837,
     837,   837,   837,   837,   837,   837,   838,   839,   839,   839,
     840,   840,   841,   841,   841,   841,   841,   842,   842,   843,
     843,   843,   843,   844,   844,   844,   845,   845,   846,   847,
     847,   848,   849,   849,   850,   850,   850,   850,   850,   850,
     850,   850,   850,   850,   850,   850,   850,   850,   851,   851,
     851,   852,   852,   852,   852,   852,   853,   853,   853,   854,
     854,   855,   855,   855,   855,   856,   856,   856,   856,   857,
     858,   859,   859,   860,   860,   860,   860,   860,   860,   860,
     860,   860,   860,   860,   860,   860,   860,   860,   860,   861,
     861,   862,   862,   863,   864,   864,   865,   866,   866,   867,
     868,   869,   869,   869,   869,   869,   869,   869,   870,   870,
     871,   872,   872,   872,   872,   872,   872,   873,   874,   874,
     874,   875,   875,   876,   876,   876,   876,   876,   877,   877,
     878,   878,   878,   878,   879,   879,   880,   880,   881,   881,
     882,   882,   883,   883,   884,   884,   885,   885,   885,   885,
     886,   886,   886,   886,   886,   886,   886,   886,   886,   887,
     887,   888,   889,   889,   890,   890,   890,   891,   891,   892,
     892,   893,   893,   893,   893,   894,   894,   895,   895,   896,
     897,   897,   897,   898,   898,   899,   900,   900,   901,   902,
     902,   903,   904,   904,   905,   905,   905,   905,   905,   905,
     905,   905,   906,   906,   907,   908,   908,   909,   909,   910,
     911,   912,   913,   913,   914,   915,   915,   916,   916,   916,
     916,   916,   917,   917,   917,   918,   918,   919,   919,   920,
     920,   920,   920,   920,   920,   920,   920,   921,   921,   922,
     922,   922,   922,   922,   922,   923,   923,   924,   924,   925,
     926,   926,   927,   927,   927,   928,   928,   928,   928,   928,
     928,   928,   928,   928,   929,   929,   930,   930,   930,   931,
     931,   931,   931,   932,   932,   933,   934,   934,   935,   935,
     936,   936,   936,   936,   937,   937,   938,   938,   938,   939,
     939,   940,   940,   941,   942,   942,   942,   943,   944,   944,
     945,   945,   946,   946,   947,   947,   948,   948,   949,   949,
     950,   950,   951,   952,   952,   952,   952,   953,   953,   954,
     954,   955,   955,   956,   956,   957,   957,   957,   957,   957,
     957,   957,   958,   958,   958,   958,   958,   958,   959,   959,
     959,   959,   960,   960,   961,   961,   961,   961,   961,   962,
     962,   962,   962,   963,   963,   964,   964,   965,   965,   965,
     965,   966,   966,   967,   967,   967,   968,   968,   969,   970,
     970,   971,   971,   972,   972,   973,   973,   974,   974,   974,
     975,   975,   976,   976,   977,   978,   978,   978,   978,   978,
     978,   979,   979,   979,   980,   980,   980,   980,   980,   980,
     980,   981,   981,   981,   981,   982,   982,   983,   983,   984,
     984,   984,   984,   984,   984,   984,   984,   984,   984,   984,
     985,   985,   986,   986,   987,   987,   988,   989,   990,   990,
     991,   991,   992,   993,   994,   994,   994,   994,   994,   994,
     995,   995,   996,   996,   997,   997,   997,   997,   998,   999,
     999,   999,  1000,  1000,  1000,  1000,  1000,  1000,  1000,  1000,
    1000,  1000,  1000,  1000,  1000,  1000,  1001,  1001,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1003,  1003,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1003,  1004,
    1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,  1004,
    1004,  1005,  1005,  1005,  1005,  1005,  1005,  1005,  1006,  1006,
    1007,  1007,  1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,
    1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,
    1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,
    1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,  1008,
    1008,  1008,  1008,  1008,  1009,  1009,  1010,  1010,  1010,  1010,
    1011,  1012,  1012,  1013,  1013,  1014,  1014,  1015,  1015,  1015,
    1016,  1016,  1016,  1016,  1017,  1017,  1018,  1018,  1019,  1019,
    1020,  1020,  1021,  1022,  1022,  1022,  1023,  1024,  1024,  1025,
    1025,  1026,  1026,  1026,  1027,  1027,  1028,  1028,  1028,  1028,
    1028,  1029,  1029,  1029,  1030,  1030,  1030,  1031,  1031,  1032,
    1032,  1032,  1032,  1032,  1032,  1032,  1032,  1032,  1033,  1033,
    1034,  1034,  1035,  1035,  1035,  1035,  1035,  1035,  1036,  1036,
    1037,  1037,  1038,  1038,  1039,  1039,  1040,  1040,  1040,  1041,
    1041,  1042,  1042,  1043,  1043,  1043,  1043,  1043,  1043,  1043,
    1043,  1044,  1044,  1045,  1046,  1046,  1047,  1047,  1047,  1047,
    1047,  1047,  1048,  1049,  1050,  1050,  1050,  1051,  1051,  1052,
    1053,  1053,  1054,  1055,  1055,  1056,  1056,  1057,  1057,  1058,
    1058,  1058,  1058,  1059,  1059,  1060,  1060,  1061,  1061,  1062,
    1062,  1063,  1063,  1064,  1065,  1065,  1066,  1066,  1067,  1067,
    1067,  1067,  1068,  1068,  1069,  1069,  1070,  1070,  1071,  1072,
    1073,  1074,  1075,  1076,  1077,  1077,  1078,  1078,  1078,  1078,
    1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,  1078,
    1078,  1079,  1080,  1081,  1081,  1082,  1082,  1082,  1082,  1083,
    1083,  1083,  1083,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,  1084,
    1084,  1084,  1084,  1085,  1085,  1085,  1085,  1085,  1085,  1085,
    1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,
    1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,
    1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,  1085,
    1085,  1085,  1085,  1085,  1085,  1085,  1085,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,
    1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1086,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,  1087,
    1087,  1087,  1087,  1087,  1088,  1088,  1089,  1089,  1089,  1089,
    1089,  1089,  1089,  1089,  1091,  1090,  1092,  1093,  1093,  1093,
    1093,  1094,  1094,  1094,  1094,  1095,  1095,  1096,  1097,  1098,
    1098,  1099,  1099,  1099,  1100,  1100,  1101,  1101,  1102,  1102,
    1103,  1103,  1103,  1103,  1104,  1104,  1104,  1105,  1106,  1106,
    1107,  1107,  1108,  1108,  1108,  1108,  1109,  1109,  1110,  1111,
    1112,  1113,  1113,  1114,  1115,  1115,  1116,  1116,  1116,  1116,
    1116,  1118,  1117,  1119,  1120,  1121,  1121,  1122,  1122,  1122,
    1122,  1123,  1123,  1125,  1124,  1127,  1126,  1128,  1126,  1126,
    1129,  1129,  1130,  1130,  1130,  1131,  1131,  1131,  1131,  1132,
    1132,  1133,  1133,  1133,  1133,  1133,  1133,  1134,  1134,  1134,
    1135,  1137,  1136,  1138,  1139,  1138,  1140,  1140,  1141,  1141,
    1142,  1142,  1143,  1143,  1143,  1143,  1143,  1143,  1143,  1143,
    1143,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,  1144,
    1144,  1145,  1145,  1146,  1146,  1147,  1148,  1148,  1149,  1149,
    1149,  1150,  1151,  1152,  1152,  1152,  1152,  1153,  1153,  1153,
    1154,  1154,  1155,  1155,  1156,  1157,  1157,  1158,  1158,  1159,
    1159,  1160,  1160,  1161,  1162,  1162,  1163,  1163,  1163,  1164,
    1164,  1164,  1164,  1164,  1164,  1164,  1164,  1164,  1165,  1165,
    1165,  1165,  1165,  1166,  1166,  1167,  1168,  1169,  1170,  1170,
    1171,  1172,  1173,  1173,  1174,  1175,  1175,  1176,  1177,  1178,
    1178,  1179,  1180,  1181,  1181,  1182,  1183,  1183,  1183,  1183,
    1183,  1184,  1184,  1184,  1184,  1184,  1184,  1184,  1184,  1184,
    1184,  1184,  1184,  1184,  1184,  1184,  1185,  1185,  1186,  1186,
    1187,  1187,  1187,  1189,  1188,  1190,  1190,  1192,  1191,  1193,
    1193,  1193,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1195,  1195,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  1196,  1196,  1196,  1196,  1196,  1197,  1197,  1197,
    1197,  1197,  1197,  1198,  1198,  1198,  1198,  1198,  1198,  1198,
    1199,  1200,  1200,  1200,  1200,  1200,  1200,  1200,  1200,  1201,
    1201,  1201,  1201,  1201,  1201,  1201,  1202,  1202,  1202,  1202,
    1202,  1202,  1203,  1203,  1203,  1203,  1203,  1203,  1203,  1203,
    1203,  1203,  1203,  1204,  1204,  1204,  1204,  1204,  1205,  1205,
    1205,  1205,  1206,  1206,  1206,  1206,  1206,  1206,  1206,  1207,
    1207,  1207,  1208,  1208,  1208,  1208,  1208,  1208,  1209,  1209,
    1210,  1211,  1211,  1212,  1212,  1213,  1214,  1215,  1216,  1216,
    1216,  1217,  1218,  1219,  1220,  1221,  1221,  1221,  1221,  1221,
    1222,  1223,  1223,  1223,  1224,  1224,  1225,  1225,  1225,  1226,
    1226,  1227,  1227,  1228,  1228,  1229,  1229,  1229,  1229,  1229,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,  1230,
    1230,  1230,  1230,  1230,  1230,  1230,  1231,  1231,  1231,  1231,
    1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,  1232,
    1233,  1233,  1233,  1233,  1233,  1234,  1234,  1235,  1235,  1236,
    1236
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     0,     5,
       1,     0,     2,     0,     2,     0,     2,     2,     3,     3,
       1,     3,     3,     2,     1,     1,     2,     2,     2,     3,
       3,     5,     5,     0,     3,     5,     5,     5,     4,     3,
       5,     3,     5,     5,     6,     1,     1,     3,     5,     6,
       4,     9,     7,     1,     0,     2,     0,     1,     1,     1,
       1,     1,     1,     2,     3,     3,     2,     5,     1,     3,
       3,     3,     3,     1,     3,     3,     2,     2,     2,     2,
       3,     3,     3,     3,     1,     3,     1,     3,     1,     1,
       2,     2,     2,     1,     1,     1,     1,     1,     1,     1,
       3,     6,     1,     1,     1,     1,     1,     0,     1,     1,
       2,     3,     4,     3,     2,     2,     1,     2,     1,     3,
       4,     5,     4,     2,     4,     1,     1,     1,     1,     1,
       2,     2,     2,     2,     2,     4,     6,     4,     6,     4,
       6,     4,     6,     5,     7,     1,     3,     2,     3,     4,
       6,     6,     6,     5,     5,     6,     6,     4,     8,     4,
       2,     4,     3,     6,     4,     3,     3,     3,     3,     3,
       4,     4,     3,     3,     3,     3,     3,     3,     4,     4,
       3,     2,     3,     2,     2,     3,     3,     2,     2,     3,
       1,     3,     2,     1,     1,     0,     2,     0,     2,     0,
       1,     1,     1,     3,     3,     2,     0,     1,     3,     3,
       1,     5,     3,     4,     1,     3,     4,     6,     4,     8,
       2,     2,    11,     7,     1,     1,     1,     0,     1,     1,
       1,     1,     3,     2,     0,     1,     1,     1,     3,     3,
       1,     1,     3,     3,     3,     3,     4,     3,     2,     1,
       0,     2,     0,     3,     0,     1,     0,     1,     3,     2,
       1,     1,     1,     3,     0,     1,     3,     1,    11,    14,
      10,    13,     1,     1,     2,     2,     2,     2,     1,     0,
       1,     0,     3,     0,     1,     3,     1,     3,     1,     1,
       1,     1,     1,     4,     4,     2,     0,     3,     1,     1,
       2,     2,     1,     3,     4,     5,     2,     5,     1,     2,
       2,     2,     3,     3,     3,     0,     1,     1,     1,     1,
       1,     1,     3,     1,     5,     7,     3,     8,     4,     9,
      11,     2,     0,     3,     0,     1,     3,     1,     2,     2,
       2,     0,     1,     3,     3,     6,     4,     0,     1,     1,
       2,     2,     0,     3,     3,     2,     1,     1,     2,     2,
       4,     0,     2,     2,     2,     0,     3,     4,     4,     0,
       2,     0,     4,     0,     3,     5,     2,     3,     0,     8,
       4,     1,     0,     6,     5,     4,     6,     1,     0,     1,
       2,     2,     1,     2,     3,     2,     2,     2,     2,     3,
       3,     1,     3,     1,     0,     1,     2,     1,     1,     3,
       6,    10,     1,     0,     1,     2,     2,     0,     2,     2,
       1,     0,     5,     7,     1,     0,     7,     2,     0,     3,
       5,     5,     8,     2,     0,     2,     2,     2,     5,     2,
       0,     2,     7,    10,     6,     6,     6,     6,     7,     7,
       9,     9,     6,     7,     6,     8,     8,     8,     8,     6,
       6,     7,     7,     8,     6,     6,     7,     2,     2,     2,
       2,     1,     2,     1,     0,     6,     8,     7,     6,     4,
       0,     1,     3,     4,     1,     3,     1,     2,     2,     2,
       2,     1,     1,    10,     2,     0,     2,     2,     1,     0,
       4,     6,     5,     4,     4,    10,    13,     5,     7,     8,
       1,     1,     1,     7,     9,     8,    15,    20,     1,     1,
       2,     1,     3,     1,     1,     1,     3,     1,     3,     0,
       1,     0,     1,     1,     4,     0,     1,     3,     0,     1,
       1,     1,     1,     2,     0,     0,     2,     2,     1,     2,
       2,     2,     2,     6,     8,    11,    13,     1,     3,     5,
       1,     3,     5,     1,     2,     2,     1,     8,     4,     5,
       4,     4,     4,     3,     7,     8,     6,     6,     6,     6,
       6,     4,     5,     3,     1,     3,     3,     1,     1,     1,
       1,     1,     1,     3,     1,     3,     3,     1,     0,     1,
       3,     7,     9,     9,     3,     0,    13,     1,     3,     5,
       6,     4,     7,     2,     1,     0,     2,     0,     2,     4,
       0,     1,     0,     6,     8,     8,     1,     3,     5,     5,
       7,     9,     7,     9,     5,     6,     6,     4,     5,     7,
       1,     1,     1,     2,     1,     2,     2,     1,     1,     1,
       1,     1,     1,     3,     3,     3,     3,     1,     3,     1,
       2,     2,     3,     5,     2,     2,     0,     6,     7,     7,
       7,     8,     8,     6,     8,     9,     9,     7,    10,     7,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     2,
       1,     1,     1,     1,     1,     2,     1,     3,     2,     3,
       3,     3,     3,     1,     1,     8,     9,     9,     9,     9,
       2,     0,     1,     1,     2,     2,     1,     1,     1,     1,
       1,     1,     1,     1,     2,     1,     1,     2,     2,     3,
       4,     5,     4,     5,     3,     4,     3,     4,     1,     2,
       3,     3,     3,     3,     4,     4,     3,     3,     4,     4,
       4,     4,     1,     1,     1,     0,     7,     7,    10,     1,
       1,     2,     4,     5,     1,     3,     2,     2,     2,     2,
       1,     2,     2,     4,     3,     2,     2,     2,     2,     3,
       2,     2,     2,     5,     5,     5,     1,     3,     1,     2,
       3,     0,     1,     3,     2,     6,     6,     9,     3,     0,
       3,     0,     5,     2,     0,     3,     3,     3,     7,     7,
      10,     1,     1,     1,     1,    14,     1,     0,     1,     0,
       1,     0,     2,     0,     1,     3,     5,     5,     7,     2,
       0,     1,     2,     0,     1,     1,     0,     1,     1,     0,
       9,    12,     7,     2,     0,     3,     2,     1,     3,     3,
       2,     1,     3,     3,     3,     2,     2,     1,     1,     1,
       1,     2,     1,     1,     1,     1,     4,     5,     1,     3,
       3,     1,     3,     3,     5,     6,     1,     3,     1,     2,
       4,     5,     1,     1,     1,     1,     3,     3,     2,     2,
       1,     2,     2,     2,     1,     2,     2,     1,     1,     1,
       3,     2,     0,     2,     1,     3,     5,     1,     2,     1,
       0,     5,     7,     5,     7,     5,     7,     3,     5,     5,
       5,     1,     3,     2,     1,     2,     1,     2,    11,    10,
      10,     2,     2,     0,     9,     2,     0,     4,     4,     4,
       1,     1,     1,     0,     8,     8,     8,     9,    11,    11,
      11,    12,     5,     5,     7,     6,     6,     6,     6,     8,
       8,     6,     6,     7,     9,     9,     6,     6,     6,     8,
       6,     8,     6,     8,     7,     9,     6,     8,     7,     9,
       8,    10,     9,    11,     8,     9,    11,     8,     8,     7,
       6,     6,     6,     8,     8,     8,     8,     6,     9,     1,
       0,     2,     0,     7,     6,     6,     6,     6,     6,     7,
       9,     9,     6,     8,     8,     8,     8,     8,     6,     8,
       6,     8,     7,     9,     7,     9,     6,     7,     6,     6,
       6,     6,     6,     7,     7,     7,     9,     9,     6,     6,
       6,     8,     8,     8,     6,     7,    13,     1,     1,     3,
       3,     1,     1,     1,     1,     1,     1,     1,     0,     1,
       1,     1,     1,     1,     1,     0,     6,     8,     3,     2,
       0,     2,     2,     2,     2,     3,     3,     2,     2,     2,
       2,     3,     2,     5,     4,     3,     3,     3,     1,     1,
       0,     3,     2,     2,     1,     2,     1,     3,     2,     1,
       0,     9,    11,    12,    14,     3,     4,     4,     0,     2,
       5,     2,     0,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     4,     3,     3,     1,
       0,     5,     6,     4,     2,     0,     4,     3,     5,     4,
       6,     4,     6,     6,     5,     7,     9,     6,     1,     0,
       6,    11,    11,    11,    13,     9,    11,    10,     4,     2,
       5,     2,     0,     4,     5,     5,     4,     6,     1,     3,
       1,     1,     1,     1,     2,     4,     1,     1,     1,     0,
       1,     0,     1,     0,     3,     0,     2,     4,     3,     5,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       3,     2,     1,     1,     1,     1,     0,     5,     4,     3,
       0,     1,     1,     1,     1,     4,     9,     3,     0,     6,
       1,     4,     2,     1,     3,     2,     3,     0,     7,     2,
       0,     5,     3,     0,     2,     2,     2,     3,     1,     3,
       1,     2,     1,     0,     8,     1,     3,     1,     1,     3,
       5,     2,     1,     3,     7,     1,     1,     0,     3,     2,
       2,     2,     0,     2,     2,     1,     1,     3,     3,     1,
       2,     4,     4,     2,     3,     5,     5,     1,     1,     9,
       1,     2,     4,     4,     4,     2,     3,     1,     3,     6,
       1,     0,     2,     1,     0,     3,     3,     4,     4,     4,
       4,     3,     2,     1,     1,     0,     1,     1,     0,     1,
       5,     1,     0,     1,     0,     3,     1,     3,     4,     3,
       2,     2,     1,     1,     1,     0,     2,     4,     5,     2,
       3,     1,     1,     1,     1,     3,     0,     1,     1,     1,
       1,     1,     3,     0,     2,     0,     1,     3,     1,     0,
       1,     2,     3,     2,     4,     2,     3,     2,     0,     2,
       3,     2,     0,     1,     3,     2,     2,     3,     2,     3,
       1,     4,     3,     4,     5,     4,     5,     4,     5,     2,
       4,     1,     1,     0,     1,     4,     5,     4,     0,     2,
       2,     2,     1,     1,     0,     4,     2,     1,     2,     2,
       4,     1,     3,     1,     2,     3,     2,     6,     2,     1,
       3,     4,     0,     1,     0,     2,     0,     2,     4,     0,
       1,     0,     1,     3,     3,     2,     3,     5,     6,     2,
       3,     3,     4,     0,     1,     1,     1,     1,     1,     2,
       5,     1,     1,     1,     1,     2,     3,     3,     0,     1,
       1,     1,     1,     1,     2,     2,     2,     2,     2,     1,
       3,     0,     1,     1,     1,     1,     5,     2,     1,     1,
       1,     1,     5,     2,     2,     2,     1,     3,     3,     2,
       1,     0,     3,     0,     5,     2,     5,     2,     1,     2,
       3,     0,     1,     1,     1,     1,     1,     1,     3,     3,
       3,     3,     3,     3,     3,     0,     1,     4,     1,     3,
       3,     5,     2,     2,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     3,     3,     2,     3,
       5,     4,     6,     3,     5,     4,     6,     4,     6,     5,
       7,     3,     2,     4,     2,     3,     3,     4,     3,     4,
       3,     4,     5,     6,     6,     7,     6,     7,     6,     7,
       3,     4,     4,     6,     2,     3,     4,     1,     3,     2,
       2,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     2,     2,     5,     6,     6,     7,     3,     4,     1,
       1,     2,     4,     1,     1,     1,     2,     2,     2,     2,
       1,     3,     5,     6,     8,     6,     6,     4,     4,     1,
       1,     1,     5,     1,     1,     4,     1,     4,     1,     4,
       1,     4,     1,     1,     1,     1,     1,     1,     6,     4,
       4,     4,     4,     6,     5,     5,     5,     4,     6,     4,
       4,     4,     4,     5,     7,     7,     9,     5,     4,     6,
       5,     7,     7,     7,     2,     3,     3,     3,     4,     0,
       4,     1,     3,     3,     1,     1,     1,     2,     2,     0,
       2,     4,     4,     6,     5,     0,     5,     0,     2,     0,
       1,     3,     3,     2,     2,     0,     6,     1,     0,     3,
       0,     2,     2,     0,     1,     4,     2,     2,     2,     2,
       2,     4,     3,     5,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       1,     4,     1,     4,     1,     2,     1,     2,     1,     3,
       1,     3,     1,     3,     1,     3,     3,     3,     2,     1,
       3,     3,     0,     1,     1,     1,     1,     1,     1,     1,
       1,     4,     3,     2,     3,     0,     3,     3,     2,     2,
       1,     0,     2,     2,     3,     2,     1,     1,     3,     5,
       1,     2,     4,     2,     0,     1,     0,     1,     2,     2,
       2,     3,     5,     1,     2,     0,     2,     1,     0,     1,
       1,     1,     3,     3,     1,     0,     1,     3,     3,     2,
       1,     1,     1,     3,     1,     2,     1,     3,     1,     1,
       1,     1,     1,     1,     1,     2,     1,     1,     1,     1,
       1,     2,     6,     2,     3,     6,     1,     1,     1,     1,
       1,     1,     1,     1,     3,     1,     1,     2,     2,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     0,     2,     4,     3,     2,     1,
       1,     1,     1,     1,     0,     8,     2,     5,     3,     2,
       2,     3,     7,     1,     1,     1,     0,     2,     2,     1,
       0,     1,     3,     1,     2,     0,     2,     0,     2,     0,
       1,     3,     4,     3,     1,     1,     1,     1,     2,     0,
       2,     4,     0,     2,     2,     2,     1,     1,     7,     3,
       1,     1,     1,     1,     2,     0,     1,     3,     3,     3,
       3,     0,     4,     5,     5,     0,     1,     1,     1,     2,
       2,     1,     2,     0,     7,     0,     5,     0,     4,     2,
       2,     0,     2,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     5,     2,     1,     3,     2,     2,
       3,     0,     5,     1,     0,     5,     2,     2,     1,     1,
       1,     2,     2,     3,     1,     2,     2,     3,     3,     4,
       2,     1,     2,     1,     1,     2,     2,     3,     1,     1,
       1,     1,     0,     1,     3,     5,     0,     2,     0,     1,
       2,     3,     2,     1,     1,     1,     0,     1,     1,     1,
       1,     1,     2,     2,     3,     0,     1,     2,     1,     4,
       3,     4,     3,     2,     1,     3,     1,     1,     1,     1,
       2,     2,     1,     2,     2,     1,     1,     1,     4,     4,
       4,     4,     4,     1,     0,     3,     3,     4,     1,     3,
       3,     4,     1,     3,     3,     1,     1,     1,     6,     1,
       3,     3,     6,     1,     3,     3,     1,     1,     2,     2,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     4,     4,     1,     1,
       4,     4,     3,     0,     7,     1,     0,     0,     7,     3,
       4,     3,     1,     1,     1,     2,     3,     5,     2,     5,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     3,
       1,     0,     1,     2,     1,     2,     1,     1,     1,     2,
       2,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     2,     3,     1,
       2,     1,     3,     1,     3,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     3,     2,     3,
       1,     3,     3,     3,     3,     3,     3,     1,     1,     4,
       0,     2,     2,     1,     1,     2,     1,     1,     1,     0,
       1
};

/* YYDEFACT[STATE-NAME] -- Default reduction number in state STATE-NUM.
   Performed when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
    2364,     0,     2,     1,  2794,  2798,  2802,  2803,  2720,  2804,
    2805,  2770,  2771,  2772,  2773,  2774,  2775,  2776,  2777,  2778,
    2779,  2780,  2781,  2783,  2782,  2784,  2785,  2786,  2787,  2788,
    2789,  2790,  2791,  2793,  2792,  2742,  2371,  2739,  2736,  2737,
    2738,  2743,  2741,  2734,  2735,  1961,  2807,  2795,  2808,  2796,
    2797,  2799,  2800,  2769,  2801,  2809,  2810,  2811,  2806,  2814,
    2765,  2766,  2764,  2767,  2768,  2812,  2813,  2756,  2757,  2758,
    2759,  2815,  2372,  2373,  2761,  2365,  2369,  2431,  2502,  2762,
    2763,  2760,  2370,  2755,  2502,     0,  2623,  2624,  2625,     0,
    2626,  2627,  2628,  2554,  2516,  2629,     0,     0,  2630,  2631,
    2632,  2633,  2634,  2635,  2636,  2637,     0,  2638,  2639,  2640,
    2641,  2501,  2642,  2643,  2644,  2645,  2646,  2478,  2484,  2607,
       0,  2458,  2459,  2455,  2457,  2456,  2460,  2443,  1220,   555,
    1307,  1306,     0,  2267,  1220,  2223,  2224,  2268,  2225,  2226,
    2227,   259,     0,  1309,  2228,  2269,     0,  1220,  2270,   380,
     974,  2271,  2272,  2386,     0,  2229,  2230,     0,     0,     0,
     555,  1220,     0,     0,  2231,  1421,  2232,     0,  2233,  2273,
    2274,     0,  2234,  2275,  2276,  2235,  2236,  2237,  2277,  2278,
    2279,  2238,  2280,  2281,     0,     0,  1435,     0,  2239,  2282,
    2240,  2241,     0,  2283,  2242,  2243,  2244,  2284,  2285,  2245,
    2246,  2247,     0,  2248,     0,     0,     0,     0,     0,     0,
    2286,  1220,  2249,     0,     0,  1442,     0,  2250,     0,  2287,
    2251,     0,  2252,     0,  2253,  2254,  2255,  2256,  1435,  2603,
    2479,     0,  1311,     0,  2257,  2288,     0,  2258,  2259,  2260,
    2261,  2262,  2263,  2264,  2265,  2266,     0,     0,    59,    60,
      24,    23,    29,    28,    82,    83,    47,    15,    73,    53,
     116,   115,   117,    35,    31,    67,    20,    22,    32,    36,
      55,    48,    94,    54,    18,    52,    77,    56,    80,    42,
       9,    10,    43,    71,    11,    44,    72,    12,    45,    13,
      61,    84,    27,    57,    81,    58,     3,    38,    69,    65,
       8,    49,    50,    51,    74,    75,    76,    99,    79,   111,
      34,   108,    88,    89,   105,    90,   106,     6,    91,    46,
      14,   102,   101,   103,    68,    39,    70,   100,    21,   104,
      16,    17,   107,    78,    97,    93,   112,   110,   118,    95,
      62,     4,     5,    85,    19,    41,     7,    26,    25,    40,
      33,   114,    30,  1309,    87,    98,    86,    92,    66,    96,
     113,    64,   109,  1408,  1395,  1444,  1407,  1420,     0,  1410,
    2699,  2700,    37,  1421,   120,   121,   126,  2368,  2420,  2421,
    2422,  2502,  2453,  2454,  2447,  2463,  2473,  2462,  2466,  2474,
    2461,  2480,     0,   123,   125,   127,   130,   124,   119,   122,
     129,   134,   128,   133,   131,   132,   135,   136,   137,  2701,
    1635,  2698,    63,  2438,  2437,     0,  2502,     0,  2731,  1973,
    1974,  1975,  1976,  1977,  1978,  1979,  1980,  1981,  1982,  1983,
    1984,  1985,  1986,  1987,  1988,  1989,  1990,  1991,  1992,  1993,
    1994,  1995,  1996,  1997,  1998,  1999,  2000,  2001,  2002,  2003,
    2004,  2005,  2006,  2007,  2008,  2009,  2010,  2011,  2012,  2013,
    2014,  2015,  2016,  2017,  2018,  2019,  2020,  2021,  2022,  2023,
    2024,  2025,  2026,  2027,  2028,  2029,  2030,  2031,  2032,  2033,
    2034,  2035,  2036,  2037,  2038,  2039,  2040,  2041,  2042,  2043,
    2044,  2045,  2046,  2047,  2048,  2049,  2050,  2051,  2052,  2053,
    2054,  2055,  2056,  2057,  2058,  2059,  2060,  2061,  2062,  2063,
    2064,  2065,  2066,  2067,  2068,  2069,  2070,  2071,  2072,  2073,
    2074,  2075,  2076,  2077,  2078,  2079,  2080,  2081,  2082,  2083,
    2084,  2085,  2086,  2087,  2088,  2089,  2090,  2091,  2092,  2093,
    2094,  2095,  2096,  2097,  2098,  2099,  2100,  2101,  2102,  2103,
    2104,  2105,  2106,  2107,  2108,  2109,  2110,  2111,  2112,  2113,
    2114,  2115,  2116,  2117,  2118,  2119,  2120,  2121,  2122,  2123,
    2124,  2127,  2125,  2126,  2128,  2129,  2130,  2131,  2132,  2133,
    2134,  2135,  2136,  2137,  2138,  2139,  2140,  2141,  2142,  2143,
    2144,  2145,  2146,  2147,  2148,  2149,  2150,  2151,  2152,  2153,
    2154,  2155,  2156,  2157,  2158,  2159,  2160,  2161,  2162,  2163,
    2164,  2165,  2166,  2167,  2168,  2169,  2170,  2171,  2172,  2173,
    2174,  2175,  2176,  2177,  2178,  2179,  2180,  2181,  2182,  2183,
    2184,  2185,  2186,  2187,  2188,  2189,  2386,  2190,  2191,  2192,
    2193,  2194,  2195,  2196,  2197,  2198,  2199,  2200,  2201,  2202,
    2203,  2204,  2205,  2206,  2207,  2208,  2209,  2210,  2211,  2212,
    2213,  2214,  2215,  2216,  2217,  2218,  2219,  2220,  2221,  2222,
    2404,  1962,  1970,  1971,  1972,  2379,  2400,  2406,  2727,  2405,
    1969,  2553,     0,     0,  2647,  2648,  2649,  2650,  2651,  2652,
    2702,  2703,  2704,  2705,  2706,  2708,  2707,  2515,  2674,  2711,
    2514,  2712,  2518,  2713,  2714,  2715,  2716,  2675,  2717,  2517,
    2709,  2671,  2519,  2512,  2513,  2672,  2621,  2622,  1939,  2673,
    2670,  2710,  2407,  2669,  2523,  2522,  1385,  2726,  1938,  1386,
       0,  2525,  2653,  2654,  2655,  2656,  2658,  2657,  2659,  2289,
    2290,  2291,  2292,  2293,  2294,  2295,  2296,  2297,  2298,  2299,
    2300,  2684,  2301,  2302,  2303,  2697,  2304,  2305,  2685,  2306,
    2307,  2308,  2309,  2310,  2311,  2312,  2313,  2314,  2315,  2316,
    2317,  2318,  2319,  2320,  2321,  2322,  2323,  2324,  2325,  2326,
    2327,  2328,  2329,  2686,  2687,  2330,  2331,  2332,  2333,  2334,
    2335,  2336,  2337,  2338,  2339,  2340,  2341,  2342,  2343,  2344,
    2345,  2346,  2347,  2348,  2349,  2350,  2351,  2352,  2353,  2688,
    2354,  2355,  2689,  2356,  2357,  2358,  2690,  2359,  2360,  2361,
    2362,  2363,  2694,  2695,  2696,  2683,  2476,  2660,  2682,  2693,
    2691,  2692,  2486,  2482,  2490,  2485,     0,     0,     0,     0,
    2502,  1219,  1218,  1204,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   554,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2376,     0,  1230,   351,   350,  1308,
    1289,   555,     0,  1207,   379,     0,     0,     0,     0,     0,
       0,     0,     0,   744,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   184,     0,     0,   403,   402,     0,
       0,     0,   946,   408,     0,     0,     0,     0,     0,   543,
    2385,  2380,  2390,     0,  2383,  2384,  2669,     0,  2818,  2125,
    2416,  2417,  2816,  2175,  1387,   260,   263,   264,   261,   262,
       0,  1053,  1054,  1056,     0,     0,  1066,   779,   780,     0,
     778,     0,   782,     0,     0,     0,   774,     0,     0,     0,
       0,     0,   781,   771,     0,   770,     0,     0,     0,   777,
       0,   772,     0,     0,  1208,     0,  2468,  2469,  2063,  1348,
     409,     0,     0,  1421,     0,  1326,  1327,  1309,  1316,  1328,
    1321,  1323,  1322,  1324,  1320,  1325,  1974,   885,  1988,   885,
    2053,   882,   883,   885,   885,   885,  2142,     0,     0,   857,
       0,   868,  1965,   885,  1966,  2727,   890,   464,   464,   464,
       0,   889,   894,   464,  1201,  1239,  1943,  1434,     0,  1988,
    2053,   858,  1200,  2190,  1340,     0,     0,     0,  1070,     0,
    1071,     0,  2157,  1212,   244,  2667,  2166,  2253,  2190,  2668,
     240,  2662,  2663,  2665,   214,  2666,  2664,  2661,  1978,     0,
       0,   889,     0,  1209,  1210,   841,  1441,  1439,  1925,     0,
       0,  1996,     0,  2008,  2089,   237,  2153,  2158,  2166,  2253,
    2190,  2220,   193,   203,   198,     0,   253,  2166,  2253,  2190,
       0,  1230,     0,  1411,  1527,  1934,     0,     0,  2477,  1203,
    1202,  1310,     0,  1313,     0,  1489,  2138,  1415,  1417,  1315,
    1408,     0,     0,  2367,  1304,  1438,  1438,     0,  1438,     0,
    1400,  1408,  1403,  1407,     0,     0,     0,     0,  1220,     0,
    2445,  2473,  2452,  2508,  2449,     0,     0,  2498,  2494,  2491,
    2499,  2500,  2493,  2481,  1624,  1625,  1626,  1623,  1636,  1622,
       0,  2426,  1627,  2465,  2432,     0,  2440,  2439,  2744,  2745,
    2555,  2378,  2397,     0,     0,     0,     0,     0,     0,     0,
    2524,  2526,  2528,  2488,  2487,  2483,     0,     0,     0,     0,
    2613,  2614,  2612,     0,  2609,  2611,     0,  2508,     0,  2678,
    2672,  2681,     0,  1944,  2673,  2670,  2669,     0,   789,     0,
     141,   934,     0,     0,     0,     0,  1938,     0,     0,     0,
       0,     0,  2062,     0,     0,     0,  1837,  2000,  2048,  1847,
    1845,  1846,  1839,  1840,  1841,  1842,  1843,  1844,     0,  1051,
    1838,     0,   163,   141,     0,     0,  2062,     0,     0,     0,
    2062,     0,     0,     0,     0,     0,  2092,   141,  2062,     0,
       0,     0,  1224,     0,     0,     0,  1226,  1229,  1205,  1292,
       0,  1934,     0,     0,   820,   810,     0,   821,   811,   816,
       0,   823,     0,     0,   813,     0,     0,     0,   824,     0,
     812,   814,   826,   815,   822,     0,     0,   817,   818,     0,
       0,  1216,   464,   357,     0,     0,     0,     0,     0,   141,
    1279,     0,  2062,   141,     0,     0,   407,   406,   141,   405,
     404,  2000,  2048,     0,   973,   141,  2062,     0,   186,   625,
     558,     0,     0,   703,  2092,   141,     0,     0,     0,     0,
       0,     0,   949,     0,     0,   542,   555,     0,  2389,  2395,
       0,  2387,  2556,  2819,  2817,  2511,     0,  1057,   238,   239,
    1055,  2062,     0,   325,     0,     0,  2062,  1267,   776,     0,
     775,  2062,     0,  2062,  1963,   177,     0,   773,  2000,  2048,
    2062,     0,     0,  2062,   169,  2062,     0,  2062,   325,  2062,
     559,     0,  2062,     0,  2062,  2092,   171,     0,  2062,   325,
     787,     0,     0,  2749,  2753,     0,  2751,  2746,  2467,  2521,
    2520,  2419,     0,  2830,     0,  1387,  1318,  1333,     0,  1329,
    1336,  1332,  1421,   885,   884,     0,   885,     0,  2839,   885,
       0,   885,     0,  2839,   885,     0,     0,     0,   885,  1967,
    1968,     0,     0,  2838,  2836,  2837,   859,   869,     0,   891,
       0,     0,   898,   897,   896,     0,     0,     0,   899,  1531,
    1363,     0,   866,     0,   864,     0,  1198,  1215,     0,     0,
       0,     0,   949,  1073,  1073,  1073,  1211,   243,   241,     0,
       0,     0,     0,     0,     0,  1217,     0,     0,     0,     0,
    2733,  1950,  1848,  2732,     0,  2224,  2225,  2226,  1906,     0,
    2674,  2227,  2228,  2269,  1756,  1743,  1752,  1757,  1744,  1746,
    1753,  2229,  2230,  2032,  2231,  2232,  1957,  2233,  2234,  1579,
    2236,  2237,  2238,  1748,  1750,  2239,  2240,     0,  1958,  2242,
    2243,  2111,  2245,  2246,  2248,  2249,  1754,  2251,  2252,  2253,
    2254,  2255,  2256,  1956,     0,  1755,  2257,  2259,  2260,  2261,
    2262,  2263,  2264,  2265,  2266,     0,     0,  1931,     0,  1725,
       0,  1571,  1572,  1594,  1595,  1573,  1600,  1601,  1613,  1574,
       0,  1930,  1638,  1805,  1724,  1739,  1730,     0,  1723,  1719,
    1424,  1924,  1926,     0,  1720,  1946,  1907,  1960,  1959,  2727,
    1915,  1949,  1947,  1948,     0,     0,     0,   206,     0,     0,
    2602,   255,     0,   256,  1932,  2166,   194,   236,   208,   235,
     209,   207,     0,  1998,   195,     0,     0,   196,     0,     0,
       0,     0,     0,     0,     0,   249,  1206,     0,  1529,  1528,
       0,     0,  1913,  1935,   796,     0,  1302,  1303,  1301,     0,
    1298,  1300,  1312,  1309,  1920,  1919,  1921,     0,  1416,     0,
       0,     0,  1398,  1397,  1315,  1436,  1437,     0,     0,     0,
       0,     0,     0,     0,     0,  1479,  1452,  1453,  1455,  1476,
    1480,  1488,     0,  1404,     0,     0,  1533,     0,  1490,  2366,
    2508,  2509,     0,  2503,     0,  2502,  2502,  2496,  2495,  2492,
       0,     0,     0,     0,     0,     0,     0,  2423,   537,  2425,
     535,     0,     0,  2399,     0,  2403,  2401,     0,  2548,  2551,
       0,  2549,  2550,  2552,     0,  2557,  2558,     0,     0,     0,
    2740,     0,     0,  2539,  2527,  2534,  2536,  2538,  2537,  2546,
    2542,  2545,  2547,  2489,  2502,  2620,     0,  2615,  2618,     0,
    2610,     0,     0,     0,  1945,     0,     0,     0,     0,   790,
       0,     0,     0,     0,     0,     0,   140,  1265,   246,  1263,
       0,     0,     0,     0,     0,     0,     0,  1271,     0,     0,
     175,   176,   570,   555,     0,  2062,     0,     0,     0,     0,
    1013,  1020,     0,     0,     0,     0,     0,     0,     0,  1014,
    1012,  1015,   248,  1024,  1037,  1040,     0,   924,     0,     0,
       0,     0,  1130,     0,     0,  1130,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   267,   275,
     320,     0,  2062,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   145,     0,     0,     0,     0,     0,     0,   522,
     534,     0,     0,     0,     0,     0,   531,     0,   141,   269,
     515,   519,     0,     0,     0,   634,   633,  1269,     0,     0,
    1130,     0,   265,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   343,
     344,     0,     0,     0,   145,   168,     0,     0,     0,   271,
       0,  2433,     0,  1225,  1222,  1223,     0,  1228,     0,  1288,
       0,     0,     0,     0,   828,     0,   825,     0,     0,   819,
    2000,  2048,     0,     0,     0,     0,     0,     0,   382,   356,
       0,     0,   700,     0,     0,  1582,  1611,  1589,  1611,  1611,
    1578,  1578,  1591,  1580,  1618,     0,  1611,  1578,  1583,     0,
    1581,  1621,  1621,  1606,     0,  1563,  1564,  1565,  1566,  1592,
    1593,  1567,  1598,  1599,  1568,  1635,  2679,  1578,  2680,  2677,
    2676,     0,     0,   711,     0,  1242,  1278,     0,     0,     0,
     564,     0,  2062,     0,   143,   745,     0,   701,   408,     0,
     143,     0,     0,   180,     0,   629,     0,     0,     0,     0,
       0,     0,   649,   648,     0,     0,     0,   702,     0,   143,
       0,   518,  2062,     0,   464,   464,     0,     0,   948,   951,
       0,     0,     0,  2393,  2388,  2391,     0,  2381,  2395,  1390,
    1392,  1391,     0,  1389,     0,   325,   323,   324,   698,  1065,
       0,     0,     0,     0,   325,     0,     0,  2062,   325,  2062,
       0,  2062,     0,     0,   325,   325,     0,     0,     0,     0,
     630,     0,   786,   784,   783,   785,     0,     0,     0,     0,
       0,  2062,   325,     0,     0,   767,  2747,     0,     0,  2750,
       0,  2470,  1858,     0,  2833,  1345,  2834,     0,     0,  1421,
       0,   225,   226,   224,  1334,   227,  1335,  1331,  1317,     0,
     877,     0,  2839,  2840,   862,     0,   872,     0,  2839,   860,
       0,   873,   870,   871,     0,     0,     0,  2835,  2718,  2724,
     876,     0,     0,   465,   467,     0,     0,  2018,  2031,     0,
    2054,  2080,  2081,  2158,  2162,     0,  2185,  2194,     0,   900,
     929,   895,     0,     0,  1373,   867,   865,  1199,  1338,  1864,
       0,  1421,     0,     0,  1072,  1069,  1068,  1067,   242,   215,
       0,     0,     0,   931,  2157,  1214,   840,   555,     0,     0,
    1728,  1729,  1610,  1597,  1905,     0,     0,  1605,  1604,     0,
       0,     0,     0,     0,  1587,  1586,  1585,  1727,  1872,     0,
    1584,     0,     0,     0,     0,  1611,  1611,  1609,  1658,     0,
    1588,     0,     0,  1885,     0,  1891,     0,     0,     0,  1617,
       0,  1615,     0,     0,  1694,     0,     0,     0,     0,     0,
       0,     0,     0,  1642,  1643,  2675,  1725,  1858,     0,  1726,
    1953,     0,     0,  1603,     0,  1635,  1848,     0,     0,     0,
       0,  1918,     0,  1856,     0,     0,  1672,  1854,     0,  1674,
       0,     0,     0,  1847,  1845,  1846,  1839,  1840,  1841,  1842,
    1843,  1844,  1852,  1655,     0,  1929,     0,  1807,     0,  1654,
       0,  1492,  1423,     0,     0,  1951,  1908,     0,  2725,  2728,
    1721,  2599,  2598,  2597,  2596,  2567,     0,  2561,  2562,     0,
    2600,  2601,   257,   258,   254,     0,     0,   211,   210,     0,
     233,   234,   205,   232,     0,   228,   229,   213,  1796,  1795,
     212,   204,   201,   199,   216,   218,   219,   202,   200,   252,
     250,     0,     0,     0,  1910,  1909,  1941,  1914,     0,     0,
     325,  2502,  1296,     0,  1293,  1923,     0,  1418,     0,  1936,
       0,  1305,  1414,  1413,  1445,  1446,   966,  1412,  1470,  1471,
    1466,     0,     0,     0,  1485,  1483,  1462,  1456,  1461,  1459,
       0,  1463,  1638,  1478,  1402,  1450,  1451,  1454,  1401,     0,
    1481,     0,  1373,  1479,  1455,  1360,     0,     0,  1534,     0,
       0,  2510,  2508,  2448,  1563,  2502,  2441,  2502,  2497,  2429,
    1629,  1630,  1631,  1632,  1633,  1634,  2430,     0,  2427,  1628,
    2428,   536,     0,     0,     0,  2396,     0,  2377,  2402,  2533,
    2642,  2565,     0,  2566,     0,     0,  2530,     0,  2540,  2543,
    2541,  2544,     0,  1563,  2721,  2616,  2721,  1563,   988,   990,
       0,   989,     0,   992,     0,  1001,     0,     0,   987,  1006,
       0,   995,   993,     0,     0,     0,     0,     0,     0,   791,
       0,     0,     0,     0,     0,     0,  2185,   245,  1261,     0,
       0,     0,     0,   933,   932,     0,     0,   953,     0,     0,
       0,  1274,   453,     0,   322,     0,     0,     0,     0,     0,
       0,     0,     0,   696,   693,     0,     0,   692,     0,   568,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   604,     0,
    1130,     0,   637,     0,  1022,     0,  1021,     0,     0,     0,
    1023,  1018,  1019,  2158,  2166,  2190,   247,  1039,     0,  1038,
    1036,   976,     0,   977,     0,     0,     0,     0,  2041,   277,
     290,     0,  1129,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   311,     0,   314,   313,     0,     0,
       0,     0,     0,   318,     0,     0,     0,   317,     0,     0,
       0,     0,  1130,     0,   273,     0,     0,     0,     0,     0,
       0,  1052,     0,   166,     0,   162,   165,     0,     0,     0,
       0,   521,   533,     0,   525,   526,   523,   527,   528,     0,
       0,     0,     0,     0,     0,   520,     0,     0,   627,   626,
     632,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1083,  1082,     0,     0,     0,     0,     0,     0,
     735,     0,     0,     0,     0,     0,     0,     0,   640,   641,
       0,   642,     0,   167,     0,     0,     0,     0,     0,     0,
       0,   223,  1221,  1227,  1291,  1942,  1290,     0,     0,     0,
     827,     0,     0,     0,     0,     0,     0,     0,   829,   830,
     831,   832,     0,     0,     0,     0,     0,   359,   360,   141,
     358,     0,   724,  2676,   699,     0,  1563,     0,  1559,  1555,
    1624,  1623,  1622,     0,  1569,  1578,  1575,   712,     0,   714,
     717,     0,  1240,   426,     0,     0,   561,   604,     0,   411,
     173,     0,     0,     0,     0,   139,   184,   186,   409,     0,
     185,   187,   189,   190,   191,   188,   192,   624,   628,     0,
     557,     0,     0,     0,     0,     0,   650,   654,   653,   657,
     655,     0,   651,     0,     0,  1551,     0,   161,     0,   514,
     517,     0,  2374,     0,   411,   495,   336,     0,   464,     0,
       0,   950,     0,     0,     0,     0,     0,  2394,     0,     0,
       0,     0,  1388,     0,  1043,     0,  1268,  2062,   325,     0,
    1041,   178,  1964,     0,   768,     0,     0,     0,     0,     0,
    1045,   764,   170,     0,   325,   325,   560,     0,   325,   172,
       0,     0,     0,   552,   325,   788,  2748,  2754,  2752,  1347,
       0,  2831,  2832,   464,  1392,  1319,  1330,   874,   881,   863,
     880,   879,   861,   878,   875,  2532,     0,     0,  2723,     0,
     892,     0,   463,     0,     0,     0,   906,   907,     0,     0,
     905,   922,   908,     0,   910,   902,   901,   911,   912,     0,
       0,   931,     0,  1370,     0,  1368,     0,  1532,  1372,  1361,
    1339,     0,  1337,  1342,  1344,  1343,  1341,     0,   508,     0,
       0,   889,     0,     0,   325,  1213,     0,   842,   843,   849,
       0,     0,     0,     0,     0,   850,   846,   847,   848,   851,
     852,   853,     0,     0,     0,  1868,     0,  1869,     0,     0,
       0,  1904,  1900,     0,     0,     0,     0,     0,     0,  1876,
    1877,  1878,  1875,  1879,  1874,     0,     0,  1880,  1873,     0,
       0,     0,     0,     0,  1608,  1607,     0,     0,     0,     0,
       0,     0,     0,  1697,  1730,     0,     0,  1832,     0,  1858,
    1890,     0,     0,  1619,     0,     0,     0,     0,     0,     0,
       0,  1858,  1896,     0,     0,     0,     0,  1794,     0,  1791,
       0,     0,     0,     0,  1915,     0,     0,     0,     0,  1954,
    1639,  1656,  1928,     0,  1917,     0,     0,  1640,  1663,     0,
    1897,  1690,     0,  1695,  1678,     0,  1671,     0,  1676,  1680,
    1659,  1918,  1857,     0,  1855,     0,     0,  1657,     0,  1652,
    1650,  1651,  1644,  1645,  1646,  1647,  1648,  1649,  1653,  1836,
    1834,  1835,     0,     0,     0,  1815,     0,     0,  1675,  2056,
    2089,     0,  1435,  1435,  1435,  1422,  1433,     0,  1546,  1927,
       0,     0,     0,     0,  1731,     0,  1862,  1444,  1860,  1944,
    2730,  2729,  1916,     0,     0,     0,  1933,     0,     0,  1635,
       0,   251,  1530,  1911,     0,   794,   795,   793,  1563,  1315,
    1299,  1295,  1294,  1922,  1314,     0,  1421,     0,   964,   965,
       0,   969,     0,     0,  1464,  1486,     0,  1477,     0,  1468,
    1469,  1460,  1487,  1482,  1406,  1405,     0,  1549,     0,     0,
    1357,  1350,  1535,     0,  1492,  1375,  1377,  1378,     0,  1915,
    2446,  2504,  2451,  2472,  2442,  2475,  1637,  2424,  2464,     0,
    2398,  2568,  2569,     0,  2559,  2560,  2529,  2535,  2606,     0,
    2722,     0,     0,   991,     0,  1578,  1002,     0,   986,     0,
     985,  1578,     0,  1003,     0,  1578,     0,     0,     0,  1158,
    1085,  1134,   792,  1159,  1086,  1135,  1160,  1087,  1262,     0,
    1264,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   675,  2062,   325,  1272,  1161,
       0,  1088,   321,  1273,  1136,  1277,   695,   694,     0,     0,
    1137,     0,   569,     0,     0,   574,   575,   576,     0,     0,
       0,   577,     0,  2000,  2048,     0,   582,   589,   594,   584,
       0,   595,   590,     0,     0,     0,     0,     0,     0,   601,
     603,     0,     0,     0,     0,     0,     0,  1016,  1017,  1162,
    1091,     0,  1138,   975,     0,  1092,   174,     0,   268,   278,
     610,   675,  1132,   297,   310,   305,   306,   304,  2062,   325,
    2062,   325,     0,     0,     0,     0,   307,   302,   303,   299,
     312,  1977,  2033,  2167,     0,   614,   616,     0,   621,   315,
    1106,   332,   331,   330,     0,   319,     0,   337,   340,   316,
     295,   298,   296,   292,   276,     0,     0,     0,     0,     0,
       0,  1940,     0,     0,  1047,     0,     0,     0,   164,  1120,
       0,     0,   150,     0,     0,     0,     0,   144,   154,     0,
    1168,  1096,     0,     0,   270,   516,   524,   529,  1100,   532,
    1148,   530,  1174,  1097,  1130,     0,   266,     0,  1098,     0,
    1142,     0,     0,     0,     0,     0,     0,     0,  1170,  1122,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1280,
       0,     0,     0,     0,     0,   325,     0,     0,     0,  1132,
    2062,   325,  1169,     0,  1127,  1156,     0,   345,     0,  1121,
       0,     0,   272,  1102,  1150,     0,     0,   221,   220,   222,
       0,     0,     0,     0,     0,     0,     0,     0,   834,   803,
     833,     0,     0,     0,   797,   381,   354,   355,   357,   364,
     723,     0,     0,     0,  1560,  1556,     0,     0,     0,     0,
       0,     0,  1576,   713,     0,     0,     0,     0,  1260,  1260,
    1260,  1260,  1260,  1260,  1260,  1241,  1270,     0,   141,     0,
       0,     0,   563,   603,   610,     0,     0,     0,   410,   414,
     418,   419,   420,     0,     0,     0,     0,   155,   142,     0,
     753,     0,   464,     0,   186,   179,     0,     0,     0,   336,
     710,   708,   707,   709,     0,     0,     0,   728,   706,     0,
    1550,  1552,     0,     0,     0,     0,     0,   413,     0,   467,
       0,     0,   499,     0,     0,     0,   336,     0,     0,   980,
       0,   998,   981,     0,     0,     0,  1027,  1032,  1028,  1008,
       0,   540,  2392,  2386,  1393,  1394,     0,   325,     0,     0,
     605,   325,   325,     0,   325,     0,   325,   325,     0,  1196,
     631,     0,   683,     0,     0,   325,   766,  1859,     0,  2531,
    2719,   893,   466,     0,     0,     0,     0,   904,     0,   538,
     909,     0,   921,   916,   918,     0,   925,  1371,  1364,  1366,
    1365,     0,     0,  1362,  1865,   765,     0,   513,     0,     0,
     325,     0,   926,     0,   844,   845,     0,     0,   854,     0,
       0,  1440,  1866,  1867,     0,     0,     0,     0,  1901,     0,
       0,  1769,     0,  1745,  1747,  1577,  1759,     0,  1590,  1770,
    1771,  1749,  1751,     0,  1849,     0,     0,  1760,  1699,  1700,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1712,  1711,  1761,  1831,     0,     0,  1888,
    1889,  1762,  1620,  1621,  1621,     0,     0,  1895,     0,     0,
       0,  1767,  1772,     0,     0,     0,     0,  1778,     0,  1799,
       0,     0,     0,  1722,  1859,  1612,  1613,     0,     0,     0,
       0,     0,     0,     0,     0,  1696,  1679,  1673,     0,  1677,
    1681,     0,     0,     0,     0,  1665,  1691,  1661,     0,     0,
    1667,     0,  1692,     0,     0,     0,  1738,  1435,  1435,  1435,
    1435,  1432,     0,     0,     0,     0,  2155,     0,  1513,  1491,
    1493,  1500,  1513,  1518,  1740,  1544,  1741,     0,  1934,     0,
    1473,  1444,  1444,  1444,  1737,     0,     0,     0,  1443,  2581,
    2583,  2584,  2585,  2586,  2587,  2589,  2590,  2592,  2593,  2594,
    2582,  2588,  2591,  2595,  2572,  2573,     0,  2563,  2564,   197,
       0,   230,   217,     0,  2606,  1297,  1937,     0,  1447,     0,
    1850,   969,   967,   968,  1449,     0,     0,  1484,  1457,  1359,
       0,  1357,  1352,     0,  1353,  1915,     0,  1349,  1382,     0,
       0,  1549,     0,  1381,     0,  2506,  2434,     0,     0,  2605,
    2608,  2619,  2617,  2444,     0,  1578,   983,   984,     0,  1007,
       0,  1157,  1084,  1133,  1260,   936,   937,     0,   935,     0,
       0,     0,   452,   952,     0,     0,     0,   675,     0,     0,
     456,     0,  1275,     0,  1175,  1119,   571,   572,     0,   583,
       0,   592,   591,     0,     0,   579,     0,     0,     0,     0,
     578,   597,   544,   598,   600,     0,     0,   599,   602,   607,
    1130,     0,   638,  1108,     0,  1154,  1010,     0,   978,     0,
       0,   426,   291,     0,     0,     0,   279,   289,     0,     0,
     294,     0,   287,   308,   300,   309,   301,   618,   619,   617,
     613,     0,   620,   622,     0,   334,     0,     0,     0,  1164,
    1130,     0,   274,  1104,     0,  1152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1165,  1139,     0,
       0,   147,   146,     0,   153,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1373,     0,  1373,     0,     0,
       0,  1373,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   346,   327,     0,   731,
       0,     0,     0,   348,     0,     0,     0,     0,  1163,  1093,
     798,     0,     0,   799,   807,     0,     0,   800,     0,     0,
     809,     0,     0,   353,   361,   725,     0,  2111,  1839,  1840,
     721,   726,   718,   720,   719,   722,   675,     0,     0,     0,
    1561,     0,  2820,  2828,  2827,     0,  1635,   715,   716,     0,
    1260,  1259,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   438,     0,     0,   432,     0,     0,  1032,
     425,   428,   429,     0,     0,   564,   567,   565,   566,   596,
       0,   445,     0,     0,   157,     0,     0,   158,   156,     0,
       0,   336,     0,   182,   409,     0,     0,   556,   656,   659,
     652,     0,   727,   729,   704,     0,   610,     0,     0,  1348,
     508,     0,   495,   491,   493,   492,   494,     0,   501,   335,
       0,   508,   501,     0,   953,   979,     0,     0,     0,  1025,
    1029,  1026,     0,     0,   994,     0,  1009,   972,  1191,  1192,
    1189,  1190,     0,     0,  2409,  1384,  2418,  1044,     0,   325,
    1042,   769,     0,   760,     0,   762,  1046,   325,   325,   643,
       0,   553,     0,     0,     0,     0,   903,   923,     0,   919,
       0,     0,   886,   928,  1369,  1367,   506,     0,   931,     0,
     887,   930,     0,     0,     0,     0,     0,  1870,  1596,     0,
    1903,  1899,     0,  1742,  1871,     0,  1883,  1882,  1698,  1884,
       0,  1717,     0,     0,  1709,  1707,  1708,  1701,  1702,  1703,
    1704,  1705,  1706,  1710,  1893,  1892,  1886,  1887,  1616,  1614,
       0,  1764,  1765,  1766,  1894,  1773,     0,  1991,  1800,  1777,
    1793,  1792,     0,     0,     0,  1780,     0,     0,  1789,     0,
    1833,  1602,  1635,  1641,     0,     0,  1664,  1898,  1682,     0,
       0,     0,  1660,     0,     0,     0,     0,  1669,  1849,     0,
       0,     0,     0,  1818,  1813,  1814,     0,     0,     0,     0,
    1426,  1425,  1431,  1513,  1518,     0,  1408,     0,  1500,     0,
    1512,  1498,  1511,     0,     0,  1524,  1522,     0,  1524,     0,
    1524,     0,  1495,     0,  1514,  1496,  1511,  1543,  1536,     0,
    1935,  1545,     0,  1475,     0,     0,     0,     0,  1863,     0,
    1861,  1732,     0,     0,     0,  1912,  2604,  1419,     0,  1448,
    1465,  1458,     0,  1547,  1358,     0,     0,  1355,     0,     0,
       0,  1376,  1357,  1379,  2450,     0,  2505,  2570,  2571,  1004,
       0,     0,   996,     0,   942,   943,   941,   944,     0,     0,
       0,   675,     0,     0,   472,     0,   960,   960,     0,     0,
     458,   504,  1032,   678,     0,     0,     0,   676,   325,  1089,
       0,   593,     0,     0,   588,   586,   585,   587,   545,  1173,
    1090,     0,     0,     0,     0,  1011,  1107,     0,   423,     0,
     284,  1131,     0,     0,     0,   283,     0,   325,   325,   615,
     333,   338,   339,   342,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   754,   737,     0,     0,   755,   756,
       0,     0,     0,  1049,  1050,  1048,   151,   148,   149,   152,
    1117,  1101,  1149,  1099,     0,  1143,  1114,  1110,     0,  1074,
       0,  1076,     0,  1373,     0,  1075,     0,     0,     0,     0,
       0,  1172,  1126,  1147,  1171,  1124,  1145,  1123,  1144,  1125,
    1146,  1118,     0,  1554,   734,     0,     0,     0,   325,   325,
     645,  1103,  1151,     0,   801,     0,     0,   802,   804,   384,
       0,   387,   394,   365,   370,  1279,     0,  1279,     0,   367,
     371,  1279,   366,  1279,   363,   697,     0,     0,     0,  1557,
       0,  2502,     0,     0,     0,     0,     0,  1562,  1570,   674,
       0,  1251,  1250,  1249,  1253,  1252,  1255,  1254,  1246,  1245,
    1258,  1257,  1244,  1243,  1248,  1247,     0,   430,     0,   436,
     440,   441,   439,   431,  1032,   464,   503,     0,     0,   687,
       0,   562,   411,   442,     0,   415,   160,   159,     0,     0,
       0,   186,     0,     0,   661,   665,   705,     0,  1553,   639,
     336,     0,   411,   508,  2375,     0,   416,   421,   422,     0,
     499,     0,   495,     0,     0,   505,  1238,   509,   510,     0,
       0,   982,   999,  1000,     0,     0,  1032,  1031,     0,   547,
       0,  2382,   325,   606,   325,   325,  1197,   684,     0,   915,
     914,   913,   539,     0,   917,   507,   325,     0,     0,     0,
       0,     0,   856,   835,   855,  1902,  1758,  1768,  1881,     0,
       0,  1718,     0,     0,  1763,  2258,     0,     0,     0,     0,
    1797,  1798,  1779,     0,  2102,  1784,     0,     0,     0,  1955,
    1688,  1686,  1683,     0,  1684,     0,     0,  1666,  1662,     0,
    1668,  1693,  1804,     0,  1820,  1817,  1430,  1429,  1428,  1427,
    1499,  1497,     0,  1502,  1509,     0,  1494,     0,  1523,  1519,
       0,  1520,     0,     0,  1521,     0,     0,  1509,     0,  1444,
       0,     0,  1809,  1735,  1736,  1733,  1444,  1952,  2574,     0,
    2577,  2575,  2576,  2580,  1635,     0,     0,  1351,  1354,  1356,
       0,  1383,  1374,  2507,   997,  1005,  1266,     0,     0,     0,
     454,     0,  1032,     0,     0,     0,   963,   963,     0,  1032,
     503,   680,   679,   682,   677,   681,  1276,     0,   580,   581,
    1109,     0,  1155,  1115,     0,   611,   280,   281,   282,   285,
     327,   293,   286,     0,  1105,     0,  1153,  1112,  1166,  1094,
    1140,     0,     0,   743,     0,     0,     0,     0,  1167,  1095,
    1141,     0,     0,     0,     0,  1077,     0,     0,     0,     0,
    1285,     0,   326,   733,   732,   327,   347,  1128,     0,   805,
     806,   385,   141,     0,   362,     0,   392,     0,   390,   389,
     391,     0,   378,     0,     0,     0,     0,     0,     0,  1558,
       0,  1063,  1063,  2821,     0,  2822,  2823,  2824,  2825,  2826,
       0,   675,  1256,     0,     0,   427,   503,   471,     0,   433,
       0,     0,     0,     0,     0,     0,     0,   610,     0,     0,
       0,   181,   411,   610,   660,     0,     0,     0,   730,     0,
     413,     0,  1346,   412,     0,     0,   501,     0,   499,     0,
     496,     0,   500,     0,  1231,     0,     0,  1030,     0,  1034,
       0,   993,   970,  1546,     0,   551,  2408,  2412,  1064,   761,
     763,   644,   920,   927,   325,   836,   837,   838,   839,  1713,
       0,     0,     0,     0,  1774,     0,  1775,  1802,  1801,  1781,
    1785,     0,  1782,  1783,  1685,  1689,  1687,  1670,  1806,     0,
    1444,  1539,     0,  1542,  1501,     0,     0,  1503,     0,     0,
    1505,  1507,     0,     0,     0,     0,     0,  1938,     0,  1472,
    1474,     0,  1409,     0,  2579,  2578,   231,  1851,  1548,  1380,
     921,     0,   325,   960,   503,   473,  2111,   474,   959,     0,
     961,   966,   966,     0,   503,   675,   573,     0,   609,     0,
     329,   341,     0,     0,     0,   750,   738,     0,     0,   757,
    1111,  1373,  1373,     0,  1373,     0,     0,     0,     0,     0,
     325,   808,   364,     0,   388,   397,     0,   395,   368,   373,
       0,   377,   375,   374,   369,   372,  1063,     0,  1060,  1059,
    2829,   673,     0,   462,   434,     0,   482,     0,     0,   688,
       0,     0,     0,   451,   450,   447,   446,   448,   449,   444,
     443,   635,   747,   336,  1238,   623,   662,   663,   658,     0,
       0,     0,   495,   491,   417,   426,   400,     0,   501,   497,
     498,     0,     0,     0,  1287,     0,   954,  1033,     0,     0,
       0,   546,     0,     0,   550,   541,     0,  2410,   888,  1714,
       0,  1715,     0,     0,     0,  1787,  1786,     0,  1823,  1544,
       0,     0,  1538,     0,  1510,  1526,     0,  1506,  1504,  1515,
       0,  1517,  1732,  1808,  1810,     0,  1734,   938,     0,   939,
     963,   477,     0,   962,   969,   969,   464,   675,   455,  1116,
     612,     0,   288,  1113,     0,   741,     0,   752,   750,     0,
       0,  1078,  1080,  1373,  1079,  1281,     0,  1282,  1283,  1286,
     349,   352,   383,   393,     0,   376,  1058,  1062,  1061,     0,
       0,   435,   468,   469,   470,     0,   437,   478,   479,     0,
     685,     0,   690,     0,     0,     0,     0,     0,  1232,     0,
       0,  1238,   499,   495,   424,   490,   398,     0,  1235,     0,
     336,     0,  1032,  1035,  1195,   549,   548,  2413,  2415,  2414,
       0,  1716,  1790,  1776,  1803,  1788,  1819,     0,     0,     0,
    1537,  1540,     0,  1508,     0,  1516,     0,     0,     0,   966,
       0,   675,     0,   957,   956,   471,   457,   328,     0,     0,
     748,   751,   739,   752,   759,   758,  1081,     0,   396,     0,
     461,     0,     0,     0,   480,     0,   481,   502,     0,   689,
       0,   610,   746,     0,     0,   664,     0,  1233,   501,   499,
    1236,  1237,   501,   955,   971,  1194,  1193,  1421,  2411,  2223,
       0,  2196,     0,  1821,  1824,  1822,  1816,     0,  1525,  1811,
    1812,   325,   969,     0,   459,   475,   482,     0,     0,   740,
    1284,   665,   487,     0,   486,     0,   484,   483,   686,   691,
     636,   736,  1238,   668,   401,   501,  1546,  1177,  1421,  1176,
    1178,  1186,  1183,  1185,  1184,  1182,     0,  1828,  1827,  1826,
    1830,  1829,  1541,   940,   958,     0,   675,   742,   749,     0,
     485,   489,   488,  1234,     0,   666,   669,   672,   670,   671,
     399,   945,     0,  1187,  1181,  1408,  1395,     0,   476,   460,
       0,   646,     0,  1179,  1421,  1825,     0,   667,  1180,     0,
     668,     0,   647
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,     1,   247,   248,  1747,  2690,  2565,  3417,  3418,   249,
     250,  1820,   251,   252,   253,   254,   255,   256,   257,  1763,
     258,   259,  1317,  1973,  2700,   260,  2437,  1083,  1084,  1085,
    2293,  2294,  2632,  2295,  2282,  1598,  2075,  1782,  1749,  1783,
     262,   263,  1592,  2274,   264,   265,   266,  1808,  1809,  1757,
    2018,  4363,  4992,  3245,  2547,  3454,  3246,  3247,   267,  1869,
    1870,   268,   269,  3368,  1910,  2659,  3923,  3924,  4394,   885,
    2656,  4682,  4683,  4380,  4381,  4689,  4876,  4877,  2701,  1969,
    3448,  4012,  3408,  4465,  3409,  4466,  3410,  4467,  3396,  3970,
    3971,  3972,  3411,  4443,  4909,  3412,  2452,  5021,  2735,  2105,
    2103,  4896,  4253,  4254,  5081,  5026,  5027,  5028,  5156,  4472,
    3452,  4018,  4475,  4719,  3145,  1993,  3527,   985,  2737,   916,
     986,  2702,   274,  2729,  1840,  1841,  2573,  3930,  3510,   275,
    1336,  3791,  4765,  4944,  4945,   276,   873,   277,  1977,   278,
     279,  2686,  3402,   280,  2469,  3162,   281,   282,  3189,  3190,
    3191,   283,   284,  3811,  4634,  1810,  3234,  3235,  3236,  3237,
    3832,   285,  1975,  1846,  2709,   286,   287,   288,   289,   290,
    2620,   291,   292,  2703,  1985,  2721,  2722,  4455,  4735,  4918,
    4737,  5194,  5195,  4711,  3770,  4267,   294,   295,  4438,  4439,
    5033,   296,  2467,   297,   298,   299,  1953,  2678,  2679,  3931,
    1912,  2661,  2662,  4001,  4002,   300,  3328,   301,  4314,  4315,
     917,  5036,  4997,  5092,   302,   303,  4318,  4319,   304,   305,
     306,   307,   308,   973,  1389,  1390,  1739,   309,  2310,   310,
    1290,  3359,   311,  1478,  2873,  4513,   312,  1009,  1414,  1415,
    2704,   314,  1020,  2851,  1022,  2118,  3512,  3513,  4072,  2820,
    1209,   315,   316,  2831,  2854,   317,  1750,  2443,  2444,  4248,
    2705,   918,  1999,  2740,  3140,  4935,  4255,  4616,  4841,  3051,
    3714,   319,   919,  1787,  2512,  2743,  3460,  2415,  2416,  2417,
    4033,  2418,  3462,  2419,  1733,  2420,  3467,  3468,  3469,  4029,
    4037,  4759,  4760,   320,  1785,  2510,   321,   322,   323,  1817,
    1228,   324,   941,   942,   325,  4888,   326,  1355,   327,  1041,
    2135,   328,   329,  2524,  3818,   330,   331,   332,  5169,  5202,
    5203,  5204,  4042,  5127,   333,  5171,  1456,   335,   336,   337,
     876,  1256,  1257,  1258,  2706,  4754,   339,   340,  2682,  3395,
    3952,   341,   342,  2438,  3130,   343,   344,   345,   346,  1957,
     347,   348,   349,   350,  1889,   351,  1629,  1630,   352,   353,
     880,  1103,  1633,  1641,   354,   988,  1408,  1409,  1410,  2077,
     355,  1460,  2842,   989,  1403,   990,  3070,  3723,  3724,  3727,
     991,  3067,   359,  2124,  2836,  2839,   992,  3074,  3075,  3076,
    3077,  3078,  3729,   993,  1011,  1346,  2751,   994,  1549,   364,
     365,   366,  1112,  1107,  1108,   368,  2251,  3005,  1028,  1647,
    1068,  1119,  3678,  2324,  2325,  2347,  2348,  1656,  1657,  2337,
    2339,  3053,  2340,  3061,  2330,  4203,  4582,  2343,  2344,  1659,
    1660,  1661,  2352,   369,  3008,  3659,  3660,  3661,  4180,  4181,
    4195,  4191,  4569,  4810,  3662,  1450,  1667,  3663,  4801,  4802,
    4962,  4198,  3670,  3721,  3439,  3440,  3441,  2421,  2669,  1935,
    1550,  1936,  2676,  1551,  2170,  1938,  1552,  1553,  1554,  1941,
    1555,  1556,  1557,  1558,  2153,  2213,  1559,  1560,  2189,  1151,
    1152,  2062,  2912,  1562,  1563,  1564,  3665,  1565,  4138,  4537,
    4526,  2938,  2939,  2290,  4134,  3605,  2247,  2995,  4822,  4973,
    4974,  3646,  4164,  4554,  4800,  5069,  5133,  5134,  1566,  2992,
    2242,  1230,  1567,  3933,  2244,  2932,  3017,  3018,  2130,  2151,
    2878,  2895,  2896,  2909,  3566,  2916,  2921,  3589,  3590,  2933,
    2961,  1568,  2881,  2882,  3549,  2155,  1569,  1622,  1623,  2260,
    2956,  1636,  1637,  1105,  1570,  1571,  1572,  2119,  1094,  4806,
     726,   709,  3260,  2305,  1260,  1025,  1573,  1574,  1575,  1364,
    1365,  1688,   671,   710,   711,  1189,   823,     2,    75,   995,
    3446,   373,   374,   921,   922,   923,  1338,  1339,  2004,  2007,
    1693,  2387,   675,   676,   727,  4491,  4766,  4947,   979,   375,
     376,   377,   378,  1689,  2383,  1153,    76,    84,    77,  1154,
     415,   416,  2365,   379,   840,   380,  1670,  1133,  3735,   381,
     382,   383,   384,   385,   976,   386,  1135,   387,  1136,   388,
     389,   390,   391,  1143,   392,  1672,  1673,  4236,  1674,   393,
     394,   713,   714,  1401,   395,   396,  1170,  1171,  1433,  1434,
    1699,  1714,  1715,  1716,   397,   683,   398,   399,   400,  1705,
    1706,   401,  2267,  2268,  2392,  2269,   402,  3091,  3092,   403,
    3694,  3695,  4591,  3696,   404,  2263,   405,   406,  1097,  3740,
     407,   836,   408,  1184,   715,   716,   717,  1191,   826,  1054,
     728,  1193,  3238,   828,   829,   719,   720,   721,  2097,    78,
    3099,  2098,  1577,   729,  1578,  2258,  1579,  1580,  1581,  1582,
    1583,  1722,   723,  1160,  1393,  1394,  3100,  1396,    82,  1397,
     412,  3945,  2065,  1435,  2083,  2084
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -4780
static const int yypact[] =
{
   -4780,   377, 11773, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, 25473, -4780,
   -4780, -4780, -4780, -4780,100380,   375, -4780, -4780, -4780,105321,
   -4780, -4780, -4780,   861, 68040, -4780, 70980,   963, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, 74410, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, 56757,  1264, -4780,
     470, -4780, -4780, -4780, -4780, -4780, -4780, -4780,   779, 13418,
   -4780, -4780, 71470, -4780,   297, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, 71960,   620, -4780, -4780,   854,   903, -4780,   101,
   10516, -4780, -4780, 64610, 69020, -4780, -4780, 74900,   737,  2394,
   13795,   779, 26216, 75390, -4780,  2313, -4780, 53280, -4780, -4780,
   -4780, 68530, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, 82250,  2445,   766, 53780, -4780, -4780,
   -4780, -4780, 82250, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, 75880, -4780,  1216,  1326,   809, 82740, 83230, 66080,
   -4780,  1168, -4780, 82250,  1407,  1433, 55775, -4780, 83720, -4780,
   -4780,  1343, -4780, 76370, -4780, -4780, -4780, -4780,   766, -4780,
   56757, 52296,    30,  1312, -4780, -4780, 84210, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780,  1798,  1316, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780,   620, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780,   694, -4780,   725,   727,  1578,   627,  1351,
   -4780, -4780, -4780, 24932, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780,101841,   322, -4780, -4780, -4780,  1454, -4780,  1496, -4780,
   -4780, -4780,  1955, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
     743, -4780, -4780, -4780, -4780,  2002,100867, 74410, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, 64120, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780,   198, -4780, -4780, -4780,
   -4780, -4780, 74410, 74410, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   74410,  1591, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780,   274,  1807, -4780, -4780, 56757,  2639,  2639,  2074,
  101841, -4780, -4780, -4780, 58230, 82250, 82250, 82250,  1796, 82250,
    1659, 82250,   355, 58230,109122, 84700,  1787,  1708, 47783, -4780,
  108278, 82250, 82250, 85190, 82250,  1817, 76860, 82250,  1919, 82250,
   82250,109544, 85680,  1934, -4780,  2286,  1308, -4780, -4780, -4780,
   82250, 13126,  2445, -4780, -4780, 82250,  1916, 58230, 82250,  1851,
   82250,  1946, 82250, -4780, 82250,  1949, 86170,   362,  1701,109122,
    2070, 48287,  1994,109122, 86660, 82250, 82250, -4780, -4780,  1999,
   82250, 82250, -4780,  2100,109966,  1411,  2109,  2291,  2222,   795,
   -4780, -4780,  2377,  1959, -4780, -4780,  2432, 74410, -4780, 72450,
   -4780, -4780, -4780,  2178, -4780, -4780, -4780, -4780, -4780, -4780,
  106590,  2394, -4780, -4780, 58721, 82250,  2272, -4780, -4780, 87150,
   -4780,  2089, -4780,   570, 59212,110388,  2391,  2075, 48791,  2429,
  110810, 87640, -4780, -4780, 88130, -4780, 88620,  2167, 89110, -4780,
  111232, -4780,  2296, 89600, -4780,  9306, -4780,  2059,  2304,  2073,
    1288, 74410, 74410,   797,103178, -4780, -4780,   620, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780,   233,  1913, 54280,   741,
   54780, -4780, -4780,   791,   954,   984,   233,  2523,  2523,    44,
   74410, -4780, -4780,  1913, -4780,   805,   -80,  2076,  2076,  2076,
    2302,  1091, -4780,  2076, -4780, -4780, -4780, -4780, 76370, 54280,
   54780, -4780,  2118,  2445,    43,  2515,  2180, 82250, -4780, 82250,
   -4780, 82250, 82250, -4780, -4780, -4780,  2539,  2162,  2389, -4780,
    2157, -4780, -4780, -4780, -4780, -4780, -4780, -4780,  2355,  2359,
    2339,    61,  2445,  2269, -4780,  2471, -4780,  2386, 31723,   -82,
   74410,  2445, 55280, 77350, 97440,   290,106590,  2445, 90090,  2213,
    1412,  2396, -4780, -4780, -4780,   569, -4780,  2615,  2226,  2464,
      19,  1308, 45299, -4780,  2238,   758, 76370,102328, -4780, -4780,
   -4780, -4780,   133,  2519, 32232, -4780, 82250,  2239, -4780,  2254,
    2256,  2275,  1578, -4780, 82250,  1539,  1539,  2648,  1539,  1658,
    2044, -4780,  2534, -4780,  2567,  2529, 76370,  1312,   779,  2284,
   -4780, -4780, -4780,  2300, -4780,  2295,  2315, -4780,   413,  2577,
   -4780, -4780, -4780, -4780,  2399,  2408,  2419,  2420,  2338,  2427,
     299, -4780, -4780, -4780, -4780,  2649, -4780, -4780, -4780, -4780,
   -4780, -4780,  2754,  2743,105746,105746,   624,   654,   149,   251,
   -4780, -4780, -4780,  2611, -4780, -4780,  2626, 82250,  2465, 82250,
   -4780, -4780, -4780, 90580, -4780, -4780,  2639,  2300,  2405, -4780,
     280, -4780,   758, -4780,   330,   381,   410,  1662,  2409,  1746,
    1823, -4780,   230, 82250,  2541,   154,   794,  2430, 77840,  3858,
    2435,   824,  2737,  4641,   299, 91070, -4780, 82250, 82250, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,  2439, -4780,
   -4780,  2440,  2712,  1604,  2646,  1622,  2756,  4489,  1592, 97930,
    2766,  5795,  2086,   818,  2658,  1084,  2721,  1627,  2774,  5994,
   82250,  2473, -4780,  2715,  2816,    13, -4780,   604, -4780,  2533,
    2680,   988, 58230,  2511, -4780, -4780, 82250, -4780, -4780, -4780,
    2598, -4780,   612, 58230, -4780,  2708,  2573, 49295, -4780, 82250,
   -4780, -4780, -4780, -4780, -4780,  2654, 82250, -4780, -4780,  2772,
   82250, -4780,  2076,  2703,  2583,  2935, 61667,    78, 82250,  2607,
    2982, 82250,  2784,  2607,  2619, 91560, -4780, -4780,  2607, -4780,
   -4780, 82250, 82250,  2603,  2027,  2607,  2797,  3006,  3013,  2688,
    2795,  1001,  1520,   117,  2917,  2607,  2672, 82250, 92050, 82250,
    2683, 82250,  2998, 58230, 82250, -4780,  2796, 78330, -4780,  2642,
    2377, -4780, -4780, -4780, -4780, -4780,  1404, -4780, -4780, -4780,
   -4780,  2949,  2405,   314,  2956,  2659,  2963, -4780, -4780,  2747,
   -4780,  2964,  2435,  2968, -4780,  2675, 92540, -4780, 93030, 93520,
    2987,  2439,109122,  2988,  2675,  2993,  2910,  3039,   314,  3054,
   -4780,  1147,  3063,  2947,  3064,  1924,  2675,107012,  3065,   131,
   -4780, 14431,  9306, -4780, 27670,  1730, -4780, -4780, -4780, -4780,
   -4780, -4780, 35795,   996,  2852, -4780, -4780, -4780,  2067, -4780,
  104465, -4780,   797,  1913, -4780, 74410,  1913, 74410,    44,  1913,
   74410,  1913, 74410,    44,  1913, 74410, 74410, 74410,  1913, -4780,
   -4780,  1702,  1930, -4780, -4780, -4780, -4780, -4780, 74410,  2769,
   82250, 82250, -4780, -4780, -4780, 69510,109122, 70000, -4780, -4780,
     205, 74410, -4780, 74410, -4780,  2445, -4780, -4780,  2304, 61667,
    3175,109122,  2998,  3060,  3060,  3060, -4780, -4780, -4780,  3002,
   82250,  3066,  3067, 69510,109122, -4780, 94010,106590,  2962,  2779,
   -4780, -4780, -4780, -4780,  2113,  2936,   370,  2992, 35795,  2780,
     168,   168,  2781,  3072, -4780, -4780, -4780,   449,  2785,  2786,
   -4780,   490,   490,  2946,  2787,  2789, -4780,   503,  2792, -4780,
    3049,   521,  2793,  2799,  2800,  2277,   168, 35795, -4780,  2801,
     490,  2806,  2807,  2808,  3062,  2810, -4780,  3088,  2812,   204,
     348,  2815,  2817, -4780,  2787, -4780,   359,  2821,  2822,  2823,
    2824,  2825,  2826,  2828,  2829, 35795, 35795, -4780, 30705,   758,
    2445, -4780, -4780, -4780, -4780, -4780, -4780, -4780,   103, -4780,
     531,  5116, -4780,  2832, -4780, -4780,  2969, 35795, -4780, -4780,
    3047,  2813, -4780,   542, -4780, -4780,   758, -4780, -4780,   337,
   -4780, -4780, -4780, -4780,  1972,  1972,   208, -4780, 71470, 71470,
   -4780, -4780,  1508,  2834, -4780,  1811, -4780, -4780, -4780, -4780,
   -4780, -4780,106168,  3214, -4780,  2259,  2445,   604,   219,  3181,
  103603,104034,  3080,  3080,  3071, -4780, -4780, 82250, -4780, -4780,
   35795, 51312, -4780,   758,    86,  3081, -4780, -4780, -4780,  2121,
   -4780, -4780, -4780,   620, -4780, 12994, -4780,  2139,  2239, 82250,
   82250,  3244, -4780, -4780,  2254, -4780, -4780,  1578,  1578, 35795,
    1578,  1008,  1544, 32741, 35795,  3129,  3033,  1561,  1314,  3136,
   -4780,  3038,  1658,  2044, 76370, 82250, 94500,  2959, -4780, -4780,
    2300,  2857,  1925, -4780, 63630,101354,101354,  3100, -4780, -4780,
     930,   577,  2971,  3068,  2523,  1180,  1318, -4780, -4780,  2850,
   -4780,  3188, 71470,  2916,105746, -4780, -4780, 82250, -4780, -4780,
   78820, -4780, -4780, -4780,  2287,  2858, -4780,  2875, 82250,  3362,
   -4780,  1318,  1318, -4780, -4780,  2861, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780,101841,  2865, 82250, -4780,  2866,  2867,
   -4780,102328, 51804,  1784,   758,  2948,  2965,  2994, 56757,  2873,
    2966,  2967,  3001,  2970,  2972, 98420, -4780, -4780, -4780, -4780,
    1446,   925,  1122,  2973,   234,   874,  3240, -4780,  1710,  3004,
   -4780, -4780, -4780,  4203, 82250,  3186,  6046,  3077,   299,  3012,
   -4780, -4780,  3131,  2976,  2979,  3098,   299,  1048, 98910, -4780,
   -4780, -4780, -4780, -4780, -4780,  4389, 29204, -4780,  2986,  2961,
   82250, 65100,   231,  3096,  1559,  1575,   486, 82250,  3176,  3110,
   82250,  2922,  3005,  3007,  3197,  2929,  2090,  3293,  2932, -4780,
   -4780,  3108,  3238,  6193,  2997,  3008, 60685,  1166, 49799,  3277,
    1749,  3029, -4780,  1749, 82250,  3032,  3035, 82250,   299, -4780,
    3347,   299,   299,  1395,  3350,  3042,   225,  1654,  2607,  2932,
    1506, -4780,  3043,  3044,  1782, -4780,  3143, -4780,  1114, 76370,
     613,  1795,  2932,   157,  3045,  3051,  2929,  2929, 82250, 82250,
   82250, 82250, 82250,   119,  3369,  3374,  3053,   134,  3103,  2975,
   -4780,107434,  3059, 97440, -4780, -4780, 82250,  3074,  2072,  2932,
    1670, -4780,  2038, -4780, -4780, -4780,  1308, -4780, 82250, -4780,
   82250,  2405, 61667,  3172, -4780,  3023, -4780,  2435,   299, -4780,
   82250, 82250,  2439,  1094,  1220,  3184, 82250,  3242,  3040, -4780,
     176, 51804, -4780,  2603,  3003, -4780,  3058, -4780,  3058,  3058,
    3017,  3017,  3018, -4780, -4780,  2277,  3058,  3017, -4780, 62649,
   -4780,  1794,  1849, -4780,  3410,  3413, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780,  1103, -4780,  2147, -4780, -4780,
   -4780, 82250, 56757, -4780,  3424, -4780, -4780, 61667,  3206,  3323,
   -4780, 82250,  3225,  3026, -4780,  3361,  3085, -4780, -4780,   -27,
   -4780,  3332,109122,  1455,  2445,  3078, 82250,  3252, 82250, 82250,
   82250, 82250, -4780, -4780,  3226,   675,   141, -4780,107434, -4780,
   82250,  1506,  3237,  3443,   763,  2076, 82250,  3328, -4780, 82250,
    3041,  3445,  3280, -4780, -4780,  3050,  2523, -4780,  2642, -4780,
    2196, -4780,  3165, -4780, 58230,   314, -4780, -4780, -4780, -4780,
   61667, 82250, 94990, 58230,   314,109122,109122,  3346,   131,  3352,
    3101,  3354,  3109, 49799,   314,   182,109122, 82250, 82250, 82250,
   -4780, 82250, -4780, -4780, -4780, -4780, 82250, 82250,109122,107434,
    3370,  3371,   314, 82250, 82250, -4780, -4780, 21065,  1801, -4780,
    9306, -4780, 12994,  2170,  3080, -4780,  1591, 82250,  1427,   797,
  107856, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, 74410,
   -4780, 74410,    44, -4780, -4780, 74410, -4780, 74410,    44, -4780,
   74410, -4780, -4780, -4780, 74410, 82250,  3570,  3073, -4780,   337,
   -4780, 82250,  2176, -4780, -4780,  2183,   907, 82250, 82250,   187,
   58230, 82250,  3266, 82250, 82250, 82250, 82250, 82250,  3154,  2834,
    1477, -4780,   310, 76370,  3275, -4780, -4780, -4780, -4780, -4780,
    2190,  1798,  1142, 82250, -4780, -4780, -4780, -4780, -4780, -4780,
   70000, 68530,  3365,   146, 82250, -4780, -4780,  3846, 35795, 31214,
   -4780, -4780, -4780,  3083, 12994,  3124, 35795, -4780, -4780, 35795,
    3086,  2523,  2523, 35795, -4780, -4780, -4780, -4780,  3349,  2523,
   -4780, 35795, 35795,  2523,  2523,  3058,  3058, -4780,  2458, 35795,
   -4780, 49799, 35795, 37322, 28694, 35795,  3166,  3106,  2523, -4780,
    2523, -4780, 35795, 30196, -4780, 35795,  3298, 38340, 35795,   219,
    3300, 35795,   219,  3519,  3519,  1312,  1380,  6224,  3092,   758,
   -4780,  3207,  2523, -4780,  2523,   254,   295, 61667, 35795, 56757,
    3178,   151, 82250, 35795,  3104,  1943, -4780, 35795,  1229, -4780,
    3105, 35795,  3173, 35795, 35795, 35795, 35795, 35795, 35795, 35795,
   35795, 35795, -4780, 39330,   305, -4780,  3376,  3394,   462,  1914,
   70490,  3391, -4780, 31723, 28184, -4780,   473, 74410, -4780, -4780,
     758, -4780, -4780, -4780, -4780, -4780,  2287,  3107, -4780,  3122,
   -4780, -4780, -4780, -4780, -4780, 82250,  3214, -4780, -4780,  3187,
   -4780, -4780, -4780, -4780,   550, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780,  3111, -4780, -4780, -4780, -4780,  3111, -4780,
   -4780,  3080,  3112,  2952, -4780, -4780, -4780, -4780,  3381,  3390,
     314,101841, 82250,   133, 72940, -4780, 32232, -4780,  2206, -4780,
    3121, -4780,  3372, -4780,  3119, -4780,  5106,  3372, -4780, -4780,
     206,  3235,  3367,  3314, -4780, -4780, -4780,  3128, 12994, -4780,
    2103, 12994,  2123, -4780, -4780, -4780, -4780, -4780, -4780,  1281,
   -4780, 82250,  3275,  3129,  1314,  3189,   920, 82250, -4780, 45794,
    1968, -4780,  2300, -4780, -4780, 26706, -4780, 27196, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780,  3132, -4780, -4780,
   -4780, -4780,   299,  3134,  3611, -4780,105746, -4780, -4780, -4780,
    3570, -4780,  2432, -4780,  2432,  3641, -4780, 74410, -4780, -4780,
   -4780, -4780,  1015, -4780,  9306, -4780,  9306, -4780,  3319, -4780,
    3531, -4780, 62649, -4780,  3144, -4780, 62158, 59703, -4780, -4780,
     807, -4780,   611,  3223,  3224,  3270,109122, 82250, 82250, -4780,
   56757,109122, 82250, 82250,109122, 82250, 82250, -4780,  3510,  1096,
   68530,  3272, 66570, -4780, -4780,  3151, 82250,  3208,  3395,  3396,
    -116, -4780, -4780, 95480, -4780,  3353,109122, 82250, 82250, 35795,
    3357, 82250, 82250, -4780,   169,  3229,  3232, -4780, 82250,  3236,
   58230,  3164, 82250, 82250, 82250,  3239,   680, 58230,  3211, 50303,
   82250, 82250, 82250, 82250,  3290, 82250, 82250,  3408,  1623, 76370,
     128,  2097,  2932,  3368, -4780,  1471, -4780,109122, 82250,  3358,
   -4780, -4780, -4780, 67060,  3572,  3278, -4780, -4780, 99400, -4780,
   -4780, -4780,  2236, -4780,109122,109122,  6315, 82250,   933, -4780,
   -4780, 61667, -4780, 82250, 82250, 82250, 82250, 73430, 95970, 96460,
    1619,  1674, 82250, 73920, -4780, 82250, -4780, -4780, 57248,109122,
   82250,   997, 56757, -4780, 82250,  3363,   783, -4780, 82250,  7553,
    3254, 82250,   186,  2151,  2932, 82250, 82250,  3179,  2240,  3256,
    3305, -4780, 82250, -4780,109122,  1036, -4780,  3324,109122, 82250,
    9146, -4780, -4780,   299, -4780, -4780, -4780, -4780, -4780, 82250,
   82250,   299, 82250,   299,  1605, -4780,109122, 82250, -4780, -4780,
   -4780,  6516, 82250, 82250, 82250, 82250,  1040,  1152,  3228,  1205,
  109122, 82250, -4780, -4780,  1190,  1742,   553,  1747,  3326, 82250,
    3453, 82250, 96950,109122, 82250, 82250, 82250,  1755, -4780, -4780,
    3301, -4780,109122,  1036,  6673, 82250, 82250,  3267,  3268,   112,
    3339, -4780, -4780, -4780, -4780, -4780, -4780,  3435,  3599, 82250,
   -4780,  3438,  3439,  3253,  3255,  3440,  2278, 82250, -4780, -4780,
   -4780, -4780, 82250,  3442,  2278,  3388,    93, -4780, -4780,  2607,
   -4780,  2245, -4780,  3215, -4780, 35795,  3609, 61667,  3212,  3216,
    3281, -4780,  3283,  2523, -4780,  2253, -4780, -4780,  2262, -4780,
    3231,   675,  1383, -4780, 56757, 82250,   543,   757,  3513, 65590,
    3491,  3502, 82250,  3258, 82250,  3491, 82250, -4780,  1474, 68530,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,  3503,
   -4780,  2445,  2603,  2603,  2603,  2603, -4780, -4780, -4780, -4780,
    3412,  1921, -4780,  3220,  2603, 82250,  3337,  3491,  3234, -4780,
    1506,  3526,  3528, 82250, 65590,  2336,  3264,  3634,  2076,  2445,
    3417, -4780, 29700,  4130,  3421,106590, 78330, -4780,  3243,  3508,
    3511,  3527, -4780,  2405, -4780,  3645, -4780,  3542,   314,  2435,
   -4780,  2675, -4780, 82250, -4780, 82250, 82250, 82250, 82250,  2439,
   -4780, -4780,  2675,  3428,   314,   314, -4780,  3429,   314,  2675,
    3359,  3533,106590, -4780,   131, -4780, -4780, -4780, -4780, -4780,
   35795, -4780, -4780,  2076,  2196, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, 74410,  2432, -4780,  2309,
   -4780, 82250, -4780,  3509,  3514,  3516,  3250,  3251,  3279, 82250,
    3257, -4780,  3250,   299,  3250,  2834,  2834,  3250,  3251,108700,
    3672,  3534,    74, -4780,   729,   939,  3468, -4780, -4780, -4780,
   -4780, 61667, -4780, -4780, -4780, -4780, -4780, 82250,  3294,   301,
    3448,  3260,108700,  3647,   314, -4780, 58230, -4780, -4780, -4780,
    3338,  3355, 58230,  3457,  3310, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780,  3506, 82250,  2333, -4780,  1830, -4780,  1855, 35795,
   35795,   222, -4780, 11275,  2381, 35795,  3269,  3271,  2400, -4780,
   -4780, -4780, -4780, -4780, -4780,  3274,  3555, -4780, -4780,  3282,
    2416,  2426,  3284,  3285, -4780, -4780,  5659,  3286, 11009,  3287,
   37322, 37322,  1293, -4780, -4780, 37322,  3289, -4780,  2467,  8059,
    3273,  3291,  3296, -4780,  3295,  3299, 11836, 33250, 35795, 33250,
   33250, 12242,  3273,  3302,  2483, 56757,  3441, 12392,  2488, -4780,
   35795, 56757,  5713, 35795, -4780, 35795, 82250,  3306,  3307, -4780,
   -4780,  2458, -4780,  3297, -4780, 37322, 37322, -4780,  5153, 30705,
   -4780, -4780,  3565, -4780, -4780,  1598, -4780,  3309, -4780, -4780,
    7402,   226, 35795,  3104, 35795,  3378, 49799,  3849, 35795,  5767,
    8621,  8621,   401,   401,   127,   127,   127,  2181,  1914, -4780,
   -4780, -4780,  3311,  3312,  3313,  3458,  2810, 35795, -4780,  2586,
    2590, 82250,  7646, 11113, 13821, -4780, -4780, 40843,  3333, -4780,
   35795, 35795, 35795,  3316, -4780,  3707, 12994,   534, -4780,  3718,
   -4780, -4780, -4780,  1183,  3641,  2287, -4780,  1308,  2523,   254,
  104465, -4780, -4780, -4780, 35795, -4780, -4780, -4780, -4780,  2254,
   -4780, -4780, -4780, -4780, -4780, 82250,  1798, 35795, -4780, -4780,
    1262,  2068, 35795,  2103, -4780, -4780,  3356, -4780, 35795, -4780,
   -4780, -4780,  2834, -4780, -4780, -4780, 40843,  3336,  3375, 44804,
    3450, -4780, -4780, 82250,   334, -4780, -4780, -4780,  3340, -4780,
   -4780, -4780,  1700, -4780, -4780, -4780, -4780, -4780, -4780,  3315,
   -4780,  3303, -4780,  3341, -4780, -4780, -4780, -4780,   173,  3329,
    3317,  3330,  1502, -4780, 59703,  2147, -4780, 62158, -4780, 62158,
   -4780,  2147,  3698, -4780, 59703,  2084,109122, 82250, 82250, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,  3550,
   -4780,109122,109122,  3518, 82250,  3517,  3521, 35795,   863, 82250,
    3342,  3344,  1113,  3594, 82250, -4780,  3637,   314, -4780, -4780,
    3414, -4780, 12994, -4780, -4780, -4780, -4780, -4780,109122, 82250,
   -4780,106590, -4780,  2405, 61667, -4780, -4780, -4780, 82250,  3373,
   82250, -4780, 82250, 82250, 82250,  2439, -4780, -4780, -4780, -4780,
    1278, -4780, -4780, 82250, 82250,   711,  3415,  3416, 82250, -4780,
     842,  3143,  6764, 82250, 82250, 82250,  3593, -4780, -4780, -4780,
   -4780,  3540, -4780, -4780, 59703, -4780,  2675,  3423,  2932, -4780,
    3530, -4780,  1490, -4780, -4780, -4780, -4780, -4780,  3650,   314,
    3651,   314, 82250, 82250, 82250, 82250, -4780, -4780, -4780, -4780,
   -4780, 56757, 56757, 56757,  2509, -4780, -4780,  2445, -4780, -4780,
   -4780, -4780, -4780, -4780,  3612, -4780,  2513, -4780,  1791, -4780,
   -4780, -4780, -4780, -4780, -4780,109122,  6805, 82250, 82250, 82250,
    1785, -4780,   762, 61667, -4780, 61176,109122, 82250, -4780, -4780,
    3577,  3520, -4780,  2358,  3522,109122,  3420, -4780, -4780,  3431,
   -4780, -4780,  3433,  2351,  2932,  1506, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780,   286,  2366,  2932,  3434, -4780,  3444,
   -4780,  3752, 82250,  3754, 82250,  1209,  3756, 82250, -4780, -4780,
    3588,  3589,  3591,  3452,  3454,  3498,  3456,  3459,  3505, -4780,
    3461,  3535,  3482,  3536,  3483,   314, 61667,  3580,  2445,  3501,
    3682,   314, -4780,  3486, -4780, -4780,  3810, -4780, 82250, -4780,
    3489,  2433,  2932, -4780, -4780,109122, 82250, -4780, -4780, -4780,
    2278, 61667,  3658,  2278,  2278, 82250, 82250,  2278, -4780, -4780,
   -4780,  3659,  3660,  2278, -4780, -4780, -4780, -4780,  2703,  3426,
   -4780,  2178, 47279,  7092,  3422,  3216,  3427,  2523, 43319,  1260,
    3639,  3432, -4780, -4780, 56757, 47279,  1927,  3655,  3447,  3447,
    3447,  3447,  3447,  3447,  3447, -4780,  1958,    72,  2607,106590,
   82250,106590, -4780,   757,  3530, 82250, 82250,  3449,  3437, -4780,
   -4780, -4780, -4780,109122,   921,109122,  2523, -4780, -4780,  3504,
   -4780, 82250,  2076,  3840,  3013,  1455,  3581,  2082,  3783,  3264,
   -4780, -4780, -4780, -4780, 82250, 82250,   675,  2445, -4780,  3455,
    3460, -4780, 82250, 82250, 82250, 82250,  1798,  3446,  3464, 61667,
     -32,  3632,  3643,  2929,  3863,  1798,  3264,  3537, 82250, -4780,
    2517,    89, -4780,  2445,106590, 60194, -4780,  4262, -4780, -4780,
    1134,  3728, -4780, 82250, -4780, -4780, 44309,   314, 61667, 82250,
   -4780,   314,   131,  3523,   314,  3524,   314,   314, 82250, -4780,
   -4780, 82250, -4780, 82250,107434,   314, -4780, 12994,  3748, -4780,
   -4780, -4780, -4780,  3584,  3595,  3597, 82250,  3250, 58230, -4780,
    3463,109122,  1601, -4780, -4780,  3663, -4780, -4780, -4780, -4780,
   -4780,  3770,  3787, -4780, -4780, -4780,   140, -4780,109122, 69510,
     215,109122, -4780,  2405, -4780, -4780,  2435,   299, -4780, 82250,
    3729, -4780, -4780, -4780,  3487,  2520, 12708, 35795, -4780,  3797,
   61667, -4780,  7115, -4780, -4780, -4780, -4780, 35795, -4780, -4780,
   -4780, -4780, -4780, 35795, -4780, 35795,  3772, -4780,  3914,  3914,
   61667, 37322,  1391,  2806, 37322, 37322, 37322, 37322, 37322, 37322,
   37322, 37322, 37322, 39839,  1667, -4780, -4780, 35795, 35795,  3780,
    3772, -4780, -4780,  1713,  1713, 61667,  3492,  3273,  3494,  3495,
   35795, -4780, -4780,  2528, 38835,  3496, 56757, -4780, 35795, 11795,
    2537,  3543, 12596,   758,  7443, -4780,  3870,  2445, 35795,  1778,
    2303, 35795,  2538, 35795,  3782, -4780, -4780, -4780,  3500, -4780,
   -4780, 61667, 35795, 37322, 37322,  9929, -4780, 10281, 35795,  3507,
   10391, 30705, -4780,  3681,  3541, 46289, -4780,   766,   766,   766,
     766, -4780, 82250, 82250, 82250, 41338,  3789, 40348, 79310,  3515,
    2317, -4780, 79310, 79800, -4780,  3525, -4780,  3529,   758, 35795,
    3779,   578,   578,  3681, -4780, 35795, 33759,  3532, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780,  3538, -4780,  3539, -4780, -4780,   604,
    3544, -4780, -4780,  7197,   173, -4780, -4780,  3545, -4780,  3547,
   -4780,  2068, -4780, -4780, -4780,  7896,  3691, -4780, -4780,  3515,
   34268,  3450, -4780,  2559, -4780, -4780, 31723, -4780, -4780,  2562,
   45794,  3336, 32232,   758,  2523,  3548, -4780,  2432,  1183, -4780,
   -4780, -4780, -4780, -4780,  2563,  2092, -4780, -4780, 59703, -4780,
    3582, -4780, -4780, -4780,  3447,  2675,  2675,   734,  3250,  3805,
     734,  7999, -4780, -4780, 41833, 82250, 82250, -4780, 82250,  2571,
    1887, 82250, -4780, 82250, -4780, -4780, -4780, -4780,  3922, -4780,
   82250, -4780, -4780,  3574,  3575, -4780, 82250, 82250, 82250, 82250,
   -4780, -4780,  2409, -4780, -4780,109122, 82250, -4780, -4780, -4780,
     317,  2438,  2932, -4780,  3598, -4780, -4780,  3777, -4780, 82250,
    3551, -4780,  1887,  1160,  2929,   740, -4780, -4780,  3600, 82250,
   -4780, 82250, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, 57248, -4780, -4780, 82250, -4780, 56757, 47279, 56757, -4780,
     335,  2503,  2932, -4780,  3602, -4780,  3604,  3607,  3653,  1107,
     971,  3613,  3614,  3656,  3549,  3552,  3557, -4780, -4780,   233,
    2445, -4780, -4780,  2445,  2675,  2445, 82250, 82250, 82250, 82250,
   82250, 82250, 82250, 82250,109122,  3275,109122,  3275,  3928, 82250,
  109122,  3275,  3831,   587,  1965,109122, 82250, 82250,109122, 82250,
   82250, 82250, 82250, 82250, 82250, 82250, -4780,  3913,  3853,  2148,
    3888,  3629, 82250, -4780, 82250,  3143, 82250, 82250, -4780, -4780,
   -4780,  3561,  2278, -4780, -4780,  3806,  3809, -4780,  2278,  2278,
   -4780,   176, 56757, -4780,  2918, -4780,  3215,  3547,  2523,  1318,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780,  2523,  2612,  3569,
   -4780, 43814, -4780,  3573, -4780,  2554,   254, -4780, -4780, 82250,
    3447, -4780,  2794,  2456,  2656,  2809, 80290, 80780, 81270,  3576,
   82250, 82250, 37322, -4780,  1735,   836, -4780,  3814, 82250,  3606,
   -4780, -4780, -4780,  3731, 82250, -4780, -4780, -4780, -4780, -4780,
    3578, -4780,  3692, 65590,  2675,109122,109122,  2675, -4780, 61667,
    3583,  3264,109122,  1455,  1443, 92050,  3616, -4780,  3579,  3869,
   -4780,  3585,  3587, -4780, -4780, 82250,  3530,  2587,   949,  2073,
    3294, 67550,  2336,  3845, -4780, -4780, -4780,  3953,  3678, -4780,
    1798,  3294,  3678,  2445,  3208, -4780, 59703, 35795, 35795, -4780,
    3610, -4780,  3596,  4377, -4780,  2603, -4780, -4780, -4780, -4780,
   -4780, -4780,  3671, 82250,  4025, -4780, -4780, -4780,  3601,   314,
   -4780, -4780, 82250, -4780, 82250, -4780, -4780,   314,   314, -4780,
    3711, -4780,  1798, 82250, 82250, 82250,  3250, -4780,   299, -4780,
    3879,108700, -4780, -4780, -4780, -4780, -4780,  3941,   146,  3887,
   -4780, -4780,  3855,  3857,  3859,  3860,  2369, -4780, -4780, 35795,
   12994, -4780,  3617, -4780, 12994,  8349, 12994,  3780, -4780,  2210,
    3903, -4780,  1374,  3620,  2210,  1244,  1244,   396,   396,   132,
     132,   132,  3914,  1667, 12994, 12994, -4780, -4780, -4780, -4780,
    3624, -4780, -4780, -4780,  3273, -4780, 36304,  3771,  4015, -4780,
   -4780, -4780,  3674,  3675,  3638, -4780, 35795, 36813,  3635, 62649,
   -4780, -4780,   254,  1799, 37322, 37322,  1194, -4780,  1874, 35795,
   61667,  2592,  1194,  2398,  2677, 35795, 35795, 11943,   316, 35795,
    8636,  3642, 35795, 99890, -4780, -4780, 82250, 82250, 82250, 82250,
   -4780, -4780, -4780, 79310, 79800,  3646, 42823,  2317,  3644, 82250,
   -4780, -4780,  3648, 40843,  3882,  3827, -4780, 40843,  3827,  2114,
    3827,  3891, -4780, 46784, -4780, -4780,  3654, -4780, -4780, 28184,
    2102, 12994,  4043,  3930, 35795,  3661,  3662,  3665, 12994, 35795,
   -4780,  2445,  1183,   664,  2445, -4780, -4780, -4780, 49799, -4780,
   -4780, -4780,  3847, 12994, -4780,  1798, 82250,   758,    25,  3673,
   82250, -4780,  3450, -4780, -4780,  9306, -4780, -4780, -4780, -4780,
    3727,  2597, -4780,   233, -4780, -4780, -4780, -4780,  3738, 68530,
    3948, -4780, 35795,  2601, -4780,  3703,  4039,   152,  2606,  2618,
    1887, -4780,  3606, -4780,  1752,  3929,   214, -4780,   314, -4780,
   61667, -4780, 82250, 82250, -4780, -4780, -4780, -4780,  2873, -4780,
   -4780, 82250, 82250, 82250, 82250, -4780, -4780, 56757,  1958,  3866,
   -4780, -4780,  3868,   233, 82250, -4780, 61667,   314,   314, -4780,
   -4780, -4780, -4780,  3687, 82250, 82250, 82250, 82250,109122, 82250,
   82250,  2523,  2523, 61667,  3676, -4780,  2523,  2523,  3680, -4780,
  109122, 82250, 82250, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780,  3762, -4780, -4780, -4780,  1177, -4780,
    1320, -4780,109122,  3275,  1346, -4780, 82250, 82250, 82250, 82250,
    3976, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, 82250, -4780, -4780,  2445,  2445, 61667,   314,   314,
   -4780, -4780, -4780,  3920, -4780,  2278,  2278, -4780, -4780,   593,
    2631, -4780,102750, -4780, -4780,  2982,  2445,  2982,   582, -4780,
   -4780,  2982, -4780,  2982, -4780,  1887,  3688,  1146,  3972, -4780,
    2415,101841, 43814, 43814, 43814, 43814, 43814, -4780, -4780,  3977,
     233, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, 35795, -4780,  1473,  2210,
   -4780, -4780, -4780, -4780,  3606,  2076,  3747, 58230,   242, -4780,
    3959,   543, 65590,  1690, 82250, -4780,  2675,  2675,  3751, 82250,
    4102, -4780,   964, 82250,  4014,  3740, -4780,  2445, -4780, -4780,
    3264, 82250, 65590,  3294, -4780,  2635, -4780, -4780, -4780,  3737,
    3643,  3702,  2336,  1027, 82250, -4780,  3739, -4780, -4780,  3988,
    3708, -4780, 12994, 12994,  2445, 63140,  4262, -4780, 82250,  3963,
   82250, -4780,   314, -4780,   314,   314, -4780, -4780, 82250,  3250,
    3250,  3250, -4780,  3892, -4780, -4780,   314,108700,  2369,  2369,
    2369,  2369, -4780, -4780, -4780, 12994, -4780, -4780, -4780, 37322,
    3994, -4780,  3712, 61667, -4780,  3713,  2641,  2653, 38340,  3856,
   -4780, -4780, -4780,  9149,  3765, 12994,  3816,  3716,  3720, -4780,
    2312,  2312,  1874,  2657, -4780, 37322, 37322,  1194,  1194, 35795,
    1194, -4780, -4780,  9476,  3895, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780, 57739, 79310,  3722, 82250,  2317, 40843, -4780, -4780,
    1683, -4780, 40843,  3968, -4780, 40843, 82250,  3734, 82250,   534,
   35795, 35795,  3766, -4780, -4780, -4780,  3681, -4780, -4780,  1318,
   -4780, -4780, -4780, -4780,   254,  3730, 74410, -4780, -4780, -4780,
    1312, -4780, -4780, -4780, -4780, -4780, -4780,108700,  3921,108700,
    1887,  9848,  3606, 41833, 50807, 82250, 81760, 81760,  3880,  3606,
    3747, -4780, -4780, -4780, -4780, -4780, -4780,  3741, -4780, -4780,
   -4780,  3818, -4780, -4780,  2673, -4780, -4780, -4780, -4780, -4780,
    3913, -4780, -4780, 47279, -4780,  3822, -4780, -4780, -4780, -4780,
   -4780, 42328, 49799, -4780,  1107,  3746,  3749,   971, -4780, -4780,
   -4780, 82250, 82250, 82250,  1399, -4780, 82250,  1602,   989,  3775,
    3250,  4036, -4780, -4780, -4780,  3913, -4780, -4780,  2278, -4780,
   -4780, -4780,  2607,  4076, -4780, 56757, -4780,104896, -4780, -4780,
   -4780,  2445, -4780,  2445,  3946, 82250, 52788,  2445,  2445, -4780,
   58230,  4157,  4157, -4780,  3755,  2137,  2137, -4780, -4780, -4780,
   82250, -4780, -4780,  9952,  3955, -4780,  3747,  3969,  4019, -4780,
    3763, 82250,  3918,  3767,  3768,   923,   923,  3530, 82250,  2674,
    1798,  1455, 65590,  3530, -4780,   -23,  3773,  4068, -4780,  4173,
    3446,  3774, -4780, -4780, 67550,  3961,  3678, 82250,  3643,  3896,
   -4780,  3902, -4780,  1159, -4780, 82250, 41833, -4780, 62158, -4780,
    2678, -4780, -4780,  3333, 82250,   702, -4780,  3795, -4780, -4780,
   -4780, -4780, -4780, -4780,   215, -4780, -4780, -4780, -4780,  1699,
   37322, 61667,  2679, 35795, -4780, 35795, -4780,  4171, -4780, -4780,
   -4780,   -26, -4780, -4780, -4780,  2312,  2312,  1194, -4780,  4172,
    3681, -4780,  2682,  4191, -4780, 82250,  2692, -4780, 35795,  3791,
   -4780, -4780, 40843,  1683,  2695, 82250,  2696, 61667,  3786,  3273,
   12994, 82250, -4780,  3788, -4780, -4780, -4780, -4780, -4780, -4780,
    1601,   734,   215,  4039,  3747, -4780,  3792, -4780, -4780, 82250,
   -4780,   244,   244, 82250,  3747, -4780, -4780, 82250, -4780, 56757,
    3850, -4780, 82250, 61667,  2435,   249, -4780, 61667, 61667, -4780,
   -4780,  3275,  3275, 82250,  3275, 82250, 82250, 82250, 82250, 82250,
     314, -4780,  3426,  2445, -4780, -4780,  2699, -4780, -4780, -4780,
   82250,  3579, -4780,  3579, -4780, -4780,  4157,   235, -4780, -4780,
   -4780, -4780,  2424,  3998, -4780,  1098,  3983,  3885,  3800, -4780,
   58230,  4233,  3917, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780,  4104,  3264,  3739, -4780, -4780, -4780, -4780, 35795,
    3966,  1798,  2336,  3845, -4780, -4780, -4780,  2700,  3678, -4780,
   -4780,  4183,  3996,  4190, -4780,  2704, -4780, -4780,  4377, 63140,
    4135, -4780,  3867, 82250, -4780, -4780,  2802,  4246, -4780,  1699,
    2705, -4780,  2710,  2711,  3964,  3873, -4780, 35795,     7,  3525,
   57739,  3828, -4780,  2718, -4780, 12994, 82250, -4780, -4780, -4780,
    2719, -4780, -4780,  3826, -4780,  4235, -4780, -4780,  4115, -4780,
   81760,  3872, 49799, -4780,  2068,  2068,  2076, -4780,  1887, -4780,
   -4780, 35795, -4780, -4780,  2724, -4780,  1493,  3982,  4128,  2729,
    2733, -4780, -4780,  3275, -4780,  3251,  3884,  3251, -4780,  3250,
   -4780, -4780, -4780, -4780,104896,  3579, -4780, -4780, -4780,  4161,
    4108, -4780, -4780, -4780, -4780,   623, -4780,  4037,  4040, 82250,
   -4780,  3861, -4780,  2734, 82250, 82250,  4258,  4260, -4780, 10427,
   58230,  3739,  3643,  2336,  1958, -4780, -4780,  4041, -4780,  4045,
    3264, 41833,  4262, -4780,   236, -4780, -4780, -4780, -4780, -4780,
   82250, -4780, -4780, -4780, -4780, -4780,  3273, 34777, 34777,  3862,
   -4780, -4780, 82250, -4780,  2738, -4780, 82250,  3865,108700,   244,
    3871, -4780,  3874, -4780, -4780,  3969,  1887, 12994, 58230,  4244,
   -4780, -4780, -4780,  3982, -4780, -4780, -4780, 82250, -4780,  3986,
   -4780,  1158,  1158,  4194, -4780,  3925, -4780, -4780,  3876, -4780,
    4300,  3530, -4780,  1107,  1798, -4780,  3878, -4780,  3678,  3643,
   -4780, -4780,  3678, -4780, -4780, -4780, -4780,  2091, -4780, 37831,
    3999,  1078,  8675, -4780, -4780, -4780, -4780,  2741, -4780, -4780,
   -4780,   215,  2068, 35795,  1887, -4780,  3983,  2435, 82250, -4780,
   -4780,  3740, -4780,  4289, -4780,   977, -4780, -4780, -4780, -4780,
   -4780,  3676,  3739, 56266, -4780,  3678,  3333, -4780,  2376, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780,  4280, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780, 10761, -4780, -4780, -4780,  4181,
   -4780, -4780, -4780, -4780,  2742, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780,  1415, -4780, -4780,  1788,  2275, 35286, -4780,  1887,
    4034, -4780, 56266, -4780,  2376, -4780, 58230, -4780, -4780,  3881,
   56266,  2746, -4780
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -4780, -4780,  4023, -4780, -1196,   -72,  2530, -1028, -4780, -4780,
   -4780,  3169, -4780, -4780, -4780, -4780, -4780, -4780, -4780,  3192,
   -4780, -4780,  1711, -2604, -4780, -4780,   -51,  3158, -1617,   -50,
    2803,  1378, -4780, -1386, -4780, -4780,  -894,    20, -1060, -4780,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -1100,  1861,  1199,
    4564, -2739, -4780, -4780, -1709, -3332, -4780,   576, -4780, -4780,
    1800, -4780, -4780, -4780,  1047,   495,  -454, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780,  -266, -4780, -4780,  -592,   163,  -107,
   -2608,  -317, -4780, -4780,   442,  -318, -1618, -4780, -3657, -4780,
       0, -4780, -4780, -4780,  -299, -1722,  1292, -4780,  -991, -1340,
    1620,  -653, -4780,  -180, -4780,  -710,  -591,  -589,  -663,  -483,
   -3857, -4298, -3872, -3350,  1299, -4780, -3787,   213, -4780, -4780,
     320,   339, -4780, -4780, -1821, -1738, -4780,  -950, -4780, -4780,
   -4780, -3102, -4780, -4780, -4780, -4780,   -94, -4780, -4780, -4780,
   -4780,   467, -4780, -4780, -4780, -4780, -4780, -4780, -2416,  1757,
    1759, -4780, -4780, -3326, -4780, -1203, -4780,   617, -3117,  1217,
   -4780, -4780, -4780,  2475, -4780, -4780, -4780, -4780, -4780, -4780,
   -1897, -4780, -4780,   341, -4780,  1770,  1016, -4780, -4780, -4780,
    -698,  -766,  -756, -4780, -3122, -4780, -4780, -4780, -4780,  -264,
   -4780, -4780, -4780, -4780, -4780, -4780, -1275, -4780,  1074, -3276,
   -4780, -4780,  1088, -4780, -4780, -4780, -4780, -4780,  -652,  -194,
    2497, -4780,  -535,  -629, -4780, -4780, -4780,  -191, -4780, -4780,
   -4780, -4780, -4780, -4780, -1333,  5940, -1880, -4780, -4780, -4780,
   -4780, -2544, -4780, -4780, -4780, -1574, -4780,  4281,    -1,    32,
     386, -4780,  -198,  -101,  3020, -1405, -2797,   398,  -360, -4780,
   -2061, -4780, -4780, -4780, -2706, -4780, -4780, -4780, -4780, -3603,
     391, -4780,  3009, -4780,   448, -4780, -4281, -4082, -4343, -3962,
   -3591, -4780, -4780, -1357, -4780, -4780, -4780, -1736,  2056, -2215,
   -4780, -2355,   453,  1360, -1241, -2923, -3871, -1020, -3373, -4780,
   -3790,  -459, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -1355,
    -878, -4780, -4780,  3546, -4780, -3756, -4780, -4780, -4780, -4780,
    1321, -4780, -4780, -1712,  1153, -4780, -4780, -4780, -4780, -4780,
    -646,  -730, -4780, -4780, -4780,   426, -4780, -4780, -4780, -4780,
    2182, -1217, -1001,  3397,   428, -4043, -4780, -4780, -4780, -4780,
   -3181, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -1932,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780,  2177,  2179,   -91,
    -220, -4780, -4780, -1531, -4780,  -843, -4780,  2421, -4780, -4780,
   -4780, -4780,  1448,   429,   483,   -75, -4780, -4780,   269, -3528,
     -71, -4780, -4780, -4780, -4780, -2305,   -69, -4780,   767, -4780,
   -4780, -2938, -4780,   434,   -65,  3091,  1704,   -59,   427,  -236,
    -228,  -224,   -77,  3393,  2863, -4780, -4780, -4780,  -211,  2154,
   -4780, -1078,  -340, -4780,  1456,  -929,  2152,  2853,  2851, -4780,
    1453, -4780, -4780,  1461, -4780, -4780, -4780,  -928,  2166, -4780,
    2856, -4780, -4780, -4780,  1449,  1458, -3515,   865, -3499, -3464,
     346,   338,  -921,  -284,  -166,  3462,  2870,   875,  -423, -4780,
   -4780,  -420, -4537,   810, -4780, -4371, -2510,  2508, -2168, -1875,
   -4780, -4780, -1430, 12790, -4780, -4780, -4780, 15560, 15981, -4780,
   -4780, 17058, 20526, -4780, -1261,   924, 21417, 12169, -1471, -1915,
   -1576, 19888, -2433,   331, -2932, -4780, -3633, -2683, -4780, -4780,
   -4780,  -234,   943,   159, -4780, -4780, -4780, -4780, -4780, -4780,
    -524, -4780,  -523, -4780, -4780, -4780,  -515, -4779,  2115, -4780,
    -837, -4780, 20667,  1505, -4780, -1170, -2866, -2884, -3504, -2031,
   -4780, -4780, -4780, -4780, -4780, -4780, -4780, -1900, -3390,  -311,
    1583, -4780, -4780,  1676, -4780, -4780, -4780, -1578, -1174, -2770,
    1588, -2221, -4780, -1115, -4780,   840,  2316, -1067, 10879, -1598,
   17523,  -119, -2500, -1571, -1815, -4780,  -505, -4780,  2507,  2957,
    -782,  -165,  -787,  5809,  4502,  5425, -3226, -4780, -4780,   443,
   -4780, -4780, -4780,  3926,  1095, -4780,  3245, -4780,  1826,  2566,
   -4780, -4780,  2191,  -970,   -31, -4780,  -484, -4780,  -150, -4780,
   -4780, -4780,   237, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
   -4780, -4780,  2906, -4780, -4780, -1499, -4780, -4780, -4780, -4780,
   -4780,  4205,  -373, -4780,  3618,  -366, -4780, -4780, -4780, -4780,
   -4780, -4780, -4780, -4780, -4780,  2919,  2231, -4780,  3401, -4780,
   -4780, -4780,   -48,  3138, -4780, -4780, -4780, -1220,  -614,  3430,
    3451,  2197, -4780, -4780, -4780, -4780, -4780, -4780, -4780, -4780,
    2204, -4780, -4780,  1577, -2181,  2214, -4780, -4780,   871, -4780,
   -4780,   400, -4780,   878, -4780,  3028, -4780, -4780, -4780,   913,
   -4780, -4780, -4780,  -611, 14957,    85,   114,   158,   724, -4780,
    9002,  6573,  -104,  2951,   -64, 12208, 19532,   100, -4780,  4206,
    2216,  1813, -1039, -4780,  4100,  2524, 18014, -4780, -1033,   265,
    1917, -4780,    -2,  -670, -1209,  3241,  -771, -1995, -4780,  4624,
   -4780, -3717, -4780, -1054,  3622, -1243
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -2681
static const yytype_int16 yytable[] =
{
      81,   367,  1013,   357,   932,  2024,  1593,   358,  1130,   360,
    1111,  1060,  1668,   827,   410,  1131,  2034,  1096,  1734,   362,
     410,  1229,  1013,  1313,  2074,  1120,  1442,  1443,  1444,  2451,
    2674,   725,  1448,  2028,   920,  1845,  1615,  1822,  1967,  3015,
    1887,   731,  2318,   915,  1662,  2307,  1347,  3063,  1987,  2821,
    2513,  1874,  1034,  1913,  2666,  3530,  3262,  1093,   827,  2191,
    1168,  3108,  3110,   712,  1229,  2788,   972,  2675,  2142,  2520,
    1021,  2164,  2165,  2634,   987,  3664,   411,   878,  3979,  1607,
    1371,  3407,   411,  2529,   874,  3023,  3797,   680,   367,  3812,
    2180,  2726,   934,  3425,  4036,  3043,  2543,  3997,   261,  3325,
    2102,   712,  2585,  1955,  2372,  2374,  2375,  1960,  1061,  3948,
    3364,  2015,  1964,  2321,  3827,   411,  3829,  1172,  2877,  1970,
    4219,  1229,   924,   931,  4022,  3516,   827,  4151,  3673,  1989,
    1717,  4256,   931,  1114,  3664,  3728,  1719,  1839,  2594,  1122,
    1406,  1852,  4177,  1123,  3671,  3672,  3934,  2602,  2603,  1879,
    4478,   926,  2780,  1348,  4288,  4470,  2307,  4250,  1050,  3934,
     411,  2506,  4486,   409,  4194,  1082,  1010,  2429,  1090,   409,
    2730,   931,  4746,  2519,  3613,  4617,  2366,  2366,  1374,  4436,
    2089,  3744,  1600,  2064,  2741,  2059,  1010,  1875,  1386,  1784,
    1655,  1658,  3420,  4224,  1695,  1696,  3082,  1411,  4192,  4116,
    1687,  3107,   409,  3739,  1395,  4814,  1057,  4816,  3953,  3954,
    3955,  3956,  3957,  3958,  1057,  2217,  1057,   831,  2265,  1163,
    3570,   418,   884,  4464,  4400,  1986,  4940,  1185,   411,  2157,
    2158,   824,  2063,  2609,  4477,  3098,   130,   131,  2211,  3102,
    2220,   270,  2308, -1611, -1611, -1611, -1611,   409,  2614,  1760,
   -1611,    37,    38,    39,    40,  2177,  2596,  1342,    44,  2016,
    1101,  3347,   831,  2954,  1811,  1708,  3484,    79,  3486,  4027,
    2222,  3156,  1458,  2522,  4842,   825,   824,  1439,   418, -1621,
   -1621, -1621, -1621,  3973,  3517,  4955, -1621,  1431,  1709,  1348,
    1474,   271,    45,  1431,  4014,  4615,   367,  -141,   357,  1173,
    2949,  1908,   358, -1611,   360,   418,  -141,  1951,  1056,  3733,
    2016,  -141,  1431,  4076,   362,   409,  1056,   410,  1056,    45,
     825,   414,  3366,   418,  3666,  1751,    37,    38,    39,    40,
     831,  2522,    43,    44,  1480,  1710,  5125,    45,  2954,  1188,
    2693,  1884,  3143,  2016,   824,  2723,  5017,  4721,  1210,  2066,
    5176,  1761,   410,  3048,  1584, -2679, -2679, -2679, -2679,  2257,
    2818,  1626, -2679,  1627,  4916,    37,    38,    39,    40,  5067,
   -2679,   418,    44,   122,  2288,  2209,  2522,     3,  2208,   411,
      43,  2853,  1294,  3666,  2523,    45,  1159,  2457,   825,   417,
    1887,   126,  4917,   261, -1837,  5068,  4624,  3144,   272,  1902,
    1586, -1837,  2256,  2832,  2989, -2680, -2680, -2680, -2680,   418,
    2597,  2990, -2680,  2289,   411, -1853,  3171,   273,  1585,   293,
   -2680,  3547, -1853, -1621, -1621, -1621, -1621,  1752,  5215,  2670,
   -1621,  2522,  3049,  1440, -1606, -1606, -1606, -1606,  1677,  1352,
    1229, -1606,  2016,  2694,  4970, -1611, -1611, -1611, -1611,  1362,
    4928,  4077, -1611,  4722,  2122,  2598, -2677, -2677, -2677, -2677,
    2076,  2191,  2522, -2677,   313,  2309,   409,  1187,  4956,   318,
    1597, -2677,  4620,  4996,  1131,  4936,   875,  3568,  3569,  3518,
    2522,  2542,  3584,  5018,  3570, -2676, -2676, -2676, -2676,  2217,
    2164,  2165, -2676,  2052, -1606,  1885,  1145,  2180,  3375,  5126,
   -2676,   409,  1432,  2724,   334,   363,   338,   356,   837,  2816,
     838,  2017,   361,  2822,  2220,  2824,  2252,   920,  2827, -2100,
    2833,   372,  3619,  3620, -2272, -2272, -2272, -2272,  1207,  3367,
    3528, -2272,  1166,  1167,  1470,  1304,   270,  2666,  1174, -2272,
    2641,  2253,  3115,  1102,  2222,  3974,  3157,  2645, -1945, -1945,
   -1945, -1945,  1698,  1701,  1146, -1945,  1459,  2671,  2299,  2300,
    3348,  4302,  2017,  3007,  3193, -1578, -1578, -1578, -1578,  2078,
    2615,  1753, -1578,  4243,  2955,  1730,   886,  1447, -1591, -1591,
   -1591, -1591,  2610,  2146,  2599, -1591,   271,  2819,  2530,  4028,
    2035,  1952,   363,  2657,  2658,  2017, -1618, -1618, -1618, -1618,
    1348,  1628,  2123, -1618,  1754,   924,    37,    38,    39,    40,
    1762,  3934,  1704,    44,   246,  4748,  2212,    37,    38,    39,
      40,  2058,  3257,  1348,    44,    37,    38,    39,    40,  5201,
    1952,  2307,    44,  1755,   926,  2152,  2241,  5079,  2664,  3763,
    2581,  3582,  2583,  2590,  4716,  4260,  4543,  2054,  1148,  3633,
    2637,   931,   931,  1157,  2725,  2283,  1164,  2157,  2158,  4450,
    2296,  2296,  2026,  1620,  2120,  2177,  2492,  1621,  4566,  2633,
    2458,  2266,  4570,  1110,  4625,  4194,  4742,  1678,  2307,  2132,
    4459, -1611,  3022,  2186,  3378,  4705,  4706,  4707,  4708,  4709,
    1348,  1756,  2143,   272,  2017,  2880,  4762,  2834,  2026,  1159,
    1241,  5137,  1746,  2187,  4602,  1165, -1837,  4518,  2278,  4560,
    1007,  1008,   273,  2554,   293,  2835,  2991,  2188, -1578,  3052,
    2784,  2123,  3869,  3664,  2388,  3664, -2100, -1853,  1200,  -141,
    -141,  4071,  1176,  2353,  2354,   841,   418,  1007,  1008,    37,
      38,    39,    40,  1359,  5118,    43,    44,  2672,  1111,  3285,
      45,  4980,  3746,  4281,  3747,  1711,  1712,  1891,  2522,   313,
    2563,  2809,  1816,  2566,   318,  2509,  2592,  1412,  1897,  4410,
    5123,  4304,  3399,  1299,  3798,  2817,   410,   842,  3194,  1344,
    -386,  1208,  1663,   839,  2828,  1895,  1252,  1289,  1305,  1172,
   -2100, -1578,  4210, -2679,  1121,  3015,  3015,  3015,  1609,   334,
     363,   338,   356,  1007,  1686, -2100,  3910,   361,  5101,  3913,
    3914,  4347,  1124,  3917,  4395,  1348,   372,  1447,  2494,  3920,
    3993,  5165,  4834,  1348,  1348,  4241,  2500,  2186,  2000,  4844,
    1357,  1413,  3664,  1419,   411,  1424,   935,  2152,   411,  2799,
    3258,  1428,  1196, -2680,  3698,  2802,  2792,  2187,  2059,  2996,
    3730,  1196,   680,  3169, -1396,  3915,  3916,  3849,   680,  3122,
    2717,  2190,  1449,  2531,  1419,  1424,  3084,  1117,  3084,   680,
    3704,  5038, -1606,  1404,  4926,  2532,  1253,  2373,  2571,  4984,
    4985,  2574,  2575, -1611,  1122,  1196,   977, -1399,  1123,  1125,
     681,  2506,  1697,  1407, -2677,  4694,  1159,   680,   931,  3209,
    4695,   680,  3579,  3580,  3581,  3582,   367,  2238,  2239,  2240,
    2241,  1117,   680,  4291,  2904,  2905,  1405,  1254,  1144,  1760,
    2459,   409,  1700, -2676,  3251,   409,  2533,  3320, -1396,  4803,
    1449,  1345,  1115,  1418,  3400,  1423,   831,  2718,   680,  3519,
    2561,  4489,  1196,  4696, -1578,  1437,  4889,  1400,  2642,  3793,
     824,   931,  1196,   680,  1098,  4227,  3321,   980,   680,  3850,
    1666, -1399, -2272,  4348,  1452,  1454,  4244,  1255,   680,  1858,
    1001,  1148,  3666,    81,  3666,  2997,   981,   730,  2874,  2876,
    4256,  1229,   680,  1037,  1620,  1145, -1945,  3798,  1621,  2884,
    1002,  1116,  2585,  2888,   825,  3184,  1360,  1417,  5117,  1422,
    2445,  2900,  2901,  2163,  2736,  1610,  3461,  1859,   982, -2050,
    2791,  1631,  3401,  4942,  2918,  2920,  2169,  3932,  4432,  4782,
    1001,  1761,  4903,  1596,  1590,  2934,  1333,  1604,  1451,  1453,
    3932,  1420,  2209,  1625, -1618,  1425,  1426,  1427,  1896,  1159,
    1002,   712,  1766,  1146,  2214,  1438,  1147,  2825,  2826,  2593,
    3676,  4681,  4807,  4292,  2459,  2254,  5046,  4811,  1117, -2082,
    4813,  1038,  2445,  3028,  4804,  5042,  1196,  5052,  3185,  1611,
    4904,  2447,  1057, -2407,   680, -1396,  1057,  4905,  2446,  5102,
    3184,  3666,  1432,  1126,  1470,   936,  2733,   418,   879,  2448,
      37,    38,    39,    40,  4204,   411,    43,    44,  1480,  1710,
    3068,    45,  1196,  3851,  4906,  2369,  3170,    35, -1399,  3252,
    4034, -1578,  1432,  4036,  3701,    41,    42,  5142,  2719,  5193,
    1886,   682, -1578,  4256,  2163, -1578,  1738, -1578,  4739,  4610,
    5016,  2720,  4245,  2447,  3520,   937,  3852,  1148,  4099,  2813,
    3112,  4104,  4105,  4106,  4107,  4108,  4109,  4110,  4111,  4112,
    4113,  2448,  1978,  3185,  4433,  2769,  4293,  5191,  3985,  4294,
    1860,  4246,   680,   680,  4943,  3853,   938,   205,   939,  4589,
    4635, -1396,  2370,  3794,  1056,  1118,  4907,  3241,  1056,  1863,
    4247,   881,   409,  1001,  1334,  1864,  5119,  2460,  3270,  1848,
    1979,  3679,  1027,   215,  3680,  3681,  1229,  -789,  1788, -2050,
    4153,  4154,  4316,  1002, -1399,  3682,  3683,  3684, -1396,  3685,
    3686, -1396,  4749,  1001,  3687,  3688,  3689,   841,  2449,  3188,
    1748,  3507, -2101,   223,  4750,  3745,  2795,  3242,  4978,  2328,
    2371,  3115,  2501,  1002,  1039,  1040,  1149,  1057,  3271,  1335,
      79, -1399,  2002,  2761, -1399,  3382,  5164,  3031,  1861, -2082,
    5166,  3664, -2128,  2542,  2772,  3664,  1150,   882, -2050,   842,
    1196,   233,  5124, -2407,  1431,  2461,  2779,  1748,  5044,  1620,
    4845,  1196,  4461,  1621,   236,  2453,  2734,  4950,  2670,  2216,
    2449,  1865,  2217,  1411,  3062,  3310,  5152,  2733,  4931,   832,
    3272,  3311,  4601,  5200,  1950,  5192,  4932,  4967,  2042,   833,
    4317,  5178,  2454,  2907,  3188,  2814,  3986,  2220, -2082,  1738,
     246,  3243,  1111,  2221,  2450, -1942,   215,  2502,  2329,  4038,
    4210,  3113, -2407,  3114,  1148,  4586,  3521,  4803,  5022,  1482,
    3319,  1196,  3570,  4579,  2815,   367,  2043,  2222,  4311,  1056,
    2454,   841,  4908,  1980,  1229,  1145,   223,  1216,  2971,  4994,
    2080,  2403,  2082,  4999,  5000,  2086,  3690,  2088,  1131,  -608,
    2091,  2092,  2093,  1717,  2646,  4866,  4894,  4851,  4374,  1719,
     680,  2648,  4506,  2100,  4377,  4378,  2450,  4700,  1482,  4751,
    3301,  3570,  3273,   842,   233,   680,  2125,  3312,  2126,    81,
      81,  3139,    81,  5083,  5084,  3522,  4039,   236,   834,    43,
    1196,  4911,  3481,  1146,    45,  4701,  2671,  4915,   680,  2649,
     363,  1110, -2101,  2314,  3487,  1690,  3208,  3934,  4256,  2322,
    2323,  2647,  2327,  1123,  1123,  1866,  1123,  1400,  5179,  3786,
    3482,  1981,  3087,  3069,  1720,  2455,  4312,  3430,  3431,  3432,
    3433,  5023, -2128,  2224,   680,  2079,  -953,  4067,  2081,  3438,
    4933,  2085,  1172,  2087,  1169,  3244,  2090,  1950,  1867,   680,
    2094,  3015,  4462,  3369,  2225,  2226,  4867,  3787,  3808,  5153,
    3284, -2101,   680,  4289,  2972,   680,  3302,  4732,  2973,  1690,
    2378,  3131,  3932,  2379,  4981,  3274,  1196,  1868,  3691,  2044,
    1252,  3296,  3303,  3275,  4987,  4458,  3276,  1148,  1666,  1620,
    3666, -2128,  2370,  1621,  3666,  3045,  5024,  2559,  3705,  2753,
    2229,  4233,  3477,  4087,  3572,  1196,  2974,  2306,  2759,  1711,
    1712,   898,  1062,  2230,  3342,  2009,  4313,  1446,   835,  4429,
    4040,  3313,  1066,  1651,  3692,  3387,  3758,  3277,  5154,  1121,
    2270,  2271,  3571,  1196,  1196,  3306,  1196,  2585,  2009,  3878,
    1610,  5184,  4494,  3132,  4495,  2331,  1035,   712,   712,  2245,
    2371,  5155,  2650,  3572,  3314,  1196,  4520,  2576,  4521,  2560,
    4339,  3143,  4341,  3573,  2380,  2010,  4345,  2045,  2847,   900,
    1253,  5037,  3870,  4100,  3388,  4101,  -512, -1408,  3304,  4892,
    4041,  3709,  2332,  3315,  1252,  3277,  2672,  4060,  2794, -1408,
     680,  3175,  1653,  2286, -1408,  1210,   841,  1447,   680,   680,
    3959,   410,   410,  4662,  1611,  2698,  2673,  1982,  1196,   411,
    3788,  1254,  3573,  3286,  1036,  1067,  3766,   891,  3693,  1470,
    3664,  3289,  1828,  3291,  2306,  3664,  2975,  1983,  1645,  1654,
    3664,  3307,  1229,  3664,  2385,  3879, -1408,  1196,   842,  2535,
    2651,  1196,  1196,  3962,  1148,  3197,    79,    79,  2026,    79,
     410,   712,  4941,  3389,  3390,  2011,  4097,  2407, -1408,  2487,
    2439,  1255,   411,   411,   411,  1690,   898,  3391,  1829,  4036,
    2440,  3664,  1065,  2591,  1253,  3382,  2334,  3813,  2011,  2699,
    4117,  2272,   680,  2026,  2577,  2441,  2578,  4522,  2236,  2237,
    2238,  2239,  2240,  2241,  4102, -1408,   409,   898,  3789,  3545,
    4774,  4540,  4541, -1408,  4103,  2012,  2095,   907,  5122,   908,
    2522,   831,   411,  4988,  3392,  1254,  -947,  3096,  2528,   411,
    1950,  1646,  4990,  3206,   900,   824,   411,  2335,  2012,  2096,
    3198,  4015,   913,  1057,  4019, -2681, -2681,  3456,  3577,  3578,
    3579,  3580,  3581,  3582,  2273,  3570,  4663,  1830,  3597,   409,
     409,   409,  1219,  1220,  1221,   900,  1222,  1223,  1224,  1225,
    1226,  1227,  4628,  4629,   418,  1255,  1057,  2576,  1326,   825,
    1651,  1091,  4666,  1984,  1950,  5160,  4714,  3570,   824,  3622,
    3624,  3966,  3625,  3574,  3575,  3576,  2013,  3577,  3578,  3579,
    3580,  3581,  3582,  2372,  3769,  1831,  3426,  1832,  1327,   409,
    4830,  3393,  4832,  3394,  1950,  3626,   409,  2584,  2331,  2013,
    3785,  1801,  1606,   409,  3664,  1104,  5089,  2208,  3967,  2442,
   -1408,  4679,  4680,  1113,  4724,  4863,  2026,  1328,   831,   363,
    1748,  5056,  3968,  1748,  4184,  1056,  1834,  4731,  2680,  1653,
    3336,  3471,   824,  1819,  4741,  2332,  1864,    37,    38,    39,
      40,  3184,  2026,  1482,    44,  5086,  3570,  1127,  3814,   680,
    1690,  1057,   907,  3509,   908,  1690,  1690,  1651,  1056,  3666,
    3664,  1329,  1652,  4144,  3666,  1836,  5090,  2217,  3495,  3666,
    1950,  1620,  3666,  3815,  1642,  1621,   825,  1968,  2695,  4725,
    2463,  4850,  2756,   907,  2577,   908,  2578,  2333,  4066,  2663,
    2464,  2150,  4278,  4185,   910,  2026,  3627,  2727,  4430,    80,
    1838,  3628,  3777,  1801,  3969,   912,  1602,  1950,  1968,  5213,
    3666,  2167,  5214,  1842,  3185,  4621,  4870,  3572,  3038,  3677,
    4726,  4186,  2222,  2850,  1708,  1131,  1653,  2276,  2526,  2334,
     411,  2381,  1865,  4261,  2830,  1950,  4187,  2837,  1348,  5144,
    1137,  2194,  2217,  1825,  3186,  3163,  1843,  1709,  4188, -2681,
     680,  1134,  1210,  1056,   215,  2206,  2399,  2401,  1821,  1407,
    1138,  4431,  -163,  1654,  3015,  2342,   680,  2220,  3799,  3015,
    1139,  4189,   367,  2026,  3015,  1348,  1826,  3187,  4622,  2527,
    2335,  1872,  2217,  1735,   223,   208,   679,  -163,  3222,  3817,
    4808,  2627,  1196,  3378,  2797, -2471,  2798,  2222,  1950,  3743,
    2800,  1196,  2801,   680,   680,  2803,  3699,  2220,  3664,  2804,
    1873,  4408,  4590,  1690,   680,  3022,  1736,   409,  4665,  2849,
    3629,  1690,   233,     8,  2628,  2582,   680,   680,  3572,  1169,
    3630,  2465,   831,  2872,   367,    81,  2843,  2222,    81,  3223,
    2844,  1844,  2845,  3224,  5209,  1737,   824,  4190,   680,  4263,
     925,  1175,  2846,  3666,  1121,  1121,   943,  1121,  4070,  4865,
    2296,  1746,  2544,  3316,  2466,  3188,  4779,  1740,  4282,  1140,
    1186,   246,  3802,  1690,  3998,  3959,  1690,  1690,  3639,  1203,
    2588,  3960,  1026,  4007,  1746,  4290,  4295,  3573,  1196,  1214,
     825,  3961,  4795,  4796,  3225,  2952,  3317,  4071,  3045,  3664,
    1741,  3322,  4118,  4119,  4079,  2423,  3846,   208,  4305,  3666,
    1306,  2545,  1307,  2546,  4871,  2962,  3499,  2963,  3962,  1229,
    3963,  4809,  1001,  4264, -2681,  3318,  1196,  1196,  2049,  1742,
    3323,  1141,  1873,  1201,  1196,  3022,  3842,  1196,  2424,  3847,
    2964,  1196,  1002,  1690,  1743,  3054,  2898,  2542,  2050,  1196,
    1196,  3577,  3578,  3579,  3580,  3581,  3582,  1196,  1215,  4083,
    1196,  1196,  1196,  1196,  2225,  2226,  2595,  2425,  3848,  4349,
    1196,  1196,  2186,  1196,   215,  1196,  1196,  1744,  4265,  1196,
    4266,   208,  3975,  3577,  3578,  3579,  3580,  3581,  3582,  4350,
    1250,  3378,  2187,  3710,  3964,  1950,  1196,   411,  3734,  1142,
    1239,  1196,  1631,  2544,   223,  1196,  1745,  4539,  4912,  1196,
    2229,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    4603,  1196,  3133,  1348,  3136,  4365,  2060,   410,  3435,    35,
    2061,  1196,  1196,  3436,  3949,  1952,  2965,    41,    42,  3436,
     898,  2966,   233, -1443,  4538,  4366,  2967,  3776, -1443,  2217,
    4758,  3965,  2545,  2186,  2546,   236,  3966,  3666,  3574,  3575,
    3576,  5141,  3577,  3578,  3579,  3580,  3581,  3582,  3932,  4468,
    3461,  3837,  4082,  2187,  2220,  1482,  2261,  3071,  3570,  2262,
    1746,   410,  1642,   410,   409, -1396,  3838,  2188,  2542,   411,
     843,   246,  1243,  3967,  1196,  3382,  3127,  2060,   900,   831,
    1251,  2787,    79,  3192,  2222,    79,  2306,  3968,  2186,   883,
      35,   418, -1443,   824,    37,    38,    39,    40,    41,    42,
      43,    44,  3542,   974,  4185,    45,  2790,  4949,  2187,  3755,
    3756,  3533,  1293,    37,    38,    39,    40,  3536,  2940,   418,
      44,  2943,  2190,   411,  1296,   411,  1159,  3543,  3666, -1443,
    1314,  3544,  4186,    45,  1348,  1399,   418,   825,  2236,  2237,
    2238,  2239,  2240,  2241,   680,  2968,  1298,  4572,  1482,  1301,
    1853,  3570,  1321,  1063,  -409,  2969,   409,  1482,  -511,  4188,
    3570,  2629,    81,  4937,    81,  5167,   192,  1330,  4145,  3969,
    1950,  2175,  2176,  2630,  1950,  1950,   130,   131,  2236,  2237,
    2238,  2239,  2240,  2241,   680,  4258,  4259,  1854,   411,   680,
    4124,  3991,   680,    37,    38,    39,    40,  2631,  3248,  2280,
      44,  2362,  2363,  3268,    37,    38,    39,    40,  1331,  1326,
     409,    44,   409,  4691,   680,  4693,   907,  1196,   908,  4697,
    1855,  4698,  1337,  2626,  1856,  4499,  4500,  4501,  1196,    37,
      38,    39,    40,   980,  1332,  1196,    44,  1340,  4184,  1327,
    3572,  1968,  1887,  1482,  2362,  3080,  3570,   215,  3195,  1857,
    3059,  3060,   981,  3864,  4200,   680,   363,  -409,  4190,  1309,
    2544,  1310,  3667,  4545,   418,  3976,  1057,  3978,  3995,    74,
   -1467, -1467,   680,   680,  2913,   409,  1354,   223,  2544,  1950,
      37,    38,    39,    40,   982,  2544,  1924,    44,  2936,  1358,
     831,    37,    38,    39,    40,  3710,   411,   680,    44,  3573,
     411,  1366,  3259,  2216,   824,  1367,  2217,  4185,  3710,  2545,
    2281,  2546,  1329,   925,  1372,   233,  5001,  5002,   363,  5004,
    1381,  3667,   680,  3278,  3712,  3713,   680,  2545,   236,  2546,
    4031,  2220,  1387,  3572,  2545,  4186,  2546,  2221,   975,  2544,
    3397,  2069,  3572,  2070,   680,  2542,  1402,  4084,   825,  1441,
    4187,  3427,  3750,  4205,  4206,  4207,  3358,  2163,   680,  2430,
    4240,  2222,  4188,  2542,  5168,  2163,  4263,  2430,  1056,    45,
    2542,   680,  1348,  1620,  1348, -1945,  3596,  1621,  3598,  3599,
     680,  3278,  2307,   409,  2149,  4189,   246,   409,  2545,  1445,
    2546,  3984,  3573,  3987,  1455,  2312,  4414,  2313,   831,  4886,
    1461,  3573,   831,  4404,  4405,  4406,  1177,  1690,  5019,  3022,
    1462,  2960,   824,  2315,  1467,  2316,   824,  1468,  1178,  1179,
    2163,  1469,  1738,  1196,  2542,  1950,  1473,  1720,  3572,    79,
     940,    79,  1470,  2749,  1012,  2750,  3861,  1348,  1180,  4826,
    4264,  1181,   411,   205,  2789,  1471,  2790,  4512,  3278,  1472,
    2810,   192,  2811,  3278,  1012,  1477,   825,  2812,  5096,  2811,
     825,  4190,  4370,  2223,  2840,  1476,  2841,  2224,  1605,   215,
    3574,  3575,  3576,  1479,  3577,  3578,  3579,  3580,  3581,  3582,
    3044,  1613,  3045,  1111,  4758,  3278,  1608,  3573,  2225,  2226,
    1612,    37,    38,    39,    40,  4265,  1614,  4266,    44,   223,
    1950,  1115,  3868,   680,  1619,  2227,  4078,  1632,  4667,  4668,
    3203,  4670,  3204, -1444,  3264,  1639,  3265,  3871, -1444,  3370,
    4487,  3371,  1482,  1007,  1686,  3570,  2163,  1640,  2430,   409,
    1642,  2228,   215,  1649,  2229,  1159,  3383,   233,  3384,  2544,
     680,   983,  4546,   363,   831,  2136,  2137,  2230,  1196,  1643,
     236,  3652,  3653,  3654,  2544,  1182,  1664,  1665,   824,  1291,
    1116,  1669,   223,  3574,  3575,  3576,  1671,  3577,  3578,  3579,
    3580,  3581,  3582,  3450,  1675,  3451,  3577,  3578,  3579,  3580,
    3581,  3582, -1444,  3501,  3907,  2811,   984,   680,  2545,  4283,
    2546,  3603,  1183,  1111,  1676,  1680,  4416,  3610,  1690,  1950,
     233,  1679,   825,  2545,  1681,  2546,  1690,  3541,  1690,  2790,
     680,  1684,  1691,   236,  1196,  1682,  1683,  1349,   943, -1444,
    1196,  2544,  1692,  1685,  2542,  2232,  2544,  1117,  1694,    37,
      38,    39,    40,    35,   418,  1723,    44,  1196,  1196,  2542,
      45,    41,    42,  1196,    37,    38,    39,    40,    45,   246,
   -1188,    44,    80, -1188,  4306,  3551,  1724,  2790,  3574,  3575,
    3576,  1726,  3577,  3578,  3579,  3580,  3581,  3582,  1196,  1196,
    2545,  1764,  2546,  1196,  3555,  2545,  2790,  2546,  1732,  4402,
    4403,  4404,  4405,  4406,  1738,  1196,  1196,  1196,  1196,  4703,
    3559,  2544,  2790,   411,  4775,  4776,  4777,  4778,  1196,   411,
    3560,  1196,  2790,  1196,  1759,  1871,  2542,  3572,  1786,  1790,
    1457,  2542,  1816,  1196,  1196,  1818,  4527,  1196,  2233,  2234,
    2235,  1819,  2236,  2237,  2238,  2239,  2240,  2241,  1827,   367,
    1196,  2843,  1196,  1824,  4411,  2844,  1196,  2845,  1849,  1475,
    2545,  3586,  2546,  2790,  1118,  1862,  1876,  2846,  1587,  4418,
    1881,  1888,  1599,  1349,  1601,  1196,  4688,  3602,  1883,  2790,
    3710,  1882,  3607,  1210,  3608,  1196,  3573,  1890,  1196,  1196,
    1196, -1582, -1582, -1582, -1582,  3647,  2542,  3648, -1582,  3649,
     409,  3650,  4468,  3830,  1892,  3831,   409,  3835,   680,  3836,
    1898,  4025,  1196,  4026,  4088,   831,  2790,  2216,  1894,  4383,
    2217,   831,  4125,  1899,  4126,  1196,   670,  1904,  1906,   824,
    1196,  4135,  4147,  4136,  2790,   824,  1196,  2218,  4402,  4403,
    4404,  4405,  4406,  1909,  1196,  2220,  4407, -1589, -1589, -1589,
   -1589,  2221,  1914,  4225, -1589,  4226,  4229,  4239,  4230,  3114,
    4384,   679,   679,  1734,  1746,  4262,  1721,  2811,  1690,  4397,
    1956,  4398,  4338,   825,  4340,  2222,  1911,  1959,  4344,   825,
    1961,  4460,  1950,  2811,  4385,  1950,  4544,  1950,  2841,  4729,
    1971,  4605,  1950,  3114,   680,  4612,  1952,  4613,  4502,  4386,
    4618,  1972,  2811,  4387, -1580, -1580, -1580, -1580,  -183,   680,
     680, -1580,  4619,  1974,  2811,  1196,  1976, -1583, -1583, -1583,
   -1583,  1988,  1990,  4388, -1583,  4684,  4389,  4685,  1998,  4743,
    3667,  4744,  3667,  1996,   859,  4784,   680,  4785,  4390,   680,
    2006,  2014,  1950, -1581, -1581, -1581, -1581,  4786,  2019,  2790,
   -1581,  4794,  2020,  2841,  4599,  2021,  2023,  3574,  3575,  3576,
    2025,  3577,  3578,  3579,  3580,  3581,  3582,  4848,  4913,  4849,
    2811,  2026,  4938,  4951,  4939,  2841,  4959,  2223,  4960,  2033,
    2036,  2224,  1950,  4446,  4447,  2037,  4964,  4963,  3045,  4969,
    4971,  4005,  4005,  5013,  5045,  5014,  2275,  4963,  5050,  5061,
    5051,  2841,  2225,  2226,  5062,  5063,  3608,  2790,  2022,   411,
     411,   411,  5073,  5075,  3045,  4005,  4391,  2038,  5088,  2227,
    2841,  2913,  2913,  5094,  4392,  2841,  2913,  5095,  5109,  2841,
    5110,  2039,  5138,   680,  3045,  5182,  5211,  4005,  5212,  3667,
    5222,  1950,  5212,  1950,   680,  2228,  2041,  4571,  2229,  4574,
    1648,  5009,  1650,   680,  2047,  2046,  2048,  2053,  2067,  4393,
    2680,  2230,  2101,  2131,  2231,  2134,  2913,  2913,  2138,  2147,
    2140,  2141,  2148,  2156,  2159,  1690,  2160,  2166,  2161,  2162,
     246,  4875,  2168,  4161,  1349,  2171,  2172,  2248,    80,    80,
    2246,    80,  2173,  2174,  2179,  2250,   409,   409,   409,  2181,
    2182,  2183,  2279,  2184,  1950,  2185,  4046,  1349,  2192,  2253,
    2193,   831,   831,   831,  2195,  2196,  2197,  2198,  2199,  2200,
    4595,  2201,  2202,   680,  2291,   824,   824,   824,  1431,  1950,
    2275,  2311,  2320,  1652,   920,  4881,  4883,  2301,  1654,  2232,
    2349,  2351,  2359,  2361,  2368,  1148,  2382,  2384,  5074,  3926,
    1950,  2376,  2127,  2386,  2394,  2395,  2397,  2402,  2404, -2623,
    2406,  1229,   411,  1950,  2426,  2428,  2206,  4010,  2430,   825,
     825,   825,  2433,  2462,  1349,  2468,  4021,   680,  2489,   680,
    2960,  2427,  2431,  2432,  2493,  1111,  2434,  2495,  2435,  2456,
    4819,   680,  2497,   680,  2496,  2498,  2499,  4045,  2515,  3642,
      35,  1111,  2514,  2525,    37,    38,    39,    40,    41,    42,
    2535,    44,  4690,  2536,  3658,  2538,  4166,  4167,  4168,  4169,
    2541,  2539,  2542,  2540,  4717,   931,  2548,  1950,  2549,  2550,
    2551,  2562,  2233,  2234,  2235,  2555,  2236,  2237,  2238,  2239,
    2240,  2241,   680,  1950,  3033,  2564,  2556,  2210,  2568,   409,
    3034,  2569,  2572,   363,  1801,  2579,  1950,  2215,  2580,  2586,
    2587,  2600,    74,  2611,   831,  4829,  4872,  2601,  2612,  2613,
    2255,  2617,   680,  3658,  2616,  2622,  1110,  4995,   824,  2639,
    4998,  4818,  4130,  1012,  2640,  1012,  1196,  1012,  4823,   680,
    2625,  2652,  2654,  1012,  1429,  1430,  2665,  2655,  2667,  1349,
    2668,  2681,  2285,  2287,  2889,  2152,   680,  1349,  1349,   680,
    2163,  2169,  5005,  2684,  5007,  2685,  1012,  1012,  2688,  2689,
    5015,   893,   825,  2692,  2696,  1196,  2711,  1844,  1950,  2716,
    2731,  2732,  2739,  2744,  2742,  1196,  2745,  2752,  2763,  2766,
    4664,  1196,    35,  1196,  2765,  2746,  2767,  2768,  1950,  1196,
      41,    42,  1196,  1196,  1196,  1196,  1196,  1196,  1196,  1196,
    1196,  1196,  2781,  2782,  2806,  1196,  1196,  3413,  2823,  2807,
    2829,  2890,  2838,  1950,  2852,  1348,  2879,  2880,  1196,  2885,
    2922,  2923,  1196,  2935,   411,  2941,  1196,  2217,  2945,  2978,
    2946,   679,  2953,  2993,  2994,  4953,  1196,  2959,  2976,  1196,
    3007,  1196,  3025,  3024,  3035,  3027,  3032,  3030,  4875,  1950,
    1196,  1196,  1196,  3036,  3046,  3047,  1196,  1690,  1116,  1196,
    3055,  3056,  3057,  3270,  3058,  3089,  3086,  3066,  3088,  2891,
    1690,  2265,  2892,  1196,  3103,  1196,  3104,  1012,  3106,  3116,
    3117,  3118,  3129,  3134,  3137,  3158,  3139,  1196,  3159,  3141,
    3142,  3148,  3161,  1196,  1196,  3153,  1713,  3164,  3667,  3168,
    4927,  3172,  3667,  3180,  3183,  3201,  3196,  1602,  1606,  3250,
    3255,   409,  3266,  3271,  4326,  3263,  3267,  3327,  3279,  3305,
    3324,  3338,  3349,  3345,  3346,  3350,   831,  3351,  3353,  3354,
    3357,  3355,  3363,  3356,  3365,  3372,  3374,  3379,  1196,  3380,
     824,  1012,  4958,  3377,  1196,  3405,  3419,  3378,  3421,  3428,
    1196,  3385,  3248,  3437,  4303,  3434,  4837,  3442,  3444,  3445,
    3414,  3453,  3455,  2893,  3458,  3272,  1950,  3443,  3470,  3474,
    3473,  3476,  3475,  3478,  3479,  3488,  3491,  3494,  3503,  3493,
    3506,  2589,  1196,  3504,   825,  3505,  3045,  2054,  3515,  2853,
    3523,  3526,  3531,  3508,  4855,  3529,  1447,  1229,  3534,  3537,
    3538,  3535,  3539,  3553,  3557,  3554,  3604,  5066,  3556,  2790,
    5187,  3592,  3618,   680,  3623,  3645,  3558,  3675,  3561,  3562,
    3564,  3567,  1690,  3585,  1934,  3591,  3710,  3669,  -993,  3593,
    3720,  1211,  3717,  3594,  3638,  1229,  3601,  1233,  4382,  3737,
    3616,  3617,  3631,  3748,  3641,  3643,  3644,  2660,  1247,   411,
    3674,  3726,  3736,  2060,   411,  1950,   411,  3273,  3754,  3722,
    3732,  3738,  2894,  3741,  3742,  3757,  3768,  3759,  3760,  3771,
    3773,  3795,  3796,  3806,  3780,  3764,  1308,  3765,  3807,  3809,
    1315,  3810,  3819,  3821,  3834,  3859,  3860,  3866,  3863,  3867,
    3872,  1325,   680,   363,   680,  3865,  3415,  3874,   680,  3876,
    3873,  3880,   363,   680,  3882,  3883,   680,  3884,  3885,  3887,
    3886,  2707,  3888,  3898,  3902,  3889,  3890,  3891,    74,    74,
    1348,    74,  2913,   363,  3900,  2913,  2913,  2913,  2913,  2913,
    2913,  2913,  2913,  2913,  2913,  3416,   409,  1012,  3893,  3895,
     411,   409,  3904,   409,  2609,  3906,  3892,  3894,  3912,  3918,
    3919,   831,  4720,  3937,  2216,  4128,   831,  2217,   831,  3922,
    3274,  3938,  2379,  3950,  2856,   824,  3946,  3951,  3275,  3989,
     824,  3276,   824,  3983,  2218,  3992,  3996,  3994,  4016,  4011,
    1196,  4476,  2220,  3982,  2913,  2913,  4043,  2129,  2221,  4004,
    4017,  4020,  4062,  4023,    80,  4063,  4005,    80,  4013,  4068,
    4074,  4052,  4054,   680,   680,  1767,  4064,  1950,  4065,   825,
     680,  2857,  2222,  4073,   825,  5085,   825,  4075,  2149,  4086,
    4091,  3588,  3570,  4045,  3587,  2211,  4121,   409,  4122,  4123,
    4129,  4149,  4137,  4150,  1117,  4162,  4202,  1768,  4175,  4221,
    2858,  4158,   831,  4197,  1950,  1196,  1196,  4242,  4704,  4249,
    4270,  4183,  4272,  4273,  4284,  1131,   824,  4285,  4307,  4213,
    4308,  2859,  4199,  4309,  4310,  4296,  4211,  4322,  4235,  4320,
    4321,  4608,  2860,  4342,  4212,  4346,  4362,  3667,  4214,  4217,
    4218,  4291,  3667,  4323,  4287,  4364,  4324,  3667,  2206,   680,
    3667,  4325,  2861,  1769,  4367,  4373,  4375,  2862,  4606,  4376,
     825,  4399,  4173,  4035,  4176,  2897,  4401,  1196,  4434,  4426,
    4437,  4442,  4444,  4454,  2223,  2811,  4449,  4453,  2224,  4456,
    4471,  4473,  1690,  4457,  5082,  1770,  4474,  4488,  3667,  4485,
    4490,  4498,  1012,  4503,  4505,  4492,  4507,  1012,  1012,  2225,
    2226,   670,   670,  2863,  1196,  4508,  4484,  4509,  4638,  4510,
    4511,  4516,  4519,  4523,  1196,  1196,  2227,  1950,  4524,  4528,
    4529,  1771,  1196,  1196,  2864,  1229,  4854,  1196,  1950,  4530,
    4531,  4536,  4532,  1196,  1196,  4567,  4552,  1196,  4563,  4562,
    1196,  4565,  2228,  4568,  4575,  2229,  4597,  4578,  4580,  4581,
    4596,  1772,  4604,  4600,  4607,  4583,  4584,  4609,  2230,  4585,
    4614,  1196,  4615,  4623,  4636,  1196,  4637,  4643,  4671,   677,
    4678,  2377,  4654,  1430,  2381,  1210,  4657,  1196,  4661,  1773,
    4699,  3029,  1196,  4702,   859,  4718,  4710,  1196,  4723,  4728,
    4730,  2391,  4734,  4736,  4745,  4747,  4753,  4755,  2398,  2400,
    4764,  4756,  4772,  4780,  4788,  4781,  4783,  1348,  4790,  4791,
    4792,  2865,  1774,    81,  4793,  4805,   208,  2866,  3463,  4799,
    1775,  4812,  4821,  2867,  4827,  4712,  1776,  4815,  4831,  4843,
    1196,  3667,  4868,  1777,  4847,  4846,  2232,  1767,  4852,  4857,
    4869,  1778,  4858,  4873,  4880,  4887,  4895,  1014,  1950,  4890,
    1779,  4897,  2868,  4433,  2869,  1012,  4898,  4900,  1780,  4920,
    4901,  4921,  4902,  1012,  4929,   411,  4919,  1014,  4923,  1768,
    4930,  2870,  4925,  2913,  1950,  4946,  4954,  4957,  2914,  4961,
    4972,  2470,  4976,   679,  4966,  4982,   680,  3667,  4991,  5020,
    5025,  1950,  2914,  5029,  5030,  5032,  2871,  5034,   680,  1721,
    5047,    80,  5035,    80,  2558,  5040,  5048,  5049,  5054,  5055,
    1781,  5060,  5064,  1690,  2471,  1012,  5065,   410,  1012,  1012,
     680,  5072,  5076,  5077,  5078,  1769,  5080,  2472,  5091,  2233,
    2234,  2235,  4996,  2236,  2237,  2238,  2239,  2240,  2241,  5099,
    2473,  5097,  5100,  2998,  5103,  1950,  5113,  5105,  5114,  5148,
    3463,  5120,   409,  5151,  5108,  5121,  5136,  1770,  4163,  5101,
     680,  5102,  5159,  5190,  5143,  5207,  5177,   831,  5145,  1767,
    5158,  5163,  5210,  5216,  5220,  5031,  1129,  1847,  2474,   411,
    2638,   824,  1823,  1789,  2623,  1012,  3464,  3423,  3702,  2475,
    3254,  3816,  4301,  1771,  2298,  3921,  4379,  3337,  5011,  4874,
    1601,  1768,  5098,  4922,  1196,  4445,  4924,  4910,  4715,  2476,
    3762,  3502,  5146,  4835,  2477,  1196,  5186,  5106,  5104,  5157,
    5043,  3767,  4441,  1772,  3403,   825,  3404,   363,  4299,  3828,
    2708,  3386,  4000,  5189,  5221,  3667,  5217,  4899,  3947,  3925,
    4856,  5161,  2691,  5093,  5149,  2683,  4859,  2121,  1031,  4504,
    4977,  2133,  4480,  3109,  3749,  2913,  2913,  1769,  4592,  4481,
    5053,  5170,  3901,  1950,  5218,  3463,   409,  1350,  1616,   363,
    3040,  2796,  4463,  3041,  3707,  4598,  2068,  4231,  3498,  1638,
      79,  2478,  2317,  3708,  1767,   680,  3065,  2345,   208,  1770,
    2346,  3718,  3465,  2747,  3716,  2350,  1767,  1196,  1776,  3064,
    4561,  1950,  4178,  3731,  3719,  1777,  1196,  4573,  2755,  4968,
    4174,  4828,  2479,  2508,  2355,  5116,  1768,  5071,  3464,  5070,
    4141,  4232,  1779,  1196,  1196,  1771,  3667,  1196,  1768,  4952,
    1780,  4131,  5139,  5135,  5140,  3711,  3636,  3548,  1624,  3634,
    1196,   859,  1162,  3360,    74,  1196,  4228,    74,  4044,  3009,
    1196,  3360,  3472,  1196,  2748,  1772,  5128,  3090,  1196,  1196,
     370,  4382,  2367,  5147,  1791,  2008,   370,  1132,  1731,  2360,
    1792,   673,  1769,  3081,  2480,  1398,  2128,  1702,  3094,  3097,
    2481,  3697,  1781,  2482,  1769,   680,  3466,   680,  4237,  3095,
    3658,  1196,  4588,  2264,  3658,  1828,  4238,  4216,  1703,   370,
    3500,  1155,  3101,  2808,  1770,  2364,    83,     0,  3429,  2483,
    1793,  1436,  2057,     0,     0,  2484,  1770,     0,     0,     0,
     208,  1950,     0,     0,  1775,     0,     0,  1690,  2485,  1196,
    1776,   670,   363,  3464,     0,     0,  3457,  1777,     0,     0,
    1771,  1829,  1349,     0,   370,  2508,     0,     0,  2886,  2887,
       0,  4914,  1771,  2486,  1779,     0,  2899,     0,     0,  1794,
    2902,  2903,  1780,   411,     0,   680,  1795,     0,     0,  1796,
    1772,     0,     0,     0,     0,  2924,     0,  2925,  1196,  1349,
       0,     0,  1772,     0,     0,     0,     0,     0,     0,     0,
    1052,  5219,     0,     0,     0,     0,     0,     0,  1052,  2947,
    1052,  2948,     0,     0,     0,  2950,     0,     0,     0,     0,
       0,     0,   370,     0,  1781,     0,  1791,     0,  3466,  4035,
    1830,     0,  1792,  1797,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1196,   208,  1950,     0,     0,  1775,
       0,     0,     0,     0,     0,  1776,     0,   208,     0,  2507,
     409,  1775,  1777,  2391,     0,     0,     0,  1776,  1196,  1950,
    2508,  1196,  1793,  1196,  1777,   831,     0,     0,  1831,  1779,
    1832,     0,  2508,     0,     0,     0,     0,  1780,     0,   824,
    1833,  1779,  1799,     0,     0,     0,  1196,     0,     0,  1780,
    1196,     0,  1800,     0,     0,  1950,     0,     0,     0,     0,
    1801,     0,     0,     0,     0,     0,     0,     0,  2621,  1834,
    1802,  1794,     0,     0,     0,     0,     0,  1012,  1795,     0,
       0,  1796,     0,   825,     0,     0,     0,   411,     0,  1781,
    2913,  1950,     0,  3466,  4825,  1950,  1950,     0,     0,  4787,
       0,  1781,  5041,  1835,     0,     0,  1804,  1805,  1836,     0,
       0,     0,     0,     0,     0,     0,  2913,  2913,     0,     0,
       0,     0,     0,   370,     0,     0,     0,     0,     0,  1012,
       0,     0,  1837,     0,     0,  1797,     0,     0,  1196,     0,
       0,     0,     0,  1838,     0,     0,     0,     0,  1690,  1713,
       0,    74,     0,    74,     0,     0,     0,  1196,   370,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2697,
       0,     0,  5206,     0,   409,     0,     0,  1950,     0,     0,
       0,     0,     0,     0,  5059,  2621,     0,  1349,     0,   831,
    1807,     0,  1798,     0,  1799,  1196,     0,     0,  1196,     0,
       0,     0,     0,   824,  1800,     0,     0,     0,     0,     0,
       0,     0,  1801,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1802,  2762,     0,     0,     0,     0,     0,  1196,
       0,     0,     0,     0,  3658,     0,     0,     0,     0,  3658,
       0,     0,  3658,     0,     0,     0,  2621,   825,     0,     0,
       0,     0,   680,     0,     0,  1803,     0,     0,  1804,  1805,
       0,     0,     0,     0,     0,  2914,  2914,     0,     0,  3210,
    2914,     0,     0,     0,     0,     0,     0,     0,  1196,     0,
       0,     0,     0,     0,  1806,     0,     0,     0,     0,  1196,
     367,     0,  5172,     0,     0,  5162,  5173,     0,  5174,  5197,
       0,     0,     0,     0,     0,  1196,  1196,     0,  5175,     0,
    2914,  2914,     0,     0,     0,     0,   680,     0,  1349,     0,
    1012,     0,     0,     0,     0,     0,  1196,     0,  1012,     0,
    1012,   367,     0,  5172,     0,     0,  1014,  5173,  1014,  5174,
    1014,     0,  1807,     0,     0,     0,  1014,     0,  5197,  5175,
       0,  2913,     0,     0,     0,     0,  5197,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1196,     0,  1014,
    1014,     0,     0,     0,     0,     0,     0,   367,     0,  5172,
       0,  1196,     0,  5173,     0,  5174,     0,     0,     0,     0,
       0,     0,     0,     0,  3833,  5175,     0,   363,     0,     0,
       0,   411,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3376,     0,     0,     0,     0,
    3381,     0,     0,     0,     0,     0,     0,    35,     0,     0,
    3862,  2216,     0,     0,  2217,    41,    42,     0,     0,     0,
       0,  2216,     0,     0,  2217,  1196,     0,     0,     0,     0,
     411,  2218,     0,     0,  1196,  3048,     0,     0,   411,  2220,
       0,  2218,     0,     0,  2219,  2221,     0,     0,     0,  2220,
       0,     0,     0,     0,     0,  2221,     0,     0,  2216,  3658,
       0,  2217,     0,     0,     0,  3899,     0,     0,   409,  2222,
    1014,     0,     0,     0,     0,     0,     0,     0,     0,  2222,
       0,     0,     0,   831,   677,   677,  2220,  3360,     0,  1718,
    3360,  3360,  2221,     0,  3360,     0,     0,   824,     0,     0,
    3360,     0,     0,     0,     0,     0,     0,     0,     0,  3935,
       0,     0,     0,     0,  3049,  3944,  2222,   409,     0,     0,
       0,     0,  3935,     0,     0,   409,     0,     0,     0,     0,
       0,     0,   831,     0,  1014,     0,  1349,     0,  1349,     0,
     831,   825,     0,     0,     0,     0,   824,     0,     0,     0,
    1012,     0,     0,     0,   824,     0,     0,     0,   370,     0,
       0,     0,   370,   670,     0,     0,     0,     0,   363,  3524,
       0,  2223,     0,     0,  4003,  2224,   673,     0,  3621,     0,
       0,  2223,   673,     0,     0,  2224,     0,     0,     0,     0,
     825,     0,     0,   673,     0,     0,  2225,  2226,   825,     0,
    4030,  1349,     0,  3119,     0,     0,  2225,  2226,  3123,     0,
       0,  3126,     0,  2227,     0,     0,     0,     0, -2681,     0,
       0,   673,  2224,  2227,     0,   673,     0,     0,     0,     0,
       0,     0,     0,  3149,     0,     0,   673,     0,     0,  2228,
       0,     0,  2229,  2225,  2226,     0,     0,     0,  5198,  2228,
       0,     0,  2229,     0,     0,  2230,     0,     0,  2231,     0,
   -2681,     0,   673,     0,     0,  2230,     0,     0,  2231,     0,
       0,     0,     0,     0,  3199,     0,     0,   673,     0,     0,
       0,     0,   673,     0,     0,     0,     0,     0,     0,  2229,
       0,  3205,   673,     0,     0,     0,     0,  5198,     0,     0,
       0,     0,  2230,     0,     0,  5198,   673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3239,     0,     0,     0,
       0,     0,     0,   371,     0,     0,     0,     0,     0,   371,
    1014,     0,     0,  2232,   674,     0,     0,     0,     0,     0,
       0,  3269,     0,  2232,     0,  3280,     0,     0,     0,     0,
       0,     0,  2391,     0,  4142,  3700,     0,  1012,     0,     0,
       0,   363,   371,  3292,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   363,     0,     0,  3308,     0,     0,
   -2681,     0,     0,     0,  3050,     0,     0,     0,     0,     0,
    3332,     0,     0,     0,     0,     0,  1052,     0,   673,  3339,
    1052,     0,     0,     0,     0,     0,     0,   371,     0,     0,
       0,     0,     0,     0,     0,  5205,     0,     0,     0,   370,
       0,     0,     0,     0,     0,     0,  2233,  2234,  2235,     0,
    2236,  2237,  2238,  2239,  2240,  2241,  2233,  2234,  2235,     0,
    2236,  2237,  2238,  2239,  2240,  2241,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   363,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   371,     0,  2236,  2237,  2238,
    2239,  2240,  2241,     0,     0,     0,   673,   673,     0,     0,
       0,     0,  3778,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2914,     0,     0,  2914,
    2914,  2914,  2914,  2914,  2914,  2914,  2914,  2914,  2914,     0,
       0,     0,     0,     0,     0,  1014,     0,     0,     0,     0,
    1014,  1014,     0,     0,     0,     0,     0,     0,     0,  2914,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1052,     0,     0,  2216,     0,     0,  2217,  2914,  2914,
       0,     0,     0,     0,  3935,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2218,     0,     0,     0,     0,     0,
       0,  3854,  2220,  3856,     0,     0,     0,  4327,  2221,     0,
    4328,     0,  4329,     0,     0,     0,  3514,     0,     0,     0,
       0,     0,     0,     0,   677,     0,     0,     0,  2216,     0,
       0,  2217,  2222,     0,     0,     0,   371,     0,     0,  3514,
       0,     0,     0,     0,     0,     0,     0,     0,  2218,     0,
       0,     0,     0,     0,     0,     0,  2220,     0,     0,  3360,
       0,     0,  2221,     0,  3897,  3360,  3360,     0,  2660,     0,
       0,   371,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2216,     0,     0,  2217,  2222,     0,  3944,  3911,
       0,     0,     0,     0,     0,     0,     0,     0,  1014,  4413,
    4415,  4417,  4419,     0,   673,     0,  1014,     0,     0,  1012,
    2220,     0,     0,     0,  3939,  3942,  2221,     0,     0,   673,
    1791,     0,  1012,     0,     0,     0,  1792,     0,   672,     0,
       0,     0,     0,     0,  2223,     0,     0,     0,  2224,     0,
    2222,     0,   673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3988,     0,     0,   822,     0,  1014,  2225,
    2226,  1014,  1014,     0,     0,     0,  1793,     0,     0,     0,
    4479,     0,  2040,     0,     0,     0,  2227,     0,   673,     0,
       0,     0,     0,  2055,     0,     0,     0,  3210,  2223,     0,
       0,     0,  2224,   673,     0,     0,     0,     0,     0,     0,
       0,   822,  2228,     0,     0,  2229,   673,     0,     0,   673,
       0,     0,     0,  2225,  2226,  1794,  4048,     0,  2230,     0,
       0,  2231,  1795,     0,     0,  1796,     0,     0,  1014,     0,
    2227,     0,     0,  4514,     0,     0,     0,     0,     0,     0,
       0,     0,  2223,     0,     0,     0,  2224,  1051,     0,     0,
       0,     0,     0,     0,     0,  1051,  2228,  1051,     0,  2229,
       0,     0,     0,     0,     0,     0,     0,  2225,  2226,   822,
       0,     0,  2230,     0,  1012,  2231,     0,     0,     0,  1797,
       0,     0,     0,     0,  2227,     0,     0,     0,  4092,     0,
       0,     0,     0,     0,     0,     0,  2232,     0,     0,     0,
       0,     0,     0,  3751,     0,     0,     0,  2914,  4098,     0,
       0,     0,     0,  2229,     0,     0,     0,     0,     0,  1791,
       0,     0,     0,     0,     0,  1792,  2230,     0,     0,     0,
       0,     0,     0,  4120,   673,     0,  1798,     0,  1799,     0,
       0,     0,   673,   673,     0,  3774,     0,     0,  1800,     0,
    2232,     0,     0,   370,     0,     0,  1801,     0,  4587,     0,
    4593,  4594,     0,     0,     0,  1793,  1802,     0,     0,  2129,
       0,  1791,     0,     0,     0,     0,     0,  1792,     0,     0,
       0,     0,    80,     0,     0,     0,     0,     0,     0,  2233,
    2234,  2235,     0,  2236,  2237,  2238,  2239,  2240,  2241,  1850,
       0,     0,  1804,  1805,  2232,  3563,   370,   370,   370,     0,
       0,     0,     0,     0,  1794,     0,     0,  1793,     0,     0,
       0,  1795,     0,     0,  1796,     0,   673,     0,  1851,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3839,  2233,  2234,  2235,     0,  2236,  2237,  2238,
    2239,  2240,  2241,  3857,     0,     0,   370,     0,     0,  3611,
       0,     0,     0,   370,     0,     0,  1794,     0,     0,     0,
     370,  4234,     0,  1795,     0,     0,  1796,  1052,  1797,     0,
       0,     0,     0,     0,     0,     0,  1807,     0,     0,  2914,
    2914,   371,     0,     0,     0,   371,     0,  2233,  2234,  2235,
       0,  2236,  2237,  2238,  2239,  2240,  2241,     0,     0,   674,
    1052,     0,  4673,  4674,     0,   674,     0,     0,  1791,     0,
       0,     0,  3360,  3360,  1792,     0,   674,     0,     0,  1349,
    1797,     0,  3908,  4692,     0,  1798,     0,  1799,     0,  2216,
       0,     0,  2217,     0,     0,     0,     0,  1800,     0,  3944,
    3944,  3944,  3944,  3944,   674,  1801,     0,     0,   674,  2218,
       0,     0,     0,     0,  1793,  1802,     0,  2220,     0,   674,
       0,     0,     0,  2221,  1012,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1798,     0,  1799,
       0,     0,     0,     0,     0,   674,  1012,  2222,  1877,  1800,
       0,  1804,  1805,   673,  4738,  1052,     0,  1801,     0,     0,
     674,     0,     0,  1794,     0,   674,     0,  1802,     0,     0,
    1795,     0,     0,  1796,     0,   674,     0,  1878,     0,     0,
       0,  4757,     0,     0,     0,     0,     0,     0,     0,   674,
    1791,     0,     0,     0,     0,     0,  1792,     0,     0,     0,
    2490,     0,     0,  1804,  1805,  4514,  4514,  4514,  4514,     0,
    1014,     0,     0,     0,     0,  1429,  1430,     0,     0,     0,
       0,     0,     0,     0,  4396,     0,     0,  1797,  3942,  2491,
       0,  2621,     0,     0,   370,  1807,  1793,     0,     0,  4412,
       0,     0,     0,     0,     0,     0,     0,     0,  4069,  2223,
       0,     0,     0,  2224,   673,     0,     0,     0,     0,     0,
       0,     0,  1014,     0,     0,     0,   677,     0,  4081,     0,
     673,     0,     0,     0,  2225,  2226,     0,  4448,     0,     0,
       0,   674,  1718,     0,  1798,  1794,  1799,  1807,     0,     0,
       0,  2227,  1795,     0,     0,  1796,  1800,     0,     0,     0,
       0,     0,   371,     0,  1801,     0,     0,   673,   673,     0,
       0,     0,     0,     0,  1802,     0,     0,  2228,   673,     0,
    2229,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     673,   673,     0,  2230,     0,     0,  2231,     0,     0,     0,
    3935,     0,     0,     0,     0,     0,     0,  2552,     0,  1797,
    1804,  1805,   673,     0,     0,  1012,     0,     0,     0,  2754,
       0,     0,     0,     0,     0,     0,     0,     0,  2760,   674,
     674,     0,  2764,     0,     0,  3360,  2553,     0,  2770,  2771,
       0,     0,     0,     0,  1349,     0,     0,     0,  4878,     0,
    4879,  1791,     0,     0,  4884,  4885,  2783,  1792,     0,     0,
       0,     0,     0,     0,     0,     0,  1798,     0,  1799,     0,
       0,  2232,     0,     0,  2914,     0,     0,     0,  1800,     0,
       0,     0,     0,  2914,     0,   822,  1801,     0,     0,     0,
       0,     0,     0,     0,  1807,     0,  1802,  1793,  2129,     0,
    2914,  2914,     0,   672,     0,     0,     0,     0,     0,   672,
       0,     0,     0,  1014,     0,     0,     0,     0,     0,     0,
     672,  1014,     0,  1014,     0,     0,     0,     0,     0,  3207,
       0,     0,  1804,  1805,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1794,     0,   672,     0,
       0,     0,   672,  1795,     0,     0,  1796,     0,  1806,     0,
    2391,   370,     0,   672,  2233,  2234,  2235,     0,  2236,  2237,
    2238,  2239,  2240,  2241,     0,     0,     0,     0,  2944,     0,
       0,     0,    74,     0,     0,     0,     0,     0,     0,   672,
    1012,     0,  4279,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,     0,     0,  1791,   672,
    1797,     0,     0,     0,  1792,     0,  1807,     0,  4627,   672,
       0,     0,     0,     0,     0,  1197,  1199,     0,     0,  1202,
    5012,  1204,     0,   672,     0,     0,     0,   674,     0,     0,
    1012,     0,     0,     0,  4640,     0,     0,     0,     0,     0,
    1245,     0,   674,   370,  1793,     0,     0,     0,  4651,  4652,
       0,  4653,     0,  4655,  4656,     0,     0,  1798,     0,  1799,
    1297,     0,     0,     0,  1300,   674,     0,     0,     0,  1800,
       0,     0,  4351,     0,     0,  4354,     0,  1801,     0,     0,
       0,  1323,     0,     0,     0,     0,     0,  1802,     0,  1791,
       0,     0,     0,  1794,     0,  1792,     0,   370,     0,   370,
    1795,   674,     0,  1796,  3037,  4675,     0,     0,     0,     0,
       0,     0,     0,  1051,     0,   672,   674,  1051,   673,  1012,
    3294,     0,     0,  1804,  1805,  2914,     0,     0,     0,   674,
    1791,     0,   674,     0,     0,  1793,  1792,     0,     0,  3942,
    3942,  3942,  3942,  3942,     0,     0,     0,  1012,     0,  3295,
       0,     0,     0,  1014,     0,     0,     0,  1797,   673,     0,
       0,  1349,   370,   673,     0,     0,   673,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1793,     0,     0,  4451,
       0,     0,     0,     0,  1794,     0,     0,     0,   673,     0,
       0,  1795,     0,     0,  1796,     0,     0,     0,     0,     0,
       0,     0,     0,   672,   672,     0,     0,  1807,     0,     0,
       0,     0,     0,     0,  1798,     0,  1799,     0,     0,     0,
       0,     0,     0,     0,     0,  1794,  1800,     0,     0,   673,
       0,     0,  1795,     0,  1801,  1796,     0,     0,     0,     0,
    1052,     0,     0,     0,  1802,     0,   673,   673,  1797,     0,
       0,     0,     0,     0,     0,     0,     0,   674,  3514,     0,
       0,  2129,     0,     0,     0,   674,   674,     0,     0,     0,
     370,   673,     0,     0,   370,     0,   371,  3340,  1051,     0,
    1804,  1805,     0,     0,     0,     0,     0,     0,     0,  1797,
       0,     0,     0,     0,     0,     0,   673,     0,     0,     0,
     673,     0,     0,     0,     0,  1798,  3341,  1799,     0,     0,
    5199,     0,     0,     0,     0,     0,     0,  1800,   673,     0,
       0,     0,     0,     0,     0,  1801,  4824,     0,     0,   371,
     371,   371,   673,     0,     0,  1802,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   673,  1798,     0,  1799,   674,
       0,     0,     0,     0,   673,     0,     0,     0,  1800,  5199,
    1014,     0,     0,     0,  1807,     0,  1801,  5199,  3800,     0,
       0,  1804,  1805,     0,     0,     0,  1802,     0,     0,   371,
    1012,     0,     0,     0,     0,     0,   371,  1814,  1815,     0,
       0,     0,     0,   371,     0,     0,     0,  3801,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2216,     0,  3840,
    2217,   672,  1804,  1805,     0,     0,   370,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   672,  2218,     0,     0,
    2216,     0,     0,  2217,     0,  2220,     0,     0,  3841,     0,
       0,  2221,     0,     0,     0,     0,     0,     0,     0,   672,
    2218,     0,     0,     0,     0,  1807,     0,     0,  2220,     0,
    1907,     0,     0,     0,  2221,  2222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   673,     0,     0,
       0,  1965,  1966,     0,     0,   672,     0,     0,  2222,     0,
       0,     0,     0,     0,     0,  4648,  1807,     0,     0,     0,
     672,  1997,     0,     0,     0,     0,     0,  4658,     0,     0,
       0,     0,  2216,   672,   673,  2217,   672,     0,     0,  2129,
       0,     0,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,  2218,     0,     0,     0,     0,     0,  2030,  2032,
    2220,     0,     0,     0,     0,     0,  2221,     0,     0,     0,
       0,     0,  3480,     0,     0,  3897,     0,     0,     0,     0,
       0,   673,     0,     0,     0,     0,     0,  2223,  3489,  3490,
    2222,  2224,  3492,     0,     0,     0,     0,     0,  3496,     0,
       0,     0,     0,     0,   673,     0,     0,     0,     0,     0,
    2223,  2129,  2225,  2226,  2224,  2129,  2129,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   371,     0,  2227,
       0,     0,     0,     0,     0,  2225,  2226,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   674,     0,     0,
       0,     0,  2227,     0,     0,  2228,     0,     0,  2229,     0,
       0,   672,     0,   674,     0,     0,     0,     0,  3532,   672,
     672,  2230,     0,     0,  2231,     0,     0,     0,  2228,     0,
     822,  2229,     0,     0,     0,     0,     0,   370,     0,     0,
       0,     0,  2223,   370,  2230,     0,  2224,  2231,     0,     0,
     674,   674,     0,  5057,     0,     0,     0,     0,     0,     0,
       0,   674,     0,     0,  3514,     0,     0,  2225,  2226,     0,
       0,     0,  1014,   674,   674,     0,     0,     0,     0,     0,
       0,     0,     0,   822,  2227,  1014,     0,  2216,     0,     0,
    2217,     0,     0,     0,     0,   674,     0,     0,     0,  2232,
       0,     0,     0,   672,     0,     0,     0,     0,     0,     0,
    2228,     0,     0,  2229,     0,  2220,     0,     0,     0,     0,
       0,  2221,  2232,     0,     0,     0,  2230,     0,  2216,  2231,
       0,  2217,   673,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2222,     0,   822,  2218,     0,
       0,     0,     0,     0,  1051,     0,  2220,     0,     0,     0,
       0,     0,  2221,     0,  3514,     0,  3514,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2222,  1051,     0,     0,
       0,     0,  2233,  2234,  2235,     0,  2236,  2237,  2238,  2239,
    2240,  2241,     0,     0,  2232,     0,  3936,  3632,     0,     0,
       0,     0,     0,     0,     0,  2233,  2234,  2235,   673,  2236,
    2237,  2238,  2239,  2240,  2241,     0,     0,     0,     0,  4093,
       0,     0,     0,   673,   673,     0,     0,  1014,     0,     0,
       0,     0,     0,     0,   371,     0,     0, -2681,  1791,     0,
       0,  2224,     0,     0,  1792,     0,     0,     0,     0,     0,
     673,     0,     0,   673,     0,     0,     0,     0,     0,     0,
    5196,     0,  2225,  2226,     0,     0,     0,     0,     0,     0,
     672,     0,  1051,     0,     0,     0,     0,     0,  2223, -2681,
       0,     0,  2224,     0,  1793,     0,     0,  2233,  2234,  2235,
       0,  2236,  2237,  2238,  2239,  2240,  2241,     0,     0,  4215,
       0,  3772,     0,  2225,  2226,     0,     0,     0,  2229,  5196,
       0,     0,     0,     0,     0,     0,     0,  5196,     0,     0,
    2227,  2230,     0,   370,   370,   370,   371,     0,     0,     0,
    2537,     0,     0,  1794,     0,     0,     0,     0,     0,     0,
    1795,     0,     0,  1796,     0,     0,  2228,   673,     0,  2229,
       0,   822,     0,     0,     0,     0,     0,     0,   673,     0,
       0,     0,  2230,     0,     0,  2231,     0,   673,     0,     0,
       0,   672,     0,  3820,     0,  3822,     0,     0,     0,     0,
     371,     0,   371,     0,     0,     0,     0,   672,  2604,  2605,
    2606,  2607,     0,     0,     0,     0, -2186,  1797,     0, -2681,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,   672,     0,     0,     0,     0,
    2643,  2644,     0,     0,     0,   672,  2653,   673,     0,     0,
    2232,   674,     0, -2186,     0,   371,   674,   672,   672,   674,
       0,     0,     0,     0,  1798, -2186,  1799,     0,     0,  1947,
   -2186,     0,     0,     0,     0, -2186,  1800,     0,     0,   672,
   -2186,   674,     0, -2186,  1801, -2186,   370,     0,     0,  3896,
       0,  2677,     0,     0,  1802,  3903,     0,     0,     0,     0,
       0,   673,     0,   673,     0,     0,  2236,  2237,  2238,  2239,
    2240,  2241, -2186,     0,     0,   673,     0,   673,  2712,  2713,
    2714,  2715,   674,     0,     0,     0,     0,     0,     0,     0,
    1804,  1805,     0,     0, -2186,     0,     0,  1014,     0,   674,
     674,     0,     0,  2233,  2234,  2235,     0,  2236,  2237,  2238,
    2239,  2240,  2241,     0,     0,     0,  1806,  4140,     0,  1014,
       0,     0,     0,   371,   674,     0,   673,   371,     0,     0,
       0, -2186,     0,     0,     0,     0,     0,     0,  2774, -2186,
       0,  2216,     0,     0,  2217,     0,     0,  2778,     0,   674,
       0,     0,     0,   674,  2785,     0,   673,     0,     0,     0,
       0,  2218,     0,     0,     0,     0,     0,     0,     0,  2220,
       0,   674,     0,   673,  1807,  2221,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   674,     0, -2186,   822,     0,
     673,     0,  1947,   673,     0,  3514,     0,     0,   674,  2222,
       0,  4047,     0,     0,     0,  4050,  4051,   674,  4053,     0,
    4055,  4056,     0,     0,     0,     0,     0,     0,     0,  4061,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1027,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2216,     0,     0,  2217,     0,     0,
       0,     0,     0,     0,  4080,     0, -2186,     0,     0,     0,
       0,     0,     0,     0,  2218,     0,     0,     0,   370,   371,
       0,     0,  2220,     0,     0,     0,     0,     0,  2221,     0,
   -2186,     0, -2186, -2186,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2223,  2222,     0,  2216,  2224,     0,  2217,     0,     0,
       0,     0,     0,     0,     0,     0,     0, -2186,     0,     0,
   -2186, -2186,  2957, -2186,  2218,     0,  2225,  2226,  1014,     0,
     674,     0,  2220,     0,     0,     0,     0,     0,  2221,     0,
       0,     0,     0,  2227,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,     0,     0,
       0,     0,  2222,     0,     0,     0,     0,   674,     0,  2228,
       0,     0,  2229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2230,     0,     0,  2231,     0,
       0,     0,     0,     0,     0,   672,     0,     0,     0,   822,
     672,     0,     0,   672,  2223,     0,     0,     0,  2224,     0,
       0,     0,     0,     0,   674,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   672,     0,     0,     0,  2225,
    2226,     0,     0,     0,     0,     0,     0,   674,     0,     0,
       0,     0,     0,  3587,     0,     0,  2227,     0,  3588,     0,
       0,     0,     0,     0,     0,     0,     0,   673,     0,     0,
       0,     0,     0,  2232,  2223,  2422,   672,     0,  2224,     0,
       0,     0,  2228,     0,     0,  2229,     0,  1051,     0,     0,
       0,     0,     0,   672,   672,     0,     0,     0,  2230,  2225,
    2226,  2231,     0,   370,     0,     0,     0,     0,   370,     0,
     370,     0,     0,  1014,     0,     0,  2227,   822,   672,     0,
       0,   822,     0,     0,     0,     0,     0,     0,     0,  2422,
     371,     0,     0,     0,     0,     0,   371,     0,     0,     0,
       0,     0,  2228,   672,     0,  2229,   673,   672,   673,     0,
       0,     0,   673,     0,     0,     0,     0,   673,  2230,  1947,
     673,  2231,     0,  1014,     0,   672,  2233,  2234,  2235,     0,
    2236,  2237,  2238,  2239,  2240,  2241,  2232,     0,     0,   672,
    4220,     0,  3165,  3166,  3167,     0,     0,     0,     0,     0,
       0,  3177,   672,  3179,   370,  3181,  3182,     0,     0,     0,
       0,   672,     0,     0,  2216,     0,     0,  2217,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2218,   674,     0,     0,     0,     0,
       0,     0,  2220,     0,     0,  1947,  2232,     0,  2221,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1014,     0,  2422,     0,     0,   673,   673,     0,
       0,     0,  2222,   822,   673,     0,     0,     0,     0,  2233,
    2234,  2235,  1947,  2236,  2237,  2238,  2239,  2240,  2241,     0,
    1014,     0,     0,  4251,     0,     0,     0,     0,     0,  3287,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1947,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,   674,   674,     0,  2233,
    2234,  2235,     0,  2236,  2237,  2238,  2239,  2240,  2241,     0,
       0,     0,     0,   673,     0,     0,     0,     0,     0,  3352,
       0,     0,     0,   674,     0,     0,   674,  3361,     0,     0,
       0,   672,  3362,  1947,  2223,     0,     0,     0,  2224,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  4493,     0,     0,     0,     0,     0,  2225,
    2226,  4496,  4497,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2227,     0,   672,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   371,   371,   371,     0,
       0,   672,  2228,     0,     0,  2229,     0,     0,     0,     0,
       0,     0,     0,  3447,     0,     0,     0,     0,  2230,     0,
     674,  2231,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   674,     0,     0,     0,     0,     0,     0,     0,     0,
     674,     0,     0,     0,     0,  3483,  2216,  3485,     0,  2217,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2216,     0,     0,  2217,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2220,     0,     0,     0,     0,     0,
    2221,  2218,     0,  1014,   822,     0,     0,     0,     0,  2220,
     822,     0,     0,     0,     0,  2221,  2232,     0,     0,     0,
    2216,     0,     0,  2217,  2222,     0,     0,     0,     0,     0,
     674,     0,     0,     0,     0,     0,     0,     0,     0,  2222,
    2218,     0,     0,     0,     0,     0,     0,     0,  2220,   370,
    1947,     0,     0,     0,  2221,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   371,
     673,     0,     0,  3540,     0,     0,     0,     0,  2222,     0,
       0,     0,   673,     0,   674,     0,   674,  3019,     0,     0,
       0,     0,  4626,     0,     0,     0,     0,     0,   674,   672,
     674,     0,     0,     0,   673,     0,     0,     0,     0,  2233,
    2234,  2235,     0,  2236,  2237,  2238,  2239,  2240,  2241,     0,
       0,  4641,  4642,  4517,     0,     0,  2223,     0,     0,     0,
    2224,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2223,     0,     0,   673,  2224,     0,     0,     0,   674,
       0,  2225,  2226,     0,     0,     0,     0,     0,  5180,     0,
       0,     0,     0,   370,     0,     0,  2225,  2226,  2227,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   674,
    2223,     0,     0,  2227,  2224,   672,     0,     0,     0,     0,
       0,     0,  4676,  4677,     0,     0,   674,  2229,     0,     0,
     672,   672,     0,     0,     0,  2225,  2226,     0,     0,  2228,
    2230,     0,  2229,   674,     0,     0,   674,     0,     0,     0,
       0,     0,  2227,     0,     0,  2230,     0,   672,  2231,     0,
     672,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3105,     0,     0,  2228,  2422,
    3111,  2229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2230,     0,     0,  2231,     0,   673,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  5181,     0,     0,  2232,     0,
       0,   371,     0,     0,     0,     0,     0,     0,     0,     0,
     822,   822,   822,  2232,     0,     0,  5058,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4768,     0,  4769,  4770,
       0,     0,     0,     0,   672,     0,     0,     0,     0,     0,
    4773,     0,     0,     0,     0,   672,     0,     0,     0,     0,
       0,     0,  2232,     0,   672,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1947,     0,   718,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   673,
    3781,   673,  3782,  3783,  3784,     0,     0,     0,     0,     0,
       0,     0, -2681, -2681,     0,  2236,  2237,  2238,  2239,  2240,
    2241,     0,     0,     0,   718,     0,  2233,  2234,  2235,     0,
    2236,  2237,  2238,  2239,  2240,  2241,     0,     0,     0,     0,
    4551,     0,     0,     0,   672,   718,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1023,     0,  2233,  2234,  2235,     0,  2236,
    2237,  2238,  2239,  2240,  2241,     0,  1024,   370,     0,   673,
       0,     0,     0,   822,  1032,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   672,  1043,
     672,  1023,     0,     0,     0,  1064,     0,     0,     0,     0,
     674,     0,   672,     0,   672,  1095,     0,     0,     0,     0,
       0,     0,     0,  1100,  2216,     0,     0,  2217,     0,     0,
    1947,  1791,     0,     0,     0,     0,     0,  1792,     0,     0,
       0,     0,     0,     0,  2218,     0,   371,     0,     0,     0,
       0,   371,  2220,   371,     0,     0,     0,     0,  2221,     0,
       0,     0,  1828,   672,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1793,     0,     0,
       0,     0,  2222,     0,     0,     0,     0,     0,     0,   674,
       0,   674,     0,   672,     0,   674,     0,     0,     0,     0,
     674,     4,     0,   674,     0,  2422,     0,     0,  1829,     0,
     672,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     5,     0,     0,     0,     0,  1794,   672,  4948,     0,
     672,     6,     7,  1795,     0,     0,  1796,   371,     0,     9,
      10,   370,     0,    11,    12,    13,    14,    15,    16,    17,
      18,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    30,    31,    32,    33,    34,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,  2223,     0,  4979,  1830,  2224,     0,
    1797,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     674,   674,     0,     0,  1947,   822,     0,   674,     0,  2225,
    2226,     0,     0,     0,     0,     0,     0,     0,  4057,     0,
       0,  4058,     0,     0,  5010,     0,  2227,     0,     0,     0,
      46,     0,     0,     0,     0,  1831,     0,  1832,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1833,     0,  1799,
       0,     0,  2228,     0,     0,  2229,     0,     0,     0,  1800,
       0,     0,     0,     0,     0,     0,     0,  1801,  2230,  4085,
       0,  2231,     0,     0,     0,     0,  1834,  1802,     0,     0,
       0,     0,     0,     0,     0,     0,   674,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      47,     0,     0,     0,     0,     0,   673,     0,     0,     0,
    3282,     0,     0,  1804,  1805,  1836,     0,     0,    48,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    49,  3283,
       0,     0,     0,     0,     0,     0,  2232,     0,     0,     0,
    1838,  2216,     0,     0,  2217,     0,     0,     0,     0,     0,
      50,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     673,  2218,     0,  3019,  3019,  3019,     0,     0,     0,  2220,
       0,     0,     0,     0,     0,  2221,     0,     0,     0,     0,
       0,     0,     0,     0,   672,     0,    51,  1807,     0,    52,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2222,
       0,     0,     0,     0,    53,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   718,     0,
     822,     0,     0,     0,     0,   822,     0,   822,     0,  2233,
    2234,  2235,     0,  2236,  2237,  2238,  2239,  2240,  2241,     0,
       0,     0,     0,  4789,     0,   370,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2422,     0,     0,
    3111,     0,  3111,   672,     0,   672,     0,  2422,     0,   672,
       0,     0,     0,     0,   672,     0,     0,   672,     0,     0,
      54,     0,     0,     0,     0,  5183,     0,     0,     0,     0,
       0,     0,   371,     0,   370,     0,     0,     0,     0,     0,
       0,  2223,   370,     0,     0,  2224,  4274,  4275,  4276,  4277,
       0,   822,     0,   674,     0,     0,     0,  1947,     0,     0,
       0,     0,    55,     0,     0,   674,  2225,  2226,     0,     0,
       0,     0,     0,     0,     0,     0,    56,     0,     0,     0,
       0,     0,     0,  2227,     0,     0,     0,   674,     0,     0,
       0,    57,     0,     0,     0,     0,     0,  2422,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2228,
       0,     0,  2229,     0,   672,   672,     0,     0,     0,    58,
       0,   672,     0,     0,     0,  2230,    59,   674,  2231,     0,
      60,    61,    62,    63,    64,     0,     0,    65,    66,  1391,
       0,     0,     0,     0,    71,  1392,   371,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1947,     0,  1947,     0,
       0,     0,     0,     0,     0,     0,  1192,  1198,  1198,   718,
       0,  1198,     0,  1206,     0,  1192,     0,  1095,     0,     0,
    1231,     0,     0,     0,     0,  1095,     0,     0,  1095,     0,
       0,     0,  1198,     0,  1095,     0,     0,     0,     0,     0,
     672,     0,  1261,  2232,     0,     0,     0,  1095,     0,  1192,
       0,     0,  1198,     0,   718,     0,  1198,     0,     0,  1947,
    4427,     0,     0,  1231,     0,     0,  1318,     0,     0,     0,
       0,     0,     0,  1198,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1947,     0,     0,     0,     0,     0,
       0,     0,   674,  2216,     0,     0,  2217,     0,     0,     0,
       0,     0,     0,     0,     0,  3111,  1192,     0,     0,     0,
       0,   718,     0,  2218,     0,     0,  1192,     0,  3111,     0,
    1231,  2220,     0,     0,     0,     0,     0,  2221,     0,     0,
       0,     0,     0,     0,     0,  1198,  2233,  2234,  2235,     0,
    2236,  2237,  2238,  2239,  2240,  2241,     0,     0,     0,     0,
    4798,  2222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2216,     0,     0,  2217,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,     0,     0,     0,
    1095,     0,   674,     0,   674,     0,     0,  2216,  3111,     0,
    2217,     0,  2220,  1095,  1466,     0,     0,     0,  2221,     0,
       0,  1947,     0,     0,     0,     0,     0,  2218,     0,     0,
       0,     0,     0,     0,     0,  2220,     0,     0,     0,     0,
    1576,  2221,  2222,     0,   718,  1095,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2223,  1095,  2222,   822,  2224,  1095,     0,
       0,     0,     0,     0,     0,     0,  1576,     0,     0,     0,
     371,     0,   674,     0,     0,     0,  1095,   672,  2225,  2226,
       0,     0,     0,  1947,     0,     0,     0,     0,  1095,   672,
       0,     0,     0,     0,  4155,  2227,     0,     0,     0,     0,
       0,     0,     0,  1947,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,  2229,     0,     0,     0,  1947,     0,
       0,     0,     0,     0, -2681,     0,     0,  2230,  2224,     0,
    2231,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   672,     0,     0,     0,     0,     0,  2223,     0,  2225,
    2226,  2224,     0,     0,  1947,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0, -2681,  1095,     0,  1198,
    1198,     0,  2225,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2227,
       0,     0,     0,     0,     0,  2229,     0,     0,     0,  3019,
       0,     0,     0,     0,     0,  2232,     0,     0,  2230,     0,
       0,     0,     0,     0,  1192,  2228,     0,     0,  2229,     0,
       0,     0,     0,     0,   371,  1192,     0,     0,     0,  1231,
       0,  2230,     0,     0,  2231,     0,     0,     0,  4669,     0,
       0,     0,  1198,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4672,     0,     0,     0,     0,  1095,     0,     0,
       0,     0,     0,  1198,  1198,     0,   672,     0,     0,     0,
       0,  2422,     0,     0,     0,     0,     0,     0,     0,  1095,
    1095,  1095,     0,  1198,     0,  1192, -2681,     0,     0,  2005,
       0,     0,     0,     0,     0,     0,     0,     0,  2233,  2234,
    2235,     0,  2236,  2237,  2238,  2239,  2240,  2241,     0,  2232,
       0,     0,  4833,     0,     0,     0,  2216,     0,  1198,  2217,
    1198,  1198,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2220,     0,     0,     0,     0,     0,
    2221,  4740,     0,     0,  1576,     0,     0,     0,     0,     0,
    3111,     0,     0,     0,     0,     0,   672,     0,   672,     0,
       0,     0,     0,     0,  2222,     0,     0,     0,     0,     0,
       0,     0,     0,  2236,  2237,  2238,  2239,  2240,  2241,   674,
       0,     0,  2104,  2104,     0,     0,     0,  1095,     0,  1023,
       0,     0,  2233,  2234,  2235,     0,  2236,  2237,  2238,  2239,
    2240,  2241,     0,     0,     0,     0,  4893,     0,     0,     0,
       0,     0,  2139,     0,     0,  1095,  2216,     0,  2145,  2217,
       0,     0,     0,     0,     0,     0,  4156,     0,     0,     0,
    1576,     0,     0,     0,   822,     0,   672,     0,     0,     0,
       0,     0,     0,   674,  2220,     0,     0,     0,     0,     0,
    2221,     0,  2216,     0,     0,  2217,     0,     0,     0,  1576,
       0,     0,     0,     0,     0,     0, -2681,     0,     0,     0,
    2224,     0,  2218,     0,  2222,     0,     0,     0,     0,     0,
    2220,     0,     0,     0,     0,     0,  2221,  1576,  1576,     0,
    1576,  2225,  2226,     0,     0,  4838,  4840,  4840,     0,     0,
       0,     0,  1947,     0,     0,     0,     0,     0, -2681,  1576,
    2222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   371,     0,
     718,   718,     0,     0,     0,     0,  4159,  2229,     0,  2422,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2230,     0,     0,     0,   887,     0,     0,     0,     0,  1095,
       0,     0,  1576,     0,     0,     0,   888,     0,     0,     0,
       0,     0,     0,     0,     0,     0, -2681,   371,     0,     0,
    2224,     0,     0,     0,     0,   371,     0,   889,     0,     0,
       0,  1576,     0,     0,     0,  1576,  1576,     0,   822,     0,
     890,  2225,  2226,     0,     0,     0,  1095,  1095,  2358,   891,
       0,     0,  2223,  -745,     0,     0,  2224,     0, -2681,     0,
       0,     0,     0,     0,     0,     0,     0,     0, -2681,     0,
     892,     0,     0,     0,   718,  4934,   893,  2225,  2226,     0,
       0,     0,     0,     0,     0,     0,     0,  2229,     0,     0,
       0,   894,  1947,     0,  2227,     0,     0,     0,     0,     0,
    2230,     0,   895,  1947,     0,     0,     0,     0,     0,     0,
     896,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2228,     0,   897,  2229,     0,     0,     0,     0,     0,   898,
       0,     0,     0,   899,     0,     0,  2230,     0,     0,  2231,
       0,     0,     0,     0,     0,     0,     0,     0,  -947,     0,
       0,     0,  3019,     0,     0,     0,     0,  3019,     0,  4983,
       0,     0,  3019,     0,     0,  2236,  2237,  2238,  2239,  2240,
    2241,     0,  1095,  2521,     0,     0,     0,     0, -2681,  1095,
       0,     0,  1198,     0,     0,     0,  5006,   900,  5008,     0,
       0,     0,     0,     0,  -512,     0,     0,     0,     0,     0,
    1231,     0,     0,   672,     0,     0,  1095,     0,     0,  1095,
       0,     0,     0,     0,  2232,     0,     0,     0,     0,     0,
       0,     0,     0,  1947,     0,   901,  2216,     0,   902,  2217,
       0,  1095,     0,     0,     0,     0,     0,     0,     0,     0,
    1198,  1198,  1198,  1198,  1095,     0,  2218,     0,     0,  1947,
       0,     0,     0,     0,  2220,     0,     0,     0,  1095,     0,
    2221,     0,     0,  -409,     0,     0,  1947,   672,     0,     0,
    2635,     0,  1095,     0,     0,  2236,  2237,  2238,  2239,  2240,
    2241,   903,  1198,  1198,  2222,     0,     0,   904,  1198,     0,
       0,     0,     0,  -409,     0,     0,   905,     0,     0,     0,
    4840,     0,     0,     0,     0,     0,     0,  2233,  2234,  2235,
       0,  2236,  2237,  2238,  2239,  2240,  2241,     0,     0,     0,
    1947,  5115,  -409,     0,   906,   907,     0,   908,   909,     0,
       0,     0,     0,  1198,     0,     0,   910,     0,     0,     0,
       0,   911,     0,     0,     0,     0,     0,   912,     0,     0,
     913,     0,   822,   914,     0,  5112,     0,     0,     0,     0,
    1198,  1198,  1198,  1198,     0,     0,  -409,     0,     0,     0,
       0,     0,  1095,     0,     0,     0,     0,     0,  1095,     0,
       0,  2635,     0,     0,     0,     0,  2223,     0,     0,     0,
    2224,     0,     0,     0,     0,     0,  1192,     0,     0,     0,
       0,   822,     0,   718,     0,  1192,     0,     0,     0,   822,
       0,  2225,  2226,     0,     0,  1231,     0,  5150,     0,     0,
    1198,     0,     0,     0,     0,     0,     0,     0,  2227,  1198,
       0,     0,     0,     0,     0,  1198,  1198,     0,  4761,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1095,
       0,     0,     0,     0,  2228,     0,     0,  2229,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  5188,     0,
    2230,     0,     0,  2231,  2216,     0,  1947,  2217,     0,     0,
       0,     0,     0,  2104,     0,     0,     0,     0,     0,     0,
    1198,     0,  1192,     0,  2218,     0,  1095,  1095,     0,  1198,
       0,     0,  2220,     0,     0,  1095,     0,     0,  2221,     0,
       0,     0,     0,     0,     0,  1095,     0,     0,     0,     0,
       0,     0,  1023,  1023,     0,     0,  2855,     0,     0,     0,
    1576,  1576,  2222,     0,     0,     0,     0,     0,  1576,     0,
       0,  1576,     0,     0,     0,  1576,     0,     0,  2232,     0,
       0,     0,     0,  1576,  1576,     0,     0,     0,     0,     0,
       0,  1576,     0,  1231,  1576,  1576,  1576,  1576,     0,     0,
       0,     0,     0,     0,  1576,  1576,     0,  1576,     0,  1576,
    1576,     0,     0,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3111,     0,     0,     0,
    1576,     0,     0,     0,  1198,  1576,     0,     0,     0,  1576,
       0,     0,     0,  1576,     0,  1576,  1576,  1576,  1576,  1576,
    1576,  1576,  1576,  1576,     0,  1576,     0,     0,     0,     0,
       0,     0,  1095,     0,  2223,  1576,  1576,     0,  2224,     0,
       0,  2233,  2234,  2235,     0,  2236,  2237,  2238,  2239,  2240,
    2241,     0,     0, -2188,     0,  5208,     0,  1095,     0,  2225,
    2226,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2227,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1095,     0,  1095,     0,  1576,     0,
   -2188,     0,  2228,     0,     0,  2229,     0,     0,     0,     0,
       0,  3111, -2188,     0,     0,     0,     0, -2188,  2230,     0,
       0,  2231, -2188,     0,     0,     0,     0, -2188,     0,     0,
   -2188,     0, -2188,  1095,  1947,     0,  3565,     0,     0,  3072,
    2216,  3079,     0,  2217,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0, -2188,
    2218,     0,     0,  3550,     0,     0,     0,     0,  2220,     0,
    1947,     0,     0,     0,  2221,     0,     0,     0,     0,     0,
       0, -2188,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2232,     0,  2222,     0,
       0,     0,     0,     0,     0,     0,  1947,     0,     0,     0,
    1947,  1947,     0,     0,     0,     0,     0,   718, -2188,     0,
       0,     0,  1023,     0,  1023,     0, -2188,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1576,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1192,     0,  1198,  1198,  1198,     0,     0,  1192,
       0,  1231,     0,  1198,     0,  1198,     0,  1198,  1198,     0,
       0,  1095,     0,     0, -2188,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2233,
    2234,  2235,  4761,  2236,  2237,  2238,  2239,  2240,  2241,  2521,
    2223,     0,     0,     0,  2224,     0,  3212,     0,     0,     0,
       0,  3221,     0,     0,     0,     0,     0,  1095,     0,  1027,
       0,     0,     0,     0,     0,  2225,  2226,     0,     0,     0,
       0,     0,     0,  1095,     0,     0,     0,  3261,  3261,     0,
       0,     0,  2227, -2188,   718,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1198,     0,     0,     0,     0,     0, -2188,  2228, -2188,
   -2188,  2229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2230,     0,     0,  2231,     0,     0,
       0,  3326,     0,  3329,  3331,     0,     0,     0,     0,     0,
       0,     0,     0,     0, -2188,     0,     0, -2188, -2188,     0,
   -2188,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1198,     0,     0,     0,     0,     0,     0,     0,  1198,
       0,     0,     0,     0,  1198,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2232,     0,     0,     0,     0,     0,     0,     0,
       0,  2521,     0,     0,  3261,     0,  1095,     0,  3424,     0,
       0,  1023,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3326,     0,     0,
       0,     0,     0,     0,  1213,  1198,  3449,     0,     0,     0,
       0,     0,  1237,     0,     0,     0,     0,     0,  2005,     0,
       0,  1249,     0,     0,     0,     0,     0,     0,     0,  1259,
       0,     0,     0,     0,  1292,  1198,     0,  1198,  3261,  1198,
    3261,     0,     0,     0,     0,  2233,  2234,  2235,     4,  2236,
    2237,  2238,  2239,  2240,  2241,     0,     0,     0,     0,     0,
       0,     0,  1576,     0,     0,     0,     0,     0,     5,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     6,     7,
       0,     0,     0,  2104,     8,     0,     9,    10,     0,     0,
      11,    12,    13,    14,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,     0,    36,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,  1192,    45,
       0,     0,     0,     0,  1192,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1198,     0,     0,     0,     0,
    2216,  1576,  1576,  2217,     0,     0,     0,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2218,     0,     0,     0,     0,     0,     0,    46,  2220,     0,
       0,     0,  1576,  1576,  2221,     0,     0,  1576,     0,     0,
    1465,  2216,     0,     0,  2217,     0,     0,     0,     0,  1576,
    1576,  1576,  1576,     0,     0,     0,     0,     0,  2222,     0,
       0,  2218,  1576,     0,  3595,  1576,     0,  1576,  3615,  2220,
       0,     0,  1594,     0,     0,  2221,     0,  1576,  1576,     0,
       0,  1576,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1618,     0,     0,  1576,     0,  1576,    47,  1231,  2222,
    1576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1644,     0,    48,     0,     0,     0,  1576,
       0,     0,     0,  1095,     0,     0,     0,     0,     0,  3668,
       0,     0,  1576,  1576,  1576,    49,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2216,     0,
       0,  2217,     0,     0,     0,     0,  1576,    50,     0,     0,
    2223,     0,     0,     0,  2224,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,  1576,     0,  2220,     0,     0,     0,
    1576,     0,  2221,     0,     0,  2225,  2226,     0,  3668,     0,
       0,  3725,     0,    51,     0,  3079,    52,     0,     0,     0,
       0,  2223,  2227,     0,     0,  2224,  2222,     0,     0,     0,
       0,    53,     0,     0,  1813,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2225,  2226,  2228,     0,
       0,  2229,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2227,  2230,     0,     0,  2231,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1576,
       0,  3261,     0,     0,     0,     0,  2104,  4132,  4549,  2228,
       0,     0,  2229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2230,     0,    54,  2231,     0,
       0,     0,  1198,     0,  1198,  1198,  1198,     0,     0,     0,
       0,     0,     0,     0,  1963,     0,     0,     0, -2681,     0,
       0,     0,  2224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2232,     0,     0,     0,  1991,  1994,  1995,    55,
       0,     0,     0,  2225,  2226,     0,  4133,     0,     0,     0,
       0,     0,     0,    56,     0,     0,     0,     0,     0,     0,
   -2681,     0,     0,     0,     0,     0,     0,     0,    57,     0,
       0,     0,     0,  2232,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2229,
       0,     0,     0,     0,     0,     0,    58,     0,     0,     0,
       0,     0,  2230,    59,     0,     0,     0,    60,    61,    62,
      63,    64,     0,     0,    65,    66,    67,    68,     0,    69,
      70,    71,    72,    73,     0,  2233,  2234,  2235,     0,  2236,
    2237,  2238,  2239,  2240,  2241,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1594,   830,     0,  2216,     0,     0,
    2217,     0,     0,     0,     0,     0,  2233,  2234,  2235,     0,
    2236,  2237,  2238,  2239,  2240,  2241,     0,  2218,     0,     0,
   -2681,     0,  1594,     0,     0,  2220,     0,  3261,  3261,     0,
       0,  2221,     0,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3943,     0,     0,     0,     0,  2222,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1095,  1095,     0,
       0,     0,     0,     0,     0,     0,  1055,     0,     0,     0,
       0,     0,     0,  1095,  1055,     0,  1055,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2104,  1095,   830,     0,
       0,     0,     0,     0,     0,  2104,  1095,  2236,  2237,  2238,
    2239,  2240,  2241,     0,     0,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3600,     0,     0,     0,   718,     0,  2216,     0,     0,
    2217,     0,     0,     0,     0,     0,     0,  2223,     0,     0,
    1198,  2224,     0,  1198,     0,     0,  2302,  2218,     0,     0,
    3606,     0,     0,     0,     0,  2220,     0,     0,     0,     0,
    1192,  2221,  2225,  2226,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2227,
       0,  1095,     0,     0,     0,  2222,     0,     0,     0,     0,
       0,  1198,     0,     0,  2356,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,     0,  2228,     0,     0,  2229,  1576,
       0,     0,     0,     0,     0,  1576,     0,  1576,     0,     0,
       0,  2230,     0,  1576,  2231,     0,  1576,  1576,  1576,  1576,
    1576,  1576,  1576,  1576,  1576,  1576,     0,     0,     0,  1576,
    1576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1576,     0,     0,     0,  1576,     0,     0,     0,
    1576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1576,     0,     0,  1576,     0,  1576,     0,     0,     0,     0,
       0,     0,     0,     0,  1576,  1576,  1576,  2223,     0,     0,
    1576,  2224,     0,  1576,     0,     0,     0,  4165,     0,  2232,
       0,     0,     0,     0,  1095,  1095,  1095,  1192,     0,  3668,
    4182,     0,  2225,  2226,  4182,  4196,     0,     0,     0,  2516,
       0,  1576,     0,     0,     0,     0,  2534,  1576,  1576,  2227,
       0,  2216,     0,     0,  2217,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2218,     0,  2567,  4139,  2228,  2570,     0,  2229,  2220,
       0,     0,     0,     0,     0,  2221,     0,     0,     0,     0,
       0,  2230,  1576,     0,  2231,     0,     0,     0,  1576,     0,
       0,     0,  3079,     0,  1576,     0,     0,     0,     0,  2222,
       0,  2608,  2233,  2234,  2235,     0,  2236,  2237,  2238,  2239,
    2240,  2241,     0,     0,     0,  2624,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4257,  2104,  2104,  2636,
    2635,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1198,  1198,
    1198,  1198,     0,  2216,     0,     0,  2217,     0,     0,  2232,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2218,     0,     0,     0,     0,     0,     0,
       0,  2220,     0,  4298,     0,     0,     0,  2221,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2223,     0,     0,     0,  2224,     0,     0,     0,     0,
       0,  2222,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2225,  2226,     0,  2728,
       0,     0,     0,     0,     0,  2738,     0,     0,     0,     0,
       0,     0,     0,  2227,     0,     0,     0,     0,     0,     0,
       0,     0,  2233,  2234,  2235,     0,  2236,  2237,  2238,  2239,
    2240,  2241,     0,     0,  4368,     0,     0,     0,     0,  2228,
       0,     0,  2229,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2230,     0,     0,  2231,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3943,     0,     0,  2793,     0,     0,     0,
       0,  1095,     0,  2223,     0,     0,     0,  2224,     0,     0,
       0,     0,  1198,     0,  1576,     0,     0,     0,     0,     0,
    1095,     0,     0,     0,     0,     0,  4440,     0,  2225,  2226,
       0,     0,     0,     0,     0,  2521,     0,     0,     0,     0,
       0,     0,     0,  1594,  1594,  2227,     0,  1095,     0,     0,
       0,     0,     0,  2232,     0,     0,     0,  3326,     0,     0,
       0,     0,  2848,  4469,     0,     0,     0,     0,     0,     0,
       0,  2228,     0,     0,  2229,     0,     0,     0,     0,  1576,
    1576,     0,     0,     0,     0,     0,     0,  2230,     0,     0,
    2231,     0,     0,     0,   830,     0,     0,     0,     0,     0,
       0,     0,  1194,     0,  3261,     0,  3261,     0,     0,     0,
       0,  1194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2216,
       0,     0,  2217,     0,     0,     0,     0,     0,     0,     0,
       0,  1576,     0,     0,     0,  1194,  2233,  2234,  2235,  2218,
    2236,  2237,  2238,  2239,  2240,  2241,     0,  2220,     0,     0,
       0,     0,     0,  2221,     0,  2232,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1576,  3006,
       0,     0,     0,     0,     0,     0,     0,  2222,  1576,  1576,
       0,  4089,     0,     0,     0,     0,  1576,  1576,     0,     0,
       0,  1576,  1194,     0,  3026,     0,     0,  1576,  1576,     0,
       0,  1576,  1194,     0,  1576,  4555,     0,     0,  1095,  1095,
    1095,  1095,     0,     0,     0,  4182,  4196,     0,  4182,     0,
       0,  4564,     0,     0,     0,  3668,     0,     0,     0,  3668,
       0,  3039,     0,  3042,     0,  4577,     0,     0,     0,     0,
       0,  1576,     0,     0,     0,     0,  1576,     0,  2233,  2234,
    2235,  1576,  2236,  2237,  2238,  2239,  2240,  2241,     0,     0,
    1231,     0,     0,     0,  1262,     0,     0,     0,  3725,     0,
    1594,     0,  3079,     0,     0,     0,     0,     0,     0,  2223,
       0,     0,     0,  2224,     0,     0,     0,     0,     0,     0,
       0,  1023,     0,     0,  1576,     0,     0,  1263,     0,     0,
       0,     0,     0,     0,  2225,  2226,     0,     0,     0,     0,
    1264,  1265,     0,     0,  3261,  3261,  1194,     0,     0,  1266,
       0,  2227,  1055,  1267,     0,     0,  1055,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4639,     0,     0,     0,
    1268,     0,     0,     0,     0,     0,     0,  2228,     0,     0,
    2229,     0,  1194,     0,     0,     0,     0,     0,     0,     0,
       0,  1269,     0,  2230,     0,     0,  2231,     0,     0,     0,
       0,     0,  1270,     0,     0,     0,     0,     0,     0,     0,
    1271,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1198,     0,  1272,     0,     0,     0,     0,  1273,     0,     0,
       0,     0,     0,     0,  1198,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1274,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2232,     0,  1275,  3943,  3943,  3943,  3943,  3943,     0,
       0,     0,     0,     0,  3230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1276,     0,     0,     0,  1576,     0,
    3256,     0,     0,     0,     0,     0,     0,     0,     0,  1192,
       0,     0,     0,     0,  2521,     0,     0,  1055,     0,     0,
       0,  2104,     0,     0,     0,  1277,     0,     0,     0,     0,
       0,     0,     0,  1198,  2521,  1945,     0,     0,     0,     0,
    1194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1194,     0,     0,   859,     0,     0,     0,     0,     0,
    1095,     0,  4767,     0,  2233,  2234,  2235,     0,  2236,  2237,
    2238,  2239,  2240,  2241,  1948,     0,     0,     0,     0,     0,
       0,  1278,     0,     0,     0,  1279,   844,  1280,     0,     0,
       0,  1576,     0,  1281,     0,     0,  1282,     0,     0,     0,
    1576,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1194,     0,     0,     0,     0,     0,  1576,  1576,     0,
       0,  1576,  1283,     0,  1284,     0,     0,     0,  1285,     0,
       0,     0,   845,     0,  1192,  4182,  1286,     0,     0,  3668,
       0,  1287,     0,  3422,  3668,   846,     0,  3668,  3326,     0,
    4817,     0,  1576,  1576,     0,     0,     0,     0,     0,     0,
       0,     0,   847,     0,     0,     0,  1288,     0,   848,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1194,     0,     0,   849,     0,  4257,  1231,  1198,  1198,  1198,
       0,     0,     0,     0,   850,     0,     0,     0,  1945,     0,
       0,     0,   851,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   852,     0,     0,     0,     0,   853,
       0,     0,     0,  1192,  1231,   854,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1948,     0,     0,
     855,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   856,  1194,  2104,  2104,     0,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1095,     0,     0,     0,   857,     0,     0,     0,
       0,     0,     0,  4440,     0,  1194,     0,     0,     0,     0,
    3261,     0,     0,     0,  2521,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4469,   858,     0,  1095,
       0,     0,     0,  1194,  1194,     0,  1194,  1198,  4257,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2284,  1194,   859,     0,     0,     0,
       0,     0,  1576,     0,     0,  1576,     0,  1576,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   860,     0,     0,     0,   861,     0,   862,
    1576,     0,     0,     0,  3668,   863,     0,  4817,   864,     0,
       0,     0,     0,  4975,     0,     0,     0,     0,  1194,   830,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1198,     0,   865,   866,  1095,   867,     0,     0,     0,
     868,     0,     0,     0,     0,     0,     0,  1194,   869,     0,
       0,  1194,  1194,   870,     0,     0,     0,  1198,  1198,  1198,
    1198,     0,     0,     0,     0,   871,     0,     0,     0,     0,
    3651,     0,  2104,     0,     0,     0,     0,     0,   872,     0,
       0,     0,     0,   944,     0,     0,     0,     0,     0,     0,
       0,  1945,  1192,     0,     0,   945,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1576,     0,     0,     0,     0,   946,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   947,
    1948,     0,     0,     0,     0,     0,   830,     0,     0,     0,
       0,     0,   948,  1055,     0,  1945,     0,     0,     0,  1576,
       0,     0,  1192,     0,     0,     0,     0,     0,     0,   949,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0, -2201,  1198,     0,  1231,  1945,  1055,     0,     0,     0,
     950,     0,     0,  1576,  1948,     0,     0,     0,     0,     0,
       0,   951,     0,     0,     0,     0,     0,     0,     0,   952,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   953,     0,     0,  1948,     0,   954,     0, -2201,     0,
       0,     0,   955,     0,     0,     0,     0,  1198,     0,     0,
   -2201,     0,  1192,     0,     0, -2201,     0,   956,     0,     0,
   -2201,     0,     0,  4257,     0, -2201,     0,     0, -2201,     0,
   -2201,  1945,  4767,     0,     0,     0,     0,     0,     0,  1576,
    1576,     0,     0,     0,  3326,     0,     0,     0,  4975,     0,
    1945,  1055,     0,     0,     0,     0,  1937, -2201,     0,     0,
    1192,     0,     0,   957,     0,     0,     0,     0,  1945,  1198,
    1948,     0,     0,     0,     0,     0,     0,     0,     0, -2201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1948,
       0,     0,     0,     0,   958,     0,  1945,     0,     0,     0,
       0,  1576,     0,     0,     0,   959,     0,  1948,     0,     0,
       0,     0,     0,     0,     0,  1576, -2201,     0,     0,     0,
    1198,     0,     0,   859, -2201,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,  1948,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     960,     0,     0,     0,   961,     0,   962,     0,     0,  1945,
       0,     0,   963,     0,     0,   964,     0,     0,     0,     0,
       0,     0, -2201,     0,     0,     0,     0,     0,     0,  1576,
       0,     0,     0,     0,     0,     0,     0,     0,  1192,     0,
       0,   965,  1194,   966,     0,     0,     0,   967,  1948,     0,
       0,  1194,     0,     0,     0,   968,     0,     0,     0,     0,
     969,     0,     0,     0,     0,     0,     0,  1027,     0,  1937,
       0,     0,   970,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   971,     0,     0,     0,     0,
       0, -2201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3980,  3981,     0,     0,     0,     0,
       0,     0,     0,     0,     0, -2201,     0, -2201, -2201,     0,
    3990,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  3999,     0,     0,     0,  1194,     0,
       0,     0,     0,  4008,     0,     0,     0,     0,     0,     0,
       0,     0, -2201,     0,     0, -2201, -2201,  4024, -2201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1194,  1194,     0,     0,
       0,     0,     0,     0,  1194,     0,     0,  1194,     0,     0,
       0,  1194,     0,     0,     0,     0,     0,     0,     0,  1194,
    1194,     0,     0,     0,     0,     0,  1945,  1194,     0,     0,
    1194,  1194,  1194,  1194,     0,     0,     0,     0,     0,     0,
    1194,  1194,     0,  1194,     0,  1194,  1194,     0,  1594,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1948,  1194,   830,     0,     0,
       0,  1194,     0,     0,     0,  1194,     4,     0,     0,  1194,
       0,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
       0,  1194,     0,     0,     0,     0,     5,     0,     0,     0,
       0,  1194,  1194,     0,     0,     0,     6,     7,     0,     0,
       0,     0,     0,     0,     9,    10,     0,     0,    11,    12,
      13,    14,    15,    16,    17,    18,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,     0,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,     0,     0,     0,    45,     0,     0,
       0,     0,  1937,     0,  1194,     0,     0,     0,     0,     0,
       0,  4170,  4171,  4172,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    46,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1937,     0,     0,     0,
       0,  1945,     0,     0,     0,  1945,  1945,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,     0,  1948,  1948,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    47,     0,     0,   830,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    48,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1194,     0,     0,
       0,     0,     0,    49,     0,     0,     0,     0,  1194,     0,
       0,     0,  1937,     0,     0,  1194,     0,     0,     0,     0,
    1945,     0,     0,     0,     0,    50,     0,     0,     0,     0,
       0,  1937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1055,     0,     0,  1937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1948,
       0,    51,     0,     0,    52,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   830,  1937,     0,    53,
     830,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    54,     0,     0,  4409,     0,
       0,     0,     0,     0,     0,     0,  1945,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4435,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    55,     0,     0,
       0,     0,     0,  1194,  4452,  1948,     0,     0,     0,     0,
       0,    56,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   830,     0,     0,     0,    57,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1945,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    58,     0,     0,     0,     0,     0,
       0,    59,     0,     0,     0,    60,    61,    62,    63,    64,
       0,     0,    65,    66,  1391,  2056,     0,     0,     0,    71,
    1948,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1194,     0,
       0,     0,     0,     0,     0,     0,     0,  1937,     0,     0,
    1945,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4556,  4557,  4558,  4559,  1948,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1194,     0,     0,     0,     0,     0,
    1194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1194,  1194,     0,
       0,     0,     0,  1194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1194,  1194,
       0,     0,     0,  1194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1194,  1194,  1194,  1194,     0,
       0,     0,     0,   830,     0,     0,     0,     0,  1194,   830,
       0,  1194,     0,  1194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,  1194,  1053,     0,  1194,     0,     0,
       0,     0,     0,  1053,     0,  1053,     0,     0,     0,     0,
    1194,     0,  1194,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1937,     0,     0,  1194,  1937,  1937,     0,     0,
       0,     0,     0,     0,     0,  1194,     0,     0,  1194,  1194,
    1194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1194,     0,     0,     0,     0,
    1194,     0,     0,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,     0,  1945,  1194,     0,  1945,     0,  1945,     0,
       0,     0,     0,  1945,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1937,  1948,     0,     0,  1948,     0,  1948,     0,     0,
       0,     0,  1948,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1945,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4763,     0,     0,
       0,     0,  1948,  1945,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1948,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1945,     0,  1945,     0,     0,     0,     0,   830,
     830,   830,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1948,     0,  1948,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1945,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1945,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1937,     0,  1948,     0,     0,     0,     0,     0,
       0,  1945,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1945,     0,     0,     0,     0,  1948,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1948,     0,     0,     0,     0,     0,     0,     0,     0,  4891,
       0,     0,   830,  1948,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1945,     0,
       0,     0,     0,     0,     0,     0,  1594,     0,     0,     0,
       0,  1937,     0,     0,  1945,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1948,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1948,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,  1945,
       0,     0,  4986,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1945,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1194,     0,     0,  1948,     0,
       0,     0,     0,     0,  1945,  1194,     0,     0,     0,     0,
       0,  1194,     0,  1194,     0,     0,     0,     0,  1948,  1194,
       0,     0,  1194,  1194,  1194,  1194,  1194,  1194,  1194,  1194,
    1194,  1194,     0,     0,     0,  1194,  1194,     0,     0,     0,
    1945,  1190,     0,  1948,     0,     0,     0,     0,  1194,     0,
    1190,     0,  1194,     0,   830,     0,  1194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,  1194,
       0,  1194,     0,     0,     0,     0,     0,     0,     0,  1948,
    1194,  1194,  1194,     0,  1190,     0,  1194,     0,     0,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,     0,  1194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1194,     0,     0,
       0,     0,     0,  1194,  1194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1937,     0,     0,  1937,     0,  1937,
       0,  1190,     0,     0,  1937,     0,     0,     0,     0,     0,
       0,  1190,     0,     0,     0,     0,     0,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1194,     0,
       0,     0,     0,     0,  1194,     0,     0,     0,     0,     0,
    1194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1937,     0,  1948,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1194,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1937,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1945,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1190,     0,     0,     0,     0,
       0,  1053,     0,     0,     0,  1053,     0,     0,     0,   830,
       0,     0,     0,     0,   830,  1948,   830,     0,     0,     0,
       0,     0,     0,  1937,     0,  1937,     0,     0,     0,     0,
       0,  1190,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     830,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1945,     0,
       0,     0,  1937,     0,     0,     0,     0,     0,     0,     0,
    1194,     0,     0,     0,     0,  1937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1945,  1053,  1948,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1190,     0,     0,     0,  1948,  1194,  1194,     0,     0,  1937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1946,     0,  1937,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1190,     0,     0,     0,     0,     0,     0,  1194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1945,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1945,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1194,     0,     0,     0,     0,     0,
    1937,     0,     0,     0,  1194,  1194,     0,  1948,     0,     0,
       0,     0,  1194,  1194,     0,     0,     0,  1194,  1948,  1190,
    1937,     0,     0,  1194,  1194,     0,     0,  1194,     0,     0,
    1194,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1937,     0,     0,     0,     0,
       0,  1194,     0,     0,     0,  1194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1194,     0,     0,
       0,     0,  1194,     0,     0,     0,  1946,  1194,     0,     0,
       0,  1937,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1945,
       0,     0,     0,     0,     0,  1190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1194,     0,     0,     0,     0,  1945,     0,     0,     0,     0,
       0,     0,     0,     0,  1190,     0,     0,     0,  1948,     0,
       0,     0,  1945,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   830,     0,     0,     0,     0,
       0,     0,  1190,  1190,  1948,  1190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1948,     0,     0,  1190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1945,     0,  1937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1948,     0,  1190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1190,     0,     0,     0,
    1190,  1190,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1937,     0,     0,
       0,     0,     0,     0,  1194,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1194,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1946,
       0,     0,  1945,  1948,     0,     0,     0,     0,     0,     0,
       0,     0,  1053,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1194,     0,     0,
       0,  1948,     0,     0,     0,  1053,  1194,     0,     0,     0,
       0,     0,     0,  1946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1194,  1194,     0,     0,  1194,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1194,     0,     0,  1946,     0,  1194,     0,     0,     0,  1937,
    1194,     0,     0,  1194,     0,     0,     0,     0,  1194,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1945,     0,     0,     0,  1937,     0,     0,     0,
       0,  1194,     0,     0,     0,     0,     0,     0,     0,     0,
    1053,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1946,
       0,  1948,     0,     0,     0,     0,  1939,     0,     0,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,  1946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1946,     0,     0,     0,
       0,     0,     0,   830,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1194,     0,
       0,     0,     0,     0,  1946,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1945,     0,  1937,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1937,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1945,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1194,     0,  1948,     0,     0,     0,
       0,  1190,     0,     0,     0,     0,     0,  1946,     0,     0,
    1190,     0,     0,     0,     0,     0,  1945,     0,  1194,  1948,
       0,  1194,     0,  1194,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1194,     0,     0,  1939,
    1194,     0,  1945,     0,     0,  1948,  1945,  1945,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   830,     0,     0,
    1937,  1948,     0,     0,     0,  1948,  1948,  1190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1937,     0,  1190,  1190,     0,  1194,     0,
       0,     0,     0,  1190,     0,     0,  1190,     0,     0,     0,
    1190,     0,     0,     0,     0,     0,     0,  1194,  1190,  1190,
       0,     0,     0,     0,     0,     0,  1190,     0,     0,  1190,
    1190,  1190,  1190,     0,     0,     0,     0,  1948,     0,  1190,
    1190,     0,  1190,     0,  1190,  1190,     0,  1937,  1190,     0,
       0,     0,     0,     0,     0,  1194,     0,     0,  1194,     0,
       0,     0,     0,     0,  1946,  1190,     0,     0,     0,     0,
    1190,     0,     0,     0,  1190,     0,     0,     0,  1190,     0,
    1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1194,
    1190,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1190,  1190,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1194,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1194,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1190,     0,  1194,  1194,  1940,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1939,     0,     0,     0,  1194,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1937,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1194,     0,     0,
       0,     0,     0,     0,     0,     0,  1939,     0,     0,     0,
       0,  1194,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1946,
       0,   830,     0,  1946,  1946,     0,  1939,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1194,  1190,     0,     0,     0,
     830,     0,     0,     0,  1194,     0,     0,  1190,   830,     0,
       0,     0,     0,  1937,  1190,     0,     0,     0,     0,     0,
    1940,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1939,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1053,     0,     0,     0,     0,
       0,  1939,     0,     0,     0,     0,     0,     0,  1946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1939,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1937,     0,     0,     0,     0,     0,     0,     0,     0,
    1939,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1937,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1190,     0,  1946,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1937,     0,     0,     0,  1937,  1937,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   930,     0,     0,
       0,     0,     0,     0,     0,     0,   930,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1946,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1940,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   930,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1109,
       0,     0,     0,     0,     0,     0,     0,  1940,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1940,  1946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1190,     0,     0,     0,     0,     0,  1190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1190,  1190,     0,     0,
       0,     0,  1190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1190,  1190,     0,
       0,     0,  1190,  1940,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1190,  1190,  1190,  1190,     0,     0,
       0,     0,  1940,     0,     0,     0,     0,  1190,     0,     0,
    1190,     0,  1190,     0,     0,     0,     0,     0,     0,     0,
    1940,     0,  1190,  1190,     0,     0,  1190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1190,
       0,  1190,     0,     0,     0,  1190,     0,     0,  1940,     0,
    1158,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1190,     0,     0,  1190,  1190,  1190,
       0,     0,  1939,     0,     0,     0,  1939,  1939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1190,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1940,     0,     0,  1190,     0,     0,     0,     0,  1190,
       0,     0,     0,     0,     0,  1190,     0,     0,     0,     0,
       0,     0,     0,  1190,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1946,     0,     0,  1946,     0,  1946,     0,     0,     0,
       0,  1946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1939,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1190,     0,     0,     0,     0,     0,
       0,     0,     0,   678,     0,     0,     0,     0,   722,     0,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     722,  1946,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   722,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   722,     0,     0,     0,
       0,  1946,     0,     0,     0,     0,     0,   722,   722,     0,
       0,   722,     0,     0,     0,     0,     0,   722,     0,     0,
       0,  1015,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1940,     0,
       0,  1015,     0,     0,     0,   930,   930,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   722,     0,     0,     0,
    1946,     0,  1946,     0,     0,     0,     0,  1939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1158,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1939,     0,     0,     0,     0,     0,  1946,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1946,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1946,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1942,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1205,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1234,  1235,     0,  1238,     0,     0,
    1242,     0,  1244,  1940,     0,     0,     0,  1940,  1940,     0,
       0,  1939,     0,     0,     0,     0,  1946,     0,     0,     0,
       0,  1295,     0,     0,     0,     0,     0,     0,     0,  1303,
       0,     0,  1946,     0,     0,     0,     0,     0,  1319,  1320,
       0,   722,     0,  1322,     0,  1946,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1158,     0,   930,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1190,     0,     0,  1353,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1376,     0,     0,  1378,     0,  1380,
       0,  1383,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1940,     0,  1190,   930,     0,  1946,     0,     0,
       0,     0,     0,     0,  1190,     0,     0,  1942,     0,     0,
    1190,     0,  1190,     0,     0,     0,     0,  1946,  1190,     0,
       0,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,  1190,
    1190,     0,     0,     0,  1190,  1190,     0,     0,     0,     0,
       0,     0,  1946,     0,     0,     0,     0,  1190,     0,     0,
    1463,  1190,  1464,     0,     0,  1190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1190,     0,     0,  1190,     0,
    1190,     0,     0,     0,     0,     0,     0,     0,  1946,  1190,
    1190,  1190,     0,  1158,     0,  1190,     0,     0,  1190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1190,     0,  1190,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1190,     0,     0,  1109,
       0,     0,  1190,  1190,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1940,     0,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1939,     0,     0,  1939,     0,  1939,
       0,     0,     0,     0,  1939,     0,     0,  1190,     0,     0,
       0,     0,     0,  1190,     0,     0,     0,     0,     0,  1190,
       0,     0,     0,     0,     0,     0,   722,   722,     0,     0,
    1725,     0,  1727,     0,     0,  1946,  1729,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1190,     0,  1940,  1939,     0,  1758,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   722,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1939,     0,     0,     0,     0,     0,
       0,     0,     0,  1880,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1893,
    1942,     0,     0,     0,  1946,     0,     0,     0,     0,     0,
       0,     0,  1903,     0,     0,     0,     0,     0,     0,  1905,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1954,  1940,  1939,  1958,  1939,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1942,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2001,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1942,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1939,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1939,     0,     0,     0,     0,     0,     0,     0,  1190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1939,     0,     0,     0,     0,     0,     0,     0,
    1341,   722,     0,   722,     0,  1939,  1946,     0,     0,     0,
    1942,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1942,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1946,  1190,  1190,     0,  1942,     0,     0,
       0,     0,   722,     0,     0,   722,   722,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1939,
     678,     0,  1015,     0,  1015,  1942,     0,     0,     0,     0,
     678,     0,     0,     0,   722,  1939,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1939,     0,
       0,     0,     0,  1015,  1015,     0,  1190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1942,     0,
       0,     0,     0,  1190,   722,  1940,   722,     0,  1940,     0,
    1940,     0,     0,  1190,  1190,  1940,  1946,     0,     0,     0,
       0,  1190,  1190,     0,     0,     0,  1190,  1946,     0,     0,
    1939,     0,  1190,  1190,     0,     0,  1190,     0,     0,  1190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1939,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1190,     0,     0,     0,  1190,  1940,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1939,  1190,     0,     0,     0,
       0,  1190,  1109,  2319,   678,     0,  1190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   678,   678,
       0,     0,  1707,     0,     0,  1940,     0,     0,     0,     0,
       0,  1939,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1190,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2389,     0,     0,  2389,     0,     0,     0,  1946,   678,     0,
       0,  2396,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1940,     0,  1940,     0,     0,  2405,
       0,     0,     0,  1946,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1946,     0,     0,     0,     0,  1942,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2488,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1940,  1939,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1946,     0,     0,     0,     0,     0,
       0,     0,  1940,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1940,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1940,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1190,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1190,     0,     0,  1939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   678,     0,     0,     0,     0,   722,
    1940,   722,     0,     0,   722,     0,   722,     0,     0,   722,
     722,   722,  1946,     0,     0,  2099,  1940,     0,     0,     0,
       0,     0,   722,     0,     0,     0,     0,     0,     0,  1940,
       0,     0,     0,     0,     0,   722,     0,   722,     0,     0,
    1942,     0,   722,     0,  1942,  1942,  1190,     0,     0,     0,
    1946,     0,     0,     0,  2687,  1190,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2710,
       0,     0,  1190,  1190,     0,     0,  1190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1190,
       0,     0,     0,     0,  1190,     0,     0,     0,     0,  1190,
       0,  1940,  1190,     0,     0,     0,     0,  1190,  1190,     0,
       0,     0,     0,     0,     0,  2758,     0,     0,     0,  1939,
       0,  1940,     0,     0,     0,     0,     0,     0,     0,     0,
    2773,     0,  2775,     0,  2776,     0,     0,     0,     0,  2777,
    1190,     0,     0,     0,     0,     0,  1940,     0,     0,  1942,
       0,     0,     0,     0,     0,     0,  1939,     0,     0,     0,
       0,     0,     0,  2259,     0,     0,     0,     0,     0,     0,
    1946,     0,   722,   722,     0,     0,     0,     0,  1190,     0,
       0,     0,  1940,     0,     0,     0,     0,     0,  2805,   678,
       0,     0,     0,     0,   678,   678,     0,     0,     0,     0,
    2319,     0,     0,     0,  2319,     0,  2319,     0,     0,  2319,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1939,
       0,     0,     0,     0,     0,     0,   722,     0,   678,     0,
    1939,     0,     0,  1190,     0,  1946,     0,     0,  2393,     0,
       0,     0,     0,     0,     0,  1942,     0,     0,     0,  1940,
       0,     0,     0,     0,     0,     0,     0,  1190,  1946,     0,
    1190,     0,  1190,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1190,     0,     0,     0,  1190,
       0,     0,     0,     0,  1946,     0,     0,     0,     0,     0,
    3020,     0,   678,     0,     0,     0,     0,     0,     0,     0,
     678,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1942,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1946,     0,     0,     0,  1946,  1946,     0,     0,  1940,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1939,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,     0,   678,   678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1939,  1190,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1939,     0,     0,  1190,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1946,     0,     0,  1942,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   678,     0,  1190,     0,     0,  1190,     0,     0,
    1158,     0,     0,     0,     0,     0,     0,  1939,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1190,     0,
    3120,  3121,     0,     0,     0,  3124,  3125,     0,     0,  3128,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  3138,
    1940,     0,     0,     0,     0,     0,  3147,     0,     0,     0,
    3150,  3151,     0,     0,  3154,  3155,     0,     0,     0,     0,
       0,  3160,     0,     0,     0,     0,     0,  1190,     0,     0,
       0,     0,     0,  3176,     0,  3178,     0,  1940,  1190,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3200,     0,     0,  1190,  1190,  3202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1190,  3211,     0,  3213,  3214,
    3217,  3219,     0,     0,     0,  3226,  3229,     0,     0,     0,
       0,     0,     0,  3240,     0,     0,     0,  3249,     0,     0,
       0,  3253,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1939,     0,     0,  1190,     0,     0,     0,
       0,     0,  3281,   722,     0,   722,     0,     0,     0,   722,
    1190,   722,     0,  3288,   722,  3290,     0,     0,   722,     0,
    3293,     0,     0,  2259,     0,  3297,  3298,  3299,  3300,     0,
    1940,     0,     0,     0,  3309,     0,     0,     0,     0,     0,
       0,  1940,     0,     0,     0,     0,     0,  3333,  3334,  3335,
       0,     0,     0,     0,     0,     0,     0,     0,  3343,  3344,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1942,     0,  1190,  1942,     0,  1942,     0,     0,
       0,     0,  1942,  1190,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1939,     0,     0,     0,     0,  3398,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1942,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1940,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1942,     0,  2099,     0,     0,     0,     0,     0,
       0,  3021,     0,     0,     0,     0,     0,  1940,     0,     0,
    2393,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1940,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1939,     0,
       0,  1942,     0,  1942,     0,     0,     0,     0,     0,  1158,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1939,  2319,     0,   678,     0,     0,     0,  1940,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3525,     0,     0,     0,     0,     0,  1195,  1939,     0,     0,
       0,     0,     0,     0,  1942,  1195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   678,     0,     0,     0,
     678,     0,     0,     0,     0,     0,  3093,     0,  1707,  1942,
       0,   722,     0,  1939,     0,     0,     0,  1939,  1939,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1942,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1942,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1940,     0,     0,  1942,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1942,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1942,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3706,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,     0,
       0,     0,     0,     0,     0,   678,     0,   678,     0,     0,
    1195,     0,     0,     0,     0,     0,     0,     0,  1942,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1940,     0,     0,     0,  1942,     0,
       0,     0,     0,     0,     0,     0,  1195,     0,     0,     0,
    3752,  3753,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1942,     0,     0,     0,  2319,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3775,     0,     0,     0,     0,     0,     0,  1942,
       0,  3779,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  3790,  3792,     0,     0,
       0,  3792,     0,     0,     0,     0,  3803,  3804,  3805,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1940,
       0,     0,     0,     0,     0,  3823,  3824,  3825,  3826,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1940,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    3843,  3844,  3845,     0,     0,     0,     0,     0,     0,     0,
    3858,     0,     0,     0,  1195,     0,     0,     0,  1940,     0,
       0,     0,     0,     0,     0,  1195,  1942,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     722,  2099,     0,     0,     0,  3875,     0,  3877,  1949,     0,
    3881,     0,     0,     0,  1940,     0,     0,   678,  1940,  1940,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  3905,     0,     0,     0,  1195,     0,     0,     0,  3909,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1942,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  3977,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1561,     0,     0,     0,
       0,     0,     0,     0,     0,  4006,     0,     0,  4009,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,  1635,     0,     0,     0,     0,     0,     0,   930,
       0,     0,  4049,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4059,     0,     0,     0,
    1195,     0,     0,     0,     0,     0,     0,     0,     0,  2319,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2393,
       0,     0,     0,     0,   678,     0,     0,  1942,     0,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       4,     0,     0,     0,     0,     0,     0,  1195,  1195,     0,
    1195,     0,     0,     0,  1942,     0,     0,     0,     0,     0,
       5,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       6,     7,     0,     0,     0,     0,     0,     0,     9,    10,
       0,     0,    11,    12,    13,    14,    15,    16,    17,    18,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,     0,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,  1195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1195,     0,     0,     0,  1195,  1195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1942,     0,    46,
       0,     0,     0,     0,     0,     0,     0,     0,  1942,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,     0,    47,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,    48,     0,     0,
       0,     0,     0,     0,  4268,     0,  4269,     0,     0,     0,
       0,     0,     0,  4271,     0,     0,     0,    49,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1949,  4280,
       0,     0,     0,     0,     0,     0,     0,     0,  1942,    50,
       0,     0,  4286,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  4297,     0,     0,     0,     0,     0,  1949,     0,
       0,     0,     0,     0,  1942,     0,     0,  4300,     0,     0,
       0,     0,     0,     0,     0,    51,     0,     0,    52,     0,
       0,  1942,     0,     0,     0,     0,  2154,     0,     0,     0,
       0,     0,     0,    53,     0,     0,   678,     0,     0,  4330,
    4331,  4332,  4333,  4334,  4335,  4336,  4337,     0,     0,   678,
       0,     0,  4343,     0,     0,  2178,     0,     0,     0,  4352,
    4353,     0,  4355,  4356,  4357,  4358,  4359,  4360,  4361,     0,
       0,     0,     0,     0,  1949,  1942,     0,  4369,     0,  4371,
    4372,     0,     0,  2203,  2204,     0,  2207,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2249,     0,     0,     0,    54,
       0,  1949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4421,
    4423,  4425,     0,     0,  4428,     0,     0,     0,     0,  1949,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    55,     0,     0,     0,     0,     0,     0,  2303,     0,
       0,     0,     0,     0,     0,    56,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      57,     0,     0,     0,     0,     0,     0,  2326,     0,     0,
       0,  2338,  2341,     0,     0,     0,  1195,     0,     0,     0,
       0,   678,  1949,     0,     0,  1195,     0,     0,    58,     0,
       0,     0,     0,     0,     0,    59,  3792,     0,     0,    60,
      61,    62,    63,    64,     0,     0,    65,    66,  1391,  2786,
       0,  1942,     0,    71,     0,     0,  2319,  2319,  2319,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1195,  1195,     0,     0,     0,     0,     0,     0,  1195,     0,
       0,  1195,     0,     0,     0,  1195,     0,     0,     0,     0,
       0,  1942,     0,  1195,  1195,     0,     0,     0,     0,     0,
       0,  1195,     0,     0,  1195,  1195,  1195,  1195,     0,     0,
       0,     0,     0,     0,  1195,  1195,     0,  1195,     0,  1195,
    1195,     0,     0,  1195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1949,
    1195,  3093,     0,     0,     0,  1195,     0,     0,     0,  1195,
       0,     0,     0,  1195,     0,  1195,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,     0,  1195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1195,  1195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4630,  4631,  4632,  4633,     0,     0,
       0,     0,     0,     0,     0,     0,  1942,     0,     0,     0,
       0,     0,  1943,     0,     0,     0,     0,  4644,  4645,  4646,
    4647,     0,  4649,  4650,     0,     0,     0,     0,     0,  1942,
       0,     0,     0,     0,  4659,  4660,     0,     0,  1195,     0,
       0,   678,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2319,
    2319,     0,  2319,   678,     0,  1942,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1942,     0,     0,     0,  1942,  1942,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,  1949,  1949,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4727,     0,     0,
       0,     0,     0,     0,     0,     0,  4733,     0,     0,     0,
       0,     0,     0,     0,     0,  1943,     0,     0,     0,     0,
       0,  1195,     0,     0,     0,     0,     0,  4752,     0,     0,
       0,     0,  1195,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  4771,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  2883,     0,     0,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2906,     0,     0,
    2908,     0,     0,  2919,     0,     0,     0,     0,     0,     0,
    2926,  2931,   678,     0,     0,     0,  2937,     0,  2319,  2942,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  2319,     0,     0,     0,     0,  2951,     0,     0,     0,
       0,  2958,     0,     0,     0,  2970,     0,     0,     0,  2977,
       0,  2979,  2980,  2981,  2982,  2983,  2984,  2985,  2986,  2987,
       0,  2988,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1561,  3016,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  4860,  4861,  4862,     0,     0,  4864,
       0,     0,     0,     0,     0,     0,     0,  1195,     0,  1949,
       0,     0,     0,     0,  1635,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  2393,  2243,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   678,  1943,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1949,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  3792,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2243,     0,     0,     0,     0,   678,     0,     0,
       0,     0,  1943,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1195,     0,     0,     0,     0,     0,  2319,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2319,     0,
       0,     0,  1943,     0,     0,     0,     0,  3152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4989,     0,     0,  1949,     0,  4993,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  5003,     0,  1195,     0,
       0,     0,  2319,     0,  1195,     0,   678,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1195,  1195,     0,     0,     0,     0,  1195,  1943,     0,
       0,     0,     0,     0,   678,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1943,     0,     0,
       0,     0,  1195,  1195,     0,     0,     0,  1195,     0,     0,
       0,     0,     0,     0,     0,  1943,     0,     0,     0,  1195,
    1195,  1195,  1195,     0,     0,     0,  3792,     0,     0,     0,
       0,     0,  1195,     0,     0,  1195,     0,  1195,     0,     0,
       0,     0,     0,  1943,     0,     0,     0,  1195,  1195,  2319,
       0,  1195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1195,     0,  1195,     0,     0,     0,
    1195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,  1195,  1195,  1195,     0,  1943,     0,     0,     0,
       0,     0,  5107,  3373,     0,     0,     0,  5111,     0,     0,
       0,     0,     0,     0,     0,     0,  1195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,  1195,     0,     0,     0,     0,     0,
    1195,     0,     0,     0,     0,     0,     0,     0,  1195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     722,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,  1949,
       0,  1949,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   678,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,  3497,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1944,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2243,
       0,     0,     0,     0,     0,     0,  1949,     0,     0,     0,
       0,     0,     0,  1943,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3546,     0,
       0,     0,     0,  3552,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,  1949,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2931,     0,  2931,  2931,     0,
       0,  2243,     0,     0,     0,     0,     0,     0,  3609,     0,
       0,  3612,     0,  3614,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2243,     0,     0,     0,     0,
    2915,     0,     0,     0,     0,     0,     0,     0,  1949,     0,
    3635,     0,  3637,     0,     0,     0,  3640,     0,     0,     0,
    2243,  2243,     0,     0,  2243,     0,  1944,     0,     0,     0,
       0,     0,     0,  1949,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  3016,  3016,
    3016,     0,     0,     0,  1949,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  2243,  1949,     0,     0,
       0,     0,  3703,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  2326,     0,     0,  1943,     0,
    3715,     0,  1943,  1943,     0,     0,  2341,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     678,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2243,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2243,     0,     0,     0,  1949,     0,     0,
       0,     0,     0,     0,     0,  2243,     0,     0,  2243,     0,
    1949,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  3761,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1195,     0,     0,     0,     0,     0,     0,  1943,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,  1949,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,     0,  1195,     0,  1195,     0,     0,
       0,     0,  1949,  1195,     0,     0,  1195,  1195,  1195,  1195,
    1195,  1195,  1195,  1195,  1195,  1195,     0,     0,     0,  1195,
    1195,     0,     0,     0,     0,     0,     0,  1949,     0,     0,
       0,     0,  1195,     0,     0,     0,  1195,     0,     0,     0,
    1195,     0,     0,     0,     0,     0,     0,     0,     0,  1944,
    1195,     0,     0,  1195,     0,  1195,     0,     0,     0,     0,
       0,     0,     0,  1949,  1195,  1195,  1195,     0,     0,     0,
    1195,     0,     0,  1195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1195,     0,  1195,
       0,     0,     0,  1943,     0,     0,     0,     0,     0,     0,
       0,  1195,     0,  1944,     0,     0,     0,  1195,  1195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1944,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1195,     0,     0,     0,     0,     0,  1195,     0,
       0,     0,     0,     0,  1195,     0,     0,     0,  1943,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1949,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1195,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1944,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1944,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1944,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1943,     0,  1949,
       0,     0,     0,     0,  1944,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4090,     0,  1944,     0,     0,
       0,     0,     0,     0,     0,  4094,     0,     0,     0,     0,
       0,  4095,     0,  4096,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  4114,  4115,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1195,     0,  2937,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4143,     0,     0,  4146,
       0,  4148,     0,     0,     0,     0,     0,     0,     0,     0,
    4152,  1949,     0,     0,     0,     0,  4157,     0,     0,  4160,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2243,     0,     0,     0,     0,     0,     0,  4201,  1949,  1195,
    1195,     0,     0,  4208,  3016,     0,     0,     0,     0,     0,
       0,     0,     0,  2243,     0,  2243,     0,  2915,  2915,  3583,
       0,     0,  2915,     0,     0,     0,  2243,     0,     0,     0,
       0,     0,     0,  2243,     0,     0,     0,     0,  2243,     0,
       0,     0,     0,     0,  2243,     0,     0,     0,  4223,  2243,
       0,     0,     0,     0,  1561,     0,     0,     0,  2243,     0,
    1635,  1195,  2915,  2915,     0,  2243,     0,     0,     0,     0,
    1943,     0,     0,  1943,  1944,  1943,     0,  2243,     0,     0,
    1943,     0,     0,     0,  2243,     0,  2243,  2243,  2243,  2243,
    2243,  2243,  2243,  2243,  2243,  2243,     0,     0,  1195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1195,  1195,
       0,  1949,     0,     0,     0,     0,  1195,  1195,     0,     0,
       0,  1195,  1949,  2243,     0,     0,     0,  1195,  1195,     0,
    1943,  1195,     0,     0,  1195,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1195,     0,     0,     0,  1195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1943,  1195,     0,     0,     0,     0,  1195,     0,     0,     0,
       0,  1195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1195,     0,     0,     0,     0,  1943,
       0,  1943,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1949,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  2243,
       0,     0,     0,     0,     0,     0,     0,     0,  1949,  1944,
       0,     0,     0,  1944,  1944,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0,  1943,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1943,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1943,  1949,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1943,     0,     0,     0,  4482,  4483,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1944,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,     0,     0,  1943,     0,  4515,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1943,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1943,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1949,     0,     0,
       0,     0,     0,     0,  4533,  4535,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  4542,     0,     0,
    2243,     0,     0,  4547,  4548,     0,     0,  4550,     0,     0,
    4553,  1195,     0,     0,     0,  1949,     0,     0,     0,     0,
    1195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1943,  1195,  1195,     0,
       0,  1195,     0,     0,  1944,     0,     0,  3016,     0,     0,
       0,     0,  3016,     0,  1195,     0,  1943,  3016,     0,  1195,
       0,     0,     0,     0,  1195,     0,     0,  1195,     0,     0,
       0,     0,  1195,  1195,     0,     0,     0,     0,     0,     0,
       0,  1943,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    4611,     0,     0,     0,     0,  1195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1943,     0,  1944,
       0,     0,     0,     0,  2243,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1949,     0,     0,     0,     0,
       0,     0,     0,  1195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  2243,     0,     0,     0,     0,     0,  2243,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1195,     0,     0,  3583,  3583,     0,  2915,     0,
       0,  2915,  2915,  2915,  2915,  2915,  2915,  2915,  2915,  2915,
    2915,  3583,     0,     0,     0,     0,     0,     0,  1944,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1943,     0,  2243,     0,     0,  2243,
       0,  2243,     0,     0,     0,     0,  3583,  3583,  1195,     0,
    1949,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2915,  2915,  2243,     0,  2243,     0,     0,  2243,     0,     0,
       0,     0,  1195,  1949,  4713,  1195,     0,  1195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1195,     0,     0,     0,  1195,     0,     0,     0,     0,  1949,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1943,     0,     0,     0,     0,     0,     0,
    2243,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2243,     0,     0,  1949,     0,     0,     0,  1949,
    1949,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2243,     0,
       0,     0,  1195,     0,     0,     0,     0,  4797,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  4820,
       0,  1949,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,  1195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1943,     0,     0,     0,     0,
       0,  1944,     0,  1195,  1944,     0,  1944,     0,     0,     0,
       0,  1944,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1943,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1195,     0,     0,     0,     0,     0,     0,     0,
       0,  1944,     0,  1195,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
    1195,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1195,  1944,     0,     0,     0,     0,     0,     0,     0,  2915,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1195,     0,     0,     0,  1943,     0,     0,     0,     0,
       0,  2937,     0,     0,     0,  1195,  1943,     0,     0,     0,
    1944,     0,  1944,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  4965,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1195,
       0,     0,     0,  1944,     0,     0,     0,     0,  1195,     0,
       0,     0,     0,     0,     0,     0,     0,  2243,     0,     0,
       0,  2243,  2243,  2243,     0,     0,  3583,     0,  1944,     0,
       0,  3583,  3583,  3583,  3583,  3583,  3583,  3583,  3583,  3583,
    3583,  2243,  2243,     0,     0,     0,     0,     0,     0,  1944,
       0,     0,     0,     0,     0,     0,  1943,     0,     0,     0,
       0,     0,  1944,     0,     0,     0,     0,  5039,     0,     0,
    2243,  2915,  2915,  2243,     0,  2243,     0,     0,     0,  2243,
    3583,  3583,  1943,     0,  2243,     0,     0,  2243,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1943,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1944,     0,  2243,     0,
       0,     0,     0,     0,     0,  2243,     0,     0,     0,  5087,
       0,     0,  1944,     0,     0,     0,     0,     0,     0,     0,
    2243,     0,     0,  1943,     0,  1944,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    85,     0,     0,     0,     0,
       0,    89,     0,     0,     0,    93,     0,    94,     0,    96,
      97,     0,     0,     0,     0,  5132,  5132,     0,     0,     0,
     106,     0,     0,     0,     0,     0,     0,  1944,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   119,   120,     0,
       0,     0,     0,     0,     0,     0,     0,  1944,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  1944,     0,     0,     0,     0,  5132,     0,     0,
       0,     0,     0,   128,     0,     0,     0,     0,     0,     0,
       0,  5185,     0,   129,     0,   130,   131,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1944,  1943,
    1128,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     141,     0,   142,   143,     0,     0,     0,     0,   146,     0,
     147,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     149,     0,   150,     0,     0,  5132,  3583,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   153,     0,   154,     0,
       0,   157,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   158,     0,   159,     0,     0,     0,   160,
       0,     0,     0,     0,     0,   161,     0,     0,     0,     0,
       0,     0,     0,   163,     0,   165,     0,     0,     0,  2243,
    2243,   167,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1944,   171,     0,     0,  1943,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  2243,     0,     0,     0,  2915,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    2243,     0,  2243,     0,     0,     0,     0,  3583,  3583,  2243,
       0,     0,  2915,  2915,  2243,  2243,     0,  2243,     0,     0,
    2243,   184,   185,     0,     0,     0,     0,   186,     0,     0,
       0,     0,     0,     0,     0,     0,   187,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   192,     0,     0,
       0,     0,     0,     0,  1944,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  2243,     0,
       0,     0,     0,     0,  1943,   202,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   204,     0,     0,
       0,     0,   205,   206,     0,   207,     0,  1943,     0,     0,
     208,     0,     0,     0,     0,   209,     0,     0,   211,     0,
       0,     0,   213,     0,     0,     0,     0,   214,   215,     0,
       0,     0,     0,     0,     0,   216,     0,     0,   218,     0,
       0,     0,     0,  1943,     0,     0,   221,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   223,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   228,     0,   229,     0,  1943,
    2243,     0,     0,  1943,  1943,   231,     0,     0,     0,     0,
       0,   232,     0,     0,     0,     0,   233,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1944,     0,     0,   236,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1944,     0,   246,  3583,  2915,     0,  -138,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,  3583,  3583,  2243,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    85,     0,     0,    86,
      87,    88,    89,    90,    91,    92,    93,  2243,    94,    95,
      96,    97,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   106,     0,     0,   107,   108,   109,   110,     0,   111,
     112,   113,   114,   115,     0,   116,   117,   118,   119,   120,
       0,     0,     0,   121,   122,     0,     0,     0,     0,   123,
       0,     0,     0,     0,     0,     0,     0,     0,   124,     0,
     125,     0,   126,   127,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,  1944,     0,     0,     0,
       0,     0,     0,     0,   128,     0,     0,  1944,     0,     0,
       0,     0,     0,     0,   129,     0,   130,   131,     0,     0,
       0,     0,     0,     0,     0,     0,   132,     0,   133,     0,
       0,   134,   135,   136,   137,   138,   139,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   140,     0,
       0,   141,     0,   142,   143,   144,  3583,   145,     0,   146,
       0,   147,     0,   148,     0,     0,     0,     0,     0,     0,
       0,   149,  2243,   150,   151,     0,     0,     0,     0,     0,
     152,     0,     0,     0,     0,     0,     0,   153,     0,   154,
     155,   156,   157,     0,     0,     0,     0,     0, -1421,     0,
       0,     0,     0,     0,   158,     0,   159,     0,     0,     0,
     160,     0,     0,     0,     0,     0,   161,   162,     0,     0,
       0,     0,     0,     0,   163,   164,   165,  1944,     0,   166,
       0,     0,   167,     0,     0,   168,     0,     0,     0,     0,
       0,   169,     0,   170,     0,     0,  2243,   171,     0,   172,
       0,     0,     0,  1944,     0,     0,     0,     0,   173,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1944,   174,   175,     0,     0, -1421,     0,     0,   176,     0,
     177,     0,     0,   178,   179,     0,   180,     0,     0,     0,
       0,     0,     0,     0,  2243,     0,     0,   181,   182,     0,
     183,     0,   184,   185,     0,     0,     0,     0,   186,     0,
       0,     0,     0,     0,     0,     0,     0,   187,     0,     0,
     188,   189,   190,     0,  1944,   191,     0,     0,   192,   193,
       0,     0,   194,     0,   195,     0,     0,     0,     0,  2243,
       0,     0,     0,     0,     0,     0,     0,     0,   196,   197,
       0,   198,   199,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   200,     0,   201,     0,   202,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   203,   204,     0,
       0,     0,     0,   205,   206,     0,   207,     0,     0,     0,
       0,   208,  2243,     0,     0,     0,   209,   210,     0,   211,
     212,     0,     0,   213,     0,     0,     0,     0,   214,   215,
       0,     0,     0,     0,     0,     0,   216,   217,     0,   218,
     219,     0,   220,     0,     0,     0,     0,   221,     0,     0,
       0,     0,     0,     0,     0,   222,     0,     0,     0,   223,
       0,     0,     0,     0,     0,     0,     0,   224,   225,     0,
       0,     0,   226,     0,   227,     0,   228,     0,   229,     0,
       0,     0,     0,   230,     0,     0,   231,     0,     0, -1421,
       0,     0,   232,     0,     0,     0,     0,   233,   234,     0,
    1944,   235,     0,     0,     0,     0,     0,     0,     0,     0,
     236,     0,     0,     0,     0,     0,     0,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   246,     0,     0,     0,
    -138,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1944,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1944,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1944,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  1944,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
    1944,     0,   692,     0,  1944,  1944,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   739,   427,   428,   429,   740,
     741,   742,   743,   744,   745,   746,   430,   431,   747,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
     748,   437,   438,   439,   440,   441,   749,   750,   442,   443,
     751,   140,   444,   752,   445,   446,   447,   448,   144,   753,
     145,   754,   449,   450,   451,   452,   148,   453,   755,   756,
     454,   455,   456,   457,   458,   459,   757,   151,   460,   758,
     759,   760,   761,   152,   762,   763,   764,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   765,   467,   766,   468,
     469,   470,   471,   472,   767,   473,   474,   475,   768,   769,
     476,   477,   478,   479,   480,   770,   481,   482,   483,   771,
     484,   485,   486,   772,   487,   488,   489,   490,   164,   491,
     492,   493,   166,   773,   494,   774,   495,   496,   168,   497,
     775,   498,   776,   499,   169,   777,   170,   500,   501,   502,
     778,   503,   172,   779,   504,   780,   505,   506,   703,   507,
     508,   173,   509,   510,   511,   781,   512,   513,   514,   515,
     516,   517,   782,   518,   174,   175,   783,   519,   520,   521,
     784,   176,   785,   177,   786,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,   787,   529,   530,   788,   531,
     181,   182,   532,   183,   789,   533,   534,   535,   790,   791,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,   792,
     549,   550,   193,   551,   793,   194,   552,   195,   553,   554,
     555,   794,   556,   795,   796,   557,   558,   559,   797,   798,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,   799,   569,   200,   570,   201,   571,   572,
     573,   800,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,   801,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   802,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,   803,   608,   609,   610,   611,   612,   804,   613,
     217,   614,   615,   219,   616,   220,   617,   805,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,   806,
     628,   629,   807,   630,   631,   632,   633,   634,   635,   808,
     224,   225,   809,   810,   637,   226,   638,   227,   811,   639,
     640,   641,   642,   643,   644,   645,   812,   813,   646,   647,
     648,   649,   650,   814,   815,   651,   652,   653,   654,   655,
     816,   234,   817,   656,   235,   657,   658,   659,   660,   818,
     819,   661,   820,   821,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,   975,     0,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   196,   197,     0,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,     0,     0,     0,   226,     0,   227,     0,     0,
       0,     0,     0,     0,     0,     0,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
       0,     0,    86,    87,    88,     0,    90,    91,    92,     0,
       0,     0,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,     0,     0,  3083,   107,   108,   109,
     110,     0,   111,   112,   113,   114,   115,     0,   116,   117,
     118,     0,     0,     0,     0,     0,   121,   122,     0,     0,
       0,     0,   123,     0,     0,     0,     0,     0,     0,     0,
       0,   124,     0,   125,     0,   126,     0,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   133,     0,     0,     0,   135,   136,   137,   138,   139,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   140,     0,     0,     0,     0,     0,     0,   144,     0,
     145,     0,     0,     0,     0,     0,   148,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   151,     0,     0,
       0,     0,     0,   152,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   155,   156,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     162,     0,     0,     0,     0,     0,     0,     0,   164,     0,
       0,     0,   166,     0,     0,     0,     0,     0,   168,     0,
       0,     0,     0,     0,   169,     0,   170,     0,     0,     0,
       0,     0,   172,     0,     0,     0,     0,     0,     0,     0,
       0,   173,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   174,   175,     0,     0,     0,     0,
       0,   176,     0,   177,     0,     0,   178,   179,     0,   180,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     181,   182,     0,   183,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   188,   189,   190,     0,     0,   191,     0,
       0,     0,   193,     0,     0,   194,     0,   195,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   196,   197,     0,   198,   199,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   200,     0,   201,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     203,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     210,     0,     0,   212,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     217,     0,     0,   219,     0,   220,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   222,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     224,   225,     0,     0,     0,   226,     0,   227,     0,     0,
       0,     0,     0,     0,     0,     0,   230,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   234,     0,     0,   235,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     4,     0,     0,     0,     0,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
       0,     0,     0,     0,     0,     5,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     6,     7,     0,     0,     0,
       0,     0,     0,     9,    10,     0,  3085,    11,    12,    13,
      14,    15,    16,    17,    18,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    30,    31,    32,    33,
      34,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    46,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    47,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    48,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    49,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    50,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      51,     0,     0,    52,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    53,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,    54,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,    55,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      56,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    57,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,    58,     0,     0,     0,     0,     0,     0,
      59,     0,     0,     0,    60,    61,    62,    63,    64,     0,
       0,    65,    66,  1391,     0,     0,     0,     0,    71,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1480,  1481,  1482,
      45,  1483,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,  3010,   427,   428,   429,     0,     0,     0,
       0,  1484,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1485,   137,  1486,  1487,     0,   437,
     438,   439,   440,   441,  1488,  1489,   442,   443,  1490,  1491,
     444,     0,   445,   446,   447,   448,  1492,     0,  1493,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,   461,   462,   463,   464,   701,
     465,  1501,  1502,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,  3011,     0,   476,   477,
    1503,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1504,   491,   492,   493,
    1505,  1506,   494,     0,   495,   496,  1507,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1508,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1509,  1510,
       0,  1511,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1512,   182,
     532,   183,     0,   533,   534,   535,  1513,  1514,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1515,   189,  1516,   547,   548,   191,  1517,   549,   550,
     193,   551,  1518,  1519,   552,  1520,   553,   554,   555,     0,
     556,     0,     0,  1521,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1522,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1523,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1524,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1525,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1526,   613,   217,   614,
     615,   219,   616,  1527,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1528,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1529,  1530,
       0,     0,   637,  1531,   638,  1532,  1533,   639,   640,   641,
     642,   643,   644,   645,     0,  1534,   646,   647,   648,   649,
     650,  1535,     0,   651,   652,   653,   654,   655,   707,  1536,
    3012,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1537,
    1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1545,  1546,
    3013,     0,     0,     0,     0,     0,     0,  1548,  3014,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1480,  1481,  1482,
      45,  1483,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1484,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1485,   137,  1486,  1487,     0,   437,
     438,   439,   440,   441,  1488,  1489,   442,   443,  1490,  1491,
     444,     0,   445,   446,   447,   448,  1492,     0,  1493,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,   461,   462,   463,   464,   701,
     465,  1501,  1502,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1503,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1504,   491,   492,   493,
    1505,  1506,   494,     0,   495,   496,  1507,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1508,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1509,  1510,
       0,  1511,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1512,   182,
     532,   183,     0,   533,   534,   535,  1513,  1514,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1515,   189,  1516,   547,   548,   191,  1517,   549,   550,
     193,   551,  1518,  1519,   552,  1520,   553,   554,   555,     0,
     556,     0,     0,  1521,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1522,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1523,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1524,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1525,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1526,   613,   217,   614,
     615,   219,   616,  1527,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1528,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1529,  1530,
       0,     0,   637,  1531,   638,  1532,  1533,   639,   640,   641,
     642,   643,   644,   645,     0,  1534,   646,   647,   648,   649,
     650,  1535,     0,   651,   652,   653,   654,   655,   707,  1536,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1537,
    1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1545,  1546,
       0,     0,     0,     0,     0,     0,     0,  1548,  2917,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,  1915,   137,  1916,  1917,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1918,  1919,
     444,     0,   445,   446,   447,   448,     0,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,  1920,  1921,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1503,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,     0,   491,   492,   493,
       0,     0,   494,     0,   495,   496,  1922,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
       0,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,  2408,   512,   513,   514,   515,   516,   517,
       0,   518,   174,  2409,     0,   519,   520,   521,  1509,  1923,
       0,  1924,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,     0,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1925,   189,  1926,   547,   548,     0,     0,   549,   550,
     193,   551,     0,     0,   552,  1927,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,  2411,
     197,   561,   198,     0,   562,   563,   564,   565,   566,   567,
     568,     0,   569,     0,   570,     0,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1928,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,  2412,   614,
     615,   219,   616,  1930,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,     0,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1931,  1932,
       0,     0,   637,     0,   638,     0,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,  1933,
    2413,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   668,   669,
       0,     0,     0,     0,     0,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,  2511,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1915,   137,  1916,  1917,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1918,  1919,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,  1920,  1921,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1503,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,  1922,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,  2408,
     512,   513,   514,   515,   516,   517,     0,   518,   174,  2409,
       0,   519,   520,   521,  1509,  1923,     0,  1924,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1925,   189,  1926,
     547,   548,     0,     0,   549,   550,   193,   551,     0,     0,
     552,  1927,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,  2411,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1928,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,  2412,   614,   615,   219,   616,  1930,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1931,  1932,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,  1933,  2413,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,     0,     0,     0,     0,
       0,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,  3459,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1480,
    1481,  1482,    45,  1483,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1484,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1485,   137,  1486,  1487,
    2927,   437,   438,   439,   440,   441,  1488,  1489,   442,   443,
    1490,  1491,   444,     0,   445,   446,   447,   448,  1492,     0,
    1493,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
    1494,  1495,  1496,  1497,  1498,  1499,  1500,   461,   462,   463,
     464,   701,   465,  1501,  1502,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1503,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1504,   491,
     492,   493,  1505,  1506,   494,     0,   495,   496,  1507,   497,
       0,   498,     0,   499,   169,  2928,   170,   500,   501,   502,
       0,   503,  1508,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1509,  1510,     0,  1511,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,  2929,   531,
    1512,   182,   532,   183,     0,   533,   534,   535,  1513,  1514,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1515,   189,  1516,   547,   548,   191,  1517,
     549,   550,   193,   551,  1518,  1519,   552,  1520,   553,   554,
     555,     0,   556,     0,     0,  1521,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1522,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1523,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1524,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1525,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1526,   613,
     217,   614,   615,   219,   616,  1527,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1528,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1529,  1530,     0,  2930,   637,  1531,   638,  1532,  1533,   639,
     640,   641,   642,   643,   644,   645,     0,  1534,   646,   647,
     648,   649,   650,  1535,     0,   651,   652,   653,   654,   655,
     707,  1536,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1537,  1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1545,  1546,     0,     0,     0,     0,     0,     0,     0,  1548,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1480,  1481,
    1482,    45,  1483,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1484,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,  1485,   137,  1486,  1487,     0,
     437,   438,   439,   440,   441,  1488,  1489,   442,   443,  1490,
    1491,   444,     0,   445,   446,   447,   448,  1492,     0,  1493,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,   461,   462,   463,   464,
     701,   465,  1501,  1502,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1503,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1504,   491,   492,
     493,  1505,  1506,   494,     0,   495,   496,  1507,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1508,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1509,
    1510,     0,  1511,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1512,
     182,   532,   183,     0,   533,   534,   535,  1513,  1514,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1515,   189,  1516,   547,   548,   191,  1517,   549,
     550,   193,   551,  1518,  1519,   552,  1520,   553,   554,   555,
       0,   556,     0,     0,  1521,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1522,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1523,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1524,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1525,   601,   602,   603,   604,   605,   606,   706,
     607,   215,   608,   609,   610,   611,   612,  1526,   613,   217,
     614,   615,   219,   616,  1527,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1528,     0,   628,
     629,   223,   630,   631,   632,   633,   634,   635,     0,  1529,
    1530,     0,     0,   637,  1531,   638,  1532,  1533,   639,   640,
     641,   642,   643,   644,   645,     0,  1534,   646,   647,   648,
     649,   650,  1535,     0,   651,   652,   653,   654,   655,  2205,
    1536,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,   236,   662,   663,   664,   665,   666,   667,   237,
    1537,  1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1545,
    1546,     0,     0,     0,     0,     0,     0,     0,  1548,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1480,  1481,  1482,
      45,  1483,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1484,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1485,   137,  1486,  1487,     0,   437,
     438,   439,   440,   441,  1488,  1489,   442,   443,  1490,  1491,
     444,     0,   445,   446,   447,   448,  1492,     0,  1493,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,   461,   462,   463,   464,   701,
     465,  1501,  1502,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1503,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1504,   491,   492,   493,
    1505,  1506,   494,     0,   495,   496,  1507,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1508,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1509,  1510,
       0,  1511,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1512,   182,
     532,   183,     0,   533,   534,   535,  1513,  1514,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1515,   189,  1516,   547,   548,   191,  1517,   549,   550,
     193,   551,  1518,  1519,   552,  1520,   553,   554,   555,     0,
     556,     0,     0,  1521,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1522,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1523,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1524,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1525,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1526,   613,   217,   614,
     615,   219,   616,  1527,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1528,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1529,  1530,
       0,     0,   637,  1531,   638,  1532,  1533,   639,   640,   641,
     642,   643,   644,   645,     0,  1534,   646,   647,   648,   649,
     650,  1535,     0,   651,   652,   653,   654,   655,   707,  1536,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,  1537,
    1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1545,  1546,
       0,     0,     0,     0,     0,  2149,  2875,  1548,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1480,  1481,  1482,    45,
    1483,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1484,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,  1485,   137,  1486,  1487,     0,   437,   438,
     439,   440,   441,  1488,  1489,   442,   443,  1490,  1491,   444,
       0,   445,   446,   447,   448,  1492,     0,  1493,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,   461,   462,   463,   464,   701,   465,
    1501,  1502,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1503,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1504,   491,   492,   493,  1505,
    1506,   494,     0,   495,   496,  1507,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1508,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1509,  1510,     0,
    1511,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1512,   182,   532,
     183,     0,   533,   534,   535,  1513,  1514,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1515,   189,  1516,   547,   548,   191,  1517,   549,   550,   193,
     551,  1518,  1519,   552,  1520,   553,   554,   555,     0,   556,
       0,     0,  1521,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1522,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1523,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1524,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1525,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1526,   613,   217,   614,   615,
     219,   616,  1527,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1528,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1529,  1530,     0,
       0,   637,  1531,   638,  1532,  1533,   639,   640,   641,   642,
     643,   644,   645,     0,  1534,   646,   647,   648,   649,   650,
    1535,     0,   651,   652,   653,   654,   655,   707,  1536,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1537,  1538,
    1539,  1540,  1541,  1542,  1543,  1544,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1545,  1546,  1547,
       0,     0,     0,     0,     0,     0,  1548,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1480,  1481,  1482,    45,  1483,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1484,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1485,   137,  1486,  1487,     0,   437,   438,   439,
     440,   441,  1488,  1489,   442,   443,  1490,  1491,   444,     0,
     445,   446,   447,   448,  1492,     0,  1493,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1494,  1495,  1496,  1497,
    1498,  1499,  1500,   461,   462,   463,   464,   701,   465,  1501,
    1502,   466,  1634,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1503,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1504,   491,   492,   493,  1505,  1506,
     494,     0,   495,   496,  1507,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1508,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1509,  1510,     0,  1511,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1512,   182,   532,   183,
       0,   533,   534,   535,  1513,  1514,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1515,
     189,  1516,   547,   548,   191,  1517,   549,   550,   193,   551,
    1518,  1519,   552,  1520,   553,   554,   555,     0,   556,     0,
       0,  1521,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1522,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1523,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1524,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1525,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1526,   613,   217,   614,   615,   219,
     616,  1527,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1528,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1529,  1530,     0,     0,
     637,  1531,   638,  1532,  1533,   639,   640,   641,   642,   643,
     644,   645,     0,  1534,   646,   647,   648,   649,   650,  1535,
       0,   651,   652,   653,   654,   655,   707,  1536,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1537,  1538,  1539,
    1540,  1541,  1542,  1543,  1544,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  1545,  1546,     0,     0,
       0,     0,     0,     0,     0,  1548,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1480,  1481,  1482,    45,  1483,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
    2336,   427,   428,   429,     0,     0,     0,     0,  1484,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,  1485,   137,  1486,  1487,     0,   437,   438,   439,   440,
     441,  1488,  1489,   442,   443,  1490,  1491,   444,     0,   445,
     446,   447,   448,  1492,     0,  1493,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,  1494,  1495,  1496,  1497,  1498,
    1499,  1500,   461,   462,   463,   464,   701,   465,  1501,  1502,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1503,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1504,   491,   492,   493,  1505,  1506,   494,
       0,   495,   496,  1507,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1508,     0,   504,
       0,   505,   506,   703,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1509,  1510,     0,  1511,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1512,   182,   532,   183,     0,
     533,   534,   535,  1513,  1514,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1515,   189,
    1516,   547,   548,   191,  1517,   549,   550,   193,   551,  1518,
    1519,   552,  1520,   553,   554,   555,     0,   556,     0,     0,
    1521,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1522,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1523,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1524,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1525,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1526,   613,   217,   614,   615,   219,   616,
    1527,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1528,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1529,  1530,     0,     0,   637,
    1531,   638,  1532,  1533,   639,   640,   641,   642,   643,   644,
     645,     0,  1534,   646,   647,   648,   649,   650,  1535,     0,
     651,   652,   653,   654,   655,   707,  1536,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1537,  1538,  1539,  1540,
    1541,  1542,  1543,  1544,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1545,  1546,     0,     0,     0,
       0,     0,     0,     0,  1548,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1480,  1481,  1482,    45,  1483,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1484,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1485,   137,  1486,  1487,     0,   437,   438,   439,   440,   441,
    1488,  1489,   442,   443,  1490,  1491,   444,     0,   445,   446,
     447,   448,  1492,     0,  1493,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,   461,   462,   463,   464,   701,   465,  1501,  1502,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1503,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1504,   491,   492,   493,  1505,  1506,   494,     0,
     495,   496,  1507,   497,     0,   498,     0,   499,   169,  2928,
     170,   500,   501,   502,     0,   503,  1508,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1509,  1510,     0,  1511,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1512,   182,   532,   183,     0,   533,
     534,   535,  1513,  1514,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1515,   189,  1516,
     547,   548,   191,  1517,   549,   550,   193,   551,  1518,  1519,
     552,  1520,   553,   554,   555,     0,   556,     0,     0,  1521,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1522,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1523,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1524,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1525,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1526,   613,   217,   614,   615,   219,   616,  1527,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1528,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1529,  1530,     0,     0,   637,  1531,
     638,  1532,  1533,   639,   640,   641,   642,   643,   644,   645,
       0,  1534,   646,   647,   648,   649,   650,  1535,     0,   651,
     652,   653,   654,   655,   707,  1536,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1537,  1538,  1539,  1540,  1541,
    1542,  1543,  1544,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1545,  1546,     0,     0,     0,     0,
       0,     0,     0,  1548,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1480,  1481,  1482,    45,  1483,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1484,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,  1485,
     137,  1486,  1487,     0,   437,   438,   439,   440,   441,  1488,
    1489,   442,   443,  1490,  1491,   444,     0,   445,   446,   447,
     448,  1492,     0,  1493,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1494,  1495,  1496,  1497,  1498,  1499,  1500,
     461,   462,   463,   464,   701,   465,  1501,  1502,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1503,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,  1504,   491,   492,   493,  1505,  1506,   494,     0,   495,
     496,  1507,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1508,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1509,  1510,     0,  1511,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1512,   182,   532,   183,     0,   533,   534,
     535,  1513,  1514,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1515,   189,  1516,   547,
     548,   191,  1517,   549,   550,   193,   551,  1518,  1519,   552,
    1520,   553,   554,   555,     0,   556,     0,     0,  1521,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1522,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1523,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1524,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1525,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1526,   613,   217,   614,   615,   219,   616,  1527,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1528,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1529,  1530,     0,     0,   637,  1531,   638,
    1532,  1533,   639,   640,   641,   642,   643,   644,   645,     0,
    1534,   646,   647,   648,   649,   650,  1535,     0,   651,   652,
     653,   654,   655,   707,  1536,  4209,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1537,  1538,  1539,  1540,  1541,  1542,
    1543,  1544,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  1545,  1546,     0,     0,     0,     0,     0,
       0,     0,  1548,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
     418,     0,     0,    37,    38,    39,    40,    41,    42,    43,
      44,  1480,  1481,  1482,    45,  1483,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,  1484,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,  1485,   137,
    1486,  1487,     0,   437,   438,   439,   440,   441,  1488,  1489,
     442,   443,  1490,  1491,   444,     0,   445,   446,   447,   448,
    1492,     0,  1493,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,  4222,  1494,  1495,  1496,  1497,  1498,  1499,  1500,   461,
     462,   463,   464,   701,   465,  1501,  1502,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1503,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
    1504,   491,   492,   493,  1505,  1506,   494,     0,   495,   496,
    1507,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1508,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,  1509,  1510,     0,  1511,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1512,   182,   532,   183,     0,   533,   534,   535,
    1513,  1514,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1515,   189,  1516,   547,   548,
     191,  1517,   549,   550,   193,   551,  1518,  1519,   552,  1520,
     553,   554,   555,     0,   556,     0,     0,  1521,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1522,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1523,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1524,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,  1525,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1526,   613,   217,   614,   615,   219,   616,  1527,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1528,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1529,  1530,     0,     0,   637,  1531,   638,  1532,
    1533,   639,   640,   641,   642,   643,   644,   645,     0,  1534,
     646,   647,   648,   649,   650,  1535,     0,   651,   652,   653,
     654,   655,   707,  1536,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1537,  1538,  1539,  1540,  1541,  1542,  1543,
    1544,   708,   668,   669,     0,     0,     0,     0,     0,     0,
       0,     0,  1545,  1546,     0,     0,     0,     0,     0,     0,
       0,  1548,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,   418,
       0,     0,    37,    38,    39,    40,    41,    42,    43,    44,
    1480,  1481,  1482,    45,  1483,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,  1484,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,  5129,  1485,   137,  1486,
    1487,     0,   437,   438,   439,   440,   441,  1488,  1489,   442,
     443,  1490,  1491,   444,     0,   445,   446,   447,   448,  1492,
       0,  1493,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
    5130,  1494,  1495,  1496,  1497,  1498,  1499,  1500,   461,   462,
     463,   464,   701,   465,  1501,  1502,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1503,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,  1504,
     491,   492,   493,  1505,  1506,   494,     0,   495,   496,  1507,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,  1508,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,   175,     0,   519,   520,
     521,  1509,  1510,     0,  1511,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,  1512,   182,   532,   183,     0,   533,   534,   535,  1513,
    1514,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1515,   189,  1516,   547,   548,   191,
    1517,   549,   550,   193,   551,  1518,  1519,   552,  1520,   553,
     554,   555,     0,   556,     0,     0,  1521,   558,   559,     0,
       0,   560,   196,   197,   561,   198,  1522,   562,   563,   564,
     565,   566,   567,   568,     0,   569,  1523,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1524,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,  1525,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,  1526,
     613,   217,   614,   615,   219,   616,  1527,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,  1528,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1529,  1530,     0,     0,   637,  1531,   638,  1532,  1533,
     639,   640,   641,   642,  5131,   644,   645,     0,  1534,   646,
     647,   648,   649,   650,  1535,     0,   651,   652,   653,   654,
     655,   707,  1536,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,  1537,  1538,  1539,  1540,  1541,  1542,  1543,  1544,
     708,   668,   669,     0,     0,     0,     0,     0,     0,     0,
       0,  1545,  1546,     0,     0,     0,     0,     0,     0,     0,
    1548,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,  1480,
    1481,  1482,    45,  1483,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,  1484,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,  1485,   137,  1486,  1487,
       0,   437,   438,   439,   440,   441,  1488,  1489,   442,   443,
    1490,  1491,   444,     0,   445,   446,   447,   448,  1492,     0,
    1493,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,  5130,
    1494,  1495,  1496,  1497,  1498,  1499,  1500,   461,   462,   463,
     464,   701,   465,  1501,  1502,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1503,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,  1504,   491,
     492,   493,  1505,  1506,   494,     0,   495,   496,  1507,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,  1508,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
    1509,  1510,     0,  1511,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
    1512,   182,   532,   183,     0,   533,   534,   535,  1513,  1514,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1515,   189,  1516,   547,   548,   191,  1517,
     549,   550,   193,   551,  1518,  1519,   552,  1520,   553,   554,
     555,     0,   556,     0,     0,  1521,   558,   559,     0,     0,
     560,   196,   197,   561,   198,  1522,   562,   563,   564,   565,
     566,   567,   568,     0,   569,  1523,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1524,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,  1525,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,  1526,   613,
     217,   614,   615,   219,   616,  1527,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,  1528,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1529,  1530,     0,     0,   637,  1531,   638,  1532,  1533,   639,
     640,   641,   642,  5131,   644,   645,     0,  1534,   646,   647,
     648,   649,   650,  1535,     0,   651,   652,   653,   654,   655,
     707,  1536,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,  1537,  1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,
     668,   669,     0,     0,     0,     0,     0,     0,     0,     0,
    1545,  1546,     0,     0,     0,     0,     0,     0,     0,  1548,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1480,  1481,
    1482,    45,  1483,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1484,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,  1485,   137,  1486,  1487,     0,
     437,   438,   439,   440,   441,  1488,  1489,   442,   443,  1490,
    1491,   444,     0,   445,   446,   447,   448,  1492,     0,  1493,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,   461,   462,   463,   464,
     701,   465,  1501,  1502,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1503,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1504,   491,   492,
     493,  1505,  1506,   494,     0,   495,   496,  1507,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1508,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1509,
    1510,     0,  1511,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1512,
     182,   532,   183,     0,   533,   534,   535,  1513,  1514,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1515,   189,  1516,   547,   548,   191,  1517,   549,
     550,   193,   551,  1518,  1519,   552,  1520,   553,   554,   555,
       0,   556,     0,     0,  1521,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1522,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1523,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1524,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1525,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1526,   613,   217,
     614,   615,   219,   616,  1527,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1528,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1529,
    1530,     0,     0,   637,  1531,   638,  1532,  1533,   639,   640,
     641,   642,   643,   644,   645,     0,  1534,   646,   647,   648,
     649,   650,  1535,     0,   651,   652,   653,   654,   655,   707,
    1536,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1537,  1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,   668,
     669,     0,     0,     0,     0,     0,     0,     0,     0,  1545,
    1546,     0,     0,     0,     0,     0,     0,     0,  1548,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,   418,     0,     0,    37,
      38,    39,    40,    41,    42,    43,    44,  1480,  1481,  1482,
      45,  1483,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,  1484,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,  1485,   137,  1486,  1487,     0,   437,
     438,   439,   440,   441,  1488,  1489,   442,   443,  1490,  1491,
     444,     0,   445,   446,   447,   448,  1492,     0,  1493,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,  1494,  1495,
    1496,  1497,  1498,  1499,  1500,   461,   462,   463,   464,   701,
     465,  1501,  1502,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1503,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,  1504,   491,   492,   493,
    1505,  1506,   494,     0,   495,   496,  1507,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
    1508,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,  1509,  1510,
       0,  1511,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,  1512,   182,
     532,   183,     0,   533,   534,   535,  1513,  1514,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1515,   189,  1516,   547,   548,   191,  1517,   549,   550,
     193,   551,  1518,  1519,   552,  1520,   553,   554,   555,     0,
     556,     0,     0,  1521,   558,   559,     0,     0,   560,   196,
     197,   561,   198,  1522,   562,   563,   564,   565,   566,   567,
     568,     0,   569,  1523,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1524,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,  1525,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,  1526,   613,   217,   614,
     615,   219,   616,  1527,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,  1528,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1529,  1530,
       0,     0,   637,  1531,   638,  1532,  1533,   639,   640,   641,
     642,   643,   644,   645,     0,  1534,   646,   647,   648,   649,
     650,  1535,     0,   651,   652,   653,   654,   655,   707,  1536,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,  4525,  1537,
    1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,   668,   669,
       0,     0,     0,     0,     0,     0,     0,     0,  1545,  1546,
       0,     0,     0,     0,     0,     0,     0,  1548,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,  1480,  1481,  1482,    45,
    1483,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
    1484,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,  1485,   137,  1486,  1487,     0,   437,   438,
     439,   440,   441,  1488,  1489,   442,   443,  1490,  1491,   444,
       0,   445,   446,   447,   448,  1492,     0,  1493,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,   461,   462,   463,   464,   701,   465,
    1501,  1502,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1503,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,  1504,   491,   492,   493,  1505,
    1506,   494,     0,   495,   496,  1507,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1508,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,  1509,  1510,     0,
    1511,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1512,   182,   532,
     183,     0,   533,   534,   535,  1513,  1514,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1515,   189,  1516,   547,  4534,   191,  1517,   549,   550,   193,
     551,  1518,  1519,   552,  1520,   553,   554,   555,     0,   556,
       0,     0,  1521,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1522,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1523,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1524,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
    1525,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1526,   613,   217,   614,   615,
     219,   616,  1527,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1528,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1529,  1530,     0,
       0,   637,  1531,   638,  1532,  1533,   639,   640,   641,   642,
     643,   644,   645,     0,  1534,   646,   647,   648,   649,   650,
    1535,     0,   651,   652,   653,   654,   655,   707,  1536,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1537,  1538,
    1539,  1540,  1541,  1542,  1543,  1544,   708,   668,   669,     0,
       0,     0,     0,     0,     0,     0,     0,  1545,  1546,     0,
       0,     0,     0,     0,     0,     0,  1548,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,   418,     0,     0,    37,    38,    39,
      40,    41,    42,    43,    44,  1480,  1481,  1482,    45,  1483,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,  1484,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,  1485,   137,  1486,  1487,     0,   437,   438,   439,
     440,   441,  1488,  1489,   442,   443,  1490,  1491,   444,     0,
     445,   446,   447,   448,  1492,     0,  1493,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,  1494,  1495,  1496,  1497,
    1498,  1499,  1500,   461,   462,   463,   464,   701,   465,  1501,
    1502,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,  1503,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,  1504,   491,   492,   493,  1505,  1506,
     494,     0,   495,   496,  1507,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,  1508,     0,
     504,     0,   505,   506,   703,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,  1509,  1510,     0,  1511,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,  1512,   182,   532,   183,
       0,   533,   534,   535,  1513,  1514,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,  1515,
     189,  1516,   547,   548,   191,     0,   549,   550,   193,   551,
    1518,  1519,   552,  1520,   553,   554,   555,     0,   556,     0,
       0,  1521,   558,   559,     0,     0,   560,   196,   197,   561,
     198,  1522,   562,   563,   564,   565,   566,   567,   568,     0,
     569,  1523,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,  1524,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,  1525,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,  1526,   613,   217,   614,   615,   219,
     616,  1527,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,  1528,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,  1529,  1530,     0,     0,
     637,  1531,   638,  1532,  1533,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,  1535,
       0,   651,   652,   653,   654,   655,   707,  1536,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,  1537,  1538,  1539,
    1540,  1541,  1542,  1543,  1544,   708,   668,   669,     0,     0,
       0,     0,     0,     0,     0,     0,  2910,  2911,     0,     0,
       0,     0,     0,     0,     0,  1548,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,    43,    44,  1480,  1481,  1482,    45,  1483,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,  1484,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
   -2681,  1485,   137,  1486,  1487,     0,   437,   438,   439,   440,
     441,  1488,  1489,   442,   443,  1490,  1491,   444,     0,   445,
     446,   447,   448,  1492,     0,  1493,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,  5130,  1494,  1495,  1496,  1497,  1498,
    1499,  1500,   461,   462,   463,   464,   701,   465,  1501,  1502,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,  1503,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,  1504,   491,   492,   493,  1505,  1506,   494,
       0,   495,   496,  1507,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,  1508,     0,   504,
       0,   505,   506,   703,   507,   508,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,  1509,  1510,     0,  1511,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,  1512,   182,   532,     0,     0,
     533,   534,   535,  1513,  1514,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,  1515,   189,
    1516,   547,   548,   191,     0,   549,   550,   193,   551,  1518,
    1519,   552,  1520,   553,   554,   555,     0,   556,     0,     0,
    1521,   558,   559,     0,     0,   560,   196,   197,   561,   198,
    1522,   562,   563,   564,   565,   566,   567,   568,     0,   569,
    1523,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,  1524,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,  1525,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,  1526,   613,   217,   614,   615,     0,   616,
    1527,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,  1528,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,  1529,  1530,     0,     0,   637,
    1531,   638,  1532,  1533,   639,   640,   641,   642,  5131,   644,
     645,     0,  1534,   646,   647,   648,   649,   650,  1535,     0,
     651,   652,   653,   654,   655,   707,  1536,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,  1537,  1538,  1539,  1540,
    1541,  1542,  1543,  1544,   708,   668,   669,     0,     0,     0,
       0,     0,     0,     0,     0,  1545,  1546,     0,     0,     0,
       0,     0,     0,     0,  1548,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1480,  1481,     0,    45,  1483,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1484,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
    1485,   137,  1486,  1487,     0,   437,   438,   439,   440,   441,
    1488,  1489,   442,   443,  1490,  1491,   444,     0,   445,   446,
     447,   448,  1492,     0,  1493,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,   461,   462,   463,   464,   701,   465,  1501,  1502,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1503,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,  1504,   491,   492,   493,  1505,  1506,   494,     0,
     495,   496,  1507,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1508,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1509,  1510,     0,  1511,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1512,   182,   532,   183,     0,   533,
     534,   535,  1513,  1514,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1515,   189,  1516,
     547,   548,   191,     0,   549,   550,   193,   551,  1518,  1519,
     552,  1520,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1522,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1523,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1524,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1525,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1526,   613,   217,   614,   615,   219,   616,  1527,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1528,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1529,  1530,     0,     0,   637,  1531,
     638,  1532,  1533,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,  1535,     0,   651,
     652,   653,   654,   655,   707,  1536,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1537,  1538,  1539,  1540,  1541,
    1542,  1543,  1544,   708,   668,   669,     0,     0,     0,     0,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,  1548,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,   418,     0,     0,
      37,    38,    39,    40,    41,    42,    43,    44,  1480,  1481,
       0,    45,  1483,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,  1484,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,  1485,   137,  1486,  1487,     0,
    4127,   438,   439,   440,   441,  1488,  1489,   442,   443,  1490,
    1491,   444,     0,   445,   446,   447,   448,  1492,     0,  1493,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,  1494,
    1495,  1496,  1497,  1498,  1499,  1500,   461,   462,   463,   464,
     701,   465,  1501,  1502,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1503,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,  1504,   491,   492,
     493,  1505,  1506,   494,     0,   495,   496,  1507,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,  1508,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,  1509,
    1510,     0,  1511,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,  1512,
     182,   532,   183,     0,   533,   534,   535,  1513,  1514,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1515,   189,  1516,   547,   548,   191,     0,   549,
     550,   193,   551,  1518,  1519,   552,  1520,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,  1522,   562,   563,   564,   565,   566,
     567,   568,     0,   569,  1523,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1524,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,  1525,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,  1526,   613,   217,
     614,   615,   219,   616,  1527,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,  1528,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1529,
    1530,     0,     0,   637,  1531,   638,  1532,  1533,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,  1535,     0,   651,   652,   653,   654,   655,   707,
    1536,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
    1537,  1538,  1539,  1540,  1541,  1542,  1543,  1544,   708,   668,
     669,     0,     0,     0,     0,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,  1548,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,  1480,  1481,  1482,    45,  1483,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,  1484,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
    1485,   137,  1486,  1487,     0,   437,   438,   439,   440,   441,
    1488,  1489,   442,   443,  1490,  1491,   444,     0,   445,   446,
     447,   448,  1492,     0,  1493,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,  1494,  1495,  1496,  1497,  1498,  1499,
    1500,   461,   462,   463,   464,   701,   465,  1501,  1502,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,  1503,   479,   480,     0,
     481,   482,   483,     0,   484,     0,   486,     0,   487,   488,
     489,   490,  1504,   491,   492,   493,  1505,  1506,   494,     0,
     495,   496,  1507,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,  1508,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,  1509,  1510,     0,  1511,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,  1512,   182,   532,     0,     0,   533,
     534,   535,  1513,  1514,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,  1515,   189,  1516,
     547,   548,   191,     0,   549,   550,   193,   551,  1518,  1519,
     552,  1520,   553,   554,   555,     0,   556,     0,     0,  1521,
     558,   559,     0,     0,   560,   196,   197,   561,   198,  1522,
     562,   563,   564,   565,   566,   567,   568,     0,   569,  1523,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,  1524,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,  1525,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,  1526,   613,   217,   614,   615,     0,   616,  1527,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,  1528,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1529,  1530,     0,     0,   637,  1531,
     638,  1532,  1533,   639,   640,   641,   642,   643,   644,   645,
       0,  1534,   646,   647,   648,   649,   650,  1535,     0,   651,
     652,   653,   654,   655,   707,  1536,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,  1537,  1538,  1539,  1540,  1541,
    1542,  1543,  1544,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1545,  1546,     0,     0,     0,     0,
       0,     0,     0,  1548,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,  1480,  1481,  1482,    45,  1483,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,  1484,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,     0,  1485,
     137,  1486,  1487,     0,   437,   438,   439,   440,   441,  1488,
    1489,   442,   443,  1490,  1491,   444,     0,   445,   446,   447,
     448,  1492,     0,  1493,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1494,  1495,  1496,  1497,  1498,  1499,  1500,
     461,   462,   463,   464,   701,   465,  1501,  1502,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1503,   479,   480,     0,   481,
     482,   483,     0,   484,     0,   486,     0,   487,   488,   489,
     490,  1504,   491,   492,   493,  1505,  1506,   494,     0,   495,
     496,  1507,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1508,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,  1509,  1510,     0,  1511,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1512,   182,   532,     0,     0,   533,   534,
     535,  1513,  1514,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1515,   189,  1516,   547,
     548,   191,     0,   549,   550,   193,   551,  1518,  1519,   552,
    1520,   553,   554,   555,     0,   556,     0,     0,  1521,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1522,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1523,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1524,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,  1525,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1526,   613,   217,   614,   615,     0,   616,  1527,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1528,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1529,  1530,     0,     0,   637,  1531,   638,
    1532,  1533,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,  1535,     0,   651,   652,
     653,   654,   655,   707,  1536,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1537,  1538,  1539,  1540,  1541,  1542,
    1543,  1544,   708,   668,   669,     0,     0,     0,     0,     0,
       0,     0,     0,  2910,  2911,     0,     0,     0,     0,     0,
       0,     0,  1548,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,  1489,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
    1492,     0,  1493,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1494,  1495,  1496,  1497,  1498,  1499,  1500,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,  1505,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1508,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,  3655,   529,   530,
       0,   531,  1512,   182,   532,   183,     0,   533,   534,   535,
    1513,  1514,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,  1519,   552,   195,
     553,   554,   555,     0,   556,     0,  1092,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1522,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1523,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,  3656,   602,   603,   604,
     605,   606,   706,   607,   215,   608,   609,   610,   611,   612,
    1526,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1528,     0,   628,   629,   223,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,  1531,   638,  1532,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  1535,     0,   651,   652,   653,
     654,   655,  2205,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,   236,   662,   663,   664,   665,
     666,   667,   237,  1537,  1538,  1539,  1540,  1541,  1542,  1543,
    1544,   708,   668,   669,     0,     0,     0,     0,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  3657,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,  1489,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,  1492,     0,  1493,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,  1505,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1508,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,  3655,   529,   530,     0,   531,  1512,   182,   532,
     183,     0,   533,   534,   535,  1513,  1514,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,  1519,   552,   195,   553,   554,   555,     0,   556,
       0,  1092,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1522,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1523,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,  3656,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1526,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1528,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,  1531,   638,  1532,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    1535,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1537,  1538,
    1539,  1540,  1541,  1542,  1543,  1544,   708,   668,   669,     0,
       0,     0,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  3657,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,  1489,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
    1492,     0,  1493,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,  1494,  1495,  1496,  1497,  1498,  1499,  1500,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,  1505,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,  1508,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,  1512,   182,   532,   183,     0,   533,   534,   535,
    1513,  1514,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,  1519,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,  1522,   562,   563,
     564,   565,   566,   567,   568,     0,   569,  1523,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,  3656,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
    1526,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
    1528,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,  1531,   638,  1532,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,  1535,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,  1537,  1538,  1539,  1540,  1541,  1542,  1543,
    1544,   708,   668,   669,     0,     0,     0,     0,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,   246,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,  1489,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,  1492,     0,  1493,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,  1494,  1495,  1496,
    1497,  1498,  1499,  1500,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,  1505,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,  1508,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,  1512,   182,   532,
     183,     0,   533,   534,   535,  1513,  1514,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,  1519,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,  1522,   562,   563,   564,   565,   566,   567,   568,
       0,   569,  1523,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,  1526,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,  1528,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,  1531,   638,  1532,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
    1535,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,  1537,  1538,
    1539,  1540,  1541,  1542,  1543,  1544,   708,   668,   669,     0,
       0,     0,     0,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,  4252,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,     0,     0,     0,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,  4853,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,  4179,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,   446,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0, -1513,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0, -1513,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518, -1513,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523, -1513,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181, -1513,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188, -1513,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598, -1513,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,     0,     0,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  1642,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,    37,    38,    39,    40,    41,    42,
       0,    44,     0,     0,     0,    45,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,     0,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,  3940,  3941,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,    37,
      38,    39,    40,    41,    42,     0,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  3941,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,   215,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,   223,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,  2205,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,   236,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,     0,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,   246,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
     215,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
     223,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,  2205,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,   236,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,   246,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,     0,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,  1617,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,     0,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  3073,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,     0,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,  4163,    98,    99,   100,   101,   102,   103,     0,
     104,   105,   687,     0,     0,   107,   108,   109,   110,     0,
       0,   112,   113,   114,   115,     0,   116,     0,     0,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,     0,
     434,   435,   436,   135,   136,     0,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,   698,   140,
     444,     0,   445,   446,   447,   448,   144,     0,     0,     0,
     449,   450,   451,   452,     0,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,     0,   460,     0,     0,     0,
       0,     0,     0,     0,     0,   461,   462,   463,   464,   701,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,     0,     0,     0,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,   703,   507,   508,     0,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,     0,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,     0,     0,   523,     0,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,     0,
     532,     0,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,   188,     0,   190,   547,   548,   191,     0,   549,   550,
       0,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
       0,   561,     0,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,     0,   599,
     600,   212,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,     0,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,   707,   234,
       0,   656,     0,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,   708,   668,   669,
       0,     0,     0,     0,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,  4576,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,   418,     0,     0,    37,    38,    39,    40,    41,    42,
      43,    44,     0,     0,  1216,    45,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,   739,   427,
     428,   429,   740,   741,   742,   743,   744,   745,   746,   430,
     431,   747,   432,   433,   133,   434,   435,   436,     0,  1915,
     137,  1916,  1917,   748,   437,   438,   439,   440,   441,   749,
     750,   442,   443,  1918,  1919,   444,   752,   445,   446,   447,
     448,     0,   753,   145,   754,   449,   450,   451,   452,   148,
     453,   699,   756,   454,   455,   456,   457,   458,   459,   757,
     151,   460,     0,   759,   760,   761,   152,   762,   763,   764,
     461,   462,   463,   464,   701,   465,  1920,  1921,   466,   765,
     467,   766,   468,   469,   470,   471,   472,   767,   473,   474,
     475,   768,   769,   476,   477,  1503,   479,   480,   770,   481,
     482,   483,   771,   484,   485,   486,   772,   487,   488,   489,
     490,     0,   491,   492,   493,     0,   773,   494,   774,   495,
     496,  1922,   497,   775,   498,   776,   499,   169,   777,   170,
     500,   501,   502,   778,   503,     0,   779,   504,   780,   505,
     506,   703,   507,   508,   173,   509,   510,   511,   781,   512,
     513,   514,   515,   516,   517,   782,   518,   174,     0,     0,
     519,   520,   521,  1509,  1923,   785,  1924,   786,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,   787,   529,
     530,   788,   531,     0,   182,   532,   183,   789,   533,   534,
     535,   790,   791,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1925,   189,  1926,   547,
     548,     0,   792,   549,   550,   193,   551,   793,     0,   552,
    1927,   553,   554,   555,   794,   556,   795,   796,  3927,   558,
     559,   797,   798,   560,     0,   197,   561,   198,     0,   562,
     563,   564,   565,   566,   567,   568,   799,   569,     0,   570,
       0,   571,   572,   573,   800,   574,   575,   576,   577,   578,
     579,   580,   581,  1928,   582,   583,   584,   585,   801,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
     802,   597,   598,   210,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   706,   607,   803,   608,   609,   610,   611,
     612,   804,   613,  2412,   614,   615,   219,   616,  1930,   617,
     805,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,     0,   806,   628,   629,   807,   630,   631,   632,   633,
     634,   635,   808,  1931,  1932,     0,   810,   637,     0,   638,
       0,   811,   639,   640,   641,   642,   643,   644,   645,     0,
     813,   646,   647,   648,   649,   650,   814,   815,   651,   652,
     653,   654,   655,     0,  1933,   817,   656,   235,   657,   658,
     659,   660,   818,   819,   661,   820,   821,   662,   663,   664,
     665,   666,   667,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,   668,   669,     0,     0,     0,     0,  1219,
    1220,  1221,     0,  3928,  3929,  1224,  1225,  1226,  1227,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1216,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,  1217,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,  1218,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,  1219,  1220,  1221,     0,  1222,  1223,  1224,
    1225,  1226,  1227,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1216,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,  1311,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,  1312,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,  1219,  1220,  1221,
       0,  1222,  1223,  1224,  1225,  1226,  1227,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,   687,
       0,     0,   107,   108,   109,   110,     0,     0,   112,   113,
     114,   115,     0,   116,     0,     0,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,  1216,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,     0,   434,   435,   436,
     135,   136,     0,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
    1368,   447,   448,   144,     0,     0,     0,   449,   450,   451,
     452,     0,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,     0,   460,     0,     0,     0,     0,     0,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,  1369,
       0,   495,   496,   168,   497,     0,   498,     0,   499,     0,
       0,     0,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,  1370,     0,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,     0,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,     0,     0,   523,     0,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,     0,   532,     0,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,     0,
     190,   547,   548,   191,     0,   549,   550,     0,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,     0,   561,     0,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,     0,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,     0,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,     0,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,     0,     0,     0,
       0,  1219,  1220,  1221,     0,  1222,  1223,  1224,  1225,  1226,
    1227,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
    1216,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,   698,
     140,   444,     0,   445,  1900,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,  1901,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
     599,   600,   212,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,   707,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,     0,     0,     0,     0,  1219,  1220,  1221,     0,  1222,
    1223,  1224,  1225,  1226,  1227,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,     0,   104,   105,   687,     0,     0,
     107,   108,   109,   110,     0,     0,   112,   113,   114,   115,
       0,   116,     0,     0,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,  1216,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,     0,   434,   435,   436,   135,   136,
       0,   138,   139,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,   144,     0,     0,     0,   449,   450,   451,   452,     0,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
       0,   460,     0,     0,     0,     0,     0,     0,     0,     0,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,   166,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,     0,     0,     0,
     500,   501,   502,     0,   503,   172,     0,   504,     0,   505,
     506,   703,   507,   508,     0,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,     0,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,     0,
       0,   523,     0,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,   181,     0,   532,     0,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,     0,   190,   547,
     548,   191,     0,   549,   550,     0,   551,     0,   194,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,     0,   561,     0,   199,   562,
     563,   564,   565,   566,   567,   568,     0,   569,   200,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,     0,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,   217,   614,   615,     0,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,   222,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,   226,   638,
     227,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,     0,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   708,   668,   669,     0,     0,     0,     0,  1219,
    1220,  1221,     0,  1222,  1223,  1224,  1225,  1226,  1227,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,     0,   104,
     105,   687,     0,     0,   107,   108,   109,   110,     0,     0,
     112,   113,   114,   115,     0,   116,     0,     0,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,  1216,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,     0,   434,
     435,   436,   135,   136,     0,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,   698,   140,   444,
       0,   445,  3173,   447,   448,   144,     0,     0,     0,   449,
     450,   451,   452,     0,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,     0,   460,     0,     0,     0,     0,
       0,     0,     0,     0,   461,   462,   463,   464,   701,   465,
     155,   156,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
       0,  3174,     0,   495,   496,   168,   497,     0,   498,     0,
     499,     0,     0,     0,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,   703,   507,   508,     0,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,     0,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,     0,     0,   523,     0,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,     0,   532,
       0,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
     188,     0,   190,   547,   548,   191,     0,   549,   550,     0,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,   196,     0,
     561,     0,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,     0,   599,   600,
     212,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
       0,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,   707,   234,     0,
     656,     0,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,   708,   668,   669,     0,
       0,     0,     0,  1219,  1220,  1221,     0,  1222,  1223,  1224,
    1225,  1226,  1227,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,   687,     0,     0,   107,   108,
     109,   110,     0,     0,   112,   113,   114,   115,     0,   116,
       0,     0,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,  1216,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,     0,   434,   435,   436,   135,   136,     0,   138,
     139,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,   698,   140,   444,     0,   445,   446,   447,   448,   144,
       0,     0,     0,   449,   450,   451,   452,     0,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,     0,   460,
       0,     0,     0,     0,     0,     0,     0,     0,   461,   462,
     463,   464,   701,   465,   155,   156,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,   478,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,   164,
     491,   492,   493,   166,     0,   494,     0,   495,   496,   168,
     497,     0,   498,     0,   499,     0,     0,     0,   500,   501,
     502,     0,   503,   172,     0,   504,     0,   505,   506,   703,
     507,   508,     0,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,     0,   175,     0,   519,   520,
     521,     0,   176,     0,   177,     0,   522,     0,     0,   523,
       0,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,   181,     0,   532,     0,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,     0,   190,   547,   548,   191,
       0,   549,   550,     0,   551,     0,   194,   552,   195,   553,
     554,   555,     0,   556,     0,     0,  4836,   558,   559,     0,
       0,   560,   196,     0,   561,     0,   199,   562,   563,   564,
     565,   566,   567,   568,     0,   569,   200,   570,   201,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,     0,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,   217,   614,   615,     0,   616,   220,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,   224,   225,     0,     0,   637,   226,   638,   227,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,   707,   234,     0,   656,     0,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,     0,     0,     0,     0,  1219,  1220,  1221,
       0,  1222,  1223,  1224,  1225,  1226,  1227,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,   739,   427,   428,   429,   740,   741,   742,   743,   744,
     745,   746,   430,   431,   747,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,   748,   437,   438,   439,
     440,   441,   749,   750,   442,   443,   751,   140,   444,   752,
     445,   446,   447,   448,   144,   753,   145,   754,   449,   450,
     451,   452,   148,   453,   755,   756,   454,   455,   456,   457,
     458,   459,   757,   151,   460,   758,   759,   760,   761,   152,
     762,   763,   764,   461,   462,   463,   464,   701,   465,   155,
     156,   466,   765,   467,   766,   468,   469,   470,   471,   472,
     767,   473,   474,   475,   768,   769,   476,   477,   478,   479,
     480,   770,   481,   482,   483,   771,   484,   485,   486,   772,
     487,   488,   489,   490,   164,   491,   492,   493,   166,   773,
     494,   774,   495,   496,   168,   497,   775,   498,   776,   499,
     169,   777,   170,   500,   501,   502,   778,   503,   172,   779,
     504,   780,   505,   506,   703,   507,   508,   173,   509,   510,
     511,   781,   512,   513,   514,   515,   516,   517,   782,   518,
     174,   175,   783,   519,   520,   521,   784,   176,   785,   177,
     786,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,   787,   529,   530,   788,   531,   181,   182,   532,   183,
     789,   533,   534,   535,   790,   791,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,   792,   549,   550,   193,   551,
     793,   194,   552,   195,   553,   554,   555,   794,   556,   795,
     796,   557,   558,   559,   797,   798,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,   799,
     569,   200,   570,   201,   571,   572,   573,   800,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,   801,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,   802,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,   803,   608,
     609,   610,   611,   612,   804,   613,   217,   614,   615,   219,
     616,   220,   617,   805,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,   806,   628,   629,   807,   630,
     631,   632,   633,   634,   635,   808,   224,   225,   809,   810,
     637,   226,   638,   227,   811,   639,   640,   641,   642,   643,
     644,   645,   812,   813,   646,   647,   648,   649,   650,   814,
     815,   651,   652,   653,   654,   655,   816,   234,   817,   656,
     235,   657,   658,   659,   660,   818,   819,   661,   820,   821,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,     0,   732,
      86,    87,    88,   684,    90,    91,    92,   685,  2304,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,  1915,   137,  1916,  1917,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1918,  1919,
     444,     0,   445,   446,   447,   448,     0,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,  1920,  1921,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1503,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,     0,   491,   492,   493,
       0,     0,   494,     0,   495,   496,  1922,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
       0,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,  2408,   512,   513,   514,   515,   516,   517,
       0,   518,   174,  2409,     0,   519,   520,   521,  1509,  1923,
       0,  1924,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,     0,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1925,   189,  1926,   547,   548,     0,     0,   549,   550,
     193,   551,     0,     0,   552,  1927,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,  2410,   560,  2411,
     197,   561,   198,     0,   562,   563,   564,   565,   566,   567,
     568,     0,   569,     0,   570,     0,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1928,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,  2412,   614,
     615,   219,   616,  1930,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,     0,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,  1931,  1932,
       0,     0,   637,     0,   638,     0,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,  1933,
    2413,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   668,   669,
       0,     0,    86,    87,    88,   684,    90,    91,    92,   685,
    2414,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,     0,   104,   105,   687,     0,     0,   107,   108,   109,
     110,     0,     0,   112,   113,   114,   115,     0,   116,     0,
       0,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,     0,   434,   435,   436,   135,   136,     0,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
     698,   140,   444,     0,   445,   446,   447,   448,   144,     0,
       0,     0,   449,   450,   451,   452,     0,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,     0,   460,     0,
       0,     0,     0,     0,     0,     0,     0,   461,   462,   463,
     464,   701,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,     0,     0,     0,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,   703,   507,
     508,     0,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,     0,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,     0,     0,   523,     0,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,     0,   532,     0,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,     0,   190,   547,   548,   191,     0,
     549,   550,     0,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,     0,   561,     0,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
       0,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,     0,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
     707,   234,     0,   656,     0,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,     0,     0,    86,    87,    88,   684,    90,    91,
      92,   685,  1099,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,   687,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,     0,   434,   435,   436,   135,   136,     0,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,   698,   140,   444,     0,   445,   446,   447,   448,
     144,     0,     0,     0,   449,   450,   451,   452,     0,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,     0,
     460,     0,     0,     0,     0,     0,     0,     0,     0,   461,
     462,   463,   464,   701,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,     0,     0,     0,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
     703,   507,   508,     0,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,     0,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,     0,     0,
     523,     0,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,     0,   532,     0,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,     0,   190,   547,   548,
     191,     0,   549,   550,     0,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,     0,   561,     0,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,     0,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,     0,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   707,   234,     0,   656,     0,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,     0,     0,    86,    87,    88,   684,
      90,    91,    92,   685,  4882,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   996,   421,   422,   423,   424,   425,   426,   997,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   998,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   999,   168,   497,     0,   498,     0,  1000,     0,  1001,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,  1002,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,  1003,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
    1004,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,  1005,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,  1006,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1007,  1008,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   996,   421,   422,   423,   424,   425,   426,   997,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,  1029,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   999,   168,   497,     0,   498,     0,  1030,     0,  1001,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,  1002,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,  1003,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
    1004,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,  1005,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,  1006,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1007,  1008,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  1416,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,  1001,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,  1002,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1007,  1008,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  1421,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,  1001,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,  1002,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,     0,
       0,     0,     0,     0,  1007,  1008,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
     702,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,  1588,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,     0,     0,     0,  1069,
    1589,    86,    87,    88,   684,    90,    91,    92,   685,  1070,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
       0,   104,   105,   687,     0,     0,   107,   108,   109,   110,
       0,     0,   112,   113,   114,   115,     0,   116,     0,     0,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
       0,   434,   435,   436,   135,   136,     0,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,  1071,   443,  1045,
     140,   444,     0,   445,   446,   447,   448,   144,     0,     0,
       0,   449,   450,   451,   452,     0,   453,  1072,     0,  1073,
     455,   456,   457,   458,   459,     0,     0,   460,     0,     0,
       0,     0,     0,     0,     0,     0,   461,   462,   463,   464,
     701,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,     0,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,     0,     0,     0,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,   703,   507,   508,
       0,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,     0,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,     0,     0,   523,     0,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
       0,   532,     0,     0,   533,   534,  1074,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,  1075,   188,     0,   190,   547,   548,   191,     0,   549,
     550,     0,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
     196,     0,   561,     0,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,     0,
    1076,   600,   212,   601,   602,   603,  1077,   605,   606,   706,
     607,     0,   608,   609,   610,   611,  1078,     0,   613,   217,
     614,   615,     0,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1079,
     225,     0,     0,  1080,   226,   638,   227,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,  1049,
     234,     0,   656,     0,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,  1081,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,    37,    38,    39,    40,    41,    42,    43,    44,     0,
       0,     0,    45,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,   739,   427,   428,   429,   740,
     741,   742,   743,   744,   745,   746,   430,   431,   747,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
     748,   437,   438,   439,   440,   441,   749,   750,   442,   443,
     751,   140,   444,   752,   445,   446,   447,   448,   144,   753,
     145,   754,   449,   450,   451,   452,   148,   453,   755,   756,
     454,   455,   456,   457,   458,   459,   757,   151,   460,   758,
     759,   760,   761,   152,   762,   763,   764,   461,   462,   463,
     464,   701,   465,   155,   156,   466,   765,   467,   766,   468,
     469,   470,   471,   472,   767,   473,   474,   475,   768,   769,
     476,   477,   478,   479,   480,   770,   481,   482,   483,   771,
     484,   485,   486,   772,   487,   488,   489,   490,   164,   491,
     492,   493,   166,   773,   494,   774,   495,   496,   168,   497,
     775,   498,   776,   499,   169,   777,   170,   500,   501,   502,
     778,   503,   172,   779,   504,   780,   505,   506,   703,   507,
     508,   173,   509,   510,   511,   781,   512,   513,   514,   515,
     516,   517,   782,   518,   174,   175,   783,   519,   520,   521,
     784,   176,   785,   177,   786,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,   787,   529,   530,   788,   531,
     181,   182,   532,   183,   789,   533,   534,   535,   790,   791,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,   188,   189,   190,   547,   548,   191,   792,
     549,   550,   193,   551,   793,   194,   552,   195,   553,   554,
     555,   794,   556,   795,   796,   557,   558,   559,   797,   798,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,   799,   569,   200,   570,   201,   571,   572,
     573,   800,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,   801,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,   802,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
     706,   607,   803,   608,   609,   610,   611,   612,   804,   613,
     217,   614,   615,   219,   616,   220,   617,   805,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,   806,
     628,   629,   807,   630,   631,   632,   633,   634,   635,   808,
     224,   225,   809,   810,   637,   226,   638,   227,   811,   639,
     640,   641,   642,   643,   644,   645,   812,   813,   646,   647,
     648,   649,   650,   814,   815,   651,   652,   653,   654,   655,
     816,   234,   817,   656,   235,   657,   658,   659,   660,   818,
     819,   661,   820,   821,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,   708,
     668,   669,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,   739,   427,   428,   429,
     740,   741,   742,   743,   744,   745,   746,   430,   431,   747,
     432,   433,   133,   434,   435,   436,   135,   136,   137,   138,
     139,   748,   437,   438,   439,   440,   441,   749,   750,   442,
     443,   751,   140,   444,   752,   445,   446,   447,   448,   144,
     753,   145,   754,   449,   450,   451,   452,   148,   453,   755,
     756,   454,   455,   456,   457,   458,   459,   757,   151,   460,
     758,   759,   760,   761,   152,   762,   763,   764,   461,   462,
     463,   464,   701,   465,   155,   156,   466,   765,   467,   766,
     468,   469,   470,   471,   472,   767,   473,   474,   475,   768,
     769,   476,   477,   478,   479,   480,   770,   481,   482,   483,
     771,   484,   485,   486,   772,   487,   488,   489,   490,   164,
     491,   492,   493,   166,   773,   494,   774,   495,   496,   168,
     497,   775,   498,   776,   499,   169,   777,   170,   500,   501,
     502,   778,   503,   172,   779,   504,   780,   505,   506,   703,
     507,   508,   173,   509,   510,   511,   781,   512,   513,   514,
     515,   516,   517,   782,   518,   174,   175,   783,   519,   520,
     521,   784,   176,   785,   177,   786,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,   787,   529,   530,   788,
     531,   181,   182,   532,   183,   789,   533,   534,   535,   790,
     791,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,   188,   189,   190,   547,   548,   191,
     792,   549,   550,   193,   551,   793,   194,   552,   195,   553,
     554,   555,   794,   556,   795,   796,   557,   558,   559,   797,
     798,   560,   196,   197,   561,   198,   199,   562,   563,   564,
     565,   566,   567,   568,   799,   569,   200,   570,   201,   571,
     572,   573,   800,   574,   575,   576,   577,   578,   579,   580,
     581,   203,   582,   583,   584,   585,   801,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,   802,   597,
     598,   210,   599,   600,   212,   601,   602,   603,   604,   605,
     606,   706,   607,   803,   608,   609,   610,   611,   612,   804,
     613,   217,   614,   615,   219,   616,   220,   617,   805,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,   222,
     806,   628,   629,   807,   630,   631,   632,   633,   634,   635,
     808,   224,   225,   809,   810,   637,   226,   638,   227,   811,
     639,   640,   641,   642,   643,   644,   645,   812,   813,   646,
     647,   648,   649,   650,   814,   815,   651,   652,   653,   654,
     655,   816,   234,   817,   656,   235,   657,   658,   659,   660,
     818,   819,   661,   820,   821,   662,   663,   664,   665,   666,
     667,   237,   238,   239,   240,   241,   242,   243,   244,   245,
     708,   668,   669,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,  3231,   424,   425,   426,   739,   427,   428,
     429,   740,   741,   742,   743,   744,   745,   746,   430,   431,
     747,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,   748,   437,   438,   439,   440,   441,   749,   750,
     442,   443,   751,   140,   444,   752,   445,   446,   447,   448,
     144,   753,   145,   754,   449,   450,   451,   452,   148,   453,
     755,   756,   454,   455,   456,   457,   458,   459,   757,   151,
     460,   758,   759,   760,   761,   152,   762,   763,   764,   461,
     462,   463,   464,   701,   465,   155,   156,   466,   765,   467,
     766,   468,   469,   470,   471,   472,   767,   473,   474,   475,
     768,   769,   476,   477,   478,  3232,   480,   770,   481,   482,
     483,   771,   484,   485,   486,   772,   487,   488,   489,   490,
     164,   491,   492,   493,   166,   773,   494,   774,   495,   496,
     168,   497,   775,   498,   776,   499,   169,   777,   170,   500,
     501,   502,   778,   503,   172,   779,   504,   780,   505,   506,
     703,   507,   508,   173,   509,   510,   511,   781,   512,   513,
     514,   515,   516,   517,   782,   518,   174,   175,   783,   519,
     520,   521,   784,   176,   785,   177,   786,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,   787,   529,   530,
     788,   531,   181,   182,   532,   183,   789,   533,   534,   535,
     790,   791,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,   188,   189,   190,   547,   548,
     191,   792,   549,   550,   193,   551,   793,   194,   552,   195,
     553,   554,   555,   794,   556,   795,   796,   557,   558,   559,
     797,   798,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,   799,   569,   200,   570,   201,
     571,   572,   573,   800,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,   801,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,   802,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,   706,   607,   803,   608,   609,   610,   611,   612,
     804,  3233,   217,   614,   615,   219,   616,   220,   617,   805,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,   806,   628,   629,   807,   630,   631,   632,   633,   634,
     635,   808,   224,   225,   809,   810,   637,   226,   638,   227,
     811,   639,   640,   641,   642,   643,   644,   645,   812,   813,
     646,   647,   648,   649,   650,   814,   815,   651,   652,   653,
     654,   655,   816,   234,   817,   656,   235,   657,   658,   659,
     660,   818,   819,   661,   820,   821,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   708,   668,   669,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,   135,   136,
     137,   138,   139,     0,   437,   438,   439,   440,   441,     0,
    1489,   442,   443,   698,   140,   444,     0,   445,   446,   447,
     448,  1492,     0,  1493,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,  1494,  1495,  1496,  1497,  1498,  1499,  1500,
     461,   462,   463,   464,   701,   465,   155,   156,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,   478,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,   164,   491,   492,   493,  1505,     0,   494,     0,   495,
     496,   168,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,  1508,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,   175,     0,
     519,   520,   521,     0,   176,     0,   177,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,  1512,   182,   532,   183,     0,   533,   534,
     535,  1513,  1514,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,   188,   189,   190,   547,
     548,   191,     0,   549,   550,   193,   551,     0,  1519,   552,
     195,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,   196,   197,   561,   198,  1522,   562,
     563,   564,   565,   566,   567,   568,     0,   569,  1523,   570,
     201,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,   203,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,   212,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,  1526,   613,   217,   614,   615,   219,   616,   220,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,  1528,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,   224,   225,     0,     0,   637,  1531,   638,
    1532,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,  1535,     0,   651,   652,
     653,   654,   655,   707,   234,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,   237,  1537,  1538,  1539,  1540,  1541,  1542,
    1543,  1544,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,   732,    86,    87,    88,
     684,    90,    91,    92,   685,     0,   686,    95,     0,     0,
      98,    99,   100,   101,   102,   103,   733,   104,   105,   687,
     734,     0,   107,   108,   109,   110,   735,   736,   112,   113,
     114,   115,     0,   116,   737,   738,   688,   689,     0,     0,
       0,   690,   691,     0,     0,     0,     0,   692,     0,     0,
       0,     0,     0,     0,     0,     0,   693,     0,   694,     0,
     695,   696,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,   698,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,   699,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,   701,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,   703,   507,  1351,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,   704,   542,   543,   705,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,   706,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,     0,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,   707,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   708,   668,   669,   732,    86,    87,
      88,   684,    90,    91,    92,   685,     0,   686,    95,     0,
       0,    98,    99,   100,   101,   102,   103,   733,   104,   105,
     687,   734,     0,   107,   108,   109,   110,   735,   736,   112,
     113,   114,   115,     0,   116,   737,   738,   688,   689,     0,
       0,     0,   690,   691,     0,     0,     0,     0,   692,     0,
       0,     0,     0,     0,     0,     0,     0,   693,     0,   694,
       0,   695,   696,    35,     0,     0,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,   698,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,   699,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,   701,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,   703,   507,  1361,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,   704,   542,   543,   705,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,   706,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,   707,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   708,   668,   669,   732,    86,
      87,    88,   684,    90,    91,    92,   685,     0,   686,    95,
       0,     0,    98,    99,   100,   101,   102,   103,   733,   104,
     105,   687,   734,     0,   107,   108,   109,   110,   735,   736,
     112,   113,   114,   115,     0,   116,   737,   738,   688,   689,
       0,     0,     0,   690,   691,     0,     0,     0,     0,   692,
       0,     0,     0,     0,     0,     0,     0,     0,   693,     0,
     694,     0,   695,   696,    35,     0,     0,     0,     0,     0,
       0,     0,    41,    42,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,     0,  1915,   137,  1916,  1917,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,  1918,  1919,   444,
       0,   445,   446,   447,   448,     0,     0,   145,     0,   449,
     450,   451,   452,   148,   453,   699,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,   701,   465,
    1920,  1921,   466,     0,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,  1503,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,     0,   491,   492,   493,     0,
       0,   494,     0,   495,   496,  1922,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,     0,
       0,   504,     0,   505,   506,   703,   507,   508,   173,   509,
     510,   511,  2408,   512,   513,   514,   515,   516,   517,     0,
     518,   174,  2409,     0,   519,   520,   521,  1509,  1923,     0,
    1924,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,     0,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,   704,   542,   543,   705,   544,   545,   546,
    1925,   189,  1926,   547,   548,     0,     0,   549,   550,   193,
     551,     0,     0,   552,  1927,   553,   554,   555,     0,   556,
       0,     0,   557,   558,   559,     0,     0,   560,  2411,   197,
     561,   198,     0,   562,   563,   564,   565,   566,   567,   568,
       0,   569,     0,   570,     0,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,  1928,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
       0,   601,   602,   603,   604,   605,   606,   706,   607,     0,
     608,   609,   610,   611,   612,     0,   613,  2412,   614,   615,
     219,   616,  1930,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,     0,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,  1931,  1932,     0,
       0,   637,     0,   638,     0,     0,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,  1933,  2413,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   708,   668,   669,   732,
      86,    87,    88,   684,    90,    91,    92,   685,     0,   686,
      95,     0,     0,    98,    99,   100,   101,   102,   103,   733,
     104,   105,   687,   734,     0,   107,   108,   109,   110,   735,
     736,   112,   113,   114,   115,     0,   116,   737,   738,   688,
     689,     0,     0,     0,   690,   691,     0,     0,     0,     0,
     692,     0,     0,     0,     0,     0,     0,     0,     0,   693,
       0,   694,     0,   695,   696,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,     0,  1915,   137,  1916,  1917,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,  1918,  1919,
     444,     0,   445,   446,   447,   448,     0,     0,   145,     0,
     449,   450,   451,   452,   148,   453,   699,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,   701,
     465,  1920,  1921,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
    1503,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,     0,   491,   492,   493,
       0,     0,   494,     0,   495,   496,  1922,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
       0,     0,   504,     0,   505,   506,   703,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,     0,     0,   519,   520,   521,  1509,  1923,
       0,  1924,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,     0,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,   704,   542,   543,   705,   544,   545,
     546,  1925,   189,  1926,   547,   548,     0,     0,   549,   550,
     193,   551,  2499,     0,   552,  1927,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,     0,
     197,   561,   198,     0,   562,   563,   564,   565,   566,   567,
     568,     0,   569,     0,   570,     0,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,  1928,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,     0,   601,   602,   603,   604,   605,   606,   706,   607,
       0,   608,   609,   610,   611,   612,     0,   613,  2412,   614,
     615,   219,   616,  1930,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,     0,     0,   628,   629,
    4032,   630,   631,   632,   633,   634,   635,     0,  1931,  1932,
       0,     0,   637,     0,   638,     0,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,  1933,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   708,   668,   669,
     732,    86,    87,    88,   684,    90,    91,    92,   685,     0,
     686,    95,     0,     0,    98,    99,   100,   101,   102,   103,
     733,   104,   105,   687,   734,     0,   107,   108,   109,   110,
     735,   736,   112,   113,   114,   115,     0,   116,   737,   738,
     688,   689,     0,     0,     0,   690,   691,     0,     0,     0,
       0,   692,     0,     0,     0,     0,     0,     0,     0,     0,
     693,     0,   694,     0,   695,   696,    35,     0,     0,     0,
       0,     0,     0,     0,    41,    42,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,     0,  1915,   137,  1916,  1917,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,  1918,
    1919,   444,     0,   445,   446,   447,   448,     0,     0,   145,
       0,   449,   450,   451,   452,   148,   453,   699,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
     701,   465,  1920,  1921,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,  1503,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,     0,   491,   492,
     493,     0,     0,   494,     0,   495,   496,  1922,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,     0,     0,   504,     0,   505,   506,   703,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,     0,     0,   519,   520,   521,  1509,
    1923,     0,  1924,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,     0,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,   704,   542,   543,   705,   544,
     545,   546,  1925,   189,  1926,   547,   548,  2557,     0,   549,
     550,   193,   551,     0,     0,   552,  1927,   553,   554,   555,
       0,   556,     0,     0,   557,   558,   559,     0,     0,   560,
       0,   197,   561,   198,     0,   562,   563,   564,   565,   566,
     567,   568,     0,   569,     0,   570,     0,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,  1928,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,     0,   601,   602,   603,   604,   605,   606,   706,
     607,     0,   608,   609,   610,   611,   612,     0,   613,  1929,
     614,   615,   219,   616,  1930,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,     0,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,  1931,
    1932,     0,     0,   637,     0,   638,     0,     0,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,     0,
    1933,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   708,   668,
     669,   732,    86,    87,    88,   684,    90,    91,    92,   685,
       0,   686,    95,     0,     0,    98,    99,   100,   101,   102,
     103,   733,   104,   105,   687,   734,     0,   107,   108,   109,
     110,   735,   736,   112,   113,   114,   115,     0,   116,   737,
     738,   688,   689,     0,     0,     0,   690,   691,     0,     0,
       0,     0,   692,     0,     0,     0,     0,     0,     0,     0,
       0,   693,     0,   694,     0,   695,   696,    35,     0,     0,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,     0,  1915,   137,  1916,  1917,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
    1918,  1919,   444,     0,   445,   446,   447,   448,     0,     0,
     145,     0,   449,   450,   451,   452,   148,   453,   699,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,   701,   465,  1920,  1921,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,  1503,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,     0,   491,
     492,   493,     0,     0,   494,     0,   495,   496,  1922,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,     0,     0,   504,     0,   505,   506,   703,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,     0,     0,   519,   520,   521,
    1509,  1923,     0,  1924,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
       0,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,   704,   542,   543,   705,
     544,   545,   546,  1925,   189,  1926,   547,   548,  3855,     0,
     549,   550,   193,   551,     0,     0,   552,  1927,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,     0,   197,   561,   198,     0,   562,   563,   564,   565,
     566,   567,   568,     0,   569,     0,   570,     0,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
    1928,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,     0,   601,   602,   603,   604,   605,   606,
     706,   607,     0,   608,   609,   610,   611,   612,     0,   613,
    1929,   614,   615,   219,   616,  1930,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,     0,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
    1931,  1932,     0,     0,   637,     0,   638,     0,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,  1933,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   708,
     668,   669,   732,    86,    87,    88,   684,    90,    91,    92,
     685,     0,   686,    95,     0,     0,    98,    99,   100,   101,
     102,   103,   733,   104,   105,   687,   734,     0,   107,   108,
     109,   110,   735,   736,   112,   113,   114,   115,     0,   116,
     737,   738,   688,   689,     0,     0,     0,   690,   691,     0,
       0,     0,     0,   692,     0,     0,     0,     0,     0,     0,
       0,     0,   693,     0,   694,     0,   695,   696,    35,     0,
       0,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   419,   420,
     421,   422,   423,   424,   425,   426,     0,   427,   428,   429,
       0,     0,     0,     0,     0,     0,     0,   430,   431,     0,
     432,   433,   133,   434,   435,   436,     0,  1915,   137,  1916,
    1917,     0,   437,   438,   439,   440,   441,     0,     0,   442,
     443,  1918,  1919,   444,     0,   445,   446,   447,   448,     0,
       0,   145,     0,   449,   450,   451,   452,   148,   453,   699,
       0,   454,   455,   456,   457,   458,   459,     0,   151,   460,
       0,     0,     0,     0,   152,     0,     0,     0,   461,   462,
     463,   464,   701,   465,  1920,  1921,   466,     0,   467,     0,
     468,   469,   470,   471,   472,     0,   473,   474,   475,     0,
       0,   476,   477,  1503,   479,   480,     0,   481,   482,   483,
       0,   484,   485,   486,     0,   487,   488,   489,   490,     0,
     491,   492,   493,     0,     0,   494,     0,   495,   496,  1922,
     497,     0,   498,     0,   499,   169,     0,   170,   500,   501,
     502,     0,   503,     0,     0,   504,     0,   505,   506,   703,
     507,   508,   173,   509,   510,   511,     0,   512,   513,   514,
     515,   516,   517,     0,   518,   174,     0,     0,   519,   520,
     521,  1509,  1923,     0,  1924,     0,   522,   178,   179,   523,
     180,   524,   525,   526,   527,   528,     0,   529,   530,     0,
     531,     0,   182,   532,   183,     0,   533,   534,   535,     0,
       0,   536,   537,   538,   539,   540,   541,   704,   542,   543,
     705,   544,   545,   546,  1925,   189,  1926,   547,   548,     0,
       0,   549,   550,   193,   551,     0,     0,   552,  1927,   553,
     554,   555,     0,   556,     0,     0,   557,   558,   559,     0,
       0,   560,     0,   197,   561,   198,     0,   562,   563,   564,
     565,   566,   567,   568,     0,   569,     0,   570,     0,   571,
     572,   573,     0,   574,   575,   576,   577,   578,   579,   580,
     581,  1928,   582,   583,   584,   585,     0,   586,   587,   588,
     589,   590,   591,   592,   593,   594,   595,   596,     0,   597,
     598,   210,   599,   600,     0,   601,   602,   603,   604,   605,
     606,   706,   607,     0,   608,   609,   610,   611,   612,     0,
     613,  1929,   614,   615,   219,   616,  1930,   617,     0,   618,
     619,   620,   621,   622,   623,   624,   625,   626,   627,     0,
       0,   628,   629,     0,   630,   631,   632,   633,   634,   635,
       0,  1931,  1932,     0,     0,   637,     0,   638,     0,     0,
     639,   640,   641,   642,   643,   644,   645,     0,     0,   646,
     647,   648,   649,   650,     0,     0,   651,   652,   653,   654,
     655,     0,  1933,     0,   656,   235,   657,   658,   659,   660,
       0,     0,   661,     0,     0,   662,   663,   664,   665,   666,
     667,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     708,   668,   669,   732,    86,    87,    88,   684,    90,    91,
      92,   685,     0,   686,    95,     0,     0,    98,    99,   100,
     101,   102,   103,   733,   104,   105,   687,   734,     0,   107,
     108,   109,   110,   735,   736,   112,   113,   114,   115,     0,
     116,   737,   738,   688,   689,     0,     0,     0,   690,   691,
       0,     0,     0,     0,   692,     0,     0,     0,     0,     0,
       0,     0,     0,   693,     0,   694,     0,   695,   696,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,     0,  1915,   137,
    1916,  1917,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,  1918,  1919,   444,     0,   445,   446,   447,   448,
       0,     0,   145,     0,   449,   450,   451,   452,   148,   453,
     699,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,   701,   465,  1920,  1921,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,  1503,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
       0,   491,   492,   493,     0,     0,   494,     0,   495,   496,
    1922,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,     0,     0,   504,     0,   505,   506,
     703,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,     0,     0,   519,
     520,   521,  1509,  1923,     0,  1924,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,     0,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,   704,   542,
     543,   705,   544,   545,   546,  1925,   189,  1926,   547,   548,
       0,     0,   549,   550,   193,   551,     0,     0,   552,  1927,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,     0,   197,   561,   198,     0,   562,   563,
     564,   565,   566,   567,   568,     0,   569,     0,   570,     0,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,  1928,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,     0,   601,   602,   603,   604,
     605,   606,   706,   607,     0,   608,   609,   610,   611,   612,
       0,   613,  2412,   614,   615,   219,   616,  1930,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
       0,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,  1931,  1932,     0,     0,   637,     0,   638,     0,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,  1933,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   708,   668,   669,   732,    86,    87,    88,   684,    90,
      91,    92,   685,     0,   686,    95,     0,     0,    98,    99,
     100,   101,   102,   103,   733,   104,   105,   687,   734,     0,
     107,   108,   109,   110,   735,   736,   112,   113,   114,   115,
       0,   116,   737,   738,   688,   689,     0,     0,     0,   690,
     691,     0,     0,     0,     0,   692,     0,     0,     0,     0,
       0,     0,     0,     0,   693,     0,   694,     0,   695,   696,
      35,     0,     0,     0,     0,     0,     0,     0,    41,    42,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     419,   420,   421,   422,   423,   424,   425,   426,     0,   427,
     428,   429,     0,     0,     0,     0,     0,     0,     0,   430,
     431,     0,   432,   433,   133,   434,   435,   436,     0,  1915,
     137,  1916,  1917,     0,   437,   438,   439,   440,   441,     0,
       0,   442,   443,  1918,  1919,   444,     0,   445,   446,   447,
     448,     0,     0,   145,     0,   449,   450,   451,   452,   148,
     453,   699,     0,   454,   455,   456,   457,   458,   459,     0,
     151,   460,     0,     0,     0,     0,   152,     0,     0,     0,
     461,   462,   463,   464,   701,   465,  1920,  1921,   466,     0,
     467,     0,   468,   469,   470,   471,   472,     0,   473,   474,
     475,     0,     0,   476,   477,  1503,   479,   480,     0,   481,
     482,   483,     0,   484,   485,   486,     0,   487,   488,   489,
     490,     0,   491,   492,   493,     0,     0,   494,     0,   495,
     496,  1922,   497,     0,   498,     0,   499,   169,     0,   170,
     500,   501,   502,     0,   503,     0,     0,   504,     0,   505,
     506,   703,   507,   508,   173,   509,   510,   511,     0,   512,
     513,   514,   515,   516,   517,     0,   518,   174,     0,     0,
     519,   520,   521,  1509,  1923,     0,  1924,     0,   522,   178,
     179,   523,   180,   524,   525,   526,   527,   528,     0,   529,
     530,     0,   531,     0,   182,   532,   183,     0,   533,   534,
     535,     0,     0,   536,   537,   538,   539,   540,   541,   704,
     542,   543,   705,   544,   545,   546,  1925,   189,  1926,   547,
     548,     0,     0,   549,   550,   193,   551,     0,     0,   552,
    1927,   553,   554,   555,     0,   556,     0,     0,   557,   558,
     559,     0,     0,   560,     0,   197,   561,   198,     0,   562,
     563,   564,   565,   566,   567,   568,     0,   569,     0,   570,
       0,   571,   572,   573,     0,   574,   575,   576,   577,   578,
     579,   580,   581,  1928,   582,   583,   584,   585,     0,   586,
     587,   588,   589,   590,   591,   592,   593,   594,   595,   596,
       0,   597,   598,   210,   599,   600,     0,   601,   602,   603,
     604,   605,   606,   706,   607,     0,   608,   609,   610,   611,
     612,     0,   613,     0,   614,   615,   219,   616,  1930,   617,
       0,   618,   619,   620,   621,   622,   623,   624,   625,   626,
     627,     0,     0,   628,   629,     0,   630,   631,   632,   633,
     634,   635,     0,  1931,  1932,     0,     0,   637,     0,   638,
       0,     0,   639,   640,   641,   642,   643,   644,   645,     0,
       0,   646,   647,   648,   649,   650,     0,     0,   651,   652,
     653,   654,   655,     0,  1933,     0,   656,   235,   657,   658,
     659,   660,     0,     0,   661,     0,     0,   662,   663,   664,
     665,   666,   667,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   708,   668,   669,   732,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,   733,   104,   105,   687,   734,
       0,   107,   108,   109,   110,   735,   736,   112,   113,   114,
     115,     0,   116,   737,   738,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,     0,
       0,   137,     0,     0,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,     0,   444,     0,   445,   446,
     447,   448,     0,     0,   145,     0,   449,   450,   451,   452,
     148,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,   701,   465,     0,     0,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,     0,   491,   492,   493,     0,     0,   494,     0,
     495,   496,     0,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,     0,     0,   504,     0,
     505,   506,   703,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,     0,
       0,   519,   520,   521,     0,     0,     0,     0,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,     0,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,     0,   189,     0,
     547,   548,     0,     0,   549,   550,   193,   551,     0,     0,
     552,     0,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,     0,   197,   561,   198,     0,
     562,   563,   564,   565,   566,   567,   568,     0,   569,     0,
     570,     0,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,     0,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,     0,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,     0,   614,   615,   219,   616,     0,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,     0,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,     0,     0,     0,     0,   637,     0,
     638,     0,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,     0,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   739,
     427,   428,   429,   740,   741,   742,   743,   744,   745,   746,
     430,   431,   747,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,   748,   437,   438,   439,   440,   441,
     749,   750,   442,   443,     0,   140,   444,   752,   445,   446,
     447,   448,   144,   753,   145,   754,   449,   450,   451,   452,
     148,   453,   755,   756,   454,   455,   456,   457,   458,   459,
     757,   151,   460,     0,   759,   760,   761,   152,   762,   763,
     764,   461,   462,   463,   464,     0,   465,   155,   156,   466,
     765,   467,   766,   468,   469,   470,   471,   472,   767,   473,
     474,   475,   768,   769,   476,   477,   478,   479,   480,   770,
     481,   482,   483,   771,   484,   485,   486,   772,   487,   488,
     489,   490,   164,   491,   492,   493,   166,   773,   494,   774,
     495,   496,   168,   497,   775,   498,   776,   499,   169,   777,
     170,   500,   501,   502,   778,   503,   172,   779,   504,   780,
     505,   506,     0,   507,   508,   173,   509,   510,   511,   781,
     512,   513,   514,   515,   516,   517,   782,   518,   174,   175,
       0,   519,   520,   521,     0,   176,   785,   177,   786,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,   787,
     529,   530,   788,   531,   181,   182,   532,   183,   789,   533,
     534,   535,   790,   791,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,   792,   549,   550,   193,   551,   793,   194,
     552,   195,   553,   554,   555,   794,   556,   795,   796,   557,
     558,   559,   797,   798,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,   799,   569,   200,
     570,   201,   571,   572,   573,   800,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,   801,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,   802,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,   803,   608,   609,   610,
     611,   612,   804,   613,   217,   614,   615,   219,   616,   220,
     617,   805,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,   806,   628,   629,   807,   630,   631,   632,
     633,   634,   635,   808,   224,   225,     0,   810,   637,   226,
     638,   227,   811,   639,   640,   641,   642,   643,   644,   645,
       0,   813,   646,   647,   648,   649,   650,   814,   815,   651,
     652,   653,   654,   655,     0,   234,   817,   656,   235,   657,
     658,   659,   660,   818,   819,   661,   820,   821,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
    1161,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,  2445,   445,   446,
     447,   448,   144,     0,     0,  2517,   449,   450,   451,   452,
       0,   453,   699,  2446,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,  2518,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,  2448,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,  2449,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,  2450,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,  2445,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,  2446,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,  2518,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,  2448,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,  3406,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,  2449,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,  2450,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,  1058,   425,   426,  1016,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
    1017,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,  1059,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,  1018,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,  1019,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  1016,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
    1017,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,  3135,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,  1018,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,  1019,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,  2445,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,  2446,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,  2518,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,  2448,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,  2449,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,  2450,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   697,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,   700,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
     702,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  1016,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
    1017,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,  1018,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,  1019,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,   927,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   928,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   929,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  2106,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,  2107,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,  2108,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,  2109,   499,     0,     0,
       0,  2110,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,  2111,  2112,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,  2113,   605,   606,   706,   607,     0,  2114,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,  2115,   630,  2116,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,  2117,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
    1017,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,  1018,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,  1019,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,  2095,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,  2390,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,  2999,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,  3000,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,  3001,   630,   631,  3002,
     633,  3003,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,  3004,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   724,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
     702,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,   877,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  1343,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,   130,   131,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  3215,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,  3216,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  3227,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,  3228,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   933,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   978,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,   418,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,  1033,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,  1092,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1240,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,  1092,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  1591,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1765,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,  1092,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,  2003,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,  2095,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,  2390,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,  4179,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,  4193,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
    4420,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
    4422,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
    4424,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,  4839,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
    1042,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  1044,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1045,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,  1046,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1047,   225,     0,     0,  1048,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  1049,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,  1086,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1045,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,  1087,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1088,   225,     0,     0,  1089,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  1049,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,  1106,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1212,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1236,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1248,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1302,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1316,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1356,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1375,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1377,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1379,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1382,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1388,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,  1602,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,  1071,   443,  1045,   140,  1603,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,  1075,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,  1076,   600,   212,   601,   602,
     603,  1077,   605,   606,   706,   607,     0,   608,   609,   610,
     611,  1595,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1079,   225,     0,     0,  1080,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  1049,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,  1081,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,  1728,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1812,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1962,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  1992,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  2027,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  2029,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  2031,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
    2144,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,  2357,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,     0,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  2757,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  3146,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  3218,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  3220,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,  3330,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,  1071,   443,  1045,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,  1075,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,  1076,   600,   212,   601,   602,
     603,  1077,   605,   606,   706,   607,     0,   608,   609,   610,
     611,  1595,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1079,   225,     0,     0,  1080,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  1049,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,  1081,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,  1045,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,   601,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  1049,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,  1071,   443,  1045,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,  1075,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,  1076,   600,   212,   601,   602,
     603,  1077,   605,   606,   706,   607,     0,   608,   609,   610,
     611,  1595,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,  2436,   632,
     633,   634,   635,     0,  1079,   225,     0,     0,  1080,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  1049,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,  1081,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,  1071,   443,  1045,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,  1075,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,  1076,   600,   212,   601,   602,
     603,  2503,   605,   606,   706,   607,     0,   608,   609,   610,
     611,  2504,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1079,   225,     0,     0,  2505,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  1049,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,  1081,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,  1071,   443,  1045,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,  1075,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,  1076,   600,   212,   601,   602,
     603,  1077,   605,   606,   706,   607,     0,   608,   609,   610,
     611,  2504,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,  1079,   225,     0,     0,  2505,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,  1049,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,  1081,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,   684,
      90,    91,    92,   685,     0,   686,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,   687,     0,
       0,   107,   108,   109,   110,     0,     0,   112,   113,   114,
     115,     0,   116,     0,     0,   688,   689,     0,     0,     0,
     690,   691,     0,     0,     0,     0,   692,     0,     0,     0,
       0,     0,     0,     0,     0,   693,     0,   694,     0,   695,
     696,    35,     0,     0,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,     0,   434,   435,   436,   135,
     136,     0,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,   698,   140,   444,     0,   445,   446,
     447,   448,   144,     0,     0,     0,   449,   450,   451,   452,
       0,   453,   699,     0,   454,   455,   456,   457,   458,   459,
       0,     0,   460,     0,     0,     0,     0,     0,     0,     0,
       0,   461,   462,   463,   464,   701,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,     0,     0,
       0,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,   703,   507,   508,     0,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,     0,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
       0,     0,   523,     0,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,     0,   532,     0,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
     704,   542,   543,   705,   544,   545,   546,   188,     0,   190,
     547,   548,   191,     0,   549,   550,     0,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,     0,   561,     0,   199,
     562,   563,   564,   565,     0,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,     0,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,     0,   599,   600,   212,     0,   602,
     603,   604,   605,   606,   706,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,     0,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,   707,   234,     0,   656,     0,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   708,   668,   669,    86,    87,    88,     0,
      90,    91,    92,     0,     0,     0,    95,     0,     0,    98,
      99,   100,   101,   102,   103,     0,   104,   105,     0,     0,
       0,   107,   108,   109,   110,     0,   111,   112,   113,   114,
     115, -2435,   116,   117,   118,     0,     0,     0,     0,     0,
     121,   122,     0,     0,     0,     0,   123,     0,     0,     0,
       0,     0,     0,     0,     0,   124,     0,   125,     0,   126,
     127,    35,     0,   413,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   133,     0,     0,     0,   135,
     136,   137,   138,   139,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   140,     0,     0,     0,     0,
       0,     0,   144,     0,   145,     0,     0,     0,     0,     0,
     148,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   151,     0,     0,     0,     0,     0,   152,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   155,   156,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   162,     0,     0,     0,     0,     0,
       0,     0,   164,     0,     0,     0,   166,     0,     0,     0,
       0,     0,   168,     0,     0,     0,     0,     0,   169,     0,
     170,     0,     0,     0,     0,     0,   172,     0,     0,     0,
       0,     0,     0,     0,     0,   173,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   174,   175,
       0,     0,     0,     0,     0,   176,     0,   177,     0,     0,
     178,   179,     0,   180,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   181,   182,     0,   183,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   188,   189,   190,
       0,     0,   191,     0,     0,     0,   193,     0,     0,   194,
       0,   195,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   196,   197,     0,   198,   199,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   200,
       0,   201,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   203,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   210,     0,     0,   212,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   217,     0,     0,   219,     0,   220,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   222,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   224,   225,     0,     0,     0,   226,
       0,   227,     0,     0,     0,     0,     0,     0,     0,     0,
     230,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   234,     0,     0,   235,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    86,    87,    88,     0,    90,    91,    92,
       0,     0,     0,    95,     0,     0,    98,    99,   100,   101,
     102,   103,     0,   104,   105,     0,     0,     0,   107,   108,
     109,   110,     0,   111,   112,   113,   114,   115, -2436,   116,
     117,   118,     0,     0,     0,     0,     0,   121,   122,     0,
       0,     0,     0,   123,     0,     0,     0,     0,     0,     0,
       0,     0,   124,     0,   125,     0,   126,   127,    35,     0,
    1156,     0,     0,     0,     0,     0,    41,    42,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   133,     0,     0,     0,   135,   136,   137,   138,
     139,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   140,     0,     0,     0,     0,     0,     0,   144,
       0,   145,     0,     0,     0,     0,     0,   148,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   151,     0,
       0,     0,     0,     0,   152,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   155,   156,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   162,     0,     0,     0,     0,     0,     0,     0,   164,
       0,     0,     0,   166,     0,     0,     0,     0,     0,   168,
       0,     0,     0,     0,     0,   169,     0,   170,     0,     0,
       0,     0,     0,   172,     0,     0,     0,     0,     0,     0,
       0,     0,   173,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   174,   175,     0,     0,     0,
       0,     0,   176,     0,   177,     0,     0,   178,   179,     0,
     180,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   181,   182,     0,   183,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   188,   189,   190,     0,     0,   191,
       0,     0,     0,   193,     0,     0,   194,     0,   195,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   196,   197,     0,   198,   199,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   200,     0,   201,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   203,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   210,     0,     0,   212,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   217,     0,     0,   219,     0,   220,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   222,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   224,   225,     0,     0,     0,   226,     0,   227,     0,
       0,     0,     0,     0,     0,     0,     0,   230,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   234,     0,     0,   235,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   237,   238,   239,   240,   241,   242,   243,   244,   245,
      86,    87,    88,     0,    90,    91,    92,     0,     0,     0,
      95,     0,     0,    98,    99,   100,   101,   102,   103,     0,
     104,   105,     0,     0,     0,   107,   108,   109,   110,     0,
     111,   112,   113,   114,   115,     0,   116,   117,   118,     0,
       0,     0,     0,     0,   121,   122,     0,     0,     0,     0,
     123,     0,     0,     0,     0,     0,     0,     0,     0,   124,
       0,   125,     0,   126,     0,    35,     0,     0,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   133,
       0,     0,     0,   135,   136,   137,   138,   139,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   140,
       0,     0,     0,     0,     0,     0,   144,     0,   145,     0,
       0,     0,     0,     0,   148,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   151,     0,     0,     0,     0,
       0,   152,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   155,   156,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   162,     0,
       0,     0,     0,     0,     0,     0,   164,     0,     0,     0,
     166,     0,     0,     0,     0,     0,   168,     0,     0,     0,
       0,     0,   169,     0,   170,     0,     0,     0,     0,     0,
     172,     0,     0,     0,     0,     0,     0,     0,     0,   173,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   174,   175,     0,     0,     0,     0,     0,   176,
       0,   177,     0,     0,   178,   179,     0,   180,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   181,   182,
       0,   183,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   188,   189,   190,     0,     0,   191,     0,     0,     0,
     193,     0,     0,   194,     0,   195,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   196,
     197,     0,   198,   199,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   200,     0,   201,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   203,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   210,     0,
       0,   212,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   217,     0,
       0,   219,     0,   220,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   222,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   224,   225,
       0,     0,     0,   226,     0,   227,     0,     0,     0,     0,
       0,     0,     0,     0,   230,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   234,
       0,     0,   235,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    86,    87,    88,
       0,    90,    91,    92,     0,     0,     0,    95,     0,     0,
      98,    99,   100,   101,   102,   103,     0,   104,   105,     0,
       0,     0,   107,   108,   109,   110,     0,   111,   112,   113,
     114,   115,     0,   116,   117,   118,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    35,     0,     0,     0,     0,     0,     0,     0,
      41,    42,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   133,     0,     0,     0,
     135,   136,   137,   138,   139,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   140,     0,     0,     0,
       0,     0,     0,   144,     0,   145,     0,     0,     0,     0,
       0,   148,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   151,     0,     0,     0,     0,     0,   152,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   155,   156,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   162,     0,     0,     0,     0,
       0,     0,     0,   164,     0,     0,     0,   166,     0,     0,
       0,     0,     0,   168,     0,     0,     0,     0,     0,   169,
       0,   170,     0,     0,     0,     0,     0,   172,     0,     0,
       0,     0,     0,     0,     0,     0,   173,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   174,
     175,     0,     0,     0,     0,     0,   176,     0,   177,     0,
       0,   178,   179,     0,   180,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   181,   182,     0,   183,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   188,   189,
     190,     0,     0,   191,     0,     0,     0,   193,     0,     0,
     194,     0,   195,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   196,   197,     0,   198,
     199,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     200,     0,   201,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   203,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   210,     0,     0,   212,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   217,     0,     0,   219,     0,
     220,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   222,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   224,   225,     0,     0,     0,
     226,     0,   227,     0,     0,     0,     0,     0,     0,     0,
       0,   230,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   234,     0,     0,   235,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   237,   238,   239,   240,   241,
     242,   243,   244,   245,    86,    87,    88,     0,    90,    91,
      92,     0,     0,     0,    95,     0,     0,    98,    99,   100,
     101,   102,   103,     0,   104,   105,     0,     0,     0,   107,
     108,   109,   110,     0,     0,   112,   113,   114,   115,     0,
     116,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,    35,
       0,     0,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   133,     0,     0,     0,   135,   136,   137,
     138,   139,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   140,     0,     0,     0,     0,     0,     0,
     144,     0,   145,     0,     0,     0,     0,     0,   148,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   151,
       0,     0,     0,     0,     0,   152,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   155,   156,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     164,     0,     0,     0,   166,     0,     0,     0,     0,     0,
     168,     0,     0,     0,     0,     0,   169,     0,   170,     0,
       0,     0,     0,     0,   172,     0,     0,     0,     0,     0,
       0,     0,     0,   173,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   174,   175,     0,     0,
       0,     0,     0,   176,     0,   177,     0,     0,   178,   179,
       0,   180,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   181,   182,     0,   183,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   188,   189,   190,     0,     0,
     191,     0,     0,     0,   193,     0,     0,   194,     0,   195,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   196,   197,     0,   198,   199,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   200,     0,   201,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   203,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   210,     0,     0,   212,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   217,     0,     0,   219,     0,   220,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     222,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   224,   225,     0,     0,     0,   226,     0,   227,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   234,     0,     0,   235,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   418,     0,     0,    37,    38,    39,    40,    41,
      42,    43,    44,     0,     0,     0,    45,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,  2071,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,  2072,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,  2073,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,     0,   668,   669,     0,     0,     0,    35,
       0,     0,     0,     0,  1007,  1686,  4686,    41,    42,     0,
       0,     0,     0,  4687,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,   130,   131,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,   215,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,   223,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,   233,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,   236,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,     0,   668,   669,    35,   418,     0,     0,    37,    38,
      39,    40,    41,    42,    43,    44,     0,     0,     0,    45,
       0,   246,     0,     0,   419,   420,   421,   422,   423,   424,
     425,   426,     0,   427,   428,   429,     0,     0,     0,     0,
       0,     0,     0,   430,   431,     0,   432,   433,   133,   434,
     435,   436,   135,   136,   137,   138,   139,     0,   437,   438,
     439,   440,   441,     0,     0,   442,   443,     0,   140,   444,
       0,   445,   446,   447,   448,   144,     0,   145,     0,   449,
     450,   451,   452,   148,   453,     0,     0,   454,   455,   456,
     457,   458,   459,     0,   151,   460,     0,     0,     0,     0,
     152,     0,     0,     0,   461,   462,   463,   464,     0,   465,
     155,   156,   466,  2292,   467,     0,   468,   469,   470,   471,
     472,     0,   473,   474,   475,     0,     0,   476,   477,   478,
     479,   480,     0,   481,   482,   483,     0,   484,   485,   486,
       0,   487,   488,   489,   490,   164,   491,   492,   493,   166,
    2071,   494,     0,   495,   496,   168,   497,     0,   498,     0,
     499,   169,     0,   170,   500,   501,   502,     0,   503,   172,
       0,   504,     0,   505,   506,     0,   507,   508,   173,   509,
     510,   511,     0,   512,   513,   514,   515,   516,   517,     0,
     518,   174,   175,     0,   519,   520,   521,     0,   176,     0,
     177,     0,   522,   178,   179,   523,   180,   524,   525,   526,
     527,   528,     0,   529,   530,     0,   531,   181,   182,   532,
     183,     0,   533,   534,   535,     0,     0,   536,   537,   538,
     539,   540,   541,     0,   542,   543,     0,   544,   545,   546,
     188,   189,   190,   547,   548,   191,     0,   549,   550,   193,
     551,     0,   194,   552,   195,   553,   554,   555,     0,   556,
    2072,     0,   557,   558,   559,     0,     0,   560,   196,   197,
     561,   198,   199,   562,   563,   564,   565,   566,   567,   568,
       0,   569,   200,   570,   201,   571,   572,   573,     0,   574,
     575,   576,   577,   578,   579,   580,   581,   203,   582,   583,
     584,   585,     0,   586,   587,   588,   589,   590,   591,   592,
     593,   594,   595,   596,     0,   597,   598,   210,   599,   600,
     212,   601,   602,   603,   604,   605,   606,     0,   607,     0,
     608,   609,   610,   611,   612,     0,   613,   217,   614,   615,
     219,   616,   220,   617,     0,   618,   619,   620,   621,   622,
     623,   624,   625,   626,   627,   222,     0,   628,   629,     0,
     630,   631,   632,   633,   634,   635,     0,   224,   225,     0,
       0,   637,   226,   638,   227,  2073,   639,   640,   641,   642,
     643,   644,   645,     0,     0,   646,   647,   648,   649,   650,
       0,     0,   651,   652,   653,   654,   655,     0,   234,     0,
     656,   235,   657,   658,   659,   660,     0,     0,   661,     0,
       0,   662,   663,   664,   665,   666,   667,   237,   238,   239,
     240,   241,   242,   243,   244,   245,     0,   668,   669,     0,
       0,     0,     0,     0,     0,    35,   418,  1007,  1686,    37,
      38,    39,    40,    41,    42,    43,    44,     0,     0,     0,
      45,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,  2297,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,  2071,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,  2072,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,  2073,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,     0,   668,   669,
       0,     0,     0,     0,     0,     0,    35,   418,  1007,  1686,
      37,    38,    39,    40,    41,    42,    43,    44,     0,     0,
       0,    45,     0,     0,     0,     0,   419,   420,   421,   422,
     423,   424,   425,   426,     0,   427,   428,   429,     0,     0,
       0,     0,     0,     0,     0,   430,   431,     0,   432,   433,
     133,   434,   435,   436,   135,   136,   137,   138,   139,     0,
     437,   438,   439,   440,   441,     0,     0,   442,   443,     0,
     140,   444,     0,   445,   446,   447,   448,   144,     0,   145,
       0,   449,   450,   451,   452,   148,   453,     0,     0,   454,
     455,   456,   457,   458,   459,     0,   151,   460,     0,     0,
       0,     0,   152,     0,     0,     0,   461,   462,   463,   464,
       0,   465,   155,   156,   466,     0,   467,     0,   468,   469,
     470,   471,   472,     0,   473,   474,   475,     0,     0,   476,
     477,   478,   479,   480,     0,   481,   482,   483,     0,   484,
     485,   486,     0,   487,   488,   489,   490,   164,   491,   492,
     493,   166,  2071,   494,     0,   495,   496,   168,   497,     0,
     498,     0,   499,   169,     0,   170,   500,   501,   502,     0,
     503,   172,     0,   504,     0,   505,   506,     0,   507,   508,
     173,   509,   510,   511,     0,   512,   513,   514,   515,   516,
     517,     0,   518,   174,   175,     0,   519,   520,   521,     0,
     176,     0,   177,     0,   522,   178,   179,   523,   180,   524,
     525,   526,   527,   528,     0,   529,   530,     0,   531,   181,
     182,   532,   183,     0,   533,   534,   535,     0,     0,   536,
     537,   538,   539,   540,   541,     0,   542,   543,     0,   544,
     545,   546,   188,   189,   190,   547,   548,   191,     0,   549,
     550,   193,   551,     0,   194,   552,   195,   553,   554,   555,
       0,   556,  2072,     0,   557,   558,   559,     0,     0,   560,
     196,   197,   561,   198,   199,   562,   563,   564,   565,   566,
     567,   568,     0,   569,   200,   570,   201,   571,   572,   573,
       0,   574,   575,   576,   577,   578,   579,   580,   581,   203,
     582,   583,   584,   585,     0,   586,   587,   588,   589,   590,
     591,   592,   593,   594,   595,   596,     0,   597,   598,   210,
     599,   600,   212,   601,   602,   603,   604,   605,   606,     0,
     607,     0,   608,   609,   610,   611,   612,     0,   613,   217,
     614,   615,   219,   616,   220,   617,     0,   618,   619,   620,
     621,   622,   623,   624,   625,   626,   627,   222,     0,   628,
     629,     0,   630,   631,   632,   633,   634,   635,     0,   224,
     225,     0,     0,   637,   226,   638,   227,  2073,   639,   640,
     641,   642,   643,   644,   645,     0,     0,   646,   647,   648,
     649,   650,     0,     0,   651,   652,   653,   654,   655,     0,
     234,     0,   656,   235,   657,   658,   659,   660,     0,     0,
     661,     0,     0,   662,   663,   664,   665,   666,   667,   237,
     238,   239,   240,   241,   242,   243,   244,   245,     0,   668,
     669,     0,     0,     0,     0,     0,     0,    35,     0,  1007,
    1686,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,  2071,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,  2072,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,  2073,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,     0,
     668,   669,    35,   418,     0,     0,    37,    38,    39,    40,
      41,    42,     0,    44,     0,     0,     0,     0,     0,     0,
       0,     0,   419,   420,   421,   422,   423,   424,   425,   426,
       0,   427,   428,   429,     0,     0,     0,     0,     0,     0,
       0,   430,   431,     0,   432,   433,   133,   434,   435,   436,
     135,   136,   137,   138,   139,     0,   437,   438,   439,   440,
     441,     0,     0,   442,   443,     0,   140,   444,     0,   445,
     446,   447,   448,   144,     0,   145,     0,   449,   450,   451,
     452,   148,   453,     0,     0,   454,   455,   456,   457,   458,
     459,     0,   151,   460,     0,     0,     0,     0,   152,     0,
       0,     0,   461,   462,   463,   464,     0,   465,   155,   156,
     466,     0,   467,     0,   468,   469,   470,   471,   472,     0,
     473,   474,   475,     0,     0,   476,   477,   478,   479,   480,
       0,   481,   482,   483,     0,   484,   485,   486,     0,   487,
     488,   489,   490,   164,   491,   492,   493,   166,     0,   494,
       0,   495,   496,   168,   497,     0,   498,     0,   499,   169,
       0,   170,   500,   501,   502,     0,   503,   172,     0,   504,
       0,   505,   506,     0,   507,   508,   173,   509,   510,   511,
       0,   512,   513,   514,   515,   516,   517,     0,   518,   174,
     175,     0,   519,   520,   521,     0,   176,     0,   177,     0,
     522,   178,   179,   523,   180,   524,   525,   526,   527,   528,
       0,   529,   530,     0,   531,   181,   182,   532,   183,     0,
     533,   534,   535,     0,     0,   536,   537,   538,   539,   540,
     541,     0,   542,   543,     0,   544,   545,   546,   188,   189,
     190,   547,   548,   191,     0,   549,   550,   193,   551,     0,
     194,   552,   195,   553,   554,   555,     0,   556,     0,     0,
     557,   558,   559,     0,     0,   560,   196,   197,   561,   198,
     199,   562,   563,   564,   565,   566,   567,   568,     0,   569,
     200,   570,   201,   571,   572,   573,     0,   574,   575,   576,
     577,   578,   579,   580,   581,   203,   582,   583,   584,   585,
       0,   586,   587,   588,   589,   590,   591,   592,   593,   594,
     595,   596,     0,   597,   598,   210,   599,   600,   212,   601,
     602,   603,   604,   605,   606,     0,   607,     0,   608,   609,
     610,   611,   612,     0,   613,   217,   614,   615,   219,   616,
     220,   617,     0,   618,   619,   620,   621,   622,   623,   624,
     625,   626,   627,   222,     0,   628,   629,     0,   630,   631,
     632,   633,   634,   635,     0,   224,   225,   636,     0,   637,
     226,   638,   227,     0,   639,   640,   641,   642,   643,   644,
     645,     0,     0,   646,   647,   648,   649,   650,     0,     0,
     651,   652,   653,   654,   655,     0,   234,     0,   656,   235,
     657,   658,   659,   660,     0,     0,   661,     0,     0,   662,
     663,   664,   665,   666,   667,   237,   238,   239,   240,   241,
     242,   243,   244,   245,     0,   668,   669,    35,   418,     0,
       0,    37,    38,    39,    40,    41,    42,     0,    44,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,    37,    38,    39,    40,    41,    42,     0,
      44,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,  2277,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,    37,    38,    39,    40,    41,
      42,     0,    44,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,    37,    38,    39,
      40,    41,    42,     0,    44,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,  2051,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,  2618,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
     538,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,  2619,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,   130,
     131,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,   538,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,  1232,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,   508,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,  3511,   504,     0,
     505,   506,     0,   507,   508,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,   508,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,   538,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,    35,   668,   669,     0,     0,
       0,     0,     0,    41,    42,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   419,   420,   421,   422,   423,
     424,   425,   426,     0,   427,   428,   429,     0,     0,     0,
       0,     0,     0,     0,   430,   431,     0,   432,   433,   133,
     434,   435,   436,   135,   136,   137,   138,   139,     0,   437,
     438,   439,   440,   441,     0,     0,   442,   443,     0,   140,
     444,     0,   445,   446,   447,   448,   144,     0,   145,     0,
     449,   450,   451,   452,   148,   453,     0,     0,   454,   455,
     456,   457,   458,   459,     0,   151,   460,     0,     0,     0,
       0,   152,     0,     0,     0,   461,   462,   463,   464,     0,
     465,   155,   156,   466,     0,   467,     0,   468,   469,   470,
     471,   472,     0,   473,   474,   475,     0,     0,   476,   477,
     478,   479,   480,     0,   481,   482,   483,     0,   484,   485,
     486,     0,   487,   488,   489,   490,   164,   491,   492,   493,
     166,     0,   494,     0,   495,   496,   168,   497,     0,   498,
       0,   499,   169,     0,   170,   500,   501,   502,     0,   503,
     172,     0,   504,     0,   505,   506,     0,   507,   508,   173,
     509,   510,   511,     0,   512,   513,   514,   515,   516,   517,
       0,   518,   174,   175,     0,   519,   520,   521,     0,   176,
       0,   177,     0,   522,   178,   179,   523,   180,   524,   525,
     526,   527,   528,     0,   529,   530,     0,   531,   181,   182,
     532,   183,     0,   533,   534,   535,     0,     0,   536,   537,
    1246,   539,   540,   541,     0,   542,   543,     0,   544,   545,
     546,   188,   189,   190,   547,   548,   191,     0,   549,   550,
     193,   551,     0,   194,   552,   195,   553,   554,   555,     0,
     556,     0,     0,   557,   558,   559,     0,     0,   560,   196,
     197,   561,   198,   199,   562,   563,   564,   565,   566,   567,
     568,     0,   569,   200,   570,   201,   571,   572,   573,     0,
     574,   575,   576,   577,   578,   579,   580,   581,   203,   582,
     583,   584,   585,     0,   586,   587,   588,   589,   590,   591,
     592,   593,   594,   595,   596,     0,   597,   598,   210,   599,
     600,   212,   601,   602,   603,   604,   605,   606,     0,   607,
       0,   608,   609,   610,   611,   612,     0,   613,   217,   614,
     615,   219,   616,   220,   617,     0,   618,   619,   620,   621,
     622,   623,   624,   625,   626,   627,   222,     0,   628,   629,
       0,   630,   631,   632,   633,   634,   635,     0,   224,   225,
       0,     0,   637,   226,   638,   227,     0,   639,   640,   641,
     642,   643,   644,   645,     0,     0,   646,   647,   648,   649,
     650,     0,     0,   651,   652,   653,   654,   655,     0,   234,
       0,   656,   235,   657,   658,   659,   660,     0,     0,   661,
       0,     0,   662,   663,   664,   665,   666,   667,   237,   238,
     239,   240,   241,   242,   243,   244,   245,    35,   668,   669,
       0,     0,     0,     0,     0,    41,    42,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   419,   420,   421,
     422,   423,   424,   425,   426,     0,   427,   428,   429,     0,
       0,     0,     0,     0,     0,     0,   430,   431,     0,   432,
     433,   133,   434,   435,   436,   135,   136,   137,   138,   139,
       0,   437,   438,   439,   440,   441,     0,     0,   442,   443,
       0,   140,   444,     0,   445,   446,   447,   448,   144,     0,
     145,     0,   449,   450,   451,   452,   148,   453,     0,     0,
     454,   455,   456,   457,   458,   459,     0,   151,   460,     0,
       0,     0,     0,   152,     0,     0,     0,   461,   462,   463,
     464,     0,   465,   155,   156,   466,     0,   467,     0,   468,
     469,   470,   471,   472,     0,   473,   474,   475,     0,     0,
     476,   477,   478,   479,   480,     0,   481,   482,   483,     0,
     484,   485,   486,     0,   487,   488,   489,   490,   164,   491,
     492,   493,   166,     0,   494,     0,   495,   496,   168,   497,
       0,   498,     0,   499,   169,     0,   170,   500,   501,   502,
       0,   503,   172,     0,   504,     0,   505,   506,     0,   507,
     508,   173,   509,   510,   511,     0,   512,   513,   514,   515,
     516,   517,     0,   518,   174,   175,     0,   519,   520,   521,
       0,   176,     0,   177,     0,   522,   178,   179,   523,   180,
     524,   525,   526,   527,   528,     0,   529,   530,     0,   531,
     181,   182,   532,   183,     0,   533,   534,   535,     0,     0,
     536,   537,  1324,   539,   540,   541,     0,   542,   543,     0,
     544,   545,   546,   188,   189,   190,   547,   548,   191,     0,
     549,   550,   193,   551,     0,   194,   552,   195,   553,   554,
     555,     0,   556,     0,     0,   557,   558,   559,     0,     0,
     560,   196,   197,   561,   198,   199,   562,   563,   564,   565,
     566,   567,   568,     0,   569,   200,   570,   201,   571,   572,
     573,     0,   574,   575,   576,   577,   578,   579,   580,   581,
     203,   582,   583,   584,   585,     0,   586,   587,   588,   589,
     590,   591,   592,   593,   594,   595,   596,     0,   597,   598,
     210,   599,   600,   212,   601,   602,   603,   604,   605,   606,
       0,   607,     0,   608,   609,   610,   611,   612,     0,   613,
     217,   614,   615,   219,   616,   220,   617,     0,   618,   619,
     620,   621,   622,   623,   624,   625,   626,   627,   222,     0,
     628,   629,     0,   630,   631,   632,   633,   634,   635,     0,
     224,   225,     0,     0,   637,   226,   638,   227,     0,   639,
     640,   641,   642,   643,   644,   645,     0,     0,   646,   647,
     648,   649,   650,     0,     0,   651,   652,   653,   654,   655,
       0,   234,     0,   656,   235,   657,   658,   659,   660,     0,
       0,   661,     0,     0,   662,   663,   664,   665,   666,   667,
     237,   238,   239,   240,   241,   242,   243,   244,   245,    35,
     668,   669,     0,     0,     0,     0,     0,    41,    42,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   419,
     420,   421,   422,   423,   424,   425,   426,     0,   427,   428,
     429,     0,     0,     0,     0,     0,     0,     0,   430,   431,
       0,   432,   433,   133,   434,   435,   436,   135,   136,   137,
     138,   139,     0,   437,   438,   439,   440,   441,     0,     0,
     442,   443,     0,   140,   444,     0,   445,   446,   447,   448,
     144,     0,   145,     0,   449,   450,   451,   452,   148,   453,
       0,     0,   454,   455,   456,   457,   458,   459,     0,   151,
     460,     0,     0,     0,     0,   152,     0,     0,     0,   461,
     462,   463,   464,     0,   465,   155,   156,   466,     0,   467,
       0,   468,   469,   470,   471,   472,     0,   473,   474,   475,
       0,     0,   476,   477,   478,   479,   480,     0,   481,   482,
     483,     0,   484,   485,   486,     0,   487,   488,   489,   490,
     164,   491,   492,   493,   166,     0,   494,     0,   495,   496,
     168,   497,     0,   498,     0,   499,   169,     0,   170,   500,
     501,   502,     0,   503,   172,     0,   504,     0,   505,   506,
       0,   507,  1363,   173,   509,   510,   511,     0,   512,   513,
     514,   515,   516,   517,     0,   518,   174,   175,     0,   519,
     520,   521,     0,   176,     0,   177,     0,   522,   178,   179,
     523,   180,   524,   525,   526,   527,   528,     0,   529,   530,
       0,   531,   181,   182,   532,   183,     0,   533,   534,   535,
       0,     0,   536,   537,   538,   539,   540,   541,     0,   542,
     543,     0,   544,   545,   546,   188,   189,   190,   547,   548,
     191,     0,   549,   550,   193,   551,     0,   194,   552,   195,
     553,   554,   555,     0,   556,     0,     0,   557,   558,   559,
       0,     0,   560,   196,   197,   561,   198,   199,   562,   563,
     564,   565,   566,   567,   568,     0,   569,   200,   570,   201,
     571,   572,   573,     0,   574,   575,   576,   577,   578,   579,
     580,   581,   203,   582,   583,   584,   585,     0,   586,   587,
     588,   589,   590,   591,   592,   593,   594,   595,   596,     0,
     597,   598,   210,   599,   600,   212,   601,   602,   603,   604,
     605,   606,     0,   607,     0,   608,   609,   610,   611,   612,
       0,   613,   217,   614,   615,   219,   616,   220,   617,     0,
     618,   619,   620,   621,   622,   623,   624,   625,   626,   627,
     222,     0,   628,   629,     0,   630,   631,   632,   633,   634,
     635,     0,   224,   225,     0,     0,   637,   226,   638,   227,
       0,   639,   640,   641,   642,   643,   644,   645,     0,     0,
     646,   647,   648,   649,   650,     0,     0,   651,   652,   653,
     654,   655,     0,   234,     0,   656,   235,   657,   658,   659,
     660,     0,     0,   661,     0,     0,   662,   663,   664,   665,
     666,   667,   237,   238,   239,   240,   241,   242,   243,   244,
     245,    35,   668,   669,     0,     0,     0,     0,     0,    41,
      42,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   419,   420,   421,   422,   423,   424,   425,   426,     0,
     427,   428,   429,     0,     0,     0,     0,     0,     0,     0,
     430,   431,     0,   432,   433,   133,   434,   435,   436,   135,
     136,   137,   138,   139,     0,   437,   438,   439,   440,   441,
       0,     0,   442,   443,     0,   140,   444,     0,   445,   446,
     447,   448,   144,     0,   145,     0,   449,   450,   451,   452,
     148,   453,     0,     0,   454,   455,   456,   457,   458,   459,
       0,   151,   460,     0,     0,     0,     0,   152,     0,     0,
       0,   461,   462,   463,   464,     0,   465,   155,   156,   466,
       0,   467,     0,   468,   469,   470,   471,   472,     0,   473,
     474,   475,     0,     0,   476,   477,   478,   479,   480,     0,
     481,   482,   483,     0,   484,   485,   486,     0,   487,   488,
     489,   490,   164,   491,   492,   493,   166,     0,   494,     0,
     495,   496,   168,   497,     0,   498,     0,   499,   169,     0,
     170,   500,   501,   502,     0,   503,   172,     0,   504,     0,
     505,   506,     0,   507,  1373,   173,   509,   510,   511,     0,
     512,   513,   514,   515,   516,   517,     0,   518,   174,   175,
       0,   519,   520,   521,     0,   176,     0,   177,     0,   522,
     178,   179,   523,   180,   524,   525,   526,   527,   528,     0,
     529,   530,     0,   531,   181,   182,   532,   183,     0,   533,
     534,   535,     0,     0,   536,   537,   538,   539,   540,   541,
       0,   542,   543,     0,   544,   545,   546,   188,   189,   190,
     547,   548,   191,     0,   549,   550,   193,   551,     0,   194,
     552,   195,   553,   554,   555,     0,   556,     0,     0,   557,
     558,   559,     0,     0,   560,   196,   197,   561,   198,   199,
     562,   563,   564,   565,   566,   567,   568,     0,   569,   200,
     570,   201,   571,   572,   573,     0,   574,   575,   576,   577,
     578,   579,   580,   581,   203,   582,   583,   584,   585,     0,
     586,   587,   588,   589,   590,   591,   592,   593,   594,   595,
     596,     0,   597,   598,   210,   599,   600,   212,   601,   602,
     603,   604,   605,   606,     0,   607,     0,   608,   609,   610,
     611,   612,     0,   613,   217,   614,   615,   219,   616,   220,
     617,     0,   618,   619,   620,   621,   622,   623,   624,   625,
     626,   627,   222,     0,   628,   629,     0,   630,   631,   632,
     633,   634,   635,     0,   224,   225,     0,     0,   637,   226,
     638,   227,     0,   639,   640,   641,   642,   643,   644,   645,
       0,     0,   646,   647,   648,   649,   650,     0,     0,   651,
     652,   653,   654,   655,     0,   234,     0,   656,   235,   657,
     658,   659,   660,     0,     0,   661,     0,     0,   662,   663,
     664,   665,   666,   667,   237,   238,   239,   240,   241,   242,
     243,   244,   245,    35,   668,   669,     0,     0,     0,     0,
       0,    41,    42,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   419,   420,   421,   422,   423,   424,   425,
     426,     0,   427,   428,   429,     0,     0,     0,     0,     0,
       0,     0,   430,   431,     0,   432,   433,   133,   434,   435,
     436,   135,   136,   137,   138,   139,     0,   437,   438,   439,
     440,   441,     0,     0,   442,   443,     0,   140,   444,     0,
     445,   446,   447,   448,   144,     0,   145,     0,   449,   450,
     451,   452,   148,   453,     0,     0,   454,   455,   456,   457,
     458,   459,     0,   151,   460,     0,     0,     0,     0,   152,
       0,     0,     0,   461,   462,   463,   464,     0,   465,   155,
     156,   466,     0,   467,     0,   468,   469,   470,   471,   472,
       0,   473,   474,   475,     0,     0,   476,   477,   478,   479,
     480,     0,   481,   482,   483,     0,   484,   485,   486,     0,
     487,   488,   489,   490,   164,   491,   492,   493,   166,     0,
     494,     0,   495,   496,   168,   497,     0,   498,     0,   499,
     169,     0,   170,   500,   501,   502,     0,   503,   172,     0,
     504,     0,   505,   506,     0,   507,  1384,   173,   509,   510,
     511,     0,   512,   513,   514,   515,   516,   517,     0,   518,
     174,   175,     0,   519,   520,   521,     0,   176,     0,   177,
       0,   522,   178,   179,   523,   180,   524,   525,   526,   527,
     528,     0,   529,   530,     0,   531,   181,   182,   532,   183,
       0,   533,   534,   535,     0,     0,   536,   537,  1385,   539,
     540,   541,     0,   542,   543,     0,   544,   545,   546,   188,
     189,   190,   547,   548,   191,     0,   549,   550,   193,   551,
       0,   194,   552,   195,   553,   554,   555,     0,   556,     0,
       0,   557,   558,   559,     0,     0,   560,   196,   197,   561,
     198,   199,   562,   563,   564,   565,   566,   567,   568,     0,
     569,   200,   570,   201,   571,   572,   573,     0,   574,   575,
     576,   577,   578,   579,   580,   581,   203,   582,   583,   584,
     585,     0,   586,   587,   588,   589,   590,   591,   592,   593,
     594,   595,   596,     0,   597,   598,   210,   599,   600,   212,
     601,   602,   603,   604,   605,   606,     0,   607,     0,   608,
     609,   610,   611,   612,     0,   613,   217,   614,   615,   219,
     616,   220,   617,     0,   618,   619,   620,   621,   622,   623,
     624,   625,   626,   627,   222,     0,   628,   629,     0,   630,
     631,   632,   633,   634,   635,     0,   224,   225,     0,     0,
     637,   226,   638,   227,     0,   639,   640,   641,   642,   643,
     644,   645,     0,     0,   646,   647,   648,   649,   650,     0,
       0,   651,   652,   653,   654,   655,     0,   234,     0,   656,
     235,   657,   658,   659,   660,     0,     0,   661,     0,     0,
     662,   663,   664,   665,   666,   667,   237,   238,   239,   240,
     241,   242,   243,   244,   245,     0,   668,   669
};

#define yypact_value_is_default(yystate) \
  ((yystate) == (-4780))

#define yytable_value_is_error(yytable_value) \
  ((yytable_value) == (-2681))

static const yytype_int16 yycheck[] =
{
       2,    78,   167,    78,   154,  1362,  1073,    78,   381,    78,
     246,   209,  1127,   117,    78,   381,  1371,   228,  1192,    78,
      84,   858,   187,   901,  1410,   365,  1017,  1018,  1019,  1751,
    1945,    96,  1023,  1366,   153,  1238,  1090,  1233,  1313,  2254,
    1257,   106,  1640,   150,  1122,  1623,   940,  2352,  1323,  2110,
    1786,  1247,   202,  1294,  1929,  2852,  2556,   223,   162,  1530,
     730,  2416,  2417,    94,   901,  2060,   160,  1947,  1473,  1791,
     171,  1501,  1502,  1888,   165,  3007,    78,   142,  3404,  1080,
     958,  2689,    84,  1795,   132,  2266,  3188,    89,   165,  3211,
    1520,  1988,   157,  2697,  3467,  2316,  1805,  3429,    78,  2609,
    1440,   132,  1840,  1299,  1680,  1681,  1682,  1303,   209,  3385,
    2654,  1352,  1308,  1644,  3231,   117,  3233,   731,  2149,  1315,
    3711,   958,   153,   154,  3456,  2831,   230,  3631,  3012,  1325,
    1169,  3764,   163,   353,  3066,  3073,  1169,  1237,  1850,   367,
     983,  1241,  3657,   367,  3010,  3011,  3372,  1856,  1857,  1249,
    4022,   153,  2049,   940,  3811,  4012,  1734,  3760,   208,  3385,
     162,  1778,  4033,    78,  3663,   216,   167,  1738,   218,    84,
    1991,   202,  4470,  1791,  2944,  4257,  1675,  1676,   960,  3969,
    1423,  3104,  1076,  1403,  1999,  1394,   187,  1247,   970,  1209,
    1119,  1119,  2692,  3721,  1164,  1165,  2364,   984,  3662,  3589,
    1150,  2416,   117,    30,   975,  4576,   208,  4578,  3389,  3390,
    3391,  3392,  3393,  3394,   216,    88,   218,   117,    10,    21,
      88,    72,   121,  4010,  3941,   108,  4763,   838,   230,  1490,
    1491,   117,  1402,   114,  4021,  2403,   103,   104,   135,  2407,
     113,    78,   156,    75,    76,    77,    78,   162,   114,    95,
      82,    75,    76,    77,    78,  1516,    99,   927,    82,   128,
     230,   149,   162,   112,  1214,    14,  2766,     2,  2768,   180,
     143,   102,   229,   145,  4617,   117,   162,   357,    72,    75,
      76,    77,    78,   211,   210,   311,    82,   268,    37,  1076,
     229,    78,    86,   268,   326,   143,   373,    72,   373,    25,
    2215,  1292,   373,   135,   373,    72,    81,   229,   208,  3079,
     128,    86,   268,   173,   373,   230,   216,   381,   218,    86,
     162,    84,   229,    72,  3007,    95,    75,    76,    77,    78,
     230,   145,    81,    82,    83,    84,   100,    86,   112,   844,
     367,   328,   458,   128,   230,   204,   111,   105,   853,  1403,
    5129,   197,   416,   109,   436,    75,    76,    77,    78,    22,
     173,   228,    82,   230,   387,    75,    76,    77,    78,   362,
      90,    72,    82,    51,   155,  1549,   145,     0,  1548,   381,
      81,   235,   887,  3066,   153,    86,   417,   153,   230,    14,
    1607,    69,   415,   373,    99,   388,   182,   513,    78,  1277,
    1070,   106,  1576,    93,    99,    75,    76,    77,    78,    72,
     253,   106,    82,   194,   416,    99,  2477,    78,   500,    78,
      90,   199,   106,    75,    76,    77,    78,   197,  5207,   175,
      82,   145,   188,   513,    75,    76,    77,    78,    25,   944,
    1277,    82,   128,   470,  4815,    75,    76,    77,    78,   954,
    4748,   311,    82,   211,   249,   298,    75,    76,    77,    78,
    1410,  1932,   145,    82,    78,   379,   381,   840,   494,    78,
     180,    90,  4262,   224,   840,  4756,   179,  2910,  2911,   405,
     145,   513,  2915,   248,    88,    75,    76,    77,    78,    88,
    1920,  1921,    82,  1387,   135,   482,   242,  1927,  2666,   263,
      90,   416,   458,   362,    78,    78,    78,    78,    38,  2107,
      40,   380,    78,  2111,   113,  2113,  1570,   636,  2116,   229,
     210,    78,  2955,  2956,    75,    76,    77,    78,   173,   436,
     229,    82,   682,   683,   515,   173,   373,  2412,   264,    90,
    1897,   516,  2422,   513,   143,   473,   377,  1902,    75,    76,
      77,    78,  1166,  1167,   300,    82,   513,   303,  1612,  1613,
     448,  3837,   380,   229,   436,    75,    76,    77,    78,  1412,
     436,   341,    82,  3754,   423,  1186,   149,   516,    75,    76,
      77,    78,   463,  1477,   427,    82,   373,   400,   102,   500,
    1372,   513,   165,   417,   418,   380,    75,    76,    77,    78,
    1387,   468,   516,    82,   374,   636,    75,    76,    77,    78,
     456,  3837,   463,    82,   513,  4472,   513,    75,    76,    77,
      78,  1392,   436,  1410,    82,    75,    76,    77,    78,  5166,
     513,  2209,    82,   403,   636,   467,   509,  4980,  1913,  3139,
    1836,   509,  1838,  1846,  4434,  3767,  4150,   516,   394,   423,
    1891,   682,   683,   416,   513,  1605,   458,  1918,  1919,  3991,
    1610,  1611,   516,   511,  1446,  1926,  1766,   515,  4183,  1886,
     436,   463,  4187,   246,   460,  4174,  4463,   264,  2256,  1461,
    4006,   513,  2260,   479,   511,  4402,  4403,  4404,  4405,  4406,
    1477,   461,  1474,   373,   380,   473,  4486,   387,   516,   730,
     866,  5072,   477,   499,  4232,   507,   411,  4097,  1602,  4173,
     504,   505,   373,  1813,   373,   405,   411,   513,   107,   513,
    2053,   516,   436,  3655,  1694,  3657,   436,   411,   847,   504,
     505,   516,   836,  1662,  1662,   438,    72,   504,   505,    75,
      76,    77,    78,   173,  5042,    81,    82,   493,   984,  2570,
      86,  4833,  3107,   436,  3109,   504,   505,  1262,   145,   373,
    1820,  2101,   513,  1823,   373,  1785,   153,   987,  1273,  3950,
    5051,   436,   229,   892,  3190,  2108,   840,   480,  2490,   929,
     187,   426,  1122,   313,  2117,   173,   182,   881,   426,  1403,
     500,   180,  3676,   513,   367,  3010,  3011,  3012,   229,   373,
     373,   373,   373,   504,   505,   515,  3350,   373,   185,  3353,
    3354,   224,   185,  3357,  3936,  1602,   373,   516,  1768,  3363,
    3424,  5119,  4612,  1610,  1611,  3748,  1776,   479,  1333,  4619,
     949,   996,  3764,   998,   836,  1000,    99,   467,   840,  2082,
    2552,  1006,   844,   513,  3025,  2088,  2066,   499,  2057,   387,
     516,   853,   854,   173,   160,  3355,  3356,    95,   860,  2430,
     185,   513,  1028,   377,  1029,  1030,  2365,   333,  2367,   871,
    3038,  4914,   513,   980,  4746,   389,   272,   300,  1828,  4841,
    4842,  1831,  1832,   513,  1112,   887,   162,   160,  1112,   262,
      29,  2508,   268,   984,   513,   313,   927,   899,   929,  2517,
     318,   903,   506,   507,   508,   509,   983,   506,   507,   508,
     509,   333,   914,   173,  2175,  2176,   981,   313,   175,    95,
     180,   836,   268,   513,   141,   840,   440,   374,   234,  4562,
    1096,   933,   207,   998,   391,  1000,   836,   262,   940,   210,
    1818,  4043,   944,   361,   333,  1010,  4702,   978,  1898,   238,
     836,   982,   954,   955,   230,  3725,   403,   160,   960,   197,
    1126,   234,   513,   376,  1029,  1030,   232,   363,   970,   151,
     229,   394,  3655,   975,  3657,   513,   179,    14,  2148,  2149,
    4613,  1818,   984,   174,   511,   242,   513,  3403,   515,  2159,
     249,   266,  2730,  2163,   836,   238,   426,   998,  5041,  1000,
     137,  2171,  2172,   513,  1995,   436,  2742,   189,   211,   268,
    2064,  1102,   469,   311,  2184,  2185,   513,  3372,   182,  4523,
     229,   197,    99,  1074,  1072,  2195,   231,  1078,  1029,  1030,
    3385,   999,  2206,  1097,   513,  1003,  1004,  1005,   426,  1070,
     249,  1072,  1208,   300,   513,  1013,   303,  2114,  2115,   436,
     516,   458,  4567,   313,   180,   513,  4928,  4572,   333,   268,
    4575,   252,   137,   513,  4563,  4922,  1068,  4938,   311,   500,
     147,   208,  1074,   268,  1076,   381,  1078,   154,   153,   456,
     238,  3764,   458,   456,   515,   348,   323,    72,   468,   226,
      75,    76,    77,    78,   516,  1097,    81,    82,    83,    84,
     180,    86,  1104,   341,   181,   175,   426,    71,   381,   326,
    3465,   500,   458,  4486,  3029,    79,    80,  5079,   443,  5162,
     516,   260,   511,  4756,   513,   514,   515,   516,  4460,  4251,
    4886,   456,   398,   208,   405,   398,   374,   394,  3571,   232,
     333,  3574,  3575,  3576,  3577,  3578,  3579,  3580,  3581,  3582,
    3583,   226,   151,   311,   318,  2033,   416,   180,   237,   419,
     342,   427,  1164,  1165,   462,   403,   429,   370,   431,   505,
    4287,   477,   242,   462,  1074,   450,   253,   180,  1078,    95,
     446,   327,  1097,   229,   389,   101,  5043,   313,   152,  1239,
     189,     8,   426,   396,    11,    12,  2033,   403,   374,   458,
    3633,  3634,   231,   249,   477,    22,    23,    24,   514,    26,
      27,   517,   185,   229,    31,    32,    33,   438,   355,   462,
    1200,  2819,   268,   426,   197,  3105,  2069,   230,  4831,   221,
     300,  3111,   184,   249,   425,   426,   493,  1239,   202,   444,
     975,   514,  1336,  2025,   517,  2675,  5118,  2301,   430,   458,
    5122,  4183,   268,   513,  2036,  4187,   513,   354,   517,   480,
    1262,   464,  5052,   458,   268,   391,  2048,  1247,  4925,   511,
    4620,  1273,   323,   515,   477,   153,   513,  4781,   175,    85,
     355,   197,    88,  2070,  2351,    95,   128,   323,   129,    25,
     254,   101,  4230,  5165,  1296,   318,   137,  4812,   151,    35,
     329,   223,   180,  2181,   462,   398,   385,   113,   517,   515,
     513,   314,  1548,   119,   451,   327,   396,   269,   310,   185,
    4204,   514,   517,   516,   394,  4209,   387,  4960,   230,    85,
    2605,  1333,    88,  4199,   427,  1412,   189,   143,   231,  1239,
     180,   438,   419,   342,  2181,   242,   426,    85,   119,  4853,
    1415,  1724,  1417,  4857,  4858,  1420,   173,  1422,  1724,   517,
    1425,  1426,  1427,  2402,   270,   376,  4716,  4643,  3912,  2402,
    1372,   151,  4078,  1438,  3918,  3919,   451,   231,    85,   352,
     340,    88,   346,   480,   464,  1387,  1451,   197,  1453,  1391,
    1392,   458,  1394,  4984,  4985,   456,   262,   477,   134,    81,
    1402,  4727,  2759,   300,    86,   259,   303,  4733,  1410,   189,
     983,   984,   458,  1633,  2769,  1150,  2516,  4643,  5051,  1647,
    1648,   327,  1650,  1647,  1648,   341,  1650,  1458,   350,   151,
    2763,   430,  2382,   513,  1169,   313,   329,  2712,  2713,  2714,
    2715,   343,   458,   249,  1446,  1413,   513,  3508,  1416,  2724,
     291,  1419,  2066,  1421,   458,   458,  1424,  1459,   374,  1461,
    1428,  3676,   513,  2659,   270,   271,   477,   189,  3204,   311,
    2570,   517,  1474,   313,   245,  1477,   436,   513,   249,  1214,
     300,   385,  3837,   303,  4834,   449,  1488,   403,   305,   342,
     182,  2591,   340,   457,  4844,  4005,   460,   394,  1664,   511,
    4183,   517,   242,   515,  4187,   516,   408,   341,  3039,  2014,
     316,  3732,  2753,  3544,   270,  1517,   287,  1621,  2023,   504,
     505,   233,   354,   329,  2624,   121,   419,   436,   264,  3962,
     396,   341,    99,   219,   351,   152,  3134,  2565,   380,  1112,
    1588,  1589,   249,  1545,  1546,   340,  1548,  3285,   121,   340,
     436,  5142,  4052,   457,  4054,   274,   340,  1588,  1589,  1561,
     300,   403,   342,   270,   374,  1567,   192,   172,   194,   403,
    3875,   458,  3877,   329,   394,   171,  3881,   430,   436,   291,
     272,  4913,  3294,   192,   201,   194,   298,   207,   436,  4711,
     456,   329,   311,   403,   182,  2623,   493,  3494,   171,   219,
    1602,  2479,   288,  1605,   224,  2110,   438,   516,  1610,  1611,
     137,  1675,  1676,   436,   500,   160,   513,    97,  1620,  1621,
     342,   313,   329,  2573,   298,   192,   513,   153,   445,   515,
    4562,  2581,   126,  2583,  1738,  4567,   407,   117,    99,   325,
    4572,   436,  2479,  4575,  1692,   436,   266,  1649,   480,   254,
     430,  1653,  1654,   180,   394,   184,  1391,  1392,   516,  1394,
    1724,  1692,  4764,   280,   281,   261,  3566,  1731,   288,  1763,
     224,   363,  1674,  1675,  1676,  1410,   233,   294,   172,  5052,
     234,  4613,   275,  1849,   272,  3115,   405,   197,   261,   234,
    3590,   183,  1694,   516,   299,   249,   301,   323,   504,   505,
     506,   507,   508,   509,   313,   325,  1621,   233,   430,  2879,
    4507,  4144,  4145,   333,   323,   311,    14,   429,  5050,   431,
     145,  1621,  1724,  4845,   341,   313,   252,  2397,   153,  1731,
    1732,   192,  4849,  2515,   291,  1621,  1738,   456,   311,    37,
     269,  3450,   454,  1745,  3453,   501,   502,  2738,   504,   505,
     506,   507,   508,   509,   246,    88,   436,   251,  2928,  1674,
    1675,  1676,   500,   501,   502,   291,   504,   505,   506,   507,
     508,   509,  4272,  4273,    72,   363,  1778,   172,   367,  1621,
     219,   438,   436,   263,  1786,  5111,   313,    88,  1674,  2959,
     192,   318,   194,   500,   501,   502,   392,   504,   505,   506,
     507,   508,   509,  3379,  3144,   299,   332,   301,   397,  1724,
    4607,   428,  4609,   430,  1816,   217,  1731,   311,   274,   392,
    3175,   331,   410,  1738,  4756,   513,   333,  2997,   355,   383,
     450,  4375,  4376,   517,  4442,   436,   516,   426,  1738,  1412,
    1820,  4943,   369,  1823,   161,  1745,   340,  4451,  1952,   288,
      95,  2745,  1738,   249,  4462,   311,   101,    75,    76,    77,
      78,   238,   516,    85,    82,  4987,    88,   516,   378,  1871,
    1605,  1873,   429,  2823,   431,  1610,  1611,   219,  1778,  4562,
    4812,   470,   224,   105,  4567,   379,   393,    88,  2782,  4572,
    1892,   511,  4575,   403,   514,   515,  1738,   454,  1970,   209,
     190,  4640,  2021,   429,   299,   431,   301,   363,  3506,  1911,
     200,  1484,  3792,   230,   440,   516,   318,  1989,   183,     2,
     414,   323,  3163,   331,   451,   451,   115,  1929,   454,   514,
    4613,  1504,   517,   341,   311,   183,  4675,   270,  2311,  3017,
     250,   258,   143,  2141,    14,  2311,   288,   136,   389,   405,
    1952,  1686,   197,  3768,   477,  1957,   273,  2123,  2745,  5081,
       5,  1534,    88,   341,   341,  2470,   374,    37,   285,   270,
    1972,   517,  2477,  1873,   396,  1548,  1711,  1712,   374,  2070,
      25,   246,   378,   325,  4199,  1654,  1988,   113,  3191,  4204,
      35,   308,  2069,   516,  4209,  2782,   374,   374,   246,   440,
     456,   374,    88,   341,   426,   378,    89,   403,   389,  3212,
     327,   341,  2014,   511,  2079,   519,  2081,   143,  2020,   517,
    2085,  2023,  2087,  2025,  2026,  2090,  3027,   113,  4960,  2094,
     403,  3946,  4213,  1768,  2036,  3613,   374,  1952,  4343,  2140,
     442,  1776,   464,    41,   374,   391,  2048,  2049,   270,   458,
     452,   341,  1952,  2147,  2131,  2057,  2131,   143,  2060,   440,
    2131,   469,  2131,   389,  5186,   403,  1952,   384,  2070,   182,
     153,   264,  2131,  4756,  1647,  1648,   159,  1650,   477,   477,
    3030,   477,   428,   341,   374,   462,  4519,   341,  3800,   134,
      16,   513,  3192,  1828,  3434,   137,  1831,  1832,  2976,   440,
     318,   143,   185,  3443,   477,  3814,  3815,   329,  2110,   322,
    1952,   153,  4545,  4546,   440,  2219,   374,   516,   516,  5051,
     374,   374,  3593,  3594,  3529,   341,   341,   378,  3840,  4812,
     429,   477,   431,   479,  4678,   192,  2806,   194,   180,  2976,
     182,   458,   229,   256,   270,   403,  2148,  2149,   224,   403,
     403,   196,   403,   357,  2156,  3733,  3256,  2159,   374,   374,
     217,  2163,   249,  1898,   341,  2330,  2168,   513,   244,  2171,
    2172,   504,   505,   506,   507,   508,   509,  2179,   470,  3536,
    2182,  2183,  2184,  2185,   270,   271,   391,   403,   403,   224,
    2192,  2193,   479,  2195,   396,  2197,  2198,   374,   311,  2201,
     313,   378,  3398,   504,   505,   506,   507,   508,   509,   244,
     276,   511,   499,  3050,   256,  2217,  2218,  2219,   518,   264,
     403,  2223,  2313,   428,   426,  2227,   403,  4142,  4728,  2231,
     316,  2233,  2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,
    4235,  2243,  2440,  3030,  2442,    97,   516,  2311,   327,    71,
     520,  2253,  2254,   332,   327,   513,   313,    79,    80,   332,
     233,   318,   464,   219,  4139,   117,   323,  3161,   224,    88,
    4485,   313,   477,   479,   479,   477,   318,  4960,   500,   501,
     502,  5078,   504,   505,   506,   507,   508,   509,  4643,  4011,
    4026,   500,  3533,   499,   113,    85,   324,  2356,    88,   327,
     477,  2365,   514,  2367,  2219,   517,   515,   513,   513,  2311,
     128,   513,   393,   355,  2316,  3745,  2435,   516,   291,  2219,
      34,   520,  2057,  2489,   143,  2060,  2430,   369,   479,   147,
      71,    72,   288,  2219,    75,    76,    77,    78,    79,    80,
      81,    82,   512,   161,   230,    86,   516,  4780,   499,  3131,
    3132,  2856,   436,    75,    76,    77,    78,  2862,  2199,    72,
      82,  2202,   513,  2365,   513,  2367,  2397,   512,  5051,   325,
     376,   516,   258,    86,  3161,    71,    72,  2219,   504,   505,
     506,   507,   508,   509,  2386,   442,   440,   273,    85,   440,
     304,    88,   393,   211,   367,   452,  2311,    85,   298,   285,
      88,   363,  2404,  4758,  2406,   314,   315,   298,   105,   451,
    2412,   134,   135,   375,  2416,  2417,   103,   104,   504,   505,
     506,   507,   508,   509,  2426,  3765,  3766,   341,  2430,  2431,
    3600,  3422,  2434,    75,    76,    77,    78,   399,  2542,   180,
      82,   516,   517,  2562,    75,    76,    77,    78,   157,   367,
    2365,    82,  2367,  4385,  2456,  4387,   429,  2459,   431,  4391,
     374,  4393,    85,   391,   378,  4063,  4064,  4065,  2470,    75,
      76,    77,    78,   160,   252,  2477,    82,   518,   161,   397,
     270,   454,  3699,    85,   516,   517,    88,   396,   391,   403,
     387,   388,   179,  3275,  3668,  2497,  2069,   470,   384,   429,
     428,   431,  3007,   105,    72,  3399,  2508,  3401,   426,     2,
     387,   388,  2514,  2515,  2183,  2430,   244,   426,   428,  2521,
      75,    76,    77,    78,   211,   428,   267,    82,  2197,   440,
    2430,    75,    76,    77,    78,  3372,  2538,  2539,    82,   329,
    2542,   150,   391,    85,  2430,   470,    88,   230,  3385,   477,
     291,   479,   470,   636,   125,   464,  4861,  4862,  2131,  4864,
     393,  3066,  2564,  2565,   496,   497,  2568,   477,   477,   479,
    3464,   113,   276,   270,   477,   258,   479,   119,   519,   428,
    2684,   514,   270,   516,  2586,   513,   513,  3537,  2430,   513,
     273,  2698,   508,  3671,  3672,  3673,   318,   513,  2600,   515,
     508,   143,   285,   513,   513,   513,   182,   515,  2508,    86,
     513,  2613,  3399,   511,  3401,   513,  2927,   515,  2929,  2930,
    2622,  2623,  4200,  2538,   511,   308,   513,  2542,   477,   327,
     479,  3413,   329,  3415,   516,   514,   180,   516,  2538,  4700,
     125,   329,  2542,   506,   507,   508,     7,  2382,   224,  4227,
     470,  2224,  2538,   514,   115,   516,  2542,   495,    19,    20,
     513,   272,   515,  2665,   513,  2667,   327,  2402,   270,  2404,
     276,  2406,   515,   477,   167,   479,   318,  3464,    39,  4594,
     256,    42,  2684,   370,   514,   330,   516,   318,  2690,   330,
     514,   315,   516,  2695,   187,   224,  2538,   514,  5003,   516,
    2542,   384,  3905,   245,   514,   436,   516,   249,   495,   396,
     500,   501,   502,   327,   504,   505,   506,   507,   508,   509,
     514,   495,   516,  2959,  4939,  2727,   330,   329,   270,   271,
     115,    75,    76,    77,    78,   311,   272,   313,    82,   426,
    2742,   207,   391,  2745,   506,   287,  3528,   228,  4346,  4347,
     514,  4349,   516,   219,   514,   516,   516,   391,   224,   514,
    4035,   516,    85,   504,   505,    88,   513,   513,   515,  2684,
     514,   313,   396,   125,   316,  2806,   514,   464,   516,   428,
    2782,   468,   105,  2356,  2684,  1464,  1465,   329,  2790,   514,
     477,  3002,  3003,  3004,   428,   156,   229,   268,  2684,   882,
     266,   517,   426,   500,   501,   502,   506,   504,   505,   506,
     507,   508,   509,   477,   519,   479,   504,   505,   506,   507,
     508,   509,   288,   514,   391,   516,   513,  2829,   477,   391,
     479,  2935,   193,  3069,   519,   436,   180,  2941,  2573,  2841,
     464,   264,  2684,   477,   436,   479,  2581,   514,  2583,   516,
    2852,   513,   203,   477,  2856,   436,   436,   940,   941,   325,
    2862,   428,   108,   436,   513,   407,   428,   333,   125,    75,
      76,    77,    78,    71,    72,   264,    82,  2879,  2880,   513,
      86,    79,    80,  2885,    75,    76,    77,    78,    86,   513,
     514,    82,   975,   517,   391,   514,   270,   516,   500,   501,
     502,   436,   504,   505,   506,   507,   508,   509,  2910,  2911,
     477,   481,   479,  2915,   514,   477,   516,   479,   513,   504,
     505,   506,   507,   508,   515,  2927,  2928,  2929,  2930,   514,
     514,   428,   516,  2935,  4508,  4509,  4510,  4511,  2940,  2941,
     514,  2943,   516,  2945,   403,   224,   513,   270,   513,   212,
    1033,   513,   513,  2955,  2956,   515,  4126,  2959,   500,   501,
     502,   249,   504,   505,   506,   507,   508,   509,   212,  3046,
    2972,  3046,  2974,   327,   180,  3046,  2978,  3046,   212,  1062,
     477,   514,   479,   516,   450,   327,   212,  3046,  1071,   180,
     517,   458,  1075,  1076,  1077,  2997,  4382,   514,   182,   516,
    3837,   286,   514,  3508,   516,  3007,   329,   327,  3010,  3011,
    3012,    75,    76,    77,    78,   429,   513,   431,    82,   429,
    2935,   431,  4744,   514,   513,   516,  2941,   514,  3030,   516,
     322,   514,  3034,   516,   514,  2935,   516,    85,   440,   121,
      88,  2941,   514,   470,   516,  3047,    89,   393,   276,  2935,
    3052,   514,   514,   516,   516,  2941,  3058,   105,   504,   505,
     506,   507,   508,   360,  3066,   113,   512,    75,    76,    77,
      78,   119,   137,   514,    82,   516,   514,   514,   516,   516,
     162,  1164,  1165,  4257,   477,   514,  1169,   516,  2823,   477,
     108,   479,  3874,  2935,  3876,   143,   513,   313,  3880,  2941,
     481,   514,  3104,   516,   186,  3107,   514,  3109,   516,  4449,
     313,   514,  3114,   516,  3116,   514,   513,   516,  4068,   201,
     514,   115,   516,   205,    75,    76,    77,    78,   115,  3131,
    3132,    82,   514,   445,   516,  3137,   341,    75,    76,    77,
      78,   224,   470,   225,    82,   514,   228,   516,   150,   514,
    3655,   516,  3657,   470,   358,   514,  3158,   516,   240,  3161,
     518,   212,  3164,    75,    76,    77,    78,   514,   212,   516,
      82,   514,   513,   516,  4228,   212,   212,   500,   501,   502,
     212,   504,   505,   506,   507,   508,   509,   514,   514,   516,
     516,   516,   514,   514,   516,   516,   514,   245,   516,   212,
     212,   249,  3204,  3985,  3986,   212,   514,  4805,   516,   514,
     514,   516,   516,   514,   514,   516,   516,  4815,   514,   514,
     516,   516,   270,   271,   514,   514,   516,   516,   481,  3231,
    3232,  3233,   514,   514,   516,   516,   318,   327,   514,   287,
     516,  2910,  2911,   514,   326,   516,  2915,   514,   514,   516,
     516,   212,   514,  3255,   516,   514,   514,   516,   516,  3764,
     514,  3263,   516,  3265,  3266,   313,   212,  4188,   316,  4190,
    1116,  4869,  1118,  3275,   327,   212,   212,   212,   426,   361,
    3384,   329,   513,   108,   332,   225,  2955,  2956,   286,   327,
     224,   224,   513,   513,   513,  3030,   224,   351,   513,   513,
     513,  4687,   513,  3643,  1387,   513,   513,   338,  1391,  1392,
     478,  1394,   513,   513,   513,   268,  3231,  3232,  3233,   513,
     513,   513,   108,   513,  3326,   513,  3476,  1410,   513,   516,
     513,  3231,  3232,  3233,   513,   513,   513,   513,   513,   513,
    4218,   513,   513,  3345,   163,  3231,  3232,  3233,   268,  3351,
     516,   270,   108,   224,  3473,  4695,  4696,   286,   325,   407,
     224,   323,   403,   506,   264,   394,   516,   179,  4966,  3371,
    3372,   303,  1455,   457,   516,   500,    14,   516,   513,   513,
     513,  4218,  3384,  3385,   436,   391,  2959,  3446,   515,  3231,
    3232,  3233,   391,   153,  1477,   391,  3455,  3399,   212,  3401,
    2973,   436,   436,   436,   327,  3641,   436,   395,   436,   436,
    4580,  3413,   436,  3415,   283,   436,   318,  3476,   457,  2992,
      71,  3657,   436,   327,    75,    76,    77,    78,    79,    80,
     254,    82,  4382,   323,  3007,   513,  3647,  3648,  3649,  3650,
     243,   436,   513,   436,  4435,  3476,   153,  3449,   516,   341,
     212,   174,   500,   501,   502,   458,   504,   505,   506,   507,
     508,   509,  3464,  3465,   512,   436,   458,  1550,   436,  3384,
     518,   436,   125,  3046,   331,   125,  3478,  1560,   436,   436,
     436,   436,   975,   114,  3384,  4600,  4682,   436,   114,   436,
    1573,   516,  3494,  3066,   391,   436,  3069,  4854,  3384,   327,
    4855,  4579,  3606,   996,   481,   998,  3508,  1000,  4586,  3511,
     436,   327,   270,  1006,  1007,  1008,   513,   477,   108,  1602,
     107,    97,  1605,  1606,   175,   467,  3528,  1610,  1611,  3531,
     513,   513,  4865,   327,  4867,   212,  1029,  1030,   313,   513,
    4880,   180,  3384,   458,   212,  3547,   294,   469,  3550,   323,
     313,   108,   224,   108,   513,  3557,   276,   392,   212,   458,
    4342,  3563,    71,  3565,   212,   515,   212,   458,  3570,  3571,
      79,    80,  3574,  3575,  3576,  3577,  3578,  3579,  3580,  3581,
    3582,  3583,   212,   212,    14,  3587,  3588,    96,   322,   516,
     436,   242,   317,  3595,   229,  4382,   513,   473,  3600,   513,
     434,   495,  3604,   305,  3606,   305,  3608,    88,   516,   436,
     403,  1694,   434,   237,   220,  4785,  3618,   513,   513,  3621,
     229,  3623,   500,   516,   243,   438,   514,   516,  5014,  3631,
    3632,  3633,  3634,   243,   513,   516,  3638,  3372,   266,  3641,
     405,   274,   328,   152,   516,    34,   514,   458,   514,   300,
    3385,    10,   303,  3655,   335,  3657,   125,  1150,   514,   436,
     436,   391,   152,   391,   513,   436,   458,  3669,   436,   274,
     274,   318,   436,  3675,  3676,   318,  1169,   513,  4183,   440,
    4747,   470,  4187,   393,   276,   327,   318,   115,   410,   326,
     436,  3606,   436,   202,  3859,   516,   391,   244,   374,   471,
     374,   400,   363,   436,   436,   270,  3606,   108,   270,   270,
     270,   458,   270,   458,   326,   500,   107,   436,  3720,   436,
    3606,  1214,  4800,   511,  3726,   212,   224,   511,   470,   226,
    3732,   500,  3836,   513,  3838,   323,  4614,   400,   212,   211,
     249,   477,   108,   394,   327,   254,  3748,   513,   327,   241,
     507,   224,   241,   108,   212,   327,   327,   224,   249,   400,
     481,  1844,  3764,   249,  3606,   249,   516,   516,    96,   235,
     302,   477,   125,   516,  4652,   327,   516,  4614,   440,   322,
     470,   426,   276,   514,   229,   514,   345,  4957,   514,   516,
    5147,   495,   495,  3795,   229,   337,   514,    90,   514,   514,
     514,   514,  3537,   514,  1296,   514,  4643,   474,    90,   514,
     474,   854,   456,   514,   436,  4652,   514,   860,  3922,   516,
     514,   514,   513,   125,   513,   513,   513,  1910,   871,  3831,
     514,   381,   517,   516,  3836,  3837,  3838,   346,   288,   464,
     500,   500,   493,   514,   514,   327,   252,   330,   327,   212,
     436,   436,   436,   260,   481,   513,   899,   513,   318,   436,
     903,   331,   212,   212,   252,   288,   346,   436,   346,   436,
     436,   914,  3874,  3446,  3876,   455,   385,   125,  3880,   125,
     436,   125,  3455,  3885,   296,   296,  3888,   296,   436,   391,
     436,  1974,   436,   313,   212,   436,   391,   436,  1391,  1392,
    4687,  1394,  3571,  3476,   403,  3574,  3575,  3576,  3577,  3578,
    3579,  3580,  3581,  3582,  3583,   424,  3831,  1410,   436,   436,
    3922,  3836,   436,  3838,   114,   436,   391,   391,   270,   270,
     270,  3831,  4437,   511,    85,  3604,  3836,    88,  3838,   513,
     449,   514,   303,   288,    98,  3831,   514,   500,   457,   445,
    3836,   460,  3838,   516,   105,   115,   173,   376,   326,   513,
    3962,  4020,   113,   514,  3633,  3634,   238,  1459,   119,   514,
     327,   108,   224,   436,  2057,   391,   516,  2060,   514,   516,
     210,   458,   458,  3985,  3986,   127,   391,  3989,   391,  3831,
    3992,   145,   143,   330,  3836,  4986,  3838,   210,   511,   270,
     203,   229,    88,  4062,   224,   135,   514,  3922,   514,   514,
     514,   229,   469,   513,   333,   474,   237,   159,   229,   328,
     174,   514,  3922,   498,  4026,  4027,  4028,   445,  4401,   224,
     108,   516,   458,   458,   436,  4401,  3922,   260,   436,   500,
     436,   195,   513,   436,   391,   445,   514,   391,   500,   436,
     436,  4249,   206,   125,   516,   224,   143,  4562,   514,   514,
     513,   173,  4567,   514,   513,   212,   514,  4572,  3641,  4071,
    4575,   514,   226,   215,   445,   514,   270,   231,  4243,   270,
    3922,   512,  3655,   477,  3657,  2168,   513,  4089,   274,   513,
     359,   513,   400,   224,   245,   516,   513,   481,   249,   514,
     255,   148,  3837,   516,  4982,   247,   428,   436,  4613,   513,
      85,   400,  1605,   234,   173,   514,   229,  1610,  1611,   270,
     271,  1164,  1165,   277,  4126,   270,   516,   270,  4293,   270,
     270,   514,   229,   513,  4136,  4137,   287,  4139,   514,   368,
     125,   283,  4144,  4145,   298,  4982,  4651,  4149,  4150,   475,
     475,   516,   514,  4155,  4156,   273,   514,  4159,   514,   513,
    4162,   513,   313,   336,   273,   316,  4225,   513,   125,   239,
     323,   313,   445,   500,   436,   514,   514,   229,   329,   514,
     477,  4183,   143,   254,   318,  4187,   318,   500,   212,    89,
     270,  1684,   516,  1686,  3929,  4700,   516,  4199,   436,   341,
     512,  2284,  4204,   231,   358,   458,   229,  4209,   249,   458,
     108,  1704,   198,   473,   477,   513,   477,   229,  1711,  1712,
     257,   513,   330,   229,   368,   513,   513,  5014,   463,   413,
     514,   385,   374,  4235,   514,   513,   378,   391,   108,   344,
     382,   273,   476,   397,   514,  4410,   388,   513,   327,   369,
    4252,  4756,   477,   395,   436,   514,   407,   127,   436,   513,
     224,   403,   513,   187,   318,   108,   297,   167,  4270,   514,
     412,   252,   426,   318,   428,  1768,   513,   359,   420,   211,
     513,   108,   514,  1776,   388,  4287,   513,   187,   514,   159,
     388,   445,   331,  3962,  4296,   500,   125,   125,  2183,   108,
     514,    98,   514,  2386,   513,   513,  4308,  4812,   458,   311,
     327,  4313,  2197,   428,   514,    82,   470,   400,  4320,  2402,
     137,  2404,   218,  2406,  1816,   359,   330,   137,   193,   462,
     472,    85,   368,  4068,   131,  1828,   463,  4401,  1831,  1832,
    4342,   513,   516,   108,   229,   215,   474,   144,   366,   500,
     501,   502,   224,   504,   505,   506,   507,   508,   509,   198,
     157,   477,   254,  2248,   327,  4367,   108,   327,   108,   125,
     108,   330,  4287,   387,   513,   330,   514,   247,   513,   185,
    4382,   456,    82,    94,   513,   105,   387,  4287,   514,   127,
     514,   513,   211,   359,   513,  4900,   373,  1239,   195,  4401,
    1892,  4287,  1233,  1211,  1874,  1898,   276,  2696,  3030,   206,
    2549,  3212,  3836,   283,  1611,  3368,  3921,  2617,  4872,  4685,
    2503,   159,  5014,  4740,  4426,  3983,  4744,  4726,  4428,   226,
    3138,  2811,  5085,  4613,   231,  4437,  5146,  5028,  5027,  5102,
    4923,  3142,  3975,   313,  2687,  4287,  2687,  4020,  3831,  3232,
    1975,  2681,  3436,  5151,  5220,  4960,  5212,  4721,  3384,  3371,
    4654,  5113,  1965,  4998,  5093,  1957,  4657,  1447,   187,  4071,
    4830,  1462,  4024,  2417,  3114,  4144,  4145,   215,  4213,  4026,
    4939,  5127,  3329,  4485,  5214,   108,  4401,   941,  1091,  4062,
    2313,  2070,  4009,  2314,  3046,  4226,  1405,  3730,  2794,  1106,
    4235,   298,  1639,  3047,   127,  4507,  2354,  1656,   378,   247,
    1657,  3058,   382,  2006,  3053,  1659,   127,  4519,   388,  2353,
    4174,  4523,  3657,  3074,  3066,   395,  4528,  4189,  2020,  4813,
    3655,  4596,   329,   403,  1664,  5040,   159,  4960,   276,  4959,
    3616,  3731,   412,  4545,  4546,   283,  5051,  4549,   159,  4783,
     420,  3608,  5076,  5068,  5077,  3050,  2973,  2881,  1096,  2971,
    4562,   358,   636,  2646,  2057,  4567,  3726,  2060,  3473,  2253,
    4572,  2654,  2746,  4575,  2008,   313,  5060,  2386,  4580,  4581,
      78,  4685,  1676,  5088,    95,  1340,    84,   382,  1187,  1670,
     101,    89,   215,  2362,   391,   977,  1458,  1167,  2394,  2402,
     397,  3024,   472,   400,   215,  4607,   476,  4609,  3737,  2395,
    4183,  4613,  4212,  1585,  4187,   126,  3738,  3704,  1167,   117,
    2807,   415,  2406,  2099,   247,  1674,     2,    -1,  2711,   426,
     141,  1009,  1391,    -1,    -1,   432,   247,    -1,    -1,    -1,
     378,  4643,    -1,    -1,   382,    -1,    -1,  4382,   445,  4651,
     388,  1694,  4225,   276,    -1,    -1,  2739,   395,    -1,    -1,
     283,   172,  2745,    -1,   162,   403,    -1,    -1,  2161,  2162,
      -1,  4730,   283,   470,   412,    -1,  2169,    -1,    -1,   190,
    2173,  2174,   420,  4685,    -1,  4687,   197,    -1,    -1,   200,
     313,    -1,    -1,    -1,    -1,  2188,    -1,  2190,  4700,  2782,
      -1,    -1,   313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     208,  5216,    -1,    -1,    -1,    -1,    -1,    -1,   216,  2212,
     218,  2214,    -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,
      -1,    -1,   230,    -1,   472,    -1,    95,    -1,   476,   477,
     251,    -1,   101,   254,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4756,   378,  4758,    -1,    -1,   382,
      -1,    -1,    -1,    -1,    -1,   388,    -1,   378,    -1,   380,
    4685,   382,   395,  2266,    -1,    -1,    -1,   388,  4780,  4781,
     403,  4783,   141,  4785,   395,  4685,    -1,    -1,   299,   412,
     301,    -1,   403,    -1,    -1,    -1,    -1,   420,    -1,  4685,
     311,   412,   313,    -1,    -1,    -1,  4808,    -1,    -1,   420,
    4812,    -1,   323,    -1,    -1,  4817,    -1,    -1,    -1,    -1,
     331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1871,   340,
     341,   190,    -1,    -1,    -1,    -1,    -1,  2330,   197,    -1,
      -1,   200,    -1,  4685,    -1,    -1,    -1,  4849,    -1,   472,
    4519,  4853,    -1,   476,  4589,  4857,  4858,    -1,    -1,  4528,
      -1,   472,  4921,   374,    -1,    -1,   377,   378,   379,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4545,  4546,    -1,    -1,
      -1,    -1,    -1,   381,    -1,    -1,    -1,    -1,    -1,  2382,
      -1,    -1,   403,    -1,    -1,   254,    -1,    -1,  4900,    -1,
      -1,    -1,    -1,   414,    -1,    -1,    -1,    -1,  4643,  2402,
      -1,  2404,    -1,  2406,    -1,    -1,    -1,  4919,   416,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1972,
      -1,    -1,  5168,    -1,  4849,    -1,    -1,  4939,    -1,    -1,
      -1,    -1,    -1,    -1,  4946,  1988,    -1,  3030,    -1,  4849,
     461,    -1,   311,    -1,   313,  4957,    -1,    -1,  4960,    -1,
      -1,    -1,    -1,  4849,   323,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   331,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   341,  2026,    -1,    -1,    -1,    -1,    -1,  4991,
      -1,    -1,    -1,    -1,  4567,    -1,    -1,    -1,    -1,  4572,
      -1,    -1,  4575,    -1,    -1,    -1,  2049,  4849,    -1,    -1,
      -1,    -1,  5014,    -1,    -1,   374,    -1,    -1,   377,   378,
      -1,    -1,    -1,    -1,    -1,  2910,  2911,    -1,    -1,  2521,
    2915,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5040,    -1,
      -1,    -1,    -1,    -1,   403,    -1,    -1,    -1,    -1,  5051,
    5127,    -1,  5127,    -1,    -1,  5114,  5127,    -1,  5127,  5163,
      -1,    -1,    -1,    -1,    -1,  5067,  5068,    -1,  5127,    -1,
    2955,  2956,    -1,    -1,    -1,    -1,  5078,    -1,  3161,    -1,
    2573,    -1,    -1,    -1,    -1,    -1,  5088,    -1,  2581,    -1,
    2583,  5168,    -1,  5168,    -1,    -1,   996,  5168,   998,  5168,
    1000,    -1,   461,    -1,    -1,    -1,  1006,    -1,  5212,  5168,
      -1,  4780,    -1,    -1,    -1,    -1,  5220,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5129,    -1,  1029,
    1030,    -1,    -1,    -1,    -1,    -1,    -1,  5214,    -1,  5214,
      -1,  5143,    -1,  5214,    -1,  5214,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3237,  5214,    -1,  4730,    -1,    -1,
      -1,  5163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2667,    -1,    -1,    -1,    -1,
    2673,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,    -1,
    3273,    85,    -1,    -1,    88,    79,    80,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,  5207,    -1,    -1,    -1,    -1,
    5212,   105,    -1,    -1,  5216,   109,    -1,    -1,  5220,   113,
      -1,   105,    -1,    -1,   108,   119,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    85,  4812,
      -1,    88,    -1,    -1,    -1,  3328,    -1,    -1,  5163,   143,
    1150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,  5163,  1164,  1165,   113,  3350,    -1,  1169,
    3353,  3354,   119,    -1,  3357,    -1,    -1,  5163,    -1,    -1,
    3363,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3372,
      -1,    -1,    -1,    -1,   188,  3378,   143,  5212,    -1,    -1,
      -1,    -1,  3385,    -1,    -1,  5220,    -1,    -1,    -1,    -1,
      -1,    -1,  5212,    -1,  1214,    -1,  3399,    -1,  3401,    -1,
    5220,  5163,    -1,    -1,    -1,    -1,  5212,    -1,    -1,    -1,
    2823,    -1,    -1,    -1,  5220,    -1,    -1,    -1,   836,    -1,
      -1,    -1,   840,  2386,    -1,    -1,    -1,    -1,  4921,  2841,
      -1,   245,    -1,    -1,  3437,   249,   854,    -1,   205,    -1,
      -1,   245,   860,    -1,    -1,   249,    -1,    -1,    -1,    -1,
    5212,    -1,    -1,   871,    -1,    -1,   270,   271,  5220,    -1,
    3463,  3464,    -1,  2426,    -1,    -1,   270,   271,  2431,    -1,
      -1,  2434,    -1,   287,    -1,    -1,    -1,    -1,   245,    -1,
      -1,   899,   249,   287,    -1,   903,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2456,    -1,    -1,   914,    -1,    -1,   313,
      -1,    -1,   316,   270,   271,    -1,    -1,    -1,  5163,   313,
      -1,    -1,   316,    -1,    -1,   329,    -1,    -1,   332,    -1,
     287,    -1,   940,    -1,    -1,   329,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,  2497,    -1,    -1,   955,    -1,    -1,
      -1,    -1,   960,    -1,    -1,    -1,    -1,    -1,    -1,   316,
      -1,  2514,   970,    -1,    -1,    -1,    -1,  5212,    -1,    -1,
      -1,    -1,   329,    -1,    -1,  5220,   984,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2539,    -1,    -1,    -1,
      -1,    -1,    -1,    78,    -1,    -1,    -1,    -1,    -1,    84,
    1410,    -1,    -1,   407,    89,    -1,    -1,    -1,    -1,    -1,
      -1,  2564,    -1,   407,    -1,  2568,    -1,    -1,    -1,    -1,
      -1,    -1,  3025,    -1,  3617,  3028,    -1,  3030,    -1,    -1,
      -1,  5114,   117,  2586,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5127,    -1,    -1,  2600,    -1,    -1,
     407,    -1,    -1,    -1,   458,    -1,    -1,    -1,    -1,    -1,
    2613,    -1,    -1,    -1,    -1,    -1,  1074,    -1,  1076,  2622,
    1078,    -1,    -1,    -1,    -1,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5168,    -1,    -1,    -1,  1097,
      -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   230,    -1,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,  1164,  1165,    -1,    -1,
      -1,    -1,  3164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3571,    -1,    -1,  3574,
    3575,  3576,  3577,  3578,  3579,  3580,  3581,  3582,  3583,    -1,
      -1,    -1,    -1,    -1,    -1,  1605,    -1,    -1,    -1,    -1,
    1610,  1611,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3604,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1239,    -1,    -1,    85,    -1,    -1,    88,  3633,  3634,
      -1,    -1,    -1,    -1,  3837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,
      -1,  3263,   113,  3265,    -1,    -1,    -1,  3860,   119,    -1,
    3863,    -1,  3865,    -1,    -1,    -1,  2829,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1694,    -1,    -1,    -1,    85,    -1,
      -1,    88,   143,    -1,    -1,    -1,   381,    -1,    -1,  2852,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   105,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,  3912,
      -1,    -1,   119,    -1,  3326,  3918,  3919,    -1,  3921,    -1,
      -1,   416,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    88,   143,    -1,  3941,  3351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1768,  3952,
    3953,  3954,  3955,    -1,  1372,    -1,  1776,    -1,    -1,  3372,
     113,    -1,    -1,    -1,  3377,  3378,   119,    -1,    -1,  1387,
      95,    -1,  3385,    -1,    -1,    -1,   101,    -1,    89,    -1,
      -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,   249,    -1,
     143,    -1,  1410,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3416,    -1,    -1,   117,    -1,  1828,   270,
     271,  1831,  1832,    -1,    -1,    -1,   141,    -1,    -1,    -1,
    4023,    -1,  1378,    -1,    -1,    -1,   287,    -1,  1446,    -1,
      -1,    -1,    -1,  1389,    -1,    -1,    -1,  3449,   245,    -1,
      -1,    -1,   249,  1461,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   162,   313,    -1,    -1,   316,  1474,    -1,    -1,  1477,
      -1,    -1,    -1,   270,   271,   190,  3478,    -1,   329,    -1,
      -1,   332,   197,    -1,    -1,   200,    -1,    -1,  1898,    -1,
     287,    -1,    -1,  4086,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,   249,   208,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   216,   313,   218,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   270,   271,   230,
      -1,    -1,   329,    -1,  3537,   332,    -1,    -1,    -1,   254,
      -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,  3550,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,
      -1,    -1,    -1,  3116,    -1,    -1,    -1,  3962,  3570,    -1,
      -1,    -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    95,
      -1,    -1,    -1,    -1,    -1,   101,   329,    -1,    -1,    -1,
      -1,    -1,    -1,  3595,  1602,    -1,   311,    -1,   313,    -1,
      -1,    -1,  1610,  1611,    -1,  3158,    -1,    -1,   323,    -1,
     407,    -1,    -1,  1621,    -1,    -1,   331,    -1,  4211,    -1,
    4213,  4214,    -1,    -1,    -1,   141,   341,    -1,    -1,  3631,
      -1,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,
      -1,    -1,  4235,    -1,    -1,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,   374,
      -1,    -1,   377,   378,   407,   516,  1674,  1675,  1676,    -1,
      -1,    -1,    -1,    -1,   190,    -1,    -1,   141,    -1,    -1,
      -1,   197,    -1,    -1,   200,    -1,  1694,    -1,   403,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3255,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,  3266,    -1,    -1,  1724,    -1,    -1,   516,
      -1,    -1,    -1,  1731,    -1,    -1,   190,    -1,    -1,    -1,
    1738,  3734,    -1,   197,    -1,    -1,   200,  1745,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   461,    -1,    -1,  4144,
    4145,   836,    -1,    -1,    -1,   840,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,   854,
    1778,    -1,  4365,  4366,    -1,   860,    -1,    -1,    95,    -1,
      -1,    -1,  4375,  4376,   101,    -1,   871,    -1,    -1,  4382,
     254,    -1,  3345,  4386,    -1,   311,    -1,   313,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,   323,    -1,  4402,
    4403,  4404,  4405,  4406,   899,   331,    -1,    -1,   903,   105,
      -1,    -1,    -1,    -1,   141,   341,    -1,   113,    -1,   914,
      -1,    -1,    -1,   119,  3837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   311,    -1,   313,
      -1,    -1,    -1,    -1,    -1,   940,  3859,   143,   374,   323,
      -1,   377,   378,  1871,  4457,  1873,    -1,   331,    -1,    -1,
     955,    -1,    -1,   190,    -1,   960,    -1,   341,    -1,    -1,
     197,    -1,    -1,   200,    -1,   970,    -1,   403,    -1,    -1,
      -1,  4484,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   984,
      95,    -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,    -1,
     374,    -1,    -1,   377,   378,  4508,  4509,  4510,  4511,    -1,
    2330,    -1,    -1,    -1,    -1,  3928,  3929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3937,    -1,    -1,   254,  3941,   403,
      -1,  3494,    -1,    -1,  1952,   461,   141,    -1,    -1,  3952,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3511,   245,
      -1,    -1,    -1,   249,  1972,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2382,    -1,    -1,    -1,  2386,    -1,  3531,    -1,
    1988,    -1,    -1,    -1,   270,   271,    -1,  3989,    -1,    -1,
      -1,  1076,  2402,    -1,   311,   190,   313,   461,    -1,    -1,
      -1,   287,   197,    -1,    -1,   200,   323,    -1,    -1,    -1,
      -1,    -1,  1097,    -1,   331,    -1,    -1,  2025,  2026,    -1,
      -1,    -1,    -1,    -1,   341,    -1,    -1,   313,  2036,    -1,
     316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2048,  2049,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,
    4643,    -1,    -1,    -1,    -1,    -1,    -1,   374,    -1,   254,
     377,   378,  2070,    -1,    -1,  4068,    -1,    -1,    -1,  2015,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2024,  1164,
    1165,    -1,  2028,    -1,    -1,  4678,   403,    -1,  2034,  2035,
      -1,    -1,    -1,    -1,  4687,    -1,    -1,    -1,  4691,    -1,
    4693,    95,    -1,    -1,  4697,  4698,  2052,   101,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   311,    -1,   313,    -1,
      -1,   407,    -1,    -1,  4519,    -1,    -1,    -1,   323,    -1,
      -1,    -1,    -1,  4528,    -1,   836,   331,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   461,    -1,   341,   141,  4150,    -1,
    4545,  4546,    -1,   854,    -1,    -1,    -1,    -1,    -1,   860,
      -1,    -1,    -1,  2573,    -1,    -1,    -1,    -1,    -1,    -1,
     871,  2581,    -1,  2583,    -1,    -1,    -1,    -1,    -1,   374,
      -1,    -1,   377,   378,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   190,    -1,   899,    -1,
      -1,    -1,   903,   197,    -1,    -1,   200,    -1,   403,    -1,
    4213,  2219,    -1,   914,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,    -1,    -1,    -1,    -1,   514,    -1,
      -1,    -1,  4235,    -1,    -1,    -1,    -1,    -1,    -1,   940,
    4243,    -1,  3795,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   955,    -1,    -1,    -1,    95,   960,
     254,    -1,    -1,    -1,   101,    -1,   461,    -1,  4270,   970,
      -1,    -1,    -1,    -1,    -1,   845,   846,    -1,    -1,   849,
    4873,   851,    -1,   984,    -1,    -1,    -1,  1372,    -1,    -1,
    4293,    -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,    -1,
     870,    -1,  1387,  2311,   141,    -1,    -1,    -1,  4311,  4312,
      -1,  4313,    -1,  4316,  4317,    -1,    -1,   311,    -1,   313,
     890,    -1,    -1,    -1,   894,  1410,    -1,    -1,    -1,   323,
      -1,    -1,  3885,    -1,    -1,  3888,    -1,   331,    -1,    -1,
      -1,   911,    -1,    -1,    -1,    -1,    -1,   341,    -1,    95,
      -1,    -1,    -1,   190,    -1,   101,    -1,  2365,    -1,  2367,
     197,  1446,    -1,   200,  2310,  4367,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1074,    -1,  1076,  1461,  1078,  2386,  4382,
     374,    -1,    -1,   377,   378,  4780,    -1,    -1,    -1,  1474,
      95,    -1,  1477,    -1,    -1,   141,   101,    -1,    -1,  4402,
    4403,  4404,  4405,  4406,    -1,    -1,    -1,  4410,    -1,   403,
      -1,    -1,    -1,  2823,    -1,    -1,    -1,   254,  2426,    -1,
      -1,  5014,  2430,  2431,    -1,    -1,  2434,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,  3992,
      -1,    -1,    -1,    -1,   190,    -1,    -1,    -1,  2456,    -1,
      -1,   197,    -1,    -1,   200,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1164,  1165,    -1,    -1,   461,    -1,    -1,
      -1,    -1,    -1,    -1,   311,    -1,   313,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   190,   323,    -1,    -1,  2497,
      -1,    -1,   197,    -1,   331,   200,    -1,    -1,    -1,    -1,
    2508,    -1,    -1,    -1,   341,    -1,  2514,  2515,   254,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1602,  4071,    -1,
      -1,  4523,    -1,    -1,    -1,  1610,  1611,    -1,    -1,    -1,
    2538,  2539,    -1,    -1,  2542,    -1,  1621,   374,  1239,    -1,
     377,   378,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   254,
      -1,    -1,    -1,    -1,    -1,    -1,  2564,    -1,    -1,    -1,
    2568,    -1,    -1,    -1,    -1,   311,   403,   313,    -1,    -1,
    5163,    -1,    -1,    -1,    -1,    -1,    -1,   323,  2586,    -1,
      -1,    -1,    -1,    -1,    -1,   331,  4589,    -1,    -1,  1674,
    1675,  1676,  2600,    -1,    -1,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2613,   311,    -1,   313,  1694,
      -1,    -1,    -1,    -1,  2622,    -1,    -1,    -1,   323,  5212,
    3030,    -1,    -1,    -1,   461,    -1,   331,  5220,   374,    -1,
      -1,   377,   378,    -1,    -1,    -1,   341,    -1,    -1,  1724,
    4643,    -1,    -1,    -1,    -1,    -1,  1731,  1217,  1218,    -1,
      -1,    -1,    -1,  1738,    -1,    -1,    -1,   403,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,   374,
      88,  1372,   377,   378,    -1,    -1,  2684,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1387,   105,    -1,    -1,
      85,    -1,    -1,    88,    -1,   113,    -1,    -1,   403,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1410,
     105,    -1,    -1,    -1,    -1,   461,    -1,    -1,   113,    -1,
    1290,    -1,    -1,    -1,   119,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2745,    -1,    -1,
      -1,  1311,  1312,    -1,    -1,  1446,    -1,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,  4308,   461,    -1,    -1,    -1,
    1461,  1331,    -1,    -1,    -1,    -1,    -1,  4320,    -1,    -1,
      -1,    -1,    85,  1474,  2782,    88,  1477,    -1,    -1,  4781,
      -1,    -1,    -1,    -1,    -1,    -1,  1871,    -1,    -1,    -1,
      -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,  1368,  1369,
     113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,
      -1,    -1,  2758,    -1,    -1,  4817,    -1,    -1,    -1,    -1,
      -1,  2829,    -1,    -1,    -1,    -1,    -1,   245,  2774,  2775,
     143,   249,  2778,    -1,    -1,    -1,    -1,    -1,  2784,    -1,
      -1,    -1,    -1,    -1,  2852,    -1,    -1,    -1,    -1,    -1,
     245,  4853,   270,   271,   249,  4857,  4858,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1952,    -1,   287,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1972,    -1,    -1,
      -1,    -1,   287,    -1,    -1,   313,    -1,    -1,   316,    -1,
      -1,  1602,    -1,  1988,    -1,    -1,    -1,    -1,  2854,  1610,
    1611,   329,    -1,    -1,   332,    -1,    -1,    -1,   313,    -1,
    1621,   316,    -1,    -1,    -1,    -1,    -1,  2935,    -1,    -1,
      -1,    -1,   245,  2941,   329,    -1,   249,   332,    -1,    -1,
    2025,  2026,    -1,  4946,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2036,    -1,    -1,  4507,    -1,    -1,   270,   271,    -1,
      -1,    -1,  3372,  2048,  2049,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1674,   287,  3385,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,  2070,    -1,    -1,    -1,   407,
      -1,    -1,    -1,  1694,    -1,    -1,    -1,    -1,    -1,    -1,
     313,    -1,    -1,   316,    -1,   113,    -1,    -1,    -1,    -1,
      -1,   119,   407,    -1,    -1,    -1,   329,    -1,    85,   332,
      -1,    88,  3030,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   143,    -1,  1738,   105,    -1,
      -1,    -1,    -1,    -1,  1745,    -1,   113,    -1,    -1,    -1,
      -1,    -1,   119,    -1,  4607,    -1,  4609,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   143,  1778,    -1,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,   407,    -1,   514,   205,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   500,   501,   502,  3116,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,   514,
      -1,    -1,    -1,  3131,  3132,    -1,    -1,  3537,    -1,    -1,
      -1,    -1,    -1,    -1,  2219,    -1,    -1,   245,    95,    -1,
      -1,   249,    -1,    -1,   101,    -1,    -1,    -1,    -1,    -1,
    3158,    -1,    -1,  3161,    -1,    -1,    -1,    -1,    -1,    -1,
    5163,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
    1871,    -1,  1873,    -1,    -1,    -1,    -1,    -1,   245,   287,
      -1,    -1,   249,    -1,   141,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,   512,
      -1,  3147,    -1,   270,   271,    -1,    -1,    -1,   316,  5212,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5220,    -1,    -1,
     287,   329,    -1,  3231,  3232,  3233,  2311,    -1,    -1,    -1,
    1800,    -1,    -1,   190,    -1,    -1,    -1,    -1,    -1,    -1,
     197,    -1,    -1,   200,    -1,    -1,   313,  3255,    -1,   316,
      -1,  1952,    -1,    -1,    -1,    -1,    -1,    -1,  3266,    -1,
      -1,    -1,   329,    -1,    -1,   332,    -1,  3275,    -1,    -1,
      -1,  1972,    -1,  3219,    -1,  3221,    -1,    -1,    -1,    -1,
    2365,    -1,  2367,    -1,    -1,    -1,    -1,  1988,  1858,  1859,
    1860,  1861,    -1,    -1,    -1,    -1,   160,   254,    -1,   407,
      -1,  2386,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2025,  2026,    -1,    -1,    -1,    -1,
    1900,  1901,    -1,    -1,    -1,  2036,  1906,  3345,    -1,    -1,
     407,  2426,    -1,   207,    -1,  2430,  2431,  2048,  2049,  2434,
      -1,    -1,    -1,    -1,   311,   219,   313,    -1,    -1,  1296,
     224,    -1,    -1,    -1,    -1,   229,   323,    -1,    -1,  2070,
     234,  2456,    -1,   237,   331,   239,  3384,    -1,    -1,  3325,
      -1,  1951,    -1,    -1,   341,  3331,    -1,    -1,    -1,    -1,
      -1,  3399,    -1,  3401,    -1,    -1,   504,   505,   506,   507,
     508,   509,   266,    -1,    -1,  3413,    -1,  3415,  1978,  1979,
    1980,  1981,  2497,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     377,   378,    -1,    -1,   288,    -1,    -1,  3837,    -1,  2514,
    2515,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,   403,   514,    -1,  3859,
      -1,    -1,    -1,  2538,  2539,    -1,  3464,  2542,    -1,    -1,
      -1,   325,    -1,    -1,    -1,    -1,    -1,    -1,  2038,   333,
      -1,    85,    -1,    -1,    88,    -1,    -1,  2047,    -1,  2564,
      -1,    -1,    -1,  2568,  2054,    -1,  3494,    -1,    -1,    -1,
      -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,
      -1,  2586,    -1,  3511,   461,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2600,    -1,   381,  2219,    -1,
    3528,    -1,  1459,  3531,    -1,  5078,    -1,    -1,  2613,   143,
      -1,  3477,    -1,    -1,    -1,  3481,  3482,  2622,  3484,    -1,
    3486,  3487,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   426,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,  3530,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,    -1,    -1,  3606,  2684,
      -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
     474,    -1,   476,   477,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,   143,    -1,    85,   249,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   511,    -1,    -1,
     514,   515,  2222,   517,   105,    -1,   270,   271,  4068,    -1,
    2745,    -1,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2386,    -1,    -1,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,  2782,    -1,   313,
      -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,  2426,    -1,    -1,    -1,  2430,
    2431,    -1,    -1,  2434,   245,    -1,    -1,    -1,   249,    -1,
      -1,    -1,    -1,    -1,  2829,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2456,    -1,    -1,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,  2852,    -1,    -1,
      -1,    -1,    -1,   224,    -1,    -1,   287,    -1,   229,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3795,    -1,    -1,
      -1,    -1,    -1,   407,   245,  1732,  2497,    -1,   249,    -1,
      -1,    -1,   313,    -1,    -1,   316,    -1,  2508,    -1,    -1,
      -1,    -1,    -1,  2514,  2515,    -1,    -1,    -1,   329,   270,
     271,   332,    -1,  3831,    -1,    -1,    -1,    -1,  3836,    -1,
    3838,    -1,    -1,  4243,    -1,    -1,   287,  2538,  2539,    -1,
      -1,  2542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1786,
    2935,    -1,    -1,    -1,    -1,    -1,  2941,    -1,    -1,    -1,
      -1,    -1,   313,  2564,    -1,   316,  3874,  2568,  3876,    -1,
      -1,    -1,  3880,    -1,    -1,    -1,    -1,  3885,   329,  1816,
    3888,   332,    -1,  4293,    -1,  2586,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,   407,    -1,    -1,  2600,
     514,    -1,  2472,  2473,  2474,    -1,    -1,    -1,    -1,    -1,
      -1,  2481,  2613,  2483,  3922,  2485,  2486,    -1,    -1,    -1,
      -1,  2622,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   105,  3030,    -1,    -1,    -1,    -1,
      -1,    -1,   113,    -1,    -1,  1892,   407,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4382,    -1,  1911,    -1,    -1,  3985,  3986,    -1,
      -1,    -1,   143,  2684,  3992,    -1,    -1,    -1,    -1,   500,
     501,   502,  1929,   504,   505,   506,   507,   508,   509,    -1,
    4410,    -1,    -1,   514,    -1,    -1,    -1,    -1,    -1,  2579,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1957,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3116,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2745,    -1,  3131,  3132,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,  4071,    -1,    -1,    -1,    -1,    -1,  2639,
      -1,    -1,    -1,  3158,    -1,    -1,  3161,  2647,    -1,    -1,
      -1,  2782,  2652,  2020,   245,    -1,    -1,    -1,   249,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4049,    -1,    -1,    -1,    -1,    -1,   270,
     271,  4057,  4058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,    -1,  2829,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3231,  3232,  3233,    -1,
      -1,  2852,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2733,    -1,    -1,    -1,    -1,   329,    -1,
    3255,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3275,    -1,    -1,    -1,    -1,  2765,    85,  2767,    -1,    88,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,   105,    -1,  4643,  2935,    -1,    -1,    -1,    -1,   113,
    2941,    -1,    -1,    -1,    -1,   119,   407,    -1,    -1,    -1,
      85,    -1,    -1,    88,   143,    -1,    -1,    -1,    -1,    -1,
    3345,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
     105,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   113,  4287,
    2217,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3384,
    4308,    -1,    -1,  2873,    -1,    -1,    -1,    -1,   143,    -1,
      -1,    -1,  4320,    -1,  3399,    -1,  3401,  2254,    -1,    -1,
      -1,    -1,  4268,    -1,    -1,    -1,    -1,    -1,  3413,  3030,
    3415,    -1,    -1,    -1,  4342,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,  4297,  4298,   514,    -1,    -1,   245,    -1,    -1,    -1,
     249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,  4382,   249,    -1,    -1,    -1,  3464,
      -1,   270,   271,    -1,    -1,    -1,    -1,    -1,   223,    -1,
      -1,    -1,    -1,  4401,    -1,    -1,   270,   271,   287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3494,
     245,    -1,    -1,   287,   249,  3116,    -1,    -1,    -1,    -1,
      -1,    -1,  4368,  4369,    -1,    -1,  3511,   316,    -1,    -1,
    3131,  3132,    -1,    -1,    -1,   270,   271,    -1,    -1,   313,
     329,    -1,   316,  3528,    -1,    -1,  3531,    -1,    -1,    -1,
      -1,    -1,   287,    -1,    -1,   329,    -1,  3158,   332,    -1,
    3161,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2412,    -1,    -1,   313,  2416,
    2417,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,  4507,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   350,    -1,    -1,   407,    -1,
      -1,  3606,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3231,  3232,  3233,   407,    -1,    -1,  4946,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4492,    -1,  4494,  4495,
      -1,    -1,    -1,    -1,  3255,    -1,    -1,    -1,    -1,    -1,
    4506,    -1,    -1,    -1,    -1,  3266,    -1,    -1,    -1,    -1,
      -1,    -1,   407,    -1,  3275,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2521,    -1,    94,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4607,
    3170,  4609,  3172,  3173,  3174,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,    -1,   132,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
     514,    -1,    -1,    -1,  3345,   153,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   171,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,   184,  4685,    -1,  4687,
      -1,    -1,    -1,  3384,   192,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3399,   207,
    3401,   209,    -1,    -1,    -1,   213,    -1,    -1,    -1,    -1,
    3795,    -1,  3413,    -1,  3415,   223,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   231,    85,    -1,    -1,    88,    -1,    -1,
    2667,    95,    -1,    -1,    -1,    -1,    -1,   101,    -1,    -1,
      -1,    -1,    -1,    -1,   105,    -1,  3831,    -1,    -1,    -1,
      -1,  3836,   113,  3838,    -1,    -1,    -1,    -1,   119,    -1,
      -1,    -1,   126,  3464,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   141,    -1,    -1,
      -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,  3874,
      -1,  3876,    -1,  3494,    -1,  3880,    -1,    -1,    -1,    -1,
    3885,     5,    -1,  3888,    -1,  2742,    -1,    -1,   172,    -1,
    3511,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    25,    -1,    -1,    -1,    -1,   190,  3528,  4774,    -1,
    3531,    35,    36,   197,    -1,    -1,   200,  3922,    -1,    43,
      44,  4849,    -1,    47,    48,    49,    50,    51,    52,    53,
      54,    55,    56,    57,    58,    59,    60,    61,    62,    63,
      64,    65,    66,    67,    68,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,   245,    -1,  4832,   251,   249,    -1,
     254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3985,  3986,    -1,    -1,  2841,  3606,    -1,  3992,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3488,    -1,
      -1,  3491,    -1,    -1,  4870,    -1,   287,    -1,    -1,    -1,
     134,    -1,    -1,    -1,    -1,   299,    -1,   301,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   311,    -1,   313,
      -1,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,   323,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   331,   329,  3539,
      -1,   332,    -1,    -1,    -1,    -1,   340,   341,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4071,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,  5014,    -1,    -1,    -1,
     374,    -1,    -1,   377,   378,   379,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   242,   403,
      -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,
     414,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
     264,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5078,   105,    -1,  3010,  3011,  3012,    -1,    -1,    -1,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3795,    -1,   300,   461,    -1,   303,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,
      -1,    -1,    -1,    -1,   318,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   636,    -1,
    3831,    -1,    -1,    -1,    -1,  3836,    -1,  3838,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,    -1,
      -1,    -1,    -1,   514,    -1,  5163,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3104,    -1,    -1,
    3107,    -1,  3109,  3874,    -1,  3876,    -1,  3114,    -1,  3880,
      -1,    -1,    -1,    -1,  3885,    -1,    -1,  3888,    -1,    -1,
     394,    -1,    -1,    -1,    -1,  5141,    -1,    -1,    -1,    -1,
      -1,    -1,  4287,    -1,  5212,    -1,    -1,    -1,    -1,    -1,
      -1,   245,  5220,    -1,    -1,   249,  3786,  3787,  3788,  3789,
      -1,  3922,    -1,  4308,    -1,    -1,    -1,  3164,    -1,    -1,
      -1,    -1,   436,    -1,    -1,  4320,   270,   271,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,   287,    -1,    -1,    -1,  4342,    -1,    -1,
      -1,   465,    -1,    -1,    -1,    -1,    -1,  3204,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   313,
      -1,    -1,   316,    -1,  3985,  3986,    -1,    -1,    -1,   493,
      -1,  3992,    -1,    -1,    -1,   329,   500,  4382,   332,    -1,
     504,   505,   506,   507,   508,    -1,    -1,   511,   512,   513,
      -1,    -1,    -1,    -1,   518,   519,  4401,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3263,    -1,  3265,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   844,   845,   846,   847,
      -1,   849,    -1,   851,    -1,   853,    -1,   855,    -1,    -1,
     858,    -1,    -1,    -1,    -1,   863,    -1,    -1,   866,    -1,
      -1,    -1,   870,    -1,   872,    -1,    -1,    -1,    -1,    -1,
    4071,    -1,   880,   407,    -1,    -1,    -1,   885,    -1,   887,
      -1,    -1,   890,    -1,   892,    -1,   894,    -1,    -1,  3326,
    3960,    -1,    -1,   901,    -1,    -1,   904,    -1,    -1,    -1,
      -1,    -1,    -1,   911,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3351,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4507,    85,    -1,    -1,    88,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3372,   944,    -1,    -1,    -1,
      -1,   949,    -1,   105,    -1,    -1,   954,    -1,  3385,    -1,
     958,   113,    -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   973,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,
     514,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    88,    -1,    -1,
      -1,    -1,  3449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1028,    -1,  4607,    -1,  4609,    -1,    -1,    85,  3465,    -1,
      88,    -1,   113,  1041,  1042,    -1,    -1,    -1,   119,    -1,
      -1,  3478,    -1,    -1,    -1,    -1,    -1,   105,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
    1068,   119,   143,    -1,  1072,  1073,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,  1092,   143,  4287,   249,  1096,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1104,    -1,    -1,    -1,
    4685,    -1,  4687,    -1,    -1,    -1,  1114,  4308,   270,   271,
      -1,    -1,    -1,  3550,    -1,    -1,    -1,    -1,  1126,  4320,
      -1,    -1,    -1,    -1,   205,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3570,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4342,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,  3595,    -1,
      -1,    -1,    -1,    -1,   245,    -1,    -1,   329,   249,    -1,
     332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4382,    -1,    -1,    -1,    -1,    -1,   245,    -1,   270,
     271,   249,    -1,    -1,  3631,    -1,    -1,    -1,    -1,    -1,
    1208,    -1,    -1,    -1,    -1,    -1,   287,  1215,    -1,  1217,
    1218,    -1,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
      -1,    -1,    -1,    -1,    -1,   316,    -1,    -1,    -1,  3676,
      -1,    -1,    -1,    -1,    -1,   407,    -1,    -1,   329,    -1,
      -1,    -1,    -1,    -1,  1262,   313,    -1,    -1,   316,    -1,
      -1,    -1,    -1,    -1,  4849,  1273,    -1,    -1,    -1,  1277,
      -1,   329,    -1,    -1,   332,    -1,    -1,    -1,  4348,    -1,
      -1,    -1,  1290,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4362,    -1,    -1,    -1,    -1,  1305,    -1,    -1,
      -1,    -1,    -1,  1311,  1312,    -1,  4507,    -1,    -1,    -1,
      -1,  3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1327,
    1328,  1329,    -1,  1331,    -1,  1333,   407,    -1,    -1,  1337,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,
     502,    -1,   504,   505,   506,   507,   508,   509,    -1,   407,
      -1,    -1,   514,    -1,    -1,    -1,    85,    -1,  1366,    88,
    1368,  1369,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,    -1,
     119,  4461,    -1,    -1,  1402,    -1,    -1,    -1,    -1,    -1,
    3837,    -1,    -1,    -1,    -1,    -1,  4607,    -1,  4609,    -1,
      -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,   506,   507,   508,   509,  5014,
      -1,    -1,  1440,  1441,    -1,    -1,    -1,  1445,    -1,  1447,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,    -1,   514,    -1,    -1,    -1,
      -1,    -1,  1470,    -1,    -1,  1473,    85,    -1,  1476,    88,
      -1,    -1,    -1,    -1,    -1,    -1,   205,    -1,    -1,    -1,
    1488,    -1,    -1,    -1,  4685,    -1,  4687,    -1,    -1,    -1,
      -1,    -1,    -1,  5078,   113,    -1,    -1,    -1,    -1,    -1,
     119,    -1,    85,    -1,    -1,    88,    -1,    -1,    -1,  1517,
      -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,
     249,    -1,   105,    -1,   143,    -1,    -1,    -1,    -1,    -1,
     113,    -1,    -1,    -1,    -1,    -1,   119,  1545,  1546,    -1,
    1548,   270,   271,    -1,    -1,  4615,  4616,  4617,    -1,    -1,
      -1,    -1,  3989,    -1,    -1,    -1,    -1,    -1,   287,  1567,
     143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5163,    -1,
    1588,  1589,    -1,    -1,    -1,    -1,   205,   316,    -1,  4026,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     329,    -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,  1617,
      -1,    -1,  1620,    -1,    -1,    -1,   110,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,  5212,    -1,    -1,
     249,    -1,    -1,    -1,    -1,  5220,    -1,   131,    -1,    -1,
      -1,  1649,    -1,    -1,    -1,  1653,  1654,    -1,  4849,    -1,
     144,   270,   271,    -1,    -1,    -1,  1664,  1665,  1666,   153,
      -1,    -1,   245,   157,    -1,    -1,   249,    -1,   287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,
     174,    -1,    -1,    -1,  1692,  4755,   180,   270,   271,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,    -1,    -1,
      -1,   195,  4139,    -1,   287,    -1,    -1,    -1,    -1,    -1,
     329,    -1,   206,  4150,    -1,    -1,    -1,    -1,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     313,    -1,   226,   316,    -1,    -1,    -1,    -1,    -1,   233,
      -1,    -1,    -1,   237,    -1,    -1,   329,    -1,    -1,   332,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,  4199,    -1,    -1,    -1,    -1,  4204,    -1,  4839,
      -1,    -1,  4209,    -1,    -1,   504,   505,   506,   507,   508,
     509,    -1,  1790,  1791,    -1,    -1,    -1,    -1,   407,  1797,
      -1,    -1,  1800,    -1,    -1,    -1,  4866,   291,  4868,    -1,
      -1,    -1,    -1,    -1,   298,    -1,    -1,    -1,    -1,    -1,
    1818,    -1,    -1,  5014,    -1,    -1,  1824,    -1,    -1,  1827,
      -1,    -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4270,    -1,   329,    85,    -1,   332,    88,
      -1,  1849,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1858,  1859,  1860,  1861,  1862,    -1,   105,    -1,    -1,  4296,
      -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,  1876,    -1,
     119,    -1,    -1,   367,    -1,    -1,  4313,  5078,    -1,    -1,
    1888,    -1,  1890,    -1,    -1,   504,   505,   506,   507,   508,
     509,   385,  1900,  1901,   143,    -1,    -1,   391,  1906,    -1,
      -1,    -1,    -1,   397,    -1,    -1,   400,    -1,    -1,    -1,
    4980,    -1,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,    -1,    -1,    -1,
    4367,   514,   426,    -1,   428,   429,    -1,   431,   432,    -1,
      -1,    -1,    -1,  1951,    -1,    -1,   440,    -1,    -1,    -1,
      -1,   445,    -1,    -1,    -1,    -1,    -1,   451,    -1,    -1,
     454,    -1,  5163,   457,    -1,  5035,    -1,    -1,    -1,    -1,
    1978,  1979,  1980,  1981,    -1,    -1,   470,    -1,    -1,    -1,
      -1,    -1,  1990,    -1,    -1,    -1,    -1,    -1,  1996,    -1,
      -1,  1999,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,
     249,    -1,    -1,    -1,    -1,    -1,  2014,    -1,    -1,    -1,
      -1,  5212,    -1,  2021,    -1,  2023,    -1,    -1,    -1,  5220,
      -1,   270,   271,    -1,    -1,  2033,    -1,  5097,    -1,    -1,
    2038,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,  2047,
      -1,    -1,    -1,    -1,    -1,  2053,  2054,    -1,  4485,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2067,
      -1,    -1,    -1,    -1,   313,    -1,    -1,   316,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5148,    -1,
     329,    -1,    -1,   332,    85,    -1,  4523,    88,    -1,    -1,
      -1,    -1,    -1,  2101,    -1,    -1,    -1,    -1,    -1,    -1,
    2108,    -1,  2110,    -1,   105,    -1,  2114,  2115,    -1,  2117,
      -1,    -1,   113,    -1,    -1,  2123,    -1,    -1,   119,    -1,
      -1,    -1,    -1,    -1,    -1,  2133,    -1,    -1,    -1,    -1,
      -1,    -1,  2140,  2141,    -1,    -1,  2144,    -1,    -1,    -1,
    2148,  2149,   143,    -1,    -1,    -1,    -1,    -1,  2156,    -1,
      -1,  2159,    -1,    -1,    -1,  2163,    -1,    -1,   407,    -1,
      -1,    -1,    -1,  2171,  2172,    -1,    -1,    -1,    -1,    -1,
      -1,  2179,    -1,  2181,  2182,  2183,  2184,  2185,    -1,    -1,
      -1,    -1,    -1,    -1,  2192,  2193,    -1,  2195,    -1,  2197,
    2198,    -1,    -1,  2201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4643,    -1,    -1,    -1,
    2218,    -1,    -1,    -1,  2222,  2223,    -1,    -1,    -1,  2227,
      -1,    -1,    -1,  2231,    -1,  2233,  2234,  2235,  2236,  2237,
    2238,  2239,  2240,  2241,    -1,  2243,    -1,    -1,    -1,    -1,
      -1,    -1,  2250,    -1,   245,  2253,  2254,    -1,   249,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,    -1,    -1,   160,    -1,   514,    -1,  2275,    -1,   270,
     271,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   287,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2312,    -1,  2314,    -1,  2316,    -1,
     207,    -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,
      -1,  4758,   219,    -1,    -1,    -1,    -1,   224,   329,    -1,
      -1,   332,   229,    -1,    -1,    -1,    -1,   234,    -1,    -1,
     237,    -1,   239,  2351,  4781,    -1,   347,    -1,    -1,  2357,
      85,  2359,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   266,
     105,    -1,    -1,   108,    -1,    -1,    -1,    -1,   113,    -1,
    4817,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,    -1,
      -1,   288,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   407,    -1,   143,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4853,    -1,    -1,    -1,
    4857,  4858,    -1,    -1,    -1,    -1,    -1,  2435,   325,    -1,
      -1,    -1,  2440,    -1,  2442,    -1,   333,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2470,    -1,  2472,  2473,  2474,    -1,    -1,  2477,
      -1,  2479,    -1,  2481,    -1,  2483,    -1,  2485,  2486,    -1,
      -1,  2489,    -1,    -1,   381,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   500,
     501,   502,  4939,   504,   505,   506,   507,   508,   509,  2517,
     245,    -1,    -1,    -1,   249,    -1,  2524,    -1,    -1,    -1,
      -1,  2529,    -1,    -1,    -1,    -1,    -1,  2535,    -1,   426,
      -1,    -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,
      -1,    -1,    -1,  2551,    -1,    -1,    -1,  2555,  2556,    -1,
      -1,    -1,   287,   450,  2562,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2579,    -1,    -1,    -1,    -1,    -1,   474,   313,   476,
     477,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,    -1,
      -1,  2609,    -1,  2611,  2612,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   511,    -1,    -1,   514,   515,    -1,
     517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2639,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2647,
      -1,    -1,    -1,    -1,  2652,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2665,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2689,    -1,    -1,  2692,    -1,  2694,    -1,  2696,    -1,
      -1,  2699,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2725,    -1,    -1,
      -1,    -1,    -1,    -1,   855,  2733,  2734,    -1,    -1,    -1,
      -1,    -1,   863,    -1,    -1,    -1,    -1,    -1,  2746,    -1,
      -1,   872,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   880,
      -1,    -1,    -1,    -1,   885,  2763,    -1,  2765,  2766,  2767,
    2768,    -1,    -1,    -1,    -1,   500,   501,   502,     5,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,    25,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
      -1,    -1,    -1,  2811,    41,    -1,    43,    44,    -1,    -1,
      47,    48,    49,    50,    51,    52,    53,    54,    55,    56,
      57,    58,    59,    60,    61,    62,    63,    64,    65,    66,
      67,    68,    69,    70,    71,    -1,    73,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,  2856,    86,
      -1,    -1,    -1,    -1,  2862,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2873,    -1,    -1,    -1,    -1,
      85,  2879,  2880,    88,    -1,    -1,    -1,  2885,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,    -1,    -1,    -1,   134,   113,    -1,
      -1,    -1,  2910,  2911,   119,    -1,    -1,  2915,    -1,    -1,
    1041,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,  2927,
    2928,  2929,  2930,    -1,    -1,    -1,    -1,    -1,   143,    -1,
      -1,   105,  2940,    -1,   108,  2943,    -1,  2945,  2946,   113,
      -1,    -1,  1073,    -1,    -1,   119,    -1,  2955,  2956,    -1,
      -1,  2959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1092,    -1,    -1,  2972,    -1,  2974,   204,  2976,   143,
    2978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1114,    -1,   222,    -1,    -1,    -1,  2997,
      -1,    -1,    -1,  3001,    -1,    -1,    -1,    -1,    -1,  3007,
      -1,    -1,  3010,  3011,  3012,   242,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    88,    -1,    -1,    -1,    -1,  3034,   264,    -1,    -1,
     245,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,  3047,
      -1,    -1,    -1,    -1,  3052,    -1,   113,    -1,    -1,    -1,
    3058,    -1,   119,    -1,    -1,   270,   271,    -1,  3066,    -1,
      -1,  3069,    -1,   300,    -1,  3073,   303,    -1,    -1,    -1,
      -1,   245,   287,    -1,    -1,   249,   143,    -1,    -1,    -1,
      -1,   318,    -1,    -1,  1215,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,   313,    -1,
      -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,   329,    -1,    -1,   332,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3137,
      -1,  3139,    -1,    -1,    -1,    -1,  3144,   352,   205,   313,
      -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,    -1,   394,   332,    -1,
      -1,    -1,  3170,    -1,  3172,  3173,  3174,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1305,    -1,    -1,    -1,   245,    -1,
      -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   407,    -1,    -1,    -1,  1327,  1328,  1329,   436,
      -1,    -1,    -1,   270,   271,    -1,   421,    -1,    -1,    -1,
      -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,
     287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   316,
      -1,    -1,    -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,
      -1,    -1,   329,   500,    -1,    -1,    -1,   504,   505,   506,
     507,   508,    -1,    -1,   511,   512,   513,   514,    -1,   516,
     517,   518,   519,   520,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1445,   117,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,
     504,   505,   506,   507,   508,   509,    -1,   105,    -1,    -1,
     407,    -1,  1473,    -1,    -1,   113,    -1,  3355,  3356,    -1,
      -1,   119,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3378,    -1,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3405,  3406,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   208,    -1,    -1,    -1,
      -1,    -1,    -1,  3421,   216,    -1,   218,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3434,  3435,   230,    -1,
      -1,    -1,    -1,    -1,    -1,  3443,  3444,   504,   505,   506,
     507,   508,   509,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3458,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   229,    -1,    -1,    -1,  3473,    -1,    85,    -1,    -1,
      88,    -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,
    3488,   249,    -1,  3491,    -1,    -1,  1617,   105,    -1,    -1,
     108,    -1,    -1,    -1,    -1,   113,    -1,    -1,    -1,    -1,
    3508,   119,   270,   271,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   287,
      -1,  3529,    -1,    -1,    -1,   143,    -1,    -1,    -1,    -1,
      -1,  3539,    -1,    -1,  1665,    -1,    -1,    -1,    -1,  3547,
      -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,   316,  3557,
      -1,    -1,    -1,    -1,    -1,  3563,    -1,  3565,    -1,    -1,
      -1,   329,    -1,  3571,   332,    -1,  3574,  3575,  3576,  3577,
    3578,  3579,  3580,  3581,  3582,  3583,    -1,    -1,    -1,  3587,
    3588,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3600,    -1,    -1,    -1,  3604,    -1,    -1,    -1,
    3608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3618,    -1,    -1,  3621,    -1,  3623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3632,  3633,  3634,   245,    -1,    -1,
    3638,   249,    -1,  3641,    -1,    -1,    -1,  3645,    -1,   407,
      -1,    -1,    -1,    -1,  3652,  3653,  3654,  3655,    -1,  3657,
    3658,    -1,   270,   271,  3662,  3663,    -1,    -1,    -1,  1790,
      -1,  3669,    -1,    -1,    -1,    -1,  1797,  3675,  3676,   287,
      -1,    85,    -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   105,    -1,  1824,   108,   313,  1827,    -1,   316,   113,
      -1,    -1,    -1,    -1,    -1,   119,    -1,    -1,    -1,    -1,
      -1,   329,  3720,    -1,   332,    -1,    -1,    -1,  3726,    -1,
      -1,    -1,  3730,    -1,  3732,    -1,    -1,    -1,    -1,   143,
      -1,  1862,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,    -1,  1876,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3764,  3765,  3766,  1890,
    3768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3786,  3787,
    3788,  3789,    -1,    85,    -1,    -1,    88,    -1,    -1,   407,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   105,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   113,    -1,  3821,    -1,    -1,    -1,   119,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,
      -1,   143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   270,   271,    -1,  1990,
      -1,    -1,    -1,    -1,    -1,  1996,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   500,   501,   502,    -1,   504,   505,   506,   507,
     508,   509,    -1,    -1,  3902,    -1,    -1,    -1,    -1,   313,
      -1,    -1,   316,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3941,    -1,    -1,  2067,    -1,    -1,    -1,
      -1,  3949,    -1,   245,    -1,    -1,    -1,   249,    -1,    -1,
      -1,    -1,  3960,    -1,  3962,    -1,    -1,    -1,    -1,    -1,
    3968,    -1,    -1,    -1,    -1,    -1,  3974,    -1,   270,   271,
      -1,    -1,    -1,    -1,    -1,  3983,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2114,  2115,   287,    -1,  3995,    -1,    -1,
      -1,    -1,    -1,   407,    -1,    -1,    -1,  4005,    -1,    -1,
      -1,    -1,  2133,  4011,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   313,    -1,    -1,   316,    -1,    -1,    -1,    -1,  4027,
    4028,    -1,    -1,    -1,    -1,    -1,    -1,   329,    -1,    -1,
     332,    -1,    -1,    -1,   836,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   844,    -1,  4052,    -1,  4054,    -1,    -1,    -1,
      -1,   853,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    85,
      -1,    -1,    88,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4089,    -1,    -1,    -1,   887,   500,   501,   502,   105,
     504,   505,   506,   507,   508,   509,    -1,   113,    -1,    -1,
      -1,    -1,    -1,   119,    -1,   407,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4126,  2250,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   143,  4136,  4137,
      -1,   433,    -1,    -1,    -1,    -1,  4144,  4145,    -1,    -1,
      -1,  4149,   944,    -1,  2275,    -1,    -1,  4155,  4156,    -1,
      -1,  4159,   954,    -1,  4162,  4163,    -1,    -1,  4166,  4167,
    4168,  4169,    -1,    -1,    -1,  4173,  4174,    -1,  4176,    -1,
      -1,  4179,    -1,    -1,    -1,  4183,    -1,    -1,    -1,  4187,
      -1,  2312,    -1,  2314,    -1,  4193,    -1,    -1,    -1,    -1,
      -1,  4199,    -1,    -1,    -1,    -1,  4204,    -1,   500,   501,
     502,  4209,   504,   505,   506,   507,   508,   509,    -1,    -1,
    4218,    -1,    -1,    -1,    98,    -1,    -1,    -1,  4226,    -1,
    2351,    -1,  4230,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,   249,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4249,    -1,    -1,  4252,    -1,    -1,   131,    -1,    -1,
      -1,    -1,    -1,    -1,   270,   271,    -1,    -1,    -1,    -1,
     144,   145,    -1,    -1,  4272,  4273,  1068,    -1,    -1,   153,
      -1,   287,  1074,   157,    -1,    -1,  1078,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4294,    -1,    -1,    -1,
     174,    -1,    -1,    -1,    -1,    -1,    -1,   313,    -1,    -1,
     316,    -1,  1104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   195,    -1,   329,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4348,    -1,   226,    -1,    -1,    -1,    -1,   231,    -1,    -1,
      -1,    -1,    -1,    -1,  4362,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   252,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   407,    -1,   277,  4402,  4403,  4404,  4405,  4406,    -1,
      -1,    -1,    -1,    -1,  2535,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   298,    -1,    -1,    -1,  4426,    -1,
    2551,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4437,
      -1,    -1,    -1,    -1,  4442,    -1,    -1,  1239,    -1,    -1,
      -1,  4449,    -1,    -1,    -1,   329,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4461,  4462,  1296,    -1,    -1,    -1,    -1,
    1262,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1273,    -1,    -1,   358,    -1,    -1,    -1,    -1,    -1,
    4488,    -1,  4490,    -1,   500,   501,   502,    -1,   504,   505,
     506,   507,   508,   509,  1296,    -1,    -1,    -1,    -1,    -1,
      -1,   385,    -1,    -1,    -1,   389,    98,   391,    -1,    -1,
      -1,  4519,    -1,   397,    -1,    -1,   400,    -1,    -1,    -1,
    4528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1333,    -1,    -1,    -1,    -1,    -1,  4545,  4546,    -1,
      -1,  4549,   426,    -1,   428,    -1,    -1,    -1,   432,    -1,
      -1,    -1,   144,    -1,  4562,  4563,   440,    -1,    -1,  4567,
      -1,   445,    -1,  2694,  4572,   157,    -1,  4575,  4576,    -1,
    4578,    -1,  4580,  4581,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   174,    -1,    -1,    -1,   470,    -1,   180,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1402,    -1,    -1,   195,    -1,  4613,  4614,  4615,  4616,  4617,
      -1,    -1,    -1,    -1,   206,    -1,    -1,    -1,  1459,    -1,
      -1,    -1,   214,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   226,    -1,    -1,    -1,    -1,   231,
      -1,    -1,    -1,  4651,  4652,   237,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1459,    -1,    -1,
     252,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   277,  1488,  4695,  4696,    -1,
      -1,    -1,  4700,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4710,    -1,    -1,    -1,   298,    -1,    -1,    -1,
      -1,    -1,    -1,  4721,    -1,  1517,    -1,    -1,    -1,    -1,
    4728,    -1,    -1,    -1,  4732,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4744,   329,    -1,  4747,
      -1,    -1,    -1,  1545,  1546,    -1,  1548,  4755,  4756,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1605,  1567,   358,    -1,    -1,    -1,
      -1,    -1,  4780,    -1,    -1,  4783,    -1,  4785,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   385,    -1,    -1,    -1,   389,    -1,   391,
    4808,    -1,    -1,    -1,  4812,   397,    -1,  4815,   400,    -1,
      -1,    -1,    -1,  4821,    -1,    -1,    -1,    -1,  1620,  1621,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4839,    -1,   425,   426,  4843,   428,    -1,    -1,    -1,
     432,    -1,    -1,    -1,    -1,    -1,    -1,  1649,   440,    -1,
      -1,  1653,  1654,   445,    -1,    -1,    -1,  4865,  4866,  4867,
    4868,    -1,    -1,    -1,    -1,   457,    -1,    -1,    -1,    -1,
    3001,    -1,  4880,    -1,    -1,    -1,    -1,    -1,   470,    -1,
      -1,    -1,    -1,    98,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1732,  4900,    -1,    -1,   110,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4919,    -1,    -1,    -1,    -1,   131,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   144,
    1732,    -1,    -1,    -1,    -1,    -1,  1738,    -1,    -1,    -1,
      -1,    -1,   157,  1745,    -1,  1786,    -1,    -1,    -1,  4957,
      -1,    -1,  4960,    -1,    -1,    -1,    -1,    -1,    -1,   174,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   160,  4980,    -1,  4982,  1816,  1778,    -1,    -1,    -1,
     195,    -1,    -1,  4991,  1786,    -1,    -1,    -1,    -1,    -1,
      -1,   206,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   214,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   226,    -1,    -1,  1816,    -1,   231,    -1,   207,    -1,
      -1,    -1,   237,    -1,    -1,    -1,    -1,  5035,    -1,    -1,
     219,    -1,  5040,    -1,    -1,   224,    -1,   252,    -1,    -1,
     229,    -1,    -1,  5051,    -1,   234,    -1,    -1,   237,    -1,
     239,  1892,  5060,    -1,    -1,    -1,    -1,    -1,    -1,  5067,
    5068,    -1,    -1,    -1,  5072,    -1,    -1,    -1,  5076,    -1,
    1911,  1873,    -1,    -1,    -1,    -1,  1296,   266,    -1,    -1,
    5088,    -1,    -1,   298,    -1,    -1,    -1,    -1,  1929,  5097,
    1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   288,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1911,
      -1,    -1,    -1,    -1,   329,    -1,  1957,    -1,    -1,    -1,
      -1,  5129,    -1,    -1,    -1,   340,    -1,  1929,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5143,   325,    -1,    -1,    -1,
    5148,    -1,    -1,   358,   333,    -1,    -1,    -1,    -1,    -1,
    1952,    -1,    -1,    -1,    -1,  1957,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     385,    -1,    -1,    -1,   389,    -1,   391,    -1,    -1,  2020,
      -1,    -1,   397,    -1,    -1,   400,    -1,    -1,    -1,    -1,
      -1,    -1,   381,    -1,    -1,    -1,    -1,    -1,    -1,  5207,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5216,    -1,
      -1,   426,  2014,   428,    -1,    -1,    -1,   432,  2020,    -1,
      -1,  2023,    -1,    -1,    -1,   440,    -1,    -1,    -1,    -1,
     445,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,  1459,
      -1,    -1,   457,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   470,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3405,  3406,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   474,    -1,   476,   477,    -1,
    3421,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3435,    -1,    -1,    -1,  2110,    -1,
      -1,    -1,    -1,  3444,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   511,    -1,    -1,   514,   515,  3458,   517,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2148,  2149,    -1,    -1,
      -1,    -1,    -1,    -1,  2156,    -1,    -1,  2159,    -1,    -1,
      -1,  2163,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2171,
    2172,    -1,    -1,    -1,    -1,    -1,  2217,  2179,    -1,    -1,
    2182,  2183,  2184,  2185,    -1,    -1,    -1,    -1,    -1,    -1,
    2192,  2193,    -1,  2195,    -1,  2197,  2198,    -1,  3529,  2201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2217,  2218,  2219,    -1,    -1,
      -1,  2223,    -1,    -1,    -1,  2227,     5,    -1,    -1,  2231,
      -1,  2233,  2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,
      -1,  2243,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,
      -1,  2253,  2254,    -1,    -1,    -1,    35,    36,    -1,    -1,
      -1,    -1,    -1,    -1,    43,    44,    -1,    -1,    47,    48,
      49,    50,    51,    52,    53,    54,    55,    56,    57,    58,
      59,    60,    61,    62,    63,    64,    65,    66,    67,    68,
      69,    70,    71,    -1,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,
      -1,    -1,  1732,    -1,  2316,    -1,    -1,    -1,    -1,    -1,
      -1,  3652,  3653,  3654,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1786,    -1,    -1,    -1,
      -1,  2412,    -1,    -1,    -1,  2416,  2417,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2412,    -1,    -1,    -1,  2416,  2417,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,  2430,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2459,    -1,    -1,
      -1,    -1,    -1,   242,    -1,    -1,    -1,    -1,  2470,    -1,
      -1,    -1,  1892,    -1,    -1,  2477,    -1,    -1,    -1,    -1,
    2521,    -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,
      -1,  1911,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2508,    -1,    -1,  1929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2521,
      -1,   300,    -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2538,  1957,    -1,   318,
    2542,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   394,    -1,    -1,  3949,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2667,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3968,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,
      -1,    -1,    -1,  2665,  3995,  2667,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2684,    -1,    -1,    -1,   465,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   493,    -1,    -1,    -1,    -1,    -1,
      -1,   500,    -1,    -1,    -1,   504,   505,   506,   507,   508,
      -1,    -1,   511,   512,   513,   514,    -1,    -1,    -1,   518,
    2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,
    2841,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4166,  4167,  4168,  4169,  2841,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2856,    -1,    -1,    -1,    -1,    -1,
    2862,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2879,  2880,    -1,
      -1,    -1,    -1,  2885,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2910,  2911,
      -1,    -1,    -1,  2915,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2927,  2928,  2929,  2930,    -1,
      -1,    -1,    -1,  2935,    -1,    -1,    -1,    -1,  2940,  2941,
      -1,  2943,    -1,  2945,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2955,  2956,   208,    -1,  2959,    -1,    -1,
      -1,    -1,    -1,   216,    -1,   218,    -1,    -1,    -1,    -1,
    2972,    -1,  2974,    -1,    -1,    -1,  2978,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2412,    -1,    -1,  2997,  2416,  2417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3007,    -1,    -1,  3010,  3011,
    3012,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3047,    -1,    -1,    -1,    -1,
    3052,    -1,    -1,    -1,    -1,    -1,  3058,    -1,    -1,    -1,
      -1,    -1,    -1,  3104,  3066,    -1,  3107,    -1,  3109,    -1,
      -1,    -1,    -1,  3114,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2521,  3104,    -1,    -1,  3107,    -1,  3109,    -1,    -1,
      -1,    -1,  3114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3164,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4488,    -1,    -1,
      -1,    -1,  3164,  3204,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3263,    -1,  3265,    -1,    -1,    -1,    -1,  3231,
    3232,  3233,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2667,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3263,    -1,  3265,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2742,    -1,  3326,    -1,    -1,    -1,    -1,    -1,
      -1,  3372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3385,    -1,    -1,    -1,    -1,  3351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4710,
      -1,    -1,  3384,  3385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3449,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4747,    -1,    -1,    -1,
      -1,  2841,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3508,    -1,    -1,  3550,
      -1,    -1,  4843,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3547,    -1,    -1,  3550,    -1,
      -1,    -1,    -1,    -1,  3595,  3557,    -1,    -1,    -1,    -1,
      -1,  3563,    -1,  3565,    -1,    -1,    -1,    -1,  3570,  3571,
      -1,    -1,  3574,  3575,  3576,  3577,  3578,  3579,  3580,  3581,
    3582,  3583,    -1,    -1,    -1,  3587,  3588,    -1,    -1,    -1,
    3631,   844,    -1,  3595,    -1,    -1,    -1,    -1,  3600,    -1,
     853,    -1,  3604,    -1,  3606,    -1,  3608,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3618,    -1,    -1,  3621,
      -1,  3623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3631,
    3632,  3633,  3634,    -1,   887,    -1,  3638,    -1,    -1,  3641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3655,    -1,  3657,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,    -1,
      -1,    -1,    -1,  3675,  3676,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3104,    -1,    -1,  3107,    -1,  3109,
      -1,   944,    -1,    -1,  3114,    -1,    -1,    -1,    -1,    -1,
      -1,   954,    -1,    -1,    -1,    -1,    -1,  3748,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3720,    -1,
      -1,    -1,    -1,    -1,  3726,    -1,    -1,    -1,    -1,    -1,
    3732,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3164,    -1,  3748,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3764,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1068,    -1,    -1,    -1,    -1,
      -1,  1074,    -1,    -1,    -1,  1078,    -1,    -1,    -1,  3831,
      -1,    -1,    -1,    -1,  3836,  3837,  3838,    -1,    -1,    -1,
      -1,    -1,    -1,  3263,    -1,  3265,    -1,    -1,    -1,    -1,
      -1,  1104,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3922,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,
      -1,    -1,  3372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3962,    -1,    -1,    -1,    -1,  3385,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4026,  1239,  3989,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1262,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1273,    -1,    -1,    -1,  4026,  4027,  4028,    -1,    -1,  3449,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1296,    -1,  3465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1333,    -1,    -1,    -1,    -1,    -1,    -1,  4089,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4150,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4126,    -1,    -1,    -1,    -1,    -1,
    3550,    -1,    -1,    -1,  4136,  4137,    -1,  4139,    -1,    -1,
      -1,    -1,  4144,  4145,    -1,    -1,    -1,  4149,  4150,  1402,
    3570,    -1,    -1,  4155,  4156,    -1,    -1,  4159,    -1,    -1,
    4162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3595,    -1,    -1,    -1,    -1,
      -1,  4183,    -1,    -1,    -1,  4187,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4199,    -1,    -1,
      -1,    -1,  4204,    -1,    -1,    -1,  1459,  4209,    -1,    -1,
      -1,  3631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4270,
      -1,    -1,    -1,    -1,    -1,  1488,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4252,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1517,    -1,    -1,    -1,  4270,    -1,
      -1,    -1,  4313,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4287,    -1,    -1,    -1,    -1,
      -1,    -1,  1545,  1546,  4296,  1548,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4313,    -1,    -1,  1567,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4367,    -1,  3748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4367,    -1,  1620,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1649,    -1,    -1,    -1,
    1653,  1654,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3837,    -1,    -1,
      -1,    -1,    -1,    -1,  4426,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4437,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1732,
      -1,    -1,  4523,  4485,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1745,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4519,    -1,    -1,
      -1,  4523,    -1,    -1,    -1,  1778,  4528,    -1,    -1,    -1,
      -1,    -1,    -1,  1786,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4545,  4546,    -1,    -1,  4549,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4562,    -1,    -1,  1816,    -1,  4567,    -1,    -1,    -1,  3989,
    4572,    -1,    -1,  4575,    -1,    -1,    -1,    -1,  4580,  4581,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4643,    -1,    -1,    -1,  4026,    -1,    -1,    -1,
      -1,  4613,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1873,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1892,
      -1,  4643,    -1,    -1,    -1,    -1,  1296,    -1,    -1,  4651,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1911,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,
      -1,    -1,    -1,  4685,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4700,    -1,
      -1,    -1,    -1,    -1,  1957,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4758,    -1,  4139,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4756,    -1,  4758,    -1,    -1,    -1,
      -1,  2014,    -1,    -1,    -1,    -1,    -1,  2020,    -1,    -1,
    2023,    -1,    -1,    -1,    -1,    -1,  4817,    -1,  4780,  4781,
      -1,  4783,    -1,  4785,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4808,    -1,    -1,  1459,
    4812,    -1,  4853,    -1,    -1,  4817,  4857,  4858,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4849,    -1,    -1,
    4270,  4853,    -1,    -1,    -1,  4857,  4858,  2110,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4296,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4313,    -1,  2148,  2149,    -1,  4900,    -1,
      -1,    -1,    -1,  2156,    -1,    -1,  2159,    -1,    -1,    -1,
    2163,    -1,    -1,    -1,    -1,    -1,    -1,  4919,  2171,  2172,
      -1,    -1,    -1,    -1,    -1,    -1,  2179,    -1,    -1,  2182,
    2183,  2184,  2185,    -1,    -1,    -1,    -1,  4939,    -1,  2192,
    2193,    -1,  2195,    -1,  2197,  2198,    -1,  4367,  2201,    -1,
      -1,    -1,    -1,    -1,    -1,  4957,    -1,    -1,  4960,    -1,
      -1,    -1,    -1,    -1,  2217,  2218,    -1,    -1,    -1,    -1,
    2223,    -1,    -1,    -1,  2227,    -1,    -1,    -1,  2231,    -1,
    2233,  2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,  4991,
    2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2253,  2254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5040,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5051,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2316,    -1,  5067,  5068,  1296,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1732,    -1,    -1,    -1,  5088,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4523,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  5129,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1786,    -1,    -1,    -1,
      -1,  5143,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2412,
      -1,  5163,    -1,  2416,  2417,    -1,  1816,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5207,  2459,    -1,    -1,    -1,
    5212,    -1,    -1,    -1,  5216,    -1,    -1,  2470,  5220,    -1,
      -1,    -1,    -1,  4643,  2477,    -1,    -1,    -1,    -1,    -1,
    1459,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2508,    -1,    -1,    -1,    -1,
      -1,  1911,    -1,    -1,    -1,    -1,    -1,    -1,  2521,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1929,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1957,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4758,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2020,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4817,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2665,    -1,  2667,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4853,    -1,    -1,    -1,  4857,  4858,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   154,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   163,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2742,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1732,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   236,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1786,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1816,  2841,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2856,    -1,    -1,    -1,    -1,    -1,  2862,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2879,  2880,    -1,    -1,
      -1,    -1,  2885,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2910,  2911,    -1,
      -1,    -1,  2915,  1892,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2927,  2928,  2929,  2930,    -1,    -1,
      -1,    -1,  1911,    -1,    -1,    -1,    -1,  2940,    -1,    -1,
    2943,    -1,  2945,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1929,    -1,  2955,  2956,    -1,    -1,  2959,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2972,
      -1,  2974,    -1,    -1,    -1,  2978,    -1,    -1,  1957,    -1,
     417,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2997,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3007,    -1,    -1,  3010,  3011,  3012,
      -1,    -1,  2412,    -1,    -1,    -1,  2416,  2417,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2020,    -1,    -1,  3047,    -1,    -1,    -1,    -1,  3052,
      -1,    -1,    -1,    -1,    -1,  3058,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3066,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3104,    -1,    -1,  3107,    -1,  3109,    -1,    -1,    -1,
      -1,  3114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2521,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3137,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    89,    -1,    -1,    -1,    -1,    94,    -1,
      96,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     106,  3164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   132,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,    -1,    -1,
      -1,  3204,    -1,    -1,    -1,    -1,    -1,   153,   154,    -1,
      -1,   157,    -1,    -1,    -1,    -1,    -1,   163,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,    -1,
      -1,   187,    -1,    -1,    -1,   682,   683,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   202,    -1,    -1,    -1,
    3263,    -1,  3265,    -1,    -1,    -1,    -1,  2667,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   730,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,  3351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3372,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3385,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1296,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   851,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   861,   862,    -1,   864,    -1,    -1,
     867,    -1,   869,  2412,    -1,    -1,    -1,  2416,  2417,    -1,
      -1,  2841,    -1,    -1,    -1,    -1,  3449,    -1,    -1,    -1,
      -1,   888,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   896,
      -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,   905,   906,
      -1,   417,    -1,   910,    -1,  3478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     927,    -1,   929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3508,    -1,    -1,   945,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   961,    -1,    -1,   964,    -1,   966,
      -1,   968,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2521,    -1,  3547,   982,    -1,  3550,    -1,    -1,
      -1,    -1,    -1,    -1,  3557,    -1,    -1,  1459,    -1,    -1,
    3563,    -1,  3565,    -1,    -1,    -1,    -1,  3570,  3571,    -1,
      -1,  3574,  3575,  3576,  3577,  3578,  3579,  3580,  3581,  3582,
    3583,    -1,    -1,    -1,  3587,  3588,    -1,    -1,    -1,    -1,
      -1,    -1,  3595,    -1,    -1,    -1,    -1,  3600,    -1,    -1,
    1037,  3604,  1039,    -1,    -1,  3608,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3618,    -1,    -1,  3621,    -1,
    3623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3631,  3632,
    3633,  3634,    -1,  1070,    -1,  3638,    -1,    -1,  3641,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3655,    -1,  3657,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3669,    -1,    -1,  1106,
      -1,    -1,  3675,  3676,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2667,    -1,
     636,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3104,    -1,    -1,  3107,    -1,  3109,
      -1,    -1,    -1,    -1,  3114,    -1,    -1,  3720,    -1,    -1,
      -1,    -1,    -1,  3726,    -1,    -1,    -1,    -1,    -1,  3732,
      -1,    -1,    -1,    -1,    -1,    -1,   682,   683,    -1,    -1,
    1177,    -1,  1179,    -1,    -1,  3748,  1183,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3764,    -1,  2742,  3164,    -1,  1203,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   730,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1250,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1266,
    1732,    -1,    -1,    -1,  3837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1279,    -1,    -1,    -1,    -1,    -1,    -1,  1286,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1298,  2841,  3263,  1301,  3265,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1786,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1334,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1816,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3326,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3962,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     926,   927,    -1,   929,    -1,  3385,  3989,    -1,    -1,    -1,
    1892,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1911,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4026,  4027,  4028,    -1,  1929,    -1,    -1,
      -1,    -1,   978,    -1,    -1,   981,   982,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3449,
     996,    -1,   998,    -1,  1000,  1957,    -1,    -1,    -1,    -1,
    1006,    -1,    -1,    -1,  1010,  3465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,
      -1,    -1,    -1,  1029,  1030,    -1,  4089,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2020,    -1,
      -1,    -1,    -1,  4126,  1070,  3104,  1072,    -1,  3107,    -1,
    3109,    -1,    -1,  4136,  4137,  3114,  4139,    -1,    -1,    -1,
      -1,  4144,  4145,    -1,    -1,    -1,  4149,  4150,    -1,    -1,
    3550,    -1,  4155,  4156,    -1,    -1,  4159,    -1,    -1,  4162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4183,    -1,    -1,    -1,  4187,  3164,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3595,  4199,    -1,    -1,    -1,
      -1,  4204,  1639,  1640,  1150,    -1,  4209,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1164,  1165,
      -1,    -1,  1168,    -1,    -1,  3204,    -1,    -1,    -1,    -1,
      -1,  3631,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4252,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1697,    -1,    -1,  1700,    -1,    -1,    -1,  4270,  1214,    -1,
      -1,  1708,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3263,    -1,  3265,    -1,    -1,  1726,
      -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4313,    -1,    -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1764,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3326,  3748,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4367,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3372,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3385,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4426,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4437,    -1,    -1,  3837,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1410,    -1,    -1,    -1,    -1,  1415,
    3449,  1417,    -1,    -1,  1420,    -1,  1422,    -1,    -1,  1425,
    1426,  1427,  4485,    -1,    -1,  1431,  3465,    -1,    -1,    -1,
      -1,    -1,  1438,    -1,    -1,    -1,    -1,    -1,    -1,  3478,
      -1,    -1,    -1,    -1,    -1,  1451,    -1,  1453,    -1,    -1,
    2412,    -1,  1458,    -1,  2416,  2417,  4519,    -1,    -1,    -1,
    4523,    -1,    -1,    -1,  1961,  4528,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1976,
      -1,    -1,  4545,  4546,    -1,    -1,  4549,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4562,
      -1,    -1,    -1,    -1,  4567,    -1,    -1,    -1,    -1,  4572,
      -1,  3550,  4575,    -1,    -1,    -1,    -1,  4580,  4581,    -1,
      -1,    -1,    -1,    -1,    -1,  2022,    -1,    -1,    -1,  3989,
      -1,  3570,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2037,    -1,  2039,    -1,  2041,    -1,    -1,    -1,    -1,  2046,
    4613,    -1,    -1,    -1,    -1,    -1,  3595,    -1,    -1,  2521,
      -1,    -1,    -1,    -1,    -1,    -1,  4026,    -1,    -1,    -1,
      -1,    -1,    -1,  1579,    -1,    -1,    -1,    -1,    -1,    -1,
    4643,    -1,  1588,  1589,    -1,    -1,    -1,    -1,  4651,    -1,
      -1,    -1,  3631,    -1,    -1,    -1,    -1,    -1,  2095,  1605,
      -1,    -1,    -1,    -1,  1610,  1611,    -1,    -1,    -1,    -1,
    2107,    -1,    -1,    -1,  2111,    -1,  2113,    -1,    -1,  2116,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4700,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,
      -1,    -1,    -1,    -1,    -1,    -1,  1692,    -1,  1694,    -1,
    4150,    -1,    -1,  4756,    -1,  4758,    -1,    -1,  1704,    -1,
      -1,    -1,    -1,    -1,    -1,  2667,    -1,    -1,    -1,  3748,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4780,  4781,    -1,
    4783,    -1,  4785,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4808,    -1,    -1,    -1,  4812,
      -1,    -1,    -1,    -1,  4817,    -1,    -1,    -1,    -1,    -1,
    2257,    -1,  1768,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    1776,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2742,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4853,    -1,    -1,    -1,  4857,  4858,    -1,    -1,  3837,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1828,    -1,    -1,  1831,  1832,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4296,  4900,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4313,    -1,    -1,  4919,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4939,    -1,    -1,  2841,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1898,    -1,  4957,    -1,    -1,  4960,    -1,    -1,
    2397,    -1,    -1,    -1,    -1,    -1,    -1,  4367,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4991,    -1,
    2427,  2428,    -1,    -1,    -1,  2432,  2433,    -1,    -1,  2436,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2446,
    3989,    -1,    -1,    -1,    -1,    -1,  2453,    -1,    -1,    -1,
    2457,  2458,    -1,    -1,  2461,  2462,    -1,    -1,    -1,    -1,
      -1,  2468,    -1,    -1,    -1,    -1,    -1,  5040,    -1,    -1,
      -1,    -1,    -1,  2480,    -1,  2482,    -1,  4026,  5051,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2498,    -1,    -1,  5067,  5068,  2503,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  5088,  2523,    -1,  2525,  2526,
    2527,  2528,    -1,    -1,    -1,  2532,  2533,    -1,    -1,    -1,
      -1,    -1,    -1,  2540,    -1,    -1,    -1,  2544,    -1,    -1,
      -1,  2548,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4523,    -1,    -1,  5129,    -1,    -1,    -1,
      -1,    -1,  2569,  2079,    -1,  2081,    -1,    -1,    -1,  2085,
    5143,  2087,    -1,  2580,  2090,  2582,    -1,    -1,  2094,    -1,
    2587,    -1,    -1,  2099,    -1,  2592,  2593,  2594,  2595,    -1,
    4139,    -1,    -1,    -1,  2601,    -1,    -1,    -1,    -1,    -1,
      -1,  4150,    -1,    -1,    -1,    -1,    -1,  2614,  2615,  2616,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2625,  2626,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3104,    -1,  5207,  3107,    -1,  3109,    -1,    -1,
      -1,    -1,  3114,  5216,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4643,    -1,    -1,    -1,    -1,  2685,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3164,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3204,    -1,  2250,    -1,    -1,    -1,    -1,    -1,
      -1,  2257,    -1,    -1,    -1,    -1,    -1,  4296,    -1,    -1,
    2266,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4313,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4758,    -1,
      -1,  3263,    -1,  3265,    -1,    -1,    -1,    -1,    -1,  2806,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4781,  2819,    -1,  2330,    -1,    -1,    -1,  4367,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2847,    -1,    -1,    -1,    -1,    -1,   844,  4817,    -1,    -1,
      -1,    -1,    -1,    -1,  3326,   853,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2382,    -1,    -1,    -1,
    2386,    -1,    -1,    -1,    -1,    -1,  2392,    -1,  2394,  3351,
      -1,  2397,    -1,  4853,    -1,    -1,    -1,  4857,  4858,   887,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3372,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3385,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   944,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   954,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4523,    -1,    -1,  3449,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3478,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3045,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2573,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2581,    -1,  2583,    -1,    -1,
    1068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3550,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4643,    -1,    -1,    -1,  3570,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1104,    -1,    -1,    -1,
    3117,  3118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3595,    -1,    -1,    -1,  3134,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3159,    -1,    -1,    -1,    -1,    -1,    -1,  3631,
      -1,  3168,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3183,  3184,    -1,    -1,
      -1,  3188,    -1,    -1,    -1,    -1,  3193,  3194,  3195,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4758,
      -1,    -1,    -1,    -1,    -1,  3222,  3223,  3224,  3225,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4781,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3257,  3258,  3259,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3267,    -1,    -1,    -1,  1262,    -1,    -1,    -1,  4817,    -1,
      -1,    -1,    -1,    -1,    -1,  1273,  3748,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2806,  2807,    -1,    -1,    -1,  3302,    -1,  3304,  1296,    -1,
    3307,    -1,    -1,    -1,  4853,    -1,    -1,  2823,  4857,  4858,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3338,    -1,    -1,    -1,  1333,    -1,    -1,    -1,  3346,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3837,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3400,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1402,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1068,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3442,    -1,    -1,  3445,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1459,  1104,    -1,    -1,    -1,    -1,    -1,    -1,  3476,
      -1,    -1,  3479,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3493,    -1,    -1,    -1,
    1488,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3506,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3025,
      -1,    -1,    -1,    -1,  3030,    -1,    -1,  3989,    -1,  1517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
       5,    -1,    -1,    -1,    -1,    -1,    -1,  1545,  1546,    -1,
    1548,    -1,    -1,    -1,  4026,    -1,    -1,    -1,    -1,    -1,
      25,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1567,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    43,    44,
      -1,    -1,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    -1,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,  1620,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  1649,    -1,    -1,    -1,  1653,  1654,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4139,    -1,   134,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  1732,    -1,    -1,    -1,    -1,   204,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,
      -1,    -1,    -1,    -1,  3771,    -1,  3773,    -1,    -1,    -1,
      -1,    -1,    -1,  3780,    -1,    -1,    -1,   242,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1786,  3796,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4270,   264,
      -1,    -1,  3809,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3819,    -1,    -1,    -1,    -1,    -1,  1816,    -1,
      -1,    -1,    -1,    -1,  4296,    -1,    -1,  3834,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   300,    -1,    -1,   303,    -1,
      -1,  4313,    -1,    -1,    -1,    -1,  1488,    -1,    -1,    -1,
      -1,    -1,    -1,   318,    -1,    -1,  3372,    -1,    -1,  3866,
    3867,  3868,  3869,  3870,  3871,  3872,  3873,    -1,    -1,  3385,
      -1,    -1,  3879,    -1,    -1,  1517,    -1,    -1,    -1,  3886,
    3887,    -1,  3889,  3890,  3891,  3892,  3893,  3894,  3895,    -1,
      -1,    -1,    -1,    -1,  1892,  4367,    -1,  3904,    -1,  3906,
    3907,    -1,    -1,  1545,  1546,    -1,  1548,    -1,    -1,    -1,
      -1,    -1,    -1,  1911,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1567,    -1,    -1,    -1,   394,
      -1,  1929,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3956,
    3957,  3958,    -1,    -1,  3961,    -1,    -1,    -1,    -1,  1957,
    3476,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   436,    -1,    -1,    -1,    -1,    -1,    -1,  1620,    -1,
      -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     465,    -1,    -1,    -1,    -1,    -1,    -1,  1649,    -1,    -1,
      -1,  1653,  1654,    -1,    -1,    -1,  2014,    -1,    -1,    -1,
      -1,  3537,  2020,    -1,    -1,  2023,    -1,    -1,   493,    -1,
      -1,    -1,    -1,    -1,    -1,   500,  4043,    -1,    -1,   504,
     505,   506,   507,   508,    -1,    -1,   511,   512,   513,   514,
      -1,  4523,    -1,   518,    -1,    -1,  4063,  4064,  4065,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2110,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2148,  2149,    -1,    -1,    -1,    -1,    -1,    -1,  2156,    -1,
      -1,  2159,    -1,    -1,    -1,  2163,    -1,    -1,    -1,    -1,
      -1,  4643,    -1,  2171,  2172,    -1,    -1,    -1,    -1,    -1,
      -1,  2179,    -1,    -1,  2182,  2183,  2184,  2185,    -1,    -1,
      -1,    -1,    -1,    -1,  2192,  2193,    -1,  2195,    -1,  2197,
    2198,    -1,    -1,  2201,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2217,
    2218,  3737,    -1,    -1,    -1,  2223,    -1,    -1,    -1,  2227,
      -1,    -1,    -1,  2231,    -1,  2233,  2234,  2235,  2236,  2237,
    2238,  2239,  2240,  2241,    -1,  2243,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2253,  2254,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4281,  4282,  4283,  4284,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4758,    -1,    -1,    -1,
      -1,    -1,  1296,    -1,    -1,    -1,    -1,  4304,  4305,  4306,
    4307,    -1,  4309,  4310,    -1,    -1,    -1,    -1,    -1,  4781,
      -1,    -1,    -1,    -1,  4321,  4322,    -1,    -1,  2316,    -1,
      -1,  3837,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4346,
    4347,    -1,  4349,  3859,    -1,  4817,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4853,    -1,    -1,    -1,  4857,  4858,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2412,    -1,    -1,    -1,  2416,  2417,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4444,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4453,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1459,    -1,    -1,    -1,    -1,
      -1,  2459,    -1,    -1,    -1,    -1,    -1,  4474,    -1,    -1,
      -1,    -1,  2470,    -1,    -1,    -1,    -1,    -1,    -1,  2477,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4498,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2156,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2521,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2179,    -1,    -1,
    2182,    -1,    -1,  2185,    -1,    -1,    -1,    -1,    -1,    -1,
    2192,  2193,  4068,    -1,    -1,    -1,  2198,    -1,  4565,  2201,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4578,    -1,    -1,    -1,    -1,  2218,    -1,    -1,    -1,
      -1,  2223,    -1,    -1,    -1,  2227,    -1,    -1,    -1,  2231,
      -1,  2233,  2234,  2235,  2236,  2237,  2238,  2239,  2240,  2241,
      -1,  2243,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2253,  2254,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4661,  4662,  4663,    -1,    -1,  4666,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2665,    -1,  2667,
      -1,    -1,    -1,    -1,  2316,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4213,  1561,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4243,  1732,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2742,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4764,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  1635,    -1,    -1,    -1,    -1,  4293,    -1,    -1,
      -1,    -1,  1786,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  2790,    -1,    -1,    -1,    -1,    -1,  4805,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4815,    -1,
      -1,    -1,  1816,    -1,    -1,    -1,    -1,  2459,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4847,    -1,    -1,  2841,    -1,  4852,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4863,    -1,  2856,    -1,
      -1,    -1,  4869,    -1,  2862,    -1,  4382,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  2879,  2880,    -1,    -1,    -1,    -1,  2885,  1892,    -1,
      -1,    -1,    -1,    -1,  4410,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  1911,    -1,    -1,
      -1,    -1,  2910,  2911,    -1,    -1,    -1,  2915,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,  2927,
    2928,  2929,  2930,    -1,    -1,    -1,  4943,    -1,    -1,    -1,
      -1,    -1,  2940,    -1,    -1,  2943,    -1,  2945,    -1,    -1,
      -1,    -1,    -1,  1957,    -1,    -1,    -1,  2955,  2956,  4966,
      -1,  2959,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  2972,    -1,  2974,    -1,    -1,    -1,
    2978,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2997,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3007,
      -1,    -1,  3010,  3011,  3012,    -1,  2020,    -1,    -1,    -1,
      -1,    -1,  5029,  2665,    -1,    -1,    -1,  5034,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3034,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3047,
      -1,    -1,    -1,    -1,  3052,    -1,    -1,    -1,    -1,    -1,
    3058,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3066,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4596,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3104,    -1,    -1,  3107,
      -1,  3109,    -1,    -1,    -1,    -1,  3114,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4643,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3137,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2790,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3164,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1296,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2062,
      -1,    -1,    -1,    -1,    -1,    -1,  3204,    -1,    -1,    -1,
      -1,    -1,    -1,  2217,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2880,    -1,
      -1,    -1,    -1,  2885,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3263,    -1,  3265,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2927,    -1,  2929,  2930,    -1,
      -1,  2154,    -1,    -1,    -1,    -1,    -1,    -1,  2940,    -1,
      -1,  2943,    -1,  2945,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2178,    -1,    -1,    -1,    -1,
    2183,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3326,    -1,
    2972,    -1,  2974,    -1,    -1,    -1,  2978,    -1,    -1,    -1,
    2203,  2204,    -1,    -1,  2207,    -1,  1459,    -1,    -1,    -1,
      -1,    -1,    -1,  3351,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3010,  3011,
    3012,    -1,    -1,    -1,  3372,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  2249,  3385,    -1,    -1,
      -1,    -1,  3034,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3047,    -1,    -1,  2412,    -1,
    3052,    -1,  2416,  2417,    -1,    -1,  3058,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4946,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2303,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3449,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2326,    -1,    -1,    -1,  3465,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  2338,    -1,    -1,  2341,    -1,
    3478,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3508,    -1,    -1,    -1,    -1,    -1,    -1,  2521,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3547,
      -1,    -1,  3550,    -1,    -1,    -1,    -1,    -1,    -1,  3557,
      -1,    -1,    -1,    -1,    -1,  3563,    -1,  3565,    -1,    -1,
      -1,    -1,  3570,  3571,    -1,    -1,  3574,  3575,  3576,  3577,
    3578,  3579,  3580,  3581,  3582,  3583,    -1,    -1,    -1,  3587,
    3588,    -1,    -1,    -1,    -1,    -1,    -1,  3595,    -1,    -1,
      -1,    -1,  3600,    -1,    -1,    -1,  3604,    -1,    -1,    -1,
    3608,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1732,
    3618,    -1,    -1,  3621,    -1,  3623,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3631,  3632,  3633,  3634,    -1,    -1,    -1,
    3638,    -1,    -1,  3641,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3655,    -1,  3657,
      -1,    -1,    -1,  2667,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3669,    -1,  1786,    -1,    -1,    -1,  3675,  3676,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  1816,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3720,    -1,    -1,    -1,    -1,    -1,  3726,    -1,
      -1,    -1,    -1,    -1,  3732,    -1,    -1,    -1,  2742,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3748,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3764,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1892,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  1911,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  1929,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,  3837,
      -1,    -1,    -1,    -1,  1957,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3547,    -1,  2020,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3557,    -1,    -1,    -1,    -1,
      -1,  3563,    -1,  3565,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3587,  3588,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3962,    -1,  3608,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3618,    -1,    -1,  3621,
      -1,  3623,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3632,  3989,    -1,    -1,    -1,    -1,  3638,    -1,    -1,  3641,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    2883,    -1,    -1,    -1,    -1,    -1,    -1,  3669,  4026,  4027,
    4028,    -1,    -1,  3675,  3676,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  2906,    -1,  2908,    -1,  2910,  2911,  2912,
      -1,    -1,  2915,    -1,    -1,    -1,  2919,    -1,    -1,    -1,
      -1,    -1,    -1,  2926,    -1,    -1,    -1,    -1,  2931,    -1,
      -1,    -1,    -1,    -1,  2937,    -1,    -1,    -1,  3720,  2942,
      -1,    -1,    -1,    -1,  3726,    -1,    -1,    -1,  2951,    -1,
    3732,  4089,  2955,  2956,    -1,  2958,    -1,    -1,    -1,    -1,
    3104,    -1,    -1,  3107,  2217,  3109,    -1,  2970,    -1,    -1,
    3114,    -1,    -1,    -1,  2977,    -1,  2979,  2980,  2981,  2982,
    2983,  2984,  2985,  2986,  2987,  2988,    -1,    -1,  4126,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4136,  4137,
      -1,  4139,    -1,    -1,    -1,    -1,  4144,  4145,    -1,    -1,
      -1,  4149,  4150,  3016,    -1,    -1,    -1,  4155,  4156,    -1,
    3164,  4159,    -1,    -1,  4162,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4183,    -1,    -1,    -1,  4187,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3204,  4199,    -1,    -1,    -1,    -1,  4204,    -1,    -1,    -1,
      -1,  4209,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  4252,    -1,    -1,    -1,    -1,  3263,
      -1,  3265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4270,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3152,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4296,  2412,
      -1,    -1,    -1,  2416,  2417,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4313,    -1,    -1,    -1,    -1,
      -1,    -1,  3326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3372,  4367,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3385,    -1,    -1,    -1,  4027,  4028,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  2521,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4437,
      -1,    -1,    -1,    -1,    -1,  3449,    -1,  4089,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3478,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4485,    -1,    -1,
      -1,    -1,    -1,    -1,  4136,  4137,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4149,    -1,    -1,
    3373,    -1,    -1,  4155,  4156,    -1,    -1,  4159,    -1,    -1,
    4162,  4519,    -1,    -1,    -1,  4523,    -1,    -1,    -1,    -1,
    4528,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3550,  4545,  4546,    -1,
      -1,  4549,    -1,    -1,  2667,    -1,    -1,  4199,    -1,    -1,
      -1,    -1,  4204,    -1,  4562,    -1,  3570,  4209,    -1,  4567,
      -1,    -1,    -1,    -1,  4572,    -1,    -1,  4575,    -1,    -1,
      -1,    -1,  4580,  4581,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3595,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4252,    -1,    -1,    -1,    -1,  4613,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3631,    -1,  2742,
      -1,    -1,    -1,    -1,  3497,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4643,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4651,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3546,    -1,    -1,    -1,    -1,    -1,  3552,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4700,    -1,    -1,  3568,  3569,    -1,  3571,    -1,
      -1,  3574,  3575,  3576,  3577,  3578,  3579,  3580,  3581,  3582,
    3583,  3584,    -1,    -1,    -1,    -1,    -1,    -1,  2841,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  3748,    -1,  3609,    -1,    -1,  3612,
      -1,  3614,    -1,    -1,    -1,    -1,  3619,  3620,  4756,    -1,
    4758,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    3633,  3634,  3635,    -1,  3637,    -1,    -1,  3640,    -1,    -1,
      -1,    -1,  4780,  4781,  4426,  4783,    -1,  4785,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4808,    -1,    -1,    -1,  4812,    -1,    -1,    -1,    -1,  4817,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  3837,    -1,    -1,    -1,    -1,    -1,    -1,
    3703,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3715,    -1,    -1,  4853,    -1,    -1,    -1,  4857,
    4858,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3761,    -1,
      -1,    -1,  4900,    -1,    -1,    -1,    -1,  4549,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  4919,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4581,
      -1,  4939,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4957,
      -1,    -1,  4960,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,    -1,    -1,
      -1,  3104,    -1,  4991,  3107,    -1,  3109,    -1,    -1,    -1,
      -1,  3114,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4026,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  5040,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  3164,    -1,  5051,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5067,
    5068,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    5088,  3204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3962,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5129,    -1,    -1,    -1,  4139,    -1,    -1,    -1,    -1,
      -1,  4783,    -1,    -1,    -1,  5143,  4150,    -1,    -1,    -1,
    3263,    -1,  3265,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  4808,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  5207,
      -1,    -1,    -1,  3326,    -1,    -1,    -1,    -1,  5216,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  4090,    -1,    -1,
      -1,  4094,  4095,  4096,    -1,    -1,  4099,    -1,  3351,    -1,
      -1,  4104,  4105,  4106,  4107,  4108,  4109,  4110,  4111,  4112,
    4113,  4114,  4115,    -1,    -1,    -1,    -1,    -1,    -1,  3372,
      -1,    -1,    -1,    -1,    -1,    -1,  4270,    -1,    -1,    -1,
      -1,    -1,  3385,    -1,    -1,    -1,    -1,  4919,    -1,    -1,
    4143,  4144,  4145,  4146,    -1,  4148,    -1,    -1,    -1,  4152,
    4153,  4154,  4296,    -1,  4157,    -1,    -1,  4160,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4313,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3449,    -1,  4201,    -1,
      -1,    -1,    -1,    -1,    -1,  4208,    -1,    -1,    -1,  4991,
      -1,    -1,  3465,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4223,    -1,    -1,  4367,    -1,  3478,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,    -1,    -1,
      -1,     9,    -1,    -1,    -1,    13,    -1,    15,    -1,    17,
      18,    -1,    -1,    -1,    -1,  5067,  5068,    -1,    -1,    -1,
      28,    -1,    -1,    -1,    -1,    -1,    -1,  3550,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,  3570,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  3595,    -1,    -1,    -1,    -1,  5129,    -1,    -1,
      -1,    -1,    -1,    91,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,  5143,    -1,   101,    -1,   103,   104,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  3631,  4523,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     138,    -1,   140,   141,    -1,    -1,    -1,    -1,   146,    -1,
     148,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     158,    -1,   160,    -1,    -1,  5207,  4429,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,    -1,
      -1,   179,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   191,    -1,   193,    -1,    -1,    -1,   197,
      -1,    -1,    -1,    -1,    -1,   203,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   211,    -1,   213,    -1,    -1,    -1,  4482,
    4483,   219,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  3748,   234,    -1,    -1,  4643,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4515,    -1,    -1,    -1,  4519,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4533,    -1,  4535,    -1,    -1,    -1,    -1,  4540,  4541,  4542,
      -1,    -1,  4545,  4546,  4547,  4548,    -1,  4550,    -1,    -1,
    4553,   289,   290,    -1,    -1,    -1,    -1,   295,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,    -1,    -1,
      -1,    -1,    -1,    -1,  3837,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4611,    -1,
      -1,    -1,    -1,    -1,  4758,   353,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   365,    -1,    -1,
      -1,    -1,   370,   371,    -1,   373,    -1,  4781,    -1,    -1,
     378,    -1,    -1,    -1,    -1,   383,    -1,    -1,   386,    -1,
      -1,    -1,   390,    -1,    -1,    -1,    -1,   395,   396,    -1,
      -1,    -1,    -1,    -1,    -1,   403,    -1,    -1,   406,    -1,
      -1,    -1,    -1,  4817,    -1,    -1,   414,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   426,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   443,    -1,   445,    -1,  4853,
    4713,    -1,    -1,  4857,  4858,   453,    -1,    -1,    -1,    -1,
      -1,   459,    -1,    -1,    -1,    -1,   464,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,  3989,    -1,    -1,   477,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,  4026,    -1,   513,  4779,  4780,    -1,   517,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,  4795,  4796,  4797,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,     3,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,  4820,    15,    16,
      17,    18,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,  4139,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    -1,    -1,  4150,    -1,    -1,
      -1,    -1,    -1,    -1,   101,    -1,   103,   104,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   113,    -1,   115,    -1,
      -1,   118,   119,   120,   121,   122,   123,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,
      -1,   138,    -1,   140,   141,   142,  4949,   144,    -1,   146,
      -1,   148,    -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   158,  4965,   160,   161,    -1,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,    -1,    -1,    -1,   174,    -1,   176,
     177,   178,   179,    -1,    -1,    -1,    -1,    -1,   185,    -1,
      -1,    -1,    -1,    -1,   191,    -1,   193,    -1,    -1,    -1,
     197,    -1,    -1,    -1,    -1,    -1,   203,   204,    -1,    -1,
      -1,    -1,    -1,    -1,   211,   212,   213,  4270,    -1,   216,
      -1,    -1,   219,    -1,    -1,   222,    -1,    -1,    -1,    -1,
      -1,   228,    -1,   230,    -1,    -1,  5039,   234,    -1,   236,
      -1,    -1,    -1,  4296,    -1,    -1,    -1,    -1,   245,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4313,   258,   259,    -1,    -1,   262,    -1,    -1,   265,    -1,
     267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,  5087,    -1,    -1,   284,   285,    -1,
     287,    -1,   289,   290,    -1,    -1,    -1,    -1,   295,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   304,    -1,    -1,
     307,   308,   309,    -1,  4367,   312,    -1,    -1,   315,   316,
      -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,  5132,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,   336,
      -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   349,    -1,   351,    -1,   353,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,   365,    -1,
      -1,    -1,    -1,   370,   371,    -1,   373,    -1,    -1,    -1,
      -1,   378,  5185,    -1,    -1,    -1,   383,   384,    -1,   386,
     387,    -1,    -1,   390,    -1,    -1,    -1,    -1,   395,   396,
      -1,    -1,    -1,    -1,    -1,    -1,   403,   404,    -1,   406,
     407,    -1,   409,    -1,    -1,    -1,    -1,   414,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,   426,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,    -1,
      -1,    -1,   439,    -1,   441,    -1,   443,    -1,   445,    -1,
      -1,    -1,    -1,   450,    -1,    -1,   453,    -1,    -1,   456,
      -1,    -1,   459,    -1,    -1,    -1,    -1,   464,   465,    -1,
    4523,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     477,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,    -1,    -1,    -1,
     517,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    4643,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,  4758,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,  4781,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,  4817,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
    4853,    -1,    56,    -1,  4857,  4858,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,   519,    -1,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,   228,    -1,   230,    -1,    -1,    -1,
      -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   258,   259,    -1,    -1,    -1,    -1,
      -1,   265,    -1,   267,    -1,    -1,   270,   271,    -1,   273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   307,   308,   309,    -1,    -1,   312,    -1,
      -1,    -1,   316,    -1,    -1,   319,    -1,   321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   335,   336,    -1,   338,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     384,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,   407,    -1,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,    -1,    -1,    -1,   439,    -1,   441,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,     6,     7,     8,    -1,    10,    11,    12,    -1,
      -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    -1,    -1,   520,    31,    32,    33,
      34,    -1,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    -1,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,
     144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,
      -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   222,    -1,
      -1,    -1,    -1,    -1,   228,    -1,   230,    -1,    -1,    -1,
      -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   258,   259,    -1,    -1,    -1,    -1,
      -1,   265,    -1,   267,    -1,    -1,   270,   271,    -1,   273,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   307,   308,   309,    -1,    -1,   312,    -1,
      -1,    -1,   316,    -1,    -1,   319,    -1,   321,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   335,   336,    -1,   338,   339,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     384,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     404,    -1,    -1,   407,    -1,   409,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     434,   435,    -1,    -1,    -1,   439,    -1,   441,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     5,    -1,    -1,    -1,    -1,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
      -1,    -1,    -1,    -1,    -1,    25,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    35,    36,    -1,    -1,    -1,
      -1,    -1,    -1,    43,    44,    -1,   520,    47,    48,    49,
      50,    51,    52,    53,    54,    55,    56,    57,    58,    59,
      60,    61,    62,    63,    64,    65,    66,    67,    68,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   134,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   242,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   264,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     300,    -1,    -1,   303,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   394,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   436,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,    -1,    -1,    -1,    -1,    -1,    -1,
     500,    -1,    -1,    -1,   504,   505,   506,   507,   508,    -1,
      -1,   511,   512,   513,    -1,    -1,    -1,    -1,   518,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    99,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,   192,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
     506,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,   514,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
      -1,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,    -1,   314,   315,
     316,   317,    -1,    -1,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   514,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,    -1,    -1,   314,   315,   316,   317,    -1,    -1,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,   514,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,   229,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,   282,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,   426,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,   511,   512,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,   506,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,   451,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      99,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,   313,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,   229,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,   313,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,   466,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      72,    -1,    -1,    75,    76,    77,    78,    79,    80,    81,
      82,    83,    84,    85,    86,    87,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,    -1,   451,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   513,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    72,
      -1,    -1,    75,    76,    77,    78,    79,    80,    81,    82,
      83,    84,    85,    86,    87,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,   259,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,   285,   286,   287,    -1,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,    -1,   451,   452,
     453,   454,   455,   456,   457,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     513,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    83,
      84,    85,    86,    87,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,   451,   452,   453,
     454,   455,   456,   457,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     504,   505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,   451,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,
     505,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,    75,
      76,    77,    78,    79,    80,    81,    82,    83,    84,    85,
      86,    87,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,   130,   131,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,   164,   165,
     166,   167,   168,   169,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,   292,   293,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,   312,   313,   314,   315,
     316,   317,   318,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,   402,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,   451,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    83,    84,    85,    86,
      87,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
     107,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,   130,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,   313,   314,   315,   316,
     317,   318,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,   451,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    72,    -1,    -1,    75,    76,    77,
      78,    79,    80,    81,    82,    83,    84,    85,    86,    87,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,   264,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,   457,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,   130,   131,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,   163,   164,   165,   166,   167,   168,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,   217,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,   264,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,    -1,    -1,
     289,   290,   291,   292,   293,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,   402,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,   442,   443,   444,   445,   446,   447,   448,
     449,    -1,   451,   452,   453,   454,   455,   456,   457,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   513,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    -1,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,   513,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    72,    -1,    -1,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      -1,    86,    87,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,   107,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,   457,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,   513,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    83,    84,    85,    86,    87,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
     130,   131,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,    -1,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,   264,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,    -1,    -1,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   513,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    83,    84,    85,    86,    87,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,   107,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,    -1,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,   217,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,    -1,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   504,   505,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   513,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,   328,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,   279,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,   328,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,   131,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,   457,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,   131,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,   164,   165,   166,
     167,   168,   169,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,   292,   293,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,   402,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
     457,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,   513,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,   513,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,   108,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   514,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    75,    76,    77,    78,    79,    80,
      -1,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,   512,   513,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    75,
      76,    77,    78,    79,    80,    -1,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,   426,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,   477,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   513,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
     396,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,   477,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   513,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,    -1,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,    -1,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,   513,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    28,    -1,    -1,    31,    32,    33,    34,    -1,
      -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,
     116,   117,   118,   119,   120,    -1,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,
     146,   147,   148,   149,    -1,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,   242,   243,   244,    -1,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,    -1,
     286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,    -1,   309,   310,   311,   312,    -1,   314,   315,
      -1,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
      -1,   337,    -1,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,    -1,   385,
     386,   387,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,    -1,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,   464,   465,
      -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,   493,   494,   495,
      -1,    -1,    -1,    -1,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,   513,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    72,    -1,    -1,    75,    76,    77,    78,    79,    80,
      81,    82,    -1,    -1,    85,    86,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    99,   100,
     101,   102,   103,   104,   105,   106,   107,   108,   109,   110,
     111,   112,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,   124,   125,   126,   127,   128,   129,   130,
     131,   132,   133,   134,   135,   136,   137,   138,   139,   140,
     141,    -1,   143,   144,   145,   146,   147,   148,   149,   150,
     151,   152,   153,   154,   155,   156,   157,   158,   159,   160,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,   182,   183,   184,   185,   186,   187,   188,   189,   190,
     191,   192,   193,   194,   195,   196,   197,   198,   199,   200,
     201,   202,   203,   204,   205,   206,   207,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,   217,   218,   219,   220,
     221,   222,   223,   224,   225,   226,   227,   228,   229,   230,
     231,   232,   233,   234,   235,    -1,   237,   238,   239,   240,
     241,   242,   243,   244,   245,   246,   247,   248,   249,   250,
     251,   252,   253,   254,   255,   256,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,   266,   267,   268,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,   279,   280,
     281,   282,   283,    -1,   285,   286,   287,   288,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,   313,   314,   315,   316,   317,   318,    -1,   320,
     321,   322,   323,   324,   325,   326,   327,   328,   329,   330,
     331,   332,   333,   334,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,   347,   348,    -1,   350,
      -1,   352,   353,   354,   355,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,   369,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
     381,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,   396,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
     411,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,   423,   424,   425,   426,   427,   428,   429,   430,
     431,   432,   433,   434,   435,    -1,   437,   438,    -1,   440,
      -1,   442,   443,   444,   445,   446,   447,   448,   449,    -1,
     451,   452,   453,   454,   455,   456,   457,   458,   459,   460,
     461,   462,   463,    -1,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,   475,   476,   477,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,   495,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    28,
      -1,    -1,    31,    32,    33,    34,    -1,    -1,    37,    38,
      39,    40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,    -1,   116,   117,   118,
     119,   120,    -1,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,    -1,    -1,   146,   147,   148,
     149,    -1,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,    -1,
      -1,    -1,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,    -1,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,    -1,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,    -1,    -1,   272,    -1,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,    -1,
     309,   310,   311,   312,    -1,   314,   315,    -1,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,    -1,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,    -1,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,    -1,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,    -1,    -1,    -1,
      -1,   500,   501,   502,    -1,   504,   505,   506,   507,   508,
     509,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      85,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,    -1,    -1,    -1,    -1,   500,   501,   502,    -1,   504,
     505,   506,   507,   508,   509,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    -1,    26,    27,    28,    -1,    -1,
      31,    32,    33,    34,    -1,    -1,    37,    38,    39,    40,
      -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,    -1,   116,   117,   118,   119,   120,
      -1,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
      -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,    -1,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,    -1,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,
      -1,   272,    -1,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,    -1,   309,   310,
     311,   312,    -1,   314,   315,    -1,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,    -1,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,   404,   405,   406,    -1,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,    -1,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,   500,
     501,   502,    -1,   504,   505,   506,   507,   508,   509,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    -1,    26,
      27,    28,    -1,    -1,    31,    32,    33,    34,    -1,    -1,
      37,    38,    39,    40,    -1,    42,    -1,    -1,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    85,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,    -1,   116,
     117,   118,   119,   120,    -1,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,    -1,    -1,   146,
     147,   148,   149,    -1,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,    -1,   162,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,    -1,    -1,    -1,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,   242,   243,   244,    -1,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,    -1,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,    -1,    -1,   272,    -1,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,    -1,   286,
      -1,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,    -1,   309,   310,   311,   312,    -1,   314,   315,    -1,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,    -1,
     337,    -1,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,    -1,   385,   386,
     387,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
      -1,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,   464,   465,    -1,
     467,    -1,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   493,   494,   495,    -1,
      -1,    -1,    -1,   500,   501,   502,    -1,   504,   505,   506,
     507,   508,   509,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    28,    -1,    -1,    31,    32,
      33,    34,    -1,    -1,    37,    38,    39,    40,    -1,    42,
      -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    85,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,    -1,   116,   117,   118,   119,   120,    -1,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,   142,
      -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,    -1,   162,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,   212,
     213,   214,   215,   216,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,
     233,    -1,   235,   236,    -1,   238,    -1,   240,   241,   242,
     243,   244,    -1,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,    -1,   259,    -1,   261,   262,
     263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,
      -1,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,   284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,    -1,   309,   310,   311,   312,
      -1,   314,   315,    -1,   317,    -1,   319,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,   335,    -1,   337,    -1,   339,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,   349,   350,   351,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,    -1,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,    -1,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,   439,   440,   441,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,   464,   465,    -1,   467,    -1,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,    -1,    -1,    -1,    -1,   500,   501,   502,
      -1,   504,   505,   506,   507,   508,   509,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    99,   100,   101,   102,   103,   104,   105,   106,   107,
     108,   109,   110,   111,   112,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,   124,   125,   126,   127,
     128,   129,   130,   131,   132,   133,   134,   135,   136,   137,
     138,   139,   140,   141,   142,   143,   144,   145,   146,   147,
     148,   149,   150,   151,   152,   153,   154,   155,   156,   157,
     158,   159,   160,   161,   162,   163,   164,   165,   166,   167,
     168,   169,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,   182,   183,   184,   185,   186,   187,
     188,   189,   190,   191,   192,   193,   194,   195,   196,   197,
     198,   199,   200,   201,   202,   203,   204,   205,   206,   207,
     208,   209,   210,   211,   212,   213,   214,   215,   216,   217,
     218,   219,   220,   221,   222,   223,   224,   225,   226,   227,
     228,   229,   230,   231,   232,   233,   234,   235,   236,   237,
     238,   239,   240,   241,   242,   243,   244,   245,   246,   247,
     248,   249,   250,   251,   252,   253,   254,   255,   256,   257,
     258,   259,   260,   261,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,   279,   280,   281,   282,   283,   284,   285,   286,   287,
     288,   289,   290,   291,   292,   293,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,   313,   314,   315,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,   327,
     328,   329,   330,   331,   332,   333,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,   347,
     348,   349,   350,   351,   352,   353,   354,   355,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,   369,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,   381,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,   396,   397,
     398,   399,   400,   401,   402,   403,   404,   405,   406,   407,
     408,   409,   410,   411,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,   423,   424,   425,   426,   427,
     428,   429,   430,   431,   432,   433,   434,   435,   436,   437,
     438,   439,   440,   441,   442,   443,   444,   445,   446,   447,
     448,   449,   450,   451,   452,   453,   454,   455,   456,   457,
     458,   459,   460,   461,   462,   463,   464,   465,   466,   467,
     468,   469,   470,   471,   472,   473,   474,   475,   476,   477,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,    -1,     5,
       6,     7,     8,     9,    10,    11,    12,    13,   506,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
      -1,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,   249,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,    -1,   314,   315,
     316,   317,    -1,    -1,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,   333,   334,   335,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
     466,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
      -1,    -1,     6,     7,     8,     9,    10,    11,    12,    13,
     506,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    -1,    26,    27,    28,    -1,    -1,    31,    32,    33,
      34,    -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,
      -1,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,    -1,   116,   117,   118,   119,   120,    -1,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
      -1,    -1,   146,   147,   148,   149,    -1,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,    -1,   162,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,   242,   243,
     244,    -1,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,    -1,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,    -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,    -1,   309,   310,   311,   312,    -1,
     314,   315,    -1,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,    -1,   337,    -1,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
      -1,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,    -1,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
     464,   465,    -1,   467,    -1,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,    -1,    -1,     6,     7,     8,     9,    10,    11,
      12,    13,   506,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    28,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,    -1,   116,   117,   118,   119,   120,    -1,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,    -1,    -1,   146,   147,   148,   149,    -1,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,    -1,
     162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,    -1,    -1,    -1,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
     242,   243,   244,    -1,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,    -1,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,    -1,    -1,
     272,    -1,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,    -1,   286,    -1,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,    -1,   309,   310,   311,
     312,    -1,   314,   315,    -1,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,    -1,   337,    -1,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,    -1,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,    -1,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,    -1,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,    -1,    -1,     6,     7,     8,     9,
      10,    11,    12,    13,   506,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,   229,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,   229,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,   229,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,   229,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   504,   505,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,   436,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,    -1,    -1,    -1,     4,
     500,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      -1,    26,    27,    28,    -1,    -1,    31,    32,    33,    34,
      -1,    -1,    37,    38,    39,    40,    -1,    42,    -1,    -1,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
      -1,   116,   117,   118,   119,   120,    -1,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,    -1,
      -1,   146,   147,   148,   149,    -1,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,    -1,   162,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,    -1,    -1,    -1,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,   242,   243,   244,
      -1,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,    -1,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,    -1,    -1,   272,    -1,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
      -1,   286,    -1,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,    -1,   309,   310,   311,   312,    -1,   314,
     315,    -1,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
     335,    -1,   337,    -1,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,    -1,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,    -1,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,   464,
     465,    -1,   467,    -1,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    75,    76,    77,    78,    79,    80,    81,    82,    -1,
      -1,    -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    99,   100,   101,   102,   103,
     104,   105,   106,   107,   108,   109,   110,   111,   112,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
     124,   125,   126,   127,   128,   129,   130,   131,   132,   133,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,   145,   146,   147,   148,   149,   150,   151,   152,   153,
     154,   155,   156,   157,   158,   159,   160,   161,   162,   163,
     164,   165,   166,   167,   168,   169,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,   182,   183,
     184,   185,   186,   187,   188,   189,   190,   191,   192,   193,
     194,   195,   196,   197,   198,   199,   200,   201,   202,   203,
     204,   205,   206,   207,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,   219,   220,   221,   222,   223,
     224,   225,   226,   227,   228,   229,   230,   231,   232,   233,
     234,   235,   236,   237,   238,   239,   240,   241,   242,   243,
     244,   245,   246,   247,   248,   249,   250,   251,   252,   253,
     254,   255,   256,   257,   258,   259,   260,   261,   262,   263,
     264,   265,   266,   267,   268,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,   279,   280,   281,   282,   283,
     284,   285,   286,   287,   288,   289,   290,   291,   292,   293,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,   313,
     314,   315,   316,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   327,   328,   329,   330,   331,   332,   333,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   381,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
     394,   395,   396,   397,   398,   399,   400,   401,   402,   403,
     404,   405,   406,   407,   408,   409,   410,   411,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,   423,
     424,   425,   426,   427,   428,   429,   430,   431,   432,   433,
     434,   435,   436,   437,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,   450,   451,   452,   453,
     454,   455,   456,   457,   458,   459,   460,   461,   462,   463,
     464,   465,   466,   467,   468,   469,   470,   471,   472,   473,
     474,   475,   476,   477,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    99,   100,   101,   102,
     103,   104,   105,   106,   107,   108,   109,   110,   111,   112,
     113,   114,   115,   116,   117,   118,   119,   120,   121,   122,
     123,   124,   125,   126,   127,   128,   129,   130,   131,   132,
     133,   134,   135,   136,   137,   138,   139,   140,   141,   142,
     143,   144,   145,   146,   147,   148,   149,   150,   151,   152,
     153,   154,   155,   156,   157,   158,   159,   160,   161,   162,
     163,   164,   165,   166,   167,   168,   169,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   182,
     183,   184,   185,   186,   187,   188,   189,   190,   191,   192,
     193,   194,   195,   196,   197,   198,   199,   200,   201,   202,
     203,   204,   205,   206,   207,   208,   209,   210,   211,   212,
     213,   214,   215,   216,   217,   218,   219,   220,   221,   222,
     223,   224,   225,   226,   227,   228,   229,   230,   231,   232,
     233,   234,   235,   236,   237,   238,   239,   240,   241,   242,
     243,   244,   245,   246,   247,   248,   249,   250,   251,   252,
     253,   254,   255,   256,   257,   258,   259,   260,   261,   262,
     263,   264,   265,   266,   267,   268,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,   279,   280,   281,   282,
     283,   284,   285,   286,   287,   288,   289,   290,   291,   292,
     293,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,   312,
     313,   314,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   327,   328,   329,   330,   331,   332,
     333,   334,   335,   336,   337,   338,   339,   340,   341,   342,
     343,   344,   345,   346,   347,   348,   349,   350,   351,   352,
     353,   354,   355,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   381,   382,
     383,   384,   385,   386,   387,   388,   389,   390,   391,   392,
     393,   394,   395,   396,   397,   398,   399,   400,   401,   402,
     403,   404,   405,   406,   407,   408,   409,   410,   411,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,   422,
     423,   424,   425,   426,   427,   428,   429,   430,   431,   432,
     433,   434,   435,   436,   437,   438,   439,   440,   441,   442,
     443,   444,   445,   446,   447,   448,   449,   450,   451,   452,
     453,   454,   455,   456,   457,   458,   459,   460,   461,   462,
     463,   464,   465,   466,   467,   468,   469,   470,   471,   472,
     473,   474,   475,   476,   477,   478,   479,   480,   481,   482,
     483,   484,   485,   486,   487,   488,   489,   490,   491,   492,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,   103,   104,   105,   106,   107,   108,   109,   110,   111,
     112,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,   124,   125,   126,   127,   128,   129,   130,   131,
     132,   133,   134,   135,   136,   137,   138,   139,   140,   141,
     142,   143,   144,   145,   146,   147,   148,   149,   150,   151,
     152,   153,   154,   155,   156,   157,   158,   159,   160,   161,
     162,   163,   164,   165,   166,   167,   168,   169,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
     182,   183,   184,   185,   186,   187,   188,   189,   190,   191,
     192,   193,   194,   195,   196,   197,   198,   199,   200,   201,
     202,   203,   204,   205,   206,   207,   208,   209,   210,   211,
     212,   213,   214,   215,   216,   217,   218,   219,   220,   221,
     222,   223,   224,   225,   226,   227,   228,   229,   230,   231,
     232,   233,   234,   235,   236,   237,   238,   239,   240,   241,
     242,   243,   244,   245,   246,   247,   248,   249,   250,   251,
     252,   253,   254,   255,   256,   257,   258,   259,   260,   261,
     262,   263,   264,   265,   266,   267,   268,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,   279,   280,   281,
     282,   283,   284,   285,   286,   287,   288,   289,   290,   291,
     292,   293,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
     312,   313,   314,   315,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   327,   328,   329,   330,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,   369,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,   381,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,   394,   395,   396,   397,   398,   399,   400,   401,
     402,   403,   404,   405,   406,   407,   408,   409,   410,   411,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,   423,   424,   425,   426,   427,   428,   429,   430,   431,
     432,   433,   434,   435,   436,   437,   438,   439,   440,   441,
     442,   443,   444,   445,   446,   447,   448,   449,   450,   451,
     452,   453,   454,   455,   456,   457,   458,   459,   460,   461,
     462,   463,   464,   465,   466,   467,   468,   469,   470,   471,
     472,   473,   474,   475,   476,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,   119,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
     131,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,   142,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,   164,   165,   166,   167,   168,   169,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,   212,   213,   214,   215,   216,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,   236,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,   259,    -1,
     261,   262,   263,    -1,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,   284,   285,   286,   287,    -1,   289,   290,
     291,   292,   293,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,   312,    -1,   314,   315,   316,   317,    -1,   319,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,   335,   336,   337,   338,   339,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,   349,   350,
     351,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,   387,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,   402,   403,   404,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,   422,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,   439,   440,
     441,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,   457,    -1,   459,   460,
     461,   462,   463,   464,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,   484,   485,   486,   487,   488,   489,   490,
     491,   492,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     5,     6,     7,     8,
       9,    10,    11,    12,    13,    -1,    15,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    25,    26,    27,    28,
      29,    -1,    31,    32,    33,    34,    35,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,
      69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,   134,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,   152,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,   175,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,   242,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,   394,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,    -1,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,   464,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,   493,   494,   495,     5,     6,     7,
       8,     9,    10,    11,    12,    13,    -1,    15,    16,    -1,
      -1,    19,    20,    21,    22,    23,    24,    25,    26,    27,
      28,    29,    -1,    31,    32,    33,    34,    35,    36,    37,
      38,    39,    40,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,    67,
      -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,   134,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,   152,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,   175,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,   242,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,   394,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,   464,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,   493,   494,   495,     5,     6,
       7,     8,     9,    10,    11,    12,    13,    -1,    15,    16,
      -1,    -1,    19,    20,    21,    22,    23,    24,    25,    26,
      27,    28,    29,    -1,    31,    32,    33,    34,    35,    36,
      37,    38,    39,    40,    -1,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,    56,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,    -1,
      67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,    -1,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,   134,   135,   136,
      -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,   152,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,   175,   176,
     177,   178,   179,    -1,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,    -1,   213,   214,   215,    -1,
      -1,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,    -1,
      -1,   238,    -1,   240,   241,   242,   243,   244,   245,   246,
     247,   248,   249,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,   264,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,    -1,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,   309,   310,   311,    -1,    -1,   314,   315,   316,
     317,    -1,    -1,   320,   321,   322,   323,   324,    -1,   326,
      -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,    -1,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
      -1,   388,   389,   390,   391,   392,   393,   394,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,    -1,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,   466,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,     5,
       6,     7,     8,     9,    10,    11,    12,    13,    -1,    15,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    25,
      26,    27,    28,    29,    -1,    31,    32,    33,    34,    35,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,    -1,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,   134,   135,
     136,    -1,   138,   139,   140,   141,    -1,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,   152,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,   175,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,    -1,   213,   214,   215,
      -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
      -1,    -1,   238,    -1,   240,   241,   242,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,    -1,    -1,   261,   262,   263,   264,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,    -1,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,   309,   310,   311,    -1,    -1,   314,   315,
     316,   317,   318,    -1,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,    -1,
     336,   337,   338,    -1,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,    -1,   350,    -1,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,    -1,   388,   389,   390,   391,   392,   393,   394,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,    -1,    -1,   424,   425,
     426,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,   495,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    -1,
      15,    16,    -1,    -1,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    -1,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,
      -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,    -1,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,   134,
     135,   136,    -1,   138,   139,   140,   141,    -1,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,   152,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
     175,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,    -1,   213,   214,
     215,    -1,    -1,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,    -1,    -1,   238,    -1,   240,   241,   242,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,    -1,    -1,   261,   262,   263,   264,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,    -1,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,    -1,   320,   321,   322,   323,   324,
      -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,
      -1,   336,   337,   338,    -1,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,    -1,   350,    -1,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,    -1,   388,   389,   390,   391,   392,   393,   394,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,    -1,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,   494,
     495,     5,     6,     7,     8,     9,    10,    11,    12,    13,
      -1,    15,    16,    -1,    -1,    19,    20,    21,    22,    23,
      24,    25,    26,    27,    28,    29,    -1,    31,    32,    33,
      34,    35,    36,    37,    38,    39,    40,    -1,    42,    43,
      44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,    -1,
      -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,    -1,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
     134,   135,   136,    -1,   138,   139,   140,   141,    -1,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,   152,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,   175,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,    -1,   213,
     214,   215,    -1,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,    -1,    -1,   261,   262,   263,
     264,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
      -1,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,    -1,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,    -1,   336,   337,   338,    -1,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,    -1,   350,    -1,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,    -1,   388,   389,   390,   391,   392,   393,
     394,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,    -1,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   493,
     494,   495,     5,     6,     7,     8,     9,    10,    11,    12,
      13,    -1,    15,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    25,    26,    27,    28,    29,    -1,    31,    32,
      33,    34,    35,    36,    37,    38,    39,    40,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,
      93,    94,    95,    96,    97,    98,    -1,   100,   101,   102,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,
     113,   114,   115,   116,   117,   118,    -1,   120,   121,   122,
     123,    -1,   125,   126,   127,   128,   129,    -1,    -1,   132,
     133,   134,   135,   136,    -1,   138,   139,   140,   141,    -1,
      -1,   144,    -1,   146,   147,   148,   149,   150,   151,   152,
      -1,   154,   155,   156,   157,   158,   159,    -1,   161,   162,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,
     173,   174,   175,   176,   177,   178,   179,    -1,   181,    -1,
     183,   184,   185,   186,   187,    -1,   189,   190,   191,    -1,
      -1,   194,   195,   196,   197,   198,    -1,   200,   201,   202,
      -1,   204,   205,   206,    -1,   208,   209,   210,   211,    -1,
     213,   214,   215,    -1,    -1,   218,    -1,   220,   221,   222,
     223,    -1,   225,    -1,   227,   228,    -1,   230,   231,   232,
     233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,   242,
     243,   244,   245,   246,   247,   248,    -1,   250,   251,   252,
     253,   254,   255,    -1,   257,   258,    -1,    -1,   261,   262,
     263,   264,   265,    -1,   267,    -1,   269,   270,   271,   272,
     273,   274,   275,   276,   277,   278,    -1,   280,   281,    -1,
     283,    -1,   285,   286,   287,    -1,   289,   290,   291,    -1,
      -1,   294,   295,   296,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   309,   310,   311,    -1,
      -1,   314,   315,   316,   317,    -1,    -1,   320,   321,   322,
     323,   324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,
      -1,   334,    -1,   336,   337,   338,    -1,   340,   341,   342,
     343,   344,   345,   346,    -1,   348,    -1,   350,    -1,   352,
     353,   354,    -1,   356,   357,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,    -1,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,    -1,   382,
     383,   384,   385,   386,    -1,   388,   389,   390,   391,   392,
     393,   394,   395,    -1,   397,   398,   399,   400,   401,    -1,
     403,   404,   405,   406,   407,   408,   409,   410,    -1,   412,
     413,   414,   415,   416,   417,   418,   419,   420,   421,    -1,
      -1,   424,   425,    -1,   427,   428,   429,   430,   431,   432,
      -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,    -1,
     443,   444,   445,   446,   447,   448,   449,    -1,    -1,   452,
     453,   454,   455,   456,    -1,    -1,   459,   460,   461,   462,
     463,    -1,   465,    -1,   467,   468,   469,   470,   471,   472,
      -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,   482,
     483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     493,   494,   495,     5,     6,     7,     8,     9,    10,    11,
      12,    13,    -1,    15,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    25,    26,    27,    28,    29,    -1,    31,
      32,    33,    34,    35,    36,    37,    38,    39,    40,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    50,    51,
      -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,    -1,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,   134,   135,   136,    -1,   138,   139,   140,   141,
      -1,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
     152,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,   175,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
      -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,   241,
     242,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,    -1,    -1,   261,
     262,   263,   264,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,    -1,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,   309,   310,   311,
      -1,    -1,   314,   315,   316,   317,    -1,    -1,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,    -1,   350,    -1,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,    -1,   388,   389,   390,   391,
     392,   393,   394,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
      -1,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,    -1,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   493,   494,   495,     5,     6,     7,     8,     9,    10,
      11,    12,    13,    -1,    15,    16,    -1,    -1,    19,    20,
      21,    22,    23,    24,    25,    26,    27,    28,    29,    -1,
      31,    32,    33,    34,    35,    36,    37,    38,    39,    40,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    50,
      51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,    70,
      71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      91,    92,    93,    94,    95,    96,    97,    98,    -1,   100,
     101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,
     111,    -1,   113,   114,   115,   116,   117,   118,    -1,   120,
     121,   122,   123,    -1,   125,   126,   127,   128,   129,    -1,
      -1,   132,   133,   134,   135,   136,    -1,   138,   139,   140,
     141,    -1,    -1,   144,    -1,   146,   147,   148,   149,   150,
     151,   152,    -1,   154,   155,   156,   157,   158,   159,    -1,
     161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,
     171,   172,   173,   174,   175,   176,   177,   178,   179,    -1,
     181,    -1,   183,   184,   185,   186,   187,    -1,   189,   190,
     191,    -1,    -1,   194,   195,   196,   197,   198,    -1,   200,
     201,   202,    -1,   204,   205,   206,    -1,   208,   209,   210,
     211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,   220,
     221,   222,   223,    -1,   225,    -1,   227,   228,    -1,   230,
     231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,   240,
     241,   242,   243,   244,   245,   246,   247,   248,    -1,   250,
     251,   252,   253,   254,   255,    -1,   257,   258,    -1,    -1,
     261,   262,   263,   264,   265,    -1,   267,    -1,   269,   270,
     271,   272,   273,   274,   275,   276,   277,   278,    -1,   280,
     281,    -1,   283,    -1,   285,   286,   287,    -1,   289,   290,
     291,    -1,    -1,   294,   295,   296,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   309,   310,
     311,    -1,    -1,   314,   315,   316,   317,    -1,    -1,   320,
     321,   322,   323,   324,    -1,   326,    -1,    -1,   329,   330,
     331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,   340,
     341,   342,   343,   344,   345,   346,    -1,   348,    -1,   350,
      -1,   352,   353,   354,    -1,   356,   357,   358,   359,   360,
     361,   362,   363,   364,   365,   366,   367,   368,    -1,   370,
     371,   372,   373,   374,   375,   376,   377,   378,   379,   380,
      -1,   382,   383,   384,   385,   386,    -1,   388,   389,   390,
     391,   392,   393,   394,   395,    -1,   397,   398,   399,   400,
     401,    -1,   403,    -1,   405,   406,   407,   408,   409,   410,
      -1,   412,   413,   414,   415,   416,   417,   418,   419,   420,
     421,    -1,    -1,   424,   425,    -1,   427,   428,   429,   430,
     431,   432,    -1,   434,   435,    -1,    -1,   438,    -1,   440,
      -1,    -1,   443,   444,   445,   446,   447,   448,   449,    -1,
      -1,   452,   453,   454,   455,   456,    -1,    -1,   459,   460,
     461,   462,   463,    -1,   465,    -1,   467,   468,   469,   470,
     471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,
     481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   493,   494,   495,     5,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    25,    26,    27,    28,    29,
      -1,    31,    32,    33,    34,    35,    36,    37,    38,    39,
      40,    -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,    -1,
      -1,   121,    -1,    -1,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,    -1,   136,    -1,   138,   139,
     140,   141,    -1,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,    -1,    -1,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,    -1,   213,   214,   215,    -1,    -1,   218,    -1,
     220,   221,    -1,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,    -1,    -1,   238,    -1,
     240,   241,   242,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,    -1,
      -1,   261,   262,   263,    -1,    -1,    -1,    -1,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,    -1,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,    -1,   308,    -1,
     310,   311,    -1,    -1,   314,   315,   316,   317,    -1,    -1,
     320,    -1,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,    -1,   336,   337,   338,    -1,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,    -1,
     350,    -1,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,    -1,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,    -1,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,    -1,   405,   406,   407,   408,    -1,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,    -1,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,    -1,    -1,    -1,    -1,   438,    -1,
     440,    -1,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,    -1,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,   103,   104,   105,   106,   107,   108,   109,
     110,   111,   112,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,   124,   125,   126,   127,   128,   129,
     130,   131,   132,   133,    -1,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,   145,   146,   147,   148,   149,
     150,   151,   152,   153,   154,   155,   156,   157,   158,   159,
     160,   161,   162,    -1,   164,   165,   166,   167,   168,   169,
     170,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
     180,   181,   182,   183,   184,   185,   186,   187,   188,   189,
     190,   191,   192,   193,   194,   195,   196,   197,   198,   199,
     200,   201,   202,   203,   204,   205,   206,   207,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,   219,
     220,   221,   222,   223,   224,   225,   226,   227,   228,   229,
     230,   231,   232,   233,   234,   235,   236,   237,   238,   239,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,   249,
     250,   251,   252,   253,   254,   255,   256,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,   266,   267,   268,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,   279,
     280,   281,   282,   283,   284,   285,   286,   287,   288,   289,
     290,   291,   292,   293,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,   313,   314,   315,   316,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,   327,   328,   329,
     330,   331,   332,   333,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,   347,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   381,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,   396,   397,   398,   399,
     400,   401,   402,   403,   404,   405,   406,   407,   408,   409,
     410,   411,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,   423,   424,   425,   426,   427,   428,   429,
     430,   431,   432,   433,   434,   435,    -1,   437,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,   457,   458,   459,
     460,   461,   462,   463,    -1,   465,   466,   467,   468,   469,
     470,   471,   472,   473,   474,   475,   476,   477,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,    -1,   145,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,   226,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,   226,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,   234,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,   137,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,   153,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,   226,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,   355,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,   451,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,   163,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,   226,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
     160,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,   369,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,   396,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,   426,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,   103,   104,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,   457,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    72,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,   328,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    74,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    14,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,   458,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    99,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,   108,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,    -1,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,   388,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,     9,
      10,    11,    12,    13,    -1,    15,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    28,    -1,
      -1,    31,    32,    33,    34,    -1,    -1,    37,    38,    39,
      40,    -1,    42,    -1,    -1,    45,    46,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,    -1,   116,   117,   118,   119,
     120,    -1,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,   134,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,    -1,    -1,   146,   147,   148,   149,
      -1,   151,   152,    -1,   154,   155,   156,   157,   158,   159,
      -1,    -1,   162,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   171,   172,   173,   174,   175,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,    -1,    -1,
      -1,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,   242,   243,   244,    -1,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,    -1,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
      -1,    -1,   272,    -1,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,    -1,   286,    -1,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,    -1,   309,
     310,   311,   312,    -1,   314,   315,    -1,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,    -1,   337,    -1,   339,
     340,   341,   342,   343,    -1,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,    -1,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,    -1,   385,   386,   387,    -1,   389,
     390,   391,   392,   393,   394,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,    -1,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,   464,   465,    -1,   467,    -1,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,   493,   494,   495,     6,     7,     8,    -1,
      10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,    19,
      20,    21,    22,    23,    24,    -1,    26,    27,    -1,    -1,
      -1,    31,    32,    33,    34,    -1,    36,    37,    38,    39,
      40,    41,    42,    43,    44,    -1,    -1,    -1,    -1,    -1,
      50,    51,    -1,    -1,    -1,    -1,    56,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    65,    -1,    67,    -1,    69,
      70,    71,    -1,    73,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,
      -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,    -1,
     150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,    -1,
      -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,    -1,
     230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,   259,
      -1,    -1,    -1,    -1,    -1,   265,    -1,   267,    -1,    -1,
     270,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   284,   285,    -1,   287,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,   309,
      -1,    -1,   312,    -1,    -1,    -1,   316,    -1,    -1,   319,
      -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   335,   336,    -1,   338,   339,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,
      -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   384,    -1,    -1,   387,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   404,    -1,    -1,   407,    -1,   409,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   434,   435,    -1,    -1,    -1,   439,
      -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,   468,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,   489,
     490,   491,   492,     6,     7,     8,    -1,    10,    11,    12,
      -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,    22,
      23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,    32,
      33,    34,    -1,    36,    37,    38,    39,    40,    41,    42,
      43,    44,    -1,    -1,    -1,    -1,    -1,    50,    51,    -1,
      -1,    -1,    -1,    56,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    65,    -1,    67,    -1,    69,    70,    71,    -1,
      73,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,   122,
     123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,   142,
      -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,    -1,
      -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   204,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   212,
      -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,   222,
      -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,    -1,
      -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,    -1,
      -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,    -1,
     273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,   312,
      -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   422,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   450,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   484,   485,   486,   487,   488,   489,   490,   491,   492,
       6,     7,     8,    -1,    10,    11,    12,    -1,    -1,    -1,
      16,    -1,    -1,    19,    20,    21,    22,    23,    24,    -1,
      26,    27,    -1,    -1,    -1,    31,    32,    33,    34,    -1,
      36,    37,    38,    39,    40,    -1,    42,    43,    44,    -1,
      -1,    -1,    -1,    -1,    50,    51,    -1,    -1,    -1,    -1,
      56,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    65,
      -1,    67,    -1,    69,    -1,    71,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   115,
      -1,    -1,    -1,   119,   120,   121,   122,   123,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   135,
      -1,    -1,    -1,    -1,    -1,    -1,   142,    -1,   144,    -1,
      -1,    -1,    -1,    -1,   150,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   161,    -1,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   177,   178,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   204,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   212,    -1,    -1,    -1,
     216,    -1,    -1,    -1,    -1,    -1,   222,    -1,    -1,    -1,
      -1,    -1,   228,    -1,   230,    -1,    -1,    -1,    -1,    -1,
     236,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   245,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   258,   259,    -1,    -1,    -1,    -1,    -1,   265,
      -1,   267,    -1,    -1,   270,   271,    -1,   273,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   284,   285,
      -1,   287,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   307,   308,   309,    -1,    -1,   312,    -1,    -1,    -1,
     316,    -1,    -1,   319,    -1,   321,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   335,
     336,    -1,   338,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   349,    -1,   351,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   364,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   384,    -1,
      -1,   387,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   404,    -1,
      -1,   407,    -1,   409,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   422,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   434,   435,
      -1,    -1,    -1,   439,    -1,   441,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   450,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   465,
      -1,    -1,   468,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   484,   485,
     486,   487,   488,   489,   490,   491,   492,     6,     7,     8,
      -1,    10,    11,    12,    -1,    -1,    -1,    16,    -1,    -1,
      19,    20,    21,    22,    23,    24,    -1,    26,    27,    -1,
      -1,    -1,    31,    32,    33,    34,    -1,    36,    37,    38,
      39,    40,    -1,    42,    43,    44,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    71,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   115,    -1,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   135,    -1,    -1,    -1,
      -1,    -1,    -1,   142,    -1,   144,    -1,    -1,    -1,    -1,
      -1,   150,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   161,    -1,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   177,   178,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   204,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   212,    -1,    -1,    -1,   216,    -1,    -1,
      -1,    -1,    -1,   222,    -1,    -1,    -1,    -1,    -1,   228,
      -1,   230,    -1,    -1,    -1,    -1,    -1,   236,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   245,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   258,
     259,    -1,    -1,    -1,    -1,    -1,   265,    -1,   267,    -1,
      -1,   270,   271,    -1,   273,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   284,   285,    -1,   287,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   307,   308,
     309,    -1,    -1,   312,    -1,    -1,    -1,   316,    -1,    -1,
     319,    -1,   321,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   335,   336,    -1,   338,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     349,    -1,   351,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   364,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   384,    -1,    -1,   387,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   404,    -1,    -1,   407,    -1,
     409,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   422,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   434,   435,    -1,    -1,    -1,
     439,    -1,   441,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   450,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   465,    -1,    -1,   468,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   484,   485,   486,   487,   488,
     489,   490,   491,   492,     6,     7,     8,    -1,    10,    11,
      12,    -1,    -1,    -1,    16,    -1,    -1,    19,    20,    21,
      22,    23,    24,    -1,    26,    27,    -1,    -1,    -1,    31,
      32,    33,    34,    -1,    -1,    37,    38,    39,    40,    -1,
      42,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   115,    -1,    -1,    -1,   119,   120,   121,
     122,   123,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   135,    -1,    -1,    -1,    -1,    -1,    -1,
     142,    -1,   144,    -1,    -1,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   161,
      -1,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   177,   178,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     212,    -1,    -1,    -1,   216,    -1,    -1,    -1,    -1,    -1,
     222,    -1,    -1,    -1,    -1,    -1,   228,    -1,   230,    -1,
      -1,    -1,    -1,    -1,   236,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   245,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   258,   259,    -1,    -1,
      -1,    -1,    -1,   265,    -1,   267,    -1,    -1,   270,   271,
      -1,   273,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   284,   285,    -1,   287,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   307,   308,   309,    -1,    -1,
     312,    -1,    -1,    -1,   316,    -1,    -1,   319,    -1,   321,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   335,   336,    -1,   338,   339,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   349,    -1,   351,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   364,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   384,    -1,    -1,   387,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   404,    -1,    -1,   407,    -1,   409,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     422,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   434,   435,    -1,    -1,    -1,   439,    -1,   441,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   465,    -1,    -1,   468,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,    72,    -1,    -1,    75,    76,    77,    78,    79,
      80,    81,    82,    -1,    -1,    -1,    86,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,   217,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,   327,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,   442,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    -1,   494,   495,    -1,    -1,    -1,    71,
      -1,    -1,    -1,    -1,   504,   505,   506,    79,    80,    -1,
      -1,    -1,    -1,   513,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,   103,   104,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,   396,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,   426,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,   464,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,   477,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    -1,   494,   495,    71,    72,    -1,    -1,    75,    76,
      77,    78,    79,    80,    81,    82,    -1,    -1,    -1,    86,
      -1,   513,    -1,    -1,    91,    92,    93,    94,    95,    96,
      97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,   116,
     117,   118,   119,   120,   121,   122,   123,    -1,   125,   126,
     127,   128,   129,    -1,    -1,   132,   133,    -1,   135,   136,
      -1,   138,   139,   140,   141,   142,    -1,   144,    -1,   146,
     147,   148,   149,   150,   151,    -1,    -1,   154,   155,   156,
     157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,
     167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,
     177,   178,   179,   180,   181,    -1,   183,   184,   185,   186,
     187,    -1,   189,   190,   191,    -1,    -1,   194,   195,   196,
     197,   198,    -1,   200,   201,   202,    -1,   204,   205,   206,
      -1,   208,   209,   210,   211,   212,   213,   214,   215,   216,
     217,   218,    -1,   220,   221,   222,   223,    -1,   225,    -1,
     227,   228,    -1,   230,   231,   232,   233,    -1,   235,   236,
      -1,   238,    -1,   240,   241,    -1,   243,   244,   245,   246,
     247,   248,    -1,   250,   251,   252,   253,   254,   255,    -1,
     257,   258,   259,    -1,   261,   262,   263,    -1,   265,    -1,
     267,    -1,   269,   270,   271,   272,   273,   274,   275,   276,
     277,   278,    -1,   280,   281,    -1,   283,   284,   285,   286,
     287,    -1,   289,   290,   291,    -1,    -1,   294,   295,   296,
     297,   298,   299,    -1,   301,   302,    -1,   304,   305,   306,
     307,   308,   309,   310,   311,   312,    -1,   314,   315,   316,
     317,    -1,   319,   320,   321,   322,   323,   324,    -1,   326,
     327,    -1,   329,   330,   331,    -1,    -1,   334,   335,   336,
     337,   338,   339,   340,   341,   342,   343,   344,   345,   346,
      -1,   348,   349,   350,   351,   352,   353,   354,    -1,   356,
     357,   358,   359,   360,   361,   362,   363,   364,   365,   366,
     367,   368,    -1,   370,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,    -1,   382,   383,   384,   385,   386,
     387,   388,   389,   390,   391,   392,   393,    -1,   395,    -1,
     397,   398,   399,   400,   401,    -1,   403,   404,   405,   406,
     407,   408,   409,   410,    -1,   412,   413,   414,   415,   416,
     417,   418,   419,   420,   421,   422,    -1,   424,   425,    -1,
     427,   428,   429,   430,   431,   432,    -1,   434,   435,    -1,
      -1,   438,   439,   440,   441,   442,   443,   444,   445,   446,
     447,   448,   449,    -1,    -1,   452,   453,   454,   455,   456,
      -1,    -1,   459,   460,   461,   462,   463,    -1,   465,    -1,
     467,   468,   469,   470,   471,   472,    -1,    -1,   475,    -1,
      -1,   478,   479,   480,   481,   482,   483,   484,   485,   486,
     487,   488,   489,   490,   491,   492,    -1,   494,   495,    -1,
      -1,    -1,    -1,    -1,    -1,    71,    72,   504,   505,    75,
      76,    77,    78,    79,    80,    81,    82,    -1,    -1,    -1,
      86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,   180,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,   217,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,   327,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,   442,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    -1,   494,   495,
      -1,    -1,    -1,    -1,    -1,    -1,    71,    72,   504,   505,
      75,    76,    77,    78,    79,    80,    81,    82,    -1,    -1,
      -1,    86,    -1,    -1,    -1,    -1,    91,    92,    93,    94,
      95,    96,    97,    98,    -1,   100,   101,   102,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,    -1,
     125,   126,   127,   128,   129,    -1,    -1,   132,   133,    -1,
     135,   136,    -1,   138,   139,   140,   141,   142,    -1,   144,
      -1,   146,   147,   148,   149,   150,   151,    -1,    -1,   154,
     155,   156,   157,   158,   159,    -1,   161,   162,    -1,    -1,
      -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,
      -1,   176,   177,   178,   179,    -1,   181,    -1,   183,   184,
     185,   186,   187,    -1,   189,   190,   191,    -1,    -1,   194,
     195,   196,   197,   198,    -1,   200,   201,   202,    -1,   204,
     205,   206,    -1,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,    -1,   220,   221,   222,   223,    -1,
     225,    -1,   227,   228,    -1,   230,   231,   232,   233,    -1,
     235,   236,    -1,   238,    -1,   240,   241,    -1,   243,   244,
     245,   246,   247,   248,    -1,   250,   251,   252,   253,   254,
     255,    -1,   257,   258,   259,    -1,   261,   262,   263,    -1,
     265,    -1,   267,    -1,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,    -1,   280,   281,    -1,   283,   284,
     285,   286,   287,    -1,   289,   290,   291,    -1,    -1,   294,
     295,   296,   297,   298,   299,    -1,   301,   302,    -1,   304,
     305,   306,   307,   308,   309,   310,   311,   312,    -1,   314,
     315,   316,   317,    -1,   319,   320,   321,   322,   323,   324,
      -1,   326,   327,    -1,   329,   330,   331,    -1,    -1,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,    -1,   348,   349,   350,   351,   352,   353,   354,
      -1,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,    -1,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,    -1,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,    -1,
     395,    -1,   397,   398,   399,   400,   401,    -1,   403,   404,
     405,   406,   407,   408,   409,   410,    -1,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,    -1,   424,
     425,    -1,   427,   428,   429,   430,   431,   432,    -1,   434,
     435,    -1,    -1,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,    -1,    -1,   452,   453,   454,
     455,   456,    -1,    -1,   459,   460,   461,   462,   463,    -1,
     465,    -1,   467,   468,   469,   470,   471,   472,    -1,    -1,
     475,    -1,    -1,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,    -1,   494,
     495,    -1,    -1,    -1,    -1,    -1,    -1,    71,    -1,   504,
     505,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,   217,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,   327,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,   442,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    -1,
     494,   495,    71,    72,    -1,    -1,    75,    76,    77,    78,
      79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    91,    92,    93,    94,    95,    96,    97,    98,
      -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   110,   111,    -1,   113,   114,   115,   116,   117,   118,
     119,   120,   121,   122,   123,    -1,   125,   126,   127,   128,
     129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,
     139,   140,   141,   142,    -1,   144,    -1,   146,   147,   148,
     149,   150,   151,    -1,    -1,   154,   155,   156,   157,   158,
     159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,
      -1,    -1,   171,   172,   173,   174,    -1,   176,   177,   178,
     179,    -1,   181,    -1,   183,   184,   185,   186,   187,    -1,
     189,   190,   191,    -1,    -1,   194,   195,   196,   197,   198,
      -1,   200,   201,   202,    -1,   204,   205,   206,    -1,   208,
     209,   210,   211,   212,   213,   214,   215,   216,    -1,   218,
      -1,   220,   221,   222,   223,    -1,   225,    -1,   227,   228,
      -1,   230,   231,   232,   233,    -1,   235,   236,    -1,   238,
      -1,   240,   241,    -1,   243,   244,   245,   246,   247,   248,
      -1,   250,   251,   252,   253,   254,   255,    -1,   257,   258,
     259,    -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,
     269,   270,   271,   272,   273,   274,   275,   276,   277,   278,
      -1,   280,   281,    -1,   283,   284,   285,   286,   287,    -1,
     289,   290,   291,    -1,    -1,   294,   295,   296,   297,   298,
     299,    -1,   301,   302,    -1,   304,   305,   306,   307,   308,
     309,   310,   311,   312,    -1,   314,   315,   316,   317,    -1,
     319,   320,   321,   322,   323,   324,    -1,   326,    -1,    -1,
     329,   330,   331,    -1,    -1,   334,   335,   336,   337,   338,
     339,   340,   341,   342,   343,   344,   345,   346,    -1,   348,
     349,   350,   351,   352,   353,   354,    -1,   356,   357,   358,
     359,   360,   361,   362,   363,   364,   365,   366,   367,   368,
      -1,   370,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,    -1,   382,   383,   384,   385,   386,   387,   388,
     389,   390,   391,   392,   393,    -1,   395,    -1,   397,   398,
     399,   400,   401,    -1,   403,   404,   405,   406,   407,   408,
     409,   410,    -1,   412,   413,   414,   415,   416,   417,   418,
     419,   420,   421,   422,    -1,   424,   425,    -1,   427,   428,
     429,   430,   431,   432,    -1,   434,   435,   436,    -1,   438,
     439,   440,   441,    -1,   443,   444,   445,   446,   447,   448,
     449,    -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,
     459,   460,   461,   462,   463,    -1,   465,    -1,   467,   468,
     469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,
     479,   480,   481,   482,   483,   484,   485,   486,   487,   488,
     489,   490,   491,   492,    -1,   494,   495,    71,    72,    -1,
      -1,    75,    76,    77,    78,    79,    80,    -1,    82,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    75,    76,    77,    78,    79,    80,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,   180,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    75,    76,    77,    78,    79,
      80,    -1,    82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    75,    76,    77,
      78,    79,    80,    -1,    82,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,   170,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,   457,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,   103,
     104,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    99,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,   237,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    71,   494,   495,    -1,    -1,
      -1,    -1,    -1,    79,    80,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    91,    92,    93,    94,    95,
      96,    97,    98,    -1,   100,   101,   102,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   110,   111,    -1,   113,   114,   115,
     116,   117,   118,   119,   120,   121,   122,   123,    -1,   125,
     126,   127,   128,   129,    -1,    -1,   132,   133,    -1,   135,
     136,    -1,   138,   139,   140,   141,   142,    -1,   144,    -1,
     146,   147,   148,   149,   150,   151,    -1,    -1,   154,   155,
     156,   157,   158,   159,    -1,   161,   162,    -1,    -1,    -1,
      -1,   167,    -1,    -1,    -1,   171,   172,   173,   174,    -1,
     176,   177,   178,   179,    -1,   181,    -1,   183,   184,   185,
     186,   187,    -1,   189,   190,   191,    -1,    -1,   194,   195,
     196,   197,   198,    -1,   200,   201,   202,    -1,   204,   205,
     206,    -1,   208,   209,   210,   211,   212,   213,   214,   215,
     216,    -1,   218,    -1,   220,   221,   222,   223,    -1,   225,
      -1,   227,   228,    -1,   230,   231,   232,   233,    -1,   235,
     236,    -1,   238,    -1,   240,   241,    -1,   243,   244,   245,
     246,   247,   248,    -1,   250,   251,   252,   253,   254,   255,
      -1,   257,   258,   259,    -1,   261,   262,   263,    -1,   265,
      -1,   267,    -1,   269,   270,   271,   272,   273,   274,   275,
     276,   277,   278,    -1,   280,   281,    -1,   283,   284,   285,
     286,   287,    -1,   289,   290,   291,    -1,    -1,   294,   295,
     296,   297,   298,   299,    -1,   301,   302,    -1,   304,   305,
     306,   307,   308,   309,   310,   311,   312,    -1,   314,   315,
     316,   317,    -1,   319,   320,   321,   322,   323,   324,    -1,
     326,    -1,    -1,   329,   330,   331,    -1,    -1,   334,   335,
     336,   337,   338,   339,   340,   341,   342,   343,   344,   345,
     346,    -1,   348,   349,   350,   351,   352,   353,   354,    -1,
     356,   357,   358,   359,   360,   361,   362,   363,   364,   365,
     366,   367,   368,    -1,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,    -1,   382,   383,   384,   385,
     386,   387,   388,   389,   390,   391,   392,   393,    -1,   395,
      -1,   397,   398,   399,   400,   401,    -1,   403,   404,   405,
     406,   407,   408,   409,   410,    -1,   412,   413,   414,   415,
     416,   417,   418,   419,   420,   421,   422,    -1,   424,   425,
      -1,   427,   428,   429,   430,   431,   432,    -1,   434,   435,
      -1,    -1,   438,   439,   440,   441,    -1,   443,   444,   445,
     446,   447,   448,   449,    -1,    -1,   452,   453,   454,   455,
     456,    -1,    -1,   459,   460,   461,   462,   463,    -1,   465,
      -1,   467,   468,   469,   470,   471,   472,    -1,    -1,   475,
      -1,    -1,   478,   479,   480,   481,   482,   483,   484,   485,
     486,   487,   488,   489,   490,   491,   492,    71,   494,   495,
      -1,    -1,    -1,    -1,    -1,    79,    80,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,    92,    93,
      94,    95,    96,    97,    98,    -1,   100,   101,   102,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   110,   111,    -1,   113,
     114,   115,   116,   117,   118,   119,   120,   121,   122,   123,
      -1,   125,   126,   127,   128,   129,    -1,    -1,   132,   133,
      -1,   135,   136,    -1,   138,   139,   140,   141,   142,    -1,
     144,    -1,   146,   147,   148,   149,   150,   151,    -1,    -1,
     154,   155,   156,   157,   158,   159,    -1,   161,   162,    -1,
      -1,    -1,    -1,   167,    -1,    -1,    -1,   171,   172,   173,
     174,    -1,   176,   177,   178,   179,    -1,   181,    -1,   183,
     184,   185,   186,   187,    -1,   189,   190,   191,    -1,    -1,
     194,   195,   196,   197,   198,    -1,   200,   201,   202,    -1,
     204,   205,   206,    -1,   208,   209,   210,   211,   212,   213,
     214,   215,   216,    -1,   218,    -1,   220,   221,   222,   223,
      -1,   225,    -1,   227,   228,    -1,   230,   231,   232,   233,
      -1,   235,   236,    -1,   238,    -1,   240,   241,    -1,   243,
     244,   245,   246,   247,   248,    -1,   250,   251,   252,   253,
     254,   255,    -1,   257,   258,   259,    -1,   261,   262,   263,
      -1,   265,    -1,   267,    -1,   269,   270,   271,   272,   273,
     274,   275,   276,   277,   278,    -1,   280,   281,    -1,   283,
     284,   285,   286,   287,    -1,   289,   290,   291,    -1,    -1,
     294,   295,   296,   297,   298,   299,    -1,   301,   302,    -1,
     304,   305,   306,   307,   308,   309,   310,   311,   312,    -1,
     314,   315,   316,   317,    -1,   319,   320,   321,   322,   323,
     324,    -1,   326,    -1,    -1,   329,   330,   331,    -1,    -1,
     334,   335,   336,   337,   338,   339,   340,   341,   342,   343,
     344,   345,   346,    -1,   348,   349,   350,   351,   352,   353,
     354,    -1,   356,   357,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,    -1,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,    -1,   382,   383,
     384,   385,   386,   387,   388,   389,   390,   391,   392,   393,
      -1,   395,    -1,   397,   398,   399,   400,   401,    -1,   403,
     404,   405,   406,   407,   408,   409,   410,    -1,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   422,    -1,
     424,   425,    -1,   427,   428,   429,   430,   431,   432,    -1,
     434,   435,    -1,    -1,   438,   439,   440,   441,    -1,   443,
     444,   445,   446,   447,   448,   449,    -1,    -1,   452,   453,
     454,   455,   456,    -1,    -1,   459,   460,   461,   462,   463,
      -1,   465,    -1,   467,   468,   469,   470,   471,   472,    -1,
      -1,   475,    -1,    -1,   478,   479,   480,   481,   482,   483,
     484,   485,   486,   487,   488,   489,   490,   491,   492,    71,
     494,   495,    -1,    -1,    -1,    -1,    -1,    79,    80,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    91,
      92,    93,    94,    95,    96,    97,    98,    -1,   100,   101,
     102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   110,   111,
      -1,   113,   114,   115,   116,   117,   118,   119,   120,   121,
     122,   123,    -1,   125,   126,   127,   128,   129,    -1,    -1,
     132,   133,    -1,   135,   136,    -1,   138,   139,   140,   141,
     142,    -1,   144,    -1,   146,   147,   148,   149,   150,   151,
      -1,    -1,   154,   155,   156,   157,   158,   159,    -1,   161,
     162,    -1,    -1,    -1,    -1,   167,    -1,    -1,    -1,   171,
     172,   173,   174,    -1,   176,   177,   178,   179,    -1,   181,
      -1,   183,   184,   185,   186,   187,    -1,   189,   190,   191,
      -1,    -1,   194,   195,   196,   197,   198,    -1,   200,   201,
     202,    -1,   204,   205,   206,    -1,   208,   209,   210,   211,
     212,   213,   214,   215,   216,    -1,   218,    -1,   220,   221,
     222,   223,    -1,   225,    -1,   227,   228,    -1,   230,   231,
     232,   233,    -1,   235,   236,    -1,   238,    -1,   240,   241,
      -1,   243,   244,   245,   246,   247,   248,    -1,   250,   251,
     252,   253,   254,   255,    -1,   257,   258,   259,    -1,   261,
     262,   263,    -1,   265,    -1,   267,    -1,   269,   270,   271,
     272,   273,   274,   275,   276,   277,   278,    -1,   280,   281,
      -1,   283,   284,   285,   286,   287,    -1,   289,   290,   291,
      -1,    -1,   294,   295,   296,   297,   298,   299,    -1,   301,
     302,    -1,   304,   305,   306,   307,   308,   309,   310,   311,
     312,    -1,   314,   315,   316,   317,    -1,   319,   320,   321,
     322,   323,   324,    -1,   326,    -1,    -1,   329,   330,   331,
      -1,    -1,   334,   335,   336,   337,   338,   339,   340,   341,
     342,   343,   344,   345,   346,    -1,   348,   349,   350,   351,
     352,   353,   354,    -1,   356,   357,   358,   359,   360,   361,
     362,   363,   364,   365,   366,   367,   368,    -1,   370,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,    -1,
     382,   383,   384,   385,   386,   387,   388,   389,   390,   391,
     392,   393,    -1,   395,    -1,   397,   398,   399,   400,   401,
      -1,   403,   404,   405,   406,   407,   408,   409,   410,    -1,
     412,   413,   414,   415,   416,   417,   418,   419,   420,   421,
     422,    -1,   424,   425,    -1,   427,   428,   429,   430,   431,
     432,    -1,   434,   435,    -1,    -1,   438,   439,   440,   441,
      -1,   443,   444,   445,   446,   447,   448,   449,    -1,    -1,
     452,   453,   454,   455,   456,    -1,    -1,   459,   460,   461,
     462,   463,    -1,   465,    -1,   467,   468,   469,   470,   471,
     472,    -1,    -1,   475,    -1,    -1,   478,   479,   480,   481,
     482,   483,   484,   485,   486,   487,   488,   489,   490,   491,
     492,    71,   494,   495,    -1,    -1,    -1,    -1,    -1,    79,
      80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    91,    92,    93,    94,    95,    96,    97,    98,    -1,
     100,   101,   102,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     110,   111,    -1,   113,   114,   115,   116,   117,   118,   119,
     120,   121,   122,   123,    -1,   125,   126,   127,   128,   129,
      -1,    -1,   132,   133,    -1,   135,   136,    -1,   138,   139,
     140,   141,   142,    -1,   144,    -1,   146,   147,   148,   149,
     150,   151,    -1,    -1,   154,   155,   156,   157,   158,   159,
      -1,   161,   162,    -1,    -1,    -1,    -1,   167,    -1,    -1,
      -1,   171,   172,   173,   174,    -1,   176,   177,   178,   179,
      -1,   181,    -1,   183,   184,   185,   186,   187,    -1,   189,
     190,   191,    -1,    -1,   194,   195,   196,   197,   198,    -1,
     200,   201,   202,    -1,   204,   205,   206,    -1,   208,   209,
     210,   211,   212,   213,   214,   215,   216,    -1,   218,    -1,
     220,   221,   222,   223,    -1,   225,    -1,   227,   228,    -1,
     230,   231,   232,   233,    -1,   235,   236,    -1,   238,    -1,
     240,   241,    -1,   243,   244,   245,   246,   247,   248,    -1,
     250,   251,   252,   253,   254,   255,    -1,   257,   258,   259,
      -1,   261,   262,   263,    -1,   265,    -1,   267,    -1,   269,
     270,   271,   272,   273,   274,   275,   276,   277,   278,    -1,
     280,   281,    -1,   283,   284,   285,   286,   287,    -1,   289,
     290,   291,    -1,    -1,   294,   295,   296,   297,   298,   299,
      -1,   301,   302,    -1,   304,   305,   306,   307,   308,   309,
     310,   311,   312,    -1,   314,   315,   316,   317,    -1,   319,
     320,   321,   322,   323,   324,    -1,   326,    -1,    -1,   329,
     330,   331,    -1,    -1,   334,   335,   336,   337,   338,   339,
     340,   341,   342,   343,   344,   345,   346,    -1,   348,   349,
     350,   351,   352,   353,   354,    -1,   356,   357,   358,   359,
     360,   361,   362,   363,   364,   365,   366,   367,   368,    -1,
     370,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,    -1,   382,   383,   384,   385,   386,   387,   388,   389,
     390,   391,   392,   393,    -1,   395,    -1,   397,   398,   399,
     400,   401,    -1,   403,   404,   405,   406,   407,   408,   409,
     410,    -1,   412,   413,   414,   415,   416,   417,   418,   419,
     420,   421,   422,    -1,   424,   425,    -1,   427,   428,   429,
     430,   431,   432,    -1,   434,   435,    -1,    -1,   438,   439,
     440,   441,    -1,   443,   444,   445,   446,   447,   448,   449,
      -1,    -1,   452,   453,   454,   455,   456,    -1,    -1,   459,
     460,   461,   462,   463,    -1,   465,    -1,   467,   468,   469,
     470,   471,   472,    -1,    -1,   475,    -1,    -1,   478,   479,
     480,   481,   482,   483,   484,   485,   486,   487,   488,   489,
     490,   491,   492,    71,   494,   495,    -1,    -1,    -1,    -1,
      -1,    79,    80,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    91,    92,    93,    94,    95,    96,    97,
      98,    -1,   100,   101,   102,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   110,   111,    -1,   113,   114,   115,   116,   117,
     118,   119,   120,   121,   122,   123,    -1,   125,   126,   127,
     128,   129,    -1,    -1,   132,   133,    -1,   135,   136,    -1,
     138,   139,   140,   141,   142,    -1,   144,    -1,   146,   147,
     148,   149,   150,   151,    -1,    -1,   154,   155,   156,   157,
     158,   159,    -1,   161,   162,    -1,    -1,    -1,    -1,   167,
      -1,    -1,    -1,   171,   172,   173,   174,    -1,   176,   177,
     178,   179,    -1,   181,    -1,   183,   184,   185,   186,   187,
      -1,   189,   190,   191,    -1,    -1,   194,   195,   196,   197,
     198,    -1,   200,   201,   202,    -1,   204,   205,   206,    -1,
     208,   209,   210,   211,   212,   213,   214,   215,   216,    -1,
     218,    -1,   220,   221,   222,   223,    -1,   225,    -1,   227,
     228,    -1,   230,   231,   232,   233,    -1,   235,   236,    -1,
     238,    -1,   240,   241,    -1,   243,   244,   245,   246,   247,
     248,    -1,   250,   251,   252,   253,   254,   255,    -1,   257,
     258,   259,    -1,   261,   262,   263,    -1,   265,    -1,   267,
      -1,   269,   270,   271,   272,   273,   274,   275,   276,   277,
     278,    -1,   280,   281,    -1,   283,   284,   285,   286,   287,
      -1,   289,   290,   291,    -1,    -1,   294,   295,   296,   297,
     298,   299,    -1,   301,   302,    -1,   304,   305,   306,   307,
     308,   309,   310,   311,   312,    -1,   314,   315,   316,   317,
      -1,   319,   320,   321,   322,   323,   324,    -1,   326,    -1,
      -1,   329,   330,   331,    -1,    -1,   334,   335,   336,   337,
     338,   339,   340,   341,   342,   343,   344,   345,   346,    -1,
     348,   349,   350,   351,   352,   353,   354,    -1,   356,   357,
     358,   359,   360,   361,   362,   363,   364,   365,   366,   367,
     368,    -1,   370,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,    -1,   382,   383,   384,   385,   386,   387,
     388,   389,   390,   391,   392,   393,    -1,   395,    -1,   397,
     398,   399,   400,   401,    -1,   403,   404,   405,   406,   407,
     408,   409,   410,    -1,   412,   413,   414,   415,   416,   417,
     418,   419,   420,   421,   422,    -1,   424,   425,    -1,   427,
     428,   429,   430,   431,   432,    -1,   434,   435,    -1,    -1,
     438,   439,   440,   441,    -1,   443,   444,   445,   446,   447,
     448,   449,    -1,    -1,   452,   453,   454,   455,   456,    -1,
      -1,   459,   460,   461,   462,   463,    -1,   465,    -1,   467,
     468,   469,   470,   471,   472,    -1,    -1,   475,    -1,    -1,
     478,   479,   480,   481,   482,   483,   484,   485,   486,   487,
     488,   489,   490,   491,   492,    -1,   494,   495
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,   522,  1088,     0,     5,    25,    35,    36,    41,    43,
      44,    47,    48,    49,    50,    51,    52,    53,    54,    55,
      56,    57,    58,    59,    60,    61,    62,    63,    64,    65,
      66,    67,    68,    69,    70,    71,    73,    75,    76,    77,
      78,    79,    80,    81,    82,    86,   134,   204,   222,   242,
     264,   300,   303,   318,   394,   436,   450,   465,   493,   500,
     504,   505,   506,   507,   508,   511,   512,   513,   514,   516,
     517,   518,   519,   520,  1079,  1089,  1117,  1119,  1210,  1220,
    1221,  1223,  1229,  1230,  1118,     3,     6,     7,     8,     9,
      10,    11,    12,    13,    15,    16,    17,    18,    19,    20,
      21,    22,    23,    24,    26,    27,    28,    31,    32,    33,
      34,    36,    37,    38,    39,    40,    42,    43,    44,    45,
      46,    50,    51,    56,    65,    67,    69,    70,    91,   101,
     103,   104,   113,   115,   118,   119,   120,   121,   122,   123,
     135,   138,   140,   141,   142,   144,   146,   148,   150,   158,
     160,   161,   167,   174,   176,   177,   178,   179,   191,   193,
     197,   203,   204,   211,   212,   213,   216,   219,   222,   228,
     230,   234,   236,   245,   258,   259,   265,   267,   270,   271,
     273,   284,   285,   287,   289,   290,   295,   304,   307,   308,
     309,   312,   315,   316,   319,   321,   335,   336,   338,   339,
     349,   351,   353,   364,   365,   370,   371,   373,   378,   383,
     384,   386,   387,   390,   395,   396,   403,   404,   406,   407,
     409,   414,   422,   426,   434,   435,   439,   441,   443,   445,
     450,   453,   459,   464,   465,   468,   477,   484,   485,   486,
     487,   488,   489,   490,   491,   492,   513,   523,   524,   530,
     531,   533,   534,   535,   536,   537,   538,   539,   541,   542,
     546,   558,   561,   562,   565,   566,   567,   579,   582,   583,
     599,   638,   641,   642,   643,   650,   656,   658,   660,   661,
     664,   667,   668,   672,   673,   682,   686,   687,   688,   689,
     690,   692,   693,   694,   707,   708,   712,   714,   715,   716,
     726,   728,   735,   736,   739,   740,   741,   742,   743,   748,
     750,   753,   757,   761,   762,   772,   773,   776,   781,   792,
     814,   817,   818,   819,   822,   825,   827,   829,   832,   833,
     836,   837,   838,   845,   846,   848,   849,   850,   855,   857,
     858,   862,   863,   866,   867,   868,   869,   871,   872,   873,
     874,   876,   879,   880,   885,   891,   894,   896,   901,   903,
     907,   914,   918,   919,   920,   921,   922,   923,   926,   954,
    1085,  1086,  1090,  1092,  1093,  1110,  1111,  1112,  1113,  1124,
    1126,  1130,  1131,  1132,  1133,  1134,  1136,  1138,  1140,  1141,
    1142,  1143,  1145,  1150,  1151,  1155,  1156,  1165,  1167,  1168,
    1169,  1172,  1177,  1180,  1185,  1187,  1188,  1191,  1193,  1196,
    1205,  1223,  1231,    73,  1113,  1121,  1122,    14,    72,    91,
      92,    93,    94,    95,    96,    97,    98,   100,   101,   102,
     110,   111,   113,   114,   116,   117,   118,   125,   126,   127,
     128,   129,   132,   133,   136,   138,   139,   140,   141,   146,
     147,   148,   149,   151,   154,   155,   156,   157,   158,   159,
     162,   171,   172,   173,   174,   176,   179,   181,   183,   184,
     185,   186,   187,   189,   190,   191,   194,   195,   196,   197,
     198,   200,   201,   202,   204,   205,   206,   208,   209,   210,
     211,   213,   214,   215,   218,   220,   221,   223,   225,   227,
     231,   232,   233,   235,   238,   240,   241,   243,   244,   246,
     247,   248,   250,   251,   252,   253,   254,   255,   257,   261,
     262,   263,   269,   272,   274,   275,   276,   277,   278,   280,
     281,   283,   286,   289,   290,   291,   294,   295,   296,   297,
     298,   299,   301,   302,   304,   305,   306,   310,   311,   314,
     315,   317,   320,   322,   323,   324,   326,   329,   330,   331,
     334,   337,   340,   341,   342,   343,   344,   345,   346,   348,
     350,   352,   353,   354,   356,   357,   358,   359,   360,   361,
     362,   363,   365,   366,   367,   368,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   382,   383,   385,
     386,   388,   389,   390,   391,   392,   393,   395,   397,   398,
     399,   400,   401,   403,   405,   406,   408,   410,   412,   413,
     414,   415,   416,   417,   418,   419,   420,   421,   424,   425,
     427,   428,   429,   430,   431,   432,   436,   438,   440,   443,
     444,   445,   446,   447,   448,   449,   452,   453,   454,   455,
     456,   459,   460,   461,   462,   463,   467,   469,   470,   471,
     472,   475,   478,   479,   480,   481,   482,   483,   494,   495,
    1080,  1083,  1084,  1085,  1086,  1103,  1104,  1215,  1217,  1221,
    1223,    29,   260,  1166,     9,    13,    15,    28,    45,    46,
      50,    51,    56,    65,    67,    69,    70,    99,   134,   152,
     163,   175,   180,   242,   300,   303,   394,   464,   493,  1072,
    1084,  1085,  1105,  1152,  1153,  1195,  1196,  1197,  1201,  1206,
    1207,  1208,  1217,  1223,    99,   915,  1071,  1105,  1201,  1214,
      14,   915,     5,    25,    29,    35,    36,    43,    44,    99,
     103,   104,   105,   106,   107,   108,   109,   112,   124,   130,
     131,   134,   137,   143,   145,   152,   153,   160,   163,   164,
     165,   166,   168,   169,   170,   180,   182,   188,   192,   193,
     199,   203,   207,   217,   219,   224,   226,   229,   234,   237,
     239,   249,   256,   260,   264,   266,   268,   279,   282,   288,
     292,   293,   313,   318,   325,   327,   328,   332,   333,   347,
     355,   369,   381,   396,   402,   411,   423,   426,   433,   436,
     437,   442,   450,   451,   457,   458,   464,   466,   473,   474,
     476,   477,  1084,  1087,  1197,  1198,  1199,  1203,  1204,  1205,
    1206,  1208,    25,    35,   134,   264,  1192,    38,    40,   313,
    1125,   438,   480,   851,    98,   144,   157,   174,   180,   195,
     206,   214,   226,   231,   237,   252,   277,   298,   329,   358,
     385,   389,   391,   397,   400,   425,   426,   428,   432,   440,
     445,   457,   470,   657,  1153,   179,   851,    99,   915,   468,
     881,   327,   354,   851,   121,   590,   919,    98,   110,   131,
     144,   153,   174,   180,   195,   206,   214,   226,   233,   237,
     291,   329,   332,   385,   391,   400,   428,   429,   431,   432,
     440,   445,   451,   454,   457,   600,   640,   731,   782,   793,
    1072,  1094,  1095,  1096,  1105,  1221,  1223,    14,    99,   353,
    1071,  1105,  1109,   415,   915,    99,   348,   398,   429,   431,
     276,   823,   824,  1221,    98,   110,   131,   144,   157,   174,
     195,   206,   214,   226,   231,   237,   252,   298,   329,   340,
     385,   389,   391,   397,   400,   426,   428,   432,   440,   445,
     457,   470,   657,   744,   851,   519,  1135,  1199,   246,  1109,
     160,   179,   211,   468,   513,   638,   641,   880,   886,   894,
     896,   901,   907,   914,   918,  1090,    92,    99,   116,   221,
     227,   229,   249,   278,   310,   356,   372,   504,   505,   758,
     759,   915,  1079,  1082,  1215,  1217,    99,   160,   369,   396,
     763,   764,   765,  1201,  1201,  1076,  1221,   426,   929,   116,
     227,   758,  1201,   438,  1109,   340,   298,   174,   252,   425,
     426,   830,   390,  1201,    99,   134,   401,   434,   438,   464,
     550,  1084,  1085,  1195,  1200,  1206,  1208,  1223,    96,   234,
     763,   764,   354,   851,  1201,   275,    99,   192,   931,     4,
      14,   132,   152,   154,   291,   306,   385,   391,   401,   434,
     438,   483,   547,   548,   549,   550,    99,   401,   434,   438,
     550,   438,   328,   965,  1069,  1201,   929,  1189,  1199,   506,
    1201,   230,   513,   882,   513,  1064,   367,   924,   925,  1071,
     919,   920,   923,   517,   881,   207,   266,   333,   450,   932,
     933,   919,   921,   922,   185,   262,   456,   516,   118,   523,
    1133,  1136,  1132,  1128,   517,  1137,  1139,     5,    25,    35,
     134,   196,   264,  1144,   175,   242,   300,   303,   394,   493,
     513,  1000,  1001,  1116,  1120,  1210,    73,  1113,  1071,  1105,
    1224,   180,  1094,    21,   458,   507,  1109,  1109,  1224,   458,
    1157,  1158,  1159,    25,   264,   264,  1203,     7,    19,    20,
      39,    42,   156,   193,  1194,  1194,    16,  1133,  1077,  1086,
    1195,  1198,  1201,  1202,  1206,  1207,  1223,   746,  1201,   746,
    1072,   357,   746,   440,   746,  1071,  1201,   173,   426,   771,
    1077,  1080,   244,  1069,   322,   470,    85,   139,   218,   500,
     501,   502,   504,   505,   506,   507,   508,   509,   821,  1031,
    1032,  1201,    99,  1080,  1071,  1071,   244,  1069,  1071,   403,
     244,   965,  1071,   393,  1071,   746,   296,  1080,   244,  1069,
     276,    34,   182,   272,   313,   363,   852,   853,   854,  1069,
    1075,  1201,    98,   131,   144,   145,   153,   157,   174,   195,
     206,   214,   226,   231,   252,   277,   298,   329,   385,   389,
     391,   397,   400,   426,   428,   432,   440,   445,   470,   657,
     751,  1221,  1069,   436,  1077,  1071,   513,   746,   440,  1072,
     746,   440,   244,  1071,   173,   426,   429,   431,  1080,   429,
     431,   139,   218,   821,   376,  1080,   244,   543,  1201,  1071,
    1071,   393,  1071,   746,   296,  1080,   367,   397,   426,   470,
     298,   157,   252,   231,   389,   444,   651,    85,  1097,  1098,
     518,  1217,  1224,    99,  1109,  1223,   916,   557,  1083,  1221,
     824,   244,  1077,  1071,   244,   828,   244,  1072,   440,   173,
     426,   244,  1077,   244,  1080,  1081,   150,   470,   139,   218,
     244,   821,   125,   244,  1081,   244,  1071,   244,  1071,   244,
    1071,   393,   244,  1071,   244,   296,  1081,   276,   244,   745,
     746,   513,   519,  1225,  1226,  1227,  1228,  1230,  1135,    71,
    1105,  1154,   513,   895,   600,   915,   886,   880,   887,   888,
     889,  1083,   881,  1082,   759,   760,    99,   759,   915,  1082,
     760,    99,   759,   915,  1082,   760,   760,   760,  1082,  1079,
    1079,   268,   458,  1159,  1160,  1234,  1235,   915,   760,   357,
     513,   513,   619,   619,   619,   327,   436,   516,   619,   965,
     966,   759,   915,   759,   915,   516,   847,  1221,   229,   513,
     892,   125,   470,  1071,  1071,  1069,  1201,   115,   495,   272,
     515,   330,   330,   327,   229,  1221,   436,   224,   754,   327,
      83,    84,    85,    87,   107,   120,   122,   123,   130,   131,
     134,   135,   142,   144,   164,   165,   166,   167,   168,   169,
     170,   177,   178,   196,   212,   216,   217,   222,   236,   264,
     265,   267,   284,   292,   293,   307,   309,   313,   318,   319,
     321,   329,   339,   349,   364,   387,   402,   409,   422,   434,
     435,   439,   441,   442,   451,   457,   465,   485,   486,   487,
     488,   489,   490,   491,   492,   504,   505,   506,   513,   919,
     981,   984,   987,   988,   989,   991,   992,   993,   994,   997,
     998,  1002,  1004,  1005,  1006,  1008,  1029,  1033,  1052,  1057,
    1065,  1066,  1067,  1077,  1078,  1079,  1201,  1213,  1215,  1217,
    1218,  1219,  1220,  1221,   436,   500,  1224,  1221,   436,   500,
    1153,    99,   563,  1068,  1069,   401,   547,   180,   556,  1221,
     557,  1221,   115,   136,   547,   495,   410,   853,   330,   229,
     436,   500,   115,   495,   272,  1234,   854,   513,  1069,   506,
     511,   515,  1058,  1059,   966,  1205,   228,   230,   468,   877,
     878,   880,   228,   883,   180,  1002,  1062,  1063,   924,   516,
     513,   884,   514,   514,  1069,    99,   192,   930,   930,   125,
     930,   219,   224,   288,   325,   936,   938,   939,   948,   950,
     951,   952,   932,   933,   229,   268,   965,   967,  1064,   517,
    1127,   506,  1146,  1147,  1149,   519,   519,    25,   264,   264,
     436,   436,   436,   436,   513,   436,   505,   648,  1082,  1114,
    1220,   203,   108,  1101,   125,  1104,  1104,   268,  1159,  1161,
     268,  1159,  1160,  1161,   463,  1170,  1171,  1217,    14,    37,
      84,   504,   505,  1079,  1162,  1163,  1164,  1213,  1215,  1219,
    1220,  1221,  1222,   264,   270,  1071,   436,  1071,     6,  1071,
    1194,  1149,   513,   805,  1059,   341,   374,   403,   515,   747,
     341,   374,   403,   341,   374,   403,   477,   525,   558,   559,
     777,    95,   197,   341,   374,   403,   461,   570,  1071,   403,
      95,   197,   456,   540,   481,   244,   965,   127,   159,   215,
     247,   283,   313,   341,   374,   382,   388,   395,   403,   412,
     420,   472,   558,   560,   808,   815,   513,   794,   374,   540,
     212,    95,   101,   141,   190,   197,   200,   254,   311,   313,
     323,   331,   341,   374,   377,   378,   403,   461,   568,   569,
     676,   648,   244,  1069,   746,   746,   513,   820,   515,   249,
     532,   374,   525,   532,   327,   341,   374,   212,   126,   172,
     251,   299,   301,   311,   340,   374,   379,   403,   414,   568,
     645,   646,   341,   374,   469,   676,   684,   548,   550,   212,
     374,   403,   568,   304,   341,   374,   378,   403,   151,   189,
     342,   430,   327,    95,   101,   197,   341,   374,   403,   580,
     581,   224,   374,   403,   525,   559,   212,   374,   403,   568,
    1071,   517,   286,   182,   328,   482,   516,   852,   458,   875,
     327,  1077,   513,  1071,   440,   173,   426,  1077,   322,   470,
     139,   218,   821,  1071,   393,  1071,   276,   746,   619,   360,
     585,   513,   721,   805,   137,   120,   122,   123,   134,   135,
     177,   178,   222,   265,   267,   307,   309,   321,   364,   404,
     409,   434,   435,   465,   978,   980,   982,   984,   986,   988,
     989,   990,   992,   993,   997,   998,  1195,  1202,  1206,  1207,
    1223,   229,   513,   717,  1071,   525,   108,   870,  1071,   313,
     525,   481,   244,  1069,   525,   746,   746,   717,   454,   600,
     525,   313,   115,   544,   445,   683,   341,   659,   151,   189,
     342,   430,    97,   117,   263,   695,   108,   717,   224,   525,
     470,  1069,   244,   636,  1069,  1069,   470,   746,   150,   783,
    1077,  1071,   657,    74,  1099,  1201,   518,  1100,  1097,   121,
     171,   261,   311,   392,   212,   805,   128,   380,   571,   212,
     513,   212,   481,   212,   794,   212,   516,   244,   745,   244,
     746,   244,   746,   212,   820,  1081,   212,   212,   327,   212,
     571,   212,   151,   189,   342,   430,   212,   327,   212,   224,
     244,   244,   557,   212,   516,   571,   514,  1226,  1227,  1225,
     516,   520,  1002,  1036,  1158,  1233,  1234,   426,   916,   514,
     516,   217,   327,   442,   554,   557,   648,   890,   886,   760,
     915,   760,   915,  1235,  1236,   760,   915,   760,   915,  1236,
     760,   915,   915,   915,   760,    14,    37,  1209,  1212,  1217,
     915,   513,   620,   621,  1201,   620,    99,   174,   195,   226,
     231,   276,   277,   391,   397,   426,   428,   445,   766,  1068,
    1081,   765,   249,   516,   904,   915,   915,  1221,  1154,   978,
    1039,   108,  1081,   783,   225,   831,   831,   831,   286,  1201,
     224,   224,   766,  1081,   390,  1201,   557,   327,   513,   511,
     919,  1040,   467,   995,  1002,  1056,   513,   995,   995,   513,
     224,   513,   513,   513,   983,   983,   351,   919,   513,   513,
     985,   513,   513,   513,   513,   134,   135,   995,  1002,   513,
     983,   513,   513,   513,   513,   513,   479,   499,   513,   999,
     513,   999,   513,   513,   919,   513,   513,   513,   513,   513,
     513,   513,   513,  1002,  1002,   464,   919,  1002,  1036,  1059,
    1221,   135,   513,   996,   513,  1221,    85,    88,   105,   108,
     113,   119,   143,   245,   249,   270,   271,   287,   313,   316,
     329,   332,   407,   500,   501,   502,   504,   505,   506,   507,
     508,   509,  1031,  1033,  1035,  1223,   478,  1017,   338,  1002,
     268,   927,  1234,   516,   513,  1221,  1059,    22,  1216,  1217,
    1060,   324,   327,  1186,  1186,    10,   463,  1173,  1174,  1176,
    1153,  1153,   183,   246,   564,   516,   136,   180,   557,   108,
     180,   291,   555,   648,   998,  1221,  1223,  1221,   155,   194,
    1014,   163,   180,   551,   552,   554,   648,   180,   551,  1234,
    1234,   286,  1069,  1002,   506,  1074,  1203,  1058,   156,   379,
     749,   270,   514,   516,   881,   514,   516,   925,  1070,  1071,
     108,   884,   921,   921,   934,   935,  1002,   921,   221,   310,
     945,   274,   311,   363,   405,   456,    99,   940,  1002,   941,
     943,  1002,  1004,   948,   949,   939,   938,   936,   937,   224,
     951,   323,   953,   936,   948,   967,  1069,   108,  1201,   403,
    1146,   506,   516,   517,  1204,  1123,  1126,  1123,   264,   175,
     242,   300,  1001,   300,  1001,  1001,   303,  1079,   300,   303,
     394,  1220,   516,  1115,   179,  1153,   457,  1102,  1104,  1071,
      37,  1079,  1175,  1217,   516,   500,  1071,    14,  1079,  1220,
    1079,  1220,   516,  1133,   513,  1071,   513,  1205,   249,   259,
     333,   335,   404,   466,   506,   798,   799,   800,   802,   804,
     806,   978,  1202,   341,   374,   403,   436,   436,   391,  1074,
     515,   436,   436,   391,   436,   436,   428,   547,   864,   224,
     234,   249,   383,   778,   779,   137,   153,   208,   226,   355,
     451,   616,   617,   153,   180,   313,   436,   153,   436,   180,
     313,   391,   153,   190,   200,   341,   374,   713,   391,   665,
      98,   131,   144,   157,   195,   206,   226,   231,   298,   329,
     391,   397,   400,   426,   432,   445,   470,   657,  1071,   212,
     374,   403,   568,   327,   648,   395,   283,   436,   436,   318,
     648,   184,   269,   391,   401,   438,   549,   380,   403,   808,
     816,   514,   795,   798,   436,   457,  1069,   145,   208,   607,
     616,  1201,   145,   153,   834,   327,   389,   440,   153,   834,
     102,   377,   389,   440,  1069,   254,   323,   746,   513,   436,
     436,   243,   513,   575,   428,   477,   479,   575,   153,   516,
     341,   212,   374,   403,   568,   458,   458,   312,   978,   341,
     403,   821,   174,   559,   436,   527,   559,  1069,   436,   436,
    1069,   648,   125,   647,   648,   648,   172,   299,   301,   125,
     436,   525,   391,   525,   311,   646,   436,   436,   318,  1221,
     676,   965,   153,   436,   834,   391,    99,   253,   298,   427,
     436,   436,   575,   575,   746,   746,   746,   746,  1069,   114,
     463,   114,   114,   436,   114,   436,   391,   516,   170,   457,
     691,  1080,   436,   527,  1069,   436,   391,   341,   374,   363,
     375,   399,   553,   852,  1075,  1201,  1069,   805,   978,   327,
     481,   794,   648,   746,   746,   820,   270,   327,   151,   189,
     342,   430,   327,   746,   270,   477,   591,   417,   418,   586,
    1221,   722,   723,  1223,   717,   513,   980,   108,   107,   979,
     175,   303,   493,   513,  1000,   747,   983,   746,   718,   719,
    1203,    97,   859,   978,   327,   212,   662,  1071,   313,   513,
     526,   731,   458,   367,   470,   526,   212,  1080,   160,   234,
     545,   599,   642,   694,   761,   781,   855,  1221,   684,   685,
    1071,   294,   746,   746,   746,   746,   323,   185,   262,   443,
     456,   696,   697,   204,   362,   513,   691,   526,  1069,   644,
     645,   313,   108,   323,   513,   619,   619,   639,  1069,   224,
     784,  1075,   513,   796,   108,   276,   515,  1079,  1100,   477,
     479,   917,   392,  1077,   571,   978,  1072,   244,  1071,  1077,
     571,  1081,  1080,   212,   571,   212,   458,   212,   458,   821,
     571,   571,  1081,  1071,   746,  1071,  1071,  1071,   746,  1081,
     691,   212,   212,   571,   745,   746,   514,   520,  1228,   514,
     516,  1234,  1158,  1069,   171,   886,   888,   915,   915,  1236,
     915,   915,  1236,   915,   915,  1071,    14,   516,  1216,   620,
     514,   516,   514,   232,   398,   427,  1070,   745,   173,   400,
     770,   771,  1070,   322,  1070,  1068,  1068,  1070,   745,   436,
     477,   774,    93,   210,   387,   405,   905,   965,   317,   906,
     514,   516,   893,   896,   901,   907,   918,   436,  1069,   764,
     763,   764,   229,   235,   775,  1201,    98,   145,   174,   195,
     206,   226,   231,   277,   298,   385,   391,   397,   426,   428,
     445,   470,   657,   755,  1036,   512,  1036,  1040,  1041,   513,
     473,  1053,  1054,  1002,  1036,   513,  1079,  1079,  1036,   175,
     242,   300,   303,   394,   493,  1042,  1043,  1221,  1223,  1079,
    1036,  1036,  1079,  1079,   995,   995,  1002,   821,  1002,  1044,
     504,   505,  1003,  1004,  1029,  1033,  1046,   514,  1036,  1002,
    1036,  1047,   434,   495,  1079,  1079,  1002,   124,   229,   282,
     437,  1002,  1036,  1050,  1036,   305,  1004,  1002,  1012,  1013,
    1014,   305,  1002,  1014,   514,   516,   403,  1079,  1079,  1000,
     978,  1002,  1203,   434,   112,   423,  1061,   746,  1002,   513,
     919,  1051,   192,   194,   217,   313,   318,   323,   442,   452,
    1002,   119,   245,   249,   287,   407,   513,  1002,   436,  1002,
    1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,  1002,    99,
     106,   411,  1030,   237,   220,  1018,   387,   513,  1029,   233,
     291,   426,   429,   431,   454,   928,  1069,   229,   955,  1067,
      99,   192,   466,   506,   514,   800,  1002,  1037,  1038,  1202,
    1071,  1217,  1058,  1175,   516,   500,  1069,   438,   513,  1221,
     516,  1234,   514,   512,   518,   243,   243,   571,  1133,  1069,
     878,   879,  1069,  1062,   514,   516,   513,   516,   109,   188,
     458,   790,   513,   942,  1082,   405,   274,   328,   516,   387,
     388,   944,  1068,   906,   949,   937,   458,   902,   180,   513,
     897,   918,  1201,   513,   908,   909,   910,   911,   912,  1201,
     517,  1147,   979,   520,  1126,   520,   514,   648,   514,    34,
    1103,  1178,  1179,  1217,  1171,  1176,  1224,  1162,   979,  1211,
    1227,  1211,   979,   335,   125,  1202,   514,   800,   802,   799,
     802,  1202,   333,   514,   516,   747,   436,   436,   391,  1080,
    1071,  1071,  1074,  1080,  1071,  1071,  1080,  1072,  1071,   152,
     865,   385,   457,   763,   391,   234,   763,   513,  1071,   458,
     785,   274,   274,   458,   513,   635,   244,  1071,   318,  1080,
    1071,  1071,  1002,   318,  1071,  1071,   102,   377,   436,   436,
    1071,   436,   666,  1077,   513,   746,   746,   746,   440,   173,
     426,   771,   470,   139,   218,   821,  1071,   746,  1071,   746,
     393,   746,   746,   276,   238,   311,   341,   374,   462,   669,
     670,   671,   965,   436,   834,   391,   318,   184,   269,  1080,
    1071,   327,  1071,   514,   516,  1080,  1081,   374,   568,   607,
     978,  1071,  1201,  1071,  1071,    99,   457,  1071,   244,  1071,
     244,  1201,   389,   440,   389,   440,  1071,    99,   457,  1071,
    1069,    95,   197,   403,   677,   678,   679,   680,  1203,  1080,
    1071,   180,   230,   314,   458,   574,   577,   578,  1203,  1071,
     326,   141,   326,  1071,   569,   436,  1069,   436,   834,   391,
    1073,  1201,  1073,   516,   514,   516,   436,   391,  1072,  1080,
     152,   202,   254,   346,   449,   457,   460,   528,  1223,   374,
    1080,  1071,   374,   403,   568,   645,   648,   746,  1071,   648,
    1071,   648,  1080,  1071,   374,   403,   568,  1071,  1071,  1071,
    1071,   340,   436,   340,   436,   471,   340,   436,  1080,  1071,
      95,   101,   197,   341,   374,   403,   341,   374,   403,   717,
     374,   403,   374,   403,   374,   977,  1201,   244,   727,  1201,
     244,  1201,  1080,  1071,  1071,  1071,    95,   581,   400,  1080,
     374,   403,   568,  1071,  1071,   436,   436,   149,   448,   363,
     270,   108,   746,   270,   270,   458,   458,   270,   318,   752,
    1221,   746,   746,   270,   752,   326,   229,   436,   584,   525,
     514,   516,   500,  1002,   107,   979,   978,   511,   511,   436,
     436,  1079,   983,   514,   516,   500,   696,   152,   201,   280,
     281,   294,   341,   428,   430,   860,   609,  1203,  1071,   229,
     391,   469,   663,   670,   671,   212,   287,   601,   603,   605,
     607,   613,   616,    96,   249,   385,   424,   528,   529,   224,
    1073,   470,  1069,   543,  1201,   544,   332,   600,   226,  1221,
     717,   717,   717,   717,   323,   327,   332,   513,   717,   975,
     976,   977,   400,   513,   212,   211,  1091,   746,   601,  1201,
     477,   479,   631,   477,   576,   108,   619,  1221,   327,   514,
     797,   798,   803,   108,   276,   382,   476,   807,   808,   809,
     327,   557,  1099,   507,   241,   241,   224,   805,   108,   212,
     571,   794,   745,   746,  1073,   746,  1073,   820,   327,   571,
     571,   327,   571,   400,   224,   557,   571,  1002,   917,  1224,
    1212,   514,   621,   249,   249,   249,   481,  1070,   516,   648,
     649,   237,   767,   768,  1080,    96,   775,   210,   405,   210,
     405,   387,   456,   302,   978,  1071,   477,   637,   229,   327,
     767,   125,   571,  1077,   440,   426,  1077,   322,   470,   276,
     746,   514,   512,   512,   516,  1036,  1002,   199,  1054,  1055,
     108,   514,  1002,   514,   514,   514,   514,   229,   514,   514,
     514,   514,   514,   516,   514,   347,  1045,   514,  1003,  1003,
      88,   249,   270,   329,   500,   501,   502,   504,   505,   506,
     507,   508,   509,  1033,  1003,   514,   514,   224,   229,  1048,
    1049,   514,   495,   514,   514,   108,  1050,  1036,  1050,  1050,
     229,   514,   514,  1203,   345,  1016,   108,   514,   516,  1002,
    1203,   516,  1002,  1060,  1002,  1201,   514,   514,   495,  1003,
    1003,   205,  1036,   229,   192,   194,   217,   318,   323,   442,
     452,   513,   205,   423,  1061,  1002,  1051,  1002,   436,   821,
    1002,   513,   919,   513,   513,   337,  1022,   429,   431,   429,
     431,  1069,   929,   929,   929,   279,   388,   513,   919,   956,
     957,   958,   965,   968,  1005,  1007,  1008,  1077,  1201,   474,
     973,  1037,  1037,  1038,   514,    90,   516,   932,   933,     8,
      11,    12,    22,    23,    24,    26,    27,    31,    32,    33,
     173,   305,   351,   445,  1181,  1182,  1184,  1174,  1175,   853,
    1079,  1000,   552,  1002,   979,   884,  1071,   893,   935,   329,
    1031,  1034,   496,   497,   791,  1002,   944,   456,   941,   956,
     474,   974,   464,   898,   899,  1201,   381,   900,   912,   913,
     516,   955,   500,  1060,   518,  1129,   517,   516,   500,    30,
    1190,   514,   514,   517,   806,   747,   802,   802,   125,   804,
     508,  1080,  1071,  1071,   288,  1081,  1081,   327,  1070,   330,
     327,  1002,   617,  1073,   513,   513,   513,   635,   252,   620,
     705,   212,   571,   436,  1080,  1071,   557,   805,   978,  1071,
     481,   746,   746,   746,   746,   820,   151,   189,   342,   430,
    1071,   652,  1071,   238,   462,   436,   436,   652,   669,   676,
     374,   403,   568,  1071,  1071,  1071,   260,   318,   798,   436,
     331,   674,   705,   197,   378,   403,   570,   676,   835,   212,
     571,   212,   571,  1071,  1071,  1071,  1071,   679,   680,   679,
     514,   516,   681,  1221,   252,   514,   516,   500,   515,  1080,
     374,   403,   568,  1071,  1071,  1071,   341,   374,   403,    95,
     197,   341,   374,   403,   978,   312,   978,  1080,  1071,   288,
     346,   318,  1221,   346,  1081,   455,   436,   436,   391,   436,
     834,   391,   436,   436,   125,  1071,   125,  1071,   340,   436,
     125,  1071,   296,   296,   296,   436,   436,   391,   436,   436,
     391,   436,   391,   436,   391,   436,   571,   978,   313,  1221,
     403,   835,   212,   571,   436,  1071,   436,   391,  1080,  1071,
     752,   978,   270,   752,   752,  1073,  1073,   752,   270,   270,
     752,   585,   513,   587,   588,   723,  1223,   329,   504,   505,
     648,   720,   802,  1034,  1087,  1221,   514,   511,   514,  1079,
     512,   513,  1079,  1201,  1221,  1232,   514,   719,   720,   327,
     288,   500,   861,   861,   861,   861,   861,   861,   861,   137,
     143,   153,   180,   182,   256,   313,   318,   355,   369,   451,
     610,   611,   612,   211,   473,   525,   557,  1071,   557,   674,
    1069,  1069,   514,   516,  1081,   237,   385,  1081,  1079,   445,
    1069,   619,   115,   544,   376,   426,   173,   576,   620,  1069,
     697,   724,   725,  1221,   514,   516,  1071,   620,  1069,  1071,
     918,   513,   602,   514,   326,   575,   326,   327,   632,   575,
     108,   918,   576,   436,  1069,   514,   516,   180,   500,   810,
    1221,   557,   426,   801,   802,   477,   809,   811,   185,   262,
     396,   456,   843,   238,  1095,   918,  1109,   571,   978,  1071,
     571,   571,   458,   571,   458,   571,   571,   746,   746,  1071,
     691,   571,   224,   391,   391,   391,  1070,   771,   516,  1080,
     477,   516,   769,   330,   210,   210,   173,   311,  1081,   766,
     571,  1080,   805,   794,   648,   746,   270,  1040,   514,   433,
    1002,   203,   978,   514,  1002,  1002,  1002,  1048,   978,  1003,
     192,   194,   313,   323,  1003,  1003,  1003,  1003,  1003,  1003,
    1003,  1003,  1003,  1003,  1002,  1002,  1049,  1048,   999,   999,
     978,   514,   514,   514,  1036,   514,   516,   125,  1004,   514,
    1203,  1013,   352,   421,  1015,   514,   516,   469,  1009,   108,
     514,   996,  1221,  1002,   105,   105,  1002,   514,  1002,   229,
     513,  1039,  1002,  1003,  1003,   205,   205,  1002,   514,   205,
    1002,   933,   474,   513,  1023,  1201,   929,   929,   929,   929,
    1069,  1069,  1069,   919,   968,   229,   919,   957,   958,   108,
     959,   960,  1201,   516,   161,   230,   258,   273,   285,   308,
     384,   962,   960,   108,   959,   961,  1201,   498,   972,   513,
    1059,  1002,   237,   946,   516,   932,   932,   932,  1002,   466,
    1038,   514,   516,   500,   514,   512,  1190,   514,   513,   791,
     514,   328,   163,  1002,   900,   514,   516,  1060,  1066,   514,
     516,   909,   974,  1062,  1079,   500,  1148,  1179,  1184,   514,
     508,   806,   445,   861,   232,   398,   427,   446,   780,   224,
     780,   514,   513,   623,   624,   787,  1007,  1201,   620,   620,
     705,  1075,   514,   182,   256,   311,   313,   706,  1071,  1071,
     108,  1071,   458,   458,   746,   746,   746,   746,   747,  1080,
    1071,   436,   834,   391,   436,   260,  1071,   513,   609,   313,
     575,   173,   313,   416,   419,   575,   445,  1071,  1201,   678,
    1071,   578,   720,  1203,   436,   834,   391,   436,   436,   436,
     391,   231,   329,   419,   729,   730,   231,   329,   737,   738,
     436,   436,   391,   514,   514,   514,  1082,  1221,  1221,  1221,
    1071,  1071,  1071,  1071,  1071,  1071,  1071,  1071,  1081,   906,
    1081,   906,   125,  1071,  1081,   906,   224,   224,   376,   224,
     244,  1080,  1071,  1071,  1080,  1071,  1071,  1071,  1071,  1071,
    1071,  1071,   143,   572,   212,    97,   117,   445,  1201,  1071,
     676,  1071,  1071,   514,   752,   270,   270,   752,   752,   586,
     594,   595,  1203,   121,   162,   186,   201,   205,   225,   228,
     240,   318,   326,   361,   589,   705,  1079,   477,   479,   512,
    1232,   513,   504,   505,   506,   507,   508,   512,  1000,  1069,
     861,   180,  1079,  1221,   180,  1221,   180,  1221,   180,  1221,
     180,  1071,   180,  1071,   180,  1071,   513,   746,  1071,  1003,
     183,   246,   182,   318,   274,  1069,   811,   359,   709,   710,
    1201,   662,   513,   614,   400,   605,  1081,  1081,   978,   513,
     576,  1080,  1069,   481,   224,   698,   514,   516,   977,   674,
     514,   323,   513,   895,   637,   604,   606,   608,   616,  1201,
     631,   255,   630,   148,   428,   633,   918,   637,   633,  1221,
     785,   803,  1002,  1002,   516,   513,   807,   717,   436,   652,
      85,  1106,   514,   571,  1073,  1073,   571,   571,   400,  1070,
    1070,  1070,   648,   234,   768,   173,   775,   229,   270,   270,
     270,   270,   318,   756,  1221,  1002,   514,   514,  1049,   229,
     192,   194,   323,   513,   514,   484,  1011,  1036,   368,   125,
     475,   475,   514,  1002,   311,  1002,   516,  1010,   980,  1000,
    1003,  1003,  1002,  1039,   514,   105,   105,  1002,  1002,   205,
    1002,   514,   514,  1002,  1024,  1201,  1069,  1069,  1069,  1069,
     960,   961,   513,   514,  1201,   513,   957,   273,   336,   963,
     957,   963,   273,   962,   963,   273,   513,  1201,   513,  1037,
     125,   239,   947,   514,   514,   514,  1038,  1221,  1182,   505,
    1175,  1183,  1220,  1221,  1221,   821,   323,   918,   899,  1234,
     500,   912,   900,  1228,   445,   514,  1082,   436,   763,   229,
     705,  1002,   514,   516,   477,   143,   788,   788,   514,   514,
     811,   183,   246,   254,   182,   460,   571,   978,  1073,  1073,
    1071,  1071,  1071,  1071,   675,   679,   318,   318,  1082,  1201,
     978,   571,   571,   500,  1071,  1071,  1071,  1071,  1080,  1071,
    1071,  1079,  1079,   978,   516,  1079,  1079,   516,  1080,  1071,
    1071,   436,   436,   436,  1081,   906,   436,  1070,  1070,   746,
    1070,   212,   746,  1221,  1221,   978,   571,   571,   270,   752,
     752,   458,   592,   593,   514,   516,   506,   513,   554,   596,
     648,   870,  1221,   870,   313,   318,   361,   870,   870,   512,
     231,   259,   231,   514,  1133,  1232,  1232,  1232,  1232,  1232,
     229,   704,  1082,  1002,   313,   611,   811,   619,   458,   634,
    1077,   105,   211,   249,   601,   209,   250,  1071,   458,   620,
     108,   544,   513,  1071,   198,   699,   473,   701,  1221,   576,
     746,   601,   637,   514,   516,   477,   632,   513,   631,   185,
     197,   352,  1071,   477,   856,   229,   513,  1221,   800,   812,
     813,  1202,   811,  1069,   257,   653,  1107,  1201,   571,   571,
     571,  1071,   330,   571,   767,   756,   756,   756,   756,  1003,
     229,   513,  1039,   513,   514,   516,   514,  1004,   368,   514,
     463,   413,   514,   514,   514,  1003,  1003,  1002,   514,   344,
    1025,   969,   970,  1007,   959,   513,  1070,   957,   327,   458,
     964,   957,   273,   957,   976,   513,   976,  1201,   932,  1036,
    1002,   476,  1019,   932,  1079,  1220,  1000,   514,   915,  1064,
     767,   327,   767,   514,   811,   624,   329,   821,   746,   458,
     746,   789,   789,   369,   811,   634,   514,   436,   514,   516,
     572,   720,   436,   513,  1077,   821,   730,   513,   513,   738,
    1071,  1071,  1071,   436,  1071,   477,   376,   477,   477,   224,
     572,   752,   525,   187,   595,   554,   597,   598,  1221,  1221,
     318,   620,   506,   620,  1221,  1221,   771,   108,   826,   826,
     514,  1069,   705,   514,   634,   297,   622,   252,   513,   710,
     359,   513,   514,    99,   147,   154,   181,   253,   419,   615,
     615,   674,  1073,   514,   918,   674,   387,   415,   700,   513,
     211,   108,   602,   514,   606,   331,   633,  1068,   632,   388,
     388,   129,   137,   291,   746,   786,   787,   802,   514,   516,
     973,   652,   311,   462,   654,   655,   500,  1108,   571,  1003,
    1039,   514,  1012,  1036,   125,   311,   494,   125,   932,   514,
     516,   108,   971,  1070,   514,  1002,   513,   957,   964,   514,
     976,   514,   514,  1020,  1021,  1201,   514,   769,   780,   571,
     788,   634,   513,   746,   790,   790,  1069,   634,   705,  1071,
     679,   458,   573,  1071,  1039,   794,   224,   733,   820,  1039,
    1039,   906,   906,  1071,   906,   745,   746,   745,   746,  1070,
     571,   587,  1221,   514,   516,   620,   826,   111,   248,   224,
     311,   618,   230,   343,   408,   327,   626,   627,   628,   428,
     514,  1077,    82,   711,   400,   218,   732,   576,   856,  1002,
     359,   918,   631,   630,   609,   514,   633,   137,   330,   137,
     514,   516,   807,   812,   193,   462,   652,  1079,  1215,  1223,
      85,   514,   514,   514,   368,   463,  1036,   362,   388,  1026,
     972,   969,   513,   514,  1070,   514,   516,   108,   229,   789,
     474,   625,   821,   791,   791,   619,   705,  1002,   514,   333,
     393,   366,   734,   733,   514,   514,   906,   477,   598,   198,
     254,   185,   456,   327,   628,   327,   627,  1071,   513,   514,
     516,  1071,   746,   108,   108,   514,  1077,   856,   632,   631,
     330,   330,   576,   787,   811,   100,   263,   844,  1107,   119,
     163,   447,  1002,  1027,  1028,  1027,   514,   976,   514,  1021,
    1023,   767,   790,   513,   705,   514,   622,  1077,   125,   734,
     746,   387,   128,   311,   380,   403,   629,   629,   514,    82,
     674,   729,   918,   513,   633,   632,   633,   314,   513,   839,
     841,   846,   896,   901,   907,   918,  1028,   387,   223,   350,
     223,   350,   514,   571,   791,  1002,   626,   794,   746,   701,
      94,   180,   318,   856,   702,   703,  1079,  1203,  1220,  1221,
     633,   973,   840,   841,   842,   919,   920,   105,   514,   705,
     211,   514,   516,   514,   517,  1028,   359,   703,   842,  1077,
     513,   702,   514
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif


#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into *YYMSG, which is of size *YYMSG_ALLOC, an error message
   about the unexpected token YYTOKEN for the state stack whose top is
   YYSSP.

   Return 0 if *YYMSG was successfully written.  Return 1 if *YYMSG is
   not large enough to hold the message.  In that case, also set
   *YYMSG_ALLOC to the required number of bytes.  Return 2 if the
   required number of bytes is too large to store.  */
static int
yysyntax_error (YYSIZE_T *yymsg_alloc, char **yymsg,
                yytype_int16 *yyssp, int yytoken)
{
  YYSIZE_T yysize0 = yytnamerr (0, yytname[yytoken]);
  YYSIZE_T yysize = yysize0;
  YYSIZE_T yysize1;
  enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
  /* Internationalized format string. */
  const char *yyformat = 0;
  /* Arguments of yyformat. */
  char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
  /* Number of reported tokens (one for the "unexpected", one per
     "expected"). */
  int yycount = 0;

  /* There are many possibilities here to consider:
     - Assume YYFAIL is not used.  It's too flawed to consider.  See
       <http://lists.gnu.org/archive/html/bison-patches/2009-12/msg00024.html>
       for details.  YYERROR is fine as it does not invoke this
       function.
     - If this state is a consistent state with a default action, then
       the only way this function was invoked is if the default action
       is an error action.  In that case, don't check for expected
       tokens because there are none.
     - The only way there can be no lookahead present (in yychar) is if
       this state is a consistent state with a default action.  Thus,
       detecting the absence of a lookahead is sufficient to determine
       that there is no unexpected or expected token to report.  In that
       case, just report a simple "syntax error".
     - Don't assume there isn't a lookahead just because this state is a
       consistent state with a default action.  There might have been a
       previous inconsistent state, consistent state with a non-default
       action, or user semantic action that manipulated yychar.
     - Of course, the expected token list depends on states to have
       correct lookahead information, and it depends on the parser not
       to perform extra reductions after fetching a lookahead from the
       scanner and before detecting a syntax error.  Thus, state merging
       (from LALR or IELR) and default reductions corrupt the expected
       token list.  However, the list is correct for canonical LR with
       one exception: it will still contain any token that will not be
       accepted due to an error action in a later state.
  */
  if (yytoken != YYEMPTY)
    {
      int yyn = yypact[*yyssp];
      yyarg[yycount++] = yytname[yytoken];
      if (!yypact_value_is_default (yyn))
        {
          /* Start YYX at -YYN if negative to avoid negative indexes in
             YYCHECK.  In other words, skip the first -YYN actions for
             this state because they are default actions.  */
          int yyxbegin = yyn < 0 ? -yyn : 0;
          /* Stay within bounds of both yycheck and yytname.  */
          int yychecklim = YYLAST - yyn + 1;
          int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
          int yyx;

          for (yyx = yyxbegin; yyx < yyxend; ++yyx)
            if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR
                && !yytable_value_is_error (yytable[yyx + yyn]))
              {
                if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
                  {
                    yycount = 1;
                    yysize = yysize0;
                    break;
                  }
                yyarg[yycount++] = yytname[yyx];
                yysize1 = yysize + yytnamerr (0, yytname[yyx]);
                if (! (yysize <= yysize1
                       && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
                  return 2;
                yysize = yysize1;
              }
        }
    }

  switch (yycount)
    {
# define YYCASE_(N, S)                      \
      case N:                               \
        yyformat = S;                       \
      break
      YYCASE_(0, YY_("syntax error"));
      YYCASE_(1, YY_("syntax error, unexpected %s"));
      YYCASE_(2, YY_("syntax error, unexpected %s, expecting %s"));
      YYCASE_(3, YY_("syntax error, unexpected %s, expecting %s or %s"));
      YYCASE_(4, YY_("syntax error, unexpected %s, expecting %s or %s or %s"));
      YYCASE_(5, YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s"));
# undef YYCASE_
    }

  yysize1 = yysize + yystrlen (yyformat);
  if (! (yysize <= yysize1 && yysize1 <= YYSTACK_ALLOC_MAXIMUM))
    return 2;
  yysize = yysize1;

  if (*yymsg_alloc < yysize)
    {
      *yymsg_alloc = 2 * yysize;
      if (! (yysize <= *yymsg_alloc
             && *yymsg_alloc <= YYSTACK_ALLOC_MAXIMUM))
        *yymsg_alloc = YYSTACK_ALLOC_MAXIMUM;
      return 1;
    }

  /* Avoid sprintf, as that infringes on the user's name space.
     Don't have undefined behavior even if the translation
     produced a string with the wrong number of "%s"s.  */
  {
    char *yyp = *yymsg;
    int yyi = 0;
    while ((*yyp = *yyformat) != '\0')
      if (*yyp == '%' && yyformat[1] == 's' && yyi < yycount)
        {
          yyp += yytnamerr (yyp, yyarg[yyi++]);
          yyformat += 2;
        }
      else
        {
          yyp++;
          yyformat++;
        }
  }
  return 0;
}
#endif /* YYERROR_VERBOSE */

/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {

      default:
	break;
    }
}


/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;


/*----------.
| yyparse.  |
`----------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{
    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yypact_value_is_default (yyn))
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yytable_value_is_error (yyn))
        goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 3:

/* Line 1806 of yacc.c  */
#line 1513 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 4:

/* Line 1806 of yacc.c  */
#line 1515 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 5:

/* Line 1806 of yacc.c  */
#line 1517 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 6:

/* Line 1806 of yacc.c  */
#line 1519 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 7:

/* Line 1806 of yacc.c  */
#line 1521 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 8:

/* Line 1806 of yacc.c  */
#line 1523 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 9:

/* Line 1806 of yacc.c  */
#line 1525 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 10:

/* Line 1806 of yacc.c  */
#line 1527 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 11:

/* Line 1806 of yacc.c  */
#line 1529 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 12:

/* Line 1806 of yacc.c  */
#line 1531 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 13:

/* Line 1806 of yacc.c  */
#line 1533 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 14:

/* Line 1806 of yacc.c  */
#line 1535 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 15:

/* Line 1806 of yacc.c  */
#line 1537 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 16:

/* Line 1806 of yacc.c  */
#line 1539 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 17:

/* Line 1806 of yacc.c  */
#line 1541 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 18:

/* Line 1806 of yacc.c  */
#line 1543 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 19:

/* Line 1806 of yacc.c  */
#line 1545 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 20:

/* Line 1806 of yacc.c  */
#line 1547 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 21:

/* Line 1806 of yacc.c  */
#line 1549 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 22:

/* Line 1806 of yacc.c  */
#line 1551 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 23:

/* Line 1806 of yacc.c  */
#line 1553 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 24:

/* Line 1806 of yacc.c  */
#line 1555 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 25:

/* Line 1806 of yacc.c  */
#line 1557 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 26:

/* Line 1806 of yacc.c  */
#line 1559 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 27:

/* Line 1806 of yacc.c  */
#line 1561 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 28:

/* Line 1806 of yacc.c  */
#line 1563 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 29:

/* Line 1806 of yacc.c  */
#line 1565 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 30:

/* Line 1806 of yacc.c  */
#line 1567 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 31:

/* Line 1806 of yacc.c  */
#line 1569 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 32:

/* Line 1806 of yacc.c  */
#line 1571 "preproc.y"
    {
		if (INFORMIX_MODE)
		{
			if (pg_strcasecmp((yyvsp[(1) - (1)].str)+strlen("close "), "database") == 0)
			{
				if (connection)
					mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CLOSE DATABASE statement");

				fprintf(yyout, "{ ECPGdisconnect(__LINE__, \"CURRENT\");");
				whenever_action(2);
				free((yyvsp[(1) - (1)].str));
				break;
			}
		}

		output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal);
	}
    break;

  case 33:

/* Line 1806 of yacc.c  */
#line 1589 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 34:

/* Line 1806 of yacc.c  */
#line 1591 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 35:

/* Line 1806 of yacc.c  */
#line 1593 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 36:

/* Line 1806 of yacc.c  */
#line 1595 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 37:

/* Line 1806 of yacc.c  */
#line 1597 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 38:

/* Line 1806 of yacc.c  */
#line 1599 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 39:

/* Line 1806 of yacc.c  */
#line 1601 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 40:

/* Line 1806 of yacc.c  */
#line 1603 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 41:

/* Line 1806 of yacc.c  */
#line 1605 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 42:

/* Line 1806 of yacc.c  */
#line 1607 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 43:

/* Line 1806 of yacc.c  */
#line 1609 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 44:

/* Line 1806 of yacc.c  */
#line 1611 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 45:

/* Line 1806 of yacc.c  */
#line 1613 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 46:

/* Line 1806 of yacc.c  */
#line 1615 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 47:

/* Line 1806 of yacc.c  */
#line 1617 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 48:

/* Line 1806 of yacc.c  */
#line 1619 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 49:

/* Line 1806 of yacc.c  */
#line 1621 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 50:

/* Line 1806 of yacc.c  */
#line 1623 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 51:

/* Line 1806 of yacc.c  */
#line 1625 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 52:

/* Line 1806 of yacc.c  */
#line 1627 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 53:

/* Line 1806 of yacc.c  */
#line 1629 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 54:

/* Line 1806 of yacc.c  */
#line 1631 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 55:

/* Line 1806 of yacc.c  */
#line 1633 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 56:

/* Line 1806 of yacc.c  */
#line 1635 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 57:

/* Line 1806 of yacc.c  */
#line 1637 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 58:

/* Line 1806 of yacc.c  */
#line 1639 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 59:

/* Line 1806 of yacc.c  */
#line 1641 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 60:

/* Line 1806 of yacc.c  */
#line 1643 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 61:

/* Line 1806 of yacc.c  */
#line 1645 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 62:

/* Line 1806 of yacc.c  */
#line 1647 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 63:

/* Line 1806 of yacc.c  */
#line 1649 "preproc.y"
    {
		output_deallocate_prepare_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 64:

/* Line 1806 of yacc.c  */
#line 1653 "preproc.y"
    { output_simple_statement((yyvsp[(1) - (1)].str)); }
    break;

  case 65:

/* Line 1806 of yacc.c  */
#line 1655 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 66:

/* Line 1806 of yacc.c  */
#line 1657 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 67:

/* Line 1806 of yacc.c  */
#line 1659 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 68:

/* Line 1806 of yacc.c  */
#line 1661 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 69:

/* Line 1806 of yacc.c  */
#line 1663 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 70:

/* Line 1806 of yacc.c  */
#line 1665 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 71:

/* Line 1806 of yacc.c  */
#line 1667 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 72:

/* Line 1806 of yacc.c  */
#line 1669 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 73:

/* Line 1806 of yacc.c  */
#line 1671 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 74:

/* Line 1806 of yacc.c  */
#line 1673 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 75:

/* Line 1806 of yacc.c  */
#line 1675 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 76:

/* Line 1806 of yacc.c  */
#line 1677 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 77:

/* Line 1806 of yacc.c  */
#line 1679 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 78:

/* Line 1806 of yacc.c  */
#line 1681 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 79:

/* Line 1806 of yacc.c  */
#line 1683 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 80:

/* Line 1806 of yacc.c  */
#line 1685 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 81:

/* Line 1806 of yacc.c  */
#line 1687 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 82:

/* Line 1806 of yacc.c  */
#line 1689 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 83:

/* Line 1806 of yacc.c  */
#line 1691 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 84:

/* Line 1806 of yacc.c  */
#line 1693 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 85:

/* Line 1806 of yacc.c  */
#line 1695 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 86:

/* Line 1806 of yacc.c  */
#line 1697 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_execute); }
    break;

  case 87:

/* Line 1806 of yacc.c  */
#line 1699 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 88:

/* Line 1806 of yacc.c  */
#line 1701 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_normal); }
    break;

  case 89:

/* Line 1806 of yacc.c  */
#line 1703 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 90:

/* Line 1806 of yacc.c  */
#line 1705 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 91:

/* Line 1806 of yacc.c  */
#line 1707 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 92:

/* Line 1806 of yacc.c  */
#line 1709 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 93:

/* Line 1806 of yacc.c  */
#line 1711 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 94:

/* Line 1806 of yacc.c  */
#line 1713 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 95:

/* Line 1806 of yacc.c  */
#line 1715 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 96:

/* Line 1806 of yacc.c  */
#line 1717 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 97:

/* Line 1806 of yacc.c  */
#line 1719 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 98:

/* Line 1806 of yacc.c  */
#line 1721 "preproc.y"
    {
		if ((yyvsp[(1) - (1)].prep).type == NULL || strlen((yyvsp[(1) - (1)].prep).type) == 0)
			output_prepare_statement((yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).stmt);
		else
			output_statement(cat_str(5, mm_strdup("prepare"), (yyvsp[(1) - (1)].prep).name, (yyvsp[(1) - (1)].prep).type, mm_strdup("as"), (yyvsp[(1) - (1)].prep).stmt), 0, ECPGst_normal);
	}
    break;

  case 99:

/* Line 1806 of yacc.c  */
#line 1728 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 100:

/* Line 1806 of yacc.c  */
#line 1730 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 101:

/* Line 1806 of yacc.c  */
#line 1732 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 102:

/* Line 1806 of yacc.c  */
#line 1734 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 103:

/* Line 1806 of yacc.c  */
#line 1736 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 104:

/* Line 1806 of yacc.c  */
#line 1738 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 105:

/* Line 1806 of yacc.c  */
#line 1740 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 106:

/* Line 1806 of yacc.c  */
#line 1742 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 107:

/* Line 1806 of yacc.c  */
#line 1744 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 108:

/* Line 1806 of yacc.c  */
#line 1746 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 109:

/* Line 1806 of yacc.c  */
#line 1748 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 110:

/* Line 1806 of yacc.c  */
#line 1750 "preproc.y"
    {
		fprintf(yyout, "{ ECPGtrans(__LINE__, %s, \"%s\");", connection ? connection : "NULL", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 111:

/* Line 1806 of yacc.c  */
#line 1756 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 112:

/* Line 1806 of yacc.c  */
#line 1758 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 113:

/* Line 1806 of yacc.c  */
#line 1760 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 1, ECPGst_prepnormal); }
    break;

  case 114:

/* Line 1806 of yacc.c  */
#line 1762 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 115:

/* Line 1806 of yacc.c  */
#line 1764 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 116:

/* Line 1806 of yacc.c  */
#line 1766 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 117:

/* Line 1806 of yacc.c  */
#line 1768 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 118:

/* Line 1806 of yacc.c  */
#line 1770 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_normal); }
    break;

  case 119:

/* Line 1806 of yacc.c  */
#line 1772 "preproc.y"
    {
		fprintf(yyout,"ECPGallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 120:

/* Line 1806 of yacc.c  */
#line 1778 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in CONNECT statement");

		fprintf(yyout, "{ ECPGconnect(__LINE__, %d, %s, %d); ", compat, (yyvsp[(1) - (1)].str), autocommit);
		reset_variables();
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 121:

/* Line 1806 of yacc.c  */
#line 1788 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 122:

/* Line 1806 of yacc.c  */
#line 1792 "preproc.y"
    {
		fprintf(yyout,"ECPGdeallocate_desc(__LINE__, %s);",(yyvsp[(1) - (1)].str));
		whenever_action(0);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 123:

/* Line 1806 of yacc.c  */
#line 1798 "preproc.y"
    {
		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 124:

/* Line 1806 of yacc.c  */
#line 1802 "preproc.y"
    {
		fprintf(yyout, "{ ECPGdescribe(__LINE__, %d, %s,", compat, (yyvsp[(1) - (1)].str));
		dump_variables(argsresult, 1);
		fputs("ECPGt_EORT);", yyout);
		fprintf(yyout, "}");
		output_line_number();

		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 125:

/* Line 1806 of yacc.c  */
#line 1812 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in DISCONNECT statement");

		fprintf(yyout, "{ ECPGdisconnect(__LINE__, %s);",
				(yyvsp[(1) - (1)].str) ? (yyvsp[(1) - (1)].str) : "\"CURRENT\"");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 126:

/* Line 1806 of yacc.c  */
#line 1821 "preproc.y"
    { output_statement((yyvsp[(1) - (1)].str), 0, ECPGst_exec_immediate); }
    break;

  case 127:

/* Line 1806 of yacc.c  */
#line 1823 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";

		if (strcmp((yyvsp[(1) - (1)].str), "all") == 0)
			fprintf(yyout, "{ ECPGdeallocate_all(__LINE__, %d, %s);", compat, con);
		else if ((yyvsp[(1) - (1)].str)[0] == ':')
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, %s);", compat, con, (yyvsp[(1) - (1)].str)+1);
		else
			fprintf(yyout, "{ ECPGdeallocate(__LINE__, %d, %s, \"%s\");", compat, con, (yyvsp[(1) - (1)].str));

		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 128:

/* Line 1806 of yacc.c  */
#line 1837 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_get_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 129:

/* Line 1806 of yacc.c  */
#line 1844 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_get_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 130:

/* Line 1806 of yacc.c  */
#line 1850 "preproc.y"
    {
		struct cursor *ptr;

		if ((ptr = add_additional_variables((yyvsp[(1) - (1)].str), true)) != NULL)
		{
			connection = ptr->connection ? mm_strdup(ptr->connection) : NULL;
			output_statement(mm_strdup(ptr->command), 0, ECPGst_normal);
			ptr->opened = true;
		}
	}
    break;

  case 131:

/* Line 1806 of yacc.c  */
#line 1861 "preproc.y"
    {
		fprintf(yyout, "{ ECPGsetcommit(__LINE__, \"%s\", %s);", (yyvsp[(1) - (1)].str), connection ? connection : "NULL");
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 132:

/* Line 1806 of yacc.c  */
#line 1867 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in SET CONNECTION statement");

		fprintf(yyout, "{ ECPGsetconn(__LINE__, %s);", (yyvsp[(1) - (1)].str));
		whenever_action(2);
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 133:

/* Line 1806 of yacc.c  */
#line 1876 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].descriptor).name, connection);
		output_set_descr((yyvsp[(1) - (1)].descriptor).name, (yyvsp[(1) - (1)].descriptor).str);
		free((yyvsp[(1) - (1)].descriptor).name);
		free((yyvsp[(1) - (1)].descriptor).str);
	}
    break;

  case 134:

/* Line 1806 of yacc.c  */
#line 1883 "preproc.y"
    {
		lookup_descriptor((yyvsp[(1) - (1)].str), connection);
		output_set_descr_header((yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
	}
    break;

  case 135:

/* Line 1806 of yacc.c  */
#line 1889 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in TYPE statement");

		fprintf(yyout, "%s", (yyvsp[(1) - (1)].str));
		free((yyvsp[(1) - (1)].str));
		output_line_number();
	}
    break;

  case 136:

/* Line 1806 of yacc.c  */
#line 1898 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in VAR statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 137:

/* Line 1806 of yacc.c  */
#line 1905 "preproc.y"
    {
		if (connection)
			mmerror(PARSE_ERROR, ET_ERROR, "AT option not allowed in WHENEVER statement");

		output_simple_statement((yyvsp[(1) - (1)].str));
	}
    break;

  case 138:

/* Line 1806 of yacc.c  */
#line 1912 "preproc.y"
    { (yyval.str) = NULL; }
    break;

  case 139:

/* Line 1806 of yacc.c  */
#line 1918 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 140:

/* Line 1806 of yacc.c  */
#line 1926 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 141:

/* Line 1806 of yacc.c  */
#line 1930 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 142:

/* Line 1806 of yacc.c  */
#line 1937 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 143:

/* Line 1806 of yacc.c  */
#line 1941 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 144:

/* Line 1806 of yacc.c  */
#line 1948 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 145:

/* Line 1806 of yacc.c  */
#line 1952 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 146:

/* Line 1806 of yacc.c  */
#line 1959 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("password"),(yyvsp[(2) - (2)].str));
}
    break;

  case 147:

/* Line 1806 of yacc.c  */
#line 1963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password null");
}
    break;

  case 148:

/* Line 1806 of yacc.c  */
#line 1967 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 149:

/* Line 1806 of yacc.c  */
#line 1971 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unencrypted password"),(yyvsp[(3) - (3)].str));
}
    break;

  case 150:

/* Line 1806 of yacc.c  */
#line 1975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 151:

/* Line 1806 of yacc.c  */
#line 1979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("connection limit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 152:

/* Line 1806 of yacc.c  */
#line 1983 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("valid until"),(yyvsp[(3) - (3)].str));
}
    break;

  case 153:

/* Line 1806 of yacc.c  */
#line 1987 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("user"),(yyvsp[(2) - (2)].str));
}
    break;

  case 154:

/* Line 1806 of yacc.c  */
#line 1991 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 155:

/* Line 1806 of yacc.c  */
#line 1999 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 156:

/* Line 1806 of yacc.c  */
#line 2003 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sysid"),(yyvsp[(2) - (2)].str));
}
    break;

  case 157:

/* Line 1806 of yacc.c  */
#line 2007 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("admin"),(yyvsp[(2) - (2)].str));
}
    break;

  case 158:

/* Line 1806 of yacc.c  */
#line 2011 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 159:

/* Line 1806 of yacc.c  */
#line 2015 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 160:

/* Line 1806 of yacc.c  */
#line 2019 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 161:

/* Line 1806 of yacc.c  */
#line 2027 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 162:

/* Line 1806 of yacc.c  */
#line 2035 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 163:

/* Line 1806 of yacc.c  */
#line 2043 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 164:

/* Line 1806 of yacc.c  */
#line 2046 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 165:

/* Line 1806 of yacc.c  */
#line 2054 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 166:

/* Line 1806 of yacc.c  */
#line 2058 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter role all"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 167:

/* Line 1806 of yacc.c  */
#line 2066 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 168:

/* Line 1806 of yacc.c  */
#line 2074 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter user"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 169:

/* Line 1806 of yacc.c  */
#line 2082 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 170:

/* Line 1806 of yacc.c  */
#line 2086 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop role if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 171:

/* Line 1806 of yacc.c  */
#line 2094 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 172:

/* Line 1806 of yacc.c  */
#line 2098 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop user if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 173:

/* Line 1806 of yacc.c  */
#line 2106 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create group"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 174:

/* Line 1806 of yacc.c  */
#line 2114 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("user"),(yyvsp[(6) - (6)].str));
}
    break;

  case 175:

/* Line 1806 of yacc.c  */
#line 2122 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 176:

/* Line 1806 of yacc.c  */
#line 2126 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 177:

/* Line 1806 of yacc.c  */
#line 2134 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group"),(yyvsp[(3) - (3)].str));
}
    break;

  case 178:

/* Line 1806 of yacc.c  */
#line 2138 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop group if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 179:

/* Line 1806 of yacc.c  */
#line 2146 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create schema"),(yyvsp[(3) - (6)].str),mm_strdup("authorization"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 180:

/* Line 1806 of yacc.c  */
#line 2150 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create schema"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 181:

/* Line 1806 of yacc.c  */
#line 2154 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(5,mm_strdup("create schema if not exists"),(yyvsp[(6) - (9)].str),mm_strdup("authorization"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 182:

/* Line 1806 of yacc.c  */
#line 2159 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("create schema if not exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 183:

/* Line 1806 of yacc.c  */
#line 2168 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 184:

/* Line 1806 of yacc.c  */
#line 2172 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 185:

/* Line 1806 of yacc.c  */
#line 2179 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 186:

/* Line 1806 of yacc.c  */
#line 2183 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 187:

/* Line 1806 of yacc.c  */
#line 2190 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 188:

/* Line 1806 of yacc.c  */
#line 2194 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 189:

/* Line 1806 of yacc.c  */
#line 2198 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 190:

/* Line 1806 of yacc.c  */
#line 2202 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 191:

/* Line 1806 of yacc.c  */
#line 2206 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 192:

/* Line 1806 of yacc.c  */
#line 2210 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 193:

/* Line 1806 of yacc.c  */
#line 2218 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 194:

/* Line 1806 of yacc.c  */
#line 2222 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set local"),(yyvsp[(3) - (3)].str));
}
    break;

  case 195:

/* Line 1806 of yacc.c  */
#line 2226 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set session"),(yyvsp[(3) - (3)].str));
}
    break;

  case 196:

/* Line 1806 of yacc.c  */
#line 2234 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction"),(yyvsp[(2) - (2)].str));
}
    break;

  case 197:

/* Line 1806 of yacc.c  */
#line 2238 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session characteristics as transaction"),(yyvsp[(5) - (5)].str));
}
    break;

  case 198:

/* Line 1806 of yacc.c  */
#line 2242 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 199:

/* Line 1806 of yacc.c  */
#line 2250 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 200:

/* Line 1806 of yacc.c  */
#line 2254 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 201:

/* Line 1806 of yacc.c  */
#line 2258 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("to default"));
}
    break;

  case 203:

/* Line 1806 of yacc.c  */
#line 2263 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 204:

/* Line 1806 of yacc.c  */
#line 2267 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("from current"));
}
    break;

  case 205:

/* Line 1806 of yacc.c  */
#line 2271 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time zone"),(yyvsp[(3) - (3)].str));
}
    break;

  case 206:

/* Line 1806 of yacc.c  */
#line 2275 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("catalog"),(yyvsp[(2) - (2)].str));
}
    break;

  case 207:

/* Line 1806 of yacc.c  */
#line 2280 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 208:

/* Line 1806 of yacc.c  */
#line 2284 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("names"),(yyvsp[(2) - (2)].str));
}
    break;

  case 209:

/* Line 1806 of yacc.c  */
#line 2288 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("role"),(yyvsp[(2) - (2)].str));
}
    break;

  case 210:

/* Line 1806 of yacc.c  */
#line 2292 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("session authorization"),(yyvsp[(3) - (3)].str));
}
    break;

  case 211:

/* Line 1806 of yacc.c  */
#line 2296 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session authorization default");
}
    break;

  case 212:

/* Line 1806 of yacc.c  */
#line 2300 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("xml option"),(yyvsp[(3) - (3)].str));
}
    break;

  case 213:

/* Line 1806 of yacc.c  */
#line 2304 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("transaction snapshot"),(yyvsp[(3) - (3)].str));
}
    break;

  case 214:

/* Line 1806 of yacc.c  */
#line 2312 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 215:

/* Line 1806 of yacc.c  */
#line 2316 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 216:

/* Line 1806 of yacc.c  */
#line 2324 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 217:

/* Line 1806 of yacc.c  */
#line 2328 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 218:

/* Line 1806 of yacc.c  */
#line 2336 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 219:

/* Line 1806 of yacc.c  */
#line 2340 "preproc.y"
    { 
		if ((yyvsp[(1) - (1)].str)[0] == '$')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 220:

/* Line 1806 of yacc.c  */
#line 2354 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read uncommitted");
}
    break;

  case 221:

/* Line 1806 of yacc.c  */
#line 2358 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read committed");
}
    break;

  case 222:

/* Line 1806 of yacc.c  */
#line 2362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable read");
}
    break;

  case 223:

/* Line 1806 of yacc.c  */
#line 2366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 224:

/* Line 1806 of yacc.c  */
#line 2374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 225:

/* Line 1806 of yacc.c  */
#line 2378 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 226:

/* Line 1806 of yacc.c  */
#line 2382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 227:

/* Line 1806 of yacc.c  */
#line 2386 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 228:

/* Line 1806 of yacc.c  */
#line 2394 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 229:

/* Line 1806 of yacc.c  */
#line 2398 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 230:

/* Line 1806 of yacc.c  */
#line 2402 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 231:

/* Line 1806 of yacc.c  */
#line 2406 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 232:

/* Line 1806 of yacc.c  */
#line 2410 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 233:

/* Line 1806 of yacc.c  */
#line 2414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 234:

/* Line 1806 of yacc.c  */
#line 2418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 235:

/* Line 1806 of yacc.c  */
#line 2426 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 236:

/* Line 1806 of yacc.c  */
#line 2430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 237:

/* Line 1806 of yacc.c  */
#line 2434 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 238:

/* Line 1806 of yacc.c  */
#line 2441 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 239:

/* Line 1806 of yacc.c  */
#line 2445 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 240:

/* Line 1806 of yacc.c  */
#line 2453 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 241:

/* Line 1806 of yacc.c  */
#line 2457 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset time zone");
}
    break;

  case 242:

/* Line 1806 of yacc.c  */
#line 2461 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset transaction isolation level");
}
    break;

  case 243:

/* Line 1806 of yacc.c  */
#line 2465 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset session authorization");
}
    break;

  case 244:

/* Line 1806 of yacc.c  */
#line 2469 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset all");
}
    break;

  case 245:

/* Line 1806 of yacc.c  */
#line 2477 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 246:

/* Line 1806 of yacc.c  */
#line 2481 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 247:

/* Line 1806 of yacc.c  */
#line 2489 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 248:

/* Line 1806 of yacc.c  */
#line 2493 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 249:

/* Line 1806 of yacc.c  */
#line 2501 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("show"),(yyvsp[(2) - (3)].str));
}
    break;

  case 250:

/* Line 1806 of yacc.c  */
#line 2505 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show time zone");
}
    break;

  case 251:

/* Line 1806 of yacc.c  */
#line 2509 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show transaction isolation level");
}
    break;

  case 252:

/* Line 1806 of yacc.c  */
#line 2513 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show session authorization");
}
    break;

  case 253:

/* Line 1806 of yacc.c  */
#line 2517 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_ERROR, "SHOW ALL is not implemented");
		(yyval.str) = EMPTY;
	}
    break;

  case 254:

/* Line 1806 of yacc.c  */
#line 2526 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("set constraints"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 255:

/* Line 1806 of yacc.c  */
#line 2534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 256:

/* Line 1806 of yacc.c  */
#line 2538 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 257:

/* Line 1806 of yacc.c  */
#line 2546 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 258:

/* Line 1806 of yacc.c  */
#line 2550 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 259:

/* Line 1806 of yacc.c  */
#line 2558 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 260:

/* Line 1806 of yacc.c  */
#line 2566 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard all");
}
    break;

  case 261:

/* Line 1806 of yacc.c  */
#line 2570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temp");
}
    break;

  case 262:

/* Line 1806 of yacc.c  */
#line 2574 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard temporary");
}
    break;

  case 263:

/* Line 1806 of yacc.c  */
#line 2578 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard plans");
}
    break;

  case 264:

/* Line 1806 of yacc.c  */
#line 2582 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard sequences");
}
    break;

  case 265:

/* Line 1806 of yacc.c  */
#line 2590 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 266:

/* Line 1806 of yacc.c  */
#line 2594 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter table if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 267:

/* Line 1806 of yacc.c  */
#line 2598 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 268:

/* Line 1806 of yacc.c  */
#line 2602 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter index if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 269:

/* Line 1806 of yacc.c  */
#line 2606 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 270:

/* Line 1806 of yacc.c  */
#line 2610 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 271:

/* Line 1806 of yacc.c  */
#line 2614 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 272:

/* Line 1806 of yacc.c  */
#line 2618 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter view if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 273:

/* Line 1806 of yacc.c  */
#line 2622 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 274:

/* Line 1806 of yacc.c  */
#line 2626 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 275:

/* Line 1806 of yacc.c  */
#line 2634 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 276:

/* Line 1806 of yacc.c  */
#line 2638 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 277:

/* Line 1806 of yacc.c  */
#line 2646 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 278:

/* Line 1806 of yacc.c  */
#line 2650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add column"),(yyvsp[(3) - (3)].str));
}
    break;

  case 279:

/* Line 1806 of yacc.c  */
#line 2654 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 280:

/* Line 1806 of yacc.c  */
#line 2658 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 281:

/* Line 1806 of yacc.c  */
#line 2662 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 282:

/* Line 1806 of yacc.c  */
#line 2666 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set statistics"),(yyvsp[(6) - (6)].str));
}
    break;

  case 283:

/* Line 1806 of yacc.c  */
#line 2670 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 284:

/* Line 1806 of yacc.c  */
#line 2674 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 285:

/* Line 1806 of yacc.c  */
#line 2678 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("set storage"),(yyvsp[(6) - (6)].str));
}
    break;

  case 286:

/* Line 1806 of yacc.c  */
#line 2682 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 287:

/* Line 1806 of yacc.c  */
#line 2686 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 288:

/* Line 1806 of yacc.c  */
#line 2690 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter"),(yyvsp[(2) - (8)].str),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 289:

/* Line 1806 of yacc.c  */
#line 2694 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 290:

/* Line 1806 of yacc.c  */
#line 2698 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 291:

/* Line 1806 of yacc.c  */
#line 2702 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 292:

/* Line 1806 of yacc.c  */
#line 2706 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validate constraint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 293:

/* Line 1806 of yacc.c  */
#line 2710 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 294:

/* Line 1806 of yacc.c  */
#line 2714 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop constraint"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 295:

/* Line 1806 of yacc.c  */
#line 2718 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set with oids");
}
    break;

  case 296:

/* Line 1806 of yacc.c  */
#line 2722 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without oids");
}
    break;

  case 297:

/* Line 1806 of yacc.c  */
#line 2726 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster on"),(yyvsp[(3) - (3)].str));
}
    break;

  case 298:

/* Line 1806 of yacc.c  */
#line 2730 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set without cluster");
}
    break;

  case 299:

/* Line 1806 of yacc.c  */
#line 2734 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 300:

/* Line 1806 of yacc.c  */
#line 2738 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 301:

/* Line 1806 of yacc.c  */
#line 2742 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica trigger"),(yyvsp[(4) - (4)].str));
}
    break;

  case 302:

/* Line 1806 of yacc.c  */
#line 2746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger all");
}
    break;

  case 303:

/* Line 1806 of yacc.c  */
#line 2750 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable trigger user");
}
    break;

  case 304:

/* Line 1806 of yacc.c  */
#line 2754 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable trigger"),(yyvsp[(3) - (3)].str));
}
    break;

  case 305:

/* Line 1806 of yacc.c  */
#line 2758 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger all");
}
    break;

  case 306:

/* Line 1806 of yacc.c  */
#line 2762 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable trigger user");
}
    break;

  case 307:

/* Line 1806 of yacc.c  */
#line 2766 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 308:

/* Line 1806 of yacc.c  */
#line 2770 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable always rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 309:

/* Line 1806 of yacc.c  */
#line 2774 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("enable replica rule"),(yyvsp[(4) - (4)].str));
}
    break;

  case 310:

/* Line 1806 of yacc.c  */
#line 2778 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("disable rule"),(yyvsp[(3) - (3)].str));
}
    break;

  case 311:

/* Line 1806 of yacc.c  */
#line 2782 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inherit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 312:

/* Line 1806 of yacc.c  */
#line 2786 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("no inherit"),(yyvsp[(3) - (3)].str));
}
    break;

  case 313:

/* Line 1806 of yacc.c  */
#line 2790 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 314:

/* Line 1806 of yacc.c  */
#line 2794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not of");
}
    break;

  case 315:

/* Line 1806 of yacc.c  */
#line 2798 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 316:

/* Line 1806 of yacc.c  */
#line 2802 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 317:

/* Line 1806 of yacc.c  */
#line 2806 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 318:

/* Line 1806 of yacc.c  */
#line 2810 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("reset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 319:

/* Line 1806 of yacc.c  */
#line 2814 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("replica identity"),(yyvsp[(3) - (3)].str));
}
    break;

  case 320:

/* Line 1806 of yacc.c  */
#line 2818 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 321:

/* Line 1806 of yacc.c  */
#line 2826 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 322:

/* Line 1806 of yacc.c  */
#line 2830 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop default");
}
    break;

  case 323:

/* Line 1806 of yacc.c  */
#line 2838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 324:

/* Line 1806 of yacc.c  */
#line 2842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 325:

/* Line 1806 of yacc.c  */
#line 2846 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 326:

/* Line 1806 of yacc.c  */
#line 2853 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 327:

/* Line 1806 of yacc.c  */
#line 2857 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 328:

/* Line 1806 of yacc.c  */
#line 2864 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 329:

/* Line 1806 of yacc.c  */
#line 2868 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 330:

/* Line 1806 of yacc.c  */
#line 2875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 331:

/* Line 1806 of yacc.c  */
#line 2879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 332:

/* Line 1806 of yacc.c  */
#line 2883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 333:

/* Line 1806 of yacc.c  */
#line 2887 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 334:

/* Line 1806 of yacc.c  */
#line 2895 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 335:

/* Line 1806 of yacc.c  */
#line 2903 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 336:

/* Line 1806 of yacc.c  */
#line 2907 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 337:

/* Line 1806 of yacc.c  */
#line 2914 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 338:

/* Line 1806 of yacc.c  */
#line 2918 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 339:

/* Line 1806 of yacc.c  */
#line 2926 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 340:

/* Line 1806 of yacc.c  */
#line 2930 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 341:

/* Line 1806 of yacc.c  */
#line 2934 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("."),(yyvsp[(3) - (5)].str),mm_strdup("="),(yyvsp[(5) - (5)].str));
}
    break;

  case 342:

/* Line 1806 of yacc.c  */
#line 2938 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 343:

/* Line 1806 of yacc.c  */
#line 2946 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 344:

/* Line 1806 of yacc.c  */
#line 2954 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 345:

/* Line 1806 of yacc.c  */
#line 2958 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 346:

/* Line 1806 of yacc.c  */
#line 2966 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("add attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 347:

/* Line 1806 of yacc.c  */
#line 2970 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 348:

/* Line 1806 of yacc.c  */
#line 2974 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop attribute"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 349:

/* Line 1806 of yacc.c  */
#line 2978 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter attribute"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("type"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 350:

/* Line 1806 of yacc.c  */
#line 2986 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(2) - (2)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(2) - (2)].str);
		(yyval.str) = cat2_str(mm_strdup("close"), cursor_marker);
	}
    break;

  case 351:

/* Line 1806 of yacc.c  */
#line 2991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close all");
}
    break;

  case 352:

/* Line 1806 of yacc.c  */
#line 2999 "preproc.y"
    { 
			if (strcmp((yyvsp[(6) - (11)].str), "from") == 0 &&
			   (strcmp((yyvsp[(7) - (11)].str), "stdin") == 0 || strcmp((yyvsp[(7) - (11)].str), "stdout") == 0))
				mmerror(PARSE_ERROR, ET_WARNING, "COPY FROM STDIN is not implemented");

 (yyval.str) = cat_str(11,mm_strdup("copy"),(yyvsp[(2) - (11)].str),(yyvsp[(3) - (11)].str),(yyvsp[(4) - (11)].str),(yyvsp[(5) - (11)].str),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 353:

/* Line 1806 of yacc.c  */
#line 3007 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("copy"),(yyvsp[(2) - (7)].str),mm_strdup("to"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 354:

/* Line 1806 of yacc.c  */
#line 3015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 355:

/* Line 1806 of yacc.c  */
#line 3019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("to");
}
    break;

  case 356:

/* Line 1806 of yacc.c  */
#line 3027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 357:

/* Line 1806 of yacc.c  */
#line 3031 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 358:

/* Line 1806 of yacc.c  */
#line 3038 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 359:

/* Line 1806 of yacc.c  */
#line 3042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 360:

/* Line 1806 of yacc.c  */
#line 3046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 361:

/* Line 1806 of yacc.c  */
#line 3054 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 362:

/* Line 1806 of yacc.c  */
#line 3058 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 363:

/* Line 1806 of yacc.c  */
#line 3066 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 364:

/* Line 1806 of yacc.c  */
#line 3070 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 365:

/* Line 1806 of yacc.c  */
#line 3077 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 366:

/* Line 1806 of yacc.c  */
#line 3081 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 367:

/* Line 1806 of yacc.c  */
#line 3085 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 368:

/* Line 1806 of yacc.c  */
#line 3089 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("delimiter"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 369:

/* Line 1806 of yacc.c  */
#line 3093 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("null"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 370:

/* Line 1806 of yacc.c  */
#line 3097 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 371:

/* Line 1806 of yacc.c  */
#line 3101 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 372:

/* Line 1806 of yacc.c  */
#line 3105 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("quote"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 373:

/* Line 1806 of yacc.c  */
#line 3109 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("escape"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 374:

/* Line 1806 of yacc.c  */
#line 3113 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force quote"),(yyvsp[(3) - (3)].str));
}
    break;

  case 375:

/* Line 1806 of yacc.c  */
#line 3117 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force quote *");
}
    break;

  case 376:

/* Line 1806 of yacc.c  */
#line 3121 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force not null"),(yyvsp[(4) - (4)].str));
}
    break;

  case 377:

/* Line 1806 of yacc.c  */
#line 3125 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("force null"),(yyvsp[(3) - (3)].str));
}
    break;

  case 378:

/* Line 1806 of yacc.c  */
#line 3129 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("encoding"),(yyvsp[(2) - (2)].str));
}
    break;

  case 379:

/* Line 1806 of yacc.c  */
#line 3137 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 380:

/* Line 1806 of yacc.c  */
#line 3141 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 381:

/* Line 1806 of yacc.c  */
#line 3148 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 382:

/* Line 1806 of yacc.c  */
#line 3152 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 383:

/* Line 1806 of yacc.c  */
#line 3159 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("delimiters"),(yyvsp[(3) - (3)].str));
}
    break;

  case 384:

/* Line 1806 of yacc.c  */
#line 3163 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 385:

/* Line 1806 of yacc.c  */
#line 3170 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 386:

/* Line 1806 of yacc.c  */
#line 3174 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 387:

/* Line 1806 of yacc.c  */
#line 3181 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 388:

/* Line 1806 of yacc.c  */
#line 3185 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 389:

/* Line 1806 of yacc.c  */
#line 3193 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 390:

/* Line 1806 of yacc.c  */
#line 3201 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 391:

/* Line 1806 of yacc.c  */
#line 3205 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 392:

/* Line 1806 of yacc.c  */
#line 3209 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 393:

/* Line 1806 of yacc.c  */
#line 3213 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 394:

/* Line 1806 of yacc.c  */
#line 3217 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 395:

/* Line 1806 of yacc.c  */
#line 3224 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 396:

/* Line 1806 of yacc.c  */
#line 3228 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 397:

/* Line 1806 of yacc.c  */
#line 3236 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 398:

/* Line 1806 of yacc.c  */
#line 3244 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (11)].str),mm_strdup("table"),(yyvsp[(4) - (11)].str),mm_strdup("("),(yyvsp[(6) - (11)].str),mm_strdup(")"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 399:

/* Line 1806 of yacc.c  */
#line 3248 "preproc.y"
    { 
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 400:

/* Line 1806 of yacc.c  */
#line 3252 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("table"),(yyvsp[(4) - (10)].str),mm_strdup("of"),(yyvsp[(6) - (10)].str),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 401:

/* Line 1806 of yacc.c  */
#line 3256 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("of"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 402:

/* Line 1806 of yacc.c  */
#line 3264 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 403:

/* Line 1806 of yacc.c  */
#line 3268 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 404:

/* Line 1806 of yacc.c  */
#line 3272 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temporary");
}
    break;

  case 405:

/* Line 1806 of yacc.c  */
#line 3276 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local temp");
}
    break;

  case 406:

/* Line 1806 of yacc.c  */
#line 3280 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temporary");
}
    break;

  case 407:

/* Line 1806 of yacc.c  */
#line 3284 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global temp");
}
    break;

  case 408:

/* Line 1806 of yacc.c  */
#line 3288 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 409:

/* Line 1806 of yacc.c  */
#line 3292 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 410:

/* Line 1806 of yacc.c  */
#line 3299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 411:

/* Line 1806 of yacc.c  */
#line 3303 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 412:

/* Line 1806 of yacc.c  */
#line 3310 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 413:

/* Line 1806 of yacc.c  */
#line 3314 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 414:

/* Line 1806 of yacc.c  */
#line 3321 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 415:

/* Line 1806 of yacc.c  */
#line 3325 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 416:

/* Line 1806 of yacc.c  */
#line 3333 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 417:

/* Line 1806 of yacc.c  */
#line 3337 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 418:

/* Line 1806 of yacc.c  */
#line 3345 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 419:

/* Line 1806 of yacc.c  */
#line 3349 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 420:

/* Line 1806 of yacc.c  */
#line 3353 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 421:

/* Line 1806 of yacc.c  */
#line 3361 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 422:

/* Line 1806 of yacc.c  */
#line 3365 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 423:

/* Line 1806 of yacc.c  */
#line 3373 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 424:

/* Line 1806 of yacc.c  */
#line 3381 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("with options"),(yyvsp[(4) - (4)].str));
}
    break;

  case 425:

/* Line 1806 of yacc.c  */
#line 3389 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 426:

/* Line 1806 of yacc.c  */
#line 3393 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 427:

/* Line 1806 of yacc.c  */
#line 3400 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 428:

/* Line 1806 of yacc.c  */
#line 3404 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 429:

/* Line 1806 of yacc.c  */
#line 3408 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 430:

/* Line 1806 of yacc.c  */
#line 3412 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 431:

/* Line 1806 of yacc.c  */
#line 3420 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not null");
}
    break;

  case 432:

/* Line 1806 of yacc.c  */
#line 3424 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 433:

/* Line 1806 of yacc.c  */
#line 3428 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 434:

/* Line 1806 of yacc.c  */
#line 3432 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 435:

/* Line 1806 of yacc.c  */
#line 3436 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 436:

/* Line 1806 of yacc.c  */
#line 3440 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("default"),(yyvsp[(2) - (2)].str));
}
    break;

  case 437:

/* Line 1806 of yacc.c  */
#line 3444 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("references"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 438:

/* Line 1806 of yacc.c  */
#line 3452 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 439:

/* Line 1806 of yacc.c  */
#line 3456 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 440:

/* Line 1806 of yacc.c  */
#line 3460 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 441:

/* Line 1806 of yacc.c  */
#line 3464 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 442:

/* Line 1806 of yacc.c  */
#line 3472 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("like"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 443:

/* Line 1806 of yacc.c  */
#line 3480 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("including"),(yyvsp[(3) - (3)].str));
}
    break;

  case 444:

/* Line 1806 of yacc.c  */
#line 3484 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("excluding"),(yyvsp[(3) - (3)].str));
}
    break;

  case 445:

/* Line 1806 of yacc.c  */
#line 3488 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 446:

/* Line 1806 of yacc.c  */
#line 3495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 447:

/* Line 1806 of yacc.c  */
#line 3499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 448:

/* Line 1806 of yacc.c  */
#line 3503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 449:

/* Line 1806 of yacc.c  */
#line 3507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 450:

/* Line 1806 of yacc.c  */
#line 3511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 451:

/* Line 1806 of yacc.c  */
#line 3515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 452:

/* Line 1806 of yacc.c  */
#line 3523 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("constraint"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 453:

/* Line 1806 of yacc.c  */
#line 3527 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 454:

/* Line 1806 of yacc.c  */
#line 3535 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("check ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 455:

/* Line 1806 of yacc.c  */
#line 3539 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("unique ("),(yyvsp[(3) - (7)].str),mm_strdup(")"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 456:

/* Line 1806 of yacc.c  */
#line 3543 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unique"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 457:

/* Line 1806 of yacc.c  */
#line 3547 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("primary key ("),(yyvsp[(4) - (8)].str),mm_strdup(")"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 458:

/* Line 1806 of yacc.c  */
#line 3551 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("primary key"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 459:

/* Line 1806 of yacc.c  */
#line 3555 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("exclude"),(yyvsp[(2) - (9)].str),mm_strdup("("),(yyvsp[(4) - (9)].str),mm_strdup(")"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 460:

/* Line 1806 of yacc.c  */
#line 3559 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("foreign key ("),(yyvsp[(4) - (11)].str),mm_strdup(") references"),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 461:

/* Line 1806 of yacc.c  */
#line 3567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 462:

/* Line 1806 of yacc.c  */
#line 3571 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 463:

/* Line 1806 of yacc.c  */
#line 3578 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 464:

/* Line 1806 of yacc.c  */
#line 3582 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 465:

/* Line 1806 of yacc.c  */
#line 3589 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 466:

/* Line 1806 of yacc.c  */
#line 3593 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 467:

/* Line 1806 of yacc.c  */
#line 3601 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 468:

/* Line 1806 of yacc.c  */
#line 3609 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match full");
}
    break;

  case 469:

/* Line 1806 of yacc.c  */
#line 3613 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("match partial");
}
    break;

  case 470:

/* Line 1806 of yacc.c  */
#line 3618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match simple");
}
    break;

  case 471:

/* Line 1806 of yacc.c  */
#line 3622 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 472:

/* Line 1806 of yacc.c  */
#line 3629 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 473:

/* Line 1806 of yacc.c  */
#line 3633 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 474:

/* Line 1806 of yacc.c  */
#line 3641 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("with"),(yyvsp[(3) - (3)].str));
}
    break;

  case 475:

/* Line 1806 of yacc.c  */
#line 3645 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("with operator ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 476:

/* Line 1806 of yacc.c  */
#line 3653 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("where ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 477:

/* Line 1806 of yacc.c  */
#line 3657 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 478:

/* Line 1806 of yacc.c  */
#line 3664 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 479:

/* Line 1806 of yacc.c  */
#line 3668 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 480:

/* Line 1806 of yacc.c  */
#line 3672 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 481:

/* Line 1806 of yacc.c  */
#line 3676 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 482:

/* Line 1806 of yacc.c  */
#line 3680 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 483:

/* Line 1806 of yacc.c  */
#line 3687 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on update"),(yyvsp[(3) - (3)].str));
}
    break;

  case 484:

/* Line 1806 of yacc.c  */
#line 3695 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on delete"),(yyvsp[(3) - (3)].str));
}
    break;

  case 485:

/* Line 1806 of yacc.c  */
#line 3703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no action");
}
    break;

  case 486:

/* Line 1806 of yacc.c  */
#line 3707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 487:

/* Line 1806 of yacc.c  */
#line 3711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 488:

/* Line 1806 of yacc.c  */
#line 3715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set null");
}
    break;

  case 489:

/* Line 1806 of yacc.c  */
#line 3719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set default");
}
    break;

  case 490:

/* Line 1806 of yacc.c  */
#line 3727 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("inherits ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 491:

/* Line 1806 of yacc.c  */
#line 3731 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 492:

/* Line 1806 of yacc.c  */
#line 3738 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 493:

/* Line 1806 of yacc.c  */
#line 3742 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with oids");
}
    break;

  case 494:

/* Line 1806 of yacc.c  */
#line 3746 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without oids");
}
    break;

  case 495:

/* Line 1806 of yacc.c  */
#line 3750 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 496:

/* Line 1806 of yacc.c  */
#line 3757 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit drop");
}
    break;

  case 497:

/* Line 1806 of yacc.c  */
#line 3761 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit delete rows");
}
    break;

  case 498:

/* Line 1806 of yacc.c  */
#line 3765 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on commit preserve rows");
}
    break;

  case 499:

/* Line 1806 of yacc.c  */
#line 3769 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 500:

/* Line 1806 of yacc.c  */
#line 3776 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 501:

/* Line 1806 of yacc.c  */
#line 3780 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 502:

/* Line 1806 of yacc.c  */
#line 3787 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index tablespace"),(yyvsp[(4) - (4)].str));
}
    break;

  case 503:

/* Line 1806 of yacc.c  */
#line 3791 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 504:

/* Line 1806 of yacc.c  */
#line 3798 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using index"),(yyvsp[(3) - (3)].str));
}
    break;

  case 505:

/* Line 1806 of yacc.c  */
#line 3806 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 506:

/* Line 1806 of yacc.c  */
#line 3814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with data");
}
    break;

  case 507:

/* Line 1806 of yacc.c  */
#line 3818 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with no data");
}
    break;

  case 508:

/* Line 1806 of yacc.c  */
#line 3822 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 509:

/* Line 1806 of yacc.c  */
#line 3829 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (8)].str),mm_strdup("materialized view"),(yyvsp[(5) - (8)].str),mm_strdup("as"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 510:

/* Line 1806 of yacc.c  */
#line 3837 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 511:

/* Line 1806 of yacc.c  */
#line 3845 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 512:

/* Line 1806 of yacc.c  */
#line 3849 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 513:

/* Line 1806 of yacc.c  */
#line 3856 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("refresh materialized view"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 514:

/* Line 1806 of yacc.c  */
#line 3864 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create"),(yyvsp[(2) - (5)].str),mm_strdup("sequence"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 515:

/* Line 1806 of yacc.c  */
#line 3872 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 516:

/* Line 1806 of yacc.c  */
#line 3876 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 517:

/* Line 1806 of yacc.c  */
#line 3884 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 518:

/* Line 1806 of yacc.c  */
#line 3888 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 519:

/* Line 1806 of yacc.c  */
#line 3895 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 520:

/* Line 1806 of yacc.c  */
#line 3899 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 521:

/* Line 1806 of yacc.c  */
#line 3907 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cache"),(yyvsp[(2) - (2)].str));
}
    break;

  case 522:

/* Line 1806 of yacc.c  */
#line 3911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 523:

/* Line 1806 of yacc.c  */
#line 3915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no cycle");
}
    break;

  case 524:

/* Line 1806 of yacc.c  */
#line 3919 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("increment"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 525:

/* Line 1806 of yacc.c  */
#line 3923 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("maxvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 526:

/* Line 1806 of yacc.c  */
#line 3927 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minvalue"),(yyvsp[(2) - (2)].str));
}
    break;

  case 527:

/* Line 1806 of yacc.c  */
#line 3931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no maxvalue");
}
    break;

  case 528:

/* Line 1806 of yacc.c  */
#line 3935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no minvalue");
}
    break;

  case 529:

/* Line 1806 of yacc.c  */
#line 3939 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owned by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 530:

/* Line 1806 of yacc.c  */
#line 3943 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("start"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 531:

/* Line 1806 of yacc.c  */
#line 3947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 532:

/* Line 1806 of yacc.c  */
#line 3951 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("restart"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 533:

/* Line 1806 of yacc.c  */
#line 3959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 534:

/* Line 1806 of yacc.c  */
#line 3963 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 535:

/* Line 1806 of yacc.c  */
#line 3970 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 536:

/* Line 1806 of yacc.c  */
#line 3974 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 537:

/* Line 1806 of yacc.c  */
#line 3978 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 538:

/* Line 1806 of yacc.c  */
#line 3986 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 539:

/* Line 1806 of yacc.c  */
#line 3990 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 540:

/* Line 1806 of yacc.c  */
#line 3998 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("language"),(yyvsp[(6) - (6)].str));
}
    break;

  case 541:

/* Line 1806 of yacc.c  */
#line 4002 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("language"),(yyvsp[(6) - (10)].str),mm_strdup("handler"),(yyvsp[(8) - (10)].str),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 542:

/* Line 1806 of yacc.c  */
#line 4010 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 543:

/* Line 1806 of yacc.c  */
#line 4014 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 544:

/* Line 1806 of yacc.c  */
#line 4021 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 545:

/* Line 1806 of yacc.c  */
#line 4025 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 546:

/* Line 1806 of yacc.c  */
#line 4033 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("inline"),(yyvsp[(2) - (2)].str));
}
    break;

  case 547:

/* Line 1806 of yacc.c  */
#line 4037 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 548:

/* Line 1806 of yacc.c  */
#line 4044 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 549:

/* Line 1806 of yacc.c  */
#line 4048 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 550:

/* Line 1806 of yacc.c  */
#line 4056 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 551:

/* Line 1806 of yacc.c  */
#line 4060 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 552:

/* Line 1806 of yacc.c  */
#line 4067 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (5)].str),mm_strdup("language"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 553:

/* Line 1806 of yacc.c  */
#line 4071 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (7)].str),mm_strdup("language if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 554:

/* Line 1806 of yacc.c  */
#line 4079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 555:

/* Line 1806 of yacc.c  */
#line 4083 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 556:

/* Line 1806 of yacc.c  */
#line 4090 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create tablespace"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("location"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 557:

/* Line 1806 of yacc.c  */
#line 4098 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("owner"),(yyvsp[(2) - (2)].str));
}
    break;

  case 558:

/* Line 1806 of yacc.c  */
#line 4102 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 559:

/* Line 1806 of yacc.c  */
#line 4109 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace"),(yyvsp[(3) - (3)].str));
}
    break;

  case 560:

/* Line 1806 of yacc.c  */
#line 4113 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop tablespace if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 561:

/* Line 1806 of yacc.c  */
#line 4121 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 562:

/* Line 1806 of yacc.c  */
#line 4125 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create extension if not exists"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 563:

/* Line 1806 of yacc.c  */
#line 4133 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 564:

/* Line 1806 of yacc.c  */
#line 4137 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 565:

/* Line 1806 of yacc.c  */
#line 4144 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 566:

/* Line 1806 of yacc.c  */
#line 4148 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 567:

/* Line 1806 of yacc.c  */
#line 4152 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 568:

/* Line 1806 of yacc.c  */
#line 4160 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (5)].str),mm_strdup("update"),(yyvsp[(5) - (5)].str));
}
    break;

  case 569:

/* Line 1806 of yacc.c  */
#line 4168 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 570:

/* Line 1806 of yacc.c  */
#line 4172 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 571:

/* Line 1806 of yacc.c  */
#line 4179 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("to"),(yyvsp[(2) - (2)].str));
}
    break;

  case 572:

/* Line 1806 of yacc.c  */
#line 4187 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("aggregate"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 573:

/* Line 1806 of yacc.c  */
#line 4191 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter extension"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),mm_strdup("cast ("),(yyvsp[(7) - (10)].str),mm_strdup("as"),(yyvsp[(9) - (10)].str),mm_strdup(")"));
}
    break;

  case 574:

/* Line 1806 of yacc.c  */
#line 4195 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("collation"),(yyvsp[(6) - (6)].str));
}
    break;

  case 575:

/* Line 1806 of yacc.c  */
#line 4199 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("conversion"),(yyvsp[(6) - (6)].str));
}
    break;

  case 576:

/* Line 1806 of yacc.c  */
#line 4203 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("domain"),(yyvsp[(6) - (6)].str));
}
    break;

  case 577:

/* Line 1806 of yacc.c  */
#line 4207 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("function"),(yyvsp[(6) - (6)].str));
}
    break;

  case 578:

/* Line 1806 of yacc.c  */
#line 4211 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("language"),(yyvsp[(7) - (7)].str));
}
    break;

  case 579:

/* Line 1806 of yacc.c  */
#line 4215 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("operator"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 580:

/* Line 1806 of yacc.c  */
#line 4219 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator class"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 581:

/* Line 1806 of yacc.c  */
#line 4223 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter extension"),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),mm_strdup("operator family"),(yyvsp[(7) - (9)].str),mm_strdup("using"),(yyvsp[(9) - (9)].str));
}
    break;

  case 582:

/* Line 1806 of yacc.c  */
#line 4227 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 583:

/* Line 1806 of yacc.c  */
#line 4231 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("event trigger"),(yyvsp[(7) - (7)].str));
}
    break;

  case 584:

/* Line 1806 of yacc.c  */
#line 4235 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("table"),(yyvsp[(6) - (6)].str));
}
    break;

  case 585:

/* Line 1806 of yacc.c  */
#line 4239 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search parser"),(yyvsp[(8) - (8)].str));
}
    break;

  case 586:

/* Line 1806 of yacc.c  */
#line 4243 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search dictionary"),(yyvsp[(8) - (8)].str));
}
    break;

  case 587:

/* Line 1806 of yacc.c  */
#line 4247 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search template"),(yyvsp[(8) - (8)].str));
}
    break;

  case 588:

/* Line 1806 of yacc.c  */
#line 4251 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("text search configuration"),(yyvsp[(8) - (8)].str));
}
    break;

  case 589:

/* Line 1806 of yacc.c  */
#line 4255 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("sequence"),(yyvsp[(6) - (6)].str));
}
    break;

  case 590:

/* Line 1806 of yacc.c  */
#line 4259 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("view"),(yyvsp[(6) - (6)].str));
}
    break;

  case 591:

/* Line 1806 of yacc.c  */
#line 4263 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("materialized view"),(yyvsp[(7) - (7)].str));
}
    break;

  case 592:

/* Line 1806 of yacc.c  */
#line 4267 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("foreign table"),(yyvsp[(7) - (7)].str));
}
    break;

  case 593:

/* Line 1806 of yacc.c  */
#line 4271 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (8)].str),(yyvsp[(4) - (8)].str),mm_strdup("foreign data wrapper"),(yyvsp[(8) - (8)].str));
}
    break;

  case 594:

/* Line 1806 of yacc.c  */
#line 4275 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("server"),(yyvsp[(6) - (6)].str));
}
    break;

  case 595:

/* Line 1806 of yacc.c  */
#line 4279 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("type"),(yyvsp[(6) - (6)].str));
}
    break;

  case 596:

/* Line 1806 of yacc.c  */
#line 4287 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 597:

/* Line 1806 of yacc.c  */
#line 4295 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("handler"),(yyvsp[(2) - (2)].str));
}
    break;

  case 598:

/* Line 1806 of yacc.c  */
#line 4299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no handler");
}
    break;

  case 599:

/* Line 1806 of yacc.c  */
#line 4303 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("validator"),(yyvsp[(2) - (2)].str));
}
    break;

  case 600:

/* Line 1806 of yacc.c  */
#line 4307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no validator");
}
    break;

  case 601:

/* Line 1806 of yacc.c  */
#line 4315 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 602:

/* Line 1806 of yacc.c  */
#line 4319 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 603:

/* Line 1806 of yacc.c  */
#line 4327 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 604:

/* Line 1806 of yacc.c  */
#line 4331 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 605:

/* Line 1806 of yacc.c  */
#line 4338 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 606:

/* Line 1806 of yacc.c  */
#line 4342 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop foreign data wrapper if exists"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 607:

/* Line 1806 of yacc.c  */
#line 4350 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 608:

/* Line 1806 of yacc.c  */
#line 4354 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 609:

/* Line 1806 of yacc.c  */
#line 4362 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 610:

/* Line 1806 of yacc.c  */
#line 4366 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 611:

/* Line 1806 of yacc.c  */
#line 4373 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 612:

/* Line 1806 of yacc.c  */
#line 4377 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 613:

/* Line 1806 of yacc.c  */
#line 4385 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("options ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 614:

/* Line 1806 of yacc.c  */
#line 4393 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 615:

/* Line 1806 of yacc.c  */
#line 4397 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 616:

/* Line 1806 of yacc.c  */
#line 4405 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 617:

/* Line 1806 of yacc.c  */
#line 4409 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("set"),(yyvsp[(2) - (2)].str));
}
    break;

  case 618:

/* Line 1806 of yacc.c  */
#line 4413 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("add"),(yyvsp[(2) - (2)].str));
}
    break;

  case 619:

/* Line 1806 of yacc.c  */
#line 4417 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop"),(yyvsp[(2) - (2)].str));
}
    break;

  case 620:

/* Line 1806 of yacc.c  */
#line 4425 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 621:

/* Line 1806 of yacc.c  */
#line 4433 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 622:

/* Line 1806 of yacc.c  */
#line 4441 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 623:

/* Line 1806 of yacc.c  */
#line 4449 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create server"),(yyvsp[(3) - (10)].str),(yyvsp[(4) - (10)].str),(yyvsp[(5) - (10)].str),mm_strdup("foreign data wrapper"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 624:

/* Line 1806 of yacc.c  */
#line 4457 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 625:

/* Line 1806 of yacc.c  */
#line 4461 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 626:

/* Line 1806 of yacc.c  */
#line 4468 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 627:

/* Line 1806 of yacc.c  */
#line 4472 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version null");
}
    break;

  case 628:

/* Line 1806 of yacc.c  */
#line 4480 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 629:

/* Line 1806 of yacc.c  */
#line 4484 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 630:

/* Line 1806 of yacc.c  */
#line 4491 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 631:

/* Line 1806 of yacc.c  */
#line 4495 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop server if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 632:

/* Line 1806 of yacc.c  */
#line 4503 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 633:

/* Line 1806 of yacc.c  */
#line 4507 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 634:

/* Line 1806 of yacc.c  */
#line 4511 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter server"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 635:

/* Line 1806 of yacc.c  */
#line 4519 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table"),(yyvsp[(4) - (10)].str),mm_strdup("("),(yyvsp[(6) - (10)].str),mm_strdup(") server"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 636:

/* Line 1806 of yacc.c  */
#line 4523 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create foreign table if not exists"),(yyvsp[(7) - (13)].str),mm_strdup("("),(yyvsp[(9) - (13)].str),mm_strdup(") server"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 637:

/* Line 1806 of yacc.c  */
#line 4531 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 638:

/* Line 1806 of yacc.c  */
#line 4535 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 639:

/* Line 1806 of yacc.c  */
#line 4543 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 640:

/* Line 1806 of yacc.c  */
#line 4551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 641:

/* Line 1806 of yacc.c  */
#line 4555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 642:

/* Line 1806 of yacc.c  */
#line 4559 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 643:

/* Line 1806 of yacc.c  */
#line 4567 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping for"),(yyvsp[(5) - (7)].str),mm_strdup("server"),(yyvsp[(7) - (7)].str));
}
    break;

  case 644:

/* Line 1806 of yacc.c  */
#line 4571 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop user mapping if exists for"),(yyvsp[(7) - (9)].str),mm_strdup("server"),(yyvsp[(9) - (9)].str));
}
    break;

  case 645:

/* Line 1806 of yacc.c  */
#line 4579 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter user mapping for"),(yyvsp[(5) - (8)].str),mm_strdup("server"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 646:

/* Line 1806 of yacc.c  */
#line 4587 "preproc.y"
    { 
 (yyval.str) = cat_str(13,mm_strdup("create trigger"),(yyvsp[(3) - (15)].str),(yyvsp[(4) - (15)].str),(yyvsp[(5) - (15)].str),mm_strdup("on"),(yyvsp[(7) - (15)].str),(yyvsp[(8) - (15)].str),(yyvsp[(9) - (15)].str),mm_strdup("execute procedure"),(yyvsp[(12) - (15)].str),mm_strdup("("),(yyvsp[(14) - (15)].str),mm_strdup(")"));
}
    break;

  case 647:

/* Line 1806 of yacc.c  */
#line 4591 "preproc.y"
    { 
 (yyval.str) = cat_str(15,mm_strdup("create constraint trigger"),(yyvsp[(4) - (20)].str),mm_strdup("after"),(yyvsp[(6) - (20)].str),mm_strdup("on"),(yyvsp[(8) - (20)].str),(yyvsp[(9) - (20)].str),(yyvsp[(10) - (20)].str),mm_strdup("for each row"),(yyvsp[(14) - (20)].str),mm_strdup("execute procedure"),(yyvsp[(17) - (20)].str),mm_strdup("("),(yyvsp[(19) - (20)].str),mm_strdup(")"));
}
    break;

  case 648:

/* Line 1806 of yacc.c  */
#line 4599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 649:

/* Line 1806 of yacc.c  */
#line 4603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 650:

/* Line 1806 of yacc.c  */
#line 4607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead of");
}
    break;

  case 651:

/* Line 1806 of yacc.c  */
#line 4615 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 652:

/* Line 1806 of yacc.c  */
#line 4619 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 653:

/* Line 1806 of yacc.c  */
#line 4627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 654:

/* Line 1806 of yacc.c  */
#line 4631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 655:

/* Line 1806 of yacc.c  */
#line 4635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 656:

/* Line 1806 of yacc.c  */
#line 4639 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("update of"),(yyvsp[(3) - (3)].str));
}
    break;

  case 657:

/* Line 1806 of yacc.c  */
#line 4643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 658:

/* Line 1806 of yacc.c  */
#line 4651 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("for"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 659:

/* Line 1806 of yacc.c  */
#line 4655 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 660:

/* Line 1806 of yacc.c  */
#line 4662 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 661:

/* Line 1806 of yacc.c  */
#line 4666 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 662:

/* Line 1806 of yacc.c  */
#line 4673 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 663:

/* Line 1806 of yacc.c  */
#line 4677 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 664:

/* Line 1806 of yacc.c  */
#line 4685 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("when ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 665:

/* Line 1806 of yacc.c  */
#line 4689 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 666:

/* Line 1806 of yacc.c  */
#line 4696 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 667:

/* Line 1806 of yacc.c  */
#line 4700 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 668:

/* Line 1806 of yacc.c  */
#line 4704 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 669:

/* Line 1806 of yacc.c  */
#line 4711 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 670:

/* Line 1806 of yacc.c  */
#line 4715 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 671:

/* Line 1806 of yacc.c  */
#line 4719 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 672:

/* Line 1806 of yacc.c  */
#line 4723 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 673:

/* Line 1806 of yacc.c  */
#line 4731 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 674:

/* Line 1806 of yacc.c  */
#line 4735 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 675:

/* Line 1806 of yacc.c  */
#line 4742 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 676:

/* Line 1806 of yacc.c  */
#line 4745 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 677:

/* Line 1806 of yacc.c  */
#line 4753 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 678:

/* Line 1806 of yacc.c  */
#line 4757 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 679:

/* Line 1806 of yacc.c  */
#line 4761 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially immediate");
}
    break;

  case 680:

/* Line 1806 of yacc.c  */
#line 4765 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially deferred");
}
    break;

  case 681:

/* Line 1806 of yacc.c  */
#line 4769 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not valid");
}
    break;

  case 682:

/* Line 1806 of yacc.c  */
#line 4773 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no inherit");
}
    break;

  case 683:

/* Line 1806 of yacc.c  */
#line 4781 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 684:

/* Line 1806 of yacc.c  */
#line 4785 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop trigger if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 685:

/* Line 1806 of yacc.c  */
#line 4793 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create event trigger"),(yyvsp[(4) - (11)].str),mm_strdup("on"),(yyvsp[(6) - (11)].str),mm_strdup("execute procedure"),(yyvsp[(9) - (11)].str),mm_strdup("( )"));
}
    break;

  case 686:

/* Line 1806 of yacc.c  */
#line 4797 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create event trigger"),(yyvsp[(4) - (13)].str),mm_strdup("on"),(yyvsp[(6) - (13)].str),mm_strdup("when"),(yyvsp[(8) - (13)].str),mm_strdup("execute procedure"),(yyvsp[(11) - (13)].str),mm_strdup("( )"));
}
    break;

  case 687:

/* Line 1806 of yacc.c  */
#line 4805 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 688:

/* Line 1806 of yacc.c  */
#line 4809 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 689:

/* Line 1806 of yacc.c  */
#line 4817 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("in ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 690:

/* Line 1806 of yacc.c  */
#line 4825 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sconst");
}
    break;

  case 691:

/* Line 1806 of yacc.c  */
#line 4829 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup(", sconst"));
}
    break;

  case 692:

/* Line 1806 of yacc.c  */
#line 4837 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter event trigger"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 693:

/* Line 1806 of yacc.c  */
#line 4845 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 694:

/* Line 1806 of yacc.c  */
#line 4849 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable replica");
}
    break;

  case 695:

/* Line 1806 of yacc.c  */
#line 4853 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable always");
}
    break;

  case 696:

/* Line 1806 of yacc.c  */
#line 4857 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 697:

/* Line 1806 of yacc.c  */
#line 4865 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(6,mm_strdup("create assertion"),(yyvsp[(3) - (8)].str),mm_strdup("check ("),(yyvsp[(6) - (8)].str),mm_strdup(")"),(yyvsp[(8) - (8)].str));
}
    break;

  case 698:

/* Line 1806 of yacc.c  */
#line 4874 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(3,mm_strdup("drop assertion"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 699:

/* Line 1806 of yacc.c  */
#line 4883 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 700:

/* Line 1806 of yacc.c  */
#line 4887 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create aggregate"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 701:

/* Line 1806 of yacc.c  */
#line 4891 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create operator"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 702:

/* Line 1806 of yacc.c  */
#line 4895 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create type"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 703:

/* Line 1806 of yacc.c  */
#line 4899 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create type"),(yyvsp[(3) - (3)].str));
}
    break;

  case 704:

/* Line 1806 of yacc.c  */
#line 4903 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (7)].str),mm_strdup("as ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 705:

/* Line 1806 of yacc.c  */
#line 4907 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create type"),(yyvsp[(3) - (8)].str),mm_strdup("as enum ("),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 706:

/* Line 1806 of yacc.c  */
#line 4911 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create type"),(yyvsp[(3) - (6)].str),mm_strdup("as range"),(yyvsp[(6) - (6)].str));
}
    break;

  case 707:

/* Line 1806 of yacc.c  */
#line 4915 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search parser"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 708:

/* Line 1806 of yacc.c  */
#line 4919 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 709:

/* Line 1806 of yacc.c  */
#line 4923 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search template"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 710:

/* Line 1806 of yacc.c  */
#line 4927 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create text search configuration"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 711:

/* Line 1806 of yacc.c  */
#line 4931 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("create collation"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 712:

/* Line 1806 of yacc.c  */
#line 4935 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create collation"),(yyvsp[(3) - (5)].str),mm_strdup("from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 713:

/* Line 1806 of yacc.c  */
#line 4943 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 714:

/* Line 1806 of yacc.c  */
#line 4951 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 715:

/* Line 1806 of yacc.c  */
#line 4955 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 716:

/* Line 1806 of yacc.c  */
#line 4963 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 717:

/* Line 1806 of yacc.c  */
#line 4967 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 718:

/* Line 1806 of yacc.c  */
#line 4975 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 719:

/* Line 1806 of yacc.c  */
#line 4979 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 720:

/* Line 1806 of yacc.c  */
#line 4983 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 721:

/* Line 1806 of yacc.c  */
#line 4987 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 722:

/* Line 1806 of yacc.c  */
#line 4991 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 723:

/* Line 1806 of yacc.c  */
#line 4999 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 724:

/* Line 1806 of yacc.c  */
#line 5007 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 725:

/* Line 1806 of yacc.c  */
#line 5011 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 726:

/* Line 1806 of yacc.c  */
#line 5019 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 727:

/* Line 1806 of yacc.c  */
#line 5027 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 728:

/* Line 1806 of yacc.c  */
#line 5031 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 729:

/* Line 1806 of yacc.c  */
#line 5038 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 730:

/* Line 1806 of yacc.c  */
#line 5042 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 731:

/* Line 1806 of yacc.c  */
#line 5050 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter type"),(yyvsp[(3) - (7)].str),mm_strdup("add value"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 732:

/* Line 1806 of yacc.c  */
#line 5054 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("before"),(yyvsp[(9) - (9)].str));
}
    break;

  case 733:

/* Line 1806 of yacc.c  */
#line 5058 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("add value"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("after"),(yyvsp[(9) - (9)].str));
}
    break;

  case 734:

/* Line 1806 of yacc.c  */
#line 5066 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if not exists");
}
    break;

  case 735:

/* Line 1806 of yacc.c  */
#line 5070 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 736:

/* Line 1806 of yacc.c  */
#line 5077 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create operator class"),(yyvsp[(4) - (13)].str),(yyvsp[(5) - (13)].str),mm_strdup("for type"),(yyvsp[(8) - (13)].str),mm_strdup("using"),(yyvsp[(10) - (13)].str),(yyvsp[(11) - (13)].str),mm_strdup("as"),(yyvsp[(13) - (13)].str));
}
    break;

  case 737:

/* Line 1806 of yacc.c  */
#line 5085 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 738:

/* Line 1806 of yacc.c  */
#line 5089 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 739:

/* Line 1806 of yacc.c  */
#line 5097 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 740:

/* Line 1806 of yacc.c  */
#line 5101 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("operator"),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 741:

/* Line 1806 of yacc.c  */
#line 5105 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("function"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 742:

/* Line 1806 of yacc.c  */
#line 5109 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("function"),(yyvsp[(2) - (7)].str),mm_strdup("("),(yyvsp[(4) - (7)].str),mm_strdup(")"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 743:

/* Line 1806 of yacc.c  */
#line 5113 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("storage"),(yyvsp[(2) - (2)].str));
}
    break;

  case 744:

/* Line 1806 of yacc.c  */
#line 5121 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 745:

/* Line 1806 of yacc.c  */
#line 5125 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 746:

/* Line 1806 of yacc.c  */
#line 5132 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("family"),(yyvsp[(2) - (2)].str));
}
    break;

  case 747:

/* Line 1806 of yacc.c  */
#line 5136 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 748:

/* Line 1806 of yacc.c  */
#line 5143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for search");
}
    break;

  case 749:

/* Line 1806 of yacc.c  */
#line 5147 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for order by"),(yyvsp[(4) - (4)].str));
}
    break;

  case 750:

/* Line 1806 of yacc.c  */
#line 5151 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 751:

/* Line 1806 of yacc.c  */
#line 5158 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 752:

/* Line 1806 of yacc.c  */
#line 5163 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 753:

/* Line 1806 of yacc.c  */
#line 5170 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create operator family"),(yyvsp[(4) - (6)].str),mm_strdup("using"),(yyvsp[(6) - (6)].str));
}
    break;

  case 754:

/* Line 1806 of yacc.c  */
#line 5178 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("add"),(yyvsp[(8) - (8)].str));
}
    break;

  case 755:

/* Line 1806 of yacc.c  */
#line 5182 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (8)].str),mm_strdup("using"),(yyvsp[(6) - (8)].str),mm_strdup("drop"),(yyvsp[(8) - (8)].str));
}
    break;

  case 756:

/* Line 1806 of yacc.c  */
#line 5190 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 757:

/* Line 1806 of yacc.c  */
#line 5194 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 758:

/* Line 1806 of yacc.c  */
#line 5202 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("operator"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 759:

/* Line 1806 of yacc.c  */
#line 5206 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("function"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 760:

/* Line 1806 of yacc.c  */
#line 5214 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 761:

/* Line 1806 of yacc.c  */
#line 5218 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator class if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 762:

/* Line 1806 of yacc.c  */
#line 5226 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family"),(yyvsp[(4) - (7)].str),mm_strdup("using"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 763:

/* Line 1806 of yacc.c  */
#line 5230 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop operator family if exists"),(yyvsp[(6) - (9)].str),mm_strdup("using"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 764:

/* Line 1806 of yacc.c  */
#line 5238 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop owned by"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 765:

/* Line 1806 of yacc.c  */
#line 5246 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reassign owned by"),(yyvsp[(4) - (6)].str),mm_strdup("to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 766:

/* Line 1806 of yacc.c  */
#line 5254 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop"),(yyvsp[(2) - (6)].str),mm_strdup("if exists"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 767:

/* Line 1806 of yacc.c  */
#line 5258 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 768:

/* Line 1806 of yacc.c  */
#line 5262 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 769:

/* Line 1806 of yacc.c  */
#line 5266 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("drop index concurrently if exists"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 770:

/* Line 1806 of yacc.c  */
#line 5274 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 771:

/* Line 1806 of yacc.c  */
#line 5278 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 772:

/* Line 1806 of yacc.c  */
#line 5282 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 773:

/* Line 1806 of yacc.c  */
#line 5286 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 774:

/* Line 1806 of yacc.c  */
#line 5290 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 775:

/* Line 1806 of yacc.c  */
#line 5294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 776:

/* Line 1806 of yacc.c  */
#line 5298 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 777:

/* Line 1806 of yacc.c  */
#line 5302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 778:

/* Line 1806 of yacc.c  */
#line 5306 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 779:

/* Line 1806 of yacc.c  */
#line 5310 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 780:

/* Line 1806 of yacc.c  */
#line 5314 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 781:

/* Line 1806 of yacc.c  */
#line 5318 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 782:

/* Line 1806 of yacc.c  */
#line 5322 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 783:

/* Line 1806 of yacc.c  */
#line 5326 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 784:

/* Line 1806 of yacc.c  */
#line 5330 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 785:

/* Line 1806 of yacc.c  */
#line 5334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 786:

/* Line 1806 of yacc.c  */
#line 5338 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 787:

/* Line 1806 of yacc.c  */
#line 5346 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 788:

/* Line 1806 of yacc.c  */
#line 5350 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 789:

/* Line 1806 of yacc.c  */
#line 5358 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 790:

/* Line 1806 of yacc.c  */
#line 5362 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 791:

/* Line 1806 of yacc.c  */
#line 5370 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 792:

/* Line 1806 of yacc.c  */
#line 5374 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 793:

/* Line 1806 of yacc.c  */
#line 5382 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("truncate"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 794:

/* Line 1806 of yacc.c  */
#line 5390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue identity");
}
    break;

  case 795:

/* Line 1806 of yacc.c  */
#line 5394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart identity");
}
    break;

  case 796:

/* Line 1806 of yacc.c  */
#line 5398 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 797:

/* Line 1806 of yacc.c  */
#line 5405 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 798:

/* Line 1806 of yacc.c  */
#line 5409 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on aggregate"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 799:

/* Line 1806 of yacc.c  */
#line 5413 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 800:

/* Line 1806 of yacc.c  */
#line 5417 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("comment on operator"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 801:

/* Line 1806 of yacc.c  */
#line 5421 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on constraint"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 802:

/* Line 1806 of yacc.c  */
#line 5425 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on rule"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 803:

/* Line 1806 of yacc.c  */
#line 5429 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on rule"),(yyvsp[(4) - (6)].str),mm_strdup("is"),(yyvsp[(6) - (6)].str));
}
    break;

  case 804:

/* Line 1806 of yacc.c  */
#line 5433 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on trigger"),(yyvsp[(4) - (8)].str),mm_strdup("on"),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 805:

/* Line 1806 of yacc.c  */
#line 5437 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator class"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 806:

/* Line 1806 of yacc.c  */
#line 5441 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on operator family"),(yyvsp[(5) - (9)].str),mm_strdup("using"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 807:

/* Line 1806 of yacc.c  */
#line 5445 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("comment on large object"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 808:

/* Line 1806 of yacc.c  */
#line 5449 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on cast ("),(yyvsp[(5) - (10)].str),mm_strdup("as"),(yyvsp[(7) - (10)].str),mm_strdup(") is"),(yyvsp[(10) - (10)].str));
}
    break;

  case 809:

/* Line 1806 of yacc.c  */
#line 5453 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("comment on"),(yyvsp[(3) - (7)].str),mm_strdup("language"),(yyvsp[(5) - (7)].str),mm_strdup("is"),(yyvsp[(7) - (7)].str));
}
    break;

  case 810:

/* Line 1806 of yacc.c  */
#line 5461 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 811:

/* Line 1806 of yacc.c  */
#line 5465 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 812:

/* Line 1806 of yacc.c  */
#line 5469 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 813:

/* Line 1806 of yacc.c  */
#line 5473 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 814:

/* Line 1806 of yacc.c  */
#line 5477 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 815:

/* Line 1806 of yacc.c  */
#line 5481 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 816:

/* Line 1806 of yacc.c  */
#line 5485 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 817:

/* Line 1806 of yacc.c  */
#line 5489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 818:

/* Line 1806 of yacc.c  */
#line 5493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 819:

/* Line 1806 of yacc.c  */
#line 5497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 820:

/* Line 1806 of yacc.c  */
#line 5501 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 821:

/* Line 1806 of yacc.c  */
#line 5505 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 822:

/* Line 1806 of yacc.c  */
#line 5509 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 823:

/* Line 1806 of yacc.c  */
#line 5513 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 824:

/* Line 1806 of yacc.c  */
#line 5517 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 825:

/* Line 1806 of yacc.c  */
#line 5521 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 826:

/* Line 1806 of yacc.c  */
#line 5525 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 827:

/* Line 1806 of yacc.c  */
#line 5529 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign data wrapper");
}
    break;

  case 828:

/* Line 1806 of yacc.c  */
#line 5533 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 829:

/* Line 1806 of yacc.c  */
#line 5537 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search configuration");
}
    break;

  case 830:

/* Line 1806 of yacc.c  */
#line 5541 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search dictionary");
}
    break;

  case 831:

/* Line 1806 of yacc.c  */
#line 5545 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search parser");
}
    break;

  case 832:

/* Line 1806 of yacc.c  */
#line 5549 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text search template");
}
    break;

  case 833:

/* Line 1806 of yacc.c  */
#line 5557 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 834:

/* Line 1806 of yacc.c  */
#line 5561 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 835:

/* Line 1806 of yacc.c  */
#line 5569 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("is"),(yyvsp[(8) - (8)].str));
}
    break;

  case 836:

/* Line 1806 of yacc.c  */
#line 5573 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on aggregate"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 837:

/* Line 1806 of yacc.c  */
#line 5577 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on function"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 838:

/* Line 1806 of yacc.c  */
#line 5581 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on large object"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 839:

/* Line 1806 of yacc.c  */
#line 5585 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("security label"),(yyvsp[(3) - (9)].str),mm_strdup("on"),(yyvsp[(5) - (9)].str),mm_strdup("language"),(yyvsp[(7) - (9)].str),mm_strdup("is"),(yyvsp[(9) - (9)].str));
}
    break;

  case 840:

/* Line 1806 of yacc.c  */
#line 5593 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 841:

/* Line 1806 of yacc.c  */
#line 5597 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 842:

/* Line 1806 of yacc.c  */
#line 5604 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 843:

/* Line 1806 of yacc.c  */
#line 5608 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 844:

/* Line 1806 of yacc.c  */
#line 5612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event trigger");
}
    break;

  case 845:

/* Line 1806 of yacc.c  */
#line 5616 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign table");
}
    break;

  case 846:

/* Line 1806 of yacc.c  */
#line 5620 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 847:

/* Line 1806 of yacc.c  */
#line 5624 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 848:

/* Line 1806 of yacc.c  */
#line 5628 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 849:

/* Line 1806 of yacc.c  */
#line 5632 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 850:

/* Line 1806 of yacc.c  */
#line 5636 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 851:

/* Line 1806 of yacc.c  */
#line 5640 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 852:

/* Line 1806 of yacc.c  */
#line 5644 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 853:

/* Line 1806 of yacc.c  */
#line 5648 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 854:

/* Line 1806 of yacc.c  */
#line 5652 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized view");
}
    break;

  case 855:

/* Line 1806 of yacc.c  */
#line 5660 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 856:

/* Line 1806 of yacc.c  */
#line 5664 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 857:

/* Line 1806 of yacc.c  */
#line 5672 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("fetch"),(yyvsp[(2) - (2)].str));
}
    break;

  case 858:

/* Line 1806 of yacc.c  */
#line 5676 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("move"),(yyvsp[(2) - (2)].str));
}
    break;

  case 859:

/* Line 1806 of yacc.c  */
#line 5680 "preproc.y"
    {
		(yyval.str) = cat2_str(mm_strdup("fetch"), (yyvsp[(2) - (3)].str));
	}
    break;

  case 860:

/* Line 1806 of yacc.c  */
#line 5684 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward"), cursor_marker);
	}
    break;

  case 861:

/* Line 1806 of yacc.c  */
#line 5690 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch forward from"), cursor_marker);
	}
    break;

  case 862:

/* Line 1806 of yacc.c  */
#line 5696 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (4)].str);
		add_additional_variables((yyvsp[(3) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward"), cursor_marker);
	}
    break;

  case 863:

/* Line 1806 of yacc.c  */
#line 5702 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (5)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (5)].str);
		add_additional_variables((yyvsp[(4) - (5)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("fetch backward from"), cursor_marker);
	}
    break;

  case 864:

/* Line 1806 of yacc.c  */
#line 5708 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward"), cursor_marker);
	}
    break;

  case 865:

/* Line 1806 of yacc.c  */
#line 5714 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move forward from"), cursor_marker);
	}
    break;

  case 866:

/* Line 1806 of yacc.c  */
#line 5720 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(3) - (3)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(3) - (3)].str);
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward"), cursor_marker);
	}
    break;

  case 867:

/* Line 1806 of yacc.c  */
#line 5726 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		(yyval.str) = cat_str(2, mm_strdup("move backward from"), cursor_marker);
	}
    break;

  case 868:

/* Line 1806 of yacc.c  */
#line 5736 "preproc.y"
    { 
		add_additional_variables((yyvsp[(1) - (1)].str), false);
		if ((yyvsp[(1) - (1)].str)[0] == ':')
		{
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = mm_strdup("$0");
		}

 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 869:

/* Line 1806 of yacc.c  */
#line 5747 "preproc.y"
    { 
		add_additional_variables((yyvsp[(2) - (2)].str), false);
		if ((yyvsp[(2) - (2)].str)[0] == ':')
		{
			free((yyvsp[(2) - (2)].str));
			(yyvsp[(2) - (2)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 870:

/* Line 1806 of yacc.c  */
#line 5758 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("next"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 871:

/* Line 1806 of yacc.c  */
#line 5769 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("prior"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 872:

/* Line 1806 of yacc.c  */
#line 5780 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("first"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 873:

/* Line 1806 of yacc.c  */
#line 5791 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("last"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 874:

/* Line 1806 of yacc.c  */
#line 5802 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("absolute"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 875:

/* Line 1806 of yacc.c  */
#line 5818 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("relative"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 876:

/* Line 1806 of yacc.c  */
#line 5834 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(1) - (3)].str)[0] == '$')
		{
			free((yyvsp[(1) - (3)].str));
			(yyvsp[(1) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 877:

/* Line 1806 of yacc.c  */
#line 5850 "preproc.y"
    { 
		add_additional_variables((yyvsp[(3) - (3)].str), false);
		if ((yyvsp[(3) - (3)].str)[0] == ':')
		{
			free((yyvsp[(3) - (3)].str));
			(yyvsp[(3) - (3)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("all"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 878:

/* Line 1806 of yacc.c  */
#line 5861 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("forward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 879:

/* Line 1806 of yacc.c  */
#line 5877 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("forward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 880:

/* Line 1806 of yacc.c  */
#line 5888 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}
		if ((yyvsp[(2) - (4)].str)[0] == '$')
		{
			free((yyvsp[(2) - (4)].str));
			(yyvsp[(2) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(4,mm_strdup("backward"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 881:

/* Line 1806 of yacc.c  */
#line 5904 "preproc.y"
    { 
		add_additional_variables((yyvsp[(4) - (4)].str), false);
		if ((yyvsp[(4) - (4)].str)[0] == ':')
		{
			free((yyvsp[(4) - (4)].str));
			(yyvsp[(4) - (4)].str) = mm_strdup("$0");
		}

 (yyval.str) = cat_str(3,mm_strdup("backward all"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 882:

/* Line 1806 of yacc.c  */
#line 5919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 883:

/* Line 1806 of yacc.c  */
#line 5923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 884:

/* Line 1806 of yacc.c  */
#line 5931 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 885:

/* Line 1806 of yacc.c  */
#line 5935 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 886:

/* Line 1806 of yacc.c  */
#line 5942 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 887:

/* Line 1806 of yacc.c  */
#line 5950 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 888:

/* Line 1806 of yacc.c  */
#line 5954 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 889:

/* Line 1806 of yacc.c  */
#line 5962 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 890:

/* Line 1806 of yacc.c  */
#line 5966 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 891:

/* Line 1806 of yacc.c  */
#line 5970 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all privileges");
}
    break;

  case 892:

/* Line 1806 of yacc.c  */
#line 5974 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 893:

/* Line 1806 of yacc.c  */
#line 5978 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("all privileges ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 894:

/* Line 1806 of yacc.c  */
#line 5986 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 895:

/* Line 1806 of yacc.c  */
#line 5990 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 896:

/* Line 1806 of yacc.c  */
#line 5998 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("select"),(yyvsp[(2) - (2)].str));
}
    break;

  case 897:

/* Line 1806 of yacc.c  */
#line 6002 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("references"),(yyvsp[(2) - (2)].str));
}
    break;

  case 898:

/* Line 1806 of yacc.c  */
#line 6006 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("create"),(yyvsp[(2) - (2)].str));
}
    break;

  case 899:

/* Line 1806 of yacc.c  */
#line 6010 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 900:

/* Line 1806 of yacc.c  */
#line 6018 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 901:

/* Line 1806 of yacc.c  */
#line 6022 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 902:

/* Line 1806 of yacc.c  */
#line 6026 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("sequence"),(yyvsp[(2) - (2)].str));
}
    break;

  case 903:

/* Line 1806 of yacc.c  */
#line 6030 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign data wrapper"),(yyvsp[(4) - (4)].str));
}
    break;

  case 904:

/* Line 1806 of yacc.c  */
#line 6034 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("foreign server"),(yyvsp[(3) - (3)].str));
}
    break;

  case 905:

/* Line 1806 of yacc.c  */
#line 6038 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("function"),(yyvsp[(2) - (2)].str));
}
    break;

  case 906:

/* Line 1806 of yacc.c  */
#line 6042 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("database"),(yyvsp[(2) - (2)].str));
}
    break;

  case 907:

/* Line 1806 of yacc.c  */
#line 6046 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("domain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 908:

/* Line 1806 of yacc.c  */
#line 6050 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 909:

/* Line 1806 of yacc.c  */
#line 6054 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("large object"),(yyvsp[(3) - (3)].str));
}
    break;

  case 910:

/* Line 1806 of yacc.c  */
#line 6058 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("schema"),(yyvsp[(2) - (2)].str));
}
    break;

  case 911:

/* Line 1806 of yacc.c  */
#line 6062 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("tablespace"),(yyvsp[(2) - (2)].str));
}
    break;

  case 912:

/* Line 1806 of yacc.c  */
#line 6066 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("type"),(yyvsp[(2) - (2)].str));
}
    break;

  case 913:

/* Line 1806 of yacc.c  */
#line 6070 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all tables in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 914:

/* Line 1806 of yacc.c  */
#line 6074 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all sequences in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 915:

/* Line 1806 of yacc.c  */
#line 6078 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("all functions in schema"),(yyvsp[(5) - (5)].str));
}
    break;

  case 916:

/* Line 1806 of yacc.c  */
#line 6086 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 917:

/* Line 1806 of yacc.c  */
#line 6090 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 918:

/* Line 1806 of yacc.c  */
#line 6098 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 919:

/* Line 1806 of yacc.c  */
#line 6102 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group"),(yyvsp[(2) - (2)].str));
}
    break;

  case 920:

/* Line 1806 of yacc.c  */
#line 6110 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with grant option");
}
    break;

  case 921:

/* Line 1806 of yacc.c  */
#line 6114 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 922:

/* Line 1806 of yacc.c  */
#line 6121 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 923:

/* Line 1806 of yacc.c  */
#line 6125 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 924:

/* Line 1806 of yacc.c  */
#line 6133 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 925:

/* Line 1806 of yacc.c  */
#line 6141 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("grant"),(yyvsp[(2) - (6)].str),mm_strdup("to"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 926:

/* Line 1806 of yacc.c  */
#line 6149 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke"),(yyvsp[(2) - (6)].str),mm_strdup("from"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 927:

/* Line 1806 of yacc.c  */
#line 6153 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("revoke admin option for"),(yyvsp[(5) - (9)].str),mm_strdup("from"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 928:

/* Line 1806 of yacc.c  */
#line 6161 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with admin option");
}
    break;

  case 929:

/* Line 1806 of yacc.c  */
#line 6165 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 930:

/* Line 1806 of yacc.c  */
#line 6172 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("granted by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 931:

/* Line 1806 of yacc.c  */
#line 6176 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 932:

/* Line 1806 of yacc.c  */
#line 6183 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter default privileges"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 933:

/* Line 1806 of yacc.c  */
#line 6191 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 934:

/* Line 1806 of yacc.c  */
#line 6195 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 935:

/* Line 1806 of yacc.c  */
#line 6202 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("in schema"),(yyvsp[(3) - (3)].str));
}
    break;

  case 936:

/* Line 1806 of yacc.c  */
#line 6206 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for role"),(yyvsp[(3) - (3)].str));
}
    break;

  case 937:

/* Line 1806 of yacc.c  */
#line 6210 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for user"),(yyvsp[(3) - (3)].str));
}
    break;

  case 938:

/* Line 1806 of yacc.c  */
#line 6218 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("grant"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("to"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 939:

/* Line 1806 of yacc.c  */
#line 6222 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke"),(yyvsp[(2) - (7)].str),mm_strdup("on"),(yyvsp[(4) - (7)].str),mm_strdup("from"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 940:

/* Line 1806 of yacc.c  */
#line 6226 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("revoke grant option for"),(yyvsp[(5) - (10)].str),mm_strdup("on"),(yyvsp[(7) - (10)].str),mm_strdup("from"),(yyvsp[(9) - (10)].str),(yyvsp[(10) - (10)].str));
}
    break;

  case 941:

/* Line 1806 of yacc.c  */
#line 6234 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 942:

/* Line 1806 of yacc.c  */
#line 6238 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 943:

/* Line 1806 of yacc.c  */
#line 6242 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 944:

/* Line 1806 of yacc.c  */
#line 6246 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 945:

/* Line 1806 of yacc.c  */
#line 6254 "preproc.y"
    { 
 (yyval.str) = cat_str(14,mm_strdup("create"),(yyvsp[(2) - (14)].str),mm_strdup("index"),(yyvsp[(4) - (14)].str),(yyvsp[(5) - (14)].str),mm_strdup("on"),(yyvsp[(7) - (14)].str),(yyvsp[(8) - (14)].str),mm_strdup("("),(yyvsp[(10) - (14)].str),mm_strdup(")"),(yyvsp[(12) - (14)].str),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 946:

/* Line 1806 of yacc.c  */
#line 6262 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 947:

/* Line 1806 of yacc.c  */
#line 6266 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 948:

/* Line 1806 of yacc.c  */
#line 6273 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 949:

/* Line 1806 of yacc.c  */
#line 6277 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 950:

/* Line 1806 of yacc.c  */
#line 6284 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 951:

/* Line 1806 of yacc.c  */
#line 6288 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 952:

/* Line 1806 of yacc.c  */
#line 6295 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 953:

/* Line 1806 of yacc.c  */
#line 6299 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 954:

/* Line 1806 of yacc.c  */
#line 6306 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 955:

/* Line 1806 of yacc.c  */
#line 6310 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 956:

/* Line 1806 of yacc.c  */
#line 6318 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 957:

/* Line 1806 of yacc.c  */
#line 6322 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 958:

/* Line 1806 of yacc.c  */
#line 6326 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("("),(yyvsp[(2) - (7)].str),mm_strdup(")"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 959:

/* Line 1806 of yacc.c  */
#line 6334 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("collate"),(yyvsp[(2) - (2)].str));
}
    break;

  case 960:

/* Line 1806 of yacc.c  */
#line 6338 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 961:

/* Line 1806 of yacc.c  */
#line 6345 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 962:

/* Line 1806 of yacc.c  */
#line 6349 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 963:

/* Line 1806 of yacc.c  */
#line 6353 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 964:

/* Line 1806 of yacc.c  */
#line 6360 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 965:

/* Line 1806 of yacc.c  */
#line 6364 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 966:

/* Line 1806 of yacc.c  */
#line 6368 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 967:

/* Line 1806 of yacc.c  */
#line 6375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls first");
}
    break;

  case 968:

/* Line 1806 of yacc.c  */
#line 6379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls last");
}
    break;

  case 969:

/* Line 1806 of yacc.c  */
#line 6383 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 970:

/* Line 1806 of yacc.c  */
#line 6390 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("function"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),mm_strdup("returns"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 971:

/* Line 1806 of yacc.c  */
#line 6394 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("function"),(yyvsp[(4) - (12)].str),(yyvsp[(5) - (12)].str),mm_strdup("returns table ("),(yyvsp[(9) - (12)].str),mm_strdup(")"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 972:

/* Line 1806 of yacc.c  */
#line 6398 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create"),(yyvsp[(2) - (7)].str),mm_strdup("function"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 973:

/* Line 1806 of yacc.c  */
#line 6406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or replace");
}
    break;

  case 974:

/* Line 1806 of yacc.c  */
#line 6410 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 975:

/* Line 1806 of yacc.c  */
#line 6417 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 976:

/* Line 1806 of yacc.c  */
#line 6421 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 977:

/* Line 1806 of yacc.c  */
#line 6429 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 978:

/* Line 1806 of yacc.c  */
#line 6433 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 979:

/* Line 1806 of yacc.c  */
#line 6441 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 980:

/* Line 1806 of yacc.c  */
#line 6445 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( )");
}
    break;

  case 981:

/* Line 1806 of yacc.c  */
#line 6453 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 982:

/* Line 1806 of yacc.c  */
#line 6457 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 983:

/* Line 1806 of yacc.c  */
#line 6465 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 984:

/* Line 1806 of yacc.c  */
#line 6469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 985:

/* Line 1806 of yacc.c  */
#line 6473 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 986:

/* Line 1806 of yacc.c  */
#line 6477 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 987:

/* Line 1806 of yacc.c  */
#line 6481 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 988:

/* Line 1806 of yacc.c  */
#line 6489 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 989:

/* Line 1806 of yacc.c  */
#line 6493 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 990:

/* Line 1806 of yacc.c  */
#line 6497 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 991:

/* Line 1806 of yacc.c  */
#line 6501 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in out");
}
    break;

  case 992:

/* Line 1806 of yacc.c  */
#line 6505 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 993:

/* Line 1806 of yacc.c  */
#line 6513 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 994:

/* Line 1806 of yacc.c  */
#line 6521 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 995:

/* Line 1806 of yacc.c  */
#line 6529 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 996:

/* Line 1806 of yacc.c  */
#line 6533 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),mm_strdup("% type"));
}
    break;

  case 997:

/* Line 1806 of yacc.c  */
#line 6537 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("setof"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("% type"));
}
    break;

  case 998:

/* Line 1806 of yacc.c  */
#line 6545 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 999:

/* Line 1806 of yacc.c  */
#line 6549 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("default"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1000:

/* Line 1806 of yacc.c  */
#line 6553 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1001:

/* Line 1806 of yacc.c  */
#line 6561 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1002:

/* Line 1806 of yacc.c  */
#line 6570 "preproc.y"
    { 
 (yyval.str) = mm_strdup("( * )");
}
    break;

  case 1003:

/* Line 1806 of yacc.c  */
#line 6574 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1004:

/* Line 1806 of yacc.c  */
#line 6578 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( order by"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1005:

/* Line 1806 of yacc.c  */
#line 6582 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (6)].str),mm_strdup("order by"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1006:

/* Line 1806 of yacc.c  */
#line 6590 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1007:

/* Line 1806 of yacc.c  */
#line 6594 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1008:

/* Line 1806 of yacc.c  */
#line 6602 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1009:

/* Line 1806 of yacc.c  */
#line 6606 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1010:

/* Line 1806 of yacc.c  */
#line 6614 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called on null input");
}
    break;

  case 1011:

/* Line 1806 of yacc.c  */
#line 6618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns null on null input");
}
    break;

  case 1012:

/* Line 1806 of yacc.c  */
#line 6622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 1013:

/* Line 1806 of yacc.c  */
#line 6626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 1014:

/* Line 1806 of yacc.c  */
#line 6630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 1015:

/* Line 1806 of yacc.c  */
#line 6634 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 1016:

/* Line 1806 of yacc.c  */
#line 6638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security definer");
}
    break;

  case 1017:

/* Line 1806 of yacc.c  */
#line 6642 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external security invoker");
}
    break;

  case 1018:

/* Line 1806 of yacc.c  */
#line 6646 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security definer");
}
    break;

  case 1019:

/* Line 1806 of yacc.c  */
#line 6650 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security invoker");
}
    break;

  case 1020:

/* Line 1806 of yacc.c  */
#line 6654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 1021:

/* Line 1806 of yacc.c  */
#line 6658 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not leakproof");
}
    break;

  case 1022:

/* Line 1806 of yacc.c  */
#line 6662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cost"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1023:

/* Line 1806 of yacc.c  */
#line 6666 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1024:

/* Line 1806 of yacc.c  */
#line 6670 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1025:

/* Line 1806 of yacc.c  */
#line 6678 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1026:

/* Line 1806 of yacc.c  */
#line 6682 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1027:

/* Line 1806 of yacc.c  */
#line 6686 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 1028:

/* Line 1806 of yacc.c  */
#line 6690 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1029:

/* Line 1806 of yacc.c  */
#line 6698 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1030:

/* Line 1806 of yacc.c  */
#line 6702 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1031:

/* Line 1806 of yacc.c  */
#line 6710 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1032:

/* Line 1806 of yacc.c  */
#line 6714 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1033:

/* Line 1806 of yacc.c  */
#line 6721 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1034:

/* Line 1806 of yacc.c  */
#line 6729 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1035:

/* Line 1806 of yacc.c  */
#line 6733 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1036:

/* Line 1806 of yacc.c  */
#line 6741 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1037:

/* Line 1806 of yacc.c  */
#line 6749 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1038:

/* Line 1806 of yacc.c  */
#line 6753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1039:

/* Line 1806 of yacc.c  */
#line 6761 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 1040:

/* Line 1806 of yacc.c  */
#line 6765 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1041:

/* Line 1806 of yacc.c  */
#line 6772 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1042:

/* Line 1806 of yacc.c  */
#line 6776 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop function if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1043:

/* Line 1806 of yacc.c  */
#line 6784 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1044:

/* Line 1806 of yacc.c  */
#line 6788 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop aggregate if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1045:

/* Line 1806 of yacc.c  */
#line 6796 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1046:

/* Line 1806 of yacc.c  */
#line 6800 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("drop operator if exists"),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1047:

/* Line 1806 of yacc.c  */
#line 6808 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1048:

/* Line 1806 of yacc.c  */
#line 6812 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1049:

/* Line 1806 of yacc.c  */
#line 6816 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("( none ,"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1050:

/* Line 1806 of yacc.c  */
#line 6820 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(", none )"));
}
    break;

  case 1051:

/* Line 1806 of yacc.c  */
#line 6828 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1052:

/* Line 1806 of yacc.c  */
#line 6832 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("."),(yyvsp[(3) - (3)].str));
}
    break;

  case 1053:

/* Line 1806 of yacc.c  */
#line 6840 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("do"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1054:

/* Line 1806 of yacc.c  */
#line 6848 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1055:

/* Line 1806 of yacc.c  */
#line 6852 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1056:

/* Line 1806 of yacc.c  */
#line 6860 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1057:

/* Line 1806 of yacc.c  */
#line 6864 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("language"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1058:

/* Line 1806 of yacc.c  */
#line 6872 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("create cast ("),(yyvsp[(4) - (11)].str),mm_strdup("as"),(yyvsp[(6) - (11)].str),mm_strdup(") with function"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1059:

/* Line 1806 of yacc.c  */
#line 6876 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") without function"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1060:

/* Line 1806 of yacc.c  */
#line 6880 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("create cast ("),(yyvsp[(4) - (10)].str),mm_strdup("as"),(yyvsp[(6) - (10)].str),mm_strdup(") with inout"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1061:

/* Line 1806 of yacc.c  */
#line 6888 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as implicit");
}
    break;

  case 1062:

/* Line 1806 of yacc.c  */
#line 6892 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as assignment");
}
    break;

  case 1063:

/* Line 1806 of yacc.c  */
#line 6896 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1064:

/* Line 1806 of yacc.c  */
#line 6903 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("drop cast"),(yyvsp[(3) - (9)].str),mm_strdup("("),(yyvsp[(5) - (9)].str),mm_strdup("as"),(yyvsp[(7) - (9)].str),mm_strdup(")"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1065:

/* Line 1806 of yacc.c  */
#line 6911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if exists");
}
    break;

  case 1066:

/* Line 1806 of yacc.c  */
#line 6915 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1067:

/* Line 1806 of yacc.c  */
#line 6922 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("reindex"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1068:

/* Line 1806 of yacc.c  */
#line 6926 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex system"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1069:

/* Line 1806 of yacc.c  */
#line 6930 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("reindex database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1070:

/* Line 1806 of yacc.c  */
#line 6938 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 1071:

/* Line 1806 of yacc.c  */
#line 6942 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1072:

/* Line 1806 of yacc.c  */
#line 6950 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 1073:

/* Line 1806 of yacc.c  */
#line 6954 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1074:

/* Line 1806 of yacc.c  */
#line 6961 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter tablespace"),(yyvsp[(3) - (8)].str),mm_strdup("move all to"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1075:

/* Line 1806 of yacc.c  */
#line 6965 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter tablespace"),(yyvsp[(3) - (8)].str),mm_strdup("move tables to"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1076:

/* Line 1806 of yacc.c  */
#line 6969 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter tablespace"),(yyvsp[(3) - (8)].str),mm_strdup("move indexes to"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1077:

/* Line 1806 of yacc.c  */
#line 6973 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter tablespace"),(yyvsp[(3) - (9)].str),mm_strdup("move materialized views to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1078:

/* Line 1806 of yacc.c  */
#line 6977 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter tablespace"),(yyvsp[(3) - (11)].str),mm_strdup("move all owned by"),(yyvsp[(8) - (11)].str),mm_strdup("to"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1079:

/* Line 1806 of yacc.c  */
#line 6981 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter tablespace"),(yyvsp[(3) - (11)].str),mm_strdup("move tables owned by"),(yyvsp[(8) - (11)].str),mm_strdup("to"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1080:

/* Line 1806 of yacc.c  */
#line 6985 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter tablespace"),(yyvsp[(3) - (11)].str),mm_strdup("move indexes owned by"),(yyvsp[(8) - (11)].str),mm_strdup("to"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1081:

/* Line 1806 of yacc.c  */
#line 6989 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter tablespace"),(yyvsp[(3) - (12)].str),mm_strdup("move materialized views owned by"),(yyvsp[(9) - (12)].str),mm_strdup("to"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 1082:

/* Line 1806 of yacc.c  */
#line 6993 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("set"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1083:

/* Line 1806 of yacc.c  */
#line 6997 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (5)].str),mm_strdup("reset"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1084:

/* Line 1806 of yacc.c  */
#line 7005 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1085:

/* Line 1806 of yacc.c  */
#line 7009 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1086:

/* Line 1806 of yacc.c  */
#line 7013 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1087:

/* Line 1806 of yacc.c  */
#line 7017 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1088:

/* Line 1806 of yacc.c  */
#line 7021 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1089:

/* Line 1806 of yacc.c  */
#line 7025 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter domain"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1090:

/* Line 1806 of yacc.c  */
#line 7029 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1091:

/* Line 1806 of yacc.c  */
#line 7033 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1092:

/* Line 1806 of yacc.c  */
#line 7037 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter group"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1093:

/* Line 1806 of yacc.c  */
#line 7041 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1094:

/* Line 1806 of yacc.c  */
#line 7045 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1095:

/* Line 1806 of yacc.c  */
#line 7049 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1096:

/* Line 1806 of yacc.c  */
#line 7053 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1097:

/* Line 1806 of yacc.c  */
#line 7057 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1098:

/* Line 1806 of yacc.c  */
#line 7061 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1099:

/* Line 1806 of yacc.c  */
#line 7065 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1100:

/* Line 1806 of yacc.c  */
#line 7069 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1101:

/* Line 1806 of yacc.c  */
#line 7073 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1102:

/* Line 1806 of yacc.c  */
#line 7077 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1103:

/* Line 1806 of yacc.c  */
#line 7081 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1104:

/* Line 1806 of yacc.c  */
#line 7085 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1105:

/* Line 1806 of yacc.c  */
#line 7089 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1106:

/* Line 1806 of yacc.c  */
#line 7093 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1107:

/* Line 1806 of yacc.c  */
#line 7097 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter index if exists"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1108:

/* Line 1806 of yacc.c  */
#line 7101 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1109:

/* Line 1806 of yacc.c  */
#line 7105 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("rename to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1110:

/* Line 1806 of yacc.c  */
#line 7109 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1111:

/* Line 1806 of yacc.c  */
#line 7113 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter table if exists"),(yyvsp[(5) - (10)].str),mm_strdup("rename"),(yyvsp[(7) - (10)].str),(yyvsp[(8) - (10)].str),mm_strdup("to"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1112:

/* Line 1806 of yacc.c  */
#line 7117 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1113:

/* Line 1806 of yacc.c  */
#line 7121 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1114:

/* Line 1806 of yacc.c  */
#line 7125 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter table"),(yyvsp[(3) - (8)].str),mm_strdup("rename constraint"),(yyvsp[(6) - (8)].str),mm_strdup("to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1115:

/* Line 1806 of yacc.c  */
#line 7129 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table"),(yyvsp[(4) - (9)].str),mm_strdup("rename"),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),mm_strdup("to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1116:

/* Line 1806 of yacc.c  */
#line 7133 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (11)].str),mm_strdup("rename"),(yyvsp[(8) - (11)].str),(yyvsp[(9) - (11)].str),mm_strdup("to"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1117:

/* Line 1806 of yacc.c  */
#line 7137 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter rule"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1118:

/* Line 1806 of yacc.c  */
#line 7141 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter trigger"),(yyvsp[(3) - (8)].str),mm_strdup("on"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1119:

/* Line 1806 of yacc.c  */
#line 7145 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("rename to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1120:

/* Line 1806 of yacc.c  */
#line 7149 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter role"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1121:

/* Line 1806 of yacc.c  */
#line 7153 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter user"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1122:

/* Line 1806 of yacc.c  */
#line 7157 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1123:

/* Line 1806 of yacc.c  */
#line 7161 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1124:

/* Line 1806 of yacc.c  */
#line 7165 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1125:

/* Line 1806 of yacc.c  */
#line 7169 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1126:

/* Line 1806 of yacc.c  */
#line 7173 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("rename to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1127:

/* Line 1806 of yacc.c  */
#line 7177 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("rename to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1128:

/* Line 1806 of yacc.c  */
#line 7181 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("alter type"),(yyvsp[(3) - (9)].str),mm_strdup("rename attribute"),(yyvsp[(6) - (9)].str),mm_strdup("to"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1129:

/* Line 1806 of yacc.c  */
#line 7189 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 1130:

/* Line 1806 of yacc.c  */
#line 7193 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1131:

/* Line 1806 of yacc.c  */
#line 7200 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set data");
}
    break;

  case 1132:

/* Line 1806 of yacc.c  */
#line 7204 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1133:

/* Line 1806 of yacc.c  */
#line 7211 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1134:

/* Line 1806 of yacc.c  */
#line 7215 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1135:

/* Line 1806 of yacc.c  */
#line 7219 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1136:

/* Line 1806 of yacc.c  */
#line 7223 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1137:

/* Line 1806 of yacc.c  */
#line 7227 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter extension"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1138:

/* Line 1806 of yacc.c  */
#line 7231 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1139:

/* Line 1806 of yacc.c  */
#line 7235 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1140:

/* Line 1806 of yacc.c  */
#line 7239 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1141:

/* Line 1806 of yacc.c  */
#line 7243 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1142:

/* Line 1806 of yacc.c  */
#line 7247 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1143:

/* Line 1806 of yacc.c  */
#line 7251 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter table if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1144:

/* Line 1806 of yacc.c  */
#line 7255 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search parser"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1145:

/* Line 1806 of yacc.c  */
#line 7259 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1146:

/* Line 1806 of yacc.c  */
#line 7263 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search template"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1147:

/* Line 1806 of yacc.c  */
#line 7267 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1148:

/* Line 1806 of yacc.c  */
#line 7271 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1149:

/* Line 1806 of yacc.c  */
#line 7275 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter sequence if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1150:

/* Line 1806 of yacc.c  */
#line 7279 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1151:

/* Line 1806 of yacc.c  */
#line 7283 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter view if exists"),(yyvsp[(5) - (8)].str),mm_strdup("set schema"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1152:

/* Line 1806 of yacc.c  */
#line 7287 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1153:

/* Line 1806 of yacc.c  */
#line 7291 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter materialized view if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1154:

/* Line 1806 of yacc.c  */
#line 7295 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table"),(yyvsp[(4) - (7)].str),mm_strdup("set schema"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1155:

/* Line 1806 of yacc.c  */
#line 7299 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign table if exists"),(yyvsp[(6) - (9)].str),mm_strdup("set schema"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1156:

/* Line 1806 of yacc.c  */
#line 7303 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("set schema"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1157:

/* Line 1806 of yacc.c  */
#line 7311 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter aggregate"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1158:

/* Line 1806 of yacc.c  */
#line 7315 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter collation"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1159:

/* Line 1806 of yacc.c  */
#line 7319 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter conversion"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1160:

/* Line 1806 of yacc.c  */
#line 7323 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1161:

/* Line 1806 of yacc.c  */
#line 7327 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1162:

/* Line 1806 of yacc.c  */
#line 7331 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter function"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1163:

/* Line 1806 of yacc.c  */
#line 7335 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter"),(yyvsp[(2) - (7)].str),mm_strdup("language"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1164:

/* Line 1806 of yacc.c  */
#line 7339 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter large object"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1165:

/* Line 1806 of yacc.c  */
#line 7343 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter operator"),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1166:

/* Line 1806 of yacc.c  */
#line 7347 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator class"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1167:

/* Line 1806 of yacc.c  */
#line 7351 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter operator family"),(yyvsp[(4) - (9)].str),mm_strdup("using"),(yyvsp[(6) - (9)].str),mm_strdup("owner to"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1168:

/* Line 1806 of yacc.c  */
#line 7355 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter schema"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1169:

/* Line 1806 of yacc.c  */
#line 7359 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter type"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1170:

/* Line 1806 of yacc.c  */
#line 7363 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter tablespace"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1171:

/* Line 1806 of yacc.c  */
#line 7367 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1172:

/* Line 1806 of yacc.c  */
#line 7371 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1173:

/* Line 1806 of yacc.c  */
#line 7375 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter foreign data wrapper"),(yyvsp[(5) - (8)].str),mm_strdup("owner to"),(yyvsp[(8) - (8)].str));
}
    break;

  case 1174:

/* Line 1806 of yacc.c  */
#line 7379 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter server"),(yyvsp[(3) - (6)].str),mm_strdup("owner to"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1175:

/* Line 1806 of yacc.c  */
#line 7383 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter event trigger"),(yyvsp[(4) - (7)].str),mm_strdup("owner to"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1176:

/* Line 1806 of yacc.c  */
#line 7391 "preproc.y"
    { 
 (yyval.str) = cat_str(12,mm_strdup("create"),(yyvsp[(2) - (13)].str),mm_strdup("rule"),(yyvsp[(4) - (13)].str),mm_strdup("as on"),(yyvsp[(7) - (13)].str),mm_strdup("to"),(yyvsp[(9) - (13)].str),(yyvsp[(10) - (13)].str),mm_strdup("do"),(yyvsp[(12) - (13)].str),(yyvsp[(13) - (13)].str));
}
    break;

  case 1177:

/* Line 1806 of yacc.c  */
#line 7399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 1178:

/* Line 1806 of yacc.c  */
#line 7403 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1179:

/* Line 1806 of yacc.c  */
#line 7407 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1180:

/* Line 1806 of yacc.c  */
#line 7415 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(";"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1181:

/* Line 1806 of yacc.c  */
#line 7419 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1182:

/* Line 1806 of yacc.c  */
#line 7427 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1183:

/* Line 1806 of yacc.c  */
#line 7431 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1184:

/* Line 1806 of yacc.c  */
#line 7435 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1185:

/* Line 1806 of yacc.c  */
#line 7439 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1186:

/* Line 1806 of yacc.c  */
#line 7443 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1187:

/* Line 1806 of yacc.c  */
#line 7451 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1188:

/* Line 1806 of yacc.c  */
#line 7455 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1189:

/* Line 1806 of yacc.c  */
#line 7462 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 1190:

/* Line 1806 of yacc.c  */
#line 7466 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 1191:

/* Line 1806 of yacc.c  */
#line 7470 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 1192:

/* Line 1806 of yacc.c  */
#line 7474 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 1193:

/* Line 1806 of yacc.c  */
#line 7482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 1194:

/* Line 1806 of yacc.c  */
#line 7486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1195:

/* Line 1806 of yacc.c  */
#line 7490 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1196:

/* Line 1806 of yacc.c  */
#line 7497 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule"),(yyvsp[(3) - (6)].str),mm_strdup("on"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1197:

/* Line 1806 of yacc.c  */
#line 7501 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("drop rule if exists"),(yyvsp[(5) - (8)].str),mm_strdup("on"),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1198:

/* Line 1806 of yacc.c  */
#line 7509 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("notify"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1199:

/* Line 1806 of yacc.c  */
#line 7517 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup(","),(yyvsp[(2) - (2)].str));
}
    break;

  case 1200:

/* Line 1806 of yacc.c  */
#line 7521 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1201:

/* Line 1806 of yacc.c  */
#line 7528 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("listen"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1202:

/* Line 1806 of yacc.c  */
#line 7536 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("unlisten"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1203:

/* Line 1806 of yacc.c  */
#line 7540 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten *");
}
    break;

  case 1204:

/* Line 1806 of yacc.c  */
#line 7548 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("abort"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1205:

/* Line 1806 of yacc.c  */
#line 7552 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("begin"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1206:

/* Line 1806 of yacc.c  */
#line 7556 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("start transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1207:

/* Line 1806 of yacc.c  */
#line 7560 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1208:

/* Line 1806 of yacc.c  */
#line 7564 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("end"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1209:

/* Line 1806 of yacc.c  */
#line 7568 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1210:

/* Line 1806 of yacc.c  */
#line 7572 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("savepoint"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1211:

/* Line 1806 of yacc.c  */
#line 7576 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release savepoint"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1212:

/* Line 1806 of yacc.c  */
#line 7580 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("release"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1213:

/* Line 1806 of yacc.c  */
#line 7584 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (5)].str),mm_strdup("to savepoint"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1214:

/* Line 1806 of yacc.c  */
#line 7588 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rollback"),(yyvsp[(2) - (4)].str),mm_strdup("to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1215:

/* Line 1806 of yacc.c  */
#line 7592 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("prepare transaction"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1216:

/* Line 1806 of yacc.c  */
#line 7596 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("commit prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1217:

/* Line 1806 of yacc.c  */
#line 7600 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rollback prepared"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1218:

/* Line 1806 of yacc.c  */
#line 7608 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 1219:

/* Line 1806 of yacc.c  */
#line 7612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 1220:

/* Line 1806 of yacc.c  */
#line 7616 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1221:

/* Line 1806 of yacc.c  */
#line 7623 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("isolation level"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1222:

/* Line 1806 of yacc.c  */
#line 7627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read only");
}
    break;

  case 1223:

/* Line 1806 of yacc.c  */
#line 7631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read write");
}
    break;

  case 1224:

/* Line 1806 of yacc.c  */
#line 7635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 1225:

/* Line 1806 of yacc.c  */
#line 7639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not deferrable");
}
    break;

  case 1226:

/* Line 1806 of yacc.c  */
#line 7647 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1227:

/* Line 1806 of yacc.c  */
#line 7651 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1228:

/* Line 1806 of yacc.c  */
#line 7655 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1229:

/* Line 1806 of yacc.c  */
#line 7663 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1230:

/* Line 1806 of yacc.c  */
#line 7667 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1231:

/* Line 1806 of yacc.c  */
#line 7674 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("view"),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),mm_strdup("as"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1232:

/* Line 1806 of yacc.c  */
#line 7678 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("create or replace"),(yyvsp[(4) - (11)].str),mm_strdup("view"),(yyvsp[(6) - (11)].str),(yyvsp[(7) - (11)].str),(yyvsp[(8) - (11)].str),mm_strdup("as"),(yyvsp[(10) - (11)].str),(yyvsp[(11) - (11)].str));
}
    break;

  case 1233:

/* Line 1806 of yacc.c  */
#line 7682 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create"),(yyvsp[(2) - (12)].str),mm_strdup("recursive view"),(yyvsp[(5) - (12)].str),mm_strdup("("),(yyvsp[(7) - (12)].str),mm_strdup(")"),(yyvsp[(9) - (12)].str),mm_strdup("as"),(yyvsp[(11) - (12)].str),(yyvsp[(12) - (12)].str));
}
    break;

  case 1234:

/* Line 1806 of yacc.c  */
#line 7687 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(11,mm_strdup("create or replace"),(yyvsp[(4) - (14)].str),mm_strdup("recursive view"),(yyvsp[(7) - (14)].str),mm_strdup("("),(yyvsp[(9) - (14)].str),mm_strdup(")"),(yyvsp[(11) - (14)].str),mm_strdup("as"),(yyvsp[(13) - (14)].str),(yyvsp[(14) - (14)].str));
}
    break;

  case 1235:

/* Line 1806 of yacc.c  */
#line 7696 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with check option");
}
    break;

  case 1236:

/* Line 1806 of yacc.c  */
#line 7700 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with cascaded check option");
}
    break;

  case 1237:

/* Line 1806 of yacc.c  */
#line 7704 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with local check option");
}
    break;

  case 1238:

/* Line 1806 of yacc.c  */
#line 7708 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1239:

/* Line 1806 of yacc.c  */
#line 7715 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("load"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1240:

/* Line 1806 of yacc.c  */
#line 7723 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("create database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1241:

/* Line 1806 of yacc.c  */
#line 7731 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1242:

/* Line 1806 of yacc.c  */
#line 7735 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1243:

/* Line 1806 of yacc.c  */
#line 7742 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1244:

/* Line 1806 of yacc.c  */
#line 7746 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("tablespace"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1245:

/* Line 1806 of yacc.c  */
#line 7750 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1246:

/* Line 1806 of yacc.c  */
#line 7754 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("location"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1247:

/* Line 1806 of yacc.c  */
#line 7758 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1248:

/* Line 1806 of yacc.c  */
#line 7762 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("template"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1249:

/* Line 1806 of yacc.c  */
#line 7766 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1250:

/* Line 1806 of yacc.c  */
#line 7770 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1251:

/* Line 1806 of yacc.c  */
#line 7774 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("encoding"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1252:

/* Line 1806 of yacc.c  */
#line 7778 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1253:

/* Line 1806 of yacc.c  */
#line 7782 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_collate"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1254:

/* Line 1806 of yacc.c  */
#line 7786 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1255:

/* Line 1806 of yacc.c  */
#line 7790 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lc_ctype"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1256:

/* Line 1806 of yacc.c  */
#line 7794 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1257:

/* Line 1806 of yacc.c  */
#line 7798 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1258:

/* Line 1806 of yacc.c  */
#line 7802 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("owner"),(yyvsp[(2) - (3)].str),mm_strdup("default"));
}
    break;

  case 1259:

/* Line 1806 of yacc.c  */
#line 7810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1260:

/* Line 1806 of yacc.c  */
#line 7814 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1261:

/* Line 1806 of yacc.c  */
#line 7821 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1262:

/* Line 1806 of yacc.c  */
#line 7825 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter database"),(yyvsp[(3) - (6)].str),mm_strdup("set tablespace"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1263:

/* Line 1806 of yacc.c  */
#line 7833 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter database"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1264:

/* Line 1806 of yacc.c  */
#line 7841 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1265:

/* Line 1806 of yacc.c  */
#line 7845 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1266:

/* Line 1806 of yacc.c  */
#line 7852 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("connection limit"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1267:

/* Line 1806 of yacc.c  */
#line 7860 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1268:

/* Line 1806 of yacc.c  */
#line 7864 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("drop database if exists"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1269:

/* Line 1806 of yacc.c  */
#line 7872 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("alter system set"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1270:

/* Line 1806 of yacc.c  */
#line 7880 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("create domain"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1271:

/* Line 1806 of yacc.c  */
#line 7888 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1272:

/* Line 1806 of yacc.c  */
#line 7892 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("drop not null"));
}
    break;

  case 1273:

/* Line 1806 of yacc.c  */
#line 7896 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("set not null"));
}
    break;

  case 1274:

/* Line 1806 of yacc.c  */
#line 7900 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (5)].str),mm_strdup("add"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1275:

/* Line 1806 of yacc.c  */
#line 7904 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (7)].str),mm_strdup("drop constraint"),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1276:

/* Line 1806 of yacc.c  */
#line 7908 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("alter domain"),(yyvsp[(3) - (9)].str),mm_strdup("drop constraint if exists"),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1277:

/* Line 1806 of yacc.c  */
#line 7912 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter domain"),(yyvsp[(3) - (6)].str),mm_strdup("validate constraint"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1278:

/* Line 1806 of yacc.c  */
#line 7920 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 1279:

/* Line 1806 of yacc.c  */
#line 7924 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1280:

/* Line 1806 of yacc.c  */
#line 7931 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("alter text search dictionary"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1281:

/* Line 1806 of yacc.c  */
#line 7939 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("add mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1282:

/* Line 1806 of yacc.c  */
#line 7943 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1283:

/* Line 1806 of yacc.c  */
#line 7947 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("alter mapping replace"),(yyvsp[(9) - (11)].str),mm_strdup("with"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1284:

/* Line 1806 of yacc.c  */
#line 7951 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("alter text search configuration"),(yyvsp[(5) - (13)].str),mm_strdup("alter mapping for"),(yyvsp[(9) - (13)].str),mm_strdup("replace"),(yyvsp[(11) - (13)].str),mm_strdup("with"),(yyvsp[(13) - (13)].str));
}
    break;

  case 1285:

/* Line 1806 of yacc.c  */
#line 7955 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (9)].str),mm_strdup("drop mapping for"),(yyvsp[(9) - (9)].str));
}
    break;

  case 1286:

/* Line 1806 of yacc.c  */
#line 7959 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("alter text search configuration"),(yyvsp[(5) - (11)].str),mm_strdup("drop mapping if exists for"),(yyvsp[(11) - (11)].str));
}
    break;

  case 1287:

/* Line 1806 of yacc.c  */
#line 7967 "preproc.y"
    { 
 (yyval.str) = cat_str(10,mm_strdup("create"),(yyvsp[(2) - (10)].str),mm_strdup("conversion"),(yyvsp[(4) - (10)].str),mm_strdup("for"),(yyvsp[(6) - (10)].str),mm_strdup("to"),(yyvsp[(8) - (10)].str),mm_strdup("from"),(yyvsp[(10) - (10)].str));
}
    break;

  case 1288:

/* Line 1806 of yacc.c  */
#line 7975 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("cluster"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1289:

/* Line 1806 of yacc.c  */
#line 7979 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("cluster"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1290:

/* Line 1806 of yacc.c  */
#line 7983 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cluster"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),mm_strdup("on"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1291:

/* Line 1806 of yacc.c  */
#line 7991 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1292:

/* Line 1806 of yacc.c  */
#line 7995 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1293:

/* Line 1806 of yacc.c  */
#line 8002 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("vacuum"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1294:

/* Line 1806 of yacc.c  */
#line 8006 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1295:

/* Line 1806 of yacc.c  */
#line 8010 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1296:

/* Line 1806 of yacc.c  */
#line 8014 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("vacuum ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1297:

/* Line 1806 of yacc.c  */
#line 8018 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("vacuum ("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1298:

/* Line 1806 of yacc.c  */
#line 8026 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1299:

/* Line 1806 of yacc.c  */
#line 8030 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1300:

/* Line 1806 of yacc.c  */
#line 8038 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1301:

/* Line 1806 of yacc.c  */
#line 8042 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1302:

/* Line 1806 of yacc.c  */
#line 8046 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1303:

/* Line 1806 of yacc.c  */
#line 8050 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1304:

/* Line 1806 of yacc.c  */
#line 8058 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1305:

/* Line 1806 of yacc.c  */
#line 8062 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1306:

/* Line 1806 of yacc.c  */
#line 8070 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 1307:

/* Line 1806 of yacc.c  */
#line 8074 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 1308:

/* Line 1806 of yacc.c  */
#line 8082 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 1309:

/* Line 1806 of yacc.c  */
#line 8086 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1310:

/* Line 1806 of yacc.c  */
#line 8093 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 1311:

/* Line 1806 of yacc.c  */
#line 8097 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1312:

/* Line 1806 of yacc.c  */
#line 8104 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 1313:

/* Line 1806 of yacc.c  */
#line 8108 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1314:

/* Line 1806 of yacc.c  */
#line 8115 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1315:

/* Line 1806 of yacc.c  */
#line 8119 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1316:

/* Line 1806 of yacc.c  */
#line 8126 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1317:

/* Line 1806 of yacc.c  */
#line 8130 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain"),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1318:

/* Line 1806 of yacc.c  */
#line 8134 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("explain verbose"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1319:

/* Line 1806 of yacc.c  */
#line 8138 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("explain ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1320:

/* Line 1806 of yacc.c  */
#line 8146 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1321:

/* Line 1806 of yacc.c  */
#line 8150 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1322:

/* Line 1806 of yacc.c  */
#line 8154 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1323:

/* Line 1806 of yacc.c  */
#line 8158 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1324:

/* Line 1806 of yacc.c  */
#line 8162 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1325:

/* Line 1806 of yacc.c  */
#line 8166 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1326:

/* Line 1806 of yacc.c  */
#line 8170 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1327:

/* Line 1806 of yacc.c  */
#line 8174 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1328:

/* Line 1806 of yacc.c  */
#line 8178 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1329:

/* Line 1806 of yacc.c  */
#line 8186 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1330:

/* Line 1806 of yacc.c  */
#line 8190 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1331:

/* Line 1806 of yacc.c  */
#line 8198 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1332:

/* Line 1806 of yacc.c  */
#line 8206 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1333:

/* Line 1806 of yacc.c  */
#line 8210 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1334:

/* Line 1806 of yacc.c  */
#line 8218 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1335:

/* Line 1806 of yacc.c  */
#line 8222 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1336:

/* Line 1806 of yacc.c  */
#line 8226 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1337:

/* Line 1806 of yacc.c  */
#line 8233 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (5)].str);
		(yyval.prep).type = (yyvsp[(3) - (5)].str);
		(yyval.prep).stmt = cat_str(3, mm_strdup("\""), (yyvsp[(5) - (5)].str), mm_strdup("\""));
	}
    break;

  case 1338:

/* Line 1806 of yacc.c  */
#line 8239 "preproc.y"
    {
		(yyval.prep).name = (yyvsp[(2) - (4)].str);
		(yyval.prep).type = NULL;
		(yyval.prep).stmt = (yyvsp[(4) - (4)].str);
	}
    break;

  case 1339:

/* Line 1806 of yacc.c  */
#line 8249 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1340:

/* Line 1806 of yacc.c  */
#line 8253 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1341:

/* Line 1806 of yacc.c  */
#line 8260 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1342:

/* Line 1806 of yacc.c  */
#line 8264 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1343:

/* Line 1806 of yacc.c  */
#line 8268 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1344:

/* Line 1806 of yacc.c  */
#line 8272 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1345:

/* Line 1806 of yacc.c  */
#line 8280 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (4)].str); }
    break;

  case 1346:

/* Line 1806 of yacc.c  */
#line 8282 "preproc.y"
    { 
 (yyval.str) = cat_str(8,mm_strdup("create"),(yyvsp[(2) - (9)].str),mm_strdup("table"),(yyvsp[(4) - (9)].str),mm_strdup("as execute"),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1347:

/* Line 1806 of yacc.c  */
#line 8290 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1348:

/* Line 1806 of yacc.c  */
#line 8294 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1349:

/* Line 1806 of yacc.c  */
#line 8301 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("insert into"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1350:

/* Line 1806 of yacc.c  */
#line 8309 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1351:

/* Line 1806 of yacc.c  */
#line 8313 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1352:

/* Line 1806 of yacc.c  */
#line 8317 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default values");
}
    break;

  case 1353:

/* Line 1806 of yacc.c  */
#line 8325 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1354:

/* Line 1806 of yacc.c  */
#line 8329 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1355:

/* Line 1806 of yacc.c  */
#line 8337 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1356:

/* Line 1806 of yacc.c  */
#line 8345 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("returning"),(yyvsp[(2) - (3)].str));
}
    break;

  case 1357:

/* Line 1806 of yacc.c  */
#line 8349 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1358:

/* Line 1806 of yacc.c  */
#line 8356 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("delete from"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),(yyvsp[(7) - (7)].str));
}
    break;

  case 1359:

/* Line 1806 of yacc.c  */
#line 8364 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("using"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1360:

/* Line 1806 of yacc.c  */
#line 8368 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1361:

/* Line 1806 of yacc.c  */
#line 8375 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("lock"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1362:

/* Line 1806 of yacc.c  */
#line 8383 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("in"),(yyvsp[(2) - (3)].str),mm_strdup("mode"));
}
    break;

  case 1363:

/* Line 1806 of yacc.c  */
#line 8387 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1364:

/* Line 1806 of yacc.c  */
#line 8394 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access share");
}
    break;

  case 1365:

/* Line 1806 of yacc.c  */
#line 8398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row share");
}
    break;

  case 1366:

/* Line 1806 of yacc.c  */
#line 8402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row exclusive");
}
    break;

  case 1367:

/* Line 1806 of yacc.c  */
#line 8406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share update exclusive");
}
    break;

  case 1368:

/* Line 1806 of yacc.c  */
#line 8410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 1369:

/* Line 1806 of yacc.c  */
#line 8414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share row exclusive");
}
    break;

  case 1370:

/* Line 1806 of yacc.c  */
#line 8418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 1371:

/* Line 1806 of yacc.c  */
#line 8422 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access exclusive");
}
    break;

  case 1372:

/* Line 1806 of yacc.c  */
#line 8430 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 1373:

/* Line 1806 of yacc.c  */
#line 8434 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1374:

/* Line 1806 of yacc.c  */
#line 8441 "preproc.y"
    { 
 (yyval.str) = cat_str(8,(yyvsp[(1) - (8)].str),mm_strdup("update"),(yyvsp[(3) - (8)].str),mm_strdup("set"),(yyvsp[(5) - (8)].str),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),(yyvsp[(8) - (8)].str));
}
    break;

  case 1375:

/* Line 1806 of yacc.c  */
#line 8449 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1376:

/* Line 1806 of yacc.c  */
#line 8453 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1377:

/* Line 1806 of yacc.c  */
#line 8461 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1378:

/* Line 1806 of yacc.c  */
#line 8465 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1379:

/* Line 1806 of yacc.c  */
#line 8473 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1380:

/* Line 1806 of yacc.c  */
#line 8481 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(") ="),(yyvsp[(5) - (5)].str));
}
    break;

  case 1381:

/* Line 1806 of yacc.c  */
#line 8489 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1382:

/* Line 1806 of yacc.c  */
#line 8497 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1383:

/* Line 1806 of yacc.c  */
#line 8501 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1384:

/* Line 1806 of yacc.c  */
#line 8509 "preproc.y"
    {
		struct cursor *ptr, *this;
		char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
		char *comment, *c1, *c2;
		int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);

		for (ptr = cur; ptr != NULL; ptr = ptr->next)
		{
			if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
			{
				if ((yyvsp[(2) - (7)].str)[0] == ':')
					mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
				else
					mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
			}
		}

		this = (struct cursor *) mm_alloc(sizeof(struct cursor));

		this->next = cur;
		this->name = (yyvsp[(2) - (7)].str);
		this->function = (current_function ? mm_strdup(current_function) : NULL);
		this->connection = connection;
		this->opened = false;
		this->command =  cat_str(7, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for"), (yyvsp[(7) - (7)].str));
		this->argsinsert = argsinsert;
		this->argsinsert_oos = NULL;
		this->argsresult = argsresult;
		this->argsresult_oos = NULL;
		argsinsert = argsresult = NULL;
		cur = this;

		c1 = mm_strdup(this->command);
		if ((c2 = strstr(c1, "*/")) != NULL)
		{
			/* We put this text into a comment, so we better remove [*][/]. */
			c2[0] = '.';
			c2[1] = '.';
		}
		comment = cat_str(3, mm_strdup("/*"), c1, mm_strdup("*/"));

		if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
			(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
				mm_strdup("ECPG_informix_reset_sqlca();"),
				comment);
		else
			(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
	}
    break;

  case 1385:

/* Line 1806 of yacc.c  */
#line 8562 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1386:

/* Line 1806 of yacc.c  */
#line 8566 "preproc.y"
    {
			char *curname = mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 2);
			sprintf(curname, ":%s", (yyvsp[(1) - (1)].str));
			free((yyvsp[(1) - (1)].str));
			(yyvsp[(1) - (1)].str) = curname;
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 1387:

/* Line 1806 of yacc.c  */
#line 8578 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1388:

/* Line 1806 of yacc.c  */
#line 8581 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("no scroll"));
}
    break;

  case 1389:

/* Line 1806 of yacc.c  */
#line 8585 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("scroll"));
}
    break;

  case 1390:

/* Line 1806 of yacc.c  */
#line 8589 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("binary"));
}
    break;

  case 1391:

/* Line 1806 of yacc.c  */
#line 8593 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("insensitive"));
}
    break;

  case 1392:

/* Line 1806 of yacc.c  */
#line 8601 "preproc.y"
    {
		if (compat == ECPG_COMPAT_INFORMIX_SE && autocommit)
			(yyval.str) = mm_strdup("with hold");
		else
			(yyval.str) = EMPTY;
	}
    break;

  case 1393:

/* Line 1806 of yacc.c  */
#line 8608 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with hold");
}
    break;

  case 1394:

/* Line 1806 of yacc.c  */
#line 8612 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without hold");
}
    break;

  case 1395:

/* Line 1806 of yacc.c  */
#line 8620 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1396:

/* Line 1806 of yacc.c  */
#line 8624 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1397:

/* Line 1806 of yacc.c  */
#line 8632 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1398:

/* Line 1806 of yacc.c  */
#line 8636 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1399:

/* Line 1806 of yacc.c  */
#line 8644 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1400:

/* Line 1806 of yacc.c  */
#line 8648 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1401:

/* Line 1806 of yacc.c  */
#line 8652 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1402:

/* Line 1806 of yacc.c  */
#line 8656 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1403:

/* Line 1806 of yacc.c  */
#line 8660 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1404:

/* Line 1806 of yacc.c  */
#line 8664 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1405:

/* Line 1806 of yacc.c  */
#line 8668 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1406:

/* Line 1806 of yacc.c  */
#line 8672 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1407:

/* Line 1806 of yacc.c  */
#line 8680 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1408:

/* Line 1806 of yacc.c  */
#line 8684 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1409:

/* Line 1806 of yacc.c  */
#line 8692 "preproc.y"
    { 
 (yyval.str) = cat_str(9,mm_strdup("select"),(yyvsp[(2) - (9)].str),(yyvsp[(3) - (9)].str),(yyvsp[(4) - (9)].str),(yyvsp[(5) - (9)].str),(yyvsp[(6) - (9)].str),(yyvsp[(7) - (9)].str),(yyvsp[(8) - (9)].str),(yyvsp[(9) - (9)].str));
}
    break;

  case 1410:

/* Line 1806 of yacc.c  */
#line 8696 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1411:

/* Line 1806 of yacc.c  */
#line 8700 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1412:

/* Line 1806 of yacc.c  */
#line 8704 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("union"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1413:

/* Line 1806 of yacc.c  */
#line 8708 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("intersect"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1414:

/* Line 1806 of yacc.c  */
#line 8712 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("except"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1415:

/* Line 1806 of yacc.c  */
#line 8720 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1416:

/* Line 1806 of yacc.c  */
#line 8724 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("with recursive"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1417:

/* Line 1806 of yacc.c  */
#line 8732 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1418:

/* Line 1806 of yacc.c  */
#line 8736 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1419:

/* Line 1806 of yacc.c  */
#line 8744 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),mm_strdup("as ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1420:

/* Line 1806 of yacc.c  */
#line 8752 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1421:

/* Line 1806 of yacc.c  */
#line 8756 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1422:

/* Line 1806 of yacc.c  */
#line 8763 "preproc.y"
    {
						FoundInto = 1;
						(yyval.str)= cat2_str(mm_strdup("into"), (yyvsp[(2) - (2)].str));
					}
    break;

  case 1423:

/* Line 1806 of yacc.c  */
#line 8767 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 1424:

/* Line 1806 of yacc.c  */
#line 8769 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1425:

/* Line 1806 of yacc.c  */
#line 8776 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temporary"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1426:

/* Line 1806 of yacc.c  */
#line 8780 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("temp"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1427:

/* Line 1806 of yacc.c  */
#line 8784 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1428:

/* Line 1806 of yacc.c  */
#line 8788 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("local temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1429:

/* Line 1806 of yacc.c  */
#line 8792 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temporary"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1430:

/* Line 1806 of yacc.c  */
#line 8796 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("global temp"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1431:

/* Line 1806 of yacc.c  */
#line 8800 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("unlogged"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1432:

/* Line 1806 of yacc.c  */
#line 8804 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("table"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1433:

/* Line 1806 of yacc.c  */
#line 8808 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1434:

/* Line 1806 of yacc.c  */
#line 8816 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 1435:

/* Line 1806 of yacc.c  */
#line 8820 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1436:

/* Line 1806 of yacc.c  */
#line 8827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1437:

/* Line 1806 of yacc.c  */
#line 8831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1438:

/* Line 1806 of yacc.c  */
#line 8835 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1439:

/* Line 1806 of yacc.c  */
#line 8842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 1440:

/* Line 1806 of yacc.c  */
#line 8846 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("distinct on ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1441:

/* Line 1806 of yacc.c  */
#line 8850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1442:

/* Line 1806 of yacc.c  */
#line 8854 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1443:

/* Line 1806 of yacc.c  */
#line 8861 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1444:

/* Line 1806 of yacc.c  */
#line 8865 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1445:

/* Line 1806 of yacc.c  */
#line 8872 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("order by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1446:

/* Line 1806 of yacc.c  */
#line 8880 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1447:

/* Line 1806 of yacc.c  */
#line 8884 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1448:

/* Line 1806 of yacc.c  */
#line 8892 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("using"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1449:

/* Line 1806 of yacc.c  */
#line 8896 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1450:

/* Line 1806 of yacc.c  */
#line 8904 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1451:

/* Line 1806 of yacc.c  */
#line 8908 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1452:

/* Line 1806 of yacc.c  */
#line 8912 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1453:

/* Line 1806 of yacc.c  */
#line 8916 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1454:

/* Line 1806 of yacc.c  */
#line 8924 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1455:

/* Line 1806 of yacc.c  */
#line 8928 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1456:

/* Line 1806 of yacc.c  */
#line 8935 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("limit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1457:

/* Line 1806 of yacc.c  */
#line 8939 "preproc.y"
    {
		mmerror(PARSE_ERROR, ET_WARNING, "no longer supported LIMIT #,# syntax passed to server");
		(yyval.str) = cat_str(4, mm_strdup("limit"), (yyvsp[(2) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str));
	}
    break;

  case 1458:

/* Line 1806 of yacc.c  */
#line 8944 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("fetch"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("only"));
}
    break;

  case 1459:

/* Line 1806 of yacc.c  */
#line 8952 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("offset"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1460:

/* Line 1806 of yacc.c  */
#line 8956 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("offset"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1461:

/* Line 1806 of yacc.c  */
#line 8964 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1462:

/* Line 1806 of yacc.c  */
#line 8968 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1463:

/* Line 1806 of yacc.c  */
#line 8976 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1464:

/* Line 1806 of yacc.c  */
#line 8984 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1465:

/* Line 1806 of yacc.c  */
#line 8988 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1466:

/* Line 1806 of yacc.c  */
#line 8992 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1467:

/* Line 1806 of yacc.c  */
#line 8999 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1468:

/* Line 1806 of yacc.c  */
#line 9007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 1469:

/* Line 1806 of yacc.c  */
#line 9011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 1470:

/* Line 1806 of yacc.c  */
#line 9019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 1471:

/* Line 1806 of yacc.c  */
#line 9023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 1472:

/* Line 1806 of yacc.c  */
#line 9031 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("group by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1473:

/* Line 1806 of yacc.c  */
#line 9035 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1474:

/* Line 1806 of yacc.c  */
#line 9042 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("having"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1475:

/* Line 1806 of yacc.c  */
#line 9046 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1476:

/* Line 1806 of yacc.c  */
#line 9053 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1477:

/* Line 1806 of yacc.c  */
#line 9057 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for read only");
}
    break;

  case 1478:

/* Line 1806 of yacc.c  */
#line 9065 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1479:

/* Line 1806 of yacc.c  */
#line 9069 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1480:

/* Line 1806 of yacc.c  */
#line 9076 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1481:

/* Line 1806 of yacc.c  */
#line 9080 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1482:

/* Line 1806 of yacc.c  */
#line 9088 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1483:

/* Line 1806 of yacc.c  */
#line 9096 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for update");
}
    break;

  case 1484:

/* Line 1806 of yacc.c  */
#line 9100 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for no key update");
}
    break;

  case 1485:

/* Line 1806 of yacc.c  */
#line 9104 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for share");
}
    break;

  case 1486:

/* Line 1806 of yacc.c  */
#line 9108 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for key share");
}
    break;

  case 1487:

/* Line 1806 of yacc.c  */
#line 9116 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("of"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1488:

/* Line 1806 of yacc.c  */
#line 9120 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1489:

/* Line 1806 of yacc.c  */
#line 9127 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("values"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1490:

/* Line 1806 of yacc.c  */
#line 9131 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1491:

/* Line 1806 of yacc.c  */
#line 9139 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1492:

/* Line 1806 of yacc.c  */
#line 9143 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1493:

/* Line 1806 of yacc.c  */
#line 9150 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1494:

/* Line 1806 of yacc.c  */
#line 9154 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1495:

/* Line 1806 of yacc.c  */
#line 9162 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1496:

/* Line 1806 of yacc.c  */
#line 9166 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1497:

/* Line 1806 of yacc.c  */
#line 9170 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1498:

/* Line 1806 of yacc.c  */
#line 9174 "preproc.y"
    { 
	if ((yyvsp[(2) - (2)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1499:

/* Line 1806 of yacc.c  */
#line 9181 "preproc.y"
    { 
	if ((yyvsp[(3) - (3)].str) == NULL)
		mmerror(PARSE_ERROR, ET_ERROR, "subquery in FROM must have an alias");

 (yyval.str) = cat_str(3,mm_strdup("lateral"),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1500:

/* Line 1806 of yacc.c  */
#line 9188 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1501:

/* Line 1806 of yacc.c  */
#line 9192 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1502:

/* Line 1806 of yacc.c  */
#line 9200 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1503:

/* Line 1806 of yacc.c  */
#line 9204 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("cross join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1504:

/* Line 1806 of yacc.c  */
#line 9208 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),(yyvsp[(2) - (5)].str),mm_strdup("join"),(yyvsp[(4) - (5)].str),(yyvsp[(5) - (5)].str));
}
    break;

  case 1505:

/* Line 1806 of yacc.c  */
#line 9212 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("join"),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1506:

/* Line 1806 of yacc.c  */
#line 9216 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("natural"),(yyvsp[(3) - (5)].str),mm_strdup("join"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1507:

/* Line 1806 of yacc.c  */
#line 9220 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("natural join"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1508:

/* Line 1806 of yacc.c  */
#line 9228 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1509:

/* Line 1806 of yacc.c  */
#line 9232 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("as"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1510:

/* Line 1806 of yacc.c  */
#line 9236 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1511:

/* Line 1806 of yacc.c  */
#line 9240 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1512:

/* Line 1806 of yacc.c  */
#line 9248 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1513:

/* Line 1806 of yacc.c  */
#line 9252 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1514:

/* Line 1806 of yacc.c  */
#line 9259 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1515:

/* Line 1806 of yacc.c  */
#line 9263 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1516:

/* Line 1806 of yacc.c  */
#line 9267 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("as"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1517:

/* Line 1806 of yacc.c  */
#line 9271 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),mm_strdup("("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1518:

/* Line 1806 of yacc.c  */
#line 9275 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1519:

/* Line 1806 of yacc.c  */
#line 9282 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("full"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1520:

/* Line 1806 of yacc.c  */
#line 9286 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("left"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1521:

/* Line 1806 of yacc.c  */
#line 9290 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("right"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1522:

/* Line 1806 of yacc.c  */
#line 9294 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 1523:

/* Line 1806 of yacc.c  */
#line 9302 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 1524:

/* Line 1806 of yacc.c  */
#line 9306 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1525:

/* Line 1806 of yacc.c  */
#line 9313 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("using ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1526:

/* Line 1806 of yacc.c  */
#line 9317 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("on"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1527:

/* Line 1806 of yacc.c  */
#line 9325 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1528:

/* Line 1806 of yacc.c  */
#line 9329 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("*"));
}
    break;

  case 1529:

/* Line 1806 of yacc.c  */
#line 9333 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("only"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1530:

/* Line 1806 of yacc.c  */
#line 9337 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("only ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1531:

/* Line 1806 of yacc.c  */
#line 9345 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1532:

/* Line 1806 of yacc.c  */
#line 9349 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1533:

/* Line 1806 of yacc.c  */
#line 9357 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1534:

/* Line 1806 of yacc.c  */
#line 9361 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1535:

/* Line 1806 of yacc.c  */
#line 9365 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1536:

/* Line 1806 of yacc.c  */
#line 9373 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1537:

/* Line 1806 of yacc.c  */
#line 9377 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("rows from ("),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1538:

/* Line 1806 of yacc.c  */
#line 9385 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1539:

/* Line 1806 of yacc.c  */
#line 9393 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1540:

/* Line 1806 of yacc.c  */
#line 9397 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1541:

/* Line 1806 of yacc.c  */
#line 9405 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("as ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1542:

/* Line 1806 of yacc.c  */
#line 9409 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1543:

/* Line 1806 of yacc.c  */
#line 9416 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with ordinality");
}
    break;

  case 1544:

/* Line 1806 of yacc.c  */
#line 9420 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1545:

/* Line 1806 of yacc.c  */
#line 9427 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1546:

/* Line 1806 of yacc.c  */
#line 9431 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1547:

/* Line 1806 of yacc.c  */
#line 9438 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("where"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1548:

/* Line 1806 of yacc.c  */
#line 9442 "preproc.y"
    {
		char *cursor_marker = (yyvsp[(4) - (4)].str)[0] == ':' ? mm_strdup("$0") : (yyvsp[(4) - (4)].str);
		(yyval.str) = cat_str(2,mm_strdup("where current of"), cursor_marker);
	}
    break;

  case 1549:

/* Line 1806 of yacc.c  */
#line 9447 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1550:

/* Line 1806 of yacc.c  */
#line 9454 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1551:

/* Line 1806 of yacc.c  */
#line 9458 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1552:

/* Line 1806 of yacc.c  */
#line 9465 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1553:

/* Line 1806 of yacc.c  */
#line 9469 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1554:

/* Line 1806 of yacc.c  */
#line 9477 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1555:

/* Line 1806 of yacc.c  */
#line 9485 "preproc.y"
    {	(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].index).str); }
    break;

  case 1556:

/* Line 1806 of yacc.c  */
#line 9487 "preproc.y"
    {	(yyval.str) = cat_str(3, mm_strdup("setof"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].index).str); }
    break;

  case 1557:

/* Line 1806 of yacc.c  */
#line 9489 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (5)].str),mm_strdup("array ["),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1558:

/* Line 1806 of yacc.c  */
#line 9493 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("setof"),(yyvsp[(2) - (6)].str),mm_strdup("array ["),(yyvsp[(5) - (6)].str),mm_strdup("]"));
}
    break;

  case 1559:

/* Line 1806 of yacc.c  */
#line 9497 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("array"));
}
    break;

  case 1560:

/* Line 1806 of yacc.c  */
#line 9501 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("setof"),(yyvsp[(2) - (3)].str),mm_strdup("array"));
}
    break;

  case 1561:

/* Line 1806 of yacc.c  */
#line 9509 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (3)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (3)].index).index2;
		if (strcmp((yyval.index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup("0");
		else if (strcmp((yyvsp[(1) - (3)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup("0");
		(yyval.index).str = cat_str(2, (yyvsp[(1) - (3)].index).str, mm_strdup("[]"));
	}
    break;

  case 1562:

/* Line 1806 of yacc.c  */
#line 9519 "preproc.y"
    {
		(yyval.index).index1 = (yyvsp[(1) - (4)].index).index1;
		(yyval.index).index2 = (yyvsp[(1) - (4)].index).index2;
		if (strcmp((yyvsp[(1) - (4)].index).index1, "-1") == 0)
			(yyval.index).index1 = mm_strdup((yyvsp[(3) - (4)].str));
		else if (strcmp((yyvsp[(1) - (4)].index).index2, "-1") == 0)
			(yyval.index).index2 = mm_strdup((yyvsp[(3) - (4)].str));
		(yyval.index).str = cat_str(4, (yyvsp[(1) - (4)].index).str, mm_strdup("["), (yyvsp[(3) - (4)].str), mm_strdup("]"));
	}
    break;

  case 1563:

/* Line 1806 of yacc.c  */
#line 9529 "preproc.y"
    {
		(yyval.index).index1 = mm_strdup("-1");
		(yyval.index).index2 = mm_strdup("-1");
		(yyval.index).str= EMPTY;
	}
    break;

  case 1564:

/* Line 1806 of yacc.c  */
#line 9539 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1565:

/* Line 1806 of yacc.c  */
#line 9543 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1566:

/* Line 1806 of yacc.c  */
#line 9547 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1567:

/* Line 1806 of yacc.c  */
#line 9551 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1568:

/* Line 1806 of yacc.c  */
#line 9555 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1569:

/* Line 1806 of yacc.c  */
#line 9559 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1570:

/* Line 1806 of yacc.c  */
#line 9563 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1571:

/* Line 1806 of yacc.c  */
#line 9571 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1572:

/* Line 1806 of yacc.c  */
#line 9575 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1573:

/* Line 1806 of yacc.c  */
#line 9579 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1574:

/* Line 1806 of yacc.c  */
#line 9583 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1575:

/* Line 1806 of yacc.c  */
#line 9591 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1576:

/* Line 1806 of yacc.c  */
#line 9595 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1577:

/* Line 1806 of yacc.c  */
#line 9603 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1578:

/* Line 1806 of yacc.c  */
#line 9607 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1579:

/* Line 1806 of yacc.c  */
#line 9614 "preproc.y"
    { 
 (yyval.str) = mm_strdup("int");
}
    break;

  case 1580:

/* Line 1806 of yacc.c  */
#line 9618 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 1581:

/* Line 1806 of yacc.c  */
#line 9622 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 1582:

/* Line 1806 of yacc.c  */
#line 9626 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 1583:

/* Line 1806 of yacc.c  */
#line 9630 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 1584:

/* Line 1806 of yacc.c  */
#line 9634 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("float"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1585:

/* Line 1806 of yacc.c  */
#line 9638 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double precision");
}
    break;

  case 1586:

/* Line 1806 of yacc.c  */
#line 9642 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("decimal"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1587:

/* Line 1806 of yacc.c  */
#line 9646 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("dec"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1588:

/* Line 1806 of yacc.c  */
#line 9650 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("numeric"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1589:

/* Line 1806 of yacc.c  */
#line 9654 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 1590:

/* Line 1806 of yacc.c  */
#line 9662 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1591:

/* Line 1806 of yacc.c  */
#line 9666 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1592:

/* Line 1806 of yacc.c  */
#line 9673 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1593:

/* Line 1806 of yacc.c  */
#line 9677 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1594:

/* Line 1806 of yacc.c  */
#line 9685 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1595:

/* Line 1806 of yacc.c  */
#line 9689 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1596:

/* Line 1806 of yacc.c  */
#line 9697 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("bit"),(yyvsp[(2) - (5)].str),mm_strdup("("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1597:

/* Line 1806 of yacc.c  */
#line 9705 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("bit"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1598:

/* Line 1806 of yacc.c  */
#line 9713 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1599:

/* Line 1806 of yacc.c  */
#line 9717 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1600:

/* Line 1806 of yacc.c  */
#line 9725 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1601:

/* Line 1806 of yacc.c  */
#line 9729 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1602:

/* Line 1806 of yacc.c  */
#line 9737 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1603:

/* Line 1806 of yacc.c  */
#line 9745 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1604:

/* Line 1806 of yacc.c  */
#line 9753 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1605:

/* Line 1806 of yacc.c  */
#line 9757 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("char"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1606:

/* Line 1806 of yacc.c  */
#line 9761 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 1607:

/* Line 1806 of yacc.c  */
#line 9765 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national character"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1608:

/* Line 1806 of yacc.c  */
#line 9769 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("national char"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1609:

/* Line 1806 of yacc.c  */
#line 9773 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("nchar"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1610:

/* Line 1806 of yacc.c  */
#line 9781 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 1611:

/* Line 1806 of yacc.c  */
#line 9785 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1612:

/* Line 1806 of yacc.c  */
#line 9792 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("character set"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1613:

/* Line 1806 of yacc.c  */
#line 9796 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1614:

/* Line 1806 of yacc.c  */
#line 9803 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("timestamp ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1615:

/* Line 1806 of yacc.c  */
#line 9807 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("timestamp"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1616:

/* Line 1806 of yacc.c  */
#line 9811 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("time ("),(yyvsp[(3) - (5)].str),mm_strdup(")"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1617:

/* Line 1806 of yacc.c  */
#line 9815 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("time"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1618:

/* Line 1806 of yacc.c  */
#line 9823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 1619:

/* Line 1806 of yacc.c  */
#line 9831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with time zone");
}
    break;

  case 1620:

/* Line 1806 of yacc.c  */
#line 9835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without time zone");
}
    break;

  case 1621:

/* Line 1806 of yacc.c  */
#line 9839 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1622:

/* Line 1806 of yacc.c  */
#line 9846 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1623:

/* Line 1806 of yacc.c  */
#line 9850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1624:

/* Line 1806 of yacc.c  */
#line 9854 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1625:

/* Line 1806 of yacc.c  */
#line 9858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1626:

/* Line 1806 of yacc.c  */
#line 9862 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1627:

/* Line 1806 of yacc.c  */
#line 9866 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1628:

/* Line 1806 of yacc.c  */
#line 9870 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year to month");
}
    break;

  case 1629:

/* Line 1806 of yacc.c  */
#line 9874 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to hour");
}
    break;

  case 1630:

/* Line 1806 of yacc.c  */
#line 9878 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day to minute");
}
    break;

  case 1631:

/* Line 1806 of yacc.c  */
#line 9882 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("day to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1632:

/* Line 1806 of yacc.c  */
#line 9886 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour to minute");
}
    break;

  case 1633:

/* Line 1806 of yacc.c  */
#line 9890 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("hour to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1634:

/* Line 1806 of yacc.c  */
#line 9894 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("minute to"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1635:

/* Line 1806 of yacc.c  */
#line 9898 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1636:

/* Line 1806 of yacc.c  */
#line 9905 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1637:

/* Line 1806 of yacc.c  */
#line 9909 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("second ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1638:

/* Line 1806 of yacc.c  */
#line 9917 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1639:

/* Line 1806 of yacc.c  */
#line 9921 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1640:

/* Line 1806 of yacc.c  */
#line 9925 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("collate"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1641:

/* Line 1806 of yacc.c  */
#line 9929 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("at time zone"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1642:

/* Line 1806 of yacc.c  */
#line 9933 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1643:

/* Line 1806 of yacc.c  */
#line 9937 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1644:

/* Line 1806 of yacc.c  */
#line 9941 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1645:

/* Line 1806 of yacc.c  */
#line 9945 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1646:

/* Line 1806 of yacc.c  */
#line 9949 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1647:

/* Line 1806 of yacc.c  */
#line 9953 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1648:

/* Line 1806 of yacc.c  */
#line 9957 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1649:

/* Line 1806 of yacc.c  */
#line 9961 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1650:

/* Line 1806 of yacc.c  */
#line 9965 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1651:

/* Line 1806 of yacc.c  */
#line 9969 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1652:

/* Line 1806 of yacc.c  */
#line 9973 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1653:

/* Line 1806 of yacc.c  */
#line 9977 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1654:

/* Line 1806 of yacc.c  */
#line 9981 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1655:

/* Line 1806 of yacc.c  */
#line 9985 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1656:

/* Line 1806 of yacc.c  */
#line 9989 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("and"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1657:

/* Line 1806 of yacc.c  */
#line 9993 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("or"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1658:

/* Line 1806 of yacc.c  */
#line 9997 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("not"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1659:

/* Line 1806 of yacc.c  */
#line 10001 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("like"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1660:

/* Line 1806 of yacc.c  */
#line 10005 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("like"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1661:

/* Line 1806 of yacc.c  */
#line 10009 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not like"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1662:

/* Line 1806 of yacc.c  */
#line 10013 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not like"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1663:

/* Line 1806 of yacc.c  */
#line 10017 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("ilike"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1664:

/* Line 1806 of yacc.c  */
#line 10021 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("ilike"),(yyvsp[(3) - (5)].str),mm_strdup("escape"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1665:

/* Line 1806 of yacc.c  */
#line 10025 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not ilike"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1666:

/* Line 1806 of yacc.c  */
#line 10029 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("not ilike"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1667:

/* Line 1806 of yacc.c  */
#line 10033 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("similar to"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1668:

/* Line 1806 of yacc.c  */
#line 10037 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("similar to"),(yyvsp[(4) - (6)].str),mm_strdup("escape"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1669:

/* Line 1806 of yacc.c  */
#line 10041 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("not similar to"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1670:

/* Line 1806 of yacc.c  */
#line 10045 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not similar to"),(yyvsp[(5) - (7)].str),mm_strdup("escape"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1671:

/* Line 1806 of yacc.c  */
#line 10049 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is null"));
}
    break;

  case 1672:

/* Line 1806 of yacc.c  */
#line 10053 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("isnull"));
}
    break;

  case 1673:

/* Line 1806 of yacc.c  */
#line 10057 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not null"));
}
    break;

  case 1674:

/* Line 1806 of yacc.c  */
#line 10061 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("notnull"));
}
    break;

  case 1675:

/* Line 1806 of yacc.c  */
#line 10065 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("overlaps"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1676:

/* Line 1806 of yacc.c  */
#line 10069 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is true"));
}
    break;

  case 1677:

/* Line 1806 of yacc.c  */
#line 10073 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not true"));
}
    break;

  case 1678:

/* Line 1806 of yacc.c  */
#line 10077 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is false"));
}
    break;

  case 1679:

/* Line 1806 of yacc.c  */
#line 10081 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not false"));
}
    break;

  case 1680:

/* Line 1806 of yacc.c  */
#line 10085 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is unknown"));
}
    break;

  case 1681:

/* Line 1806 of yacc.c  */
#line 10089 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not unknown"));
}
    break;

  case 1682:

/* Line 1806 of yacc.c  */
#line 10093 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1683:

/* Line 1806 of yacc.c  */
#line 10097 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1684:

/* Line 1806 of yacc.c  */
#line 10101 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1685:

/* Line 1806 of yacc.c  */
#line 10105 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1686:

/* Line 1806 of yacc.c  */
#line 10109 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("between"),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1687:

/* Line 1806 of yacc.c  */
#line 10113 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (7)].str),mm_strdup("not between"),(yyvsp[(4) - (7)].str),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1688:

/* Line 1806 of yacc.c  */
#line 10117 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("between symmetric"),(yyvsp[(4) - (6)].str),mm_strdup("and"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1689:

/* Line 1806 of yacc.c  */
#line 10121 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (7)].str),mm_strdup("not between symmetric"),(yyvsp[(5) - (7)].str),mm_strdup("and"),(yyvsp[(7) - (7)].str));
}
    break;

  case 1690:

/* Line 1806 of yacc.c  */
#line 10125 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1691:

/* Line 1806 of yacc.c  */
#line 10129 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (4)].str),mm_strdup("not in"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1692:

/* Line 1806 of yacc.c  */
#line 10133 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1693:

/* Line 1806 of yacc.c  */
#line 10137 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),mm_strdup("("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1694:

/* Line 1806 of yacc.c  */
#line 10141 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("unique"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1695:

/* Line 1806 of yacc.c  */
#line 10146 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1696:

/* Line 1806 of yacc.c  */
#line 10150 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1697:

/* Line 1806 of yacc.c  */
#line 10158 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1698:

/* Line 1806 of yacc.c  */
#line 10162 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("::"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1699:

/* Line 1806 of yacc.c  */
#line 10166 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1700:

/* Line 1806 of yacc.c  */
#line 10170 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1701:

/* Line 1806 of yacc.c  */
#line 10174 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("+"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1702:

/* Line 1806 of yacc.c  */
#line 10178 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("-"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1703:

/* Line 1806 of yacc.c  */
#line 10182 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("*"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1704:

/* Line 1806 of yacc.c  */
#line 10186 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("/"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1705:

/* Line 1806 of yacc.c  */
#line 10190 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("%"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1706:

/* Line 1806 of yacc.c  */
#line 10194 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("^"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1707:

/* Line 1806 of yacc.c  */
#line 10198 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("<"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1708:

/* Line 1806 of yacc.c  */
#line 10202 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(">"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1709:

/* Line 1806 of yacc.c  */
#line 10206 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1710:

/* Line 1806 of yacc.c  */
#line 10210 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1711:

/* Line 1806 of yacc.c  */
#line 10214 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1712:

/* Line 1806 of yacc.c  */
#line 10218 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1713:

/* Line 1806 of yacc.c  */
#line 10222 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (5)].str),mm_strdup("is distinct from"),(yyvsp[(5) - (5)].str));
}
    break;

  case 1714:

/* Line 1806 of yacc.c  */
#line 10226 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (6)].str),mm_strdup("is not distinct from"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1715:

/* Line 1806 of yacc.c  */
#line 10230 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (6)].str),mm_strdup("is of ("),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1716:

/* Line 1806 of yacc.c  */
#line 10234 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (7)].str),mm_strdup("is not of ("),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1717:

/* Line 1806 of yacc.c  */
#line 10238 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("is document"));
}
    break;

  case 1718:

/* Line 1806 of yacc.c  */
#line 10242 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("is not document"));
}
    break;

  case 1719:

/* Line 1806 of yacc.c  */
#line 10250 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1720:

/* Line 1806 of yacc.c  */
#line 10254 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1721:

/* Line 1806 of yacc.c  */
#line 10258 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1722:

/* Line 1806 of yacc.c  */
#line 10262 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("("),(yyvsp[(2) - (4)].str),mm_strdup(")"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1723:

/* Line 1806 of yacc.c  */
#line 10266 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1724:

/* Line 1806 of yacc.c  */
#line 10270 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1725:

/* Line 1806 of yacc.c  */
#line 10274 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1726:

/* Line 1806 of yacc.c  */
#line 10278 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1727:

/* Line 1806 of yacc.c  */
#line 10282 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("exists"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1728:

/* Line 1806 of yacc.c  */
#line 10286 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1729:

/* Line 1806 of yacc.c  */
#line 10290 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("array"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1730:

/* Line 1806 of yacc.c  */
#line 10294 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1731:

/* Line 1806 of yacc.c  */
#line 10302 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (3)].str),mm_strdup("( )"));
}
    break;

  case 1732:

/* Line 1806 of yacc.c  */
#line 10306 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (5)].str),mm_strdup("("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1733:

/* Line 1806 of yacc.c  */
#line 10310 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( variadic"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1734:

/* Line 1806 of yacc.c  */
#line 10314 "preproc.y"
    { 
 (yyval.str) = cat_str(7,(yyvsp[(1) - (8)].str),mm_strdup("("),(yyvsp[(3) - (8)].str),mm_strdup(", variadic"),(yyvsp[(6) - (8)].str),(yyvsp[(7) - (8)].str),mm_strdup(")"));
}
    break;

  case 1735:

/* Line 1806 of yacc.c  */
#line 10318 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( all"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1736:

/* Line 1806 of yacc.c  */
#line 10322 "preproc.y"
    { 
 (yyval.str) = cat_str(5,(yyvsp[(1) - (6)].str),mm_strdup("( distinct"),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1737:

/* Line 1806 of yacc.c  */
#line 10326 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (4)].str),mm_strdup("( * )"));
}
    break;

  case 1738:

/* Line 1806 of yacc.c  */
#line 10334 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1739:

/* Line 1806 of yacc.c  */
#line 10338 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1740:

/* Line 1806 of yacc.c  */
#line 10346 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1741:

/* Line 1806 of yacc.c  */
#line 10350 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1742:

/* Line 1806 of yacc.c  */
#line 10358 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("collation for ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1743:

/* Line 1806 of yacc.c  */
#line 10362 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 1744:

/* Line 1806 of yacc.c  */
#line 10366 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 1745:

/* Line 1806 of yacc.c  */
#line 10370 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_time ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1746:

/* Line 1806 of yacc.c  */
#line 10374 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 1747:

/* Line 1806 of yacc.c  */
#line 10378 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("current_timestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1748:

/* Line 1806 of yacc.c  */
#line 10382 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 1749:

/* Line 1806 of yacc.c  */
#line 10386 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtime ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1750:

/* Line 1806 of yacc.c  */
#line 10390 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 1751:

/* Line 1806 of yacc.c  */
#line 10394 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("localtimestamp ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1752:

/* Line 1806 of yacc.c  */
#line 10398 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 1753:

/* Line 1806 of yacc.c  */
#line 10402 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 1754:

/* Line 1806 of yacc.c  */
#line 10406 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 1755:

/* Line 1806 of yacc.c  */
#line 10410 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 1756:

/* Line 1806 of yacc.c  */
#line 10414 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 1757:

/* Line 1806 of yacc.c  */
#line 10418 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 1758:

/* Line 1806 of yacc.c  */
#line 10422 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("cast ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1759:

/* Line 1806 of yacc.c  */
#line 10426 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("extract ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1760:

/* Line 1806 of yacc.c  */
#line 10430 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("overlay ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1761:

/* Line 1806 of yacc.c  */
#line 10434 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("position ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1762:

/* Line 1806 of yacc.c  */
#line 10438 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("substring ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1763:

/* Line 1806 of yacc.c  */
#line 10442 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("treat ("),(yyvsp[(3) - (6)].str),mm_strdup("as"),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1764:

/* Line 1806 of yacc.c  */
#line 10446 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( both"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1765:

/* Line 1806 of yacc.c  */
#line 10450 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( leading"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1766:

/* Line 1806 of yacc.c  */
#line 10454 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ( trailing"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1767:

/* Line 1806 of yacc.c  */
#line 10458 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("trim ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1768:

/* Line 1806 of yacc.c  */
#line 10462 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("nullif ("),(yyvsp[(3) - (6)].str),mm_strdup(","),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1769:

/* Line 1806 of yacc.c  */
#line 10466 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("coalesce ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1770:

/* Line 1806 of yacc.c  */
#line 10470 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("greatest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1771:

/* Line 1806 of yacc.c  */
#line 10474 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("least ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1772:

/* Line 1806 of yacc.c  */
#line 10478 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlconcat ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1773:

/* Line 1806 of yacc.c  */
#line 10482 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1774:

/* Line 1806 of yacc.c  */
#line 10486 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1775:

/* Line 1806 of yacc.c  */
#line 10490 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1776:

/* Line 1806 of yacc.c  */
#line 10494 "preproc.y"
    { 
 (yyval.str) = cat_str(7,mm_strdup("xmlelement ( name"),(yyvsp[(4) - (9)].str),mm_strdup(","),(yyvsp[(6) - (9)].str),mm_strdup(","),(yyvsp[(8) - (9)].str),mm_strdup(")"));
}
    break;

  case 1777:

/* Line 1806 of yacc.c  */
#line 10498 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("xmlexists ("),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1778:

/* Line 1806 of yacc.c  */
#line 10502 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlforest ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1779:

/* Line 1806 of yacc.c  */
#line 10506 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlparse ("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1780:

/* Line 1806 of yacc.c  */
#line 10510 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1781:

/* Line 1806 of yacc.c  */
#line 10514 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("xmlpi ( name"),(yyvsp[(4) - (7)].str),mm_strdup(","),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1782:

/* Line 1806 of yacc.c  */
#line 10518 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlroot ("),(yyvsp[(3) - (7)].str),mm_strdup(","),(yyvsp[(5) - (7)].str),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1783:

/* Line 1806 of yacc.c  */
#line 10522 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("xmlserialize ("),(yyvsp[(3) - (7)].str),(yyvsp[(4) - (7)].str),mm_strdup("as"),(yyvsp[(6) - (7)].str),mm_strdup(")"));
}
    break;

  case 1784:

/* Line 1806 of yacc.c  */
#line 10530 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("version"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1785:

/* Line 1806 of yacc.c  */
#line 10534 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version no value");
}
    break;

  case 1786:

/* Line 1806 of yacc.c  */
#line 10542 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone yes");
}
    break;

  case 1787:

/* Line 1806 of yacc.c  */
#line 10546 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no");
}
    break;

  case 1788:

/* Line 1806 of yacc.c  */
#line 10550 "preproc.y"
    { 
 (yyval.str) = mm_strdup(", standalone no value");
}
    break;

  case 1789:

/* Line 1806 of yacc.c  */
#line 10554 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1790:

/* Line 1806 of yacc.c  */
#line 10561 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("xmlattributes ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1791:

/* Line 1806 of yacc.c  */
#line 10569 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1792:

/* Line 1806 of yacc.c  */
#line 10573 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1793:

/* Line 1806 of yacc.c  */
#line 10581 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1794:

/* Line 1806 of yacc.c  */
#line 10585 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1795:

/* Line 1806 of yacc.c  */
#line 10593 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 1796:

/* Line 1806 of yacc.c  */
#line 10597 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 1797:

/* Line 1806 of yacc.c  */
#line 10605 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve whitespace");
}
    break;

  case 1798:

/* Line 1806 of yacc.c  */
#line 10609 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip whitespace");
}
    break;

  case 1799:

/* Line 1806 of yacc.c  */
#line 10613 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1800:

/* Line 1806 of yacc.c  */
#line 10620 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1801:

/* Line 1806 of yacc.c  */
#line 10624 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing"),(yyvsp[(2) - (4)].str),mm_strdup("by ref"));
}
    break;

  case 1802:

/* Line 1806 of yacc.c  */
#line 10628 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("passing by ref"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1803:

/* Line 1806 of yacc.c  */
#line 10632 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("passing by ref"),(yyvsp[(4) - (6)].str),mm_strdup("by ref"));
}
    break;

  case 1804:

/* Line 1806 of yacc.c  */
#line 10640 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("within group ("),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1805:

/* Line 1806 of yacc.c  */
#line 10644 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1806:

/* Line 1806 of yacc.c  */
#line 10651 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("filter ( where"),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1807:

/* Line 1806 of yacc.c  */
#line 10655 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1808:

/* Line 1806 of yacc.c  */
#line 10662 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("window"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1809:

/* Line 1806 of yacc.c  */
#line 10666 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1810:

/* Line 1806 of yacc.c  */
#line 10673 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1811:

/* Line 1806 of yacc.c  */
#line 10677 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1812:

/* Line 1806 of yacc.c  */
#line 10685 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1813:

/* Line 1806 of yacc.c  */
#line 10693 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1814:

/* Line 1806 of yacc.c  */
#line 10697 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("over"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1815:

/* Line 1806 of yacc.c  */
#line 10701 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1816:

/* Line 1806 of yacc.c  */
#line 10708 "preproc.y"
    { 
 (yyval.str) = cat_str(6,mm_strdup("("),(yyvsp[(2) - (6)].str),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),(yyvsp[(5) - (6)].str),mm_strdup(")"));
}
    break;

  case 1817:

/* Line 1806 of yacc.c  */
#line 10716 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1818:

/* Line 1806 of yacc.c  */
#line 10720 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1819:

/* Line 1806 of yacc.c  */
#line 10727 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("partition by"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1820:

/* Line 1806 of yacc.c  */
#line 10731 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1821:

/* Line 1806 of yacc.c  */
#line 10738 "preproc.y"
    { 
mmerror(PARSE_ERROR, ET_WARNING, "unsupported feature will be passed to server");
 (yyval.str) = cat_str(2,mm_strdup("range"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1822:

/* Line 1806 of yacc.c  */
#line 10743 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("rows"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1823:

/* Line 1806 of yacc.c  */
#line 10747 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1824:

/* Line 1806 of yacc.c  */
#line 10754 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1825:

/* Line 1806 of yacc.c  */
#line 10758 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("between"),(yyvsp[(2) - (4)].str),mm_strdup("and"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1826:

/* Line 1806 of yacc.c  */
#line 10766 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded preceding");
}
    break;

  case 1827:

/* Line 1806 of yacc.c  */
#line 10770 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded following");
}
    break;

  case 1828:

/* Line 1806 of yacc.c  */
#line 10774 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current row");
}
    break;

  case 1829:

/* Line 1806 of yacc.c  */
#line 10778 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("preceding"));
}
    break;

  case 1830:

/* Line 1806 of yacc.c  */
#line 10782 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),mm_strdup("following"));
}
    break;

  case 1831:

/* Line 1806 of yacc.c  */
#line 10790 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("row ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1832:

/* Line 1806 of yacc.c  */
#line 10794 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row ( )");
}
    break;

  case 1833:

/* Line 1806 of yacc.c  */
#line 10798 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("("),(yyvsp[(2) - (5)].str),mm_strdup(","),(yyvsp[(4) - (5)].str),mm_strdup(")"));
}
    break;

  case 1834:

/* Line 1806 of yacc.c  */
#line 10806 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 1835:

/* Line 1806 of yacc.c  */
#line 10810 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 1836:

/* Line 1806 of yacc.c  */
#line 10814 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 1837:

/* Line 1806 of yacc.c  */
#line 10822 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1838:

/* Line 1806 of yacc.c  */
#line 10826 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1839:

/* Line 1806 of yacc.c  */
#line 10834 "preproc.y"
    { 
 (yyval.str) = mm_strdup("+");
}
    break;

  case 1840:

/* Line 1806 of yacc.c  */
#line 10838 "preproc.y"
    { 
 (yyval.str) = mm_strdup("-");
}
    break;

  case 1841:

/* Line 1806 of yacc.c  */
#line 10842 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1842:

/* Line 1806 of yacc.c  */
#line 10846 "preproc.y"
    { 
 (yyval.str) = mm_strdup("/");
}
    break;

  case 1843:

/* Line 1806 of yacc.c  */
#line 10850 "preproc.y"
    { 
 (yyval.str) = mm_strdup("%");
}
    break;

  case 1844:

/* Line 1806 of yacc.c  */
#line 10854 "preproc.y"
    { 
 (yyval.str) = mm_strdup("^");
}
    break;

  case 1845:

/* Line 1806 of yacc.c  */
#line 10858 "preproc.y"
    { 
 (yyval.str) = mm_strdup("<");
}
    break;

  case 1846:

/* Line 1806 of yacc.c  */
#line 10862 "preproc.y"
    { 
 (yyval.str) = mm_strdup(">");
}
    break;

  case 1847:

/* Line 1806 of yacc.c  */
#line 10866 "preproc.y"
    { 
 (yyval.str) = mm_strdup("=");
}
    break;

  case 1848:

/* Line 1806 of yacc.c  */
#line 10874 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1849:

/* Line 1806 of yacc.c  */
#line 10878 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1850:

/* Line 1806 of yacc.c  */
#line 10886 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1851:

/* Line 1806 of yacc.c  */
#line 10890 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1852:

/* Line 1806 of yacc.c  */
#line 10898 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1853:

/* Line 1806 of yacc.c  */
#line 10902 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("operator ("),(yyvsp[(3) - (4)].str),mm_strdup(")"));
}
    break;

  case 1854:

/* Line 1806 of yacc.c  */
#line 10906 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 1855:

/* Line 1806 of yacc.c  */
#line 10910 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not like");
}
    break;

  case 1856:

/* Line 1806 of yacc.c  */
#line 10914 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 1857:

/* Line 1806 of yacc.c  */
#line 10918 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not ilike");
}
    break;

  case 1858:

/* Line 1806 of yacc.c  */
#line 10926 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1859:

/* Line 1806 of yacc.c  */
#line 10930 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1860:

/* Line 1806 of yacc.c  */
#line 10938 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1861:

/* Line 1806 of yacc.c  */
#line 10942 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1862:

/* Line 1806 of yacc.c  */
#line 10950 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1863:

/* Line 1806 of yacc.c  */
#line 10954 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(":="),(yyvsp[(3) - (3)].str));
}
    break;

  case 1864:

/* Line 1806 of yacc.c  */
#line 10962 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1865:

/* Line 1806 of yacc.c  */
#line 10966 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1866:

/* Line 1806 of yacc.c  */
#line 10974 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1867:

/* Line 1806 of yacc.c  */
#line 10978 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1868:

/* Line 1806 of yacc.c  */
#line 10982 "preproc.y"
    { 
 (yyval.str) = mm_strdup("[ ]");
}
    break;

  case 1869:

/* Line 1806 of yacc.c  */
#line 10990 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1870:

/* Line 1806 of yacc.c  */
#line 10994 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1871:

/* Line 1806 of yacc.c  */
#line 11002 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1872:

/* Line 1806 of yacc.c  */
#line 11006 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1873:

/* Line 1806 of yacc.c  */
#line 11013 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1874:

/* Line 1806 of yacc.c  */
#line 11017 "preproc.y"
    { 
 (yyval.str) = mm_strdup("year");
}
    break;

  case 1875:

/* Line 1806 of yacc.c  */
#line 11021 "preproc.y"
    { 
 (yyval.str) = mm_strdup("month");
}
    break;

  case 1876:

/* Line 1806 of yacc.c  */
#line 11025 "preproc.y"
    { 
 (yyval.str) = mm_strdup("day");
}
    break;

  case 1877:

/* Line 1806 of yacc.c  */
#line 11029 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hour");
}
    break;

  case 1878:

/* Line 1806 of yacc.c  */
#line 11033 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minute");
}
    break;

  case 1879:

/* Line 1806 of yacc.c  */
#line 11037 "preproc.y"
    { 
 (yyval.str) = mm_strdup("second");
}
    break;

  case 1880:

/* Line 1806 of yacc.c  */
#line 11041 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1881:

/* Line 1806 of yacc.c  */
#line 11049 "preproc.y"
    { 
 (yyval.str) = cat_str(4,(yyvsp[(1) - (4)].str),(yyvsp[(2) - (4)].str),(yyvsp[(3) - (4)].str),(yyvsp[(4) - (4)].str));
}
    break;

  case 1882:

/* Line 1806 of yacc.c  */
#line 11053 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1883:

/* Line 1806 of yacc.c  */
#line 11061 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("placing"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1884:

/* Line 1806 of yacc.c  */
#line 11069 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("in"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1885:

/* Line 1806 of yacc.c  */
#line 11073 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1886:

/* Line 1806 of yacc.c  */
#line 11080 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1887:

/* Line 1806 of yacc.c  */
#line 11084 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1888:

/* Line 1806 of yacc.c  */
#line 11088 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1889:

/* Line 1806 of yacc.c  */
#line 11092 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1890:

/* Line 1806 of yacc.c  */
#line 11096 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1891:

/* Line 1806 of yacc.c  */
#line 11100 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1892:

/* Line 1806 of yacc.c  */
#line 11107 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1893:

/* Line 1806 of yacc.c  */
#line 11115 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("for"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1894:

/* Line 1806 of yacc.c  */
#line 11123 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("from"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1895:

/* Line 1806 of yacc.c  */
#line 11127 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("from"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1896:

/* Line 1806 of yacc.c  */
#line 11131 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1897:

/* Line 1806 of yacc.c  */
#line 11139 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1898:

/* Line 1806 of yacc.c  */
#line 11143 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1899:

/* Line 1806 of yacc.c  */
#line 11151 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("case"),(yyvsp[(2) - (5)].str),(yyvsp[(3) - (5)].str),(yyvsp[(4) - (5)].str),mm_strdup("end"));
}
    break;

  case 1900:

/* Line 1806 of yacc.c  */
#line 11159 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1901:

/* Line 1806 of yacc.c  */
#line 11163 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1902:

/* Line 1806 of yacc.c  */
#line 11171 "preproc.y"
    { 
 (yyval.str) = cat_str(4,mm_strdup("when"),(yyvsp[(2) - (4)].str),mm_strdup("then"),(yyvsp[(4) - (4)].str));
}
    break;

  case 1903:

/* Line 1806 of yacc.c  */
#line 11179 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("else"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1904:

/* Line 1806 of yacc.c  */
#line 11183 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1905:

/* Line 1806 of yacc.c  */
#line 11190 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1906:

/* Line 1806 of yacc.c  */
#line 11194 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1907:

/* Line 1806 of yacc.c  */
#line 11201 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1908:

/* Line 1806 of yacc.c  */
#line 11205 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1909:

/* Line 1806 of yacc.c  */
#line 11213 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("."),(yyvsp[(2) - (2)].str));
}
    break;

  case 1910:

/* Line 1806 of yacc.c  */
#line 11217 "preproc.y"
    { 
 (yyval.str) = mm_strdup(". *");
}
    break;

  case 1911:

/* Line 1806 of yacc.c  */
#line 11221 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("["),(yyvsp[(2) - (3)].str),mm_strdup("]"));
}
    break;

  case 1912:

/* Line 1806 of yacc.c  */
#line 11225 "preproc.y"
    { 
 (yyval.str) = cat_str(5,mm_strdup("["),(yyvsp[(2) - (5)].str),mm_strdup(":"),(yyvsp[(4) - (5)].str),mm_strdup("]"));
}
    break;

  case 1913:

/* Line 1806 of yacc.c  */
#line 11233 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1914:

/* Line 1806 of yacc.c  */
#line 11237 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1915:

/* Line 1806 of yacc.c  */
#line 11245 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1916:

/* Line 1806 of yacc.c  */
#line 11248 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1917:

/* Line 1806 of yacc.c  */
#line 11256 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 1918:

/* Line 1806 of yacc.c  */
#line 11260 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1919:

/* Line 1806 of yacc.c  */
#line 11267 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1920:

/* Line 1806 of yacc.c  */
#line 11271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 1921:

/* Line 1806 of yacc.c  */
#line 11279 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1922:

/* Line 1806 of yacc.c  */
#line 11283 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1923:

/* Line 1806 of yacc.c  */
#line 11291 "preproc.y"
    { 
 (yyval.str) = cat_str(3,mm_strdup("("),(yyvsp[(2) - (3)].str),mm_strdup(")"));
}
    break;

  case 1924:

/* Line 1806 of yacc.c  */
#line 11299 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1925:

/* Line 1806 of yacc.c  */
#line 11303 "preproc.y"
    { 
 (yyval.str)=EMPTY; }
    break;

  case 1926:

/* Line 1806 of yacc.c  */
#line 11310 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1927:

/* Line 1806 of yacc.c  */
#line 11314 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1928:

/* Line 1806 of yacc.c  */
#line 11322 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup("as"),(yyvsp[(3) - (3)].str));
}
    break;

  case 1929:

/* Line 1806 of yacc.c  */
#line 11326 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1930:

/* Line 1806 of yacc.c  */
#line 11330 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1931:

/* Line 1806 of yacc.c  */
#line 11334 "preproc.y"
    { 
 (yyval.str) = mm_strdup("*");
}
    break;

  case 1932:

/* Line 1806 of yacc.c  */
#line 11342 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1933:

/* Line 1806 of yacc.c  */
#line 11346 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1934:

/* Line 1806 of yacc.c  */
#line 11354 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1935:

/* Line 1806 of yacc.c  */
#line 11358 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1936:

/* Line 1806 of yacc.c  */
#line 11366 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1937:

/* Line 1806 of yacc.c  */
#line 11370 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1938:

/* Line 1806 of yacc.c  */
#line 11378 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1939:

/* Line 1806 of yacc.c  */
#line 11386 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1940:

/* Line 1806 of yacc.c  */
#line 11394 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1941:

/* Line 1806 of yacc.c  */
#line 11402 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1942:

/* Line 1806 of yacc.c  */
#line 11410 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1943:

/* Line 1806 of yacc.c  */
#line 11418 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1944:

/* Line 1806 of yacc.c  */
#line 11426 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1945:

/* Line 1806 of yacc.c  */
#line 11430 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1946:

/* Line 1806 of yacc.c  */
#line 11438 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1947:

/* Line 1806 of yacc.c  */
#line 11442 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1948:

/* Line 1806 of yacc.c  */
#line 11446 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1949:

/* Line 1806 of yacc.c  */
#line 11450 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1950:

/* Line 1806 of yacc.c  */
#line 11454 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xconst");
}
    break;

  case 1951:

/* Line 1806 of yacc.c  */
#line 11458 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1952:

/* Line 1806 of yacc.c  */
#line 11462 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),(yyvsp[(4) - (6)].str),mm_strdup(")"),(yyvsp[(6) - (6)].str));
}
    break;

  case 1953:

/* Line 1806 of yacc.c  */
#line 11466 "preproc.y"
    { 
 (yyval.str) = cat_str(2,(yyvsp[(1) - (2)].str),(yyvsp[(2) - (2)].str));
}
    break;

  case 1954:

/* Line 1806 of yacc.c  */
#line 11470 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),(yyvsp[(2) - (3)].str),(yyvsp[(3) - (3)].str));
}
    break;

  case 1955:

/* Line 1806 of yacc.c  */
#line 11474 "preproc.y"
    { 
 (yyval.str) = cat_str(6,(yyvsp[(1) - (6)].str),mm_strdup("("),(yyvsp[(3) - (6)].str),mm_strdup(")"),(yyvsp[(5) - (6)].str),(yyvsp[(6) - (6)].str));
}
    break;

  case 1956:

/* Line 1806 of yacc.c  */
#line 11478 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 1957:

/* Line 1806 of yacc.c  */
#line 11482 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 1958:

/* Line 1806 of yacc.c  */
#line 11486 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 1959:

/* Line 1806 of yacc.c  */
#line 11489 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1960:

/* Line 1806 of yacc.c  */
#line 11490 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1961:

/* Line 1806 of yacc.c  */
#line 11496 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 1962:

/* Line 1806 of yacc.c  */
#line 11502 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1963:

/* Line 1806 of yacc.c  */
#line 11510 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1964:

/* Line 1806 of yacc.c  */
#line 11514 "preproc.y"
    { 
 (yyval.str) = cat_str(3,(yyvsp[(1) - (3)].str),mm_strdup(","),(yyvsp[(3) - (3)].str));
}
    break;

  case 1965:

/* Line 1806 of yacc.c  */
#line 11522 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1966:

/* Line 1806 of yacc.c  */
#line 11525 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 1967:

/* Line 1806 of yacc.c  */
#line 11527 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("+"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1968:

/* Line 1806 of yacc.c  */
#line 11531 "preproc.y"
    { 
 (yyval.str) = cat_str(2,mm_strdup("-"),(yyvsp[(2) - (2)].str));
}
    break;

  case 1969:

/* Line 1806 of yacc.c  */
#line 11539 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1970:

/* Line 1806 of yacc.c  */
#line 11543 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1971:

/* Line 1806 of yacc.c  */
#line 11547 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1972:

/* Line 1806 of yacc.c  */
#line 11551 "preproc.y"
    { 
 (yyval.str) = (yyvsp[(1) - (1)].str);
}
    break;

  case 1973:

/* Line 1806 of yacc.c  */
#line 11559 "preproc.y"
    { 
 (yyval.str) = mm_strdup("abort");
}
    break;

  case 1974:

/* Line 1806 of yacc.c  */
#line 11563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("absolute");
}
    break;

  case 1975:

/* Line 1806 of yacc.c  */
#line 11567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("access");
}
    break;

  case 1976:

/* Line 1806 of yacc.c  */
#line 11571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("action");
}
    break;

  case 1977:

/* Line 1806 of yacc.c  */
#line 11575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("add");
}
    break;

  case 1978:

/* Line 1806 of yacc.c  */
#line 11579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("admin");
}
    break;

  case 1979:

/* Line 1806 of yacc.c  */
#line 11583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("after");
}
    break;

  case 1980:

/* Line 1806 of yacc.c  */
#line 11587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("aggregate");
}
    break;

  case 1981:

/* Line 1806 of yacc.c  */
#line 11591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("also");
}
    break;

  case 1982:

/* Line 1806 of yacc.c  */
#line 11595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("alter");
}
    break;

  case 1983:

/* Line 1806 of yacc.c  */
#line 11599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("always");
}
    break;

  case 1984:

/* Line 1806 of yacc.c  */
#line 11603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assertion");
}
    break;

  case 1985:

/* Line 1806 of yacc.c  */
#line 11607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("assignment");
}
    break;

  case 1986:

/* Line 1806 of yacc.c  */
#line 11611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("at");
}
    break;

  case 1987:

/* Line 1806 of yacc.c  */
#line 11615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("attribute");
}
    break;

  case 1988:

/* Line 1806 of yacc.c  */
#line 11619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("backward");
}
    break;

  case 1989:

/* Line 1806 of yacc.c  */
#line 11623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("before");
}
    break;

  case 1990:

/* Line 1806 of yacc.c  */
#line 11627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("begin");
}
    break;

  case 1991:

/* Line 1806 of yacc.c  */
#line 11631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("by");
}
    break;

  case 1992:

/* Line 1806 of yacc.c  */
#line 11635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cache");
}
    break;

  case 1993:

/* Line 1806 of yacc.c  */
#line 11639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("called");
}
    break;

  case 1994:

/* Line 1806 of yacc.c  */
#line 11643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascade");
}
    break;

  case 1995:

/* Line 1806 of yacc.c  */
#line 11647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cascaded");
}
    break;

  case 1996:

/* Line 1806 of yacc.c  */
#line 11651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("catalog");
}
    break;

  case 1997:

/* Line 1806 of yacc.c  */
#line 11655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("chain");
}
    break;

  case 1998:

/* Line 1806 of yacc.c  */
#line 11659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("characteristics");
}
    break;

  case 1999:

/* Line 1806 of yacc.c  */
#line 11663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("checkpoint");
}
    break;

  case 2000:

/* Line 1806 of yacc.c  */
#line 11667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("class");
}
    break;

  case 2001:

/* Line 1806 of yacc.c  */
#line 11671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("close");
}
    break;

  case 2002:

/* Line 1806 of yacc.c  */
#line 11675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cluster");
}
    break;

  case 2003:

/* Line 1806 of yacc.c  */
#line 11679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comment");
}
    break;

  case 2004:

/* Line 1806 of yacc.c  */
#line 11683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("comments");
}
    break;

  case 2005:

/* Line 1806 of yacc.c  */
#line 11687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("commit");
}
    break;

  case 2006:

/* Line 1806 of yacc.c  */
#line 11691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("committed");
}
    break;

  case 2007:

/* Line 1806 of yacc.c  */
#line 11695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("configuration");
}
    break;

  case 2008:

/* Line 1806 of yacc.c  */
#line 11699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraints");
}
    break;

  case 2009:

/* Line 1806 of yacc.c  */
#line 11703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("content");
}
    break;

  case 2010:

/* Line 1806 of yacc.c  */
#line 11707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("continue");
}
    break;

  case 2011:

/* Line 1806 of yacc.c  */
#line 11711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("conversion");
}
    break;

  case 2012:

/* Line 1806 of yacc.c  */
#line 11715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("copy");
}
    break;

  case 2013:

/* Line 1806 of yacc.c  */
#line 11719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cost");
}
    break;

  case 2014:

/* Line 1806 of yacc.c  */
#line 11723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("csv");
}
    break;

  case 2015:

/* Line 1806 of yacc.c  */
#line 11727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cursor");
}
    break;

  case 2016:

/* Line 1806 of yacc.c  */
#line 11731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cycle");
}
    break;

  case 2017:

/* Line 1806 of yacc.c  */
#line 11735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("data");
}
    break;

  case 2018:

/* Line 1806 of yacc.c  */
#line 11739 "preproc.y"
    { 
 (yyval.str) = mm_strdup("database");
}
    break;

  case 2019:

/* Line 1806 of yacc.c  */
#line 11743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deallocate");
}
    break;

  case 2020:

/* Line 1806 of yacc.c  */
#line 11747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("declare");
}
    break;

  case 2021:

/* Line 1806 of yacc.c  */
#line 11751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("defaults");
}
    break;

  case 2022:

/* Line 1806 of yacc.c  */
#line 11755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferred");
}
    break;

  case 2023:

/* Line 1806 of yacc.c  */
#line 11759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("definer");
}
    break;

  case 2024:

/* Line 1806 of yacc.c  */
#line 11763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delete");
}
    break;

  case 2025:

/* Line 1806 of yacc.c  */
#line 11767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiter");
}
    break;

  case 2026:

/* Line 1806 of yacc.c  */
#line 11771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("delimiters");
}
    break;

  case 2027:

/* Line 1806 of yacc.c  */
#line 11775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dictionary");
}
    break;

  case 2028:

/* Line 1806 of yacc.c  */
#line 11779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("disable");
}
    break;

  case 2029:

/* Line 1806 of yacc.c  */
#line 11783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("discard");
}
    break;

  case 2030:

/* Line 1806 of yacc.c  */
#line 11787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("document");
}
    break;

  case 2031:

/* Line 1806 of yacc.c  */
#line 11791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("domain");
}
    break;

  case 2032:

/* Line 1806 of yacc.c  */
#line 11795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("double");
}
    break;

  case 2033:

/* Line 1806 of yacc.c  */
#line 11799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("drop");
}
    break;

  case 2034:

/* Line 1806 of yacc.c  */
#line 11803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("each");
}
    break;

  case 2035:

/* Line 1806 of yacc.c  */
#line 11807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enable");
}
    break;

  case 2036:

/* Line 1806 of yacc.c  */
#line 11811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encoding");
}
    break;

  case 2037:

/* Line 1806 of yacc.c  */
#line 11815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("encrypted");
}
    break;

  case 2038:

/* Line 1806 of yacc.c  */
#line 11819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("enum");
}
    break;

  case 2039:

/* Line 1806 of yacc.c  */
#line 11823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("escape");
}
    break;

  case 2040:

/* Line 1806 of yacc.c  */
#line 11827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("event");
}
    break;

  case 2041:

/* Line 1806 of yacc.c  */
#line 11831 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclude");
}
    break;

  case 2042:

/* Line 1806 of yacc.c  */
#line 11835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("excluding");
}
    break;

  case 2043:

/* Line 1806 of yacc.c  */
#line 11839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exclusive");
}
    break;

  case 2044:

/* Line 1806 of yacc.c  */
#line 11843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("execute");
}
    break;

  case 2045:

/* Line 1806 of yacc.c  */
#line 11847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("explain");
}
    break;

  case 2046:

/* Line 1806 of yacc.c  */
#line 11851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extension");
}
    break;

  case 2047:

/* Line 1806 of yacc.c  */
#line 11855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("external");
}
    break;

  case 2048:

/* Line 1806 of yacc.c  */
#line 11859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("family");
}
    break;

  case 2049:

/* Line 1806 of yacc.c  */
#line 11863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("filter");
}
    break;

  case 2050:

/* Line 1806 of yacc.c  */
#line 11867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("first");
}
    break;

  case 2051:

/* Line 1806 of yacc.c  */
#line 11871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("following");
}
    break;

  case 2052:

/* Line 1806 of yacc.c  */
#line 11875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("force");
}
    break;

  case 2053:

/* Line 1806 of yacc.c  */
#line 11879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("forward");
}
    break;

  case 2054:

/* Line 1806 of yacc.c  */
#line 11883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("function");
}
    break;

  case 2055:

/* Line 1806 of yacc.c  */
#line 11887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("functions");
}
    break;

  case 2056:

/* Line 1806 of yacc.c  */
#line 11891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("global");
}
    break;

  case 2057:

/* Line 1806 of yacc.c  */
#line 11895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("granted");
}
    break;

  case 2058:

/* Line 1806 of yacc.c  */
#line 11899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("handler");
}
    break;

  case 2059:

/* Line 1806 of yacc.c  */
#line 11903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("header");
}
    break;

  case 2060:

/* Line 1806 of yacc.c  */
#line 11907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("hold");
}
    break;

  case 2061:

/* Line 1806 of yacc.c  */
#line 11911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("identity");
}
    break;

  case 2062:

/* Line 1806 of yacc.c  */
#line 11915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("if");
}
    break;

  case 2063:

/* Line 1806 of yacc.c  */
#line 11919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immediate");
}
    break;

  case 2064:

/* Line 1806 of yacc.c  */
#line 11923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("immutable");
}
    break;

  case 2065:

/* Line 1806 of yacc.c  */
#line 11927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("implicit");
}
    break;

  case 2066:

/* Line 1806 of yacc.c  */
#line 11931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("including");
}
    break;

  case 2067:

/* Line 1806 of yacc.c  */
#line 11935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("increment");
}
    break;

  case 2068:

/* Line 1806 of yacc.c  */
#line 11939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("index");
}
    break;

  case 2069:

/* Line 1806 of yacc.c  */
#line 11943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("indexes");
}
    break;

  case 2070:

/* Line 1806 of yacc.c  */
#line 11947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherit");
}
    break;

  case 2071:

/* Line 1806 of yacc.c  */
#line 11951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inherits");
}
    break;

  case 2072:

/* Line 1806 of yacc.c  */
#line 11955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inline");
}
    break;

  case 2073:

/* Line 1806 of yacc.c  */
#line 11959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insensitive");
}
    break;

  case 2074:

/* Line 1806 of yacc.c  */
#line 11963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("insert");
}
    break;

  case 2075:

/* Line 1806 of yacc.c  */
#line 11967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("instead");
}
    break;

  case 2076:

/* Line 1806 of yacc.c  */
#line 11971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("invoker");
}
    break;

  case 2077:

/* Line 1806 of yacc.c  */
#line 11975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isolation");
}
    break;

  case 2078:

/* Line 1806 of yacc.c  */
#line 11979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("key");
}
    break;

  case 2079:

/* Line 1806 of yacc.c  */
#line 11983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("label");
}
    break;

  case 2080:

/* Line 1806 of yacc.c  */
#line 11987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("language");
}
    break;

  case 2081:

/* Line 1806 of yacc.c  */
#line 11991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("large");
}
    break;

  case 2082:

/* Line 1806 of yacc.c  */
#line 11995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("last");
}
    break;

  case 2083:

/* Line 1806 of yacc.c  */
#line 11999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_collate");
}
    break;

  case 2084:

/* Line 1806 of yacc.c  */
#line 12003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lc_ctype");
}
    break;

  case 2085:

/* Line 1806 of yacc.c  */
#line 12007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leakproof");
}
    break;

  case 2086:

/* Line 1806 of yacc.c  */
#line 12011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("level");
}
    break;

  case 2087:

/* Line 1806 of yacc.c  */
#line 12015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("listen");
}
    break;

  case 2088:

/* Line 1806 of yacc.c  */
#line 12019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("load");
}
    break;

  case 2089:

/* Line 1806 of yacc.c  */
#line 12023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("local");
}
    break;

  case 2090:

/* Line 1806 of yacc.c  */
#line 12027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("location");
}
    break;

  case 2091:

/* Line 1806 of yacc.c  */
#line 12031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lock");
}
    break;

  case 2092:

/* Line 1806 of yacc.c  */
#line 12035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mapping");
}
    break;

  case 2093:

/* Line 1806 of yacc.c  */
#line 12039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("match");
}
    break;

  case 2094:

/* Line 1806 of yacc.c  */
#line 12043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("materialized");
}
    break;

  case 2095:

/* Line 1806 of yacc.c  */
#line 12047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("maxvalue");
}
    break;

  case 2096:

/* Line 1806 of yacc.c  */
#line 12051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("minvalue");
}
    break;

  case 2097:

/* Line 1806 of yacc.c  */
#line 12055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("mode");
}
    break;

  case 2098:

/* Line 1806 of yacc.c  */
#line 12059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("move");
}
    break;

  case 2099:

/* Line 1806 of yacc.c  */
#line 12063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("name");
}
    break;

  case 2100:

/* Line 1806 of yacc.c  */
#line 12067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("names");
}
    break;

  case 2101:

/* Line 1806 of yacc.c  */
#line 12071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("next");
}
    break;

  case 2102:

/* Line 1806 of yacc.c  */
#line 12075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("no");
}
    break;

  case 2103:

/* Line 1806 of yacc.c  */
#line 12079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nothing");
}
    break;

  case 2104:

/* Line 1806 of yacc.c  */
#line 12083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notify");
}
    break;

  case 2105:

/* Line 1806 of yacc.c  */
#line 12087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nowait");
}
    break;

  case 2106:

/* Line 1806 of yacc.c  */
#line 12091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nulls");
}
    break;

  case 2107:

/* Line 1806 of yacc.c  */
#line 12095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("object");
}
    break;

  case 2108:

/* Line 1806 of yacc.c  */
#line 12099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("of");
}
    break;

  case 2109:

/* Line 1806 of yacc.c  */
#line 12103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("off");
}
    break;

  case 2110:

/* Line 1806 of yacc.c  */
#line 12107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("oids");
}
    break;

  case 2111:

/* Line 1806 of yacc.c  */
#line 12111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("operator");
}
    break;

  case 2112:

/* Line 1806 of yacc.c  */
#line 12115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("option");
}
    break;

  case 2113:

/* Line 1806 of yacc.c  */
#line 12119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("options");
}
    break;

  case 2114:

/* Line 1806 of yacc.c  */
#line 12123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ordinality");
}
    break;

  case 2115:

/* Line 1806 of yacc.c  */
#line 12127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("over");
}
    break;

  case 2116:

/* Line 1806 of yacc.c  */
#line 12131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owned");
}
    break;

  case 2117:

/* Line 1806 of yacc.c  */
#line 12135 "preproc.y"
    { 
 (yyval.str) = mm_strdup("owner");
}
    break;

  case 2118:

/* Line 1806 of yacc.c  */
#line 12139 "preproc.y"
    { 
 (yyval.str) = mm_strdup("parser");
}
    break;

  case 2119:

/* Line 1806 of yacc.c  */
#line 12143 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partial");
}
    break;

  case 2120:

/* Line 1806 of yacc.c  */
#line 12147 "preproc.y"
    { 
 (yyval.str) = mm_strdup("partition");
}
    break;

  case 2121:

/* Line 1806 of yacc.c  */
#line 12151 "preproc.y"
    { 
 (yyval.str) = mm_strdup("passing");
}
    break;

  case 2122:

/* Line 1806 of yacc.c  */
#line 12155 "preproc.y"
    { 
 (yyval.str) = mm_strdup("password");
}
    break;

  case 2123:

/* Line 1806 of yacc.c  */
#line 12159 "preproc.y"
    { 
 (yyval.str) = mm_strdup("plans");
}
    break;

  case 2124:

/* Line 1806 of yacc.c  */
#line 12163 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preceding");
}
    break;

  case 2125:

/* Line 1806 of yacc.c  */
#line 12167 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepare");
}
    break;

  case 2126:

/* Line 1806 of yacc.c  */
#line 12171 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prepared");
}
    break;

  case 2127:

/* Line 1806 of yacc.c  */
#line 12175 "preproc.y"
    { 
 (yyval.str) = mm_strdup("preserve");
}
    break;

  case 2128:

/* Line 1806 of yacc.c  */
#line 12179 "preproc.y"
    { 
 (yyval.str) = mm_strdup("prior");
}
    break;

  case 2129:

/* Line 1806 of yacc.c  */
#line 12183 "preproc.y"
    { 
 (yyval.str) = mm_strdup("privileges");
}
    break;

  case 2130:

/* Line 1806 of yacc.c  */
#line 12187 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedural");
}
    break;

  case 2131:

/* Line 1806 of yacc.c  */
#line 12191 "preproc.y"
    { 
 (yyval.str) = mm_strdup("procedure");
}
    break;

  case 2132:

/* Line 1806 of yacc.c  */
#line 12195 "preproc.y"
    { 
 (yyval.str) = mm_strdup("program");
}
    break;

  case 2133:

/* Line 1806 of yacc.c  */
#line 12199 "preproc.y"
    { 
 (yyval.str) = mm_strdup("quote");
}
    break;

  case 2134:

/* Line 1806 of yacc.c  */
#line 12203 "preproc.y"
    { 
 (yyval.str) = mm_strdup("range");
}
    break;

  case 2135:

/* Line 1806 of yacc.c  */
#line 12207 "preproc.y"
    { 
 (yyval.str) = mm_strdup("read");
}
    break;

  case 2136:

/* Line 1806 of yacc.c  */
#line 12211 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reassign");
}
    break;

  case 2137:

/* Line 1806 of yacc.c  */
#line 12215 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recheck");
}
    break;

  case 2138:

/* Line 1806 of yacc.c  */
#line 12219 "preproc.y"
    { 
 (yyval.str) = mm_strdup("recursive");
}
    break;

  case 2139:

/* Line 1806 of yacc.c  */
#line 12223 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ref");
}
    break;

  case 2140:

/* Line 1806 of yacc.c  */
#line 12227 "preproc.y"
    { 
 (yyval.str) = mm_strdup("refresh");
}
    break;

  case 2141:

/* Line 1806 of yacc.c  */
#line 12231 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reindex");
}
    break;

  case 2142:

/* Line 1806 of yacc.c  */
#line 12235 "preproc.y"
    { 
 (yyval.str) = mm_strdup("relative");
}
    break;

  case 2143:

/* Line 1806 of yacc.c  */
#line 12239 "preproc.y"
    { 
 (yyval.str) = mm_strdup("release");
}
    break;

  case 2144:

/* Line 1806 of yacc.c  */
#line 12243 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rename");
}
    break;

  case 2145:

/* Line 1806 of yacc.c  */
#line 12247 "preproc.y"
    { 
 (yyval.str) = mm_strdup("repeatable");
}
    break;

  case 2146:

/* Line 1806 of yacc.c  */
#line 12251 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replace");
}
    break;

  case 2147:

/* Line 1806 of yacc.c  */
#line 12255 "preproc.y"
    { 
 (yyval.str) = mm_strdup("replica");
}
    break;

  case 2148:

/* Line 1806 of yacc.c  */
#line 12259 "preproc.y"
    { 
 (yyval.str) = mm_strdup("reset");
}
    break;

  case 2149:

/* Line 1806 of yacc.c  */
#line 12263 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restart");
}
    break;

  case 2150:

/* Line 1806 of yacc.c  */
#line 12267 "preproc.y"
    { 
 (yyval.str) = mm_strdup("restrict");
}
    break;

  case 2151:

/* Line 1806 of yacc.c  */
#line 12271 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returns");
}
    break;

  case 2152:

/* Line 1806 of yacc.c  */
#line 12275 "preproc.y"
    { 
 (yyval.str) = mm_strdup("revoke");
}
    break;

  case 2153:

/* Line 1806 of yacc.c  */
#line 12279 "preproc.y"
    { 
 (yyval.str) = mm_strdup("role");
}
    break;

  case 2154:

/* Line 1806 of yacc.c  */
#line 12283 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rollback");
}
    break;

  case 2155:

/* Line 1806 of yacc.c  */
#line 12287 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rows");
}
    break;

  case 2156:

/* Line 1806 of yacc.c  */
#line 12291 "preproc.y"
    { 
 (yyval.str) = mm_strdup("rule");
}
    break;

  case 2157:

/* Line 1806 of yacc.c  */
#line 12295 "preproc.y"
    { 
 (yyval.str) = mm_strdup("savepoint");
}
    break;

  case 2158:

/* Line 1806 of yacc.c  */
#line 12299 "preproc.y"
    { 
 (yyval.str) = mm_strdup("schema");
}
    break;

  case 2159:

/* Line 1806 of yacc.c  */
#line 12303 "preproc.y"
    { 
 (yyval.str) = mm_strdup("scroll");
}
    break;

  case 2160:

/* Line 1806 of yacc.c  */
#line 12307 "preproc.y"
    { 
 (yyval.str) = mm_strdup("search");
}
    break;

  case 2161:

/* Line 1806 of yacc.c  */
#line 12311 "preproc.y"
    { 
 (yyval.str) = mm_strdup("security");
}
    break;

  case 2162:

/* Line 1806 of yacc.c  */
#line 12315 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequence");
}
    break;

  case 2163:

/* Line 1806 of yacc.c  */
#line 12319 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sequences");
}
    break;

  case 2164:

/* Line 1806 of yacc.c  */
#line 12323 "preproc.y"
    { 
 (yyval.str) = mm_strdup("serializable");
}
    break;

  case 2165:

/* Line 1806 of yacc.c  */
#line 12327 "preproc.y"
    { 
 (yyval.str) = mm_strdup("server");
}
    break;

  case 2166:

/* Line 1806 of yacc.c  */
#line 12331 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session");
}
    break;

  case 2167:

/* Line 1806 of yacc.c  */
#line 12335 "preproc.y"
    { 
 (yyval.str) = mm_strdup("set");
}
    break;

  case 2168:

/* Line 1806 of yacc.c  */
#line 12339 "preproc.y"
    { 
 (yyval.str) = mm_strdup("share");
}
    break;

  case 2169:

/* Line 1806 of yacc.c  */
#line 12343 "preproc.y"
    { 
 (yyval.str) = mm_strdup("show");
}
    break;

  case 2170:

/* Line 1806 of yacc.c  */
#line 12347 "preproc.y"
    { 
 (yyval.str) = mm_strdup("simple");
}
    break;

  case 2171:

/* Line 1806 of yacc.c  */
#line 12351 "preproc.y"
    { 
 (yyval.str) = mm_strdup("snapshot");
}
    break;

  case 2172:

/* Line 1806 of yacc.c  */
#line 12355 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stable");
}
    break;

  case 2173:

/* Line 1806 of yacc.c  */
#line 12359 "preproc.y"
    { 
 (yyval.str) = mm_strdup("standalone");
}
    break;

  case 2174:

/* Line 1806 of yacc.c  */
#line 12363 "preproc.y"
    { 
 (yyval.str) = mm_strdup("start");
}
    break;

  case 2175:

/* Line 1806 of yacc.c  */
#line 12367 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statement");
}
    break;

  case 2176:

/* Line 1806 of yacc.c  */
#line 12371 "preproc.y"
    { 
 (yyval.str) = mm_strdup("statistics");
}
    break;

  case 2177:

/* Line 1806 of yacc.c  */
#line 12375 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdin");
}
    break;

  case 2178:

/* Line 1806 of yacc.c  */
#line 12379 "preproc.y"
    { 
 (yyval.str) = mm_strdup("stdout");
}
    break;

  case 2179:

/* Line 1806 of yacc.c  */
#line 12383 "preproc.y"
    { 
 (yyval.str) = mm_strdup("storage");
}
    break;

  case 2180:

/* Line 1806 of yacc.c  */
#line 12387 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strict");
}
    break;

  case 2181:

/* Line 1806 of yacc.c  */
#line 12391 "preproc.y"
    { 
 (yyval.str) = mm_strdup("strip");
}
    break;

  case 2182:

/* Line 1806 of yacc.c  */
#line 12395 "preproc.y"
    { 
 (yyval.str) = mm_strdup("sysid");
}
    break;

  case 2183:

/* Line 1806 of yacc.c  */
#line 12399 "preproc.y"
    { 
 (yyval.str) = mm_strdup("system");
}
    break;

  case 2184:

/* Line 1806 of yacc.c  */
#line 12403 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tables");
}
    break;

  case 2185:

/* Line 1806 of yacc.c  */
#line 12407 "preproc.y"
    { 
 (yyval.str) = mm_strdup("tablespace");
}
    break;

  case 2186:

/* Line 1806 of yacc.c  */
#line 12411 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temp");
}
    break;

  case 2187:

/* Line 1806 of yacc.c  */
#line 12415 "preproc.y"
    { 
 (yyval.str) = mm_strdup("template");
}
    break;

  case 2188:

/* Line 1806 of yacc.c  */
#line 12419 "preproc.y"
    { 
 (yyval.str) = mm_strdup("temporary");
}
    break;

  case 2189:

/* Line 1806 of yacc.c  */
#line 12423 "preproc.y"
    { 
 (yyval.str) = mm_strdup("text");
}
    break;

  case 2190:

/* Line 1806 of yacc.c  */
#line 12427 "preproc.y"
    { 
 (yyval.str) = mm_strdup("transaction");
}
    break;

  case 2191:

/* Line 1806 of yacc.c  */
#line 12431 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trigger");
}
    break;

  case 2192:

/* Line 1806 of yacc.c  */
#line 12435 "preproc.y"
    { 
 (yyval.str) = mm_strdup("truncate");
}
    break;

  case 2193:

/* Line 1806 of yacc.c  */
#line 12439 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trusted");
}
    break;

  case 2194:

/* Line 1806 of yacc.c  */
#line 12443 "preproc.y"
    { 
 (yyval.str) = mm_strdup("type");
}
    break;

  case 2195:

/* Line 1806 of yacc.c  */
#line 12447 "preproc.y"
    { 
 (yyval.str) = mm_strdup("types");
}
    break;

  case 2196:

/* Line 1806 of yacc.c  */
#line 12451 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unbounded");
}
    break;

  case 2197:

/* Line 1806 of yacc.c  */
#line 12455 "preproc.y"
    { 
 (yyval.str) = mm_strdup("uncommitted");
}
    break;

  case 2198:

/* Line 1806 of yacc.c  */
#line 12459 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unencrypted");
}
    break;

  case 2199:

/* Line 1806 of yacc.c  */
#line 12463 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unknown");
}
    break;

  case 2200:

/* Line 1806 of yacc.c  */
#line 12467 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlisten");
}
    break;

  case 2201:

/* Line 1806 of yacc.c  */
#line 12471 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unlogged");
}
    break;

  case 2202:

/* Line 1806 of yacc.c  */
#line 12475 "preproc.y"
    { 
 (yyval.str) = mm_strdup("until");
}
    break;

  case 2203:

/* Line 1806 of yacc.c  */
#line 12479 "preproc.y"
    { 
 (yyval.str) = mm_strdup("update");
}
    break;

  case 2204:

/* Line 1806 of yacc.c  */
#line 12483 "preproc.y"
    { 
 (yyval.str) = mm_strdup("vacuum");
}
    break;

  case 2205:

/* Line 1806 of yacc.c  */
#line 12487 "preproc.y"
    { 
 (yyval.str) = mm_strdup("valid");
}
    break;

  case 2206:

/* Line 1806 of yacc.c  */
#line 12491 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validate");
}
    break;

  case 2207:

/* Line 1806 of yacc.c  */
#line 12495 "preproc.y"
    { 
 (yyval.str) = mm_strdup("validator");
}
    break;

  case 2208:

/* Line 1806 of yacc.c  */
#line 12499 "preproc.y"
    { 
 (yyval.str) = mm_strdup("value");
}
    break;

  case 2209:

/* Line 1806 of yacc.c  */
#line 12503 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varying");
}
    break;

  case 2210:

/* Line 1806 of yacc.c  */
#line 12507 "preproc.y"
    { 
 (yyval.str) = mm_strdup("version");
}
    break;

  case 2211:

/* Line 1806 of yacc.c  */
#line 12511 "preproc.y"
    { 
 (yyval.str) = mm_strdup("view");
}
    break;

  case 2212:

/* Line 1806 of yacc.c  */
#line 12515 "preproc.y"
    { 
 (yyval.str) = mm_strdup("views");
}
    break;

  case 2213:

/* Line 1806 of yacc.c  */
#line 12519 "preproc.y"
    { 
 (yyval.str) = mm_strdup("volatile");
}
    break;

  case 2214:

/* Line 1806 of yacc.c  */
#line 12523 "preproc.y"
    { 
 (yyval.str) = mm_strdup("whitespace");
}
    break;

  case 2215:

/* Line 1806 of yacc.c  */
#line 12527 "preproc.y"
    { 
 (yyval.str) = mm_strdup("within");
}
    break;

  case 2216:

/* Line 1806 of yacc.c  */
#line 12531 "preproc.y"
    { 
 (yyval.str) = mm_strdup("without");
}
    break;

  case 2217:

/* Line 1806 of yacc.c  */
#line 12535 "preproc.y"
    { 
 (yyval.str) = mm_strdup("work");
}
    break;

  case 2218:

/* Line 1806 of yacc.c  */
#line 12539 "preproc.y"
    { 
 (yyval.str) = mm_strdup("wrapper");
}
    break;

  case 2219:

/* Line 1806 of yacc.c  */
#line 12543 "preproc.y"
    { 
 (yyval.str) = mm_strdup("write");
}
    break;

  case 2220:

/* Line 1806 of yacc.c  */
#line 12547 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xml");
}
    break;

  case 2221:

/* Line 1806 of yacc.c  */
#line 12551 "preproc.y"
    { 
 (yyval.str) = mm_strdup("yes");
}
    break;

  case 2222:

/* Line 1806 of yacc.c  */
#line 12555 "preproc.y"
    { 
 (yyval.str) = mm_strdup("zone");
}
    break;

  case 2223:

/* Line 1806 of yacc.c  */
#line 12563 "preproc.y"
    { 
 (yyval.str) = mm_strdup("between");
}
    break;

  case 2224:

/* Line 1806 of yacc.c  */
#line 12567 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bigint");
}
    break;

  case 2225:

/* Line 1806 of yacc.c  */
#line 12571 "preproc.y"
    { 
 (yyval.str) = mm_strdup("bit");
}
    break;

  case 2226:

/* Line 1806 of yacc.c  */
#line 12575 "preproc.y"
    { 
 (yyval.str) = mm_strdup("boolean");
}
    break;

  case 2227:

/* Line 1806 of yacc.c  */
#line 12579 "preproc.y"
    { 
 (yyval.str) = mm_strdup("character");
}
    break;

  case 2228:

/* Line 1806 of yacc.c  */
#line 12583 "preproc.y"
    { 
 (yyval.str) = mm_strdup("coalesce");
}
    break;

  case 2229:

/* Line 1806 of yacc.c  */
#line 12587 "preproc.y"
    { 
 (yyval.str) = mm_strdup("dec");
}
    break;

  case 2230:

/* Line 1806 of yacc.c  */
#line 12591 "preproc.y"
    { 
 (yyval.str) = mm_strdup("decimal");
}
    break;

  case 2231:

/* Line 1806 of yacc.c  */
#line 12595 "preproc.y"
    { 
 (yyval.str) = mm_strdup("exists");
}
    break;

  case 2232:

/* Line 1806 of yacc.c  */
#line 12599 "preproc.y"
    { 
 (yyval.str) = mm_strdup("extract");
}
    break;

  case 2233:

/* Line 1806 of yacc.c  */
#line 12603 "preproc.y"
    { 
 (yyval.str) = mm_strdup("float");
}
    break;

  case 2234:

/* Line 1806 of yacc.c  */
#line 12607 "preproc.y"
    { 
 (yyval.str) = mm_strdup("greatest");
}
    break;

  case 2235:

/* Line 1806 of yacc.c  */
#line 12611 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inout");
}
    break;

  case 2236:

/* Line 1806 of yacc.c  */
#line 12615 "preproc.y"
    { 
 (yyval.str) = mm_strdup("integer");
}
    break;

  case 2237:

/* Line 1806 of yacc.c  */
#line 12619 "preproc.y"
    { 
 (yyval.str) = mm_strdup("interval");
}
    break;

  case 2238:

/* Line 1806 of yacc.c  */
#line 12623 "preproc.y"
    { 
 (yyval.str) = mm_strdup("least");
}
    break;

  case 2239:

/* Line 1806 of yacc.c  */
#line 12627 "preproc.y"
    { 
 (yyval.str) = mm_strdup("national");
}
    break;

  case 2240:

/* Line 1806 of yacc.c  */
#line 12631 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nchar");
}
    break;

  case 2241:

/* Line 1806 of yacc.c  */
#line 12635 "preproc.y"
    { 
 (yyval.str) = mm_strdup("none");
}
    break;

  case 2242:

/* Line 1806 of yacc.c  */
#line 12639 "preproc.y"
    { 
 (yyval.str) = mm_strdup("nullif");
}
    break;

  case 2243:

/* Line 1806 of yacc.c  */
#line 12643 "preproc.y"
    { 
 (yyval.str) = mm_strdup("numeric");
}
    break;

  case 2244:

/* Line 1806 of yacc.c  */
#line 12647 "preproc.y"
    { 
 (yyval.str) = mm_strdup("out");
}
    break;

  case 2245:

/* Line 1806 of yacc.c  */
#line 12651 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlay");
}
    break;

  case 2246:

/* Line 1806 of yacc.c  */
#line 12655 "preproc.y"
    { 
 (yyval.str) = mm_strdup("position");
}
    break;

  case 2247:

/* Line 1806 of yacc.c  */
#line 12659 "preproc.y"
    { 
 (yyval.str) = mm_strdup("precision");
}
    break;

  case 2248:

/* Line 1806 of yacc.c  */
#line 12663 "preproc.y"
    { 
 (yyval.str) = mm_strdup("real");
}
    break;

  case 2249:

/* Line 1806 of yacc.c  */
#line 12667 "preproc.y"
    { 
 (yyval.str) = mm_strdup("row");
}
    break;

  case 2250:

/* Line 1806 of yacc.c  */
#line 12671 "preproc.y"
    { 
 (yyval.str) = mm_strdup("setof");
}
    break;

  case 2251:

/* Line 1806 of yacc.c  */
#line 12675 "preproc.y"
    { 
 (yyval.str) = mm_strdup("smallint");
}
    break;

  case 2252:

/* Line 1806 of yacc.c  */
#line 12679 "preproc.y"
    { 
 (yyval.str) = mm_strdup("substring");
}
    break;

  case 2253:

/* Line 1806 of yacc.c  */
#line 12683 "preproc.y"
    { 
 (yyval.str) = mm_strdup("time");
}
    break;

  case 2254:

/* Line 1806 of yacc.c  */
#line 12687 "preproc.y"
    { 
 (yyval.str) = mm_strdup("timestamp");
}
    break;

  case 2255:

/* Line 1806 of yacc.c  */
#line 12691 "preproc.y"
    { 
 (yyval.str) = mm_strdup("treat");
}
    break;

  case 2256:

/* Line 1806 of yacc.c  */
#line 12695 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trim");
}
    break;

  case 2257:

/* Line 1806 of yacc.c  */
#line 12699 "preproc.y"
    { 
 (yyval.str) = mm_strdup("varchar");
}
    break;

  case 2258:

/* Line 1806 of yacc.c  */
#line 12703 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlattributes");
}
    break;

  case 2259:

/* Line 1806 of yacc.c  */
#line 12707 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlconcat");
}
    break;

  case 2260:

/* Line 1806 of yacc.c  */
#line 12711 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlelement");
}
    break;

  case 2261:

/* Line 1806 of yacc.c  */
#line 12715 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlexists");
}
    break;

  case 2262:

/* Line 1806 of yacc.c  */
#line 12719 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlforest");
}
    break;

  case 2263:

/* Line 1806 of yacc.c  */
#line 12723 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlparse");
}
    break;

  case 2264:

/* Line 1806 of yacc.c  */
#line 12727 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlpi");
}
    break;

  case 2265:

/* Line 1806 of yacc.c  */
#line 12731 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlroot");
}
    break;

  case 2266:

/* Line 1806 of yacc.c  */
#line 12735 "preproc.y"
    { 
 (yyval.str) = mm_strdup("xmlserialize");
}
    break;

  case 2267:

/* Line 1806 of yacc.c  */
#line 12743 "preproc.y"
    { 
 (yyval.str) = mm_strdup("authorization");
}
    break;

  case 2268:

/* Line 1806 of yacc.c  */
#line 12747 "preproc.y"
    { 
 (yyval.str) = mm_strdup("binary");
}
    break;

  case 2269:

/* Line 1806 of yacc.c  */
#line 12751 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collation");
}
    break;

  case 2270:

/* Line 1806 of yacc.c  */
#line 12755 "preproc.y"
    { 
 (yyval.str) = mm_strdup("concurrently");
}
    break;

  case 2271:

/* Line 1806 of yacc.c  */
#line 12759 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cross");
}
    break;

  case 2272:

/* Line 1806 of yacc.c  */
#line 12763 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_schema");
}
    break;

  case 2273:

/* Line 1806 of yacc.c  */
#line 12767 "preproc.y"
    { 
 (yyval.str) = mm_strdup("freeze");
}
    break;

  case 2274:

/* Line 1806 of yacc.c  */
#line 12771 "preproc.y"
    { 
 (yyval.str) = mm_strdup("full");
}
    break;

  case 2275:

/* Line 1806 of yacc.c  */
#line 12775 "preproc.y"
    { 
 (yyval.str) = mm_strdup("ilike");
}
    break;

  case 2276:

/* Line 1806 of yacc.c  */
#line 12779 "preproc.y"
    { 
 (yyval.str) = mm_strdup("inner");
}
    break;

  case 2277:

/* Line 1806 of yacc.c  */
#line 12783 "preproc.y"
    { 
 (yyval.str) = mm_strdup("is");
}
    break;

  case 2278:

/* Line 1806 of yacc.c  */
#line 12787 "preproc.y"
    { 
 (yyval.str) = mm_strdup("isnull");
}
    break;

  case 2279:

/* Line 1806 of yacc.c  */
#line 12791 "preproc.y"
    { 
 (yyval.str) = mm_strdup("join");
}
    break;

  case 2280:

/* Line 1806 of yacc.c  */
#line 12795 "preproc.y"
    { 
 (yyval.str) = mm_strdup("left");
}
    break;

  case 2281:

/* Line 1806 of yacc.c  */
#line 12799 "preproc.y"
    { 
 (yyval.str) = mm_strdup("like");
}
    break;

  case 2282:

/* Line 1806 of yacc.c  */
#line 12803 "preproc.y"
    { 
 (yyval.str) = mm_strdup("natural");
}
    break;

  case 2283:

/* Line 1806 of yacc.c  */
#line 12807 "preproc.y"
    { 
 (yyval.str) = mm_strdup("notnull");
}
    break;

  case 2284:

/* Line 1806 of yacc.c  */
#line 12811 "preproc.y"
    { 
 (yyval.str) = mm_strdup("outer");
}
    break;

  case 2285:

/* Line 1806 of yacc.c  */
#line 12815 "preproc.y"
    { 
 (yyval.str) = mm_strdup("overlaps");
}
    break;

  case 2286:

/* Line 1806 of yacc.c  */
#line 12819 "preproc.y"
    { 
 (yyval.str) = mm_strdup("right");
}
    break;

  case 2287:

/* Line 1806 of yacc.c  */
#line 12823 "preproc.y"
    { 
 (yyval.str) = mm_strdup("similar");
}
    break;

  case 2288:

/* Line 1806 of yacc.c  */
#line 12827 "preproc.y"
    { 
 (yyval.str) = mm_strdup("verbose");
}
    break;

  case 2289:

/* Line 1806 of yacc.c  */
#line 12835 "preproc.y"
    { 
 (yyval.str) = mm_strdup("all");
}
    break;

  case 2290:

/* Line 1806 of yacc.c  */
#line 12839 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyse");
}
    break;

  case 2291:

/* Line 1806 of yacc.c  */
#line 12843 "preproc.y"
    { 
 (yyval.str) = mm_strdup("analyze");
}
    break;

  case 2292:

/* Line 1806 of yacc.c  */
#line 12847 "preproc.y"
    { 
 (yyval.str) = mm_strdup("and");
}
    break;

  case 2293:

/* Line 1806 of yacc.c  */
#line 12851 "preproc.y"
    { 
 (yyval.str) = mm_strdup("any");
}
    break;

  case 2294:

/* Line 1806 of yacc.c  */
#line 12855 "preproc.y"
    { 
 (yyval.str) = mm_strdup("array");
}
    break;

  case 2295:

/* Line 1806 of yacc.c  */
#line 12859 "preproc.y"
    { 
 (yyval.str) = mm_strdup("as");
}
    break;

  case 2296:

/* Line 1806 of yacc.c  */
#line 12863 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asc");
}
    break;

  case 2297:

/* Line 1806 of yacc.c  */
#line 12867 "preproc.y"
    { 
 (yyval.str) = mm_strdup("asymmetric");
}
    break;

  case 2298:

/* Line 1806 of yacc.c  */
#line 12871 "preproc.y"
    { 
 (yyval.str) = mm_strdup("both");
}
    break;

  case 2299:

/* Line 1806 of yacc.c  */
#line 12875 "preproc.y"
    { 
 (yyval.str) = mm_strdup("case");
}
    break;

  case 2300:

/* Line 1806 of yacc.c  */
#line 12879 "preproc.y"
    { 
 (yyval.str) = mm_strdup("cast");
}
    break;

  case 2301:

/* Line 1806 of yacc.c  */
#line 12883 "preproc.y"
    { 
 (yyval.str) = mm_strdup("check");
}
    break;

  case 2302:

/* Line 1806 of yacc.c  */
#line 12887 "preproc.y"
    { 
 (yyval.str) = mm_strdup("collate");
}
    break;

  case 2303:

/* Line 1806 of yacc.c  */
#line 12891 "preproc.y"
    { 
 (yyval.str) = mm_strdup("column");
}
    break;

  case 2304:

/* Line 1806 of yacc.c  */
#line 12895 "preproc.y"
    { 
 (yyval.str) = mm_strdup("constraint");
}
    break;

  case 2305:

/* Line 1806 of yacc.c  */
#line 12899 "preproc.y"
    { 
 (yyval.str) = mm_strdup("create");
}
    break;

  case 2306:

/* Line 1806 of yacc.c  */
#line 12903 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_catalog");
}
    break;

  case 2307:

/* Line 1806 of yacc.c  */
#line 12907 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_date");
}
    break;

  case 2308:

/* Line 1806 of yacc.c  */
#line 12911 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_role");
}
    break;

  case 2309:

/* Line 1806 of yacc.c  */
#line 12915 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_time");
}
    break;

  case 2310:

/* Line 1806 of yacc.c  */
#line 12919 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_timestamp");
}
    break;

  case 2311:

/* Line 1806 of yacc.c  */
#line 12923 "preproc.y"
    { 
 (yyval.str) = mm_strdup("current_user");
}
    break;

  case 2312:

/* Line 1806 of yacc.c  */
#line 12927 "preproc.y"
    { 
 (yyval.str) = mm_strdup("default");
}
    break;

  case 2313:

/* Line 1806 of yacc.c  */
#line 12931 "preproc.y"
    { 
 (yyval.str) = mm_strdup("deferrable");
}
    break;

  case 2314:

/* Line 1806 of yacc.c  */
#line 12935 "preproc.y"
    { 
 (yyval.str) = mm_strdup("desc");
}
    break;

  case 2315:

/* Line 1806 of yacc.c  */
#line 12939 "preproc.y"
    { 
 (yyval.str) = mm_strdup("distinct");
}
    break;

  case 2316:

/* Line 1806 of yacc.c  */
#line 12943 "preproc.y"
    { 
 (yyval.str) = mm_strdup("do");
}
    break;

  case 2317:

/* Line 1806 of yacc.c  */
#line 12947 "preproc.y"
    { 
 (yyval.str) = mm_strdup("else");
}
    break;

  case 2318:

/* Line 1806 of yacc.c  */
#line 12951 "preproc.y"
    { 
 (yyval.str) = mm_strdup("end");
}
    break;

  case 2319:

/* Line 1806 of yacc.c  */
#line 12955 "preproc.y"
    { 
 (yyval.str) = mm_strdup("except");
}
    break;

  case 2320:

/* Line 1806 of yacc.c  */
#line 12959 "preproc.y"
    { 
 (yyval.str) = mm_strdup("false");
}
    break;

  case 2321:

/* Line 1806 of yacc.c  */
#line 12963 "preproc.y"
    { 
 (yyval.str) = mm_strdup("fetch");
}
    break;

  case 2322:

/* Line 1806 of yacc.c  */
#line 12967 "preproc.y"
    { 
 (yyval.str) = mm_strdup("for");
}
    break;

  case 2323:

/* Line 1806 of yacc.c  */
#line 12971 "preproc.y"
    { 
 (yyval.str) = mm_strdup("foreign");
}
    break;

  case 2324:

/* Line 1806 of yacc.c  */
#line 12975 "preproc.y"
    { 
 (yyval.str) = mm_strdup("from");
}
    break;

  case 2325:

/* Line 1806 of yacc.c  */
#line 12979 "preproc.y"
    { 
 (yyval.str) = mm_strdup("grant");
}
    break;

  case 2326:

/* Line 1806 of yacc.c  */
#line 12983 "preproc.y"
    { 
 (yyval.str) = mm_strdup("group");
}
    break;

  case 2327:

/* Line 1806 of yacc.c  */
#line 12987 "preproc.y"
    { 
 (yyval.str) = mm_strdup("having");
}
    break;

  case 2328:

/* Line 1806 of yacc.c  */
#line 12991 "preproc.y"
    { 
 (yyval.str) = mm_strdup("in");
}
    break;

  case 2329:

/* Line 1806 of yacc.c  */
#line 12995 "preproc.y"
    { 
 (yyval.str) = mm_strdup("initially");
}
    break;

  case 2330:

/* Line 1806 of yacc.c  */
#line 12999 "preproc.y"
    { 
 (yyval.str) = mm_strdup("intersect");
}
    break;

  case 2331:

/* Line 1806 of yacc.c  */
#line 13003 "preproc.y"
    { 
 (yyval.str) = mm_strdup("into");
}
    break;

  case 2332:

/* Line 1806 of yacc.c  */
#line 13007 "preproc.y"
    { 
 (yyval.str) = mm_strdup("lateral");
}
    break;

  case 2333:

/* Line 1806 of yacc.c  */
#line 13011 "preproc.y"
    { 
 (yyval.str) = mm_strdup("leading");
}
    break;

  case 2334:

/* Line 1806 of yacc.c  */
#line 13015 "preproc.y"
    { 
 (yyval.str) = mm_strdup("limit");
}
    break;

  case 2335:

/* Line 1806 of yacc.c  */
#line 13019 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtime");
}
    break;

  case 2336:

/* Line 1806 of yacc.c  */
#line 13023 "preproc.y"
    { 
 (yyval.str) = mm_strdup("localtimestamp");
}
    break;

  case 2337:

/* Line 1806 of yacc.c  */
#line 13027 "preproc.y"
    { 
 (yyval.str) = mm_strdup("not");
}
    break;

  case 2338:

/* Line 1806 of yacc.c  */
#line 13031 "preproc.y"
    { 
 (yyval.str) = mm_strdup("null");
}
    break;

  case 2339:

/* Line 1806 of yacc.c  */
#line 13035 "preproc.y"
    { 
 (yyval.str) = mm_strdup("offset");
}
    break;

  case 2340:

/* Line 1806 of yacc.c  */
#line 13039 "preproc.y"
    { 
 (yyval.str) = mm_strdup("on");
}
    break;

  case 2341:

/* Line 1806 of yacc.c  */
#line 13043 "preproc.y"
    { 
 (yyval.str) = mm_strdup("only");
}
    break;

  case 2342:

/* Line 1806 of yacc.c  */
#line 13047 "preproc.y"
    { 
 (yyval.str) = mm_strdup("or");
}
    break;

  case 2343:

/* Line 1806 of yacc.c  */
#line 13051 "preproc.y"
    { 
 (yyval.str) = mm_strdup("order");
}
    break;

  case 2344:

/* Line 1806 of yacc.c  */
#line 13055 "preproc.y"
    { 
 (yyval.str) = mm_strdup("placing");
}
    break;

  case 2345:

/* Line 1806 of yacc.c  */
#line 13059 "preproc.y"
    { 
 (yyval.str) = mm_strdup("primary");
}
    break;

  case 2346:

/* Line 1806 of yacc.c  */
#line 13063 "preproc.y"
    { 
 (yyval.str) = mm_strdup("references");
}
    break;

  case 2347:

/* Line 1806 of yacc.c  */
#line 13067 "preproc.y"
    { 
 (yyval.str) = mm_strdup("returning");
}
    break;

  case 2348:

/* Line 1806 of yacc.c  */
#line 13071 "preproc.y"
    { 
 (yyval.str) = mm_strdup("select");
}
    break;

  case 2349:

/* Line 1806 of yacc.c  */
#line 13075 "preproc.y"
    { 
 (yyval.str) = mm_strdup("session_user");
}
    break;

  case 2350:

/* Line 1806 of yacc.c  */
#line 13079 "preproc.y"
    { 
 (yyval.str) = mm_strdup("some");
}
    break;

  case 2351:

/* Line 1806 of yacc.c  */
#line 13083 "preproc.y"
    { 
 (yyval.str) = mm_strdup("symmetric");
}
    break;

  case 2352:

/* Line 1806 of yacc.c  */
#line 13087 "preproc.y"
    { 
 (yyval.str) = mm_strdup("table");
}
    break;

  case 2353:

/* Line 1806 of yacc.c  */
#line 13091 "preproc.y"
    { 
 (yyval.str) = mm_strdup("then");
}
    break;

  case 2354:

/* Line 1806 of yacc.c  */
#line 13095 "preproc.y"
    { 
 (yyval.str) = mm_strdup("trailing");
}
    break;

  case 2355:

/* Line 1806 of yacc.c  */
#line 13099 "preproc.y"
    { 
 (yyval.str) = mm_strdup("true");
}
    break;

  case 2356:

/* Line 1806 of yacc.c  */
#line 13103 "preproc.y"
    { 
 (yyval.str) = mm_strdup("unique");
}
    break;

  case 2357:

/* Line 1806 of yacc.c  */
#line 13107 "preproc.y"
    { 
 (yyval.str) = mm_strdup("user");
}
    break;

  case 2358:

/* Line 1806 of yacc.c  */
#line 13111 "preproc.y"
    { 
 (yyval.str) = mm_strdup("using");
}
    break;

  case 2359:

/* Line 1806 of yacc.c  */
#line 13115 "preproc.y"
    { 
 (yyval.str) = mm_strdup("variadic");
}
    break;

  case 2360:

/* Line 1806 of yacc.c  */
#line 13119 "preproc.y"
    { 
 (yyval.str) = mm_strdup("when");
}
    break;

  case 2361:

/* Line 1806 of yacc.c  */
#line 13123 "preproc.y"
    { 
 (yyval.str) = mm_strdup("where");
}
    break;

  case 2362:

/* Line 1806 of yacc.c  */
#line 13127 "preproc.y"
    { 
 (yyval.str) = mm_strdup("window");
}
    break;

  case 2363:

/* Line 1806 of yacc.c  */
#line 13131 "preproc.y"
    { 
 (yyval.str) = mm_strdup("with");
}
    break;

  case 2366:

/* Line 1806 of yacc.c  */
#line 13144 "preproc.y"
    { connection = NULL; }
    break;

  case 2368:

/* Line 1806 of yacc.c  */
#line 13147 "preproc.y"
    {
					fprintf(yyout, "%s", (yyvsp[(2) - (2)].str));
					free((yyvsp[(2) - (2)].str));
					output_line_number();
				}
    break;

  case 2370:

/* Line 1806 of yacc.c  */
#line 13153 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2371:

/* Line 1806 of yacc.c  */
#line 13154 "preproc.y"
    { fprintf(yyout, "%s", (yyvsp[(1) - (1)].str)); free((yyvsp[(1) - (1)].str)); }
    break;

  case 2372:

/* Line 1806 of yacc.c  */
#line 13155 "preproc.y"
    { braces_open++; fputs("{", yyout); }
    break;

  case 2373:

/* Line 1806 of yacc.c  */
#line 13157 "preproc.y"
    {
			remove_typedefs(braces_open);
			remove_variables(braces_open--);
			if (braces_open == 0)
			{
				free(current_function);
				current_function = NULL;
			}
			fputs("}", yyout);
		}
    break;

  case 2374:

/* Line 1806 of yacc.c  */
#line 13169 "preproc.y"
    {FoundInto = 0;}
    break;

  case 2375:

/* Line 1806 of yacc.c  */
#line 13170 "preproc.y"
    {
			if (FoundInto == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "CREATE TABLE AS cannot specify INTO");

			(yyval.str) = cat_str(6, mm_strdup("create"), (yyvsp[(2) - (8)].str), mm_strdup("table"), (yyvsp[(4) - (8)].str), mm_strdup("as"), (yyvsp[(7) - (8)].str));
		}
    break;

  case 2376:

/* Line 1806 of yacc.c  */
#line 13179 "preproc.y"
    {
			connection = (yyvsp[(2) - (2)].str);
			/*
			 * Do we have a variable as connection target?  Remove the variable
			 * from the variable list or else it will be used twice.
			 */
			if (argsinsert != NULL)
				argsinsert = NULL;
		}
    break;

  case 2377:

/* Line 1806 of yacc.c  */
#line 13194 "preproc.y"
    { (yyval.str) = cat_str(5, (yyvsp[(3) - (5)].str), mm_strdup(","), (yyvsp[(5) - (5)].str), mm_strdup(","), (yyvsp[(4) - (5)].str)); }
    break;

  case 2378:

/* Line 1806 of yacc.c  */
#line 13196 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL, NULL, \"DEFAULT\""); }
    break;

  case 2379:

/* Line 1806 of yacc.c  */
#line 13199 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("NULL,"), (yyvsp[(2) - (2)].str), mm_strdup(", NULL")); }
    break;

  case 2380:

/* Line 1806 of yacc.c  */
#line 13201 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(2) - (2)].str), mm_strdup(", NULL, NULL, NULL")); }
    break;

  case 2381:

/* Line 1806 of yacc.c  */
#line 13205 "preproc.y"
    {
			/* old style: dbname[@server][:port] */
			if (strlen((yyvsp[(2) - (3)].str)) > 0 && *((yyvsp[(2) - (3)].str)) != '@')
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\", found \"%s\"", (yyvsp[(2) - (3)].str));

			/* C strings need to be handled differently */
			if ((yyvsp[(1) - (3)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (3)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), make3_str((yyvsp[(1) - (3)].str), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)), mm_strdup("\""));
		}
    break;

  case 2382:

/* Line 1806 of yacc.c  */
#line 13217 "preproc.y"
    {
			/* new style: <tcp|unix>:postgresql://server[:port][/dbname] */
			if (strncmp((yyvsp[(1) - (7)].str), "unix:postgresql", strlen("unix:postgresql")) != 0 && strncmp((yyvsp[(1) - (7)].str), "tcp:postgresql", strlen("tcp:postgresql")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "only protocols \"tcp\" and \"unix\" and database type \"postgresql\" are supported");

			if (strncmp((yyvsp[(3) - (7)].str), "//", strlen("//")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"://\", found \"%s\"", (yyvsp[(3) - (7)].str));

			if (strncmp((yyvsp[(1) - (7)].str), "unix", strlen("unix")) == 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "localhost", strlen("localhost")) != 0 &&
				strncmp((yyvsp[(3) - (7)].str) + strlen("//"), "127.0.0.1", strlen("127.0.0.1")) != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "Unix-domain sockets only work on \"localhost\" but not on \"%s\"", (yyvsp[(3) - (7)].str) + strlen("//"));

			(yyval.str) = make3_str(make3_str(mm_strdup("\""), (yyvsp[(1) - (7)].str), mm_strdup(":")), (yyvsp[(3) - (7)].str), make3_str(make3_str((yyvsp[(4) - (7)].str), mm_strdup("/"), (yyvsp[(6) - (7)].str)), (yyvsp[(7) - (7)].str), mm_strdup("\"")));
		}
    break;

  case 2383:

/* Line 1806 of yacc.c  */
#line 13233 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2384:

/* Line 1806 of yacc.c  */
#line 13237 "preproc.y"
    {
			/* We can only process double quoted strings not single quotes ones,
			 * so we change the quotes.
			 * Note, that the rule for ecpg_sconst adds these single quotes. */
			(yyvsp[(1) - (1)].str)[0] = '\"';
			(yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] = '\"';
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2385:

/* Line 1806 of yacc.c  */
#line 13247 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2386:

/* Line 1806 of yacc.c  */
#line 13248 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2387:

/* Line 1806 of yacc.c  */
#line 13252 "preproc.y"
    {
			if (strcmp((yyvsp[(2) - (2)].str), "postgresql") != 0 && strcmp((yyvsp[(2) - (2)].str), "postgres") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"postgresql\", found \"%s\"", (yyvsp[(2) - (2)].str));

			if (strcmp((yyvsp[(1) - (2)].str), "tcp") != 0 && strcmp((yyvsp[(1) - (2)].str), "unix") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "invalid connection type: %s", (yyvsp[(1) - (2)].str));

			(yyval.str) = make3_str((yyvsp[(1) - (2)].str), mm_strdup(":"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2388:

/* Line 1806 of yacc.c  */
#line 13264 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (2)].str), "@") != 0 && strcmp((yyvsp[(1) - (2)].str), "//") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "expected \"@\" or \"://\", found \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2389:

/* Line 1806 of yacc.c  */
#line 13272 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2390:

/* Line 1806 of yacc.c  */
#line 13273 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2391:

/* Line 1806 of yacc.c  */
#line 13276 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2392:

/* Line 1806 of yacc.c  */
#line 13277 "preproc.y"
    { (yyval.str) = make3_str((yyvsp[(1) - (3)].str), mm_strdup("."), (yyvsp[(3) - (3)].str)); }
    break;

  case 2393:

/* Line 1806 of yacc.c  */
#line 13278 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2394:

/* Line 1806 of yacc.c  */
#line 13281 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2395:

/* Line 1806 of yacc.c  */
#line 13282 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2396:

/* Line 1806 of yacc.c  */
#line 13285 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2397:

/* Line 1806 of yacc.c  */
#line 13286 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2398:

/* Line 1806 of yacc.c  */
#line 13289 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2399:

/* Line 1806 of yacc.c  */
#line 13290 "preproc.y"
    { (yyval.str) = mm_strdup("NULL, NULL"); }
    break;

  case 2400:

/* Line 1806 of yacc.c  */
#line 13294 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (1)].str), mm_strdup(", NULL")); }
    break;

  case 2401:

/* Line 1806 of yacc.c  */
#line 13296 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2402:

/* Line 1806 of yacc.c  */
#line 13298 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (4)].str), mm_strdup(","), (yyvsp[(4) - (4)].str)); }
    break;

  case 2403:

/* Line 1806 of yacc.c  */
#line 13300 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2404:

/* Line 1806 of yacc.c  */
#line 13304 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2405:

/* Line 1806 of yacc.c  */
#line 13311 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"')
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else
				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
		}
    break;

  case 2406:

/* Line 1806 of yacc.c  */
#line 13318 "preproc.y"
    {
			enum ECPGttype type = argsinsert->variable->type->type;

			/* if array see what's inside */
			if (type == ECPGt_array)
				type = argsinsert->variable->type->u.element->type;

			/* handle varchars */
			if (type == ECPGt_varchar)
				(yyval.str) = make2_str(mm_strdup(argsinsert->variable->name), mm_strdup(".arr"));
			else
				(yyval.str) = mm_strdup(argsinsert->variable->name);
		}
    break;

  case 2407:

/* Line 1806 of yacc.c  */
#line 13334 "preproc.y"
    {
			/* check if we have a string variable */
			struct variable *p = find_variable((yyvsp[(1) - (1)].str));
			enum ECPGttype type = p->type->type;

			/* If we have just one character this is not a string */
			if (atol(p->type->size) == 1)
					mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
			else
			{
				/* if array see what's inside */
				if (type == ECPGt_array)
					type = p->type->u.element->type;

				switch (type)
				{
					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
					case ECPGt_varchar:
						(yyval.str) = make2_str((yyvsp[(1) - (1)].str), mm_strdup(".arr"));
						break;
					default:
						mmerror(PARSE_ERROR, ET_ERROR, "invalid data type");
						(yyval.str) = (yyvsp[(1) - (1)].str);
						break;
				}
			}
		}
    break;

  case 2408:

/* Line 1806 of yacc.c  */
#line 13368 "preproc.y"
    {
			if (strlen((yyvsp[(1) - (2)].str)) == 0)
				mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

			if (strcmp((yyvsp[(1) - (2)].str), "?") != 0)
				mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(1) - (2)].str));

			(yyval.str) = make2_str(mm_strdup("?"), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2409:

/* Line 1806 of yacc.c  */
#line 13377 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2410:

/* Line 1806 of yacc.c  */
#line 13381 "preproc.y"
    {
				(yyval.str) = make2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str));
			}
    break;

  case 2411:

/* Line 1806 of yacc.c  */
#line 13385 "preproc.y"
    {
				if (strlen((yyvsp[(3) - (4)].str)) == 0)
					mmerror(PARSE_ERROR, ET_ERROR, "incomplete statement");

				if (strcmp((yyvsp[(3) - (4)].str), "&") != 0)
					mmerror(PARSE_ERROR, ET_ERROR, "unrecognized token \"%s\"", (yyvsp[(3) - (4)].str));

				(yyval.str) = cat_str(3, make2_str((yyvsp[(1) - (4)].str), (yyvsp[(2) - (4)].str)), (yyvsp[(3) - (4)].str), (yyvsp[(4) - (4)].str));
			}
    break;

  case 2412:

/* Line 1806 of yacc.c  */
#line 13397 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2413:

/* Line 1806 of yacc.c  */
#line 13399 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2414:

/* Line 1806 of yacc.c  */
#line 13401 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2415:

/* Line 1806 of yacc.c  */
#line 13403 "preproc.y"
    { (yyval.str) = make2_str(mm_strdup("="), (yyvsp[(2) - (2)].str)); }
    break;

  case 2416:

/* Line 1806 of yacc.c  */
#line 13407 "preproc.y"
    {
			if ((yyvsp[(1) - (1)].str)[0] == '\"' && (yyvsp[(1) - (1)].str)[strlen((yyvsp[(1) - (1)].str))-1] == '\"') /* already quoted? */
				(yyval.str) = (yyvsp[(1) - (1)].str);
			else /* not quoted => convert to lowercase */
			{
				size_t i;

				for (i = 0; i< strlen((yyvsp[(1) - (1)].str)); i++)
					(yyvsp[(1) - (1)].str)[i] = tolower((unsigned char) (yyvsp[(1) - (1)].str)[i]);

				(yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\""));
			}
		}
    break;

  case 2417:

/* Line 1806 of yacc.c  */
#line 13420 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2418:

/* Line 1806 of yacc.c  */
#line 13428 "preproc.y"
    {
			struct cursor *ptr, *this;
			char *cursor_marker = (yyvsp[(2) - (7)].str)[0] == ':' ? mm_strdup("$0") : mm_strdup((yyvsp[(2) - (7)].str));
			int (* strcmp_fn)(const char *, const char *) = (((yyvsp[(2) - (7)].str)[0] == ':' || (yyvsp[(2) - (7)].str)[0] == '"') ? strcmp : pg_strcasecmp);
			struct variable *thisquery = (struct variable *)mm_alloc(sizeof(struct variable));
			const char *con = connection ? connection : "NULL";
			char *comment;

			for (ptr = cur; ptr != NULL; ptr = ptr->next)
			{
				if (strcmp_fn((yyvsp[(2) - (7)].str), ptr->name) == 0)
				{
					/* re-definition is a bug */
					if ((yyvsp[(2) - (7)].str)[0] == ':')
						mmerror(PARSE_ERROR, ET_ERROR, "using variable \"%s\" in different declare statements is not supported", (yyvsp[(2) - (7)].str)+1);
					else
						mmerror(PARSE_ERROR, ET_ERROR, "cursor \"%s\" is already defined", (yyvsp[(2) - (7)].str));
				}
			}

			this = (struct cursor *) mm_alloc(sizeof(struct cursor));

			/* initial definition */
			this->next = cur;
			this->name = (yyvsp[(2) - (7)].str);
			this->function = (current_function ? mm_strdup(current_function) : NULL);
			this->connection = connection;
			this->command =  cat_str(6, mm_strdup("declare"), cursor_marker, (yyvsp[(3) - (7)].str), mm_strdup("cursor"), (yyvsp[(5) - (7)].str), mm_strdup("for $1"));
			this->argsresult = NULL;
			this->argsresult_oos = NULL;

			thisquery->type = &ecpg_query;
			thisquery->brace_level = 0;
			thisquery->next = NULL;
			thisquery->name = (char *) mm_alloc(sizeof("ECPGprepared_statement(, , __LINE__)") + strlen(con) + strlen((yyvsp[(7) - (7)].str)));
			sprintf(thisquery->name, "ECPGprepared_statement(%s, %s, __LINE__)", con, (yyvsp[(7) - (7)].str));

			this->argsinsert = NULL;
			this->argsinsert_oos = NULL;
			if ((yyvsp[(2) - (7)].str)[0] == ':')
			{
				struct variable *var = find_variable((yyvsp[(2) - (7)].str) + 1);
				remove_variable_from_list(&argsinsert, var);
				add_variable_to_head(&(this->argsinsert), var, &no_indicator);
			}
			add_variable_to_head(&(this->argsinsert), thisquery, &no_indicator);

			cur = this;

			comment = cat_str(3, mm_strdup("/*"), mm_strdup(this->command), mm_strdup("*/"));

			if ((braces_open > 0) && INFORMIX_MODE) /* we're in a function */
				(yyval.str) = cat_str(3, adjust_outofscope_cursor_vars(this),
					mm_strdup("ECPG_informix_reset_sqlca();"),
					comment);
			else
				(yyval.str) = cat2_str(adjust_outofscope_cursor_vars(this), comment);
		}
    break;

  case 2419:

/* Line 1806 of yacc.c  */
#line 13489 "preproc.y"
    {
			  /* execute immediate means prepare the statement and
			   * immediately execute it */
			  (yyval.str) = (yyvsp[(3) - (3)].str);
			}
    break;

  case 2421:

/* Line 1806 of yacc.c  */
#line 13499 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2422:

/* Line 1806 of yacc.c  */
#line 13500 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2423:

/* Line 1806 of yacc.c  */
#line 13503 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2424:

/* Line 1806 of yacc.c  */
#line 13505 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2425:

/* Line 1806 of yacc.c  */
#line 13506 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2426:

/* Line 1806 of yacc.c  */
#line 13509 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2427:

/* Line 1806 of yacc.c  */
#line 13510 "preproc.y"
    { (yyval.str) = mm_strdup("year to minute"); }
    break;

  case 2428:

/* Line 1806 of yacc.c  */
#line 13511 "preproc.y"
    { (yyval.str) = mm_strdup("year to second"); }
    break;

  case 2429:

/* Line 1806 of yacc.c  */
#line 13512 "preproc.y"
    { (yyval.str) = mm_strdup("day to day"); }
    break;

  case 2430:

/* Line 1806 of yacc.c  */
#line 13513 "preproc.y"
    { (yyval.str) = mm_strdup("month to month"); }
    break;

  case 2431:

/* Line 1806 of yacc.c  */
#line 13520 "preproc.y"
    { fputs("/* exec sql begin declare section */", yyout); }
    break;

  case 2432:

/* Line 1806 of yacc.c  */
#line 13522 "preproc.y"
    {
			fprintf(yyout, "%s/* exec sql end declare section */", (yyvsp[(3) - (4)].str));
			free((yyvsp[(3) - (4)].str));
			output_line_number();
		}
    break;

  case 2433:

/* Line 1806 of yacc.c  */
#line 13529 "preproc.y"
    {}
    break;

  case 2434:

/* Line 1806 of yacc.c  */
#line 13531 "preproc.y"
    {}
    break;

  case 2435:

/* Line 1806 of yacc.c  */
#line 13533 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2436:

/* Line 1806 of yacc.c  */
#line 13534 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2437:

/* Line 1806 of yacc.c  */
#line 13537 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2438:

/* Line 1806 of yacc.c  */
#line 13538 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2439:

/* Line 1806 of yacc.c  */
#line 13539 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2440:

/* Line 1806 of yacc.c  */
#line 13540 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2441:

/* Line 1806 of yacc.c  */
#line 13543 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2442:

/* Line 1806 of yacc.c  */
#line 13544 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2443:

/* Line 1806 of yacc.c  */
#line 13548 "preproc.y"
    {
		/* reset this variable so we see if there was */
		/* an initializer specified */
		initializer = 0;
	}
    break;

  case 2444:

/* Line 1806 of yacc.c  */
#line 13554 "preproc.y"
    {
		add_typedef((yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(3) - (7)].type).type_enum, (yyvsp[(3) - (7)].type).type_dimension, (yyvsp[(3) - (7)].type).type_index, initializer, *(yyvsp[(4) - (7)].str) ? 1 : 0);

		fprintf(yyout, "typedef %s %s %s %s;\n", (yyvsp[(3) - (7)].type).type_str, *(yyvsp[(4) - (7)].str) ? "*" : "", (yyvsp[(5) - (7)].str), (yyvsp[(6) - (7)].index).str);
		output_line_number();
		(yyval.str) = mm_strdup("");
	}
    break;

  case 2445:

/* Line 1806 of yacc.c  */
#line 13564 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(2) - (2)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(2) - (2)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(2) - (2)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(2) - (2)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(2) - (2)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2446:

/* Line 1806 of yacc.c  */
#line 13574 "preproc.y"
    {
			(yyval.str) = cat_str(5, actual_startline[struct_level], (yyvsp[(1) - (5)].str), (yyvsp[(2) - (5)].type).type_str, (yyvsp[(4) - (5)].str), mm_strdup(";\n"));
		}
    break;

  case 2447:

/* Line 1806 of yacc.c  */
#line 13578 "preproc.y"
    {
			actual_type[struct_level].type_enum = (yyvsp[(1) - (1)].type).type_enum;
			actual_type[struct_level].type_str = (yyvsp[(1) - (1)].type).type_str;
			actual_type[struct_level].type_dimension = (yyvsp[(1) - (1)].type).type_dimension;
			actual_type[struct_level].type_index = (yyvsp[(1) - (1)].type).type_index;
			actual_type[struct_level].type_sizeof = (yyvsp[(1) - (1)].type).type_sizeof;

			actual_startline[struct_level] = hashline_number();
		}
    break;

  case 2448:

/* Line 1806 of yacc.c  */
#line 13588 "preproc.y"
    {
			(yyval.str) = cat_str(4, actual_startline[struct_level], (yyvsp[(1) - (4)].type).type_str, (yyvsp[(3) - (4)].str), mm_strdup(";\n"));
		}
    break;

  case 2449:

/* Line 1806 of yacc.c  */
#line 13592 "preproc.y"
    {
			(yyval.str) = cat2_str((yyvsp[(1) - (2)].str), mm_strdup(";"));
		}
    break;

  case 2450:

/* Line 1806 of yacc.c  */
#line 13597 "preproc.y"
    { (yyval.str) =cat2_str(mm_strdup(":"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2451:

/* Line 1806 of yacc.c  */
#line 13598 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2452:

/* Line 1806 of yacc.c  */
#line 13602 "preproc.y"
    {(yyval.str) = cat2_str ((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2453:

/* Line 1806 of yacc.c  */
#line 13603 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2454:

/* Line 1806 of yacc.c  */
#line 13604 "preproc.y"
    {(yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2455:

/* Line 1806 of yacc.c  */
#line 13607 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2456:

/* Line 1806 of yacc.c  */
#line 13608 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2457:

/* Line 1806 of yacc.c  */
#line 13609 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2458:

/* Line 1806 of yacc.c  */
#line 13610 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2459:

/* Line 1806 of yacc.c  */
#line 13613 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2460:

/* Line 1806 of yacc.c  */
#line 13614 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2461:

/* Line 1806 of yacc.c  */
#line 13618 "preproc.y"
    {
			(yyval.type).type_enum = (yyvsp[(1) - (1)].type_enum);
			(yyval.type).type_str = mm_strdup(ecpg_type_name((yyvsp[(1) - (1)].type_enum)));
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2462:

/* Line 1806 of yacc.c  */
#line 13626 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");

			if (strncmp((yyvsp[(1) - (1)].str), "struct", sizeof("struct")-1) == 0)
			{
				(yyval.type).type_enum = ECPGt_struct;
				(yyval.type).type_sizeof = ECPGstruct_sizeof;
			}
			else
			{
				(yyval.type).type_enum = ECPGt_union;
				(yyval.type).type_sizeof = NULL;
			}
		}
    break;

  case 2463:

/* Line 1806 of yacc.c  */
#line 13643 "preproc.y"
    {
			(yyval.type).type_str = (yyvsp[(1) - (1)].str);
			(yyval.type).type_enum = ECPGt_int;
			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2464:

/* Line 1806 of yacc.c  */
#line 13651 "preproc.y"
    {
			if (strcmp((yyvsp[(1) - (5)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}
			else if (strcmp((yyvsp[(1) - (5)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
			}
			else
			{
				mmerror(PARSE_ERROR, ET_ERROR, "only data types numeric and decimal have precision/scale argument");
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
			}

			(yyval.type).type_dimension = mm_strdup("-1");
			(yyval.type).type_index = mm_strdup("-1");
			(yyval.type).type_sizeof = NULL;
		}
    break;

  case 2465:

/* Line 1806 of yacc.c  */
#line 13674 "preproc.y"
    {
			if (strlen((yyvsp[(2) - (2)].str)) != 0 && strcmp ((yyvsp[(1) - (2)].str), "datetime") != 0 && strcmp ((yyvsp[(1) - (2)].str), "interval") != 0)
				mmerror (PARSE_ERROR, ET_ERROR, "interval specification not allowed here");

			/*
			 * Check for type names that the SQL grammar treats as
			 * unreserved keywords
			 */
			if (strcmp((yyvsp[(1) - (2)].str), "varchar") == 0)
			{
				(yyval.type).type_enum = ECPGt_varchar;
				(yyval.type).type_str = EMPTY; /*mm_strdup("varchar");*/
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "float") == 0)
			{
				(yyval.type).type_enum = ECPGt_float;
				(yyval.type).type_str = mm_strdup("float");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "double") == 0)
			{
				(yyval.type).type_enum = ECPGt_double;
				(yyval.type).type_str = mm_strdup("double");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "numeric") == 0)
			{
				(yyval.type).type_enum = ECPGt_numeric;
				(yyval.type).type_str = mm_strdup("numeric");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "decimal") == 0)
			{
				(yyval.type).type_enum = ECPGt_decimal;
				(yyval.type).type_str = mm_strdup("decimal");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "date") == 0)
			{
				(yyval.type).type_enum = ECPGt_date;
				(yyval.type).type_str = mm_strdup("date");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "timestamp") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "interval") == 0)
			{
				(yyval.type).type_enum = ECPGt_interval;
				(yyval.type).type_str = mm_strdup("interval");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if (strcmp((yyvsp[(1) - (2)].str), "datetime") == 0)
			{
				(yyval.type).type_enum = ECPGt_timestamp;
				(yyval.type).type_str = mm_strdup("timestamp");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else if ((strcmp((yyvsp[(1) - (2)].str), "string") == 0) && INFORMIX_MODE)
			{
				(yyval.type).type_enum = ECPGt_string;
				(yyval.type).type_str = mm_strdup("char");
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = NULL;
			}
			else
			{
				/* this is for typedef'ed types */
				struct typedefs *this = get_typedef((yyvsp[(1) - (2)].str));

				(yyval.type).type_str = (this->type->type_enum == ECPGt_varchar) ? EMPTY : mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				if (this->type->type_sizeof && strlen(this->type->type_sizeof) != 0)
					(yyval.type).type_sizeof = this->type->type_sizeof;
				else
					(yyval.type).type_sizeof = cat_str(3, mm_strdup("sizeof("), mm_strdup(this->name), mm_strdup(")"));

				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
			}
		}
    break;

  case 2466:

/* Line 1806 of yacc.c  */
#line 13780 "preproc.y"
    {
			/* this is for named structs/unions */
			char *name;
			struct typedefs *this;
			bool forward = (forward_name != NULL && strcmp((yyvsp[(1) - (1)].struct_union).symbol, forward_name) == 0 && strcmp((yyvsp[(1) - (1)].struct_union).su, "struct") == 0);

			name = cat2_str((yyvsp[(1) - (1)].struct_union).su, (yyvsp[(1) - (1)].struct_union).symbol);
			/* Do we have a forward definition? */
			if (!forward)
			{
				/* No */

				this = get_typedef(name);
				(yyval.type).type_str = mm_strdup(this->name);
				(yyval.type).type_enum = this->type->type_enum;
				(yyval.type).type_dimension = this->type->type_dimension;
				(yyval.type).type_index = this->type->type_index;
				(yyval.type).type_sizeof = this->type->type_sizeof;
				struct_member_list[struct_level] = ECPGstruct_member_dup(this->struct_member_list);
				free(name);
			}
			else
			{
				(yyval.type).type_str = name;
				(yyval.type).type_enum = ECPGt_long;
				(yyval.type).type_dimension = mm_strdup("-1");
				(yyval.type).type_index = mm_strdup("-1");
				(yyval.type).type_sizeof = mm_strdup("");
				struct_member_list[struct_level] = NULL;
			}
		}
    break;

  case 2467:

/* Line 1806 of yacc.c  */
#line 13814 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("enum"), (yyvsp[(2) - (3)].str), (yyvsp[(3) - (3)].str)); }
    break;

  case 2468:

/* Line 1806 of yacc.c  */
#line 13816 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2469:

/* Line 1806 of yacc.c  */
#line 13818 "preproc.y"
    { (yyval.str) = cat2_str(mm_strdup("enum"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2470:

/* Line 1806 of yacc.c  */
#line 13822 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2471:

/* Line 1806 of yacc.c  */
#line 13825 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
			forward_name = mm_strdup((yyvsp[(1) - (1)].struct_union).symbol);
		}
    break;

  case 2472:

/* Line 1806 of yacc.c  */
#line 13832 "preproc.y"
    {
			struct typedefs *ptr, *this;
			struct this_type su_type;

			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			if (strncmp((yyvsp[(1) - (5)].struct_union).su, "struct", sizeof("struct")-1) == 0)
				su_type.type_enum = ECPGt_struct;
			else
				su_type.type_enum = ECPGt_union;
			su_type.type_str = cat2_str((yyvsp[(1) - (5)].struct_union).su, (yyvsp[(1) - (5)].struct_union).symbol);
			free(forward_name);
			forward_name = NULL;

			/* This is essantially a typedef but needs the keyword struct/union as well.
			 * So we create the typedef for each struct definition with symbol */
			for (ptr = types; ptr != NULL; ptr = ptr->next)
			{
					if (strcmp(su_type.type_str, ptr->name) == 0)
							/* re-definition is a bug */
							mmerror(PARSE_ERROR, ET_ERROR, "type \"%s\" is already defined", su_type.type_str);
			}

			this = (struct typedefs *) mm_alloc(sizeof(struct typedefs));

			/* initial definition */
			this->next = types;
			this->name = mm_strdup(su_type.type_str);
			this->brace_level = braces_open;
			this->type = (struct this_type *) mm_alloc(sizeof(struct this_type));
			this->type->type_enum = su_type.type_enum;
			this->type->type_str = mm_strdup(su_type.type_str);
			this->type->type_dimension = mm_strdup("-1"); /* dimension of array */
			this->type->type_index = mm_strdup("-1");	/* length of string */
			this->type->type_sizeof = ECPGstruct_sizeof;
			this->struct_member_list = struct_member_list[struct_level];

			types = this;
			(yyval.str) = cat_str(4, su_type.type_str, mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2473:

/* Line 1806 of yacc.c  */
#line 13875 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2474:

/* Line 1806 of yacc.c  */
#line 13877 "preproc.y"
    {
			struct_member_list[struct_level++] = NULL;
			if (struct_level >= STRUCT_DEPTH)
				 mmerror(PARSE_ERROR, ET_ERROR, "too many levels in nested structure/union definition");
		}
    break;

  case 2475:

/* Line 1806 of yacc.c  */
#line 13883 "preproc.y"
    {
			ECPGfree_struct_member(struct_member_list[struct_level]);
			struct_member_list[struct_level] = NULL;
			struct_level--;
			(yyval.str) = cat_str(4, (yyvsp[(1) - (5)].str), mm_strdup("{"), (yyvsp[(4) - (5)].str), mm_strdup("}"));
		}
    break;

  case 2476:

/* Line 1806 of yacc.c  */
#line 13892 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("struct");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
			ECPGstruct_sizeof = cat_str(3, mm_strdup("sizeof("), cat2_str(mm_strdup((yyval.struct_union).su), mm_strdup((yyval.struct_union).symbol)), mm_strdup(")"));
		}
    break;

  case 2477:

/* Line 1806 of yacc.c  */
#line 13898 "preproc.y"
    {
			(yyval.struct_union).su = mm_strdup("union");
			(yyval.struct_union).symbol = (yyvsp[(2) - (2)].str);
		}
    break;

  case 2478:

/* Line 1806 of yacc.c  */
#line 13905 "preproc.y"
    {
			ECPGstruct_sizeof = mm_strdup(""); /* This must not be NULL to distinguish from simple types. */
			(yyval.str) = mm_strdup("struct");
		}
    break;

  case 2479:

/* Line 1806 of yacc.c  */
#line 13910 "preproc.y"
    {
			(yyval.str) = mm_strdup("union");
		}
    break;

  case 2480:

/* Line 1806 of yacc.c  */
#line 13915 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(1) - (1)].type_enum); }
    break;

  case 2481:

/* Line 1806 of yacc.c  */
#line 13916 "preproc.y"
    { (yyval.type_enum)=(yyvsp[(2) - (2)].type_enum); }
    break;

  case 2482:

/* Line 1806 of yacc.c  */
#line 13919 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2483:

/* Line 1806 of yacc.c  */
#line 13920 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_short; }
    break;

  case 2484:

/* Line 1806 of yacc.c  */
#line 13921 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2485:

/* Line 1806 of yacc.c  */
#line 13922 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_int; }
    break;

  case 2486:

/* Line 1806 of yacc.c  */
#line 13923 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2487:

/* Line 1806 of yacc.c  */
#line 13924 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_long; }
    break;

  case 2488:

/* Line 1806 of yacc.c  */
#line 13926 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2489:

/* Line 1806 of yacc.c  */
#line 13934 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_unsigned_long_long;
#else
			(yyval.type_enum) = ECPGt_unsigned_long;
#endif
		}
    break;

  case 2490:

/* Line 1806 of yacc.c  */
#line 13941 "preproc.y"
    { (yyval.type_enum) = ECPGt_unsigned_char; }
    break;

  case 2491:

/* Line 1806 of yacc.c  */
#line 13944 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2492:

/* Line 1806 of yacc.c  */
#line 13945 "preproc.y"
    { (yyval.type_enum) = ECPGt_short; }
    break;

  case 2493:

/* Line 1806 of yacc.c  */
#line 13946 "preproc.y"
    { (yyval.type_enum) = ECPGt_int; }
    break;

  case 2494:

/* Line 1806 of yacc.c  */
#line 13947 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2495:

/* Line 1806 of yacc.c  */
#line 13948 "preproc.y"
    { (yyval.type_enum) = ECPGt_long; }
    break;

  case 2496:

/* Line 1806 of yacc.c  */
#line 13950 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2497:

/* Line 1806 of yacc.c  */
#line 13958 "preproc.y"
    {
#ifdef HAVE_LONG_LONG_INT
			(yyval.type_enum) = ECPGt_long_long;
#else
			(yyval.type_enum) = ECPGt_long;
#endif
		}
    break;

  case 2498:

/* Line 1806 of yacc.c  */
#line 13965 "preproc.y"
    { (yyval.type_enum) = ECPGt_bool; }
    break;

  case 2499:

/* Line 1806 of yacc.c  */
#line 13966 "preproc.y"
    { (yyval.type_enum) = ECPGt_char; }
    break;

  case 2500:

/* Line 1806 of yacc.c  */
#line 13967 "preproc.y"
    { (yyval.type_enum) = ECPGt_double; }
    break;

  case 2503:

/* Line 1806 of yacc.c  */
#line 13975 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2504:

/* Line 1806 of yacc.c  */
#line 13977 "preproc.y"
    {
			if (actual_type[struct_level].type_enum == ECPGt_varchar)
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(";"), (yyvsp[(3) - (3)].str));
			else
				(yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2505:

/* Line 1806 of yacc.c  */
#line 13986 "preproc.y"
    {
			struct ECPGtype * type;
			char *dimension = (yyvsp[(3) - (5)].index).index1;	/* dimension of array */
			char *length = (yyvsp[(3) - (5)].index).index2;		/* length of string */
			char *dim_str;
			char *vcn;

			adjust_array(actual_type[struct_level].type_enum, &dimension, &length, actual_type[struct_level].type_dimension, actual_type[struct_level].type_index, strlen((yyvsp[(1) - (5)].str)), false);

			switch (actual_type[struct_level].type_enum)
			{
				case ECPGt_struct:
				case ECPGt_union:
					if (atoi(dimension) < 0)
						type = ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof);
					else
						type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], actual_type[struct_level].type_enum, actual_type[struct_level].type_str, actual_type[struct_level].type_sizeof), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				case ECPGt_varchar:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, varchar_counter), dimension);

					if (strcmp(dimension, "0") == 0 || abs(atoi(dimension)) == 1)
							dim_str=mm_strdup("");
					else
							dim_str=cat_str(3, mm_strdup("["), mm_strdup(dimension), mm_strdup("]"));
					/* cannot check for atoi <= 0 because a defined constant will yield 0 here as well */
					if (atoi(length) < 0 || strcmp(length, "0") == 0)
						mmerror(PARSE_ERROR, ET_ERROR, "pointers to varchar are not implemented");

					/* make sure varchar struct name is unique by adding a unique counter to its definition */
					vcn = (char *) mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
					sprintf(vcn, "%d", varchar_counter);
					if (strcmp(dimension, "0") == 0)
						(yyval.str) = cat_str(7, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } *"), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					else
						(yyval.str) = cat_str(8, make2_str(mm_strdup(" struct varchar_"), vcn), mm_strdup(" { int len; char arr["), mm_strdup(length), mm_strdup("]; } "), mm_strdup((yyvsp[(2) - (5)].str)), dim_str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					varchar_counter++;
					break;

				case ECPGt_char:
				case ECPGt_unsigned_char:
				case ECPGt_string:
					if (atoi(dimension) == -1)
					{
						int i = strlen((yyvsp[(5) - (5)].str));

						if (atoi(length) == -1 && i > 0) /* char <var>[] = "string" */
						{
							/* if we have an initializer but no string size set, let's use the initializer's length */
							free(length);
							length = mm_alloc(i+sizeof("sizeof()"));
							sprintf(length, "sizeof(%s)", (yyvsp[(5) - (5)].str)+2);
						}
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0);
					}
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, length, 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;

				default:
					if (atoi(dimension) < 0)
						type = ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0);
					else
						type = ECPGmake_array_type(ECPGmake_simple_type(actual_type[struct_level].type_enum, mm_strdup("1"), 0), dimension);

					(yyval.str) = cat_str(5, (yyvsp[(1) - (5)].str), mm_strdup((yyvsp[(2) - (5)].str)), (yyvsp[(3) - (5)].index).str, (yyvsp[(4) - (5)].str), (yyvsp[(5) - (5)].str));
					break;
			}

			if (struct_level == 0)
				new_variable((yyvsp[(2) - (5)].str), type, braces_open);
			else
				ECPGmake_struct_member((yyvsp[(2) - (5)].str), type, &(struct_member_list[struct_level - 1]));

			free((yyvsp[(2) - (5)].str));
		}
    break;

  case 2506:

/* Line 1806 of yacc.c  */
#line 14073 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2507:

/* Line 1806 of yacc.c  */
#line 14075 "preproc.y"
    {
			initializer = 1;
			(yyval.str) = cat2_str(mm_strdup("="), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2508:

/* Line 1806 of yacc.c  */
#line 14081 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2509:

/* Line 1806 of yacc.c  */
#line 14082 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2510:

/* Line 1806 of yacc.c  */
#line 14083 "preproc.y"
    { (yyval.str) = mm_strdup("**"); }
    break;

  case 2511:

/* Line 1806 of yacc.c  */
#line 14090 "preproc.y"
    {
			/* this is only supported for compatibility */
			(yyval.str) = cat_str(3, mm_strdup("/* declare statement"), (yyvsp[(3) - (3)].str), mm_strdup("*/"));
		}
    break;

  case 2512:

/* Line 1806 of yacc.c  */
#line 14098 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2513:

/* Line 1806 of yacc.c  */
#line 14101 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2514:

/* Line 1806 of yacc.c  */
#line 14102 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2515:

/* Line 1806 of yacc.c  */
#line 14103 "preproc.y"
    { (yyval.str) = mm_strdup("\"ALL\""); }
    break;

  case 2516:

/* Line 1806 of yacc.c  */
#line 14104 "preproc.y"
    { (yyval.str) = mm_strdup("\"CURRENT\""); }
    break;

  case 2517:

/* Line 1806 of yacc.c  */
#line 14107 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2518:

/* Line 1806 of yacc.c  */
#line 14108 "preproc.y"
    { (yyval.str) = mm_strdup("\"DEFAULT\""); }
    break;

  case 2519:

/* Line 1806 of yacc.c  */
#line 14109 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2520:

/* Line 1806 of yacc.c  */
#line 14113 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2521:

/* Line 1806 of yacc.c  */
#line 14115 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2522:

/* Line 1806 of yacc.c  */
#line 14122 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2523:

/* Line 1806 of yacc.c  */
#line 14123 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2524:

/* Line 1806 of yacc.c  */
#line 14130 "preproc.y"
    {
			if ((yyvsp[(2) - (3)].str)[0] == ':')
				remove_variable_from_list(&argsinsert, find_variable((yyvsp[(2) - (3)].str) + 1));
			(yyval.str) = (yyvsp[(2) - (3)].str);
		}
    break;

  case 2525:

/* Line 1806 of yacc.c  */
#line 14137 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2526:

/* Line 1806 of yacc.c  */
#line 14138 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2527:

/* Line 1806 of yacc.c  */
#line 14141 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2528:

/* Line 1806 of yacc.c  */
#line 14142 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2529:

/* Line 1806 of yacc.c  */
#line 14146 "preproc.y"
    {
			add_variable_to_head(&argsinsert, descriptor_variable((yyvsp[(4) - (4)].str),0), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2530:

/* Line 1806 of yacc.c  */
#line 14151 "preproc.y"
    {
			add_variable_to_head(&argsinsert, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2531:

/* Line 1806 of yacc.c  */
#line 14158 "preproc.y"
    {
			add_variable_to_head(&argsresult, descriptor_variable((yyvsp[(4) - (4)].str),1), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2532:

/* Line 1806 of yacc.c  */
#line 14163 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(3) - (3)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2533:

/* Line 1806 of yacc.c  */
#line 14170 "preproc.y"
    {
			add_variable_to_head(&argsresult, sqlda_variable((yyvsp[(2) - (2)].str)), &no_indicator);
			(yyval.str) = EMPTY;
		}
    break;

  case 2536:

/* Line 1806 of yacc.c  */
#line 14179 "preproc.y"
    {
			char *length = mm_alloc(32);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			add_variable_to_head(&argsinsert, new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0), &no_indicator);
		}
    break;

  case 2537:

/* Line 1806 of yacc.c  */
#line 14185 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2538:

/* Line 1806 of yacc.c  */
#line 14186 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2539:

/* Line 1806 of yacc.c  */
#line 14189 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2540:

/* Line 1806 of yacc.c  */
#line 14190 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2541:

/* Line 1806 of yacc.c  */
#line 14191 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2542:

/* Line 1806 of yacc.c  */
#line 14192 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2543:

/* Line 1806 of yacc.c  */
#line 14193 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("+"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2544:

/* Line 1806 of yacc.c  */
#line 14194 "preproc.y"
    { (yyval.str) = cat_str(2, mm_strdup("-"), (yyvsp[(2) - (2)].str)); }
    break;

  case 2545:

/* Line 1806 of yacc.c  */
#line 14195 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2546:

/* Line 1806 of yacc.c  */
#line 14196 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2547:

/* Line 1806 of yacc.c  */
#line 14197 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2548:

/* Line 1806 of yacc.c  */
#line 14204 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2549:

/* Line 1806 of yacc.c  */
#line 14211 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);

		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2550:

/* Line 1806 of yacc.c  */
#line 14223 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2551:

/* Line 1806 of yacc.c  */
#line 14229 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		mmerror(PARSE_ERROR, ET_WARNING, "using unsupported DESCRIBE statement");
		(yyval.str) = (char *) mm_alloc(sizeof("1, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "1, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2552:

/* Line 1806 of yacc.c  */
#line 14236 "preproc.y"
    {
		const char *con = connection ? connection : "NULL";
		(yyval.str) = (char *) mm_alloc(sizeof("0, , ") + strlen(con) + strlen((yyvsp[(3) - (4)].str)));
		sprintf((yyval.str), "0, %s, %s", con, (yyvsp[(3) - (4)].str));
	}
    break;

  case 2553:

/* Line 1806 of yacc.c  */
#line 14243 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2554:

/* Line 1806 of yacc.c  */
#line 14244 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2555:

/* Line 1806 of yacc.c  */
#line 14257 "preproc.y"
    {
			add_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2556:

/* Line 1806 of yacc.c  */
#line 14268 "preproc.y"
    {
			drop_descriptor((yyvsp[(3) - (3)].str),connection);
			(yyval.str) = (yyvsp[(3) - (3)].str);
		}
    break;

  case 2557:

/* Line 1806 of yacc.c  */
#line 14279 "preproc.y"
    {  (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2560:

/* Line 1806 of yacc.c  */
#line 14287 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2561:

/* Line 1806 of yacc.c  */
#line 14292 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (4)].str); }
    break;

  case 2564:

/* Line 1806 of yacc.c  */
#line 14300 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2565:

/* Line 1806 of yacc.c  */
#line 14306 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2566:

/* Line 1806 of yacc.c  */
#line 14314 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2567:

/* Line 1806 of yacc.c  */
#line 14319 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_count; }
    break;

  case 2568:

/* Line 1806 of yacc.c  */
#line 14327 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2571:

/* Line 1806 of yacc.c  */
#line 14334 "preproc.y"
    { push_assignment((yyvsp[(1) - (3)].str), (yyvsp[(3) - (3)].dtype_enum)); }
    break;

  case 2572:

/* Line 1806 of yacc.c  */
#line 14338 "preproc.y"
    {  (yyval.descriptor).str = (yyvsp[(5) - (6)].str); (yyval.descriptor).name = (yyvsp[(3) - (6)].str); }
    break;

  case 2575:

/* Line 1806 of yacc.c  */
#line 14346 "preproc.y"
    {
			push_assignment((yyvsp[(3) - (3)].str), (yyvsp[(1) - (3)].dtype_enum));
		}
    break;

  case 2576:

/* Line 1806 of yacc.c  */
#line 14352 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);

			sprintf(length, "%d", (int) strlen((yyvsp[(1) - (1)].str)));
			new_variable((yyvsp[(1) - (1)].str), ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2577:

/* Line 1806 of yacc.c  */
#line 14361 "preproc.y"
    {
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2578:

/* Line 1806 of yacc.c  */
#line 14366 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2579:

/* Line 1806 of yacc.c  */
#line 14376 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = cat2_str(mm_strdup("-"), (yyvsp[(2) - (2)].str));

			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2580:

/* Line 1806 of yacc.c  */
#line 14386 "preproc.y"
    {
			char *length = mm_alloc(sizeof(int) * CHAR_BIT * 10 / 3);
			char *var = (yyvsp[(1) - (1)].str) + 1;

			var[strlen(var) - 1] = '\0';
			sprintf(length, "%d", (int) strlen(var));
			new_variable(var, ECPGmake_simple_type(ECPGt_const, length, 0), 0);
			(yyval.str) = var;
		}
    break;

  case 2581:

/* Line 1806 of yacc.c  */
#line 14397 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_cardinality; }
    break;

  case 2582:

/* Line 1806 of yacc.c  */
#line 14398 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_data; }
    break;

  case 2583:

/* Line 1806 of yacc.c  */
#line 14399 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_code; }
    break;

  case 2584:

/* Line 1806 of yacc.c  */
#line 14400 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_di_precision; }
    break;

  case 2585:

/* Line 1806 of yacc.c  */
#line 14401 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_indicator; }
    break;

  case 2586:

/* Line 1806 of yacc.c  */
#line 14402 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_key_member; }
    break;

  case 2587:

/* Line 1806 of yacc.c  */
#line 14403 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2588:

/* Line 1806 of yacc.c  */
#line 14404 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_name; }
    break;

  case 2589:

/* Line 1806 of yacc.c  */
#line 14405 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_nullable; }
    break;

  case 2590:

/* Line 1806 of yacc.c  */
#line 14406 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_octet; }
    break;

  case 2591:

/* Line 1806 of yacc.c  */
#line 14407 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_precision; }
    break;

  case 2592:

/* Line 1806 of yacc.c  */
#line 14408 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_length; }
    break;

  case 2593:

/* Line 1806 of yacc.c  */
#line 14409 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_ret_octet; }
    break;

  case 2594:

/* Line 1806 of yacc.c  */
#line 14410 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_scale; }
    break;

  case 2595:

/* Line 1806 of yacc.c  */
#line 14411 "preproc.y"
    { (yyval.dtype_enum) = ECPGd_type; }
    break;

  case 2596:

/* Line 1806 of yacc.c  */
#line 14418 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2597:

/* Line 1806 of yacc.c  */
#line 14419 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2598:

/* Line 1806 of yacc.c  */
#line 14422 "preproc.y"
    { (yyval.str) = mm_strdup("on"); }
    break;

  case 2599:

/* Line 1806 of yacc.c  */
#line 14423 "preproc.y"
    { (yyval.str) = mm_strdup("off"); }
    break;

  case 2600:

/* Line 1806 of yacc.c  */
#line 14430 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2601:

/* Line 1806 of yacc.c  */
#line 14431 "preproc.y"
    { (yyval.str) = (yyvsp[(4) - (4)].str); }
    break;

  case 2602:

/* Line 1806 of yacc.c  */
#line 14432 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2603:

/* Line 1806 of yacc.c  */
#line 14439 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2604:

/* Line 1806 of yacc.c  */
#line 14445 "preproc.y"
    {
			add_typedef((yyvsp[(3) - (7)].str), (yyvsp[(6) - (7)].index).index1, (yyvsp[(6) - (7)].index).index2, (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, initializer, *(yyvsp[(7) - (7)].str) ? 1 : 0);

			if (auto_create_c == false)
				(yyval.str) = cat_str(7, mm_strdup("/* exec sql type"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
			else
				(yyval.str) = cat_str(6, mm_strdup("typedef "), mm_strdup((yyvsp[(5) - (7)].type).type_str), *(yyvsp[(7) - (7)].str)?mm_strdup("*"):mm_strdup(""), mm_strdup((yyvsp[(6) - (7)].index).str), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup(";"));
		}
    break;

  case 2605:

/* Line 1806 of yacc.c  */
#line 14455 "preproc.y"
    { (yyval.str) = mm_strdup("reference"); }
    break;

  case 2606:

/* Line 1806 of yacc.c  */
#line 14456 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2607:

/* Line 1806 of yacc.c  */
#line 14463 "preproc.y"
    {
			/* reset this variable so we see if there was */
			/* an initializer specified */
			initializer = 0;
		}
    break;

  case 2608:

/* Line 1806 of yacc.c  */
#line 14469 "preproc.y"
    {
			struct variable *p = find_variable((yyvsp[(3) - (7)].str));
			char *dimension = (yyvsp[(6) - (7)].index).index1;
			char *length = (yyvsp[(6) - (7)].index).index2;
			struct ECPGtype * type;

			if (((yyvsp[(5) - (7)].type).type_enum == ECPGt_struct ||
				 (yyvsp[(5) - (7)].type).type_enum == ECPGt_union) &&
				initializer == 1)
				mmerror(PARSE_ERROR, ET_ERROR, "initializer not allowed in EXEC SQL VAR command");
			else
			{
				adjust_array((yyvsp[(5) - (7)].type).type_enum, &dimension, &length, (yyvsp[(5) - (7)].type).type_dimension, (yyvsp[(5) - (7)].type).type_index, *(yyvsp[(7) - (7)].str)?1:0, false);

				switch ((yyvsp[(5) - (7)].type).type_enum)
				{
					case ECPGt_struct:
					case ECPGt_union:
						if (atoi(dimension) < 0)
							type = ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof);
						else
							type = ECPGmake_array_type(ECPGmake_struct_type(struct_member_list[struct_level], (yyvsp[(5) - (7)].type).type_enum, (yyvsp[(5) - (7)].type).type_str, (yyvsp[(5) - (7)].type).type_sizeof), dimension);
						break;

					case ECPGt_varchar:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					case ECPGt_char:
					case ECPGt_unsigned_char:
					case ECPGt_string:
						if (atoi(dimension) == -1)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, length, 0), dimension);
						break;

					default:
						if (atoi(length) >= 0)
							mmerror(PARSE_ERROR, ET_ERROR, "multidimensional arrays for simple data types are not supported");

						if (atoi(dimension) < 0)
							type = ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0);
						else
							type = ECPGmake_array_type(ECPGmake_simple_type((yyvsp[(5) - (7)].type).type_enum, mm_strdup("1"), 0), dimension);
						break;
				}

				ECPGfree_type(p->type);
				p->type = type;
			}

			(yyval.str) = cat_str(7, mm_strdup("/* exec sql var"), mm_strdup((yyvsp[(3) - (7)].str)), mm_strdup("is"), mm_strdup((yyvsp[(5) - (7)].type).type_str), mm_strdup((yyvsp[(6) - (7)].index).str), (yyvsp[(7) - (7)].str), mm_strdup("*/"));
		}
    break;

  case 2609:

/* Line 1806 of yacc.c  */
#line 14533 "preproc.y"
    {
			when_error.code = (yyvsp[(3) - (3)].action).code;
			when_error.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sqlerror "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2610:

/* Line 1806 of yacc.c  */
#line 14539 "preproc.y"
    {
			when_nf.code = (yyvsp[(4) - (4)].action).code;
			when_nf.command = (yyvsp[(4) - (4)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever not found "), (yyvsp[(4) - (4)].action).str, mm_strdup("; */"));
		}
    break;

  case 2611:

/* Line 1806 of yacc.c  */
#line 14545 "preproc.y"
    {
			when_warn.code = (yyvsp[(3) - (3)].action).code;
			when_warn.command = (yyvsp[(3) - (3)].action).command;
			(yyval.str) = cat_str(3, mm_strdup("/* exec sql whenever sql_warning "), (yyvsp[(3) - (3)].action).str, mm_strdup("; */"));
		}
    break;

  case 2612:

/* Line 1806 of yacc.c  */
#line 14553 "preproc.y"
    {
			(yyval.action).code = W_NOTHING;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("continue");
		}
    break;

  case 2613:

/* Line 1806 of yacc.c  */
#line 14559 "preproc.y"
    {
			(yyval.action).code = W_SQLPRINT;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("sqlprint");
		}
    break;

  case 2614:

/* Line 1806 of yacc.c  */
#line 14565 "preproc.y"
    {
			(yyval.action).code = W_STOP;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("stop");
		}
    break;

  case 2615:

/* Line 1806 of yacc.c  */
#line 14571 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[(2) - (2)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(2) - (2)].str));
		}
    break;

  case 2616:

/* Line 1806 of yacc.c  */
#line 14577 "preproc.y"
    {
			(yyval.action).code = W_GOTO;
			(yyval.action).command = mm_strdup((yyvsp[(3) - (3)].str));
			(yyval.action).str = cat2_str(mm_strdup("goto "), (yyvsp[(3) - (3)].str));
		}
    break;

  case 2617:

/* Line 1806 of yacc.c  */
#line 14583 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("do"), mm_strdup((yyval.action).command));
		}
    break;

  case 2618:

/* Line 1806 of yacc.c  */
#line 14589 "preproc.y"
    {
			(yyval.action).code = W_BREAK;
			(yyval.action).command = NULL;
			(yyval.action).str = mm_strdup("break");
		}
    break;

  case 2619:

/* Line 1806 of yacc.c  */
#line 14595 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat_str(4, (yyvsp[(2) - (5)].str), mm_strdup("("), (yyvsp[(4) - (5)].str), mm_strdup(")"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2620:

/* Line 1806 of yacc.c  */
#line 14601 "preproc.y"
    {
			(yyval.action).code = W_DO;
			(yyval.action).command = cat2_str((yyvsp[(2) - (2)].str), mm_strdup("()"));
			(yyval.action).str = cat2_str(mm_strdup("call"), mm_strdup((yyval.action).command));
		}
    break;

  case 2621:

/* Line 1806 of yacc.c  */
#line 14611 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2622:

/* Line 1806 of yacc.c  */
#line 14612 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2623:

/* Line 1806 of yacc.c  */
#line 14615 "preproc.y"
    { (yyval.str) = mm_strdup("break"); }
    break;

  case 2624:

/* Line 1806 of yacc.c  */
#line 14616 "preproc.y"
    { (yyval.str) = mm_strdup("call"); }
    break;

  case 2625:

/* Line 1806 of yacc.c  */
#line 14617 "preproc.y"
    { (yyval.str) = mm_strdup("cardinality"); }
    break;

  case 2626:

/* Line 1806 of yacc.c  */
#line 14618 "preproc.y"
    { (yyval.str) = mm_strdup("count"); }
    break;

  case 2627:

/* Line 1806 of yacc.c  */
#line 14619 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_code"); }
    break;

  case 2628:

/* Line 1806 of yacc.c  */
#line 14620 "preproc.y"
    { (yyval.str) = mm_strdup("datetime_interval_precision"); }
    break;

  case 2629:

/* Line 1806 of yacc.c  */
#line 14621 "preproc.y"
    { (yyval.str) = mm_strdup("found"); }
    break;

  case 2630:

/* Line 1806 of yacc.c  */
#line 14622 "preproc.y"
    { (yyval.str) = mm_strdup("go"); }
    break;

  case 2631:

/* Line 1806 of yacc.c  */
#line 14623 "preproc.y"
    { (yyval.str) = mm_strdup("goto"); }
    break;

  case 2632:

/* Line 1806 of yacc.c  */
#line 14624 "preproc.y"
    { (yyval.str) = mm_strdup("identified"); }
    break;

  case 2633:

/* Line 1806 of yacc.c  */
#line 14625 "preproc.y"
    { (yyval.str) = mm_strdup("indicator"); }
    break;

  case 2634:

/* Line 1806 of yacc.c  */
#line 14626 "preproc.y"
    { (yyval.str) = mm_strdup("key_member"); }
    break;

  case 2635:

/* Line 1806 of yacc.c  */
#line 14627 "preproc.y"
    { (yyval.str) = mm_strdup("length"); }
    break;

  case 2636:

/* Line 1806 of yacc.c  */
#line 14628 "preproc.y"
    { (yyval.str) = mm_strdup("nullable"); }
    break;

  case 2637:

/* Line 1806 of yacc.c  */
#line 14629 "preproc.y"
    { (yyval.str) = mm_strdup("octet_length"); }
    break;

  case 2638:

/* Line 1806 of yacc.c  */
#line 14630 "preproc.y"
    { (yyval.str) = mm_strdup("returned_length"); }
    break;

  case 2639:

/* Line 1806 of yacc.c  */
#line 14631 "preproc.y"
    { (yyval.str) = mm_strdup("returned_octet_length"); }
    break;

  case 2640:

/* Line 1806 of yacc.c  */
#line 14632 "preproc.y"
    { (yyval.str) = mm_strdup("scale"); }
    break;

  case 2641:

/* Line 1806 of yacc.c  */
#line 14633 "preproc.y"
    { (yyval.str) = mm_strdup("section"); }
    break;

  case 2642:

/* Line 1806 of yacc.c  */
#line 14634 "preproc.y"
    { (yyval.str) = mm_strdup("sql"); }
    break;

  case 2643:

/* Line 1806 of yacc.c  */
#line 14635 "preproc.y"
    { (yyval.str) = mm_strdup("sqlerror"); }
    break;

  case 2644:

/* Line 1806 of yacc.c  */
#line 14636 "preproc.y"
    { (yyval.str) = mm_strdup("sqlprint"); }
    break;

  case 2645:

/* Line 1806 of yacc.c  */
#line 14637 "preproc.y"
    { (yyval.str) = mm_strdup("sqlwarning"); }
    break;

  case 2646:

/* Line 1806 of yacc.c  */
#line 14638 "preproc.y"
    { (yyval.str) = mm_strdup("stop"); }
    break;

  case 2647:

/* Line 1806 of yacc.c  */
#line 14641 "preproc.y"
    { (yyval.str) = mm_strdup("connect"); }
    break;

  case 2648:

/* Line 1806 of yacc.c  */
#line 14642 "preproc.y"
    { (yyval.str) = mm_strdup("describe"); }
    break;

  case 2649:

/* Line 1806 of yacc.c  */
#line 14643 "preproc.y"
    { (yyval.str) = mm_strdup("disconnect"); }
    break;

  case 2650:

/* Line 1806 of yacc.c  */
#line 14644 "preproc.y"
    { (yyval.str) = mm_strdup("open"); }
    break;

  case 2651:

/* Line 1806 of yacc.c  */
#line 14645 "preproc.y"
    { (yyval.str) = mm_strdup("var"); }
    break;

  case 2652:

/* Line 1806 of yacc.c  */
#line 14646 "preproc.y"
    { (yyval.str) = mm_strdup("whenever"); }
    break;

  case 2653:

/* Line 1806 of yacc.c  */
#line 14650 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2654:

/* Line 1806 of yacc.c  */
#line 14651 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2655:

/* Line 1806 of yacc.c  */
#line 14652 "preproc.y"
    { (yyval.str) = mm_strdup("output"); }
    break;

  case 2656:

/* Line 1806 of yacc.c  */
#line 14653 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2657:

/* Line 1806 of yacc.c  */
#line 14654 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2658:

/* Line 1806 of yacc.c  */
#line 14655 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2659:

/* Line 1806 of yacc.c  */
#line 14656 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2660:

/* Line 1806 of yacc.c  */
#line 14659 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2661:

/* Line 1806 of yacc.c  */
#line 14662 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2662:

/* Line 1806 of yacc.c  */
#line 14663 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2663:

/* Line 1806 of yacc.c  */
#line 14664 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2664:

/* Line 1806 of yacc.c  */
#line 14665 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2665:

/* Line 1806 of yacc.c  */
#line 14666 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2666:

/* Line 1806 of yacc.c  */
#line 14667 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2667:

/* Line 1806 of yacc.c  */
#line 14668 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2668:

/* Line 1806 of yacc.c  */
#line 14669 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2669:

/* Line 1806 of yacc.c  */
#line 14682 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2670:

/* Line 1806 of yacc.c  */
#line 14683 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2671:

/* Line 1806 of yacc.c  */
#line 14684 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2672:

/* Line 1806 of yacc.c  */
#line 14685 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2673:

/* Line 1806 of yacc.c  */
#line 14686 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2674:

/* Line 1806 of yacc.c  */
#line 14687 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2675:

/* Line 1806 of yacc.c  */
#line 14688 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2676:

/* Line 1806 of yacc.c  */
#line 14693 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2677:

/* Line 1806 of yacc.c  */
#line 14694 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2678:

/* Line 1806 of yacc.c  */
#line 14695 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2679:

/* Line 1806 of yacc.c  */
#line 14696 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2680:

/* Line 1806 of yacc.c  */
#line 14697 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2681:

/* Line 1806 of yacc.c  */
#line 14698 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2682:

/* Line 1806 of yacc.c  */
#line 14704 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2683:

/* Line 1806 of yacc.c  */
#line 14705 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2684:

/* Line 1806 of yacc.c  */
#line 14706 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2685:

/* Line 1806 of yacc.c  */
#line 14707 "preproc.y"
    { (yyval.str) = mm_strdup("current"); }
    break;

  case 2686:

/* Line 1806 of yacc.c  */
#line 14708 "preproc.y"
    { (yyval.str) = mm_strdup("input"); }
    break;

  case 2687:

/* Line 1806 of yacc.c  */
#line 14709 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2688:

/* Line 1806 of yacc.c  */
#line 14710 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2689:

/* Line 1806 of yacc.c  */
#line 14711 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2690:

/* Line 1806 of yacc.c  */
#line 14712 "preproc.y"
    { (yyval.str) = mm_strdup("values"); }
    break;

  case 2691:

/* Line 1806 of yacc.c  */
#line 14713 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2692:

/* Line 1806 of yacc.c  */
#line 14714 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2693:

/* Line 1806 of yacc.c  */
#line 14717 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2694:

/* Line 1806 of yacc.c  */
#line 14718 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2695:

/* Line 1806 of yacc.c  */
#line 14719 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2696:

/* Line 1806 of yacc.c  */
#line 14720 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2697:

/* Line 1806 of yacc.c  */
#line 14721 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2698:

/* Line 1806 of yacc.c  */
#line 14724 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2699:

/* Line 1806 of yacc.c  */
#line 14725 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2700:

/* Line 1806 of yacc.c  */
#line 14726 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2701:

/* Line 1806 of yacc.c  */
#line 14727 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2702:

/* Line 1806 of yacc.c  */
#line 14730 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2703:

/* Line 1806 of yacc.c  */
#line 14731 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2704:

/* Line 1806 of yacc.c  */
#line 14732 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2705:

/* Line 1806 of yacc.c  */
#line 14733 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2706:

/* Line 1806 of yacc.c  */
#line 14734 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2707:

/* Line 1806 of yacc.c  */
#line 14735 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2708:

/* Line 1806 of yacc.c  */
#line 14736 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2709:

/* Line 1806 of yacc.c  */
#line 14753 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2710:

/* Line 1806 of yacc.c  */
#line 14754 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2711:

/* Line 1806 of yacc.c  */
#line 14755 "preproc.y"
    { (yyval.str) = mm_strdup("connection"); }
    break;

  case 2712:

/* Line 1806 of yacc.c  */
#line 14758 "preproc.y"
    { (yyval.str) = mm_strdup("day"); }
    break;

  case 2713:

/* Line 1806 of yacc.c  */
#line 14759 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2714:

/* Line 1806 of yacc.c  */
#line 14760 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2715:

/* Line 1806 of yacc.c  */
#line 14761 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2716:

/* Line 1806 of yacc.c  */
#line 14762 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2717:

/* Line 1806 of yacc.c  */
#line 14763 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2720:

/* Line 1806 of yacc.c  */
#line 14770 "preproc.y"
    {
				reset_variables();
				pacounter = 1;
			}
    break;

  case 2721:

/* Line 1806 of yacc.c  */
#line 14776 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2722:

/* Line 1806 of yacc.c  */
#line 14777 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2723:

/* Line 1806 of yacc.c  */
#line 14781 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str))); }
    break;

  case 2724:

/* Line 1806 of yacc.c  */
#line 14783 "preproc.y"
    { add_variable_to_head(&argsresult, find_variable((yyvsp[(1) - (1)].str)), &no_indicator); }
    break;

  case 2725:

/* Line 1806 of yacc.c  */
#line 14788 "preproc.y"
    {
			if (find_variable((yyvsp[(2) - (2)].str))->type->type == ECPGt_array)
				mmerror(PARSE_ERROR, ET_ERROR, "arrays of indicators are not allowed on input");

			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (2)].str)), find_variable((yyvsp[(2) - (2)].str)));
			(yyval.str) = create_questionmarks((yyvsp[(1) - (2)].str), false);
		}
    break;

  case 2726:

/* Line 1806 of yacc.c  */
#line 14798 "preproc.y"
    {
			char *ptr = strstr((yyvsp[(1) - (1)].str), ".arr");

			if (ptr) /* varchar, we need the struct name here, not the struct element */
				*ptr = '\0';
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2727:

/* Line 1806 of yacc.c  */
#line 14809 "preproc.y"
    {
			add_variable_to_head(&argsinsert, find_variable((yyvsp[(1) - (1)].str)), &no_indicator);
			(yyval.str) = create_questionmarks((yyvsp[(1) - (1)].str), false);
		}
    break;

  case 2728:

/* Line 1806 of yacc.c  */
#line 14815 "preproc.y"
    { check_indicator((find_variable((yyvsp[(1) - (1)].str)))->type); (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2729:

/* Line 1806 of yacc.c  */
#line 14816 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2730:

/* Line 1806 of yacc.c  */
#line 14817 "preproc.y"
    { check_indicator((find_variable((yyvsp[(2) - (2)].str)))->type); (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2731:

/* Line 1806 of yacc.c  */
#line 14821 "preproc.y"
    {
			/* As long as multidimensional arrays are not implemented we have to check for those here */
			char *ptr = (yyvsp[(1) - (1)].str);
			int brace_open=0, brace = false;

			for (; *ptr; ptr++)
			{
				switch (*ptr)
				{
					case '[':
							if (brace)
								mmfatal(PARSE_ERROR, "multidimensional arrays for simple data types are not supported");
							brace_open++;
							break;
					case ']':
							brace_open--;
							if (brace_open == 0)
								brace = true;
							break;
					case '\t':
					case ' ':
							break;
					default:
							if (brace_open == 0)
								brace = false;
							break;
				}
			}
			(yyval.str) = (yyvsp[(1) - (1)].str);
		}
    break;

  case 2732:

/* Line 1806 of yacc.c  */
#line 14853 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2733:

/* Line 1806 of yacc.c  */
#line 14855 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2734:

/* Line 1806 of yacc.c  */
#line 14857 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2735:

/* Line 1806 of yacc.c  */
#line 14861 "preproc.y"
    {
			/* could have been input as '' or $$ */
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 3);
			(yyval.str)[0]='\'';
			strcpy((yyval.str)+1, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+1]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2736:

/* Line 1806 of yacc.c  */
#line 14871 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='E';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2737:

/* Line 1806 of yacc.c  */
#line 14881 "preproc.y"
    {
			(yyval.str) = (char *)mm_alloc(strlen((yyvsp[(1) - (1)].str)) + 4);
			(yyval.str)[0]='N';
			(yyval.str)[1]='\'';
			strcpy((yyval.str)+2, (yyvsp[(1) - (1)].str));
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+2]='\'';
			(yyval.str)[strlen((yyvsp[(1) - (1)].str))+3]='\0';
			free((yyvsp[(1) - (1)].str));
		}
    break;

  case 2738:

/* Line 1806 of yacc.c  */
#line 14890 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2739:

/* Line 1806 of yacc.c  */
#line 14891 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2740:

/* Line 1806 of yacc.c  */
#line 14894 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2741:

/* Line 1806 of yacc.c  */
#line 14896 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2742:

/* Line 1806 of yacc.c  */
#line 14897 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2743:

/* Line 1806 of yacc.c  */
#line 14898 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2744:

/* Line 1806 of yacc.c  */
#line 14902 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("\""), (yyvsp[(1) - (1)].str), mm_strdup("\"")); }
    break;

  case 2745:

/* Line 1806 of yacc.c  */
#line 14904 "preproc.y"
    { (yyval.str) = make3_str(mm_strdup("("), (yyvsp[(1) - (1)].str), mm_strdup(")")); }
    break;

  case 2746:

/* Line 1806 of yacc.c  */
#line 14911 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2747:

/* Line 1806 of yacc.c  */
#line 14912 "preproc.y"
    { (yyval.str) = mm_strdup("()"); }
    break;

  case 2748:

/* Line 1806 of yacc.c  */
#line 14914 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2749:

/* Line 1806 of yacc.c  */
#line 14917 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2750:

/* Line 1806 of yacc.c  */
#line 14919 "preproc.y"
    { (yyval.str) = cat2_str((yyvsp[(1) - (2)].str), (yyvsp[(2) - (2)].str)); }
    break;

  case 2751:

/* Line 1806 of yacc.c  */
#line 14922 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2752:

/* Line 1806 of yacc.c  */
#line 14923 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup(","), (yyvsp[(3) - (3)].str)); }
    break;

  case 2753:

/* Line 1806 of yacc.c  */
#line 14926 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2754:

/* Line 1806 of yacc.c  */
#line 14927 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("{"), (yyvsp[(2) - (3)].str), mm_strdup("}")); }
    break;

  case 2755:

/* Line 1806 of yacc.c  */
#line 14930 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2756:

/* Line 1806 of yacc.c  */
#line 14931 "preproc.y"
    { (yyval.str) = mm_strdup("("); }
    break;

  case 2757:

/* Line 1806 of yacc.c  */
#line 14932 "preproc.y"
    { (yyval.str) = mm_strdup(")"); }
    break;

  case 2758:

/* Line 1806 of yacc.c  */
#line 14933 "preproc.y"
    { (yyval.str) = mm_strdup(","); }
    break;

  case 2759:

/* Line 1806 of yacc.c  */
#line 14934 "preproc.y"
    { (yyval.str) = mm_strdup(";"); }
    break;

  case 2760:

/* Line 1806 of yacc.c  */
#line 14937 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2761:

/* Line 1806 of yacc.c  */
#line 14938 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2762:

/* Line 1806 of yacc.c  */
#line 14939 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2763:

/* Line 1806 of yacc.c  */
#line 14940 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2764:

/* Line 1806 of yacc.c  */
#line 14941 "preproc.y"
    { (yyval.str) = mm_strdup("*"); }
    break;

  case 2765:

/* Line 1806 of yacc.c  */
#line 14942 "preproc.y"
    { (yyval.str) = mm_strdup("+"); }
    break;

  case 2766:

/* Line 1806 of yacc.c  */
#line 14943 "preproc.y"
    { (yyval.str) = mm_strdup("-"); }
    break;

  case 2767:

/* Line 1806 of yacc.c  */
#line 14944 "preproc.y"
    { (yyval.str) = mm_strdup("/"); }
    break;

  case 2768:

/* Line 1806 of yacc.c  */
#line 14945 "preproc.y"
    { (yyval.str) = mm_strdup("%"); }
    break;

  case 2769:

/* Line 1806 of yacc.c  */
#line 14946 "preproc.y"
    { (yyval.str) = mm_strdup("NULL"); }
    break;

  case 2770:

/* Line 1806 of yacc.c  */
#line 14947 "preproc.y"
    { (yyval.str) = mm_strdup("+="); }
    break;

  case 2771:

/* Line 1806 of yacc.c  */
#line 14948 "preproc.y"
    { (yyval.str) = mm_strdup("&&"); }
    break;

  case 2772:

/* Line 1806 of yacc.c  */
#line 14949 "preproc.y"
    { (yyval.str) = make_name(); }
    break;

  case 2773:

/* Line 1806 of yacc.c  */
#line 14950 "preproc.y"
    { (yyval.str) = mm_strdup("auto"); }
    break;

  case 2774:

/* Line 1806 of yacc.c  */
#line 14951 "preproc.y"
    { (yyval.str) = mm_strdup("const"); }
    break;

  case 2775:

/* Line 1806 of yacc.c  */
#line 14952 "preproc.y"
    { (yyval.str) = mm_strdup("--"); }
    break;

  case 2776:

/* Line 1806 of yacc.c  */
#line 14953 "preproc.y"
    { (yyval.str) = mm_strdup("/="); }
    break;

  case 2777:

/* Line 1806 of yacc.c  */
#line 14954 "preproc.y"
    { (yyval.str) = mm_strdup(".*"); }
    break;

  case 2778:

/* Line 1806 of yacc.c  */
#line 14955 "preproc.y"
    { (yyval.str) = mm_strdup("=="); }
    break;

  case 2779:

/* Line 1806 of yacc.c  */
#line 14956 "preproc.y"
    { (yyval.str) = mm_strdup("extern"); }
    break;

  case 2780:

/* Line 1806 of yacc.c  */
#line 14957 "preproc.y"
    { (yyval.str) = mm_strdup("++"); }
    break;

  case 2781:

/* Line 1806 of yacc.c  */
#line 14958 "preproc.y"
    { (yyval.str) = mm_strdup("<<"); }
    break;

  case 2782:

/* Line 1806 of yacc.c  */
#line 14959 "preproc.y"
    { (yyval.str) = mm_strdup("->"); }
    break;

  case 2783:

/* Line 1806 of yacc.c  */
#line 14960 "preproc.y"
    { (yyval.str) = mm_strdup("->*"); }
    break;

  case 2784:

/* Line 1806 of yacc.c  */
#line 14961 "preproc.y"
    { (yyval.str) = mm_strdup("%="); }
    break;

  case 2785:

/* Line 1806 of yacc.c  */
#line 14962 "preproc.y"
    { (yyval.str) = mm_strdup("*="); }
    break;

  case 2786:

/* Line 1806 of yacc.c  */
#line 14963 "preproc.y"
    { (yyval.str) = mm_strdup("!="); }
    break;

  case 2787:

/* Line 1806 of yacc.c  */
#line 14964 "preproc.y"
    { (yyval.str) = mm_strdup("||"); }
    break;

  case 2788:

/* Line 1806 of yacc.c  */
#line 14965 "preproc.y"
    { (yyval.str) = mm_strdup("register"); }
    break;

  case 2789:

/* Line 1806 of yacc.c  */
#line 14966 "preproc.y"
    { (yyval.str) = mm_strdup(">>"); }
    break;

  case 2790:

/* Line 1806 of yacc.c  */
#line 14967 "preproc.y"
    { (yyval.str) = mm_strdup("static"); }
    break;

  case 2791:

/* Line 1806 of yacc.c  */
#line 14968 "preproc.y"
    { (yyval.str) = mm_strdup("-="); }
    break;

  case 2792:

/* Line 1806 of yacc.c  */
#line 14969 "preproc.y"
    { (yyval.str) = mm_strdup("typedef"); }
    break;

  case 2793:

/* Line 1806 of yacc.c  */
#line 14970 "preproc.y"
    { (yyval.str) = mm_strdup("volatile"); }
    break;

  case 2794:

/* Line 1806 of yacc.c  */
#line 14971 "preproc.y"
    { (yyval.str) = mm_strdup("bool"); }
    break;

  case 2795:

/* Line 1806 of yacc.c  */
#line 14972 "preproc.y"
    { (yyval.str) = mm_strdup("enum"); }
    break;

  case 2796:

/* Line 1806 of yacc.c  */
#line 14973 "preproc.y"
    { (yyval.str) = mm_strdup("hour"); }
    break;

  case 2797:

/* Line 1806 of yacc.c  */
#line 14974 "preproc.y"
    { (yyval.str) = mm_strdup("int"); }
    break;

  case 2798:

/* Line 1806 of yacc.c  */
#line 14975 "preproc.y"
    { (yyval.str) = mm_strdup("long"); }
    break;

  case 2799:

/* Line 1806 of yacc.c  */
#line 14976 "preproc.y"
    { (yyval.str) = mm_strdup("minute"); }
    break;

  case 2800:

/* Line 1806 of yacc.c  */
#line 14977 "preproc.y"
    { (yyval.str) = mm_strdup("month"); }
    break;

  case 2801:

/* Line 1806 of yacc.c  */
#line 14978 "preproc.y"
    { (yyval.str) = mm_strdup("second"); }
    break;

  case 2802:

/* Line 1806 of yacc.c  */
#line 14979 "preproc.y"
    { (yyval.str) = mm_strdup("short"); }
    break;

  case 2803:

/* Line 1806 of yacc.c  */
#line 14980 "preproc.y"
    { (yyval.str) = mm_strdup("signed"); }
    break;

  case 2804:

/* Line 1806 of yacc.c  */
#line 14981 "preproc.y"
    { (yyval.str) = mm_strdup("struct"); }
    break;

  case 2805:

/* Line 1806 of yacc.c  */
#line 14982 "preproc.y"
    { (yyval.str) = mm_strdup("unsigned"); }
    break;

  case 2806:

/* Line 1806 of yacc.c  */
#line 14983 "preproc.y"
    { (yyval.str) = mm_strdup("year"); }
    break;

  case 2807:

/* Line 1806 of yacc.c  */
#line 14984 "preproc.y"
    { (yyval.str) = mm_strdup("char"); }
    break;

  case 2808:

/* Line 1806 of yacc.c  */
#line 14985 "preproc.y"
    { (yyval.str) = mm_strdup("float"); }
    break;

  case 2809:

/* Line 1806 of yacc.c  */
#line 14986 "preproc.y"
    { (yyval.str) = mm_strdup("to"); }
    break;

  case 2810:

/* Line 1806 of yacc.c  */
#line 14987 "preproc.y"
    { (yyval.str) = mm_strdup("union"); }
    break;

  case 2811:

/* Line 1806 of yacc.c  */
#line 14988 "preproc.y"
    { (yyval.str) = mm_strdup("varchar"); }
    break;

  case 2812:

/* Line 1806 of yacc.c  */
#line 14989 "preproc.y"
    { (yyval.str) = mm_strdup("["); }
    break;

  case 2813:

/* Line 1806 of yacc.c  */
#line 14990 "preproc.y"
    { (yyval.str) = mm_strdup("]"); }
    break;

  case 2814:

/* Line 1806 of yacc.c  */
#line 14991 "preproc.y"
    { (yyval.str) = mm_strdup("="); }
    break;

  case 2815:

/* Line 1806 of yacc.c  */
#line 14992 "preproc.y"
    { (yyval.str) = mm_strdup(":"); }
    break;

  case 2816:

/* Line 1806 of yacc.c  */
#line 14995 "preproc.y"
    { (yyval.str) = (yyvsp[(2) - (2)].str); }
    break;

  case 2817:

/* Line 1806 of yacc.c  */
#line 14996 "preproc.y"
    { (yyval.str) = (yyvsp[(3) - (3)].str); }
    break;

  case 2818:

/* Line 1806 of yacc.c  */
#line 14997 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2819:

/* Line 1806 of yacc.c  */
#line 14998 "preproc.y"
    { (yyval.str) = mm_strdup("all"); }
    break;

  case 2820:

/* Line 1806 of yacc.c  */
#line 15001 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2821:

/* Line 1806 of yacc.c  */
#line 15002 "preproc.y"
    { (yyval.str) = cat_str(3, mm_strdup("("), (yyvsp[(2) - (3)].str), mm_strdup(")")); }
    break;

  case 2822:

/* Line 1806 of yacc.c  */
#line 15003 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("+"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2823:

/* Line 1806 of yacc.c  */
#line 15004 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("-"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2824:

/* Line 1806 of yacc.c  */
#line 15005 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("*"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2825:

/* Line 1806 of yacc.c  */
#line 15006 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("/"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2826:

/* Line 1806 of yacc.c  */
#line 15007 "preproc.y"
    { (yyval.str) = cat_str(3, (yyvsp[(1) - (3)].str), mm_strdup("%"), (yyvsp[(3) - (3)].str)); }
    break;

  case 2827:

/* Line 1806 of yacc.c  */
#line 15008 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2828:

/* Line 1806 of yacc.c  */
#line 15009 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2829:

/* Line 1806 of yacc.c  */
#line 15010 "preproc.y"
    { if (pg_strcasecmp((yyvsp[(1) - (4)].str), "sizeof") != 0)
							mmerror(PARSE_ERROR, ET_ERROR, "operator not allowed in variable definition");
						  else
							(yyval.str) = cat_str(4, (yyvsp[(1) - (4)].str), mm_strdup("("), (yyvsp[(3) - (4)].type).type_str, mm_strdup(")"));
						}
    break;

  case 2830:

/* Line 1806 of yacc.c  */
#line 15017 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2831:

/* Line 1806 of yacc.c  */
#line 15018 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2832:

/* Line 1806 of yacc.c  */
#line 15019 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2833:

/* Line 1806 of yacc.c  */
#line 15020 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2834:

/* Line 1806 of yacc.c  */
#line 15021 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2835:

/* Line 1806 of yacc.c  */
#line 15024 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2836:

/* Line 1806 of yacc.c  */
#line 15025 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2837:

/* Line 1806 of yacc.c  */
#line 15028 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;

  case 2838:

/* Line 1806 of yacc.c  */
#line 15030 "preproc.y"
    {
		struct variable *var;

		var = argsinsert->variable;
		remove_variable_from_list(&argsinsert, var);
		add_variable_to_head(&argsresult, var, &no_indicator);
		(yyval.str) = (yyvsp[(1) - (1)].str);
	}
    break;

  case 2839:

/* Line 1806 of yacc.c  */
#line 15040 "preproc.y"
    { (yyval.str) = EMPTY; }
    break;

  case 2840:

/* Line 1806 of yacc.c  */
#line 15041 "preproc.y"
    { (yyval.str) = (yyvsp[(1) - (1)].str); }
    break;



/* Line 1806 of yacc.c  */
#line 54319 "preproc.c"
      default: break;
    }
  /* User semantic actions sometimes alter yychar, and that requires
     that yytoken be updated with the new translation.  We take the
     approach of translating immediately before every use of yytoken.
     One alternative is translating here after every semantic action,
     but that translation would be missed if the semantic action invokes
     YYABORT, YYACCEPT, or YYERROR immediately after altering yychar or
     if it invokes YYBACKUP.  In the case of YYABORT or YYACCEPT, an
     incorrect destructor might then be invoked immediately.  In the
     case of YYERROR or YYBACKUP, subsequent parser actions might lead
     to an incorrect destructor call or verbose syntax error message
     before the lookahead is translated.  */
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* Make sure we have latest lookahead translation.  See comments at
     user semantic actions for why this is necessary.  */
  yytoken = yychar == YYEMPTY ? YYEMPTY : YYTRANSLATE (yychar);

  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
# define YYSYNTAX_ERROR yysyntax_error (&yymsg_alloc, &yymsg, \
                                        yyssp, yytoken)
      {
        char const *yymsgp = YY_("syntax error");
        int yysyntax_error_status;
        yysyntax_error_status = YYSYNTAX_ERROR;
        if (yysyntax_error_status == 0)
          yymsgp = yymsg;
        else if (yysyntax_error_status == 1)
          {
            if (yymsg != yymsgbuf)
              YYSTACK_FREE (yymsg);
            yymsg = (char *) YYSTACK_ALLOC (yymsg_alloc);
            if (!yymsg)
              {
                yymsg = yymsgbuf;
                yymsg_alloc = sizeof yymsgbuf;
                yysyntax_error_status = 2;
              }
            else
              {
                yysyntax_error_status = YYSYNTAX_ERROR;
                yymsgp = yymsg;
              }
          }
        yyerror (yymsgp);
        if (yysyntax_error_status == 2)
          goto yyexhaustedlab;
      }
# undef YYSYNTAX_ERROR
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (!yypact_value_is_default (yyn))
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
    {
      /* Make sure we have latest lookahead translation.  See comments at
         user semantic actions for why this is necessary.  */
      yytoken = YYTRANSLATE (yychar);
      yydestruct ("Cleanup: discarding lookahead",
                  yytoken, &yylval, &yylloc);
    }
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



/* Line 2067 of yacc.c  */
#line 15044 "preproc.y"


void base_yyerror(const char *error)
{
	/* translator: %s is typically the translation of "syntax error" */
	mmerror(PARSE_ERROR, ET_ERROR, "%s at or near \"%s\"",
			_(error), token_start ? token_start : yytext);
}

void parser_init(void)
{
 /* This function is empty. It only exists for compatibility with the backend parser right now. */
}

/*
 * Must undefine base_yylex before including pgc.c, since we want it
 * to create the function base_yylex not filtered_base_yylex.
 */
#undef base_yylex

#include "pgc.c"

